INSERT INTO `ps_config` (`id`, `conftype`, `section`, `var`, `value`, `label`, `type`, `locked`, `verifycodes`, `options`, `help`) VALUES (95,'main',NULL,'plr_save_victims','1','Save player victims?','boolean',0,NULL,'','Should player victims be tracked and saved to the database? The only reason you might want to disable this is to speed up stats processing and to reduce the overall size of the database.'),(97,'main','','maxdays','31','Max days','text',0,'blank,numeric','size=9','Maximum number of days of historical stats to keep. The max days option affects how far back the graphs can go, it does not change how a player\'s skill is calculated.\r\n<b>See Also:</b>: max days exclusive'),(98,'main',NULL,'registration','closed','User registration','select',0,'','open:Open; Anyone can register\r\nconfirm:Confirm; Users must be confirmed\r\nclosed:Closed; registration is closed','Defines how user/player registrations are handled.\r\n\r\n<ul><li><b>open</b>: players do not require confirmation to register a user.</li><li><b>confirm</b>: players must be confirmed by an admin.</li><li><b>closed</b>: players are not allowed to register.</li></ul>'),(99,'main',NULL,'allow_username_change','1','Allow users to change name?','boolean',0,'','','Are users allowed to change their login username after already being registered?'),(100,'main',NULL,'minconnected','0','Minimum connected players','text',0,'blank,numeric','size=5','Minimum number of players that must be connected in order for player stats to count. Note: Some timing values are still counted for players and maps regardless of this setting.\r\n\r\n<b>Changing this value does not affect previous stats.</b> If you change this value and want it to reflect all stats you will have to reset your stats and re-process all logs.'),(101,'main',NULL,'uniqueid','worldid','How to track players?','select',0,'','worldid:Track by STEAMID\r\nname:Track by Player Name\r\nipaddr:Track by IP Address','Determines how players are identified in the game logs. If you change this value you will need to reset your stats.'),(102,'main',NULL,'gametype','halflife','Game Type','select',0,'','cod:Call of Duty 4\r\nhalflife:Half-Life\r\nsoldat:Soldat','Defines what type of game logs to process.This must be configured properly in order for your game logs to be processed correctly.\r\n<b>See Also</b>: Mod Type'),(103,'main',NULL,'modtype','cstrike','MOD Type','select',0,'',':(empty)\r\ncstrike:Counter Strike\r\ndod:Day of Defeat\r\nhldm:Half-Life Deathmatch\r\nnatural:Natural Selection\r\ntf2:Team Fortress 2','Defines what type of MOD the game logs are.This must be configured properly in order for your game logs to be processed correctly.\r\n<b>See Also:</b> Game Type'),(104,'main',NULL,'ignore_bots','0','Ignore BOT\'s?','boolean',0,NULL,'','Should BOT\'s be ignored in the stats? Ignoring a BOT will ignore all actions for or against it (player\'s do not get points for killing a BOT).'),(105,'main',NULL,'theme','default','Default theme','text',0,'','size=16','Default theme name for users browsing the stats website.\r\n<b>See also:</b>: allow_user_change (theme config)'),(106,'main',NULL,'clantag_detection','1','Enable clantag detection?','boolean',0,'','','If enabled, player names will be scanned for possible clantags and if a clantag is found that player is automatically added to the clan.'),(107,'main',NULL,'plr_primary_name','first','Primary player name selection','select',0,NULL,'most:Most Used\r\nfirst:First Used\r\nlast:Last Used','What player name should be used for players with more than one? (Ignored if uniqueid is \'name\')\r\n<b>first</b>: The first name the player is seen using will be used.\r\n<b>last</b>: The last name the player is seen using will be used.\r\n<b>most</b>: The name the player has used the most is used.'),(108,'main',NULL,'baseskill','50','Base skill','text',0,'blank,numeric','size=9','Default skill value for new players. It\'s recommended that you do not set this too low, otherwise player skill will become sporadic and players may end up with negative values.'),(109,'main',NULL,'plr_sessions_max','25','Max player game sessions','text',0,'blank,numeric','size=5','How many player game sessions are saved for each player. Game sessions allow player stats to be saved separately for each session played but require extra processing and storage space.'),(110,'main','skillcalc','kill_onlinetime_1','1440',NULL,'text',0,NULL,'',''),(111,'main','skillcalc','kill_adj_1','4',NULL,'text',0,NULL,'',''),(112,'main','skillcalc','kill_onlinetime_2','720',NULL,'text',0,NULL,'',''),(113,'main','skillcalc','kill_adj_2','8',NULL,'text',0,NULL,'',''),(114,'main','skillcalc','kill_onlinetime_3','360',NULL,'text',0,NULL,'',''),(115,'main','skillcalc','kill_adj_3','12',NULL,'text',0,NULL,'',''),(116,'main','skillcalc','kill_onlinetime_4','180',NULL,'text',0,NULL,'',''),(117,'main','skillcalc','kill_adj_4','16',NULL,'text',0,NULL,'',''),(118,'main','skillcalc','kill_onlinetime_5','60',NULL,'text',0,NULL,'',''),(119,'main','skillcalc','kill_adj_5','24',NULL,'text',0,NULL,'',''),(120,'main','skillcalc','kill_onlinetime_6','30',NULL,'text',0,NULL,'',''),(121,'main','skillcalc','kill_adj_6','32',NULL,'text',0,NULL,'',''),(300,'main','errlog','maxdays','31','Maximum days to keep','text',0,'blank,numeric','size=5','Maximum number of days to keep error logs. This does not affect player stats.'),(301,'main','errlog','maxrows','1000','Maximum rows to keep','text',0,'blank,numeric','size=9','Maximum number of error log events to keep. This does not affect player stats.'),(302,'main','errlog','report_unknown','0','Report Unknown Events?','boolean',0,'','','Should unknown log events be reported with a warning during stats processing? This is purely an informational setting and has no effect on player stats. Enabling this is useful when support for a new game is being added.'),(391,'theme','images','cache_dir','','Cache Directory','text',0,'','','Absolute path to a directory to store cached images. This directory must be writable by the webserver.  If left blank the system default will be used.\r\n\r\n<b>Recommendation:</b> Leave blank for system default.'),(393,'theme','images','cache_enabled','1','Cache Images?','boolean',0,'','','Should dynamically generated images (charts and graphs) be cached for better performance? Enabling this will reduce the total times an image is created on-the-fly. The downside to enabling this is cached images are only updated again after the cache expires so up-to-date information isn\'t always seen immediately.'),(394,'theme','images','cache_timeout','5','Cache Lifetime','text',0,'blank,numeric','size=5','How many minutes images will be cached before being regenerated again. Image caching must be enabled for this to have any effect.'),(395,'theme','icons','max_size','10240','Maximum file size','text',0,'blank,numeric','size=5','Maximum size in bytes uploaded icons are allowed to be.'),(396,'theme','icons','max_width','20','Maximum width','text',0,'blank,numeric','size=5','Maximum width in pixels allowed for icon images.'),(397,'theme','icons','max_height','20','Maximum height','text',0,'blank,numeric','size=5','Maximum height in pixels allowed for icon images.'),(398,'theme','icons','allow_overwrite','0','Can users overwrite icons?','boolean',0,'BN','','Can a normal user overwrite an existing icon with a new upload? (Admins can always overwrite icons).'),(399,'theme','icons','allow_upload','0','Allow user uploads?','boolean',0,'BN','','Are users allowed to upload new icons to the gallery? (an admin can always upload).'),(400,'theme',NULL,'allow_user_change','1','Allow users to change theme?','boolean',0,'','','Can users change the theme from the default if more then one theme is installed and enabled?\r\n\r\n<b>See also:</b> Default Theme (main config)'),(401,'theme',NULL,'template_dir','','Theme Directory','text',0,'','','Absolute path to the directory where your themes are installed. Note: This path must be accessible to the webserver.\r\n\r\n<b>Recommendation:</b> Leave blank for default.\r\n<b>See also:</b> \"Theme Base URL\"'),(402,'theme',NULL,'compile_dir','','Compile directory for themes','text',0,'','','The compile directory defines where compiled theme templates are written to. The directory must be <b>writable</b> by the web server user. If it\'s not your stats website will not work.\r\n\r\n<b>This setting has no effect if \"Compile to Disk\" is set to \"No\".</b>\r\n\r\n<b>See Also:</b> \"Compile to Disk\" (fetch_compile)\r\n<b>Recommendation:</b> Leave blank for default.'),(405,'theme',NULL,'maps_dir','','Images: Map directory','text',0,'','','Absolute root directory where map images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(406,'theme',NULL,'maps_url','','Images: Map URL','text',0,'','','Absolute URL for map images. This should match up to the location of the \"Root directory for maps\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(407,'theme','permissions','show_benchmark','1','Show Page Benchmark?','boolean',0,'','','In the footer of most pages is a benchmark that displays the total time it took to process the page and how many SQL queries it took. Disabling this setting will hide that output.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.\r\n \r\n<b>Recommendation:</b> Personal preference, do what you want.'),(408,'theme','format','time_offset','','Time Offset','text',0,'numeric','size=5','This value is used to offset any time values displayed in the stats. For instance, if your local website is in US/Eastern time (-5) and your game server is in US/Central time (-4) you might want to put an offset value of \"-1\" here so the times display on the website will reflect the times that actually occured on the game server.\r\n\r\nThis is a cosmetic setting only and has no real affect on stats.'),(1000,'info',NULL,'version','3.1',NULL,'text',0,NULL,'',''),(1001,'info','stats','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(1002,'info','daily_ranks','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(1003,'info','daily_clans','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(1004,'info','daily_awards','lastupdate','1220446661',NULL,'text',0,NULL,'',''),(1005,'info','daily_players','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(2514,'main','awards','startofweek','sunday','Start of the week','select',0,NULL,'sunday:Sunday\r\nmonday:Monday','What day does the week start? Sunday or Monday? This depends on your nationality. For example, in the US it\'s Sunday but in Russia you\'d use Monday.'),(2515,'main','awards','weekly','1','Allow weekly awards?','boolean',0,NULL,'','Should weekly awards be calculated?'),(2516,'main','awards','monthly','1','Allow monthy awards?','boolean',0,NULL,'','Should monthly awards be calculated?'),(2517,'main','awards','allow_partial_month','1','Calculate partial month awards?','boolean',0,NULL,'','Should awards for partial months be calculated? If enabled awards will be calculated for the month even if the current month is not yet complete. The awards will be re-calculated each time logs are processed until the 1st of the next month rolls around. At that time the awards will be calculated one last time and saved. If disabled you will never seen awards for the current month until the full month has gone by.'),(2518,'main','awards','allow_partial_week','1','Calculate partial week awards?','boolean',0,NULL,'','Should awards for partial weeks be calculated? If enabled awards will be calculated for the week even if the current week is not yet complete. The awards will be re-calculated each time logs are processed until the following week rolls around. At that time the awards will be calculated one last time and saved. If disabled you will never seen awards for the current week until the full week has gone by.'),(2520,'info','daily_maxdays','lastupdate','1220446660',NULL,'text',0,NULL,'',''),(2521,'main',NULL,'maxdays_exclusive','0','Max days is exclusive?','boolean',0,'','','If enabled, all stats outside of the \'max days\' range will be excluded from the compiled statistics. This setting will affect player statistics but will not change a player\'s skill value.\r\n\r\nFor example: If you have 1000 kills in the last 60 days and \'max days\' is set to 30 with this <b>enabled</b> you will lose all kills past 30 days. If <b>disabled</b> you retain all the old kills.'),(2525,'theme',NULL,'weapons_dir','','Images: Weapon directory','text',0,'','','Absolute root directory where weapon images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2526,'theme',NULL,'weapons_url','','Images: Weapon URL','text',0,'','','Absolute URL for weapon images. This should match up to the location of the \"Root directory for weapons\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2527,'theme',NULL,'flags_dir','','Images: Flag directory','text',0,'','','Absolute root directory where flag images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2528,'theme',NULL,'flags_url','','Images: Flag URL','text',0,'','','Absolute URL for flag images. This should match up to the location of the \"flag directory\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2529,'theme',NULL,'icons_dir','','Images: Icon directory','text',0,'','','Absolute root directory where icon images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2530,'theme',NULL,'icons_url','','Images: Icon URL','text',0,'','','Absolute URL for icon images. This should match up to the location of the \"Root directory for icons\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2535,'theme','permissions','show_ips','1','Show IP Addresses','boolean',0,'','','Should player IP addresses be visible in the stats to non-admin users?'),(2542,'theme','images','search_ext','png, jpg, gif','Search list for static images','text',0,'blank','','Comma separated list of extensions (without the period) to search when looking for weapon, map, roles or flag images. This has no effect on dynamically generated images.\r\n\r\n<b>Recomendation:</b> png, gif, jpg'),(2543,'theme',NULL,'script_url','','Override Script URL','text',0,'','','Base script URL override. If you have special needs and the normal PHP_SELF script URL will not work you can override the URL here. This setting affects all of the URL options that are left blank.\r\n\r\n<b>Recommendation:</b> Leave blank for default.'),(2545,'theme','format','date','Y-m-d','Date Format','text',0,'blank','size=16','Date format to use for dates that do not include time.\r\n<b>See also:</b> datetime, <a href=\"http://php.net/date\">php date format</a>'),(2546,'theme','format','datetime','Y-m-d H:i:s','Date+Time Format','text',0,'blank','size=16','Date dormat for timestamps that include the date and time.\r\n<b>See also:</b> date, <a href=\"http://php.net/date\">php date format</a>'),(2547,'main',NULL,'ignore_bots_conn','1','Ignore BOT connections?','boolean',0,NULL,'','If enabled, BOT connections will not count towards the overall total of player connections to the server. So, the total connection count will only reflect real players that have connected.'),(2548,'theme',NULL,'force_compile','0','Force Theme Compilation?','boolean',0,'','','Themes are compiled once the first time they are needed. After that the compiled theme is simply loaded w/o any extra processing. However, if you are attempting to develop a theme or language pack you may find that sometimes your changes are not reflected in the theme when you refresh. If you enable this setting the theme output will be recompiled on every page request.\r\n\r\nIf you\'re not developing a theme or language pack then there is NO REASON to leave this setting enabled. Doing so will only put more strain on your server and slow down your website and saved to disk.\r\n\r\n<b>This setting has no effect if \"Compile to Disk\" is set to \"No\".</b>\r\n\r\n<b>See Also:</b> \"Compile to Disk\" (fetch_compile)\r\n<b>Recommendation:</b> Disabled'),(2552,'theme',NULL,'theme_url','','Theme Base URL','text',0,'','','URL to access themes. This URL is usually a relative URL to the themes on the webserver but could also be a FQDN with an absolute URL pointing to another server, etc.\r\n\r\nThe trailing slash should usually be omitted.\r\n\r\n<b>Recommendation:</b> Leave blank for default.\r\n<b>See also:</b> \"Theme Directory\"'),(2556,'theme','permissions','show_login','1','Show Login Link','boolean',0,'','','Should the <b>Login</b> link be visible? Disabling this only hides the link, it does not prevent users from manually going to the login.php link to login.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.'),(2557,'theme','permissions','show_register','1','Show Register Link','boolean',0,'','','Should the <b>Register</b> link be visible? This does not prevent users from manually going to the register.php link and attempting to register. See the \'registration\' option in the main config for more details on how to configure user registrations.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.'),(2563,'info','daily_decay','lastupdate','0',NULL,'text',0,NULL,'',''),(2565,'theme',NULL,'roles_dir','','Images: Role directory','text',0,'','','Absolute root directory where role images are located.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2566,'theme',NULL,'roles_url','','Images: Role URL','text',0,'','','Absolute URL for role images. This should match up to the location of the \"Root directory for roles\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2567,'theme','map','iplookup_url','http://www.psychostats.com/ip/xml/','IP Lookup URL or Maxmind DB','text',0,'','','Specify the URL that will do an IP lookup, or a filename to a local GeoLiteCity.dat file (from maxmind.com) to perform a lookup against.\r\n\r\nUsing the URL is slower depending on your network connection. Doing a local lookup is very fast, but requires the maxmind dat file present on your server (which is upwards of 25+ mb in size).\r\n\r\nIn order to use a local GeoLiteCity.dat file, you must have the geoip*.inc source files in your includes directory. You can download the files from the <a href=\"http://maxmind.com\">maxmind.com</a> website.\r\n\r\nIf an URL is specified, the special token of $ip can be used in the string and will be replaced with the IP that will be looked up, by default the IP is appended to the end of the URL..\r\n\r\n<b>Recommended:</b> Leave the URL default (unless you know what you\'re doing).'),(2568,'theme','map','google_key','','Google API Key','text',0,'','','Some features of the player stats require the use of a google API key. You can obtain a key for free by going to <a href=\"http://www.google.com/apis/maps/signup.html\">\r\nhttp://www.google.com/apis/maps/signup.html\r\n</a>'),(2569,'theme','format','allowed_html_tags','img,b,a,hr,em,i,strong','Allowed HTML Tags','text',0,'blank','','Comma separated list of HTML tags that are allowed to be entered into player and clan logos. \r\n<b>Note:</b> Do not include angle brackets \"&lt;&gt;\".'),(2572,'theme','format','max_logo_size','1024','Maximum Logo Length','text',0,'blank,numeric','size=5','Maximum number of characters allowed in player and clan logos.'),(2583,'theme',NULL,'root_img_dir','','Images: Absolute root directory','text',0,'','','Absolute root directory where images are kept for weapons, maps, icons and flags. Theme related images are always located within the theme directory and are unaffected by this setting.\r\n\r\nIf any of the \"Image\" directory settings are left blank they will use this setting as their root.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(2584,'theme',NULL,'root_img_url','','Images: Absolute root URL','text',0,'','','Absolute URL for images. This should match up to the location of the \"Absolute root for images\" setting. So the images can be referenced within the theme output correctly.\r\n\r\nIf any of the \"Image\" URL settings are left blank they will use this setting as their root.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(2585,'main','decay','hours','24','Minimum hours','text',0,'blank,numeric','size=5','Minimum number of hours of inactivity for a player before their skill starts to decay.'),(2586,'main','decay','type','0','Type of decay','select',0,NULL,'0:Disable (no decay)\r\nflat:Flat Value\r\npercent:Percentage','How to apply the decay value to a player. \r\n<b>flat:</b> subtract the actual decay value from the player\'s skill.\r\n<b>percent:</b> use the decay value as a percentage of the player\'s skill and subtract it (ie: 5% would mean subtract 5% of the players total skill).'),(2587,'main','decay','value','2','Base decay value','text',0,'blank,numeric','size=5','The decay value. The decay \'type\' defines how this value will be subtracted from a player\'s skill.'),(2588,'theme','permissions','show_worldids','1','Show STEAMIDs','boolean',0,'','','Should player \"unique ID\'s\" (steamids) be visible in the stats to non-admin users?'),(2589,'main','ranking','player_min_kills','0','(Player) Minimum kills','text',0,'blank,numeric','size=5','Minimum <b>kills</b> required for a player to rank'),(2590,'main','ranking','player_min_skill','0','(Player) Minimum skill','text',0,'blank,numeric','size=5','Minimum <b>skill</b> required for a player to rank.\r\n\r\n<b>Note:</b> It\'s possible for player skill to go NEGATIVE. So setting this to 0 may still prevent players from ranking.'),(2591,'main','ranking','player_min_onlinetime','0','(Player) Minimum online time','text',0,'blank,numeric','size=5','Minimum <b>online time</b> required for a player to rank'),(2592,'main','ranking','clan_min_kills','1','(Clan) Minimum kills','text',0,'blank,numeric','size=5','Minimum combined <b>kills</b> required for a clan to rank'),(2593,'main','ranking','clan_min_skill','0','(Clan) Minimum skill','text',0,'blank,numeric','size=5','Minimum average <b>skill</b> of all members required for a clan to rank'),(2594,'main','ranking','clan_min_onlinetime','0','(Clan) Minimum online time','text',0,'blank,numeric','size=5','Minimum combined <b>online time</b> required for a clan to rank'),(2595,'main','ranking','clan_min_members','2','(Clan) Minimum members','text',0,'blank,numeric','size=5','Minimum ranked <b>members</b> required for a clan to rank'),(2596,'main','security','csrf_protection','0','Enable CSRF Protection?','boolean',0,'BN','','CSRF (Cross-Site Request Forgeries) Attacks are malicious attempts from hackers to submit unauthenticated requests to forms on your website. This threat is a minimal concern for PsychoStats but all security threats should be taken seriously. The downside to having this enabled is sometimes you may see fatal errors in form submissions if you try to reload or wait too long to submit a form.\r\n\r\n<b>Recommendation:</b> Enabled'),(2597,'main','errlog','report_timestamps','0','Report Invalid Timestamps?','boolean',0,'BN','','Should log events that have an invalid timestamp be reported as warnings? This is a purely informational setting and does not affects stats.'),(2598,'main','security','cookie_life','7200','Maximum idle cookie time','text',0,'BN','size=5','Maximum number of <b>seconds</b> a user\'s session cookie can be idle. values less than 60 seconds will be ignored. A session that is logged in and idle for longer than this value will automatically be logged out.\r\n\r\n<b>Recommendation:</b> 1 hour (3600 seconds)'),(2599,'main',NULL,'plr_min_activity','5','Max player inactivity (days)','text',0,'blank,numeric','size=5','This value represents the number of days a player can be inactive.  The higher this value the more active players will appear in the player listing. The \'activity\' value is shown in the player list as a percentage. The higher the percentage shown the more active the player is.\r\n\r\n\'Inactive\' players do not automatically fall off the ranks. This value is only used to calculate the \'Activity\' percentage for players. However, in the player ranking configuration you can specify a minimum activity level required to rank.\r\n\r\n<b>Recommended:</b> 5 - 10 days'),(2600,'main','security','cookie_salt','','Secret Cookie Salt','text',0,'','','\"Cookie Salt\" is a secret phrase that only you should know. This is used in combination with other variables to generate a secret key for certain cookie information to help secure cookies on client browsers (cookie data is encrypted).\r\n\r\nWhile encryption will help protect user data on the client side, using this feature may slow down website requests on your webserver since client cookie data has to be decrypted on every page request. If you want to enable encryption please test it under load first to see if your server will suffer as a result of it.\r\n\r\n<b>Requirements: </b> PHP must have the <a href=\"http://php.net/mcrypt\">mcrypt module</a> installed (This is ignored if mcrypt is not installed).\r\n\r\n<b>Recommendation:</b> Enter a short sentence that only you would know.'),(2601,'theme','permissions','show_admin','1','Show Admin Link?','boolean',0,'','','If enabled the \'Admin\' link at the top of the stats will be visible to all users. This does not prevent the admin URL from working it merely prevents the link from appearing in the users browser.\r\n\r\n<b>Note:</b> This option relies on the theme supporting this configuration setting. A theme can either choose to always show the link, use this setting, or never show the link. If you use third party themes then verify your settings are being applied properly. You may wish to contact the theme author if there are any problems.'),(2602,'info','daily_activity','lastupdate','1220446660',NULL,'text',0,NULL,NULL,NULL),(2604,'theme','permissions','show_version','1','Show PsychoStats Version?','boolean',0,'','','Should the PsychoStats version in the footer of all pages be displayed?'),(2605,'main','ranking','player_min_activity','0','(Player) Minimum Activity %','text',0,'blank,numeric','size=5','Minimum <b>activity</b> percentage required for a player to rank'),(2606,'main',NULL,'site_name','','Site name','text',0,'','','The name of your website.This is not an URL.\r\n\r\nThis string is displayed in certain locations of the theme (like user registrations, etc).'),(2607,'main',NULL,'site_url','','Site URL','text',0,'','','The URL of your main website. This can be any URL you want, but should be a fully qualified URL (ie: you need http://)\r\n\r\nIf this URL is configured it will appear as a \"Home\" link in the main menu of the stats page.'),(2608,'theme','permissions','show_plr_icons','1','Show Player Icons?','boolean',0,'','','Should player icons (mini avatars) be shown in player listings?'),(2609,'theme','permissions','show_clan_icons','1','Show Clan Icons?','boolean',0,'','','Should clan icons (mini avatars) be shown in clan listings?'),(2610,'theme','permissions','show_plr_flags','1','Show Player Flags?','boolean',0,'','','Should player country flags be shown in player listings?'),(2611,'theme','permissions','show_clan_flags','1','Show Clan Flags?','boolean',0,'','','Should clan country flags be shown in clan listings?'),(2612,'main','awards','daily','0','Allow daily awards?','boolean',0,'','','Should daily awards be calculated?'),(2613,'main','awards','allow_partial_day','0','Calculate partial daily awards?','boolean',0,'','','Should awards for partial days be calculated? If enabled awards will be calculated for the day even if the current day is not yet complete (before midnight). The awards will be re-calculated each time logs are processed until the next day rolls around. At that time the awards will be calculated one last time and saved. If disabled you will never seen awards for the current day until the full day has gone by.\r\n\r\n<b>Recommendation:</b> Disabled; It\'s not wise to calculate partial day awards over and over again.'),(2614,'main','daily','maxminutes','60','Max minutes for daily updates','text',0,'blank,numeric','size=5','The daily calculations will be automatically updated every X minutes (real time; not log time). Except awards. See \'max lines\' to limit the updates based on the number of log lines processed.'),(2615,'main','daily','maxlines','50000','Max lines for daily updates','text',0,'blank,numeric','size=5','Maximum number of lines that are processed before the daily updates are performed. This works in relation to the \'max minutes\' setting. The updates are performed if the maximum lines or maximum minutes configured is reached.\r\n\r\nOn a busy server, ~35000 lines will cause an update to occur once or twice in a single day of logs. But this will vary server to server. Setting this too low will only slow down your stats updates and does not benefit you or your stats.\r\n\r\nAwards are not updated.'),(2616,'main','security','cookie_compress','0','GZIP Cookies?','boolean',0,'','','Should session option cookies be compressed? Simple GZIP compression is used on the cookie data to reduce the overall size.'),(2617,'main','security','cookie_encode','0','Encode Cookies?','boolean',0,'','','Should session cookie options be base64 encoded? Enabling this can sometimes make cookies smaller (but the reverse is also true). This simply obfuscates the cookie in the users browser, this is NOT encryption!'),(2618,'theme',NULL,'fetch_compile','1','Compile to Disk?','boolean',0,'','','Should themes be compiled to disk? This should always be enabled! Disabling this option causes the theme to be recompiled on <b>every page request</b> into memory and evaluated. This causes major performance degradation.\r\n\r\nThe only reason to disable this is if the web server user has absolutely no permissions to write to a local directory to store compiled themes (which should never be the case).\r\n\r\n<b>Recommendation:</b> Enabled'),(2619,'theme','map','center','40.317232,-95.339355','Map Center (lat,lng)','text',0,'','','Specify the latitude and longitude (lat,lng) of where the google map should be centered. You can go to http://maps.google.com/ and find a good center point for yourself. By default the center point will be in the United States.\r\n\r\n<b>Examples:</b>\r\nUS = 40.317232,-95.339355\r\nEurope = 48.57479,11.425781'),(2620,'theme','map','zoom','4','Map Zoom Level','text',0,'blank,numeric','size=4','Default map zoom level to use. Experiment with different values between 1 (zoomed in) and 15 (zoomed out).\r\n\r\n<b>Recommendation:</b> 4'),(2621,'main',NULL,'calcskill_kill','default','Skill calculation (kills)','text',0,'blank','','Specifies the type of calculations used to determine how a player skill changes from a kill. A description of each calculation available is detailed below.\r\n\r\nThe \'<b>default</b>\' calculation is a new method that uses the relative skill values of the players but is more stable over time compared to the old \'elo\' method and the players online time is not taken into account. A \'base skill\' around 50 is recommended when using this formula.\r\n\r\nThe \'<b>elo</b>\' calculations use the ELO formula (which is often used in chess games). ELO tries to rate players based on their relative skill values to each other. Player\'s online time is also a factor and the longer a player plays the more stable their skill becomes (this is not part of the original ELO formula). It is argued that this formula is not actually that stable or accurate for a first person shooter type of game. A \'base skill\' around 10000 is recommended when using this formula. Up to PsychoStats v3.0 this was the original and only calculation available. This is no longer the default calculation used in versions 3.1 or newer.\r\n\r\n<b>Recommendation:</b> default'),(2622,'theme','map','maptype','G_SATELLITE_MAP','Map Type','select',0,'blank','G_NORMAL_MAP\r\nG_SATELLITE_MAP\r\nG_HYBRID_MAP\r\nG_PHYSICAL_MAP','Select the default type of map overlay to display.'),(2623,'theme','map','ctrl_maptype','1','Enable Map Type Controls?','boolean',0,'','','Should the button controls to change the map type on the top right of the map overlay be displayed? If this is disabled users will not be able to change the map type.'),(2624,'theme','map','ctrl_map','GLargeMapControl','Map Controls','select',0,'',':- Disabled -\r\nGSmallMapControl\r\nGLargeMapControl','What set of map controls should be displayed for zooming and navigating the map?'),(2625,'theme','map','smoothzoom','1','Enable Smooth Zooming?','boolean',0,'','','Enables continuous smooth zooming for select browsers.'),(2626,'theme','map','mousewheel','1','Enable Mousewheel Zooming?','boolean',0,'','','Enables zooming using a mouse\'s scroll wheel.'),(2627,'theme','map','ctrl_overview','0','Enable Mini Map?','boolean',0,'','','Creates a collapsible overview mini-map in the corner of the main map for reference location and navigation (through dragging).'),(2628,'theme','map','standard_icon','man32.png','Standard Icon','text',0,'blank','','Default image to use for the standard icon for players w/o a custom icon.\r\n\r\nThis icon must be 32x32 or it might not display properly on the map.\r\n\r\nThis is a filename of an icon to use within the themes/[theme]/img/icons/ directory. No path or URL should be included on this path.'),(2629,'theme','map','standard_icon_shadow','man32.shadow.png','Standard Icon Shadow','text',0,'','','Default shadow icon.\r\n\r\nThis icon should be 59x32 or it might not display properly on the map.\r\n\r\nThis is a filename of an icon to use within the themes/[theme]/img/icons/ directory. No path or URL should be included on this path.'),(2630,'theme','map','enable_custom_icons','1','Enable Custom Player Icons?','boolean',0,'','','Should player icons be displayed in the map?\r\n\r\n<b>Note:</b> Due to various image sizes, custom player icons may not always display properly on the map and custom icons do not have a shadow.'),(2631,'main',NULL,'map_save_spatial','1','Save spatial statistics?','boolean',0,'','','Should spatial statistics be collected and saved? Spatial stats track where the location of a player is when they kill or die. These statistics allow for some advanced map overlays to be collected in the map statistics to produce Heatmaps.\r\n\r\n<b>Warning:</b> Enabling spatial statistics requires a lot of extra storage space in the database, and will require more memory when processing logs and will slow down log processing.\r\n\r\n<b>Requirement:</b> In order for spatial stats to be available you must run the PsychoStats plugin on your server. See the <a href=\"http://www.psychostats.com/doc/Spatial\">online documentation</a> for more information.'),(5000,'main',NULL,NULL,'Global configuration settings that affect how and what stats are collected and how users interact with your stats website.','General','none',1,NULL,NULL,NULL),(5001,'main','awards',NULL,'Settings that affect how often awards are calculated. To create or edit actual awards go to the <a href=\"awards.php\">awards list</a>.','Awards','none',1,NULL,NULL,NULL),(5002,'main','daily',NULL,'Settings that affect the \'daily\' calculations being run automatically during long stats.pl updates.','Daily Updates','none',1,NULL,NULL,NULL),(5003,'main','decay',NULL,'Decay settings affect all player stats. When enabled, player skill values will decay automatically depending on how often or little they connect to one of your game servers.','Decay','none',1,NULL,NULL,NULL),(5005,'main','errlog',NULL,'Settings to change how error logging is performed and maintained.','Error Logs','none',1,NULL,NULL,NULL),(5006,'main','ranking',NULL,'Settings for player and clan ranking rules. These settings limit what players and clans can rank in the stats. The lower these settings are the more will rank overall. Note: Changing these settings requires the daily updates \'players\' and \'ranks\' to be processed to see any change.','Ranking','none',1,NULL,NULL,NULL),(5007,'main','security',NULL,'Security settings help protect your PsychoStats installation.','Security','none',1,NULL,NULL,NULL),(5008,'main','skillcalc',NULL,'Skill calculation settings are used with the old ELO method of skill rankings in PsychoStats. Do not change these settings.\r\n\r\n',NULL,'none',1,NULL,NULL,NULL),(5009,'theme',NULL,NULL,'General theme settings that define paths and URL\'s that setup the theme on your server. Most users can keep all paths and URL\'s blank for the system defaults.','General','none',1,NULL,NULL,NULL),(5010,'theme','format',NULL,'Theme formatting options for various dynamic output within a theme. Specify how dates and times will appear in the stats and limit what users can enter for logos.','Formats / HTML','none',1,NULL,NULL,NULL),(5011,'theme','icons',NULL,'Basic ICON (tiny avatar) settings. Limit the size, type and who can upload icons.','Icons','none',1,NULL,NULL,NULL),(5012,'theme','images',NULL,'Basic dynamic image options. These settings are depreciated. Dynamic images are no longer used. ','Images','none',1,NULL,NULL,NULL),(5013,'theme','map',NULL,'Google map settings. Configure how the google map within the player stats will appear. <b>Most important:</b> Configure your google map API key. Go to: <a href=\"http://www.google.com/apis/maps/signup.html\">http://www.google.com/apis/maps/signup.html</a> for more information and your FREE key!','Google Map','none',1,NULL,NULL,NULL),(5014,'theme','permissions',NULL,'General permission settings for theme output. These settings enable/disable various things from appearing in the player stats. Choosing to hide certain features in the theme output does not entirely disable that feature (ie: hiding the Admin link does not disable access to the admin section of the website).','Permissions','none',1,NULL,NULL,NULL),(5015,'main','heatmap',NULL,'Heatmaps are dynamic images that represent spatial player information. Red glowing spots on a heatmap indicate a high concentration of events on that point in the image. \"Death Heatmaps\" are the most common information to display.','Heatmaps','text',0,NULL,NULL,NULL),(5016,'main','psycholive',NULL,'PsychoLive playback settings change the way a PsychoLive recording is played back to a user in their browser.','PsychoLive','text',1,NULL,NULL,NULL),(6000,'main','daily','per_day_ranks','1','Calculate ranks every day?','boolean',0,'blank,numeric','','If enabled, player ranks will be recalculated when the day changes within the context of the current logs being scanned. This is only useful when batch processing several days of logs. This helps keep the up/down rank arrows more accurate.'),(6001,'theme','permissions','show_plr_profile','1','Show Player Profiles?','boolean',0,'','','Should player profiles be displayed?\r\n\r\nPlayer profiles are the extra information that players can configure on their player pages. This includes their website, email, AIM, ICQ, Steam community page link, a google map and possibly other information.'),(6002,'main','heatmap','scale','0.5','Heatmap scale','text',0,'blank,numeric','size=5','The scale represents the size of the heatmap to generate. \r\n\r\nA scale of 1 means the heatmap will be the same resolution as the map overlay and has no loss of detail. A scale of 0.5 means the heatmap would be 1/2 the size, and a scale of 2 would be double the size. When a heatmap is displayed on top of a map overlay image it is stretched automatically to fit the actual overlay image.\r\n\r\nThe larger the heatmap the longer it takes to process the image and the larger the file or database storage is required.\r\n\r\n<b>Recommendation:</b> 0.5 (with a brush size of \'medium\')'),(6003,'main','heatmap','brush','medium','Heatmap brush size','select',0,'blank','small:Small (9x9)\r\nmedium:Medium (25x25)\r\nlarge:Large (53x53)','The brush size determines how large the heatmap plots are. A small brush will produce very small \'dots\' on the heatmap and shows a very detailed heatmap. A large brush size causes more \'heat\' to be applied and causes larger areas to be consumed on the overlay. \r\n\r\n<b>Recommendation:</b> Medium (with a scale of 0.5)'),(6006,'main','heatmap','maxdays','365','Max days spatial data','text',0,'blank,numeric','size=5','Maximum days of spatial data to keep for heatmaps. A months worth of spatial data on an active server can be roughly 10-15MB and over 300k samples of data.\r\n\r\nAnything past about a month or so will not generally provide any more detail on heatmaps.\r\n\r\n<b>Recommendation:</b> 1-2 months'),(6007,'main','heatmap','dir','','Directory','text',0,'','','By default, heatmaps are stored in the database so they can be retrieved from the webserver w/o any file permission or location problems. If your psychostats installation is run from another machine you must store heatmaps in the database.\r\n\r\nHeatmaps will be saved in the directory specified, or if left blank they will be saved in the database.\r\n\r\n<b>Recommendation:</b> If stats.pl is run on this web server then specify a directory that is accessible to the web server. Otherwise leave this blank.'),(6008,'main','heatmap','expires','3600','Expire Cache','text',0,'numeric','size=5','How many seconds a heatmap image can be cached on the client\'s browser. This is a per-client setting and does not always force a heatmap image to be cached. Typically, a user\'s browser will cache the images it downloads for a short period and will not re-download the image unless the user forces the browser to reload all images. If left blank, no expires header is sent to the client.\r\n\r\nThis setting will help reduce load on your web server. <b>Only works on Apache web servers!</b>\r\n\r\n<b>Recommendation:</b> 1 hour (3600 seconds)'),(6009,'theme',NULL,'overlays_dir','','Images: Overlays directory','text',0,'','','Absolute root directory where map overlay images are located. These images are used for heatmaps.\r\n\r\n<b>Recommendation:</b> Leave blank for default. (auto-discovered)'),(6010,'theme',NULL,'overlays_url','','Images: Overlays URL','text',0,'','','Absolute URL for map overlay images. This should match up to the location of the \"Overlays directory\" setting. So the images can be referenced within the theme output correctly.\r\n\r\n<b>Recommendation:</b> Leave blank for default (auto-discovered)'),(6011,'theme','permissions','show_hitbox','1','Show Player Hitbox?','boolean',0,'','','Should the hitbox for weapons be displayed? Most games have some sort of hitbox / accuracy information logged and is displayed by PsychoStats but some may not. \r\n\r\n<b>Recommended:</b> On for most games.'),(6012,'main','heatmap','limit','25000','Maximum Samples','text',0,'numeric','size=5','Limit the total samples of spatial data to use to generate a heatmap. The more samples allowed the more detailed a heatmap will be, but will take longer to render when created.\r\n\r\nLeave blank for the default of 5500\r\n\r\n<b>Recommendation:</b> 5000 - 10000'),(6013,'main','security','search_limit','1000','Search Limit','text',0,'blank,numeric','size=5','Hard limit on the total number of results allowed to be returned in a search result.\r\n\r\n<b>Recommendation:</b> 1000'),(6014,'theme',NULL,'language','','Default Language','text',0,'','','Enter the default language to use for themes. A valid name of the language file within the \'language\' directory of your theme must be entered. \r\n\r\nIf no value is entered or an invalid value is entered then en_US will be used by default.'),(6015,'theme','','enable_gzip','0','Enable GZIP Compression','boolean',0,'','','Enables GZIP (or deflate) compression for all theme based output. Compression can reduce the output of a page up to 10 times or more! This feature auto-disables itself for clients that do not support compression.\r\n\r\nIf PsychoStats is embedded into a 3rd party application this feature should usually be disabled otherwise you may end up with double or mismatched compression and the output will be corrupted.\r\n\r\n<b>Recommendation:</b> Enabled'),(6016,'main','daily','stream_save_seconds','60','Stream save frequency','text',0,'blank,numeric','size=5','How often a \"STREAM\" log source will save it\'s stats to the database. A low value is desired when you want extremely real-time stats. \r\n\r\nDo not set this too low, or you will waste CPU cycles inserting nothing into the database.\r\n\r\n<b>Recommended:</b> 60 seconds'),(6017,'theme','','js_compress','0','Compress Javascript?','boolean',0,'','','If \"GZIP Compression\" is enabled and a client supports gzip or deflate compression then all javascript within a theme will automatically be combined and compressed into a single request. \r\n\r\nEnabling this is recommended for most people, as it reduces the number of requests to your server and speeds up javascript on the client side.\r\n\r\nThe configuration option \"Enable GZIP Compression\" must be enabled for this to have any affect.\r\n\r\n<b>Recommendation:</b> Yes'),(6018,'main','psycholive','delay','15','Playback Delay','text',0,'numeric','size=5','How many seconds to delay playback of a real-time game. Delaying the playback of a game prohibits players from viewing a real-time game online and using that to cheat in-game by seeing where players are located.\r\n\r\n<b>Recommendation:</b> 15 - 30 seconds');
INSERT INTO `ps_config_awards` (`id`, `enabled`, `idx`, `type`, `negative`, `class`, `name`, `groupname`, `phrase`, `expr`, `order`, `where`, `limit`, `format`, `gametype`, `modtype`, `rankedonly`, `description`) VALUES (4,1,10,'player',0,'','Highest Skill','','{$player.link} has the highest skill with {$award.value}','{$skill}','desc','',0,'%.02f',NULL,NULL,1,'Player with the highest skill'),(5,1,90,'player',0,'','Most Bombings','','{$player.link} has the most successful bombings ({$award.value} bombs)','{$bombexploded}','desc','',25,'commify','halflife','cstrike',1,'Players with the most successful bombed targets'),(6,1,20,'player',0,'','Most Kills','','{$player.link} has killed the most players ({$award.value})','{$kills}','desc','',0,'commify',NULL,NULL,1,'Player with the most kills (any team)'),(7,1,110,'player',0,'','Most Hostages Rescued','','{$player.link} has rescued the most hostages ({$award.value})','{$rescuedhostages}','desc','',0,'commify','halflife','cstrike',1,'Players that risk life and limb to save hostages!'),(8,1,70,'player',0,'','Most Time Online','','{$player.link} has been online the longest ({$award.value})','{$onlinetime}','desc','',25,'compacttime',NULL,NULL,1,'Player with the most online time'),(9,1,190,'weaponclass',0,'','Most Kills with {$weapon.class} weapons','','{$player.link} has the most {$weapon.class} kills ({$award.value})','{$kills}','desc','',0,'commify',NULL,NULL,1,'Most kills with {$weapon.class} type weapons (including: {$weapon.list}).'),(10,1,180,'weapon',0,'','Most Kills with {$weapon.name}','','{$player.link} has the most {$weapon.link} kills ({$award.value})','{$kills}','desc','',0,'commify',NULL,NULL,1,'Most kills with a {$weapon.name}'),(11,1,80,'player',0,'','Demolitions Man','','{$player.link} has the best demolition percentage of {$award.value}','{$bombrunner} / {$bombexploded} * 100','desc','',25,'%0.02f%%','halflife','cstrike',1,'Players with the highest percentage of spawning with and planting the bomb and actually having it explode.'),(12,1,100,'player',0,'','Bomb Defusal Expert','','{$player.link} has the best defusal rating of {$award.value}','{$bombdefused} / {$bombdefuseattempts} * 100','desc','{$bombdefused} >= 5',25,'%0.02f%%','halflife','cstrike',1,'Player with the best bomb defuses percentage (must have at least 5 defuses to count)'),(13,1,30,'player',0,'','Most Bonus Points','','{$player.link} achieved the most bonus points ({$award.value})','{$totalbonus}','desc','',25,'commify',NULL,NULL,1,'Player that has achieved the most bonus points.'),(17,1,165,'player',0,'','Most Allied Flags Captured','','{$player.link} has the most Allied flag captures ({$award.value} flags)','{$alliesflagscaptured}','desc','',10,'commify','halflife','dod',1,'Most flags captured as an ally.'),(19,1,170,'player',0,'','Most Axis Flags Captured','','{$player.link} has the most Axis flag captures ({$award.value} flags)','{$axisflagscaptured}','desc','',10,'commify','halflife','dod',1,'Most flags captured as an Axis.'),(22,1,140,'player',0,'','Most Flags Captured','','{$player.link} has captured the most flags ({$award.value})','{$flagscaptured}','desc','',10,'commify','halflife','dod|tf2',1,'Player has captured the most flags.'),(23,1,50,'player',1,'','Worst Teammate','','{$player.link} has killed the most teammates ({$award.value})','{$ffkills}','desc','',0,'commify',NULL,NULL,1,'Player with the most friendly fire kills (ie: Worst Teammate)'),(24,1,40,'player',1,'','Suicide King','','{$player.link} has commited suicide the most ({$award.value})','{$suicides}','desc','',10,'commify',NULL,NULL,1,'Players with nothing to live for'),(25,1,60,'player',1,'','Worst Team Kill Percentage','','{$player.link} has the highest team kill percentage ({$award.value})','{$ffkills} / {$kills} * 100','desc','',0,'%0.02f%%',NULL,NULL,1,'Player with the highest team kill percentage.'),(26,1,120,'player',1,'','Most Hostages Killed','','{$player.link} has killed the most hostages ({$award.value})','{$killedhostages}','desc','',0,'%s','halflife','cstrike',1,'Players that like to kill hostages instead of rescuing them.'),(27,1,130,'player',0,'','Most Backstabs','','{$player.link} has the most sneaky backstabs ({$award.value})','{$backstabkills}','desc','',0,'commify','halflife','tf2',1,'Players that are sneaky and like to kill others from the shadows!'),(28,1,160,'player',0,'','Most Flags Defended','','{$player.link} has defended the most flags ({$award.value})','{$flagsdefended}','desc','',1,'%s','halflife','dod|tf2',1,'Player who has defended (or returned) the most flags from the enemy.');
INSERT INTO `ps_config_clantags` (`id`, `idx`, `clantag`, `overridetag`, `pos`, `type`, `example`) VALUES (8,70,'^(([^\\w\\d\\S]).+\\2).','','left','regex','-clan-playername'),(7,60,'^(\\].+?\\[).','','left','regex',']clan[playername'),(5,40,'^(<.+?>).','','left','regex','<clan>playername'),(6,50,'^(\\|.+?\\|).','','left','regex','|clan|playername'),(4,30,'^(\\{.+?\\}).','','left','regex','{clan}playername'),(3,10,'^(\\(.+?\\)).','','left','regex','(clan)playername'),(2,5,'^(\\[.+?\\]).','','','regex','[clan]playername'),(9,100,'.(\\[.+?\\])$','','right','regex','playername[clan]'),(10,110,'.(\\(.+?\\))$','','left','regex','playername(clan)'),(11,120,'.(<.+?>)$','','right','regex','playername<clan>'),(12,130,'.(\\|.+?\\|)$','','left','regex','playername|clan|'),(13,80,'^([^\\|]+\\|)','','left','regex','clan|playername'),(14,90,'^(~.+?~).','','left','regex','~clan~playername');
INSERT INTO `ps_config_events` (`id`, `gametype`, `modtype`, `eventname`, `alias`, `regex`, `idx`, `ignore`, `codefile`) VALUES (1,'halflife','','kill','','/^\"(.+(?:<[^>]*>))\" killed \"(.+(?:<[^>]*>))\" with \"([^\"]*)\"(.*)/',10,0,''),(2,'halflife','','attacked','','/^\"(.+(?:<[^>]*>))\" attacked \"(.+(?:<[^>]*>))\" with \"([^\"]+)\"(.*)/',20,1,''),(3,'halflife','','plrtrigger','','/^\"(.+(?:<[^>]*>))\" triggered \"([^\"]+)\"(.*)/',30,0,''),(4,'halflife','','round','','/^World triggered \"([^\"]+)\"(.*)/',40,0,''),(5,'halflife','','entered_game','','/^\"(.+(?:<[^>]*>))\" entered the game(.*)/',50,0,''),(6,'halflife','','joined_team','','/^\"(.+(?:<[^>]*>))\" joined team \"([^\"]+)\"/',80,0,''),(7,'halflife','','suicide','','/^\"(.+(?:<[^>]*>))\" committed suicide with \"([^\"]+)\"(.*)/',100,0,''),(8,'halflife','','changed_name','','/^\"(.+(?:<[^>]*>))\" changed name to \"([^\"]+)\"/',90,0,''),(9,'halflife','','connected','','/^\"(.+(?:<[^>]*>))\" connected, address \"([^\"]+)\"/',60,0,''),(10,'halflife','','connected_steamid','','/^\"(.+(?:<[^>]*>))\" (?:STEAM|VALVE) USERID (.+)/',70,0,''),(11,'halflife','','disconnected','','/^\"(.+(?:<[^>]*>))\" disconnected/',110,0,''),(12,'halflife','','chat','','/^\"(.+(?:<[^>]*>))\" say(_team)* \"(.*)\"?(.*)/',120,0,''),(13,'halflife','','rcon','','/^(Bad )?Rcon: \"rcon (-*\\d+) \"?(.*?)\"? (.+?)(?:\" from \"([^\"]+)\")?/',140,1,''),(14,'halflife','','cheated','','/^Secure: \"(.+(?:<[^>]*>))\" was detected cheating/',150,0,''),(15,'halflife','','ban','','/^(Addip|Ban(?:id)?): \"([^\"]+)\" was (?:kicked and )?(?:banned)(?: by IP)? \"([^\"]+)\" by \"([^\"]+)\"(.*)/',160,1,''),(16,'halflife','','unban','','/^Remove(id|ip): \"([^\"]+)\" was unbanned by \"(.+(?:<[^>]*>))\"(.*)/',170,1,''),(17,'halflife','','kick','','/^Kick: \"(.+(?:<[^>]*>))\" was kicked by \"(.+(?:<[^>]*>)?)\"(.*)/',180,0,''),(18,'halflife','','pingkick','','/^\"(.+(?:<[^>]*>))\" kicked due to high ping(.*)/',190,0,''),(19,'halflife','','ffkick','','/^\"(.+(?:<[^>]*>))\" has been auto kicked from the game for TKing/',200,0,''),(20,'halflife','','startedmap','','/^(Started|Loading) map \"([^\"]+)\"(.*)/',210,0,''),(21,'halflife','','logstartend','','/^Log file (started|closed)(.*)/',220,0,''),(22,'halflife','','ignored1','','/^[Ss]erver (?:cvars?|say|shutdown)/',250,1,''),(23,'halflife','','ignored2','','/^(?:\\]TSC\\[|Succeeded|FATAL|-|Loaded)/',260,1,''),(24,'halflife','','ignored3','','/^(?:Config|Swear|server_)/',270,1,''),(25,'halflife','','ignored4','','/^\"[^\"]+\" = \"/',280,1,''),(26,'halflife','cstrike','cs_teamscore','','/^Team \"([^\"]+)\" scored \"([^\"]+)\" with \"([^\"]+)\" players/',290,0,''),(27,'halflife','cstrike|tf2','teamtrigger','','/^Team \"([^\"]+)\" triggered \"([^\"]+)\"(.*)/',300,0,''),(28,'halflife','cstrike','cs_ignore1','','/^Counter-Strike Plugin/',310,1,''),(29,'halflife','cstrike','cs_ignore2','','/^Votemap/',320,1,''),(30,'halflife','dod','plrtrigger','','/^\"(.+(?:<[^>]*>))\" triggered(?: a)? \"([^\"]+)\"(.*)/',400,0,''),(31,'halflife','dod','dods_scores','','/^Team \"([^\"]+)\" (scored|captured)/',390,1,''),(32,'halflife','dod','dods_ignore1','','/^\"(.+(?:<[^>]*>))\" blocked/',380,1,''),(33,'halflife','dod|tf2|natural','changed_role','','/^\"(.+(?:<[^>]*>))\" changed role to \"([^\"]+)\"/',340,0,''),(34,'halflife','dod','dod_objitem','','/^\"(.+(?:<[^>]*>))\" triggered an objective item/',350,1,''),(35,'halflife','dod','dod_teamscore','','/^\"([^\"]+)\" scored \"([^\"]+)\" with \"([^\"]+)\" players/',360,0,''),(36,'halflife','dod','teamtrigger','','/^Team \"([^\"]+)\" triggered(?: a)? \"([^\"]+)\"(.*)/',330,0,''),(37,'halflife','dod','dod_ignore1','','/^(?:Final)/',370,1,''),(49,'halflife','','plugin','','/^\\[[^\\]]+\\]/',240,1,''),(39,'halflife','natural|tf2','plrtrigger','','/^\"(.+(?:<[^>]*>))\" triggered \"([^\"]+)\"(?: against \"(.+(?:<[^>]*>))\")?(.*)/',410,0,''),(40,'halflife','natural','ns_mapinfo','','/^\\(map_name \"([^\"]+)\"\\)(.*)/',420,0,''),(41,'halflife','natural','ns_teamlost','','/^Team \\d+ has lost/',440,1,''),(42,'halflife','natural','ns_ignore1','','/^(?:Map validity|Game reset|AvHGamerules|Contact|BUG:|AvHVisibleBlipList)/',450,1,''),(43,'halflife','natural','ns_ignore2','','/^Team \"\\d+\" scored/',460,1,''),(44,'halflife','natural','ns_eject_fix','','/^Eject commander: \\d+ of \\d+ votes needed\\.(.*)/',430,0,''),(45,'halflife','','rcon2','','/^rcon from/',130,1,''),(46,'halflife','tf2','tf2_kick','kick','/^Kick:/',480,1,''),(47,'halflife','tf2','tf2_teamscore','','/^Team \"([^\"]+)\" (\\w+) score \"(\\d+)\" with \"(\\d+)\" players/',470,1,''),(48,'halflife','','spatial','','/^\\[KTRAJ\\] \"(.+(?:<[^>]*>))\" killed \"(.+(?:<[^>]*>))\" with \"([^\"]*)\"(.*)/',230,0,''),(50,'halflife','','console','','/^(CONSOLE|PLAYER FILTER) :/',490,1,''),(52,'cod','','cod_init','','/^InitGame:\\s*(.+)/',500,0,''),(53,'cod','','cod_shutdown','','/^ShutdownGame:/',520,0,''),(59,'cod','','cod_plrtrigger','','/^(\\w+);(.+)/',495,0,'');
INSERT INTO `ps_config_overlays` (`id`, `gametype`, `modtype`, `map`, `minx`, `miny`, `maxx`, `maxy`, `width`, `height`, `flipv`, `fliph`, `rotate`) VALUES (1,'halflife','cstrike','cs_assault',-4250,3400,7530,7250,485,500,1,1,0),(2,'halflife','cstrike','cs_compound',290,-2400,5500,3750,373,500,1,0,0),(3,'halflife','cstrike','cs_estate',-1135,-2175,1311,527,647,711,1,0,0),(4,'halflife','cstrike','cs_havana',-1520,-1220,1700,2300,497,500,1,0,0),(5,'halflife','cstrike','cs_italy',-1530,-2100,1090,2560,284,500,1,0,0),(6,'halflife','cstrike','cs_office',-1820,-2200,2350,1300,598,500,1,0,0),(7,'halflife','cstrike','cs_siege',-2813,-1391,3911,3895,970,765,1,0,0),(8,'halflife','cstrike','de_airstrip',-3239,-3279,839,2815,640,968,1,0,0),(9,'halflife','cstrike','de_aztec',-3130,-1770,2980,1500,917,500,1,0,0),(10,'halflife','cstrike','de_cbble',-3450,-2300,1530,2950,475,500,1,0,0),(11,'halflife','cstrike','de_chateau',-500,-1450,3110,2910,417,500,1,0,0),(12,'halflife','cstrike','de_dust',-2100,-1850,2600,3800,409,500,1,0,0),(13,'halflife','cstrike','de_dust2',-2240,-1080,1800,3320,470,500,1,0,0),(14,'halflife','cstrike','de_inferno',-2000,-800,2800,3640,535,500,1,0,0),(15,'halflife','cstrike','de_nuke',-3000,-2530,3690,960,964,500,1,0,0),(16,'halflife','cstrike','de_piranesi',-2900,-930,2560,2720,759,500,1,0,0),(17,'halflife','cstrike','de_prodigy',-220,-1640,3350,1050,662,500,1,0,0),(18,'halflife','cstrike','de_seasideresort',-1820,-2150,2100,4190,308,500,1,0,0),(19,'halflife','cstrike','de_survivor',-1903,-1263,3455,3055,965,764,1,0,0),(20,'halflife','cstrike','de_tides',-1750,-2000,1300,1280,485,500,1,0,0),(21,'halflife','cstrike','de_train',-2000,-1800,2050,1900,560,500,1,0,0),(22,'halflife','cstrike','dm_duel_v2',-770,-1209,1614,1232,1002,972,1,0,0),(23,'halflife','cstrike','fy_beachparty_v1',-288,-1008,2192,960,1002,972,1,0,0),(24,'halflife','cstrike','fy_iceworld',-752,-944,752,944,1002,972,1,0,0),(25,'halflife','cstrike','fy_paintball',396,-1740,1488,778,1002,972,1,0,0),(26,'halflife','cstrike','fy_poolparty_v2',-264,-1966,718,-205,1002,972,1,0,0),(27,'halflife','cstrike','fy_simpsons_h',-952,-461,952,469,1002,972,1,0,0),(28,'halflife','cstrike','fy_xbox',-1792,-672,496,672,1002,972,1,0,0),(29,'halflife','cstrike','tc_hydro',-5928,-3152,6600,2952,1146,564,1,0,0),(30,'halflife','dod','dod_acclaim',-1920,-3456,2560,3584,589,941,1,0,0),(31,'halflife','dod','dod_advance',-1152,-3968,2176,3968,589,941,1,0,0),(32,'halflife','dod','dod_dummy',1472,-3968,-2176,4032,460,1015,1,0,0),(33,'halflife','dod','dod_edge2',-2176,-3968,1472,4032,460,1015,1,0,0),(34,'halflife','dod','dod_expire_b3',-3840,-1508,3608,1124,1005,354,1,0,0),(35,'halflife','dod','dod_freeze_b5',-2112,-1024,3648,3584,876,704,1,0,0),(36,'halflife','dod','dod_frost2',-3326,-2562,3076,3348,799,735,1,0,0),(37,'halflife','dod','dod_fury',-2048,-2240,2176,2816,679,785,1,0,0),(38,'halflife','dod','dod_muhle_b2',-3978,-2054,1872,1890,871,585,1,0,0),(39,'halflife','dod','dod_siracusa',-1216,-2304,2560,2496,589,742,1,0,0),(40,'halflife','dod','dod_snowcity_v3',-3484,-3646,3454,318,989,565,1,0,0),(41,'halflife','dod','dod_steinburg',-3264,-2560,1088,3136,629,818,1,0,0),(42,'halflife','dod','dod_strom_b4',-2674,-2128,2760,2458,943,797,1,0,0),(43,'halflife','dod','dod_tact_v5',-1728,-3200,3392,640,819,618,1,0,0),(44,'halflife','dod','dod_thunder',-3968,-3840,3840,2304,974,760,1,0,0),(45,'halflife','dod','dod_vire',-1168,-3456,2560,528,699,746,1,0,0),(46,'halflife','tf2','cp_badlands',-2504,-4840,2504,4840,861,903,1,0,0),(47,'halflife','tf2','cp_castle3',-2736,-2640,8328,6896,1304,1126,1,0,0),(48,'halflife','tf2','cp_corporation_b1',-2952,-3272,2980,2015,1009,898,1,0,0),(49,'halflife','tf2','cp_desertfortress',-2794,-2388,2494,2892,886,884,1,0,0),(50,'halflife','tf2','cp_dogblu_b3',-1048,-2392,3816,10968,378,1049,1,0,0),(51,'halflife','tf2','cp_dustbowl',-3716,-2912,2856,3422,928,915,1,0,0),(52,'halflife','tf2','cp_four_trees_v2',-1348,-4693,1874,4250,443,1172,1,0,0),(53,'halflife','tf2','cp_granary',-4224,-6868,1153,6868,429,1140,1,0,0),(54,'halflife','tf2','cp_gravelpit',-5376,-1024,2248,5636,848,741,1,0,0),(55,'halflife','tf2','cp_jailbreak_b3',-4200,-9615,495,-1168,625,1119,1,0,0),(56,'halflife','tf2','cp_japan_v2',3092,-3617,11784,-1140,1598,430,1,0,0),(57,'halflife','tf2','cp_junction_v2',-3329,-1018,2528,5080,831,898,1,0,0),(58,'halflife','tf2','cp_labor',-1602,-4862,1444,3096,453,1175,1,0,0),(59,'halflife','tf2','cp_lazytown',-3560,-2856,1768,6696,629,1125,1,0,0),(60,'halflife','tf2','cp_redstone_b1',-2026,-7008,2977,6340,429,1118,1,0,0),(61,'halflife','tf2','cp_roswell_b2',-840,-1695,3391,4121,720,987,1,0,0),(62,'halflife','tf2','cp_silo_b3',-872,-4120,2016,6360,240,1124,1,0,0),(63,'halflife','tf2','cp_switchback_b5',-1624,-3488,2000,9104,328,1135,1,0,0),(64,'halflife','tf2','cp_vertigo_beta3',-1208,-2766,2792,2860,804,1102,1,0,0),(65,'halflife','tf2','cp_warpath2_1b',-3761,-2962,3983,2962,1200,915,1,0,0),(66,'halflife','tf2','cp_well',-4608,-6696,1534,7464,480,1109,1,0,0),(67,'halflife','tf2','ctf_2fort',-1960,-4248,1960,4248,396,907,1,0,0),(68,'halflife','tf2','ctf_chaos',-1656,-660,1656,3108,657,746,1,0,0),(69,'halflife','tf2','ctf_impact2',-768,-3128,2454,3968,427,934,1,0,0),(70,'halflife','tf2','ctf_mach4',-969,-2129,1672,3620,515,1113,1,0,0),(71,'halflife','tf2','ctf_turbine_v3',-3856,-1752,3856,1752,1506,684,1,0,0),(72,'halflife','tf2','ctf_well',-4608,-5800,1534,6568,500,1017,1,0,0);
INSERT INTO `ps_config_plrbonuses` (`id`, `eventname`, `enactor`, `enactor_team`, `victim`, `victim_team`, `description`, `gametype`, `modtype`) VALUES (1,'planted_the_bomb',2,1,0,-1,'When a player plants the bomb','halflife','cstrike'),(2,'defused_the_bomb',2,0,-1,0,'A player defused the bomb successfully. Use the \'bomb_defused\' event for team bonses.','halflife','cstrike'),(3,'rescued_a_hostage',3,0,0,0,'When a player rescues a hostage','halflife','cstrike'),(8,'bomb_runner',1,0,0,0,'Player spawned with and planted the bomb w/o dropping it','halflife','cstrike'),(7,'bomb_defused',0,2,0,-2,'TEAM event that fires when a round ends and the CT team defuses the bomb (use \'defused_the_bomb\' for enactor bonus)','halflife','cstrike'),(10,'target_bombed',5,2,0,-2,'TEAM event that fires when the bomb explodes and the terrorists win','halflife','cstrike'),(11,'suicide',-1,0,0,0,'When a player commits suicide. Does not count when a player switches teams.','',''),(12,'all_hostages_rescued',0,2,0,-2,'TEAM event that fires when all hostages on a CS map have been rescued (no enactor)','halflife','cstrike'),(13,'target_saved',0,5,0,-5,'TEAM event that fires when a round ends and the terrorists did not plant a bomb','halflife','cstrike'),(14,'hostages_not_rescued',0,2,0,-2,'TEAM event that fires when a round ends and the hostages are NOT rescued','halflife','cstrike'),(15,'bomb_defuse',2,1,-1,0,'A player defused a bomb','halflife','dod'),(16,'bomb_plant',2,1,0,0,'A player planted a bomb','halflife','dod'),(17,'dod_blocked_point',1,0,0,0,'1 or more players blocked a control point before it could be captured from the enemy team.','halflife','dod'),(18,'dod_capture_area',2,0,0,0,'1 or more players captured a flag area','halflife','dod'),(19,'dod_control_point',2,0,0,0,'A Player captured a flag point','halflife','dod'),(20,'kill_planter',5,0,0,0,'A player killed a player while they were attempting to plant a bomb.','halflife','dod'),(21,'votedown',0,0,0,0,'A player voted for the current commander (victim) to step down.','halflife','natural'),(23,'structure_destroyed',0,0,0,0,'A player destroyed a structure','halflife','natural'),(36,'kill_assist',0,0,0,0,'When a player assists in another kill','halflife','tf2'),(35,'commander_win',0,0,0,0,'When the marines win, the commander can be given some bonus points.','halflife','natural'),(27,'round_win',0,5,0,-5,'TEAM event that fires when a round ends and a team won','halflife','dod|natural'),(28,'killed_a_hostage',-3,0,0,0,'When a player kills a hostage','halflife','cstrike'),(29,'escaped_as_vip',10,0,0,0,'When a player escapes an \'es\' map as the VIP (use \'vip_escaped\' for team bonuses)','halflife','cstrike'),(30,'vip_escaped',0,5,0,-5,'TEAM event that fires when the VIP escapes the map (use escaped_as_vip for enactor bonus)','halflife','cstrike'),(31,'assassinated_the_vip',10,0,-5,0,'When a player kills the VIP (use \'vip_assassinated\' for team bonuses)','halflife','cstrike'),(32,'vip_assassinated',0,10,0,-10,'TEAM event that fires when the VIP was killed (use \'assassinated_the_vip\' for enactor bonus)','halflife','cstrike'),(33,'vip_not_escaped',0,5,0,-5,'TEAM event that fires when the VIP does not escape and terrorists win','halflife','cstrike'),(34,'ffkill',-1,0,0,0,'when a player kills a team mate','',''),(37,'flag_defended',5,0,0,0,'When a player defends a flag','halflife','tf2|soldat'),(38,'flag_captured',5,0,0,0,'When a player captures a flag','halflife','tf2|soldat'),(39,'chargedeployed',0,0,0,0,'When a player (medic) deploys their uber charge thingy','halflife','tf2'),(40,'captureblocked',0,0,0,0,'When a player blocks another from capturing a point','halflife','tf2'),(41,'pointcaptured',0,5,0,-5,'TEAM event that fires when a point is captured','halflife','tf2');
INSERT INTO `ps_config_themes` (`name`, `parent`, `enabled`, `version`, `title`, `author`, `website`, `source`, `image`, `description`) VALUES ('default',NULL,1,'1.0','Default Theme','Stormtrooper','http://www.psychostats.com/','http://updates.psychostats.com/themes/default.xml','http://updates.psychostats.com/themes/default.png','Default PsychoStats theme.'),('default-blue','default',1,'1.0','Default Theme - blue skin','Stormtrooper','http://www.psychostats.com/','http://updates.psychostats.com/themes/default-blue.xml','http://updates.psychostats.com/themes/default-blue.png','blue skin for default theme.');
INSERT INTO `ps_geoip_ip` (`cc`, `start`, `end`) VALUES ('GB',33996344,33996351),('US',50331648,68257567),('CA',68257568,68257599),('US',68257600,68259583),('CA',68259584,68259599),('US',68259600,68296775),('MX',68296776,68296783),('US',68296784,68298887),('CA',68298888,68298895),('US',68298896,68305407),('MX',68305408,68305919),('US',68305920,68314143),('CA',68314144,68314151),('US',68314152,68395663),('CA',68395664,68395671),('US',68395672,68438287),('CA',68438288,68438303),('US',68438304,68649143),('CA',68649144,68649151),('US',68649152,69533951),('CA',69533952,69534207),('US',69534208,69915111),('CA',69915112,69915119),('US',69915120,69956103),('BM',69956104,69956111),('US',69956112,72303007),('CA',72303008,72303039),('US',72303040,72348895),('CA',72348896,72348927),('US',72348928,83886079),('SE',94585424,94585439),('US',100663296,121195295),('IT',121195296,121195327),('US',121195328,152305663),('GB',152305664,152338431),('US',152338432,167772159),('US',184549376,201405503),('PR',201405504,201405511),('US',201405512,201586863),('PR',201586864,201586871),('US',201586872,201674095),('CA',201674096,201674111),('US',201674112,201745663),('PR',201745664,201745671),('US',201745672,201859071),('VI',201859072,201859087),('US',201859088,201888839),('PR',201888840,201888847),('US',201888848,201897983),('PR',201897984,201898239),('US',201898240,202276999),('PR',202277000,202277015),('US',202277016,202385407),('PR',202385408,202385919),('US',202385920,202517983),('PR',202517984,202517991),('US',202517992,202706431),('PR',202706432,202706943),('US',202706944,202713343),('PR',202713344,202713351),('US',202713352,202748735),('PR',202748736,202748743),('US',202748744,202782911),('PR',202782912,202782927),('US',202782928,202783159),('PR',202783160,202783167),('US',202783168,202834111),('PR',202834112,202834175),('US',202834176,202834623),('PR',202834624,202834687),('US',202834688,202934671),('VI',202934672,202934687),('US',202934688,202938479),('VI',202938480,202938495),('US',202938496,202960079),('PR',202960080,202960095),('US',202960096,202998063),('PR',202998064,202998071),('US',202998072,203412087),('PR',203412088,203412095),('US',203412096,203500119),('PR',203500120,203500127),('US',203500128,203654735),('PR',203654736,203654751),('US',203654752,203658271),('PR',203658272,203658287),('VI',203658288,203658303),('PR',203658304,203658383),('US',203658384,203658399),('PR',203658400,203658431),('US',203658432,203658495),('PR',203658496,203658751),('VI',203658752,203658815),('PR',203658816,203658911),('VI',203658912,203658927),('PR',203658928,203658943),('US',203658944,203658991),('PR',203658992,203659007),('US',203659008,203659039),('VI',203659040,203659095),('US',203659096,203659103),('PR',203659104,203659263),('US',203659264,203696487),('PR',203696488,203696495),('US',203696496,203747823),('PR',203747824,203747831),('US',203747832,203799607),('PR',203799608,203799615),('US',203799616,203805087),('PR',203805088,203805095),('US',203805096,203850679),('CA',203850680,203850687),('US',203850688,204046335),('PR',204046336,204047103),('VI',204047104,204047119),('PR',204047120,204047271),('US',204047272,204047279),('VI',204047280,204047295),('US',204047296,204047303),('PR',204047304,204047327),('VI',204047328,204047335),('US',204047336,204047359),('PR',204047360,204047375),('US',204047376,204047391),('PR',204047392,204047423),('US',204047424,204047431),('PR',204047432,204047439),('US',204047440,204047455),('PR',204047456,204047471),('US',204047472,204047479),('PR',204047480,204047519),('VI',204047520,204047535),('PR',204047536,204047999),('US',204048000,204048063),('VI',204048064,204048127),('PR',204048128,204048383),('US',204048384,204089327),('PR',204089328,204089335),('US',204089336,204152831),('PR',204152832,204153855),('US',204153856,204409943),('PR',204409944,204409951),('US',204409952,204443703),('PR',204443704,204443711),('US',204443712,204443735),('PR',204443736,204443743),('US',204443744,204781023),('PR',204781024,204781039),('US',204781040,205500987),('CA',205500988,205500991),('US',205500992,208290127),('PR',208290128,208290135),('US',208290136,208472175),('PR',208472176,208472183),('US',208472184,209799199),('GB',209799200,209799207),('US',209799208,209845143),('DE',209845144,209845151),('US',209845152,209868799),('IR',209868800,209869055),('US',209869056,210784255),('BO',210784256,210784383),('US',210784384,210784767),('BO',210784768,210786303),('US',210786304,210970847),('PR',210970848,210970855),('US',210970856,211051199),('PR',211051200,211051207),('US',211051208,211126783),('PR',211126784,211126911),('US',211126912,211129607),('PR',211129608,211129615),('US',211129616,211313647),('PR',211313648,211313655),('US',211313656,211363751),('PR',211363752,211363759),('US',211363760,211368655),('PR',211368656,211368663),('US',211368664,211536367),('PR',211536368,211536375),('US',211536376,211595575),('VI',211595576,211595583),('US',211595584,211595615),('VI',211595616,211595623),('PR',211595624,211595639),('US',211595640,211596815),('VI',211596816,211596831),('US',211596832,211597055),('VI',211597056,211597071),('US',211597072,211597375),('VI',211597376,211597503),('US',211597504,211597727),('PR',211597728,211597743),('US',211597744,211597751),('PR',211597752,211597775),('VI',211597776,211597791),('US',211597792,211685151),('PR',211685152,211685159),('US',211685160,211739175),('PR',211739176,211739183),('US',211739184,211748207),('PR',211748208,211748223),('US',211748224,211793423),('PR',211793424,211793431),('US',211793432,211816087),('PR',211816088,211816095),('US',211816096,211953287),('PR',211953288,211953295),('US',211953296,212107575),('PR',212107576,212107583),('US',212107584,212230175),('NG',212230176,212230207),('US',212230208,212230655),('NL',212230656,212231167),('US',212231168,212374631),('PR',212374632,212374639),('US',212374640,212417791),('PR',212417792,212417799),('US',212417800,212517199),('VI',212517200,212517215),('US',212517216,212520815),('VI',212520816,212520831),('US',212520832,212787199),('PR',212787200,212788479),('VI',212788480,212788607),('US',212788608,212788647),('PR',212788648,212788663),('US',212788664,212788671),('PR',212788672,212788799),('US',212788800,212788815),('PR',212788816,212788823),('US',212788824,212788863),('PR',212788864,212789007),('US',212789008,212789023),('VI',212789024,212789039),('US',212789040,212789055),('PR',212789056,212789063),('US',212789064,212789071),('PR',212789072,212789079),('US',212789080,212789087),('VI',212789088,212789095),('US',212789096,212789111),('PR',212789112,212789119),('US',212789120,212789135),('PR',212789136,212789143),('US',212789144,212789151),('PR',212789152,212789159),('US',212789160,212789167),('PR',212789168,212789191),('US',212789192,212789199),('VI',212789200,212789215),('US',212789216,212789231),('VI',212789232,212789247),('PR',212789248,212790271),('US',212790272,212791295),('VI',212791296,212791423),('PR',212791424,212791431),('VI',212791432,212791439),('US',212791440,212791455),('PR',212791456,212791807),('US',212791808,212792063),('VI',212792064,212792191),('US',212792192,212792319),('PR',212792320,212792831),('US',212792832,212793087),('VI',212793088,212793151),('US',212793152,212793199),('VI',212793200,212793207),('PR',212793208,212793215),('VI',212793216,212794367),('PR',212794368,212794559),('US',212794560,212794599),('PR',212794600,212794783),('VI',212794784,212794791),('US',212794792,212794799),('VI',212794800,212794831),('US',212794832,212794879),('PR',212794880,212794911),('VI',212794912,212794943),('US',212794944,212794959),('VI',212794960,212794975),('PR',212794976,212794983),('US',212794984,212794991),('VI',212794992,212795007),('PR',212795008,212795135),('US',212795136,212954927),('PR',212954928,212954935),('US',212954936,212955087),('PR',212955088,212955095),('US',212955096,213100183),('PR',213100184,213100191),('US',213100192,213135351),('PR',213135352,213135359),('US',213135360,213268431),('PR',213268432,213268439),('US',213268440,213779847),('PR',213779848,213779855),('US',213779856,213809159),('PR',213809160,213809167),('US',213809168,213895679),('VI',213895680,213895743),('US',213895744,213896799),('VI',213896800,213896831),('US',213896832,213923839),('PR',213923840,213924863),('US',213924864,213925007),('PR',213925008,213925023),('VI',213925024,213925055),('US',213925056,213925631),('PR',213925632,213925887),('US',213925888,214183935),('PR',214183936,214185151),('VI',214185152,214185183),('US',214185184,214185199),('PR',214185200,214185471),('US',214185472,214185983),('PR',214185984,214187007),('VI',214187008,214187775),('US',214187776,214187807),('PR',214187808,214187815),('US',214187816,214187823),('PR',214187824,214187831),('US',214187832,214187887),('PR',214187888,214187895),('VI',214187896,214188031),('US',214188032,214249471),('VI',214249472,214253567),('US',214253568,214858655),('NL',214858656,214858671),('US',214858672,234881023),('US',251658240,289011535),('IT',289011536,289011543),('US',289011544,323243895),('FR',323243896,323243903),('US',323243904,332132119),('IL',332132120,332132127),('US',332132128,355993887),('IT',355993888,355993895),('US',355993896,368674047),('ES',368674048,368674303),('US',368674304,385875967),('GB',385875968,394264575),('US',402653184,405012479),('CA',405012480,405143551),('US',405143552,405180415),('CA',405180416,405184511),('US',405184512,405188607),('US',405192704,405405695),('PR',405405696,405422079),('US',405422080,406388735),('CA',406388736,406454271),('US',406454272,406847487),('CA',406847488,407408639),('US',407408640,407633919),('CA',407633920,408420351),('US',408420352,408502271),('CA',408502272,408518655),('US',408518656,408535039),('CA',408535040,408551423),('US',408551424,409337855),('CA',409337856,409354239),('US',409370624,409419775),('US',409468928,409731071),('CA',409731072,409862143),('US',409862144,409993215),('US',410058752,410124287),('CA',410124288,410189823),('US',410189824,410648575),('CA',410648576,410714111),('US',410714112,411164671),('CA',411164672,411168767),('US',411172864,411303935),('NL',411303936,411369471),('US',411566080,411639807),('CA',411639808,411643903),('CA',411648000,411664383),('US',411664384,411680767),('CA',411680768,411688959),('CA',411697152,411746303),('PR',411746304,411762687),('CA',411762688,411770879),('PR',411779072,411828223),('US',411828224,411893759),('CA',411893760,411959295),('A2',411983872,411992063),('US',412024832,412221439),('CA',412221440,412229631),('US',412286976,412483583),('CA',412483584,412549119),('US',412549120,412614655),('CL',412614656,412647423),('US',412647424,412680191),('CA',412680192,412688383),('US',412696576,412893183),('CA',412909568,412917759),('US',412942336,412946431),('US',413007872,413900799),('PR',413908992,413925375),('US',413925376,415760383),('CA',415760384,416022527),('US',416022528,416219135),('CA',416219136,416251903),('US',416251904,416546815),('CA',416546816,416579583),('US',416612352,416628735),('CA',416628736,416636927),('US',416636928,416641023),('US',416645120,416743423),('CA',416743424,416776191),('US',416776192,417202175),('CA',417202176,417267711),('US',417267712,417366015),('CA',417366016,417398783),('US',417398784,417464319),('CA',417464320,417529855),('US',417529856,417775615),('CA',417775616,417783807),('BS',417800192,417808383),('CA',417808384,417824767),('US',417824768,417857535),('AR',417857536,417923071),('US',417923072,418062335),('CA',418062336,418070527),('US',418070528,418074623),('CA',418078720,418119679),('US',418119680,418316287),('CA',418316288,418320383),('US',418324480,418643967),('CA',418643968,418668543),('US',418668544,418672639),('CA',418672640,418676735),('BS',418676736,418687743),('DM',418687744,418687998),('BS',418687999,418693119),('CA',418693120,418709503),('US',418709504,419430399),('GB',419430400,436207615),('US',436207616,452984831),('US',469762048,540679167),('SE',540679168,540679231),('US',540679232,540680895),('BE',540680896,540680959),('US',540680960,540683775),('DE',540683776,540683783),('US',540683784,540685567),('FR',540685568,540685631),('US',540685632,540686079),('FR',540686080,540686143),('US',540686144,540686591),('GB',540686592,540686599),('US',540686600,540686847),('GB',540686848,540686863),('US',540686864,540686911),('GB',540686912,540686975),('US',540686976,540687103),('GB',540687104,540687111),('US',540687112,540687231),('CA',540687232,540687359),('US',540687360,540694527),('IT',540694528,540694591),('US',540694592,540705023),('IE',540705024,540705031),('US',540705032,540705535),('IE',540705536,540705599),('US',540705600,540711935),('NL',540711936,540712447),('US',540712448,540737535),('BZ',540737536,540737791),('BR',540737792,540737919),('BZ',540737920,540750175),('MX',540750176,540750191),('BZ',540750192,540803071),('US',540803072,540819455),('CA',540819456,540823551),('US',540823552,540826671),('CA',540826672,540826687),('US',540826688,540827135),('CA',540827136,540827263),('US',540827264,540827295),('CA',540827296,540827311),('US',540827312,540827391),('CA',540827392,540827423),('US',540827424,540829695),('CA',540829696,540829951),('US',540829952,540830511),('CA',540830512,540830527),('US',540830528,540830559),('CA',540830560,540830575),('US',540830576,540830623),('CA',540830624,540830735),('US',540830736,540830815),('CA',540830816,540830831),('US',540830832,543690751),('AR',543690752,543691007),('US',543691008,543844351),('CH',543844352,543844607),('US',543844608,603979775),('US',637534208,654311423),('US',671088640,687865855),('ZA',687865856,689963007),('ZA',697303040,697827327),('ZA',698089472,698220543),('GA',698220544,698351615),('ZA',698351616,699400191),('EG',699400192,699465727),('ZA',699465728,699531263),('EG',699531264,699662335),('ZA',699662336,699793407),('NA',699793408,699858943),('ZA',699858944,699924479),('NG',699924480,699990015),('NG',700317696,700325887),('ZW',700325888,700334079),('BJ',700334080,700335103),('GH',700335104,700336127),('CG',700336128,700337151),('CG',700338176,700339199),('NA',700339200,700340223),('GH',700340224,700341247),('MW',700341248,700342271),('NA',700342272,700350463),('UG',700350464,700358655),('CM',700375040,700376063),('NE',700376064,700377087),('KE',700377088,700378111),('EG',700383232,700399615),('ZA',700448768,700579839),('SC',700579840,700580863),('A2',700580864,700585727),('TZ',700585728,700586503),('A2',700586504,700588031),('KM',700588032,700588286),('A2',700588287,700589567),('TZ',700589568,700589695),('A2',700589696,700592383),('KE',700592384,700592639),('A2',700592640,700593151),('NG',700593152,700594175),('A2',700594176,700645375),('ZA',700645376,700710911),('EG',700710912,700776447),('RW',700776448,700841983),('ZA',700841984,700895231),('NG',700895232,700899327),('ZA',700899328,700907519),('EG',700907520,700973055),('DZ',700973056,701104127),('GH',701104128,701112319),('ZA',701112320,701120511),('CI',701120512,701145087),('SD',701145088,701153279),('CM',701153280,701161471),('UG',701161472,701169663),('ZA',701169664,701186047),('NG',701186048,701202431),('NE',701202432,701210623),('ZA',701210624,701214719),('LS',701214720,701218815),('ML',701218816,701222911),('KE',701222912,701227007),('BF',701227008,701231103),('SC',701231104,701235199),('SZ',701235200,701243391),('GH',701243392,701251583),('CM',701251584,701259775),('MG',701259776,701267967),('TZ',701267968,701276159),('KE',701276160,701284351),('ZA',701284352,701292543),('NG',701292544,701300735),('CM',701300736,701308927),('AO',701308928,701317119),('CM',701317120,701325311),('EG',701325312,701333503),('NA',701333504,701341695),('NG',701341696,701349887),('MA',701349888,701358079),('SL',701358080,701366271),('NG',701366272,701374463),('KE',701374464,701382655),('CI',701382656,701390847),('GA',701390848,701399039),('EG',701399040,701407231),('CA',701407232,701415423),('ZA',701415424,701423615),('NG',701423616,701431807),('CI',701431808,701439999),('MG',701440000,701448191),('KE',701448192,701464575),('MU',701464576,701472767),('TG',701472768,701480959),('CI',701480960,701489151),('ZA',701489152,701513727),('LY',701513728,701530111),('SN',701530112,701546495),('ZA',701546496,701562879),('KE',701562880,701579263),('SD',701579264,701595647),('DZ',701595648,701612031),('EG',701612032,701628415),('GH',701628416,701644799),('DZ',701644800,701661183),('UG',701661184,701677567),('AO',701677568,701693951),('GH',701693952,701702143),('SZ',701702144,701710335),('MU',701710336,701718527),('CM',701718528,701726719),('GA',701726720,701743103),('NG',701743104,701759487),('KE',701759488,701792255),('MU',701792256,701825023),('ZA',701825024,701857791),('RE',701857792,701890559),('SN',701890560,701923327),('MA',701923328,701956095),('KE',701956096,701992959),('SZ',701992960,701997055),('GH',701997056,702001151),('NG',702251008,702283775),('UG',702283776,702287871),('ZW',702287872,702291967),('MZ',702291968,702296063),('GH',702296064,702300159),('NG',702300160,702304255),('SL',702304256,702308351),('SC',702308352,702312447),('KE',702312448,702316543),('TZ',702316544,702320639),('DZ',702320640,702324735),('MZ',702324736,702328831),('TZ',702328832,702332927),('MZ',702332928,702337023),('UG',702337024,702341119),('KE',702341120,702345215),('TZ',702345216,702349311),('ZA',702349312,702353407),('DZ',702353408,702357503),('TZ',702357504,702365695),('MZ',702365696,702369791),('UG',702369792,702373887),('MW',702373888,702377983),('NG',702377984,702382079),('EG',702382080,702386175),('ZW',702386176,702390271),('NG',702390272,702394367),('ML',702394368,702398463),('CV',702398464,702402559),('GH',702402560,702406655),('ZA',702406656,702410751),('AO',702410752,702414847),('UG',702414848,702416895),('KE',702416896,702418943),('ZM',702418944,702420991),('TZ',702420992,702423039),('ZA',702423040,702425087),('NG',702425088,702427135),('ZA',702427136,702429183),('TZ',702429184,702431231),('NG',702431232,702435327),('MZ',702435328,702437375),('TZ',702437376,702439423),('MU',702439424,702441471),('ZA',702441472,702443519),('GQ',702443520,702445567),('KE',702445568,702447615),('EG',702447616,702449663),('ZA',702449664,702451711),('NG',702451712,702453759),('TZ',702453760,702455807),('KE',702455808,702457855),('EG',702457856,702459903),('MW',702461952,702463999),('BJ',702464000,702465023),('CD',702465024,702466047),('ZM',702466048,702467071),('SC',702467072,702468095),('NG',702468096,702469119),('ZA',702469120,702470143),('CD',702470144,702471167),('ZA',702471168,702474239),('GH',702474240,702475263),('AO',702475264,702476287),('ZM',702476288,702477311),('RW',702477312,702478335),('AO',702478336,702481407),('TZ',702481408,702482431),('ZA',702482432,702483455),('BW',702483456,702484479),('TZ',702484480,702485503),('EG',702485504,702486527),('NG',702486528,702487551),('CM',702487552,702488575),('ZA',702488576,702490623),('AO',702490624,702491647),('LR',702491648,702492671),('KE',702492672,702493695),('EG',702493696,702494719),('KE',702494720,702495743),('ZA',702495744,702496767),('NG',702496768,702497791),('ZA',702497792,702498815),('BW',702498816,702499839),('MU',702499840,702500863),('NA',702500864,702501887),('UG',702501888,702502911),('SL',702502912,702503935),('GA',702503936,702505983),('AO',702505984,702507007),('CD',702507008,702508031),('KE',702508032,702509055),('ZA',702509056,702510079),('ZM',702510080,702511103),('ZA',702511104,702512127),('MZ',702512128,702513151),('NG',702513152,702514175),('SL',702514176,702515199),('NG',702515200,702516223),('BW',702516224,702517247),('NG',702517248,702518271),('KE',702518272,702519295),('MZ',702519296,702520319),('AO',702520320,702521343),('SD',702521344,702522367),('AO',702522368,702523391),('NG',702523392,702524415),('ZA',702524416,702525439),('DZ',702525440,702526463),('TZ',702526464,702527487),('CF',702527488,702528511),('CG',702528512,702529535),('NG',702529536,702530559),('EG',702530560,702531583),('SD',702531584,702532607),('SC',702532608,702533631),('CI',702533632,702534655),('GM',702534656,702535679),('SC',702535680,702536703),('MU',702536704,702537727),('RW',702537728,702538751),('TZ',702538752,702539775),('BF',702539776,702540799),('ZA',702540800,702541823),('EG',702541824,702542847),('ZA',702542848,702543871),('BJ',702543872,702544895),('ZA',702544896,702545919),('TN',702545920,703070207),('EG',703070208,703594495),('ZA',703594496,704118783),('MA',704118784,704380927),('LY',704380928,704643071),('US',738197504,771751935),('CA',788529152,805306367),('US',805306368,822083583),('GB',855638016,872415231),('US',872415232,889192447),('DE',889192448,905969663),('US',905969664,956301311),('EU',956301312,973078527),('JP',973078528,973209599),('IN',973209600,973275135),('JP',973275136,973471743),('AU',973471744,973602815),('TH',973602816,973864959),('JP',973864960,973996031),('CN',973996032,974782463),('MY',974782464,974880767),('PK',974880768,974913535),('NZ',974913536,974979071),('KR',974979072,975044607),('CN',975044608,977272831),('TH',977272832,977305599),('HK',977305600,977338367),('SG',977338368,977346559),('JP',977346560,977354751),('KR',977354752,977371135),('PK',977371136,977395711),('BD',977395712,977397759),('HK',977397760,977399807),('ID',977399808,977401855),('AU',977401856,977403903),('CN',977403904,977534975),('IN',977534976,977567743),('CN',977567744,977600511),('PH',977600512,977666047),('JP',977666048,977731583),('PH',977731584,977764351),('MY',977764352,977797119),('KR',977797120,978321407),('JP',978321408,978452479),('CN',978452480,978583551),('JP',978583552,978599935),('AU',978599936,978640895),('NZ',978640896,978644991),('JP',978649088,978714623),('TW',978714624,978780159),('AU',978780160,978784255),('JP',978784256,978788351),('KR',978788352,978796543),('CN',978796544,978812927),('JP',978812928,979369983),('AU',979369984,979435519),('TH',979435520,979468287),('JP',979501056,979566591),('TW',979566592,979599359),('CN',979599360,979763199),('KR',979763200,979894271),('AU',979894272,980418559),('JP',980418560,980549631),('TW',980549632,980680703),('CN',980680704,980942847),('KR',980942848,981467135),('CN',981467136,981991423),('TH',981991424,982122495),('JP',982122496,982171647),('KR',982171648,982188031),('MY',982188032,982253567),('KR',982253568,982515711),('CN',982515712,982581247),('KR',982581248,982614015),('AU',982614016,982622207),('JP',982622208,982624255),('ID',982624256,982626303),('BD',982626304,982630399),('SG',982630400,982646783),('JP',982646784,982671359),('IN',982671360,982679551),('SG',982679552,982695935),('KR',982695936,982712319),('TH',982712320,982745087),('AF',982745088,982753279),('JP',982753280,982755327),('BD',982755328,982759423),('ID',982759424,982761471),('JP',982761472,982777855),('KR',982777856,983039999),('HK',983040000,983171071),('CN',983171072,983302143),('JP',983302144,983564287),('AU',983564288,984612863),('HK',984612864,984743935),('AU',984743936,984875007),('KR',984875008,984956927),('AU',984956928,984965119),('PK',984965120,984969215),('TH',984973312,985006079),('SG',985006080,985071615),('JP',985071616,985137151),('KR',985137152,985202687),('SG',985202688,985268223),('VN',985268224,985399295),('JP',985399296,985661439),('CN',985661440,987758591),('KR',987758592,988807167),('CN',988807168,989855743),('KR',989855744,991952895),('CN',991952896,995360767),('JP',995360768,995532799),('AU',995532800,995540991),('KR',995540992,995557375),('JP',995557376,995622911),('IN',995622912,996409343),('AU',996409344,996573183),('PK',996605952,996671487),('TW',996671488,996802559),('JP',996802560,996868095),('CN',996868096,997195775),('TW',997195776,998244351),('JP',998244352,999292927),('IN',999292928,999423999),('JP',999424000,999555071),('HK',999555072,999686143),('KR',999686144,999751679),('CN',999751680,999784447),('AP',999784448,999800831),('KR',999800832,999817215),('BD',999817216,999849983),('KR',999849984,999866367),('HK',999866368,999882751),('JP',999882752,999948287),('AU',999948288,1000013823),('CN',1000013824,1000079359),('JP',1000079360,1000341503),('IN',1000341504,1000734719),('JP',1000734720,1000800255),('AU',1000800256,1000865791),('JP',1000865792,1001127935),('CN',1001127936,1001390079),('IN',1001390080,1002045439),('KR',1002045440,1002176511),('HK',1002176512,1002242047),('SG',1002242048,1002307583),('JP',1002307584,1002373119),('CN',1002373120,1002405887),('JP',1002405888,1002422271),('AU',1002422272,1002432511),('CN',1002434560,1008730111),('JP',1008730112,1009778687),('MY',1009778688,1010237439),('CN',1010237440,1010302975),('JP',1010302976,1010761727),('CN',1010761728,1010827263),('JP',1010827264,1017118719),('CN',1017118720,1019215871),('JP',1019215872,1019346943),('CN',1019346944,1019478015),('KR',1019478016,1019609087),('TW',1019609088,1019740159),('CN',1019740160,1021313023),('AU',1021313024,1021837311),('CN',1021837312,1021968383),('NZ',1021968384,1021981007),('AU',1021981008,1021981023),('NZ',1021981024,1021985303),('AU',1021985304,1021985311),('NZ',1021985312,1021986495),('PA',1021986496,1021986559),('NZ',1021986560,1021999743),('AU',1021999744,1021999775),('NZ',1021999776,1022033919),('CN',1022033920,1022099455),('JP',1022099456,1022361599),('AU',1022361600,1022558207),('IN',1022558208,1022623743),('TW',1022623744,1022722047),('CN',1022722048,1022754815),('CN',1022820352,1022885887),('TW',1022885888,1023148031),('CN',1023148032,1023213567),('ID',1023238144,1023246335),('CN',1023246336,1023279103),('IN',1023279104,1023311871),('US',1023311872,1023328255),('JP',1023328256,1023344639),('CN',1023344640,1023410175),('IN',1023410176,1023672319),('HK',1023672320,1023688703),('CN',1023692800,1023696895),('MY',1023696896,1023705087),('JP',1023705088,1023717375),('CN',1023717376,1023721471),('KR',1023721472,1023737855),('ID',1023737856,1023770623),('PK',1023770624,1023778815),('KR',1023778816,1023787007),('NC',1023791104,1023795199),('JP',1023795200,1023803391),('MY',1023803392,1023852543),('BN',1023852544,1023868927),('JP',1023868928,1023901695),('TH',1023901696,1023934463),('AU',1023934464,1023950847),('ID',1023950848,1023954943),('JP',1023954944,1023959039),('AU',1023959040,1023967231),('IN',1023967232,1023975423),('CN',1023975424,1023979519),('AU',1023979520,1023983615),('SG',1023983616,1023999999),('PH',1024000000,1024032767),('AU',1024032768,1024065535),('HK',1024065536,1024131071),('IN',1024131072,1024163839),('JP',1024163840,1024184319),('MY',1024184320,1024188415),('TH',1024188416,1024196607),('IN',1024196608,1024229375),('JP',1024229376,1024262143),('SG',1024262144,1024327679),('US',1024327680,1024328703),('IN',1024328704,1024329279),('US',1024329280,1024329343),('IN',1024329344,1024329471),('US',1024329472,1024330751),('IN',1024330752,1024330759),('US',1024330760,1024331327),('IN',1024331328,1024331519),('US',1024331520,1024331551),('IN',1024331552,1024331583),('US',1024331584,1024332287),('IN',1024332288,1024332415),('US',1024332416,1024332487),('IN',1024332488,1024332495),('US',1024332496,1024332927),('IN',1024332928,1024333055),('US',1024333056,1024333247),('HK',1024333248,1024333311),('US',1024333312,1024333367),('IN',1024333368,1024333375),('US',1024333376,1024333791),('ID',1024333792,1024333823),('US',1024333824,1024333951),('IN',1024333952,1024334079),('US',1024334080,1024334727),('SG',1024334728,1024334735),('US',1024334736,1024334847),('PH',1024334848,1024334911),('US',1024334912,1024335111),('CN',1024335112,1024335119),('US',1024335120,1024335143),('ID',1024335144,1024335151),('JP',1024335152,1024335167),('US',1024335168,1024335183),('CN',1024335184,1024335199),('US',1024335200,1024335679),('IN',1024335680,1024335743),('US',1024335744,1024335751),('AU',1024335752,1024335759),('US',1024335760,1024335807),('IN',1024335808,1024335871),('US',1024335872,1024338311),('PH',1024338312,1024338319),('US',1024338320,1024338631),('MY',1024338632,1024338639),('US',1024338640,1024339583),('HK',1024339584,1024339711),('ID',1024339712,1024339967),('US',1024339968,1024340511),('TH',1024340512,1024340519),('US',1024340520,1024344063),('SG',1024344064,1024352255),('AU',1024352256,1024360447),('HK',1024360448,1024360535),('AP',1024360536,1024360543),('HK',1024360544,1024361007),('AP',1024361008,1024361023),('HK',1024361024,1024361087),('AP',1024361088,1024361103),('HK',1024361104,1024361119),('AP',1024361120,1024361151),('HK',1024361152,1024361263),('AP',1024361264,1024361279),('HK',1024361280,1024361311),('AP',1024361312,1024361343),('HK',1024361344,1024361423),('AP',1024361424,1024361431),('HK',1024361432,1024361439),('AP',1024361440,1024361471),('TW',1024361472,1024361487),('AP',1024361488,1024361503),('PH',1024361504,1024361535),('AP',1024361536,1024361599),('PH',1024361600,1024361727),('TW',1024361728,1024361743),('AP',1024361744,1024361759),('PH',1024361760,1024361775),('AP',1024361776,1024361791),('PH',1024361792,1024361799),('AP',1024361800,1024361823),('PH',1024361824,1024361839),('AP',1024361840,1024361855),('TW',1024361856,1024361983),('AP',1024361984,1024362495),('MY',1024362496,1024362575),('AP',1024362576,1024362671),('SG',1024362672,1024362687),('AP',1024362688,1024362703),('MY',1024362704,1024362719),('AP',1024362720,1024362783),('SG',1024362784,1024362815),('AP',1024362816,1024362831),('SG',1024362832,1024362880),('AP',1024362881,1024362911),('SG',1024362912,1024362975),('AP',1024362976,1024363007),('SG',1024363008,1024363015),('AP',1024363016,1024363023),('SG',1024363024,1024363055),('AP',1024363056,1024363327),('SG',1024363328,1024363391),('AP',1024363392,1024363519),('AU',1024363520,1024363535),('AP',1024363536,1024363551),('AU',1024363552,1024363559),('AP',1024363560,1024363567),('AU',1024363568,1024363599),('AP',1024363600,1024363615),('AU',1024363616,1024363647),('AP',1024363648,1024363679),('AU',1024363680,1024363711),('AP',1024363712,1024363759),('AU',1024363760,1024363767),('AP',1024363768,1024363807),('AU',1024363808,1024363815),('AP',1024363816,1024363831),('AU',1024363832,1024363903),('AP',1024363904,1024363999),('NZ',1024364000,1024364015),('AP',1024364016,1024364023),('AU',1024364024,1024364031),('AP',1024364032,1024364063),('AU',1024364064,1024364079),('AP',1024364080,1024364095),('AU',1024364096,1024364127),('AP',1024364128,1024364287),('AU',1024364288,1024364511),('AP',1024364512,1024365567),('HK',1024365568,1024365823),('PH',1024365824,1024366335),('AP',1024366336,1024367359),('TW',1024367360,1024367615),('JP',1024367616,1024368127),('PH',1024368128,1024368383),('AP',1024368384,1024368639),('MY',1024368640,1024369407),('AP',1024369408,1024369663),('PH',1024369664,1024369919),('TW',1024369920,1024370175),('AU',1024370176,1024370431),('AP',1024370432,1024370687),('PH',1024370688,1024371455),('JP',1024371456,1024371711),('AP',1024371712,1024371967),('JP',1024371968,1024372223),('PH',1024372224,1024372479),('HK',1024372480,1024372735),('AP',1024372736,1024373247),('PH',1024373248,1024373503),('AP',1024373504,1024373823),('TW',1024373824,1024373887),('PH',1024373888,1024374015),('AP',1024374016,1024374847),('JP',1024374848,1024374879),('AP',1024374880,1024374895),('JP',1024374896,1024374911),('AP',1024374912,1024374935),('JP',1024374936,1024374951),('AP',1024374952,1024374975),('JP',1024374976,1024375055),('AP',1024375056,1024375167),('JP',1024375168,1024375295),('AP',1024375296,1024375303),('AU',1024375304,1024375311),('AP',1024375312,1024375375),('AU',1024375376,1024375383),('AP',1024375384,1024375391),('AU',1024375392,1024375423),('AP',1024375424,1024375439),('AU',1024375440,1024375455),('AP',1024375456,1024375487),('AU',1024375488,1024375495),('AP',1024375496,1024375679),('AU',1024375680,1024375807),('TW',1024375808,1024375935),('AP',1024375936,1024376191),('PH',1024376192,1024376319),('TW',1024376320,1024376447),('AP',1024376448,1024376479),('PH',1024376480,1024376511),('TW',1024376512,1024376703),('AP',1024376704,1024376831),('PH',1024376832,1024393215),('HK',1024393216,1024458751),('SG',1024458752,1024491519),('IN',1024491520,1024589823),('HK',1024589824,1024655359),('TH',1024655360,1024720895),('TW',1024720896,1024786431),('JP',1024786432,1025245183),('CN',1025245184,1025277951),('PH',1025277952,1025294335),('JP',1025294336,1025294591),('AU',1025294592,1025295103),('CN',1025295104,1025295615),('AU',1025295616,1025296127),('FR',1025296128,1025296639),('MY',1025296640,1025296895),('AU',1025296896,1025297919),('NZ',1025297920,1025298175),('AU',1025298176,1025302527),('VN',1025302528,1025310719),('AU',1025310720,1025343487),('CN',1025343488,1025376255),('TW',1025376256,1025507327),('KR',1025507328,1026293759),('JP',1026293760,1026392063),('CN',1026392064,1026408447),('JP',1026408448,1026416639),('ID',1026416640,1026420735),('JP',1026424832,1026490367),('TH',1026490368,1026523135),('CN',1026523136,1026539519),('KR',1026539520,1026555903),('CN',1026555904,1027080191),('TW',1027080192,1027866623),('AU',1027866624,1027997695),('TW',1027997696,1028128767),('KR',1028128768,1029046271),('JP',1029046272,1029144575),('SG',1029144576,1029160959),('CN',1029160960,1029177343),('AU',1029177344,1029242879),('JP',1029242880,1029308415),('TH',1029308416,1029439487),('HK',1029439488,1029570559),('ID',1029570560,1029636095),('AU',1029636096,1029668863),('IN',1029668864,1029701631),('KR',1029701632,1030750207),('JP',1030750208,1031798783),('CN',1031798784,1033982787),('FR',1033982788,1033982788),('CN',1033982789,1034001207),('FR',1034001208,1034001215),('CN',1034001216,1035993087),('JP',1035993088,1037565951),('TW',1037565952,1037591499),('CN',1037591500,1037591503),('TW',1037591504,1038614527),('CN',1038614528,1039007743),('HK',1039007744,1039138815),('CN',1039138816,1039400959),('HK',1039400960,1039466495),('JP',1039466496,1039499263),('AP',1039499264,1039507455),('JP',1039515648,1039523839),('KR',1039523840,1039532031),('IN',1039532032,1039597567),('ID',1039597568,1039613951),('KR',1039613952,1039638527),('TW',1039638528,1039642623),('KR',1039646720,1039654911),('IN',1039654912,1039663103),('KR',1039663104,1040187391),('IL',1040187392,1040252927),('GR',1040252928,1040318463),('CH',1040318464,1040383999),('SA',1040384000,1040386559),('A2',1040386560,1040391167),('SA',1040391168,1040392191),('GB',1040392192,1040392447),('SA',1040392448,1040399359),('GB',1040399360,1040400127),('SA',1040400128,1040400383),('GB',1040400384,1040416767),('SE',1040416768,1040424959),('PL',1040424960,1040433151),('GB',1040433152,1040449535),('FR',1040449536,1040449791),('DE',1040449792,1040450047),('FR',1040450048,1040457727),('ME',1040457728,1040465919),('DE',1040465920,1040466943),('CA',1040466944,1040466959),('DE',1040466960,1040467071),('FR',1040467072,1040467087),('DE',1040467088,1040467103),('FR',1040467104,1040467135),('DE',1040467136,1040467583),('FR',1040467584,1040467647),('DE',1040467648,1040467711),('FR',1040467712,1040467743),('DE',1040467744,1040467759),('FR',1040467760,1040467823),('DE',1040467824,1040467935),('FR',1040467936,1040467951),('DE',1040467952,1040467967),('FR',1040467968,1040468223),('DE',1040468224,1040468231),('FR',1040468232,1040468255),('DE',1040468256,1040468263),('FR',1040468264,1040468287),('DE',1040468288,1040468415),('FR',1040468416,1040468479),('DE',1040468480,1040468735),('NL',1040468736,1040468767),('DE',1040468768,1040468799),('NL',1040468800,1040468847),('DE',1040468848,1040468863),('NL',1040468864,1040468991),('DE',1040468992,1040469055),('FR',1040469056,1040469071),('DE',1040469072,1040469087),('FR',1040469088,1040469183),('DE',1040469184,1040469215),('FR',1040469216,1040469279),('DE',1040469280,1040469311),('FR',1040469312,1040469343),('DE',1040469344,1040469375),('FR',1040469376,1040469567),('DE',1040469568,1040469631),('FR',1040469632,1040469887),('DE',1040469888,1040469903),('FR',1040469904,1040469919),('DE',1040469920,1040469967),('FR',1040469968,1040469999),('DE',1040470000,1040470783),('NL',1040470784,1040471295),('DE',1040471296,1040471487),('NL',1040471488,1040471711),('DE',1040471712,1040471743),('NL',1040471744,1040471775),('DE',1040471776,1040472991),('NL',1040472992,1040473343),('DE',1040473344,1040473535),('NL',1040473536,1040473599),('DE',1040473600,1040473855),('NL',1040473856,1040474111),('CZ',1040474112,1040482303),('BE',1040482304,1040515071),('GB',1040515072,1040547839),('RU',1040547840,1040580607),('GB',1040580608,1040711679),('FR',1040711680,1040719871),('DE',1040719872,1040728063),('KE',1040728064,1040736255),('GB',1040736256,1040744447),('DE',1040744448,1040777215),('IE',1040777216,1040842751),('DE',1040842752,1040843007),('IT',1040843008,1040973823),('NL',1040973824,1040982015),('A2',1040982016,1040982303),('NG',1040982304,1040982335),('A2',1040982336,1040982631),('DE',1040982632,1040982639),('A2',1040982640,1040982783),('NG',1040982784,1040982815),('A2',1040982816,1040983551),('NG',1040983552,1040983567),('A2',1040983568,1040984063),('NG',1040984064,1040984071),('GH',1040984072,1040984079),('A2',1040984080,1040984103),('NG',1040984104,1040984159),('UG',1040984160,1040984167),('A2',1040984168,1040984175),('NG',1040984176,1040984183),('A2',1040984184,1040990207),('CY',1040990208,1040994303),('RU',1040994304,1040994815),('CY',1040994816,1040998399),('EG',1040998400,1041006591),('CH',1041006592,1041039359),('SE',1041039360,1041051647),('NO',1041051648,1041051839),('SE',1041051840,1041052159),('NO',1041052160,1041052175),('SE',1041052176,1041072127),('GB',1041072128,1041080319),('IT',1041080320,1041088511),('AT',1041088512,1041096703),('ES',1041096704,1041235967),('UA',1041235968,1041244159),('RU',1041244160,1041252351),('TJ',1041252352,1041252863),('RU',1041252864,1041253119),('TJ',1041253120,1041253375),('RU',1041253376,1041268735),('NO',1041268736,1041301503),('IE',1041301504,1041367039),('GB',1041367040,1041498111),('SE',1041498112,1041563647),('PL',1041563648,1041596415),('NL',1041596416,1041629183),('ES',1041629184,1041633103),('GB',1041633104,1041633119),('ES',1041633120,1041694719),('FR',1041694720,1041694895),('GB',1041694896,1041694911),('FR',1041694912,1041694919),('GB',1041694920,1041694975),('FR',1041694976,1041695455),('GB',1041695456,1041695487),('FR',1041695488,1041695551),('GB',1041695552,1041695567),('FR',1041695568,1041695615),('GB',1041695616,1041695703),('FR',1041695704,1041695711),('GB',1041695712,1041695743),('FR',1041695744,1041695759),('GB',1041695760,1041696023),('FR',1041696024,1041696415),('GB',1041696416,1041696431),('FR',1041696432,1041697151),('GB',1041697152,1041697155),('FR',1041697156,1041697183),('GB',1041697184,1041697199),('FR',1041697200,1041697391),('GB',1041697392,1041697407),('FR',1041697408,1041697663),('GB',1041697664,1041697671),('FR',1041697672,1041697699),('GB',1041697700,1041697703),('FR',1041697704,1041697815),('GB',1041697816,1041697823),('FR',1041697824,1041697855),('GB',1041697856,1041697863),('FR',1041697864,1041697895),('GB',1041697896,1041697903),('FR',1041697904,1041697919),('GB',1041697920,1041697983),('FR',1041697984,1041698127),('GB',1041698128,1041698143),('FR',1041698144,1041698247),('GB',1041698248,1041698255),('FR',1041698256,1041698263),('GB',1041698264,1041698271),('FR',1041698272,1041698287),('GB',1041698288,1041698303),('FR',1041698304,1041698591),('GB',1041698592,1041698607),('FR',1041698608,1041698647),('GB',1041698648,1041698663),('FR',1041698664,1041698807),('GB',1041698808,1041698815),('FR',1041698816,1041699263),('GB',1041699264,1041699271),('FR',1041699272,1041699287),('GB',1041699288,1041699295),('FR',1041699296,1041699767),('GB',1041699768,1041699775),('FR',1041699776,1041700351),('GB',1041700352,1041700607),('FR',1041700608,1041700863),('GB',1041700864,1041700895),('FR',1041700896,1041700983),('GB',1041700984,1041700991),('FR',1041700992,1041701119),('GB',1041701120,1041701151),('FR',1041701152,1041701175),('GB',1041701176,1041701231),('FR',1041701232,1041701239),('GB',1041701240,1041701631),('FR',1041701632,1041701639),('GB',1041701640,1041701647),('FR',1041701648,1041701831),('GB',1041701832,1041701839),('FR',1041701840,1041701863),('GB',1041701864,1041701871),('FR',1041701872,1041701887),('GB',1041701888,1041701919),('FR',1041701920,1041701935),('GB',1041701936,1041701959),('FR',1041701960,1041702111),('GB',1041702112,1041702143),('FR',1041702144,1041702183),('GB',1041702184,1041702191),('FR',1041702192,1041702303),('GB',1041702304,1041702311),('FR',1041702312,1041702319),('GB',1041702320,1041702335),('FR',1041702336,1041702351),('GB',1041702352,1041703143),('FR',1041703144,1041703147),('GB',1041703148,1041703167),('FR',1041703168,1041703487),('GB',1041703488,1041703503),('FR',1041703504,1041703511),('GB',1041703512,1041703535),('FR',1041703536,1041703559),('GB',1041703560,1041703583),('FR',1041703584,1041703631),('GB',1041703632,1041703639),('FR',1041703640,1041703679),('GB',1041703680,1041703695),('FR',1041703696,1041703711),('GB',1041703712,1041703807),('FR',1041703808,1041703951),('GB',1041703952,1041703967),('FR',1041703968,1041703991),('GB',1041703992,1041703999),('FR',1041704000,1041704015),('GB',1041704016,1041704039),('FR',1041704040,1041704111),('GB',1041704112,1041704143),('FR',1041704144,1041704159),('GB',1041704160,1041704175),('FR',1041704176,1041704255),('GB',1041704256,1041704271),('FR',1041704272,1041704319),('GB',1041704320,1041704335),('FR',1041704336,1041704399),('GB',1041704400,1041704431),('FR',1041704432,1041704447),('GB',1041704448,1041704455),('FR',1041704456,1041704463),('GB',1041704464,1041704487),('FR',1041704488,1041704503),('GB',1041704504,1041704559),('FR',1041704560,1041704607),('GB',1041704608,1041704623),('FR',1041704624,1041704647),('GB',1041704648,1041704655),('FR',1041704656,1041704671),('GB',1041704672,1041704687),('FR',1041704688,1041704703),('GB',1041704704,1041704711),('FR',1041704712,1041704743),('GB',1041704744,1041704759),('FR',1041704760,1041704775),('GB',1041704776,1041704783),('FR',1041704784,1041704807),('GB',1041704808,1041704863),('FR',1041704864,1041704879),('GB',1041704880,1041704887),('FR',1041704888,1041704911),('GB',1041704912,1041704943),('FR',1041704944,1041705247),('GB',1041705248,1041705279),('FR',1041705280,1041705303),('GB',1041705304,1041705311),('FR',1041705312,1041705343),('GB',1041705344,1041705367),('FR',1041705368,1041705391),('GB',1041705392,1041705439),('FR',1041705440,1041705447),('GB',1041705448,1041705463),('FR',1041705464,1041705471),('GB',1041705472,1041705487),('FR',1041705488,1041705511),('GB',1041705512,1041705519),('FR',1041705520,1041705527),('GB',1041705528,1041705535),('FR',1041705536,1041705599),('GB',1041705600,1041705663),('FR',1041705664,1041705727),('GB',1041705728,1041705815),('FR',1041705816,1041705871),('GB',1041705872,1041705903),('FR',1041705904,1041705911),('GB',1041705912,1041705919),('FR',1041705920,1041705935),('GB',1041705936,1041705983),('FR',1041705984,1041705999),('GB',1041706000,1041706007),('FR',1041706008,1041706047),('GB',1041706048,1041706079),('FR',1041706080,1041706087),('GB',1041706088,1041706095),('FR',1041706096,1041706111),('GB',1041706112,1041706143),('FR',1041706144,1041706207),('GB',1041706208,1041706287),('FR',1041706288,1041706319),('GB',1041706320,1041706343),('FR',1041706344,1041706359),('GB',1041706360,1041706367),('FR',1041706368,1041706383),('GB',1041706384,1041706399),('FR',1041706400,1041706447),('GB',1041706448,1041706463),('FR',1041706464,1041706471),('GB',1041706472,1041706487),('FR',1041706488,1041706495),('GB',1041706496,1041706511),('FR',1041706512,1041706535),('GB',1041706536,1041706543),('FR',1041706544,1041706559),('GB',1041706560,1041706575),('FR',1041706576,1041706583),('GB',1041706584,1041706591),('FR',1041706592,1041706623),('GB',1041706624,1041706631),('FR',1041706632,1041706767),('GB',1041706768,1041706799),('FR',1041706800,1041706815),('GB',1041706816,1041706847),('FR',1041706848,1041706871),('GB',1041706872,1041706879),('FR',1041706880,1041706951),('GB',1041706952,1041706975),('FR',1041706976,1041706983),('GB',1041706984,1041706991),('FR',1041706992,1041706999),('GB',1041707000,1041707007),('FR',1041707008,1041707271),('GB',1041707272,1041707279),('FR',1041707280,1041707311),('GB',1041707312,1041707319),('FR',1041707320,1041707359),('GB',1041707360,1041707367),('FR',1041707368,1041707391),('GB',1041707392,1041707415),('FR',1041707416,1041707439),('GB',1041707440,1041707463),('FR',1041707464,1041707487),('GB',1041707488,1041707495),('FR',1041707496,1041707575),('GB',1041707576,1041707583),('FR',1041707584,1041707615),('GB',1041707616,1041707631),('FR',1041707632,1041707647),('GB',1041707648,1041707655),('FR',1041707656,1041707687),('GB',1041707688,1041707695),('FR',1041707696,1041707711),('GB',1041707712,1041707743),('FR',1041707744,1041707831),('GB',1041707832,1041707839),('FR',1041707840,1041707871),('GB',1041707872,1041707887),('FR',1041707888,1041707895),('GB',1041707896,1041707903),('FR',1041707904,1041707999),('GB',1041708000,1041708007),('FR',1041708008,1041708295),('GB',1041708296,1041708303),('FR',1041708304,1041708311),('GB',1041708312,1041708319),('FR',1041708320,1041708327),('GB',1041708328,1041708351),('FR',1041708352,1041708367),('GB',1041708368,1041708383),('FR',1041708384,1041708415),('GB',1041708416,1041708431),('FR',1041708432,1041708479),('GB',1041708480,1041708487),('FR',1041708488,1041708495),('GB',1041708496,1041708511),('FR',1041708512,1041708551),('GB',1041708552,1041708559),('FR',1041708560,1041708607),('GB',1041708608,1041708615),('FR',1041708616,1041708671),('GB',1041708672,1041708687),('FR',1041708688,1041708703),('GB',1041708704,1041708735),('FR',1041708736,1041708799),('GB',1041708800,1041708815),('FR',1041708816,1041708831),('GB',1041708832,1041708839),('FR',1041708840,1041708847),('GB',1041708848,1041708855),('FR',1041708856,1041708903),('GB',1041708904,1041708911),('FR',1041708912,1041708927),('GB',1041708928,1041708943),('FR',1041708944,1041708991),('GB',1041708992,1041708999),('FR',1041709000,1041709023),('GB',1041709024,1041709055),('FR',1041709056,1041709343),('GB',1041709344,1041709359),('FR',1041709360,1041709367),('GB',1041709368,1041709375),('FR',1041709376,1041709463),('GB',1041709464,1041709471),('FR',1041709472,1041709767),('GB',1041709768,1041709775),('FR',1041709776,1041709823),('GB',1041709824,1041709831),('FR',1041709832,1041709919),('GB',1041709920,1041709927),('FR',1041709928,1041709935),('GB',1041709936,1041709943),('FR',1041709944,1041709951),('GB',1041709952,1041709983),('FR',1041709984,1041709991),('GB',1041709992,1041709999),('FR',1041710000,1041710007),('GB',1041710008,1041710015),('FR',1041710016,1041710047),('GB',1041710048,1041710055),('FR',1041710056,1041710063),('GB',1041710064,1041710079),('FR',1041710080,1041710335),('GB',1041710336,1041710359),('FR',1041710360,1041710367),('GB',1041710368,1041710383),('FR',1041710384,1041710391),('GB',1041710392,1041710407),('FR',1041710408,1041710423),('GB',1041710424,1041710431),('FR',1041710432,1041710439),('GB',1041710440,1041710447),('FR',1041710448,1041710479),('GB',1041710480,1041710487),('FR',1041710488,1041710503),('GB',1041710504,1041710511),('FR',1041710512,1041710535),('GB',1041710536,1041710543),('FR',1041710544,1041710559),('GB',1041710560,1041710567),('FR',1041710568,1041710599),('GB',1041710600,1041710623),('FR',1041710624,1041710663),('GB',1041710664,1041710671),('FR',1041710672,1041710687),('GB',1041710688,1041710695),('FR',1041710696,1041710703),('GB',1041710704,1041710711),('FR',1041710712,1041710735),('GB',1041710736,1041710743),('FR',1041710744,1041710775),('GB',1041710776,1041710791),('FR',1041710792,1041710807),('GB',1041710808,1041710815),('FR',1041710816,1041711367),('GB',1041711368,1041711375),('FR',1041711376,1041711423),('GB',1041711424,1041711439),('FR',1041711440,1041711455),('GB',1041711456,1041711463),('FR',1041711464,1041711471),('GB',1041711472,1041711519),('FR',1041711520,1041711535),('GB',1041711536,1041711567),('FR',1041711568,1041711871),('GB',1041711872,1041711903),('FR',1041711904,1041711911),('GB',1041711912,1041711927),('FR',1041711928,1041711935),('GB',1041711936,1041711951),('FR',1041711952,1041711967),('GB',1041711968,1041711983),('FR',1041711984,1041712063),('GB',1041712064,1041712095),('FR',1041712096,1041712447),('GB',1041712448,1041712463),('FR',1041712464,1041712511),('GB',1041712512,1041712527),('FR',1041712528,1041712623),('GB',1041712624,1041712631),('FR',1041712632,1041712927),('GB',1041712928,1041712943),('FR',1041712944,1041712991),('GB',1041712992,1041712999),('FR',1041713000,1041713007),('GB',1041713008,1041713015),('FR',1041713016,1041713023),('GB',1041713024,1041713031),('FR',1041713032,1041713055),('GB',1041713056,1041713063),('FR',1041713064,1041713079),('GB',1041713080,1041713087),('FR',1041713088,1041713143),('GB',1041713144,1041713151),('FR',1041713152,1041713663),('GB',1041713664,1041713695),('FR',1041713696,1041713791),('GB',1041713792,1041713799),('FR',1041713800,1041713823),('GB',1041713824,1041713831),('FR',1041713832,1041713839),('GB',1041713840,1041713855),('FR',1041713856,1041713871),('GB',1041713872,1041713887),('FR',1041713888,1041713919),('GB',1041713920,1041713951),('FR',1041713952,1041713991),('GB',1041713992,1041713999),('FR',1041714000,1041714047),('GB',1041714048,1041714063),('FR',1041714064,1041714095),('GB',1041714096,1041714103),('FR',1041714104,1041714431),('GB',1041714432,1041714439),('FR',1041714440,1041714447),('GB',1041714448,1041714455),('FR',1041714456,1041714487),('GB',1041714488,1041714495),('FR',1041714496,1041714519),('GB',1041714520,1041714527),('FR',1041714528,1041714543),('GB',1041714544,1041714551),('FR',1041714552,1041714559),('GB',1041714560,1041714591),('FR',1041714592,1041714607),('GB',1041714608,1041714615),('FR',1041714616,1041714623),('GB',1041714624,1041714687),('FR',1041714688,1041714711),('GB',1041714712,1041714727),('FR',1041714728,1041714767),('GB',1041714768,1041714783),('FR',1041714784,1041714815),('GB',1041714816,1041714879),('FR',1041714880,1041714911),('GB',1041714912,1041714919),('FR',1041714920,1041714943),('GB',1041714944,1041715039),('FR',1041715040,1041715055),('GB',1041715056,1041715071),('FR',1041715072,1041715079),('GB',1041715080,1041715087),('FR',1041715088,1041715103),('GB',1041715104,1041715111),('FR',1041715112,1041715119),('GB',1041715120,1041715143),('FR',1041715144,1041715151),('GB',1041715152,1041715167),('FR',1041715168,1041715183),('GB',1041715184,1041715199),('FR',1041715200,1041715503),('GB',1041715504,1041715535),('FR',1041715536,1041715551),('GB',1041715552,1041715567),('FR',1041715568,1041715599),('GB',1041715600,1041715615),('FR',1041715616,1041715631),('GB',1041715632,1041715647),('FR',1041715648,1041715711),('GB',1041715712,1041715727),('FR',1041715728,1041715743),('GB',1041715744,1041715775),('FR',1041715776,1041715791),('GB',1041715792,1041715823),('FR',1041715824,1041715863),('GB',1041715864,1041715911),('FR',1041715912,1041715943),('GB',1041715944,1041715951),('FR',1041715952,1041715967),('GB',1041715968,1041716015),('FR',1041716016,1041716039),('GB',1041716040,1041716063),('FR',1041716064,1041716111),('GB',1041716112,1041716223),('FR',1041716224,1041716239),('GB',1041716240,1041716287),('FR',1041716288,1041716303),('GB',1041716304,1041716319),('FR',1041716320,1041716335),('GB',1041716336,1041716343),('FR',1041716344,1041716383),('GB',1041716384,1041716399),('FR',1041716400,1041716407),('GB',1041716408,1041716415),('FR',1041716416,1041716487),('GB',1041716488,1041716527),('FR',1041716528,1041716559),('GB',1041716560,1041716599),('FR',1041716600,1041716671),('GB',1041716672,1041716703),('FR',1041716704,1041716991),('GB',1041716992,1041717007),('FR',1041717008,1041717039),('GB',1041717040,1041717103),('FR',1041717104,1041717111),('GB',1041717112,1041717119),('FR',1041717120,1041717167),('GB',1041717168,1041717183),('FR',1041717184,1041717199),('GB',1041717200,1041717247),('FR',1041717248,1041717519),('GB',1041717520,1041717527),('FR',1041717528,1041717559),('GB',1041717560,1041717567),('FR',1041717568,1041718023),('GB',1041718024,1041718031),('FR',1041718032,1041718055),('GB',1041718056,1041718063),('FR',1041718064,1041718079),('GB',1041718080,1041718095),('FR',1041718096,1041718103),('GB',1041718104,1041718111),('FR',1041718112,1041718143),('GB',1041718144,1041718159),('FR',1041718160,1041718191),('GB',1041718192,1041718215),('FR',1041718216,1041718231),('GB',1041718232,1041718255),('FR',1041718256,1041718271),('GB',1041718272,1041718311),('FR',1041718312,1041718319),('GB',1041718320,1041718327),('FR',1041718328,1041718335),('GB',1041718336,1041718351),('FR',1041718352,1041718407),('GB',1041718408,1041718455),('FR',1041718456,1041718463),('GB',1041718464,1041718479),('FR',1041718480,1041718495),('GB',1041718496,1041718503),('FR',1041718504,1041718591),('GB',1041718592,1041718607),('FR',1041718608,1041718623),('GB',1041718624,1041718639),('FR',1041718640,1041718663),('GB',1041718664,1041718671),('FR',1041718672,1041718687),('GB',1041718688,1041718703),('FR',1041718704,1041718783),('GB',1041718784,1041718799),('FR',1041718800,1041718815),('GB',1041718816,1041718831),('FR',1041718832,1041718879),('GB',1041718880,1041718911),('FR',1041718912,1041718935),('GB',1041718936,1041718943),('FR',1041718944,1041718999),('GB',1041719000,1041719007),('FR',1041719008,1041719203),('GB',1041719204,1041719207),('FR',1041719208,1041719224),('GB',1041719225,1041719227),('FR',1041719228,1041719228),('GB',1041719229,1041719231),('FR',1041719232,1041719247),('GB',1041719248,1041719255),('FR',1041719256,1041719272),('GB',1041719273,1041719279),('FR',1041719280,1041719375),('GB',1041719376,1041719407),('FR',1041719408,1041719439),('GB',1041719440,1041719487),('FR',1041719488,1041719551),('GB',1041719552,1041719631),('FR',1041719632,1041719647),('GB',1041719648,1041719663),('FR',1041719664,1041719679),('GB',1041719680,1041719711),('FR',1041719712,1041719743),('GB',1041719744,1041719759),('FR',1041719760,1041719775),('GB',1041719776,1041719855),('FR',1041719856,1041719879),('GB',1041719880,1041719903),('FR',1041719904,1041719919),('GB',1041719920,1041719935),('FR',1041719936,1041719951),('GB',1041719952,1041719967),('FR',1041719968,1041720015),('GB',1041720016,1041720031),('FR',1041720032,1041720079),('GB',1041720080,1041720087),('FR',1041720088,1041720351),('GB',1041720352,1041720367),('FR',1041720368,1041720519),('GB',1041720520,1041720527),('FR',1041720528,1041720535),('GB',1041720536,1041720543),('FR',1041720544,1041720551),('GB',1041720552,1041720559),('FR',1041720560,1041720567),('GB',1041720568,1041720607),('FR',1041720608,1041720615),('GB',1041720616,1041720639),('FR',1041720640,1041720687),('GB',1041720688,1041720703),('FR',1041720704,1041720719),('GB',1041720720,1041720735),('FR',1041720736,1041720751),('GB',1041720752,1041720767),('FR',1041720768,1041720831),('GB',1041720832,1041720847),('FR',1041720848,1041720895),('GB',1041720896,1041720927),('FR',1041720928,1041720959),('GB',1041720960,1041721087),('FR',1041721088,1041721727),('GB',1041721728,1041721791),('FR',1041721792,1041721807),('GB',1041721808,1041721855),('FR',1041721856,1041722119),('GB',1041722120,1041722127),('FR',1041722128,1041722135),('GB',1041722136,1041722175),('FR',1041722176,1041722183),('GB',1041722184,1041722191),('FR',1041722192,1041722223),('GB',1041722224,1041722279),('FR',1041722280,1041722287),('GB',1041722288,1041722367),('FR',1041722368,1041722375),('GB',1041722376,1041722383),('FR',1041722384,1041722391),('GB',1041722392,1041722399),('FR',1041722400,1041722415),('GB',1041722416,1041722431),('FR',1041722432,1041722495),('GB',1041722496,1041722511),('FR',1041722512,1041722535),('GB',1041722536,1041722551),('FR',1041722552,1041722567),('GB',1041722568,1041722575),('FR',1041722576,1041722583),('GB',1041722584,1041722623),('FR',1041722624,1041722855),('GB',1041722856,1041722863),('FR',1041722864,1041722879),('GB',1041722880,1041722887),('FR',1041722888,1041722927),('GB',1041722928,1041722935),('FR',1041722936,1041722943),('GB',1041722944,1041723007),('FR',1041723008,1041723031),('GB',1041723032,1041723135),('FR',1041723136,1041723167),('GB',1041723168,1041723175),('FR',1041723176,1041723191),('GB',1041723192,1041723199),('FR',1041723200,1041723207),('GB',1041723208,1041723215),('FR',1041723216,1041723295),('GB',1041723296,1041723391),('FR',1041723392,1041723711),('GB',1041723712,1041723727),('FR',1041723728,1041723743),('GB',1041723744,1041723903),('FR',1041723904,1041724591),('GB',1041724592,1041724607),('FR',1041724608,1041724671),('GB',1041724672,1041724927),('FR',1041724928,1041725007),('GB',1041725008,1041725023),('FR',1041725024,1041725031),('GB',1041725032,1041725039),('FR',1041725040,1041725159),('GB',1041725160,1041725167),('FR',1041725168,1041725183),('GB',1041725184,1041725215),('FR',1041725216,1041725255),('GB',1041725256,1041725271),('FR',1041725272,1041725983),('GB',1041725984,1041725999),('FR',1041726000,1041726127),('GB',1041726128,1041726151),('FR',1041726152,1041726159),('GB',1041726160,1041726167),('FR',1041726168,1041726463),('GB',1041726464,1041726471),('FR',1041726472,1041726479),('GB',1041726480,1041726511),('FR',1041726512,1041726527),('GB',1041726528,1041726543),('FR',1041726544,1041726559),('GB',1041726560,1041726591),('FR',1041726592,1041726671),('GB',1041726672,1041726687),('FR',1041726688,1041726895),('GB',1041726896,1041726903),('FR',1041726904,1041727743),('GB',1041727744,1041727999),('FR',1041728000,1041728063),('GB',1041728064,1041728095),('FR',1041728096,1041728111),('GB',1041728112,1041728127),('FR',1041728128,1041728255),('GB',1041728256,1041728511),('FR',1041728512,1041728887),('GB',1041728888,1041728895),('FR',1041728896,1041729279),('GB',1041729280,1041729391),('FR',1041729392,1041729431),('GB',1041729432,1041729463),('FR',1041729464,1041729503),('GB',1041729504,1041729535),('FR',1041729536,1041729561),('GB',1041729562,1041729564),('FR',1041729565,1041729566),('GB',1041729567,1041729567),('FR',1041729568,1041729615),('GB',1041729616,1041729623),('FR',1041729624,1041729663),('GB',1041729664,1041729839),('FR',1041729840,1041729871),('GB',1041729872,1041729887),('FR',1041729888,1041729927),('GB',1041729928,1041730047),('FR',1041730048,1041730087),('GB',1041730088,1041730095),('FR',1041730096,1041730175),('GB',1041730176,1041730183),('FR',1041730184,1041730239),('GB',1041730240,1041730247),('FR',1041730248,1041731903),('GB',1041731904,1041731935),('FR',1041731936,1041731967),('GB',1041731968,1041732031),('FR',1041732032,1041732055),('GB',1041732056,1041732063),('FR',1041732064,1041732095),('GB',1041732096,1041732103),('FR',1041732104,1041732119),('GB',1041732120,1041732191),('FR',1041732192,1041732255),('GB',1041732256,1041732295),('FR',1041732296,1041732351),('GB',1041732352,1041732359),('FR',1041732360,1041732447),('GB',1041732448,1041732455),('FR',1041732456,1041732463),('GB',1041732464,1041732511),('FR',1041732512,1041732863),('GB',1041732864,1041732871),('FR',1041732872,1041732879),('GB',1041732880,1041732927),('FR',1041732928,1041732959),('GB',1041732960,1041732967),('FR',1041732968,1041732991),('GB',1041732992,1041733111),('FR',1041733112,1041733375),('GB',1041733376,1041733535),('FR',1041733536,1041733887),('GB',1041733888,1041734143),('FR',1041734144,1041734911),('GB',1041734912,1041735007),('FR',1041735008,1041735055),('GB',1041735056,1041735087),('FR',1041735088,1041735119),('GB',1041735120,1041735135),('FR',1041735136,1041735423),('GB',1041735424,1041735503),('FR',1041735504,1041735511),('GB',1041735512,1041735559),('FR',1041735560,1041735567),('GB',1041735568,1041735575),('FR',1041735576,1041735615),('GB',1041735616,1041735679),('FR',1041735680,1041736191),('GB',1041736192,1041736199),('FR',1041736200,1041736255),('GB',1041736256,1041736263),('FR',1041736264,1041736367),('GB',1041736368,1041736391),('FR',1041736392,1041736423),('GB',1041736424,1041736431),('FR',1041736432,1041736439),('GB',1041736440,1041736463),('FR',1041736464,1041736503),('GB',1041736504,1041736511),('FR',1041736512,1041736527),('GB',1041736528,1041736535),('FR',1041736536,1041736543),('GB',1041736544,1041736551),('FR',1041736552,1041736567),('GB',1041736568,1041736599),('FR',1041736600,1041736607),('GB',1041736608,1041736631),('FR',1041736632,1041736671),('GB',1041736672,1041736703),('FR',1041736704,1041737023),('GB',1041737024,1041737031),('FR',1041737032,1041737039),('GB',1041737040,1041737047),('FR',1041737048,1041737063),('GB',1041737064,1041737119),('FR',1041737120,1041737127),('GB',1041737128,1041737135),('FR',1041737136,1041737143),('GB',1041737144,1041737151),('FR',1041737152,1041737247),('GB',1041737248,1041737279),('FR',1041737280,1041737295),('GB',1041737296,1041737303),('FR',1041737304,1041737399),('GB',1041737400,1041737423),('FR',1041737424,1041737455),('GB',1041737456,1041737471),('FR',1041737472,1041737503),('GB',1041737504,1041737535),('FR',1041737536,1041737583),('GB',1041737584,1041737599),('FR',1041737600,1041737607),('GB',1041737608,1041737615),('FR',1041737616,1041737623),('GB',1041737624,1041737631),('FR',1041737632,1041737647),('GB',1041737648,1041737663),('FR',1041737664,1041737671),('GB',1041737672,1041737679),('FR',1041737680,1041737727),('GB',1041737728,1041737759),('FR',1041737760,1041737775),('GB',1041737776,1041737839),('FR',1041737840,1041737847),('GB',1041737848,1041737863),('FR',1041737864,1041737871),('GB',1041737872,1041737879),('FR',1041737880,1041737911),('GB',1041737912,1041737935),('FR',1041737936,1041738503),('GB',1041738504,1041738511),('FR',1041738512,1041738519),('GB',1041738520,1041738559),('FR',1041738560,1041738567),('GB',1041738568,1041738575),('FR',1041738576,1041738583),('GB',1041738584,1041738591),('FR',1041738592,1041738599),('GB',1041738600,1041738607),('FR',1041738608,1041738703),('GB',1041738704,1041738711),('FR',1041738712,1041738719),('GB',1041738720,1041738743),('FR',1041738744,1041739031),('GB',1041739032,1041739047),('FR',1041739048,1041739055),('GB',1041739056,1041739063),('FR',1041739064,1041739071),('GB',1041739072,1041739095),('FR',1041739096,1041739119),('GB',1041739120,1041739175),('FR',1041739176,1041739183),('GB',1041739184,1041739207),('FR',1041739208,1041739215),('GB',1041739216,1041739239),('FR',1041739240,1041739287),('GB',1041739288,1041739303),('FR',1041739304,1041739391),('GB',1041739392,1041739423),('FR',1041739424,1041739463),('GB',1041739464,1041739471),('FR',1041739472,1041739487),('GB',1041739488,1041739503),('FR',1041739504,1041739519),('GB',1041739520,1041739535),('FR',1041739536,1041739743),('GB',1041739744,1041739751),('FR',1041739752,1041740031),('GB',1041740032,1041740039),('FR',1041740040,1041740647),('GB',1041740648,1041740655),('FR',1041740656,1041740679),('GB',1041740680,1041740703),('FR',1041740704,1041740711),('GB',1041740712,1041740719),('FR',1041740720,1041740727),('GB',1041740728,1041740735),('FR',1041740736,1041740759),('GB',1041740760,1041740767),('FR',1041740768,1041740839),('GB',1041740840,1041740847),('FR',1041740848,1041740863),('GB',1041740864,1041740879),('FR',1041740880,1041740991),('GB',1041740992,1041741119),('FR',1041741120,1041741135),('GB',1041741136,1041741151),('FR',1041741152,1041741231),('GB',1041741232,1041741247),('FR',1041741248,1041741255),('GB',1041741256,1041741311),('FR',1041741312,1041741607),('GB',1041741608,1041741615),('FR',1041741616,1041741631),('GB',1041741632,1041741647),('FR',1041741648,1041741663),('GB',1041741664,1041741679),('FR',1041741680,1041741695),('GB',1041741696,1041741823),('FR',1041741824,1041742223),('GB',1041742224,1041742239),('FR',1041742240,1041742303),('GB',1041742304,1041742343),('FR',1041742344,1041742359),('GB',1041742360,1041742367),('FR',1041742368,1041742375),('GB',1041742376,1041742423),('FR',1041742424,1041742471),('GB',1041742472,1041742479),('FR',1041742480,1041742511),('GB',1041742512,1041742591),('FR',1041742592,1041743111),('GB',1041743112,1041743119),('FR',1041743120,1041743135),('GB',1041743136,1041743143),('FR',1041743144,1041743167),('GB',1041743168,1041743223),('FR',1041743224,1041743303),('GB',1041743304,1041743311),('FR',1041743312,1041743615),('GB',1041743616,1041743647),('FR',1041743648,1041743671),('GB',1041743672,1041743679),('FR',1041743680,1041743703),('GB',1041743704,1041743711),('FR',1041743712,1041743719),('GB',1041743720,1041743727),('FR',1041743728,1041743743),('GB',1041743744,1041743759),('FR',1041743760,1041743767),('GB',1041743768,1041743775),('FR',1041743776,1041743807),('GB',1041743808,1041743823),('FR',1041743824,1041743831),('GB',1041743832,1041743855),('FR',1041743856,1041743863),('GB',1041743864,1041743871),('FR',1041743872,1041744271),('GB',1041744272,1041744287),('FR',1041744288,1041744311),('GB',1041744312,1041744327),('FR',1041744328,1041744599),('GB',1041744600,1041744607),('FR',1041744608,1041744623),('GB',1041744624,1041744895),('FR',1041744896,1041744919),('GB',1041744920,1041744927),('FR',1041744928,1041744943),('GB',1041744944,1041744951),('FR',1041744952,1041744991),('GB',1041744992,1041745031),('FR',1041745032,1041745055),('GB',1041745056,1041745063),('FR',1041745064,1041745095),('GB',1041745096,1041745119),('FR',1041745120,1041745127),('GB',1041745128,1041745135),('FR',1041745136,1041745151),('GB',1041745152,1041745159),('FR',1041745160,1041745175),('GB',1041745176,1041745191),('FR',1041745192,1041745247),('GB',1041745248,1041745279),('FR',1041745280,1041745327),('GB',1041745328,1041745343),('FR',1041745344,1041745359),('GB',1041745360,1041745383),('FR',1041745384,1041745415),('GB',1041745416,1041745423),('FR',1041745424,1041745447),('GB',1041745448,1041745471),('FR',1041745472,1041745479),('GB',1041745480,1041745487),('FR',1041745488,1041745495),('GB',1041745496,1041745535),('FR',1041745536,1041745543),('GB',1041745544,1041745551),('FR',1041745552,1041745567),('GB',1041745568,1041745575),('FR',1041745576,1041745599),('GB',1041745600,1041745615),('FR',1041745616,1041745623),('GB',1041745624,1041745631),('FR',1041745632,1041745639),('GB',1041745640,1041745647),('FR',1041745648,1041745655),('GB',1041745656,1041745663),('FR',1041745664,1041745671),('GB',1041745672,1041745687),('FR',1041745688,1041745751),('GB',1041745752,1041745767),('FR',1041745768,1041745823),('GB',1041745824,1041745863),('FR',1041745864,1041745903),('GB',1041745904,1041745951),('FR',1041745952,1041745967),('GB',1041745968,1041746015),('FR',1041746016,1041746031),('GB',1041746032,1041746039),('FR',1041746040,1041746063),('GB',1041746064,1041746095),('FR',1041746096,1041746111),('GB',1041746112,1041746119),('FR',1041746120,1041746127),('GB',1041746128,1041746135),('FR',1041746136,1041746687),('GB',1041746688,1041746735),('FR',1041746736,1041746743),('GB',1041746744,1041746751),('FR',1041746752,1041746799),('GB',1041746800,1041746807),('FR',1041746808,1041746815),('GB',1041746816,1041746831),('FR',1041746832,1041746863),('GB',1041746864,1041746887),('FR',1041746888,1041746903),('GB',1041746904,1041746927),('FR',1041746928,1041747071),('GB',1041747072,1041747455),('FR',1041747456,1041747463),('GB',1041747464,1041747487),('FR',1041747488,1041747503),('GB',1041747504,1041747519),('FR',1041747520,1041749503),('GB',1041749504,1041749507),('FR',1041749508,1041749511),('GB',1041749512,1041749571),('FR',1041749572,1041749575),('GB',1041749576,1041749691),('FR',1041749692,1041749695),('GB',1041749696,1041749715),('FR',1041749716,1041749719),('GB',1041749720,1041749759),('FR',1041749760,1041749807),('GB',1041749808,1041749815),('FR',1041749816,1041750527),('GB',1041750528,1041750543),('FR',1041750544,1041750559),('GB',1041750560,1041750591),('FR',1041750592,1041750791),('GB',1041750792,1041750807),('FR',1041750808,1041750839),('GB',1041750840,1041750847),('FR',1041750848,1041750895),('GB',1041750896,1041750919),('FR',1041750920,1041750943),('GB',1041750944,1041750967),('FR',1041750968,1041750983),('GB',1041750984,1041750991),('FR',1041750992,1041751023),('GB',1041751024,1041751039),('FR',1041751040,1041751311),('GB',1041751312,1041751327),('FR',1041751328,1041751343),('GB',1041751344,1041751359),('FR',1041751360,1041751439),('GB',1041751440,1041751447),('FR',1041751448,1041751623),('GB',1041751624,1041751631),('FR',1041751632,1041751639),('GB',1041751640,1041751647),('FR',1041751648,1041751687),('GB',1041751688,1041751719),('FR',1041751720,1041751743),('GB',1041751744,1041751751),('FR',1041751752,1041751767),('GB',1041751768,1041751775),('FR',1041751776,1041753343),('GB',1041753344,1041754111),('FR',1041754112,1041754143),('GB',1041754144,1041754151),('FR',1041754152,1041754239),('GB',1041754240,1041754247),('FR',1041754248,1041754415),('GB',1041754416,1041754423),('FR',1041754424,1041754479),('GB',1041754480,1041754495),('FR',1041754496,1041755231),('GB',1041755232,1041755239),('FR',1041755240,1041755295),('GB',1041755296,1041755303),('FR',1041755304,1041755311),('GB',1041755312,1041755327),('FR',1041755328,1041755335),('GB',1041755336,1041755343),('FR',1041755344,1041755391),('GB',1041755392,1041755399),('FR',1041755400,1041755631),('GB',1041755632,1041755639),('FR',1041755640,1041756463),('GB',1041756464,1041756471),('FR',1041756472,1041756599),('GB',1041756600,1041756607),('FR',1041756608,1041756719),('GB',1041756720,1041756727),('FR',1041756728,1041756895),('GB',1041756896,1041756911),('FR',1041756912,1041756919),('GB',1041756920,1041756927),('FR',1041756928,1041757023),('GB',1041757024,1041757039),('FR',1041757040,1041757087),('GB',1041757088,1041757111),('FR',1041757112,1041757175),('GB',1041757176,1041757179),('FR',1041757180,1041757503),('GB',1041757504,1041757519),('FR',1041757520,1041757663),('GB',1041757664,1041757671),('FR',1041757672,1041758207),('GB',1041758208,1041760255),('DE',1041760256,1041768447),('GB',1041768448,1041776639),('CZ',1041776640,1041784831),('KE',1041784832,1041793023),('GB',1041793024,1041825791),('NL',1041825792,1041842175),('GB',1041842176,1041891327),('DE',1041891328,1041921535),('US',1041921536,1041921727),('DE',1041921728,1041940437),('A2',1041940438,1041940438),('DE',1041940439,1041945087),('AT',1041945088,1041945151),('DE',1041945152,1041958463),('DK',1041958464,1041958527),('DE',1041958528,1041959423),('US',1041959424,1041959679),('DE',1041959680,1042022399),('PT',1042022400,1042087935),('TR',1042087936,1042120703),('PL',1042120704,1042153471),('GB',1042153472,1042284543),('CH',1042284544,1042288399),('GB',1042288400,1042288415),('CH',1042288416,1042292735),('NL',1042292736,1042293247),('GB',1042293248,1042293503),('IR',1042293504,1042293631),('GE',1042293632,1042296063),('CY',1042296064,1042296191),('GE',1042296192,1042296575),('BY',1042296576,1042296831),('NL',1042296832,1042297215),('IR',1042297216,1042297319),('GE',1042297320,1042297327),('IR',1042297328,1042297599),('GB',1042297600,1042297855),('NL',1042297856,1042298111),('IR',1042298112,1042298239),('IQ',1042298240,1042298279),('IR',1042298280,1042298287),('GB',1042298288,1042298303),('IQ',1042298304,1042298335),('IR',1042298336,1042298351),('NL',1042298352,1042298367),('GB',1042298368,1042298623),('NL',1042298624,1042298879),('GB',1042298880,1042299135),('IQ',1042299136,1042299391),('NL',1042299392,1042300159),('BY',1042300160,1042300175),('IQ',1042300176,1042300223),('AM',1042300224,1042300255),('IR',1042300256,1042300287),('IT',1042300288,1042300351),('IQ',1042300352,1042300383),('IR',1042300384,1042300415),('NL',1042300416,1042300479),('IQ',1042300480,1042300495),('GB',1042300496,1042300543),('IQ',1042300544,1042300639),('NL',1042300640,1042300647),('IQ',1042300648,1042300655),('LB',1042300656,1042300671),('IQ',1042300672,1042300799),('IR',1042300800,1042300863),('LB',1042300864,1042300895),('MD',1042300896,1042300903),('UA',1042300904,1042300911),('NL',1042300912,1042300919),('UA',1042300920,1042300927),('RU',1042300928,1042309119),('GB',1042309120,1042317311),('ES',1042317312,1042350079),('RU',1042350080,1042415615),('FR',1042415616,1042546687),('ES',1042546688,1042677759),('GR',1042677760,1042743295),('FR',1042743296,1042808831),('DE',1042808832,1042817023),('IE',1042817024,1042825215),('CZ',1042825216,1042833407),('GB',1042833408,1042841599),('AT',1042841600,1042874367),('NL',1042874368,1042882559),('DE',1042882560,1042882815),('NL',1042882816,1042888703),('GB',1042888704,1042888959),('NL',1042888960,1042889215),('US',1042889216,1042889471),('NL',1042889472,1042890751),('GB',1042890752,1042890783),('NL',1042890784,1042890815),('FR',1042890816,1042890819),('NL',1042890820,1042890847),('GB',1042890848,1042890879),('NL',1042890880,1042890944),('GB',1042890945,1042890950),('NL',1042890951,1042890959),('GB',1042890960,1042890991),('NL',1042890992,1042891775),('GB',1042891776,1042891839),('NL',1042891840,1042892287),('SE',1042892288,1042892319),('PT',1042892320,1042892383),('IT',1042892384,1042892447),('BE',1042892448,1042892479),('PL',1042892480,1042892543),('NL',1042892544,1042892863),('GB',1042892864,1042892927),('NL',1042892928,1042892967),('PL',1042892968,1042892975),('CH',1042892976,1042892983),('NL',1042892984,1042893055),('GB',1042893056,1042893087),('NL',1042893088,1042893135),('DE',1042893136,1042893143),('NL',1042893144,1042893183),('GB',1042893184,1042893311),('NL',1042893312,1042894079),('DE',1042894080,1042894143),('SE',1042894144,1042894175),('NL',1042894176,1042894559),('DE',1042894560,1042894591),('FR',1042894592,1042894655),('NL',1042894656,1042894783),('DE',1042894784,1042894847),('NL',1042894848,1042895359),('FR',1042895360,1042895615),('GB',1042895616,1042895871),('NL',1042895872,1042900479),('GB',1042900480,1042900735),('NL',1042900736,1042907135),('GB',1042907136,1042915391),('NL',1042915392,1042939903),('ES',1042939904,1043070975),('CZ',1043070976,1043079167),('DE',1043079168,1043087359),('GB',1043087360,1043095551),('BG',1043095552,1043103743),('DK',1043103744,1043120127),('FI',1043120128,1043136511),('NL',1043136512,1043202047),('AT',1043202048,1043333119),('CH',1043333120,1043341311),('IT',1043341312,1043349503),('DE',1043349504,1043350587),('AT',1043350588,1043350591),('DE',1043350592,1043357695),('CH',1043357696,1043365887),('PT',1043365888,1043398655),('GB',1043398656,1043464191),('NL',1043464192,1043465215),('GB',1043465216,1043472383),('DE',1043472384,1043480575),('CH',1043480576,1043488767),('DE',1043488768,1043496959),('FR',1043496960,1043505151),('NO',1043505152,1043513343),('GB',1043513344,1043529727),('EU',1043529728,1043595263),('DE',1043595264,1043600639),('FR',1043600640,1043600895),('DE',1043600896,1043602391),('FR',1043602392,1043602399),('DE',1043602400,1043607679),('FR',1043607680,1043607715),('DE',1043607716,1043609279),('AT',1043609280,1043609343),('DE',1043609344,1043609463),('IE',1043609464,1043609471),('DE',1043609472,1043619839),('IE',1043619840,1043620095),('DE',1043620096,1043621503),('GB',1043621504,1043621567),('DE',1043621568,1043623215),('GB',1043623216,1043623231),('DE',1043623232,1043633663),('FR',1043633664,1043633919),('DE',1043633920,1043660799),('GB',1043660800,1043661055),('DE',1043661056,1043661311),('GB',1043661312,1043661823),('DE',1043661824,1043664383),('GB',1043664384,1043664639),('DE',1043664640,1043665151),('GB',1043665152,1043665663),('DE',1043665664,1043666687),('GB',1043666688,1043667583),('US',1043667584,1043667647),('GB',1043667648,1043667711),('DE',1043667712,1043668223),('GB',1043668224,1043668351),('DE',1043668352,1043668399),('GB',1043668400,1043668463),('DE',1043668464,1043668471),('GB',1043668472,1043668991),('DE',1043668992,1043693055),('GB',1043693056,1043693127),('DE',1043693128,1043693183),('GB',1043693184,1043693567),('DE',1043693568,1043718783),('FR',1043718784,1043718815),('DE',1043718816,1043727375),('IT',1043727376,1043727383),('DE',1043727384,1043729887),('CH',1043729888,1043729891),('DE',1043729892,1043799039),('GB',1043799040,1043799295),('DE',1043799296,1043816447),('GB',1043816448,1043816703),('DE',1043816704,1043826687),('GB',1043826688,1043826943),('DE',1043826944,1043827199),('GB',1043827200,1043827455),('DE',1043827456,1043829247),('GB',1043829248,1043829759),('DE',1043829760,1043830911),('GB',1043830912,1043831039),('DE',1043831040,1043857407),('GB',1043857408,1043890175),('A2',1043890176,1043890495),('NG',1043890496,1043890591),('A2',1043890592,1043891775),('NG',1043891776,1043891839),('A2',1043891840,1043892223),('MZ',1043892224,1043892239),('A2',1043892240,1043892255),('MZ',1043892256,1043892287),('A2',1043892288,1043892479),('NG',1043892480,1043892735),('MZ',1043892736,1043892991),('NG',1043892992,1043893247),('A2',1043893248,1043893311),('NG',1043893312,1043893375),('A2',1043893376,1043893567),('NG',1043893568,1043893583),('A2',1043893584,1043893759),('NG',1043893760,1043894015),('MZ',1043894016,1043894271),('A2',1043894272,1043894559),('NG',1043894560,1043894591),('A2',1043894592,1043894751),('NG',1043894752,1043894783),('A2',1043894784,1043894847),('NG',1043894848,1043894879),('A2',1043894880,1043895039),('NG',1043895040,1043895167),('A2',1043895168,1043895983),('AO',1043895984,1043895999),('A2',1043896000,1043896063),('NG',1043896064,1043896319),('GH',1043896320,1043896575),('A2',1043896576,1043897343),('KE',1043897344,1043897855),('A2',1043897856,1043898367),('CD',1043898368,1043898879),('MG',1043898880,1043899647),('A2',1043899648,1043899903),('TZ',1043899904,1043900159),('MG',1043900160,1043900415),('A2',1043900416,1043905023),('TG',1043905024,1043905279),('A2',1043905280,1043907071),('MZ',1043907072,1043907583),('A2',1043907584,1043910143),('TZ',1043910144,1043910399),('KE',1043910400,1043910655),('A2',1043910656,1043912447),('KE',1043912448,1043912703),('ZM',1043912704,1043913215),('TZ',1043913216,1043913471),('A2',1043913472,1043914751),('NG',1043914752,1043914879),('A2',1043914880,1043916799),('NG',1043916800,1043917055),('A2',1043917056,1043917311),('CM',1043917312,1043917567),('A2',1043917568,1043918847),('MG',1043918848,1043919871),('A2',1043919872,1043921919),('IL',1043921920,1043922943),('ES',1043922944,1043988479),('NL',1043988480,1044013059),('BE',1044013060,1044013071),('NL',1044013072,1044013087),('BE',1044013088,1044013111),('NL',1044013112,1044013143),('BE',1044013144,1044013247),('NL',1044013248,1044013263),('BE',1044013264,1044013279),('NL',1044013280,1044013287),('BE',1044013288,1044013375),('NL',1044013376,1044013567),('BE',1044013568,1044013575),('NL',1044013576,1044013591),('BE',1044013592,1044013615),('NL',1044013616,1044013623),('BE',1044013624,1044013639),('NL',1044013640,1044013647),('BE',1044013648,1044013655),('NL',1044013656,1044013663),('BE',1044013664,1044013735),('NL',1044013736,1044013743),('BE',1044013744,1044013839),('NL',1044013840,1044013847),('BE',1044013848,1044013959),('NL',1044013960,1044013967),('BE',1044013968,1044014047),('NL',1044014048,1044014055),('BE',1044014056,1044014063),('NL',1044014064,1044014079),('BE',1044014080,1044014095),('NL',1044014096,1044014135),('BE',1044014136,1044014143),('NL',1044014144,1044014207),('BE',1044014208,1044014239),('NL',1044014240,1044014247),('BE',1044014248,1044014847),('NL',1044014848,1044015487),('BE',1044015488,1044015531),('NL',1044015532,1044015543),('BE',1044015544,1044015567),('NL',1044015568,1044015583),('BE',1044015584,1044015631),('NL',1044015632,1044015647),('BE',1044015648,1044015679),('NL',1044015680,1044015703),('BE',1044015704,1044015727),('NL',1044015728,1044015743),('BE',1044015744,1044015791),('NL',1044015792,1044015823),('BE',1044015824,1044016647),('NL',1044016648,1044016655),('BE',1044016656,1044016671),('NL',1044016672,1044016703),('BE',1044016704,1044016783),('NL',1044016784,1044016799),('BE',1044016800,1044017167),('NL',1044017168,1044017279),('BE',1044017280,1044017359),('NL',1044017360,1044017375),('BE',1044017376,1044017399),('NL',1044017400,1044017983),('BE',1044017984,1044017999),('NL',1044018000,1044018007),('BE',1044018008,1044018031),('NL',1044018032,1044018047),('BE',1044018048,1044018175),('NL',1044018176,1044019199),('BE',1044019200,1044019231),('NL',1044019232,1044019235),('BE',1044019236,1044019279),('NL',1044019280,1044019283),('BE',1044019284,1044019291),('NL',1044019292,1044019295),('BE',1044019296,1044019315),('NL',1044019316,1044019323),('BE',1044019324,1044019347),('NL',1044019348,1044019351),('BE',1044019352,1044019379),('NL',1044019380,1044019399),('BE',1044019400,1044019403),('NL',1044019404,1044019407),('BE',1044019408,1044019415),('NL',1044019416,1044019439),('BE',1044019440,1044019443),('NL',1044019444,1044019475),('BE',1044019476,1044019483),('NL',1044019484,1044019487),('BE',1044019488,1044019491),('NL',1044019492,1044019495),('BE',1044019496,1044019503),('NL',1044019504,1044019507),('BE',1044019508,1044019515),('NL',1044019516,1044019527),('BE',1044019528,1044019531),('NL',1044019532,1044019539),('BE',1044019540,1044019563),('NL',1044019564,1044019571),('BE',1044019572,1044019575),('NL',1044019576,1044019583),('BE',1044019584,1044019695),('NL',1044019696,1044019711),('BE',1044019712,1044019723),('NL',1044019724,1044019731),('BE',1044019732,1044019735),('NL',1044019736,1044019739),('BE',1044019740,1044019743),('NL',1044019744,1044019747),('BE',1044019748,1044019751),('NL',1044019752,1044019755),('BE',1044019756,1044019759),('NL',1044019760,1044019771),('BE',1044019772,1044019775),('NL',1044019776,1044019779),('BE',1044019780,1044019787),('NL',1044019788,1044019799),('BE',1044019800,1044019803),('NL',1044019804,1044019807),('BE',1044019808,1044019811),('NL',1044019812,1044019827),('BE',1044019828,1044019835),('NL',1044019836,1044019839),('BE',1044019840,1044019851),('NL',1044019852,1044019859),('BE',1044019860,1044019867),('NL',1044019868,1044019871),('BE',1044019872,1044019875),('NL',1044019876,1044019887),('BE',1044019888,1044019891),('NL',1044019892,1044019903),('BE',1044019904,1044019907),('NL',1044019908,1044019911),('BE',1044019912,1044019915),('NL',1044019916,1044019919),('BE',1044019920,1044019923),('NL',1044019924,1044019931),('BE',1044019932,1044019939),('NL',1044019940,1044019955),('BE',1044019956,1044019963),('NL',1044019964,1044019979),('BE',1044019980,1044019987),('NL',1044019988,1044019991),('BE',1044019992,1044019995),('NL',1044019996,1044020003),('BE',1044020004,1044020015),('NL',1044020016,1044020019),('BE',1044020020,1044020031),('NL',1044020032,1044020035),('BE',1044020036,1044020039),('NL',1044020040,1044020047),('BE',1044020048,1044020059),('NL',1044020060,1044020067),('BE',1044020068,1044020075),('NL',1044020076,1044020083),('BE',1044020084,1044020127),('NL',1044020128,1044020131),('BE',1044020132,1044020147),('NL',1044020148,1044020151),('BE',1044020152,1044020163),('NL',1044020164,1044020167),('BE',1044020168,1044020187),('NL',1044020188,1044020199),('BE',1044020200,1044020203),('NL',1044020204,1044020207),('BE',1044020208,1044020211),('NL',1044020212,1044020219),('BE',1044020220,1044020311),('NL',1044020312,1044020319),('BE',1044020320,1044020511),('NL',1044020512,1044020551),('BE',1044020552,1044020567),('NL',1044020568,1044020591),('BE',1044020592,1044020607),('NL',1044020608,1044020671),('BE',1044020672,1044020735),('NL',1044020736,1044045823),('BE',1044045824,1044045855),('NL',1044045856,1044045887),('BE',1044045888,1044045911),('NL',1044045912,1044045919),('BE',1044045920,1044046079),('NL',1044046080,1044046239),('BE',1044046240,1044046319),('NL',1044046320,1044046327),('BE',1044046328,1044046847),('NL',1044046848,1044051967),('BE',1044051968,1044052031),('NL',1044052032,1044052039),('BE',1044052040,1044052063),('NL',1044052064,1044052067),('BE',1044052068,1044052107),('NL',1044052108,1044052111),('BE',1044052112,1044052151),('NL',1044052152,1044052155),('BE',1044052156,1044052223),('NL',1044052224,1044052227),('BE',1044052228,1044052255),('NL',1044052256,1044052259),('BE',1044052260,1044052347),('NL',1044052348,1044052359),('BE',1044052360,1044052363),('NL',1044052364,1044052971),('BE',1044052972,1044052983),('NL',1044052984,1044052991),('BE',1044052992,1044053399),('NL',1044053400,1044053415),('BE',1044053416,1044053423),('NL',1044053424,1044053431),('BE',1044053432,1044053455),('NL',1044053456,1044053463),('BE',1044053464,1044053503),('NL',1044053504,1044106239),('BE',1044106240,1044106367),('NL',1044106368,1044106495),('BE',1044106496,1044106763),('NL',1044106764,1044106767),('BE',1044106768,1044106771),('NL',1044106772,1044106775),('BE',1044106776,1044106787),('NL',1044106788,1044106795),('BE',1044106796,1044106811),('NL',1044106812,1044117503),('BE',1044117504,1044117543),('NL',1044117544,1044117567),('BE',1044117568,1044118527),('NL',1044118528,1044119551),('GB',1044119552,1044152319),('IR',1044152320,1044185087),('RU',1044185088,1044193279),('PL',1044193280,1044201471),('FI',1044201472,1044217855),('DK',1044217856,1044226047),('OM',1044226048,1044234239),('DZ',1044234240,1044250623),('BE',1044250624,1044251391),('EU',1044251392,1044251647),('BE',1044251648,1044252415),('EU',1044252416,1044252927),('BE',1044252928,1044253439),('EU',1044253440,1044253695),('BE',1044253696,1044254463),('EU',1044254464,1044254975),('BE',1044254976,1044255487),('EU',1044255488,1044255999),('BE',1044256000,1044256511),('EU',1044256512,1044256767),('BE',1044256768,1044257535),('EU',1044257536,1044257791),('BE',1044257792,1044258559),('EU',1044258560,1044259071),('BE',1044259072,1044259583),('EU',1044259584,1044260095),('BE',1044260096,1044261631),('EU',1044261632,1044262143),('BE',1044262144,1044262399),('EU',1044262400,1044263167),('BE',1044263168,1044263423),('EU',1044263424,1044264191),('BE',1044264192,1044264447),('EU',1044264448,1044265215),('BE',1044265216,1044265471),('EU',1044265472,1044265983),('BE',1044265984,1044266751),('EU',1044266752,1044267519),('BE',1044267520,1044269567),('EU',1044269568,1044270079),('BE',1044270080,1044271615),('EU',1044271616,1044272127),('BE',1044272128,1044272383),('EU',1044272384,1044272895),('BE',1044272896,1044273151),('EU',1044273152,1044273407),('BE',1044273408,1044273663),('EU',1044273664,1044273919),('BE',1044273920,1044274175),('EU',1044274176,1044283391),('FR',1044283392,1044316159),('NO',1044316160,1044332543),('RU',1044332544,1044348927),('LV',1044348928,1044365311),('SE',1044365312,1044381695),('RU',1044381696,1044383999),('KZ',1044384000,1044384255),('TJ',1044384256,1044384511),('KZ',1044384512,1044384767),('RU',1044384768,1044389887),('UA',1044398080,1044414463),('GB',1044414464,1044447231),('SE',1044447232,1044451583),('NO',1044451584,1044451839),('SE',1044451840,1044453183),('NO',1044453184,1044453263),('SE',1044453264,1044454399),('NO',1044454400,1044454415),('SE',1044454416,1044454423),('NO',1044454424,1044454427),('SE',1044454428,1044454463),('NO',1044454464,1044454495),('SE',1044454496,1044454511),('NO',1044454512,1044454559),('SE',1044454560,1044454583),('NO',1044454584,1044454655),('SE',1044454656,1044454911),('NO',1044454912,1044455423),('EE',1044455424,1044463615),('SE',1044463616,1044479999),('CH',1044480000,1044488191),('SK',1044488192,1044496383),('EE',1044496384,1044512767),('DK',1044512768,1044578303),('GB',1044578304,1044586495),('DE',1044586496,1044587007),('GB',1044587008,1044587519),('DE',1044587520,1044587775),('GB',1044587776,1044588031),('DE',1044588032,1044588287),('GB',1044588288,1044588575),('DE',1044588576,1044588607),('GB',1044588608,1044588799),('DE',1044588800,1044590335),('GB',1044590336,1044590591),('DE',1044590592,1044590671),('GB',1044590672,1044590847),('DE',1044590848,1044591359),('GB',1044591360,1044591871),('DE',1044591872,1044592127),('GB',1044592128,1044592143),('DE',1044592144,1044592175),('GB',1044592176,1044592191),('DE',1044592192,1044592255),('GB',1044592256,1044592639),('DE',1044592640,1044592655),('GB',1044592656,1044592831),('DE',1044592832,1044594175),('GB',1044594176,1044625407),('DE',1044625408,1044625455),('GB',1044625456,1044627967),('DE',1044627968,1044628479),('GB',1044628480,1044628991),('DE',1044628992,1044629055),('GB',1044629056,1044629503),('DE',1044629504,1044629759),('GB',1044629760,1044630527),('DE',1044630528,1044630783),('GB',1044630784,1044631551),('DE',1044631552,1044631935),('GB',1044631936,1044631951),('DE',1044631952,1044631967),('GB',1044631968,1044632063),('DE',1044632064,1044633855),('GB',1044633856,1044634111),('DE',1044634112,1044634367),('GB',1044634368,1044634623),('DE',1044634624,1044634879),('GB',1044634880,1044635135),('DE',1044635136,1044635391),('GB',1044635392,1044635647),('US',1044635648,1044636159),('DE',1044636160,1044638207),('GB',1044638208,1044638223),('DE',1044638224,1044638239),('GB',1044638240,1044638271),('DE',1044638272,1044638335),('GB',1044638336,1044638463),('DE',1044638464,1044638719),('GB',1044638720,1044638975),('DE',1044638976,1044639231),('GB',1044639232,1044639743),('DE',1044639744,1044643327),('GB',1044643328,1044643839),('DE',1044643840,1044652031),('LY',1044652032,1044660223),('GR',1044660224,1044664895),('IR',1044664896,1044664959),('GR',1044664960,1044668415),('BA',1044668416,1044676607),('RU',1044676608,1044684799),('HU',1044684800,1044692991),('TR',1044692992,1044701183),('EG',1044701184,1044709375),('RU',1044709376,1044717567),('GB',1044717568,1044742143),('KW',1044742144,1044750335),('NL',1044750336,1044758527),('PL',1044758528,1044774911),('NO',1044774912,1044775559),('GB',1044775560,1044775567),('NO',1044775568,1044776175),('GB',1044776176,1044776191),('NO',1044776192,1044840447),('FI',1044840448,1044905983),('DE',1044905984,1044908031),('US',1044908032,1044909055),('DE',1044909056,1044914175),('GB',1044914176,1044916735),('DE',1044916736,1044917247),('GB',1044917248,1044917279),('US',1044917280,1044917295),('DE',1044917296,1044917311),('GB',1044917312,1044917343),('DE',1044917344,1044917359),('GB',1044917360,1044917503),('DE',1044917504,1044917759),('GB',1044917760,1044917823),('DE',1044917824,1044918271),('GB',1044918272,1044918287),('DE',1044918288,1044919295),('GB',1044919296,1044920191),('DE',1044920192,1044920319),('GB',1044920320,1044921343),('US',1044921344,1044922367),('DE',1044922368,1044930559),('BE',1044930560,1044930695),('GB',1044930696,1044930703),('BE',1044930704,1044930775),('GB',1044930776,1044930783),('BE',1044930784,1044930791),('GB',1044930792,1044930795),('BE',1044930796,1044930799),('GB',1044930800,1044930807),('BE',1044930808,1044930823),('GB',1044930824,1044930831),('BE',1044930832,1044930839),('GB',1044930840,1044930879),('BE',1044930880,1044930967),('GB',1044930968,1044930979),('BE',1044930980,1044931023),('GB',1044931024,1044931027),('BE',1044931028,1044931103),('GB',1044931104,1044931107),('BE',1044931108,1044931111),('GB',1044931112,1044931119),('BE',1044931120,1044931263),('GB',1044931264,1044931327),('BE',1044931328,1044931407),('GB',1044931408,1044931423),('BE',1044931424,1044931487),('GB',1044931488,1044931495),('BE',1044931496,1044931535),('GB',1044931536,1044931543),('BE',1044931544,1044931551),('GB',1044931552,1044931567),('BE',1044931568,1044931759),('GB',1044931760,1044931775),('BE',1044931776,1044931855),('GB',1044931856,1044931871),('BE',1044931872,1044931903),('GB',1044931904,1044931919),('BE',1044931920,1044931975),('GB',1044931976,1044931983),('BE',1044931984,1044932131),('GB',1044932132,1044932223),('BE',1044932224,1044932295),('GB',1044932296,1044932307),('BE',1044932308,1044932311),('GB',1044932312,1044932319),('BE',1044932320,1044932391),('GB',1044932392,1044932407),('BE',1044932408,1044932503),('GB',1044932504,1044932543),('BE',1044932544,1044932675),('GB',1044932676,1044932687),('BE',1044932688,1044932703),('GB',1044932704,1044932707),('BE',1044932708,1044932735),('GB',1044932736,1044932799),('BE',1044932800,1044932807),('GB',1044932808,1044932815),('BE',1044932816,1044932831),('GB',1044932832,1044932839),('BE',1044932840,1044932855),('GB',1044932856,1044932863),('BE',1044932864,1044932919),('GB',1044932920,1044932927),('BE',1044932928,1044932951),('GB',1044932952,1044932959),('BE',1044932960,1044933023),('GB',1044933024,1044933031),('BE',1044933032,1044933055),('GB',1044933056,1044933071),('BE',1044933072,1044933215),('GB',1044933216,1044933227),('BE',1044933228,1044933303),('GB',1044933304,1044933311),('BE',1044933312,1044933359),('GB',1044933360,1044933375),('BE',1044933376,1044933567),('GB',1044933568,1044933583),('BE',1044933584,1044933711),('GB',1044933712,1044933719),('BE',1044933720,1044933727),('GB',1044933728,1044933735),('BE',1044933736,1044933743),('GB',1044933744,1044933759),('BE',1044933760,1044933823),('GB',1044933824,1044933831),('BE',1044933832,1044933843),('GB',1044933844,1044933847),('BE',1044933848,1044933959),('GB',1044933960,1044933983),('BE',1044933984,1044934191),('GB',1044934192,1044934199),('BE',1044934200,1044934239),('GB',1044934240,1044934247),('BE',1044934248,1044934311),('GB',1044934312,1044934319),('BE',1044934320,1044934359),('GB',1044934360,1044934367),('BE',1044934368,1044934399),('GB',1044934400,1044934495),('BE',1044934496,1044934575),('GB',1044934576,1044934583),('BE',1044934584,1044934719),('GB',1044934720,1044934911),('BE',1044934912,1044934979),('GB',1044934980,1044934991),('BE',1044934992,1044935027),('GB',1044935028,1044935039),('BE',1044935040,1044935055),('GB',1044935056,1044935071),('BE',1044935072,1044935135),('GB',1044935136,1044935151),('BE',1044935152,1044935231),('GB',1044935232,1044935247),('BE',1044935248,1044935331),('GB',1044935332,1044935335),('BE',1044935336,1044935351),('GB',1044935352,1044935359),('BE',1044935360,1044935391),('GB',1044935392,1044935431),('BE',1044935432,1044935479),('GB',1044935480,1044935487),('BE',1044935488,1044935591),('GB',1044935592,1044935623),('BE',1044935624,1044935647),('GB',1044935648,1044935671),('BE',1044935672,1044935879),('GB',1044935880,1044935887),('BE',1044935888,1044935903),('GB',1044935904,1044936063),('BE',1044936064,1044936103),('GB',1044936104,1044936111),('BE',1044936112,1044936123),('GB',1044936124,1044936151),('BE',1044936152,1044936207),('GB',1044936208,1044936215),('BE',1044936216,1044936271),('GB',1044936272,1044936287),('BE',1044936288,1044936303),('GB',1044936304,1044936311),('BE',1044936312,1044936335),('GB',1044936336,1044936351),('BE',1044936352,1044936439),('GB',1044936440,1044936471),('BE',1044936472,1044936479),('GB',1044936480,1044936503),('BE',1044936504,1044936831),('GB',1044936832,1044936847),('BE',1044936848,1044936887),('GB',1044936888,1044936895),('BE',1044936896,1044936991),('GB',1044936992,1044937023),('BE',1044937024,1044937167),('GB',1044937168,1044937175),('BE',1044937176,1044937183),('GB',1044937184,1044937187),('BE',1044937188,1044937191),('GB',1044937192,1044937195),('BE',1044937196,1044937287),('GB',1044937288,1044937311),('BE',1044937312,1044937391),('GB',1044937392,1044937399),('BE',1044937400,1044937535),('GB',1044937536,1044937551),('BE',1044937552,1044937591),('GB',1044937592,1044937599),('BE',1044937600,1044937615),('GB',1044937616,1044937631),('BE',1044937632,1044937679),('GB',1044937680,1044937687),('BE',1044937688,1044937751),('GB',1044937752,1044937759),('BE',1044937760,1044937847),('GB',1044937848,1044937855),('BE',1044937856,1044937903),('GB',1044937904,1044937911),('BE',1044937912,1044938103),('GB',1044938104,1044938107),('BE',1044938108,1044938111),('GB',1044938112,1044938143),('BE',1044938144,1044938255),('GB',1044938256,1044938271),('BE',1044938272,1044938367),('GB',1044938368,1044938399),('BE',1044938400,1044938407),('GB',1044938408,1044938415),('BE',1044938416,1044938487),('GB',1044938488,1044938511),('BE',1044938512,1044938519),('GB',1044938520,1044938527),('BE',1044938528,1044938631),('GB',1044938632,1044938655),('BE',1044938656,1044938687),('GB',1044938688,1044946943),('UA',1044946944,1044955135),('NL',1044955136,1044963327),('FI',1044963328,1044971519),('FR',1044971520,1044979711),('FI',1044979712,1044987903),('BG',1044987904,1045004287),('GB',1045004288,1045004671),('IE',1045004672,1045004751),('GB',1045004752,1045018207),('FI',1045018208,1045018231),('GB',1045018232,1045020671),('NO',1045020672,1045037055),('GR',1045037056,1045119231),('AL',1045119232,1045119743),('GR',1045119744,1045135359),('DE',1045135360,1045138431),('AT',1045138432,1045138463),('DE',1045138464,1045168127),('RU',1045168128,1045233663),('GB',1045233664,1045241855),('IT',1045241856,1045250047),('CZ',1045250048,1045266431),('HU',1045266432,1045274623),('IE',1045274624,1045282815),('HU',1045282816,1045299199),('GB',1045299200,1045302271),('EU',1045302272,1045303295),('DE',1045303296,1045305855),('EU',1045305856,1045307391),('GB',1045307392,1045315583),('DE',1045315584,1045323775),('FI',1045323776,1045364735),('DK',1045364736,1045430271),('DE',1045430272,1045430887),('CH',1045430888,1045430895),('DE',1045430896,1045436911),('GB',1045436912,1045436919),('DE',1045436920,1045446655),('HU',1045446656,1045446911),('SK',1045446912,1045447167),('HU',1045447168,1045447231),('SK',1045447232,1045447239),('HU',1045447240,1045447263),('SK',1045447264,1045447279),('HU',1045447280,1045447287),('SK',1045447288,1045447295),('HU',1045447296,1045447311),('SK',1045447312,1045447423),('HU',1045447424,1045447431),('SK',1045447432,1045447439),('HU',1045447440,1045447447),('SK',1045447448,1045447471),('HU',1045447472,1045447551),('SK',1045447552,1045448031),('HU',1045448032,1045448039),('SK',1045448040,1045448055),('HU',1045448056,1045448063),('SK',1045448064,1045448159),('HU',1045448160,1045448191),('SK',1045448192,1045448239),('HU',1045448240,1045448263),('SK',1045448264,1045448703),('HU',1045448704,1045448767),('SK',1045448768,1045449471),('HU',1045449472,1045449727),('SK',1045449728,1045450751),('CZ',1045450752,1045451263),('SK',1045451264,1045451775),('CZ',1045451776,1045452071),('SK',1045452072,1045452087),('CZ',1045452088,1045452095),('SK',1045452096,1045452159),('CZ',1045452160,1045452287),('SK',1045452288,1045452799),('CZ',1045452800,1045453055),('SK',1045453056,1045454847),('DE',1045454848,1045460735),('NL',1045460736,1045460991),('FR',1045460992,1045461503),('DE',1045461504,1045461631),('FR',1045461632,1045461695),('DE',1045461696,1045461703),('GB',1045461704,1045461711),('FR',1045461712,1045461719),('IT',1045461720,1045461727),('ES',1045461728,1045461735),('NL',1045461736,1045461743),('DE',1045461744,1045463039),('FI',1045463040,1045471231),('UA',1045471232,1045479423),('SE',1045479424,1045487615),('LT',1045487616,1045495807),('ES',1045495808,1045692415),('LV',1045692416,1045700607),('KZ',1045700608,1045708799),('LB',1045708800,1045716991),('RU',1045716992,1045725183),('CZ',1045725184,1045733375),('GB',1045733376,1045741567),('SE',1045741568,1045741839),('GB',1045741840,1045741855),('SE',1045741856,1045741887),('GB',1045741888,1045742039),('SE',1045742040,1045742047),('GB',1045742048,1045742063),('SE',1045742064,1045742127),('GB',1045742128,1045742175),('SE',1045742176,1045742199),('GB',1045742200,1045742207),('SE',1045742208,1045742239),('GB',1045742240,1045742247),('SE',1045742248,1045742271),('GB',1045742272,1045742335),('SE',1045742336,1045742351),('GB',1045742352,1045742367),('SE',1045742368,1045742383),('GB',1045742384,1045742391),('SE',1045742392,1045742399),('GB',1045742400,1045742431),('SE',1045742432,1045742495),('GB',1045742496,1045742535),('SE',1045742536,1045742551),('GB',1045742552,1045742559),('SE',1045742560,1045742763),('GB',1045742764,1045742767),('SE',1045742768,1045742783),('GB',1045742784,1045742831),('SE',1045742832,1045742839),('GB',1045742840,1045742975),('SE',1045742976,1045743023),('GB',1045743024,1045743031),('SE',1045743032,1045743039),('GB',1045743040,1045743063),('SE',1045743064,1045743095),('GB',1045743096,1045743183),('SE',1045743184,1045743191),('GB',1045743192,1045743199),('SE',1045743200,1045743247),('GB',1045743248,1045743263),('SE',1045743264,1045743679),('GB',1045743680,1045743743),('SE',1045743744,1045743783),('GB',1045743784,1045743791),('SE',1045743792,1045743803),('GB',1045743804,1045743807),('SE',1045743808,1045743999),('GB',1045744000,1045744063),('SE',1045744064,1045744383),('GB',1045744384,1045745407),('SE',1045745408,1045745599),('GB',1045745600,1045745623),('SE',1045745624,1045745639),('GB',1045745640,1045745647),('SE',1045745648,1045745655),('GB',1045745656,1045745663),('SE',1045745664,1045745695),('GB',1045745696,1045745759),('SE',1045745760,1045745768),('GB',1045745769,1045745879),('SE',1045745880,1045745919),('GB',1045745920,1045745999),('SE',1045746000,1045746079),('GB',1045746080,1045746095),('SE',1045746096,1045746111),('GB',1045746112,1045746143),('SE',1045746144,1045746159),('GB',1045746160,1045746175),('SE',1045746176,1045746431),('GB',1045746432,1045746447),('SE',1045746448,1045746463),('GB',1045746464,1045746543),('SE',1045746544,1045746559),('GB',1045746560,1045746687),('SE',1045746688,1045747071),('GB',1045747072,1045747199),('SE',1045747200,1045747455),('GB',1045747456,1045747583),('SE',1045747584,1045747615),('GB',1045747616,1045747679),('SE',1045747680,1045747711),('GB',1045747712,1045747743),('SE',1045747744,1045747751),('GB',1045747752,1045747759),('SE',1045747760,1045747775),('GB',1045747776,1045747815),('SE',1045747816,1045747823),('GB',1045747824,1045747839),('SE',1045747840,1045747871),('GB',1045747872,1045747919),('SE',1045747920,1045747935),('GB',1045747936,1045747967),('SE',1045747968,1045748223),('GB',1045748224,1045748239),('SE',1045748240,1045748287),('GB',1045748288,1045748295),('SE',1045748296,1045748303),('GB',1045748304,1045748319),('SE',1045748320,1045748351),('GB',1045748352,1045748399),('SE',1045748400,1045748407),('GB',1045748408,1045748463),('SE',1045748464,1045748479),('GB',1045748480,1045757951),('LV',1045757952,1045790719),('IT',1045790720,1045889023),('ES',1045889024,1045921791),('PL',1045921792,1045954559),('BE',1045954560,1045987327),('SE',1045987328,1046020095),('AM',1046020096,1046028287),('NO',1046028288,1046036479),('PL',1046036480,1046052863),('GB',1046052864,1046061055),('DE',1046061056,1046069247),('RU',1046069248,1046085631),('IL',1046085632,1046151167),('DE',1046151168,1046216703),('NO',1046216704,1046220959),('SE',1046220960,1046220975),('NO',1046220976,1046229111),('SE',1046229112,1046229119),('NO',1046229120,1046282239),('GB',1046282240,1046290431),('PL',1046290432,1046298623),('AT',1046298624,1046315007),('FR',1046315008,1046315519),('IT',1046315520,1046316031),('BE',1046316032,1046316543),('DK',1046316544,1046317055),('ES',1046317056,1046317567),('SE',1046317568,1046318079),('NL',1046318080,1046318335),('GB',1046318336,1046318591),('IL',1046318592,1046319103),('GB',1046319104,1046323199),('ES',1046323200,1046327151),('FR',1046327152,1046327155),('ES',1046327156,1046331383),('PT',1046331384,1046331391),('DE',1046331392,1046331903),('NL',1046331904,1046332159),('FR',1046332160,1046332415),('DE',1046332416,1046339839),('FR',1046339840,1046340095),('NL',1046340096,1046341151),('DE',1046341152,1046341631),('FR',1046341632,1046342143),('NL',1046342144,1046342719),('DE',1046342720,1046343423),('NL',1046343424,1046343935),('DE',1046343936,1046347775),('IT',1046347776,1046349839),('FR',1046349840,1046349847),('IT',1046349848,1046352831),('SM',1046352832,1046352847),('IT',1046352848,1046366807),('PL',1046366808,1046366815),('IT',1046366816,1046385103),('A2',1046385104,1046385111),('IT',1046385112,1046389759),('A2',1046389760,1046390783),('IT',1046390784,1046413311),('SE',1046413312,1046446079),('DE',1046446080,1046479511),('GB',1046479512,1046479550),('DE',1046479551,1046479687),('GB',1046479688,1046479743),('DE',1046479744,1046479895),('GB',1046479896,1046479903),('DE',1046479904,1046479935),('GB',1046479936,1046479951),('DE',1046479952,1046480475),('GB',1046480476,1046480479),('DE',1046480480,1046480703),('GB',1046480704,1046480895),('DE',1046480896,1046481175),('GB',1046481176,1046481183),('DE',1046481184,1046481327),('GB',1046481328,1046481375),('DE',1046481376,1046481471),('GB',1046481472,1046481927),('DE',1046481928,1046481963),('GB',1046481964,1046481967),('DE',1046481968,1046482207),('GB',1046482208,1046482239),('DE',1046482240,1046482335),('GB',1046482336,1046482943),('DE',1046482944,1046483231),('GB',1046483232,1046483471),('DE',1046483472,1046483871),('GB',1046483872,1046483983),('DE',1046483984,1046484351),('GB',1046484352,1046484479),('DE',1046484480,1046484511),('GB',1046484512,1046484607),('DE',1046484608,1046484623),('GB',1046484624,1046484991),('DE',1046484992,1046485023),('GB',1046485024,1046485031),('DE',1046485032,1046485127),('GB',1046485128,1046485135),('DE',1046485136,1046485159),('GB',1046485160,1046485167),('DE',1046485168,1046485279),('GB',1046485280,1046485287),('DE',1046485288,1046485367),('GB',1046485368,1046485375),('DE',1046485376,1046485495),('GB',1046485496,1046485543),('DE',1046485544,1046485631),('GB',1046485632,1046485639),('DE',1046485640,1046485647),('GB',1046485648,1046485663),('DE',1046485664,1046485759),('GB',1046485760,1046485791),('DE',1046485792,1046485823),('GB',1046485824,1046485855),('DE',1046485856,1046485991),('GB',1046485992,1046485999),('DE',1046486000,1046486055),('GB',1046486056,1046486063),('DE',1046486064,1046486159),('GB',1046486160,1046486175),('DE',1046486176,1046486183),('GB',1046486184,1046486191),('DE',1046486192,1046486375),('GB',1046486376,1046486383),('DE',1046486384,1046486487),('GB',1046486488,1046486495),('DE',1046486496,1046491391),('GB',1046491392,1046491399),('DE',1046491400,1046491423),('GB',1046491424,1046491431),('DE',1046491432,1046491591),('GB',1046491592,1046491599),('DE',1046491600,1046491711),('GB',1046491712,1046491727),('DE',1046491728,1046491743),('GB',1046491744,1046491775),('DE',1046491776,1046491839),('GB',1046491840,1046492159),('DE',1046492160,1046492319),('GB',1046492320,1046492327),('DE',1046492328,1046492415),('GB',1046492416,1046492447),('DE',1046492448,1046492503),('GB',1046492504,1046492511),('DE',1046492512,1046492543),('GB',1046492544,1046492551),('DE',1046492552,1046492655),('GB',1046492656,1046492663),('DE',1046492664,1046492687),('GB',1046492688,1046492695),('DE',1046492696,1046492911),('GB',1046492912,1046492967),('DE',1046492968,1046493071),('GB',1046493072,1046493087),('DE',1046493088,1046493095),('GB',1046493096,1046493103),('DE',1046493104,1046493175),('GB',1046493176,1046493183),('DE',1046493184,1046493391),('GB',1046493392,1046493471),('DE',1046493472,1046493479),('GB',1046493480,1046493511),('DE',1046493512,1046493519),('GB',1046493520,1046493535),('DE',1046493536,1046493551),('GB',1046493552,1046493575),('DE',1046493576,1046493583),('GB',1046493584,1046493591),('DE',1046493592,1046493599),('GB',1046493600,1046493631),('DE',1046493632,1046493639),('GB',1046493640,1046493695),('DE',1046493696,1046493951),('GB',1046493952,1046493983),('DE',1046493984,1046494031),('GB',1046494032,1046494039),('DE',1046494040,1046494087),('GB',1046494088,1046494095),('DE',1046494096,1046494327),('GB',1046494328,1046494335),('DE',1046494336,1046494607),('GB',1046494608,1046494615),('DE',1046494616,1046494623),('GB',1046494624,1046494751),('DE',1046494752,1046494759),('GB',1046494760,1046494775),('DE',1046494776,1046494799),('GB',1046494800,1046494807),('DE',1046494808,1046494815),('GB',1046494816,1046494823),('DE',1046494824,1046494831),('GB',1046494832,1046494839),('DE',1046494840,1046494975),('GB',1046494976,1046495007),('DE',1046495008,1046495015),('GB',1046495016,1046495023),('DE',1046495024,1046495039),('GB',1046495040,1046495047),('DE',1046495048,1046495063),('GB',1046495064,1046495071),('DE',1046495072,1046495079),('GB',1046495080,1046495087),('DE',1046495088,1046495103),('GB',1046495104,1046495127),('DE',1046495128,1046495223),('GB',1046495224,1046495231),('DE',1046495232,1046495351),('GB',1046495352,1046495359),('DE',1046495360,1046495407),('GB',1046495408,1046495415),('DE',1046495416,1046495439),('GB',1046495440,1046495447),('DE',1046495448,1046495487),('GB',1046495488,1046495519),('DE',1046495520,1046495527),('GB',1046495528,1046495535),('DE',1046495536,1046495543),('GB',1046495544,1046495551),('DE',1046495552,1046495567),('GB',1046495568,1046495575),('DE',1046495576,1046495599),('GB',1046495600,1046495607),('DE',1046495608,1046495615),('GB',1046495616,1046495623),('DE',1046495624,1046495631),('GB',1046495632,1046495639),('DE',1046495640,1046495647),('GB',1046495648,1046495663),('DE',1046495664,1046495703),('GB',1046495704,1046495719),('DE',1046495720,1046495879),('GB',1046495880,1046495895),('DE',1046495896,1046495999),('GB',1046496000,1046496071),('DE',1046496072,1046496127),('GB',1046496128,1046496135),('DE',1046496136,1046496151),('GB',1046496152,1046496159),('DE',1046496160,1046496191),('GB',1046496192,1046496215),('DE',1046496216,1046496231),('GB',1046496232,1046496239),('DE',1046496240,1046496247),('GB',1046496248,1046496287),('DE',1046496288,1046496303),('GB',1046496304,1046496511),('DE',1046496512,1046497463),('GB',1046497464,1046497567),('DE',1046497568,1046497639),('GB',1046497640,1046497647),('DE',1046497648,1046497663),('GB',1046497664,1046497671),('DE',1046497672,1046497711),('GB',1046497712,1046497727),('DE',1046497728,1046497759),('GB',1046497760,1046497775),('DE',1046497776,1046497815),('GB',1046497816,1046497823),('DE',1046497824,1046497903),('GB',1046497904,1046497911),('DE',1046497912,1046497975),('GB',1046497976,1046497983),('DE',1046497984,1046498047),('GB',1046498048,1046498079),('DE',1046498080,1046498103),('GB',1046498104,1046498111),('DE',1046498112,1046498159),('GB',1046498160,1046498167),('DE',1046498168,1046498175),('GB',1046498176,1046498183),('DE',1046498184,1046498207),('GB',1046498208,1046498215),('DE',1046498216,1046498239),('GB',1046498240,1046498255),('DE',1046498256,1046498263),('GB',1046498264,1046498271),('DE',1046498272,1046498279),('GB',1046498280,1046498295),('DE',1046498296,1046498359),('GB',1046498360,1046498367),('DE',1046498368,1046498455),('GB',1046498456,1046498591),('DE',1046498592,1046498607),('GB',1046498608,1046498615),('DE',1046498616,1046498631),('GB',1046498632,1046498639),('DE',1046498640,1046498655),('GB',1046498656,1046498663),('DE',1046498664,1046498679),('GB',1046498680,1046498687),('DE',1046498688,1046498719),('GB',1046498720,1046498727),('DE',1046498728,1046498819),('GB',1046498820,1046499327),('DE',1046499328,1046502655),('GB',1046502656,1046502719),('DE',1046502720,1046502847),('GB',1046502848,1046502855),('DE',1046502856,1046502863),('GB',1046502864,1046502951),('DE',1046502952,1046502967),('GB',1046502968,1046502975),('DE',1046502976,1046503015),('GB',1046503016,1046503023),('DE',1046503024,1046503135),('GB',1046503136,1046503143),('DE',1046503144,1046503167),('GB',1046503168,1046503207),('DE',1046503208,1046503303),('GB',1046503304,1046503319),('DE',1046503320,1046503327),('GB',1046503328,1046503351),('DE',1046503352,1046503615),('GB',1046503616,1046503679),('DE',1046503680,1046503807),('GB',1046503808,1046503935),('DE',1046503936,1046504383),('GB',1046504384,1046504487),('DE',1046504488,1046504551),('GB',1046504552,1046504559),('DE',1046504560,1046504583),('GB',1046504584,1046504615),('DE',1046504616,1046504671),('GB',1046504672,1046504679),('DE',1046504680,1046504695),('GB',1046504696,1046504735),('DE',1046504736,1046504799),('GB',1046504800,1046504807),('DE',1046504808,1046504871),('GB',1046504872,1046504879),('DE',1046504880,1046504887),('GB',1046504888,1046504911),('DE',1046504912,1046504919),('GB',1046504920,1046504927),('DE',1046504928,1046504943),('GB',1046504944,1046504951),('DE',1046504952,1046504959),('GB',1046504960,1046504999),('DE',1046505000,1046505031),('GB',1046505032,1046505039),('DE',1046505040,1046505055),('GB',1046505056,1046505063),('DE',1046505064,1046505071),('GB',1046505072,1046505087),('DE',1046505088,1046505095),('GB',1046505096,1046505103),('DE',1046505104,1046505159),('GB',1046505160,1046505167),('DE',1046505168,1046505175),('GB',1046505176,1046505191),('DE',1046505192,1046505207),('GB',1046505208,1046505247),('DE',1046505248,1046505255),('GB',1046505256,1046505271),('DE',1046505272,1046505343),('GB',1046505344,1046505359),('DE',1046505360,1046505415),('GB',1046505416,1046505423),('DE',1046505424,1046505431),('GB',1046505432,1046505439),('DE',1046505440,1046505463),('GB',1046505464,1046505511),('DE',1046505512,1046505551),('GB',1046505552,1046505559),('DE',1046505560,1046505583),('GB',1046505584,1046505591),('DE',1046505592,1046505607),('GB',1046505608,1046505631),('DE',1046505632,1046505663),('GB',1046505664,1046505671),('DE',1046505672,1046505679),('GB',1046505680,1046505687),('DE',1046505688,1046505695),('GB',1046505696,1046505703),('DE',1046505704,1046505727),('GB',1046505728,1046505759),('DE',1046505760,1046505807),('GB',1046505808,1046505823),('DE',1046505824,1046505847),('GB',1046505848,1046505887),('DE',1046505888,1046505895),('GB',1046505896,1046505903),('DE',1046505904,1046505959),('GB',1046505960,1046505967),('DE',1046505968,1046505975),('GB',1046505976,1046506015),('DE',1046506016,1046506039),('GB',1046506040,1046506055),('DE',1046506056,1046506087),('GB',1046506088,1046506095),('DE',1046506096,1046506119),('GB',1046506120,1046506135),('DE',1046506136,1046506239),('GB',1046506240,1046506271),('DE',1046506272,1046506295),('GB',1046506296,1046506303),('DE',1046506304,1046506327),('GB',1046506328,1046506351),('DE',1046506352,1046506375),('GB',1046506376,1046506383),('DE',1046506384,1046506391),('GB',1046506392,1046506407),('DE',1046506408,1046506415),('GB',1046506416,1046506423),('DE',1046506424,1046506439),('GB',1046506440,1046506447),('DE',1046506448,1046506479),('GB',1046506480,1046506487),('DE',1046506488,1046506495),('GB',1046506496,1046506535),('DE',1046506536,1046506575),('GB',1046506576,1046506591),('DE',1046506592,1046506599),('GB',1046506600,1046506607),('DE',1046506608,1046506623),('GB',1046506624,1046506639),('DE',1046506640,1046506647),('GB',1046506648,1046506655),('DE',1046506656,1046506671),('GB',1046506672,1046506679),('DE',1046506680,1046506687),('GB',1046506688,1046506703),('DE',1046506704,1046506711),('GB',1046506712,1046506743),('DE',1046506744,1046506751),('GB',1046506752,1046506783),('DE',1046506784,1046506791),('GB',1046506792,1046506807),('DE',1046506808,1046506823),('GB',1046506824,1046506839),('DE',1046506840,1046506895),('GB',1046506896,1046506903),('DE',1046506904,1046506927),('GB',1046506928,1046506935),('DE',1046506936,1046506951),('GB',1046506952,1046506959),('DE',1046506960,1046506991),('GB',1046506992,1046506999),('DE',1046507000,1046507007),('GB',1046507008,1046507039),('DE',1046507040,1046507047),('GB',1046507048,1046507055),('DE',1046507056,1046507071),('GB',1046507072,1046507111),('DE',1046507112,1046507135),('GB',1046507136,1046507151),('DE',1046507152,1046507159),('GB',1046507160,1046507175),('DE',1046507176,1046507199),('GB',1046507200,1046507207),('DE',1046507208,1046507215),('GB',1046507216,1046507519),('DE',1046507520,1046511615),('GB',1046511616,1046511647),('DE',1046511648,1046511695),('GB',1046511696,1046511719),('DE',1046511720,1046511727),('GB',1046511728,1046511815),('DE',1046511816,1046511847),('GB',1046511848,1046511863),('DE',1046511864,1046511871),('GB',1046511872,1046511903),('DE',1046511904,1046511919),('GB',1046511920,1046511927),('DE',1046511928,1046511935),('GB',1046511936,1046511967),('DE',1046511968,1046511975),('GB',1046511976,1046511991),('DE',1046511992,1046512007),('GB',1046512008,1046512055),('DE',1046512056,1046512063),('GB',1046512064,1046512167),('DE',1046512168,1046512175),('GB',1046512176,1046512199),('DE',1046512200,1046512215),('GB',1046512216,1046512287),('DE',1046512288,1046512303),('GB',1046512304,1046512311),('DE',1046512312,1046512327),('GB',1046512328,1046512335),('DE',1046512336,1046512343),('GB',1046512344,1046512351),('DE',1046512352,1046512383),('GB',1046512384,1046512431),('DE',1046512432,1046512447),('GB',1046512448,1046512455),('DE',1046512456,1046512535),('GB',1046512536,1046512543),('DE',1046512544,1046512551),('GB',1046512552,1046512567),('DE',1046512568,1046512607),('GB',1046512608,1046512623),('DE',1046512624,1046512631),('GB',1046512632,1046512679),('DE',1046512680,1046512687),('GB',1046512688,1046512735),('DE',1046512736,1046512751),('GB',1046512752,1046512759),('DE',1046512760,1046512847),('GB',1046512848,1046512879),('DE',1046512880,1046512895),('GB',1046512896,1046512927),('DE',1046512928,1046512943),('GB',1046512944,1046512967),('DE',1046512968,1046512983),('GB',1046512984,1046512991),('DE',1046512992,1046512999),('GB',1046513000,1046513007),('DE',1046513008,1046513015),('GB',1046513016,1046513031),('DE',1046513032,1046513039),('GB',1046513040,1046513047),('DE',1046513048,1046513055),('GB',1046513056,1046513063),('DE',1046513064,1046513079),('GB',1046513080,1046513111),('DE',1046513112,1046513143),('GB',1046513144,1046513263),('DE',1046513264,1046513271),('GB',1046513272,1046513287),('DE',1046513288,1046513295),('GB',1046513296,1046513303),('DE',1046513304,1046513327),('GB',1046513328,1046513343),('DE',1046513344,1046513367),('GB',1046513368,1046513375),('DE',1046513376,1046513391),('GB',1046513392,1046513439),('DE',1046513440,1046513519),('GB',1046513520,1046513527),('DE',1046513528,1046513535),('GB',1046513536,1046513543),('DE',1046513544,1046513551),('GB',1046513552,1046513559),('DE',1046513560,1046513583),('GB',1046513584,1046513759),('DE',1046513760,1046513775),('GB',1046513776,1046513783),('DE',1046513784,1046513791),('GB',1046513792,1046513799),('DE',1046513800,1046513831),('GB',1046513832,1046513847),('DE',1046513848,1046513863),('GB',1046513864,1046513871),('DE',1046513872,1046513879),('GB',1046513880,1046513895),('DE',1046513896,1046513919),('GB',1046513920,1046514207),('DE',1046514208,1046514223),('GB',1046514224,1046514239),('DE',1046514240,1046514247),('GB',1046514248,1046514255),('DE',1046514256,1046514279),('GB',1046514280,1046514287),('DE',1046514288,1046514311),('GB',1046514312,1046514319),('DE',1046514320,1046514335),('GB',1046514336,1046514351),('DE',1046514352,1046514359),('GB',1046514360,1046514367),('DE',1046514368,1046514383),('GB',1046514384,1046514415),('DE',1046514416,1046514423),('GB',1046514424,1046514719),('DE',1046514720,1046514751),('GB',1046514752,1046514783),('DE',1046514784,1046514943),('GB',1046514944,1046515711),('DE',1046515712,1046515967),('GB',1046515968,1046524159),('DE',1046524160,1046524191),('GB',1046524192,1046524287),('DE',1046524288,1046524355),('GB',1046524356,1046524415),('DE',1046524416,1046525183),('GB',1046525184,1046525215),('DE',1046525216,1046525247),('GB',1046525248,1046525311),('DE',1046525312,1046525343),('GB',1046525344,1046525439),('DE',1046525440,1046525695),('GB',1046525696,1046526591),('DE',1046526592,1046526599),('GB',1046526600,1046526631),('DE',1046526632,1046526635),('GB',1046526636,1046526719),('DE',1046526720,1046526991),('GB',1046526992,1046526995),('DE',1046526996,1046527487),('GB',1046527488,1046527743),('DE',1046527744,1046527999),('GB',1046528000,1046528255),('DE',1046528256,1046528295),('GB',1046528296,1046528319),('DE',1046528320,1046528335),('GB',1046528336,1046528351),('DE',1046528352,1046528383),('GB',1046528384,1046528391),('DE',1046528392,1046528399),('GB',1046528400,1046528447),('DE',1046528448,1046528455),('GB',1046528456,1046528459),('DE',1046528460,1046528463),('GB',1046528464,1046528471),('DE',1046528472,1046528495),('GB',1046528496,1046528499),('DE',1046528500,1046528503),('GB',1046528504,1046528519),('DE',1046528520,1046528527),('GB',1046528528,1046528543),('DE',1046528544,1046528559),('GB',1046528560,1046528575),('DE',1046528576,1046528587),('GB',1046528588,1046528599),('DE',1046528600,1046528603),('GB',1046528604,1046528607),('DE',1046528608,1046528639),('GB',1046528640,1046528671),('DE',1046528672,1046528703),('GB',1046528704,1046529279),('DE',1046529280,1046529535),('GB',1046529536,1046530047),('DE',1046530048,1046530559),('GB',1046530560,1046530591),('DE',1046530592,1046530639),('GB',1046530640,1046530655),('DE',1046530656,1046530687),('GB',1046530688,1046530815),('DE',1046530816,1046530879),('GB',1046530880,1046530943),('DE',1046530944,1046530947),('GB',1046530948,1046530967),('DE',1046530968,1046530975),('GB',1046530976,1046531007),('DE',1046531008,1046531087),('GB',1046531088,1046531095),('DE',1046531096,1046531103),('GB',1046531104,1046531111),('DE',1046531112,1046531127),('GB',1046531128,1046531167),('DE',1046531168,1046531183),('GB',1046531184,1046531839),('DE',1046531840,1046532095),('GB',1046532096,1046534015),('DE',1046534016,1046534047),('GB',1046534048,1046534143),('DE',1046534144,1046534655),('GB',1046534656,1046534911),('DE',1046534912,1046535311),('GB',1046535312,1046535359),('DE',1046535360,1046535423),('GB',1046535424,1046535487),('DE',1046535488,1046535615),('GB',1046535616,1046535619),('DE',1046535620,1046535623),('GB',1046535624,1046535631),('DE',1046535632,1046535935),('GB',1046535936,1046536007),('DE',1046536008,1046536015),('GB',1046536016,1046536023),('DE',1046536024,1046536039),('GB',1046536040,1046536063),('DE',1046536064,1046536151),('GB',1046536152,1046536159),('DE',1046536160,1046536175),('GB',1046536176,1046536187),('DE',1046536188,1046536199),('GB',1046536200,1046536211),('DE',1046536212,1046536215),('GB',1046536216,1046536255),('DE',1046536256,1046536271),('GB',1046536272,1046536279),('DE',1046536280,1046536283),('GB',1046536284,1046536287),('DE',1046536288,1046536295),('GB',1046536296,1046536319),('DE',1046536320,1046536351),('GB',1046536352,1046536391),('DE',1046536392,1046536399),('GB',1046536400,1046536423),('DE',1046536424,1046536439),('GB',1046536440,1046536607),('DE',1046536608,1046536667),('GB',1046536668,1046536671),('DE',1046536672,1046537023),('GB',1046537024,1046537055),('DE',1046537056,1046537071),('GB',1046537072,1046537087),('DE',1046537088,1046537151),('GB',1046537152,1046537215),('DE',1046537216,1046538239),('GB',1046538240,1046538255),('DE',1046538256,1046538303),('GB',1046538304,1046538431),('DE',1046538432,1046538455),('GB',1046538456,1046538463),('DE',1046538464,1046538495),('GB',1046538496,1046538751),('DE',1046538752,1046539519),('GB',1046539520,1046540031),('DE',1046540032,1046540287),('GB',1046540288,1046540543),('DE',1046540544,1046541055),('GB',1046541056,1046541311),('DE',1046541312,1046541439),('GB',1046541440,1046541503),('DE',1046541504,1046541567),('GB',1046541568,1046541631),('DE',1046541632,1046541711),('GB',1046541712,1046541727),('DE',1046541728,1046541759),('GB',1046541760,1046541767),('DE',1046541768,1046541787),('GB',1046541788,1046541807),('DE',1046541808,1046542591),('GB',1046542592,1046542847),('DE',1046542848,1046543103),('GB',1046543104,1046543263),('DE',1046543264,1046543295),('GB',1046543296,1046543327),('DE',1046543328,1046543351),('GB',1046543352,1046543359),('DE',1046543360,1046543871),('GB',1046543872,1046544127),('DE',1046544128,1046544383),('IT',1046544384,1046560767),('ES',1046560768,1046585343),('NO',1046585344,1046609919),('IT',1046609920,1046675455),('ES',1046675456,1046708223),('AT',1046708224,1046740991),('NL',1046740992,1046757375),('IT',1046757376,1046765567),('ES',1046765568,1046773759),('FR',1046773760,1046781951),('GB',1046781952,1046798335),('HU',1046798336,1046806527),('IT',1046806528,1046814719),('SE',1046814720,1046822911),('IT',1046822912,1046847487),('ES',1046847488,1046855679),('NO',1046855680,1046872063),('BE',1046872064,1046872583),('EU',1046872584,1046872607),('BE',1046872608,1046872615),('EU',1046872616,1046872655),('BE',1046872656,1046872671),('EU',1046872672,1046872799),('BE',1046872800,1046872815),('EU',1046872816,1046872975),('BE',1046872976,1046872999),('EU',1046873000,1046873087),('BE',1046873088,1046873279),('EU',1046873280,1046873599),('BE',1046873600,1046878463),('EU',1046878464,1046879247),('BE',1046879248,1046879263),('EU',1046879264,1046879271),('BE',1046879272,1046879311),('EU',1046879312,1046879327),('BE',1046879328,1046879495),('EU',1046879496,1046879503),('BE',1046879504,1046879511),('EU',1046879512,1046879535),('BE',1046879536,1046879551),('EU',1046879552,1046879591),('BE',1046879592,1046879623),('EU',1046879624,1046879647),('BE',1046879648,1046879655),('EU',1046879656,1046879687),('BE',1046879688,1046879711),('EU',1046879712,1046879719),('BE',1046879720,1046879735),('EU',1046879736,1046879775),('BE',1046879776,1046879791),('EU',1046879792,1046879807),('BE',1046879808,1046879831),('EU',1046879832,1046879839),('BE',1046879840,1046879847),('EU',1046879848,1046879895),('BE',1046879896,1046879911),('EU',1046879912,1046879943),('BE',1046879944,1046879959),('EU',1046879960,1046879967),('BE',1046879968,1046880127),('EU',1046880128,1046880135),('BE',1046880136,1046880143),('EU',1046880144,1046880151),('BE',1046880152,1046880191),('EU',1046880192,1046880255),('BE',1046880256,1046880511),('EU',1046880512,1046880519),('BE',1046880520,1046880527),('EU',1046880528,1046880551),('BE',1046880552,1046880559),('RO',1046880560,1046880567),('EU',1046880568,1046880591),('BE',1046880592,1046880615),('EU',1046880616,1046880639),('BE',1046880640,1046880671),('EU',1046880672,1046880735),('BE',1046880736,1046880759),('EU',1046880760,1046880903),('BE',1046880904,1046880911),('EU',1046880912,1046880919),('BE',1046880920,1046880935),('EU',1046880936,1046880983),('BE',1046880984,1046881039),('EU',1046881040,1046881055),('BE',1046881056,1046881071),('EU',1046881072,1046881079),('BE',1046881080,1046881103),('EU',1046881104,1046881111),('BE',1046881112,1046881127),('EU',1046881128,1046881135),('BE',1046881136,1046881239),('EU',1046881240,1046881247),('BE',1046881248,1046881255),('EU',1046881256,1046881279),('BE',1046881280,1046882047),('EU',1046882048,1046882303),('BE',1046882304,1046884383),('EU',1046884384,1046885375),('BE',1046885376,1046888447),('GB',1046888448,1046894591),('EU',1046894592,1046896639),('GB',1046896640,1046897663),('EU',1046897664,1046899711),('BE',1046899712,1046904831),('RU',1046904832,1046937599),('GR',1046937600,1047003135),('DE',1047003136,1047068671),('RU',1047068672,1047085055),('GB',1047085056,1047101439),('RU',1047101440,1047109631),('GB',1047109632,1047117823),('NL',1047117824,1047134207),('FI',1047134208,1047150591),('FR',1047150592,1047158783),('RU',1047158784,1047166975),('FR',1047166976,1047199743),('DK',1047199744,1047265279),('NL',1047265280,1047273471),('GB',1047273472,1047281663),('TR',1047281664,1047289855),('RS',1047289856,1047298047),('CH',1047298048,1047300095),('GB',1047300096,1047300415),('CH',1047300416,1047300479),('FR',1047300480,1047300495),('CH',1047300496,1047302143),('US',1047302144,1047302159),('GB',1047302160,1047302175),('AU',1047302176,1047302191),('CH',1047302192,1047306239),('PL',1047306240,1047314431),('SE',1047314432,1047322623),('IT',1047322624,1047330815),('SE',1047339008,1047343871),('NO',1047343872,1047344126),('SE',1047344127,1047347199),('DE',1047347200,1047363583),('CZ',1047363584,1047371775),('RU',1047371776,1047379967),('NL',1047379968,1047396351),('IT',1047396352,1047461887),('DE',1047461888,1047494655),('PL',1047494656,1047527423),('BE',1047527424,1047535615),('DE',1047535616,1047551999),('RU',1047552000,1047560191),('DE',1047560192,1047560763),('AT',1047560764,1047560767),('DE',1047560768,1047561747),('ES',1047561748,1047561751),('DE',1047561752,1047561887),('US',1047561888,1047561891),('DE',1047561892,1047563303),('CH',1047563304,1047563307),('DE',1047563308,1047563407),('CH',1047563408,1047563415),('BE',1047563416,1047563419),('DE',1047563420,1047563443),('CH',1047563444,1047563447),('DE',1047563448,1047563451),('NL',1047563452,1047563455),('DE',1047563456,1047563463),('CH',1047563464,1047563471),('DE',1047563472,1047566363),('CH',1047566364,1047566367),('DE',1047566368,1047566407),('CH',1047566408,1047566415),('DE',1047566416,1047566455),('CH',1047566456,1047566459),('DE',1047566460,1047566475),('CH',1047566476,1047566479),('DE',1047566480,1047566535),('CH',1047566536,1047566539),('DE',1047566540,1047566559),('CH',1047566560,1047566563),('DE',1047566564,1047566847),('AT',1047566848,1047566851),('DE',1047566852,1047566867),('AT',1047566868,1047566871),('CH',1047566872,1047566879),('DE',1047566880,1047566891),('CH',1047566892,1047566903),('DE',1047566904,1047566995),('CH',1047566996,1047566999),('DE',1047567000,1047567039),('AT',1047567040,1047567043),('CH',1047567044,1047567047),('DE',1047567048,1047567103),('NL',1047567104,1047567111),('DE',1047567112,1047567163),('AT',1047567164,1047567167),('DE',1047567168,1047567211),('CH',1047567212,1047567215),('DE',1047567216,1047567223),('CH',1047567224,1047567227),('DE',1047567228,1047567239),('CH',1047567240,1047567243),('DE',1047567244,1047567247),('CH',1047567248,1047567255),('DE',1047567256,1047567315),('AT',1047567316,1047567319),('DE',1047567320,1047567359),('ES',1047567360,1047567375),('DE',1047567376,1047567435),('CH',1047567436,1047567439),('DE',1047567440,1047567451),('AT',1047567452,1047567455),('DE',1047567456,1047567463),('CH',1047567464,1047567467),('DE',1047567468,1047567551),('CH',1047567552,1047567555),('DE',1047567556,1047567647),('CH',1047567648,1047567651),('DE',1047567652,1047567727),('BE',1047567728,1047567731),('DE',1047567732,1047567747),('CH',1047567748,1047567751),('DE',1047567752,1047567755),('CH',1047567756,1047567759),('DE',1047567760,1047567799),('CH',1047567800,1047567803),('DE',1047567804,1047567847),('CH',1047567848,1047567851),('DE',1047567852,1047567871),('CH',1047567872,1047567875),('AT',1047567876,1047567879),('CH',1047567880,1047567883),('DE',1047567884,1047567935),('CH',1047567936,1047567939),('DE',1047567940,1047568047),('CH',1047568048,1047568055),('DE',1047568056,1047568083),('CH',1047568084,1047568095),('DE',1047568096,1047568159),('CH',1047568160,1047568163),('DE',1047568164,1047568167),('ES',1047568168,1047568171),('DE',1047568172,1047568235),('CH',1047568236,1047568239),('DE',1047568240,1047568247),('CH',1047568248,1047568251),('DE',1047568252,1047568383),('NL',1047568384,1047576575),('HU',1047576576,1047584767),('NL',1047584768,1047592959),('RU',1047592960,1047625727),('NO',1047625728,1047633919),('FI',1047633920,1047642111),('CH',1047642112,1047658495),('EG',1047658496,1047724031),('EU',1047724032,1047728127),('SE',1047728128,1047732223),('EU',1047732224,1047740671),('A2',1047740672,1047740927),('EU',1047740928,1047782655),('GB',1047782656,1047782687),('EU',1047782688,1047782695),('GB',1047782696,1047782703),('EU',1047782704,1047789567),('AT',1047789568,1047806031),('IT',1047806032,1047806047),('AT',1047806048,1047822335),('DE',1047822336,1047834895),('CY',1047834896,1047834903),('DE',1047834904,1047838719),('DK',1047838720,1047846911),('SE',1047846912,1047855103),('DE',1047855104,1047863295),('EG',1047863296,1047871487),('RU',1047871488,1047887871),('ES',1047887872,1047920639),('RU',1047920640,1047941119),('GB',1047941120,1047941375),('RU',1047941376,1047986175),('SE',1047986176,1047997439),('NO',1047997440,1047997503),('SE',1047997504,1048012383),('DE',1048012384,1048012391),('SE',1048012392,1048051711),('SA',1048051712,1048117247),('GB',1048117248,1048125439),('FI',1048125440,1048133631),('PL',1048133632,1048158207),('DK',1048158208,1048166399),('CH',1048166400,1048182783),('IT',1048182784,1048313855),('GB',1048313856,1048510463),('SE',1048510464,1048575999),('DE',1048576000,1048584191),('IL',1048584192,1048584975),('A2',1048584976,1048585087),('IL',1048585088,1048585295),('A2',1048585296,1048585343),('IL',1048585344,1048585727),('A2',1048585728,1048586239),('IL',1048586240,1048586303),('A2',1048586304,1048586335),('IL',1048586336,1048586367),('A2',1048586368,1048586399),('IL',1048586400,1048587007),('A2',1048587008,1048587103),('IL',1048587104,1048587263),('A2',1048587264,1048587519),('IL',1048587520,1048587711),('A2',1048587712,1048587775),('IL',1048587776,1048587903),('A2',1048587904,1048587967),('IL',1048587968,1048587999),('A2',1048588000,1048588031),('IL',1048588032,1048588543),('A2',1048588544,1048588799),('IL',1048588800,1048588863),('A2',1048588864,1048588879),('IL',1048588880,1048588903),('A2',1048588904,1048591615),('IL',1048591616,1048591935),('A2',1048591936,1048592383),('IT',1048592384,1048600575),('EE',1048600576,1048603135),('LV',1048603136,1048603391),('EE',1048603392,1048608767),('GB',1048608768,1048611583),('FR',1048611584,1048611839),('GB',1048611840,1048616447),('DK',1048616448,1048616959),('KE',1048616960,1048621055),('US',1048621056,1048625151),('GB',1048625152,1048633343),('NO',1048633344,1048641535),('IT',1048641536,1048649727),('CZ',1048649728,1048657919),('GB',1048657920,1048674303),('NL',1048674304,1048682495),('FR',1048682496,1048690687),('PL',1048690688,1048707071),('GB',1048707072,1048772607),('NL',1048772608,1048838143),('DE',1048838144,1048838175),('PL',1048838176,1048838207),('NL',1048838208,1048838239),('DE',1048838240,1048839935),('NL',1048839936,1048840703),('DE',1048840704,1048841343),('CZ',1048841344,1048841359),('DE',1048841360,1048843263),('NL',1048843264,1048843399),('DE',1048843400,1048843407),('NL',1048843408,1048843839),('DE',1048843840,1048843847),('NL',1048843848,1048843983),('DE',1048843984,1048843991),('NL',1048843992,1048844087),('DE',1048844088,1048844095),('NL',1048844096,1048844287),('CH',1048844288,1048844303),('DE',1048844304,1048844319),('NL',1048844320,1048844351),('AT',1048844352,1048844383),('DE',1048844384,1048845567),('NL',1048845568,1048845823),('DE',1048845824,1048845831),('NL',1048845832,1048846375),('DE',1048846376,1048846383),('NL',1048846384,1048846623),('DE',1048846624,1048846631),('NL',1048846632,1048846703),('DE',1048846704,1048846711),('NL',1048846712,1048846847),('DE',1048846848,1048847359),('NL',1048847360,1048848319),('DE',1048848320,1048848327),('NL',1048848328,1048848863),('DE',1048848864,1048848871),('NL',1048848872,1048848895),('DE',1048848896,1048849407),('NL',1048849408,1048849567),('DE',1048849568,1048849575),('NL',1048849576,1048849911),('DE',1048849912,1048849919),('NL',1048849920,1048850775),('DE',1048850776,1048850783),('NL',1048850784,1048850887),('DE',1048850888,1048850895),('NL',1048850896,1048851127),('DE',1048851128,1048851135),('NL',1048851136,1048851247),('DE',1048851248,1048851255),('NL',1048851256,1048851847),('DE',1048851848,1048851855),('NL',1048851856,1048852079),('DE',1048852080,1048852095),('NL',1048852096,1048852215),('DE',1048852216,1048852223),('NL',1048852224,1048852359),('DE',1048852360,1048852367),('NL',1048852368,1048852855),('DE',1048852856,1048852863),('NL',1048852864,1048852911),('DE',1048852912,1048852919),('NL',1048852920,1048853383),('DE',1048853384,1048853391),('NL',1048853392,1048854527),('DE',1048854528,1048855039),('NL',1048855040,1048855071),('DE',1048855072,1048855079),('NL',1048855080,1048855183),('DE',1048855184,1048855191),('NL',1048855192,1048855287),('DE',1048855288,1048855295),('NL',1048855296,1048856351),('DE',1048856352,1048856359),('NL',1048856360,1048856503),('DE',1048856504,1048856511),('NL',1048856512,1048856791),('DE',1048856792,1048856799),('NL',1048856800,1048856815),('DE',1048856816,1048856823),('NL',1048856824,1048856871),('DE',1048856872,1048856879),('NL',1048856880,1048857111),('DE',1048857112,1048857119),('NL',1048857120,1048857951),('DE',1048857952,1048857967),('NL',1048857968,1048858047),('DE',1048858048,1048858055),('NL',1048858056,1048858111),('DE',1048858112,1048858623),('NL',1048858624,1048858879),('DE',1048858880,1048858887),('NL',1048858888,1048859271),('DE',1048859272,1048859279),('NL',1048859280,1048860431),('DE',1048860432,1048860439),('NL',1048860440,1048861503),('DE',1048861504,1048861511),('NL',1048861512,1048862591),('DE',1048862592,1048862599),('NL',1048862600,1048862639),('DE',1048862640,1048862647),('NL',1048862648,1048862999),('DE',1048863000,1048863007),('NL',1048863008,1048864343),('DE',1048864344,1048864351),('NL',1048864352,1048864511),('DE',1048864512,1048864519),('NL',1048864520,1048864727),('DE',1048864728,1048864735),('NL',1048864736,1048864983),('DE',1048864984,1048864991),('NL',1048864992,1048865039),('DE',1048865040,1048865047),('NL',1048865048,1048865191),('DE',1048865192,1048865199),('NL',1048865200,1048865279),('DE',1048865280,1048865791),('NL',1048865792,1048866751),('DE',1048866752,1048866759),('NL',1048866760,1048866767),('DE',1048866768,1048866775),('NL',1048866776,1048867079),('DE',1048867080,1048867087),('NL',1048867088,1048867327),('DE',1048867328,1048868351),('NL',1048868352,1048868607),('DE',1048868608,1048868615),('NL',1048868616,1048868943),('DE',1048868944,1048868951),('NL',1048868952,1048869935),('DE',1048869936,1048869943),('NL',1048869944,1048870271),('DE',1048870272,1048870279),('NL',1048870280,1048870399),('DE',1048870400,1048870911),('NL',1048870912,1048870919),('DE',1048870920,1048870927),('NL',1048870928,1048871935),('DE',1048871936,1048872703),('NL',1048872704,1048873039),('DE',1048873040,1048873047),('NL',1048873048,1048873487),('DE',1048873488,1048873495),('NL',1048873496,1048873567),('DE',1048873568,1048873575),('NL',1048873576,1048873599),('DE',1048873600,1048873607),('NL',1048873608,1048874023),('DE',1048874024,1048874031),('NL',1048874032,1048875135),('DE',1048875136,1048875143),('NL',1048875144,1048875399),('DE',1048875400,1048875407),('NL',1048875408,1048876679),('DE',1048876680,1048876687),('NL',1048876688,1048877311),('DE',1048877312,1048878079),('NL',1048878080,1048879647),('DE',1048879648,1048879655),('NL',1048879656,1048880639),('DE',1048880640,1048881151),('NL',1048881152,1048882767),('DE',1048882768,1048882775),('NL',1048882776,1048884711),('DE',1048884712,1048884719),('NL',1048884720,1048885015),('DE',1048885016,1048885023),('NL',1048885024,1048885151),('DE',1048885152,1048885159),('NL',1048885160,1048885679),('DE',1048885680,1048885687),('NL',1048885688,1048887271),('DE',1048887272,1048887279),('NL',1048887280,1048887295),('DE',1048887296,1048887423),('NL',1048887424,1048888959),('DE',1048888960,1048889087),('NL',1048889088,1048889151),('DE',1048889152,1048889183),('NL',1048889184,1048889951),('DE',1048889952,1048889983),('NL',1048889984,1048890047),('DE',1048890048,1048890079),('NL',1048890080,1048891247),('DE',1048891248,1048891255),('NL',1048891256,1048892295),('DE',1048892296,1048892303),('NL',1048892304,1048892527),('DE',1048892528,1048892623),('NL',1048892624,1048895823),('DE',1048895824,1048895839),('NL',1048895840,1048898287),('DE',1048898288,1048903679),('IT',1048911872,1048920063),('NL',1048920064,1048936447),('PL',1048936448,1048944639),('RU',1048944640,1048952831),('NL',1048952832,1048953407),('BE',1048953408,1048953439),('NL',1048953440,1048954967),('BE',1048954968,1048954975),('NL',1048954976,1048969215),('DE',1048969216,1048973823),('EU',1048973824,1048974335),('DE',1048974336,1048975183),('EU',1048975184,1048976287),('DE',1048976288,1048976295),('EU',1048976296,1048976296),('DE',1048976297,1048976302),('EU',1048976303,1048976303),('DE',1048976304,1048976319),('EU',1048976320,1048976383),('DE',1048976384,1048976447),('EU',1048976448,1048976511),('DE',1048976512,1048978943),('EU',1048978944,1048979135),('DE',1048979136,1048979295),('EU',1048979296,1048979327),('DE',1048979328,1048980495),('EU',1048980496,1048980511),('DE',1048980512,1048980527),('EU',1048980528,1048980559),('DE',1048980560,1048980731),('EU',1048980732,1048980735),('DE',1048980736,1048980791),('EU',1048980792,1048980803),('DE',1048980804,1048980807),('EU',1048980808,1048980815),('DE',1048980816,1048980823),('EU',1048980824,1048980831),('DE',1048980832,1048980847),('EU',1048980848,1048980863),('DE',1048980864,1048980927),('EU',1048980928,1048980967),('DE',1048980968,1048980975),('EU',1048980976,1048981503),('DE',1048981504,1048981759),('EU',1048981760,1048981791),('DE',1048981792,1048981823),('EU',1048981824,1048982015),('DE',1048982016,1048983039),('EU',1048983040,1048983167),('DE',1048983168,1048983679),('EU',1048983680,1048983807),('DE',1048983808,1048984127),('EU',1048984128,1048984831),('DE',1048984832,1048985167),('EU',1048985168,1048985183),('DE',1048985184,1048985199),('EU',1048985200,1048985215),('DE',1048985216,1048985375),('EU',1048985376,1048985599),('DE',1048985600,1049002015),('EU',1049002016,1049002175),('DE',1049002176,1049002239),('EU',1049002240,1049002367),('DE',1049002368,1049002495),('EU',1049002496,1049002623),('DE',1049002624,1049002751),('EU',1049002752,1049003263),('DE',1049003264,1049004291),('EU',1049004292,1049004351),('DE',1049004352,1049004415),('EU',1049004416,1049004543),('DE',1049004544,1049006463),('EU',1049006464,1049006503),('DE',1049006504,1049006511),('EU',1049006512,1049006591),('DE',1049006592,1049007111),('EU',1049007112,1049007119),('DE',1049007120,1049007167),('EU',1049007168,1049007359),('DE',1049007360,1049011711),('EU',1049011712,1049011967),('DE',1049011968,1049012479),('EU',1049012480,1049012735),('DE',1049012736,1049016703),('FR',1049016704,1049016711),('RU',1049016712,1049016715),('DE',1049016716,1049016743),('MA',1049016744,1049016751),('DE',1049016752,1049016759),('FR',1049016760,1049016767),('DE',1049016768,1049016847),('FR',1049016848,1049016863),('DE',1049016864,1049017983),('GE',1049017984,1049018047),('DE',1049018048,1049020127),('FR',1049020128,1049020135),('DE',1049020136,1049020463),('GE',1049020464,1049020471),('DE',1049020472,1049026559),('EU',1049026560,1049026815),('DE',1049026816,1049031679),('EU',1049031680,1049031935),('DE',1049031936,1049032143),('EU',1049032144,1049032159),('DE',1049032160,1049032167),('EU',1049032168,1049032191),('DE',1049032192,1049032699),('EU',1049032700,1049032703),('DE',1049032704,1049034751),('EG',1049034752,1049067519),('DK',1049067520,1049100287),('GB',1049100288,1049231359),('DE',1049231360,1049296895),('EG',1049296896,1049362431),('DE',1049362432,1049362575),('GB',1049362576,1049362943),('DE',1049362944,1049362959),('GB',1049362960,1049363071),('DE',1049363072,1049363135),('GB',1049363136,1049363967),('DE',1049363968,1049364223),('GB',1049364224,1049365711),('DE',1049365712,1049365719),('GB',1049365720,1049365727),('DE',1049365728,1049365751),('GB',1049365752,1049365887),('DE',1049365888,1049365951),('GB',1049365952,1049366015),('DE',1049366016,1049366271),('GB',1049366272,1049366335),('DE',1049366336,1049366399),('GB',1049366400,1049366527),('DE',1049366528,1049368575),('GB',1049368576,1049369599),('DE',1049369600,1049369935),('GB',1049369936,1049369983),('DE',1049369984,1049370255),('GB',1049370256,1049370367),('DE',1049370368,1049370623),('AT',1049370624,1049378815),('EG',1049378816,1049395199),('NL',1049395200,1049405055),('GB',1049405056,1049405183),('LU',1049405184,1049405247),('NL',1049405248,1049405311),('BE',1049405312,1049405375),('NL',1049405376,1049405439),('DE',1049405440,1049405567),('BE',1049405568,1049405631),('AT',1049405632,1049405695),('CH',1049405696,1049405759),('ES',1049405760,1049405823),('FR',1049405824,1049405887),('GB',1049405888,1049405951),('NL',1049405952,1049407615),('CH',1049407616,1049407999),('NL',1049408000,1049409023),('DE',1049409024,1049409279),('NL',1049409280,1049411583),('GB',1049411584,1049419775),('RU',1049419776,1049427967),('CZ',1049427968,1049436159),('DE',1049436160,1049444351),('RU',1049444352,1049460735),('NO',1049460736,1049468927),('DE',1049468928,1049477119),('PL',1049477120,1049493503),('FI',1049493504,1049518079),('GB',1049518080,1049518095),('FI',1049518096,1049547295),('AF',1049547296,1049547327),('FI',1049547328,1049559039),('DE',1049559040,1049653095),('US',1049653096,1049653103),('DE',1049653104,1049698303),('NL',1049698304,1049706495),('GB',1049706496,1049707007),('NL',1049707008,1049707519),('LB',1049707520,1049707775),('DZ',1049707776,1049708031),('IQ',1049708032,1049708543),('GB',1049708544,1049709055),('DZ',1049709056,1049710079),('NL',1049710080,1049711103),('IR',1049711104,1049711359),('NL',1049711360,1049711615),('PK',1049711616,1049712127),('SA',1049712128,1049712383),('IR',1049712384,1049712511),('LB',1049712512,1049712639),('IR',1049712640,1049713055),('MA',1049713056,1049713087),('IR',1049713088,1049713151),('NL',1049713152,1049713663),('LB',1049713664,1049713791),('IR',1049713792,1049713919),('GB',1049713920,1049714175),('NL',1049714176,1049714687),('IR',1049714688,1049715711),('NL',1049715712,1049716735),('IQ',1049716736,1049717759),('GB',1049717760,1049718015),('IR',1049718016,1049718271),('NL',1049718272,1049722879),('IS',1049722880,1049731071),('FI',1049731072,1049739263),('NL',1049739264,1049755647),('DE',1049755648,1049757599),('LU',1049757600,1049757631),('DE',1049757632,1049757647),('CA',1049757648,1049757663),('BA',1049757664,1049757671),('DE',1049757672,1049758063),('PL',1049758064,1049758071),('DE',1049758072,1049758095),('ES',1049758096,1049758103),('DE',1049758104,1049758527),('DK',1049758528,1049758559),('DE',1049758560,1049759983),('AE',1049759984,1049759999),('DE',1049760000,1049760871),('ES',1049760872,1049760879),('DE',1049760880,1049760927),('DK',1049760928,1049760959),('PL',1049760960,1049761023),('DE',1049761024,1049761791),('PL',1049761792,1049762047),('ES',1049762048,1049762055),('DE',1049762056,1049762271),('DK',1049762272,1049762303),('DE',1049762304,1049762831),('CH',1049762832,1049762835),('DE',1049762836,1049763055),('CH',1049763056,1049763063),('DE',1049763064,1049763871),('PL',1049763872,1049763903),('DE',1049763904,1049764431),('ES',1049764432,1049764439),('DE',1049764440,1049764447),('AE',1049764448,1049764463),('DE',1049764464,1049764967),('CH',1049764968,1049764975),('DE',1049764976,1049765695),('PL',1049765696,1049765791),('DE',1049765792,1049766415),('ES',1049766416,1049766431),('DE',1049766432,1049766511),('AE',1049766512,1049766527),('DE',1049766528,1049767935),('AE',1049767936,1049767951),('DE',1049767952,1049768063),('DK',1049768064,1049768095),('DE',1049768096,1049768175),('AT',1049768176,1049768191),('DE',1049768192,1049768367),('NL',1049768368,1049768375),('GB',1049768376,1049768383),('DE',1049768384,1049768767),('AE',1049768768,1049768799),('DE',1049768800,1049769119),('AE',1049769120,1049769151),('DE',1049769152,1049770111),('AE',1049770112,1049770127),('DE',1049770128,1049770303),('ES',1049770304,1049770311),('DE',1049770312,1049771391),('IT',1049771392,1049771519),('DE',1049771520,1049771903),('AT',1049771904,1049771967),('DE',1049771968,1049772895),('AE',1049772896,1049772927),('ES',1049772928,1049773055),('PL',1049773056,1049773311),('DE',1049773312,1049775047),('CH',1049775048,1049775055),('DE',1049775056,1049775087),('AE',1049775088,1049775103),('CH',1049775104,1049775119),('DE',1049775120,1049776447),('AE',1049776448,1049776479),('DE',1049776480,1049776695),('AT',1049776696,1049776703),('DE',1049776704,1049777023),('CH',1049777024,1049777039),('DE',1049777040,1049777951),('IT',1049777952,1049777959),('DE',1049777960,1049778111),('ES',1049778112,1049778143),('DE',1049778144,1049778335),('AE',1049778336,1049778351),('DE',1049778352,1049778495),('IT',1049778496,1049778527),('DE',1049778528,1049778535),('AT',1049778536,1049778543),('DE',1049778544,1049778991),('CR',1049778992,1049778999),('DE',1049779000,1049779063),('PL',1049779064,1049779071),('DE',1049779072,1049779135),('AE',1049779136,1049779167),('DE',1049779168,1049782303),('AE',1049782304,1049782335),('DE',1049782336,1049782543),('ES',1049782544,1049782551),('DE',1049782552,1049782743),('IT',1049782744,1049782751),('DE',1049782752,1049783071),('DK',1049783072,1049783103),('DE',1049783104,1049783743),('AE',1049783744,1049783759),('DE',1049783760,1049784575),('PL',1049784576,1049784831),('DE',1049784832,1049784999),('AT',1049785000,1049785007),('DE',1049785008,1049787135),('PL',1049787136,1049787391),('DE',1049787392,1049787647),('PL',1049787648,1049788159),('GB',1049788160,1049788415),('DE',1049788416,1049791047),('PL',1049791048,1049791055),('DE',1049791056,1049791679),('ES',1049791680,1049791695),('DE',1049791696,1049817151),('PL',1049817152,1049817159),('DE',1049817160,1049817287),('AE',1049817288,1049817295),('DE',1049817296,1049821183),('FR',1049821184,1049886719),('RU',1049886720,1049894911),('NO',1049894912,1049903103),('PL',1049903104,1049911295),('FI',1049911296,1049919487),('RU',1049919488,1049927679),('NL',1049927680,1049935871),('FI',1049935872,1049944063),('RU',1049944064,1049952255),('UA',1049952256,1049960447),('GB',1049960448,1049968639),('SA',1049968640,1049985023),('IT',1049985024,1050017791),('KW',1050017792,1050083327),('ES',1050083328,1050148863),('CY',1050148864,1050157055),('RU',1050157056,1050173439),('IT',1050173440,1050181631),('DE',1050189824,1050198015),('CH',1050198016,1050206207),('SK',1050206208,1050214399),('DE',1050214400,1050238047),('DK',1050238048,1050238055),('DE',1050238056,1050244935),('PL',1050244936,1050244943),('DE',1050244944,1050320231),('GB',1050320232,1050320239),('DE',1050320240,1050330023),('CZ',1050330024,1050330031),('DE',1050330032,1050340607),('US',1050340608,1050340639),('DE',1050340640,1050450711),('NL',1050450712,1050450719),('DE',1050450720,1050471391),('IT',1050471392,1050471399),('DE',1050471400,1050502559),('US',1050502560,1050502567),('DE',1050502568,1050505215),('CA',1050505216,1050505247),('DE',1050505248,1050507503),('A2',1050507504,1050507519),('DE',1050507520,1050515647),('DK',1050515648,1050515663),('DE',1050515664,1050522407),('CH',1050522408,1050522415),('DE',1050522416,1050526207),('A2',1050526208,1050526223),('DE',1050526224,1050527455),('A2',1050527456,1050527471),('DE',1050527472,1050616655),('CN',1050616656,1050616671),('DE',1050616672,1050619503),('CH',1050619504,1050619511),('DE',1050619512,1050621407),('BE',1050621408,1050621439),('DE',1050621440,1050625959),('AT',1050625960,1050625967),('DE',1050625968,1050626559),('GB',1050626560,1050626815),('DE',1050626816,1050647431),('NL',1050647432,1050647439),('DE',1050647440,1050664911),('IT',1050664912,1050664919),('DE',1050664920,1050667519),('FR',1050667520,1050667775),('DE',1050667776,1050672479),('SG',1050672480,1050672487),('DE',1050672488,1050673151),('FR',1050673152,1050676470),('BE',1050676471,1050676471),('FR',1050676472,1050677335),('DE',1050677336,1050677343),('FR',1050677344,1050677505),('BE',1050677506,1050677506),('FR',1050677507,1050677702),('BE',1050677703,1050677703),('FR',1050677704,1050683711),('DK',1050683712,1050683719),('FR',1050683720,1050684095),('GB',1050684096,1050684103),('FR',1050684104,1050684609),('LU',1050684610,1050684610),('FR',1050684611,1050702623),('DE',1050702624,1050702631),('FR',1050702632,1050704082),('BE',1050704083,1050704083),('FR',1050704084,1050704661),('GB',1050704662,1050704662),('FR',1050704663,1050722831),('DE',1050722832,1050722839),('FR',1050722840,1050725463),('GB',1050725464,1050725471),('FR',1050725472,1050726335),('DE',1050726336,1050726343),('FR',1050726344,1050731146),('GB',1050731147,1050731147),('FR',1050731148,1050763476),('GB',1050763477,1050763477),('FR',1050763478,1050765853),('BE',1050765854,1050765854),('FR',1050765855,1050766665),('BE',1050766666,1050766666),('FR',1050766667,1050766729),('BE',1050766730,1050766730),('FR',1050766731,1050768551),('CH',1050768552,1050768558),('FR',1050768559,1050804223),('MK',1050804224,1050869759),('NL',1050869760,1050935295),('EU',1050935296,1050968063),('GB',1050968064,1051000831),('RU',1051000832,1051017215),('NL',1051017216,1051033599),('FI',1051033600,1051049983),('HU',1051049984,1051066367),('NL',1051066368,1051084287),('BE',1051084288,1051084415),('NL',1051084416,1051084423),('BE',1051084424,1051084655),('NL',1051084656,1051084663),('BE',1051084664,1051084711),('NL',1051084712,1051084719),('BE',1051084720,1051084727),('NL',1051084728,1051084735),('BE',1051084736,1051084799),('NL',1051084800,1051102207),('BE',1051102208,1051102463),('NL',1051102464,1051102471),('BE',1051102472,1051102527),('NL',1051102528,1051102535),('BE',1051102536,1051102559),('NL',1051102560,1051102567),('BE',1051102568,1051102687),('NL',1051102688,1051102703),('BE',1051102704,1051102879),('NL',1051102880,1051102887),('BE',1051102888,1051103007),('NL',1051103008,1051103015),('BE',1051103016,1051103111),('NL',1051103112,1051103119),('BE',1051103120,1051103207),('NL',1051103208,1051103215),('BE',1051103216,1051103231),('NL',1051103232,1051115519),('BE',1051115520,1051121287),('NL',1051121288,1051121295),('BE',1051121296,1051123711),('NL',1051123712,1051123839),('BE',1051123840,1051123855),('NL',1051123856,1051123911),('BE',1051123912,1051123935),('NL',1051123936,1051124479),('BE',1051124480,1051124607),('NL',1051124608,1051124767),('BE',1051124768,1051124815),('NL',1051124816,1051124895),('BE',1051124896,1051124911),('NL',1051124912,1051125247),('BE',1051125248,1051125263),('NL',1051125264,1051125279),('BE',1051125280,1051125343),('NL',1051125344,1051125351),('BE',1051125352,1051125375),('NL',1051125376,1051125391),('BE',1051125392,1051125399),('NL',1051125400,1051125407),('BE',1051125408,1051125575),('NL',1051125576,1051125583),('BE',1051125584,1051125639),('NL',1051125640,1051125655),('BE',1051125656,1051125759),('NL',1051125760,1051131903),('CH',1051131904,1051197439),('CZ',1051197440,1051213823),('SK',1051213824,1051230207),('SE',1051230208,1051238399),('GE',1051238400,1051246591),('DE',1051246592,1051254783),('RU',1051254784,1051262975),('DE',1051262976,1051271167),('IT',1051271168,1051279359),('PT',1051279360,1051295743),('GB',1051295744,1051303935),('SK',1051303936,1051312127),('GR',1051312128,1051328511),('GB',1051328512,1051460095),('ES',1051460096,1051460351),('GB',1051460352,1051460639),('ES',1051460640,1051460647),('GB',1051460648,1051525119),('MT',1051525120,1051533311),('NG',1051533312,1051541503),('GB',1051541504,1051557887),('RU',1051557888,1051566079),('IT',1051566080,1051574271),('GB',1051574272,1051574543),('IT',1051574544,1051574551),('GB',1051574552,1051574623),('GM',1051574624,1051574655),('GB',1051574656,1051575879),('US',1051575880,1051575883),('GB',1051575884,1051575999),('IT',1051576000,1051576015),('GB',1051576016,1051576903),('US',1051576904,1051576911),('GB',1051576912,1051576943),('DE',1051576944,1051576959),('GB',1051576960,1051577503),('NL',1051577504,1051577519),('GB',1051577520,1051577535),('NL',1051577536,1051577567),('BE',1051577568,1051577575),('GB',1051577576,1051577583),('FI',1051577584,1051577587),('GB',1051577588,1051577591),('NL',1051577592,1051577599),('GB',1051577600,1051577855),('NL',1051577856,1051578111),('GB',1051578112,1051578143),('NL',1051578144,1051578175),('BE',1051578176,1051578239),('FR',1051578240,1051578263),('GB',1051578264,1051578271),('ES',1051578272,1051578279),('GR',1051578280,1051578287),('GB',1051578288,1051578295),('PL',1051578296,1051578303),('NL',1051578304,1051578335),('DE',1051578336,1051578343),('NL',1051578344,1051578351),('GB',1051578352,1051578363),('DE',1051578364,1051578367),('SZ',1051578368,1051580415),('GB',1051580416,1051584511),('MG',1051584512,1051585663),('GB',1051585664,1051585919),('MG',1051585920,1051586047),('GB',1051586048,1051586175),('MG',1051586176,1051586303),('GB',1051586304,1051590655),('ES',1051590656,1051702527),('US',1051702528,1051702783),('ES',1051702784,1051721727),('RU',1051721728,1051729919),('FI',1051729920,1051738111),('BG',1051738112,1051754495),('DE',1051754496,1051762687),('SK',1051762688,1051770879),('NO',1051770880,1051779071),('DE',1051779072,1051787263),('IT',1051787264,1051795455),('RU',1051795456,1051803647),('CZ',1051803648,1051820031),('NL',1051820032,1051852799),('AT',1051852800,1051918335),('PL',1051918336,1051941119),('SE',1051941120,1051941631),('PL',1051941632,1051941887),('SE',1051941888,1051942143),('PL',1051942144,1051942911),('SE',1051942912,1051949311),('AT',1051949312,1051949567),('SE',1051949568,1051983871),('DE',1051983872,1051991551),('EU',1051991552,1051991807),('DE',1051991808,1051991951),('EU',1051991952,1051991967),('DE',1051991968,1051991999),('EU',1051992000,1051992063),('DE',1051992064,1051994699),('BE',1051994700,1051994703),('DE',1051994704,1051994719),('BE',1051994720,1051994751),('DE',1051994752,1051994791),('NL',1051994792,1051994799),('DE',1051994800,1051995135),('EU',1051995136,1051995391),('DE',1051995392,1051996159),('EU',1051996160,1051996335),('DE',1051996336,1051996351),('EU',1051996352,1051996879),('DE',1051996880,1051996927),('EU',1051996928,1051997439),('DE',1051997440,1051997695),('EU',1051997696,1051997711),('DE',1051997712,1051997727),('EU',1051997728,1051997951),('DE',1051997952,1051997983),('EU',1051997984,1051998247),('DE',1051998248,1051998255),('EU',1051998256,1051998687),('DE',1051998688,1051998695),('EU',1051998696,1051999039),('DE',1051999040,1051999043),('EU',1051999044,1051999135),('DE',1051999136,1051999151),('EU',1051999152,1051999167),('DE',1051999168,1051999359),('EU',1051999360,1051999487),('DE',1051999488,1051999743),('EU',1051999744,1051999999),('DE',1052000000,1052000063),('EU',1052000064,1052000095),('DE',1052000096,1052000111),('EU',1052000112,1052000127),('DE',1052000128,1052000159),('EU',1052000160,1052000191),('DE',1052000192,1052000511),('EU',1052000512,1052000519),('DE',1052000520,1052000527),('EU',1052000528,1052000535),('DE',1052000536,1052000539),('EU',1052000540,1052000575),('DE',1052000576,1052000623),('EU',1052000624,1052000631),('DE',1052000632,1052002303),('EU',1052002304,1052002311),('DE',1052002312,1052002335),('EU',1052002336,1052002367),('DE',1052002368,1052002431),('EU',1052002432,1052002439),('DE',1052002440,1052002447),('EU',1052002448,1052002463),('DE',1052002464,1052002511),('EU',1052002512,1052002519),('DE',1052002520,1052002523),('EU',1052002524,1052002527),('DE',1052002528,1052002543),('EU',1052002544,1052003327),('DE',1052003328,1052003359),('EU',1052003360,1052003383),('DE',1052003384,1052003455),('EU',1052003456,1052003479),('DE',1052003480,1052003487),('EU',1052003488,1052003551),('DE',1052003552,1052003839),('EU',1052003840,1052003967),('DE',1052003968,1052003999),('EU',1052004000,1052004671),('DE',1052004672,1052004759),('EU',1052004760,1052004767),('DE',1052004768,1052004783),('EU',1052004784,1052004815),('DE',1052004816,1052004831),('EU',1052004832,1052004895),('DE',1052004896,1052004959),('EU',1052004960,1052005119),('DE',1052005120,1052005151),('EU',1052005152,1052005247),('DE',1052005248,1052005631),('EU',1052005632,1052005887),('DE',1052005888,1052005911),('EU',1052005912,1052006543),('DE',1052006544,1052006559),('EU',1052006560,1052006575),('DE',1052006576,1052006607),('EU',1052006608,1052007071),('DE',1052007072,1052007103),('EU',1052007104,1052007431),('DE',1052007432,1052007439),('EU',1052007440,1052007455),('DE',1052007456,1052007471),('EU',1052007472,1052007519),('DE',1052007520,1052007535),('EU',1052007536,1052007775),('DE',1052007776,1052007791),('EU',1052007792,1052007935),('DE',1052007936,1052008223),('EU',1052008224,1052008515),('DE',1052008516,1052008527),('EU',1052008528,1052008543),('DE',1052008544,1052008583),('EU',1052008584,1052008607),('DE',1052008608,1052008623),('EU',1052008624,1052008639),('DE',1052008640,1052008687),('EU',1052008688,1052008703),('DE',1052008704,1052009087),('EU',1052009088,1052009471),('DE',1052009472,1052009487),('EU',1052009488,1052009503),('DE',1052009504,1052009535),('EU',1052009536,1052009599),('DE',1052009600,1052009607),('EU',1052009608,1052009615),('DE',1052009616,1052009623),('EU',1052009624,1052010463),('DE',1052010464,1052010519),('EU',1052010520,1052010527),('DE',1052010528,1052010559),('EU',1052010560,1052010607),('DE',1052010608,1052010655),('EU',1052010656,1052010751),('DE',1052010752,1052011135),('EU',1052011136,1052011263),('DE',1052011264,1052012335),('EU',1052012336,1052012375),('DE',1052012376,1052012383),('EU',1052012384,1052012511),('DE',1052012512,1052013055),('EU',1052013056,1052013059),('DE',1052013060,1052013063),('EU',1052013064,1052013071),('DE',1052013072,1052013095),('EU',1052013096,1052013119),('DE',1052013120,1052013127),('EU',1052013128,1052013143),('DE',1052013144,1052013151),('EU',1052013152,1052013215),('DE',1052013216,1052013263),('EU',1052013264,1052013311),('DE',1052013312,1052013567),('EU',1052013568,1052013695),('DE',1052013696,1052013823),('EU',1052013824,1052013831),('DE',1052013832,1052013855),('EU',1052013856,1052013887),('DE',1052013888,1052013951),('EU',1052013952,1052013959),('DE',1052013960,1052013966),('EU',1052013967,1052013967),('DE',1052013968,1052013983),('EU',1052013984,1052013999),('DE',1052014000,1052014007),('EU',1052014008,1052014015),('DE',1052014016,1052014303),('EU',1052014304,1052014591),('DE',1052014592,1052014623),('EU',1052014624,1052015367),('DE',1052015368,1052015375),('EU',1052015376,1052015423),('DE',1052015424,1052015519),('EU',1052015520,1052015551),('DE',1052015552,1052015615),('EU',1052015616,1052015631),('DE',1052015632,1052015647),('EU',1052015648,1052015695),('DE',1052015696,1052015727),('EU',1052015728,1052015999),('DE',1052016000,1052016127),('EU',1052016128,1052016207),('DE',1052016208,1052016223),('EU',1052016224,1052016239),('DE',1052016240,1052016247),('EU',1052016248,1052016255),('DE',1052016256,1052016323),('EU',1052016324,1052016351),('DE',1052016352,1052016383),('EU',1052016384,1052016447),('DE',1052016448,1052016463),('EU',1052016464,1052016479),('DE',1052016480,1052016511),('EU',1052016512,1052016639),('DE',1052016640,1052016671),('EU',1052016672,1052016679),('DE',1052016680,1052016687),('EU',1052016688,1052016767),('DE',1052016768,1052016783),('EU',1052016784,1052016895),('DE',1052016896,1052017151),('EU',1052017152,1052017231),('DE',1052017232,1052017247),('EU',1052017248,1052017271),('DE',1052017272,1052017343),('EU',1052017344,1052017471),('DE',1052017472,1052017567),('EU',1052017568,1052017599),('DE',1052017600,1052017663),('EU',1052017664,1052018167),('DE',1052018168,1052018431),('EU',1052018432,1052018719),('DE',1052018720,1052018767),('EU',1052018768,1052019199),('DE',1052019200,1052019455),('EU',1052019456,1052019735),('DE',1052019736,1052019775),('EU',1052019776,1052019871),('DE',1052019872,1052020047),('EU',1052020048,1052020672),('DE',1052020673,1052020702),('EU',1052020703,1052020703),('DE',1052020704,1052041599),('EU',1052041600,1052041727),('DE',1052041728,1052041863),('EU',1052041864,1052041983),('DE',1052041984,1052042047),('NL',1052042048,1052042087),('DE',1052042088,1052042239),('EU',1052042240,1052042303),('DE',1052042304,1052042311),('EU',1052042312,1052042367),('DE',1052042368,1052042431),('EU',1052042432,1052042479),('DE',1052042480,1052042751),('EU',1052042752,1052042815),('DE',1052042816,1052042863),('EU',1052042864,1052043007),('DE',1052043008,1052043263),('EU',1052043264,1052043527),('DE',1052043528,1052043535),('EU',1052043536,1052043551),('DE',1052043552,1052043575),('EU',1052043576,1052043583),('DE',1052043584,1052043651),('EU',1052043652,1052043663),('DE',1052043664,1052043679),('EU',1052043680,1052043759),('DE',1052043760,1052043775),('EU',1052043776,1052044287),('DE',1052044288,1052044351),('EU',1052044352,1052044383),('DE',1052044384,1052044399),('EU',1052044400,1052044415),('DE',1052044416,1052044447),('EU',1052044448,1052044511),('DE',1052044512,1052044527),('EU',1052044528,1052044543),('DE',1052044544,1052044927),('EU',1052044928,1052045023),('DE',1052045024,1052046135),('EU',1052046136,1052046335),('DE',1052046336,1052046719),('EU',1052046720,1052046847),('DE',1052046848,1052047139),('EU',1052047140,1052047359),('DE',1052047360,1052047871),('EU',1052047872,1052049151),('DE',1052049152,1052049183),('EU',1052049184,1052049407),('PL',1052049408,1052057599),('RU',1052057600,1052065791),('SE',1052065792,1052082175),('DE',1052082176,1052090367),('PL',1052090368,1052098559),('SE',1052098560,1052116991),('RU',1052116992,1052119039),('RO',1052119040,1052121087),('RU',1052121088,1052129279),('BE',1052129280,1052131327),('RU',1052131328,1052135423),('UA',1052135424,1052137471),('RU',1052137472,1052139519),('DE',1052139520,1052141567),('RU',1052141568,1052143615),('BG',1052143616,1052145663),('UA',1052145664,1052147711),('RU',1052147712,1052153855),('UA',1052153856,1052157951),('DK',1052157952,1052159999),('BE',1052160000,1052162047),('CH',1052162048,1052164095),('RU',1052164096,1052170239),('SE',1052170240,1052172287),('PL',1052172288,1052174335),('CZ',1052174336,1052176383),('NL',1052176384,1052178431),('DK',1052178432,1052180479),('RU',1052180480,1052213247),('FI',1052213248,1052246015),('DE',1052246016,1052247039),('FR',1052247040,1052247295),('DE',1052247296,1052247359),('FR',1052247360,1052247391),('DE',1052247392,1052247407),('GB',1052247408,1052247415),('NL',1052247416,1052247423),('GB',1052247424,1052247551),('DE',1052247552,1052248095),('ZA',1052248096,1052248127),('FR',1052248128,1052248135),('DE',1052248136,1052248143),('BE',1052248144,1052248159),('DE',1052248160,1052249375),('IT',1052249376,1052249407),('DE',1052249408,1052249471),('ZA',1052249472,1052249503),('DE',1052249504,1052250655),('GB',1052250656,1052250687),('IL',1052250688,1052250719),('IT',1052250720,1052250735),('NL',1052250736,1052250751),('DE',1052250752,1052252863),('GB',1052252864,1052252879),('ZA',1052252880,1052252895),('IT',1052252896,1052252927),('DE',1052252928,1052254207),('NL',1052254208,1052255255),('GB',1052255256,1052255263),('NL',1052255264,1052255871),('GB',1052255872,1052255935),('NL',1052255936,1052257279),('FR',1052257280,1052257791),('AT',1052257792,1052258303),('FR',1052258304,1052260623),('ZA',1052260624,1052260631),('AT',1052260632,1052260639),('FR',1052260640,1052260735),('NL',1052260736,1052260863),('TR',1052260864,1052260895),('FR',1052260896,1052261055),('NL',1052261056,1052261119),('FR',1052261120,1052262399),('DK',1052262400,1052263423),('DE',1052263424,1052263935),('DK',1052263936,1052264447),('SE',1052264448,1052264639),('IT',1052264640,1052264703),('SE',1052264704,1052265471),('IT',1052265472,1052265519),('GB',1052265520,1052265535),('DE',1052265536,1052265599),('IT',1052265600,1052265983),('DE',1052265984,1052266239),('GB',1052266240,1052266495),('BE',1052266496,1052268543),('ZA',1052268544,1052268607),('BE',1052268608,1052268671),('IT',1052268672,1052268703),('ZA',1052268704,1052268719),('NL',1052268720,1052268735),('DE',1052268736,1052268799),('ZA',1052268800,1052270591),('FR',1052270592,1052271871),('BE',1052271872,1052272127),('FR',1052272128,1052272543),('AT',1052272544,1052272575),('SE',1052272576,1052272639),('FR',1052272640,1052274175),('ZA',1052274176,1052274687),('ES',1052274688,1052274943),('IT',1052274944,1052275199),('AT',1052275200,1052275711),('GB',1052275712,1052276735),('IT',1052276736,1052278207),('GB',1052278208,1052278271),('IT',1052278272,1052278783),('CH',1052278784,1052278823),('GB',1052278824,1052278831),('AT',1052278832,1052278847),('ZA',1052278848,1052278863),('NL',1052278864,1052278879),('GB',1052278880,1052286975),('CH',1052286976,1052287487),('SE',1052287488,1052288255),('EU',1052288256,1052288287),('IL',1052288288,1052288295),('BE',1052288296,1052288303),('AT',1052288304,1052288319),('EU',1052288320,1052288383),('FR',1052288384,1052288511),('AT',1052288512,1052289023),('GB',1052289024,1052289151),('CH',1052289152,1052289183),('DE',1052289184,1052289215),('GB',1052289216,1052289279),('EU',1052289280,1052289535),('GB',1052289536,1052290047),('CH',1052290048,1052290063),('GB',1052290064,1052290303),('EU',1052290304,1052290367),('CH',1052290368,1052290399),('ZA',1052290400,1052290431),('FR',1052290432,1052290559),('GB',1052290560,1052290575),('BE',1052290576,1052290591),('GB',1052290592,1052290639),('ZA',1052290640,1052290655),('DE',1052290656,1052290687),('GB',1052290688,1052290815),('CH',1052290816,1052290831),('GB',1052290832,1052291327),('CH',1052291328,1052291583),('FI',1052291584,1052291679),('TR',1052291680,1052291687),('GB',1052291688,1052291695),('CH',1052291696,1052291711),('FR',1052291712,1052292095),('GB',1052292096,1052299263),('EU',1052299264,1052299775),('GB',1052299776,1052303359),('DE',1052303360,1052307455),('CH',1052307456,1052309247),('NO',1052309248,1052309503),('CH',1052309504,1052310527),('FR',1052310528,1052310783),('AT',1052310784,1052311039),('GB',1052311040,1052311551),('DE',1052311552,1052311615),('BE',1052311616,1052311679),('DE',1052311680,1052311871),('BE',1052311872,1052311895),('NL',1052311896,1052311903),('IT',1052311904,1052311935),('GB',1052311936,1052311967),('DE',1052311968,1052311999),('CH',1052312000,1052312063),('DE',1052312064,1052312767),('NL',1052312768,1052312831),('DE',1052312832,1052312895),('CH',1052312896,1052312903),('ES',1052312904,1052312911),('CH',1052312912,1052312927),('GB',1052312928,1052313087),('DE',1052313088,1052314751),('ES',1052314752,1052314815),('DE',1052314816,1052314823),('ES',1052314824,1052314831),('IT',1052314832,1052314847),('DE',1052314848,1052315071),('IT',1052315072,1052315103),('AT',1052315104,1052315135),('DE',1052315136,1052315551),('ES',1052315552,1052315583),('GB',1052315584,1052315647),('DE',1052315648,1052316319),('NL',1052316320,1052316335),('DE',1052316336,1052316767),('IT',1052316768,1052316799),('DE',1052316800,1052316927),('EU',1052316928,1052317183),('DE',1052317184,1052317599),('BE',1052317600,1052317607),('DE',1052317608,1052317615),('GB',1052317616,1052317631),('IT',1052317632,1052317663),('DE',1052317664,1052318047),('ES',1052318048,1052318079),('SE',1052318080,1052318207),('DE',1052318208,1052318719),('EU',1052318720,1052319231),('DE',1052319232,1052319743),('EU',1052319744,1052319999),('GB',1052320000,1052320079),('CZ',1052320080,1052320087),('GB',1052320088,1052320095),('ZA',1052320096,1052320127),('BE',1052320128,1052320255),('GB',1052320256,1052322239),('CH',1052322240,1052322303),('GB',1052322304,1052323871),('CH',1052323872,1052323903),('GB',1052323904,1052324927),('ZA',1052324928,1052324943),('NL',1052324944,1052324959),('ES',1052324960,1052324991),('GB',1052324992,1052325191),('DE',1052325192,1052325199),('AT',1052325200,1052325215),('ZA',1052325216,1052325247),('GB',1052325248,1052325311),('NL',1052325312,1052325375),('GB',1052325376,1052325567),('ZA',1052325568,1052325631),('GB',1052325632,1052327935),('CH',1052327936,1052328223),('IT',1052328224,1052328255),('ES',1052328256,1052328319),('DE',1052328320,1052328447),('CH',1052328448,1052328639),('ZA',1052328640,1052328671),('ES',1052328672,1052328703),('CH',1052328704,1052329983),('DE',1052329984,1052330239),('CH',1052330240,1052331167),('GB',1052331168,1052331183),('CH',1052331184,1052331199),('GB',1052331200,1052331263),('CH',1052331264,1052331615),('AT',1052331616,1052331647),('CH',1052331648,1052331711),('GB',1052331712,1052331743),('CH',1052331744,1052332031),('IT',1052332032,1052333103),('CH',1052333104,1052333119),('FR',1052333120,1052333183),('ZA',1052333184,1052333311),('EU',1052333312,1052333567),('IT',1052333568,1052334751),('NL',1052334752,1052334759),('ZA',1052334760,1052334767),('GB',1052334768,1052334815),('ZA',1052334816,1052334847),('IT',1052334848,1052335423),('NL',1052335424,1052335455),('ES',1052335456,1052335519),('ZA',1052335520,1052335535),('DE',1052335536,1052335551),('AT',1052335552,1052335615),('BE',1052335616,1052336127),('FR',1052336128,1052336255),('GB',1052336256,1052336383),('FR',1052336384,1052337343),('DE',1052337344,1052337375),('FR',1052337376,1052337759),('GB',1052337760,1052337887),('ZA',1052337888,1052337903),('NL',1052337904,1052337911),('ZA',1052337912,1052337919),('FR',1052337920,1052340111),('ES',1052340112,1052340127),('NL',1052340128,1052340135),('FR',1052340136,1052340223),('AT',1052340224,1052340527),('BE',1052340528,1052340543),('IT',1052340544,1052340575),('NL',1052340576,1052340607),('HU',1052340608,1052340671),('GB',1052340672,1052340703),('ZA',1052340704,1052340719),('GB',1052340720,1052340735),('AT',1052340736,1052340767),('DE',1052340768,1052340799),('GB',1052340800,1052340863),('AT',1052340864,1052341247),('DE',1052341248,1052341503),('AT',1052341504,1052342271),('SE',1052342272,1052342303),('CH',1052342304,1052342335),('SE',1052342336,1052342463),('ZA',1052342464,1052342471),('GB',1052342472,1052342479),('ZA',1052342480,1052342495),('FR',1052342496,1052342527),('CH',1052342528,1052343647),('NL',1052343648,1052343655),('GB',1052343656,1052343663),('DE',1052343664,1052343679),('CH',1052343680,1052344319),('NL',1052344320,1052344863),('ES',1052344864,1052344895),('IT',1052344896,1052344959),('CH',1052344960,1052345087),('NL',1052345088,1052345135),('GB',1052345136,1052345151),('FR',1052345152,1052345247),('IT',1052345248,1052345279),('DE',1052345280,1052345343),('NL',1052345344,1052345503),('ZA',1052345504,1052345535),('AT',1052345536,1052345551),('GB',1052345552,1052345567),('NL',1052345568,1052345631),('IT',1052345632,1052345663),('HU',1052345664,1052345695),('PT',1052345696,1052345727),('AT',1052345728,1052345855),('NL',1052345856,1052346903),('BE',1052346904,1052346911),('ZA',1052346912,1052346943),('ES',1052346944,1052347007),('DE',1052347008,1052347135),('NL',1052347136,1052347391),('CH',1052347392,1052348415),('GB',1052348416,1052348799),('DE',1052348800,1052348831),('CH',1052348832,1052348863),('DE',1052348864,1052348879),('GB',1052348880,1052348895),('DE',1052348896,1052348927),('GB',1052348928,1052349119),('BE',1052349120,1052349151),('GB',1052349152,1052349343),('DE',1052349344,1052349375),('GB',1052349376,1052349407),('ZA',1052349408,1052349439),('GB',1052349440,1052352559),('ZA',1052352560,1052352591),('GB',1052352592,1052352607),('EU',1052352608,1052352639),('GB',1052352640,1052352703),('DE',1052352704,1052352767),('GB',1052352768,1052352927),('IT',1052352928,1052352959),('ES',1052352960,1052352991),('BE',1052352992,1052353023),('IT',1052353024,1052353279),('DE',1052353280,1052353407),('EU',1052353408,1052353535),('DE',1052353536,1052354111),('TR',1052354112,1052354175),('DE',1052354176,1052354559),('GB',1052354560,1052356607),('ZA',1052356608,1052356703),('ES',1052356704,1052356735),('RU',1052356736,1052356799),('IE',1052356800,1052356863),('ZA',1052356864,1052358479),('GB',1052358480,1052358495),('AT',1052358496,1052358511),('ZA',1052358512,1052358527),('DE',1052358528,1052358655),('ZA',1052358656,1052359839),('IE',1052359840,1052359871),('IT',1052359872,1052359935),('ZA',1052359936,1052360735),('GB',1052360736,1052360743),('ZA',1052360744,1052360767),('DE',1052360768,1052360783),('IT',1052360784,1052360831),('GB',1052360832,1052360959),('FR',1052360960,1052360991),('BE',1052360992,1052361023),('ZA',1052361024,1052361039),('NL',1052361040,1052361055),('DE',1052361056,1052361087),('ES',1052361088,1052361151),('GB',1052361152,1052361215),('ZA',1052361216,1052361471),('BE',1052361472,1052361647),('GB',1052361648,1052361655),('DE',1052361656,1052361663),('BE',1052361664,1052361695),('CH',1052361696,1052361727),('IT',1052361728,1052361919),('ZA',1052361920,1052361951),('IT',1052361952,1052361967),('ZA',1052361968,1052361983),('IT',1052361984,1052362239),('DK',1052362240,1052362751),('ES',1052362752,1052362783),('GB',1052362784,1052362815),('CH',1052362816,1052362879),('ES',1052362880,1052363039),('EU',1052363040,1052363071),('GB',1052363072,1052363135),('ES',1052363136,1052363263),('DE',1052363264,1052364543),('BE',1052364544,1052364671),('DE',1052364672,1052364687),('GB',1052364688,1052364695),('NL',1052364696,1052364703),('GB',1052364704,1052364799),('BE',1052364800,1052366207),('IE',1052366208,1052366271),('GB',1052366272,1052366335),('BE',1052366336,1052366655),('DE',1052366656,1052366719),('BE',1052366720,1052367871),('DK',1052367872,1052368895),('IE',1052368896,1052369023),('IT',1052369024,1052369039),('DE',1052369040,1052369055),('ZA',1052369056,1052369087),('IT',1052369088,1052369151),('IE',1052369152,1052369407),('HU',1052369408,1052369663),('CZ',1052369664,1052369855),('EU',1052369856,1052369887),('CZ',1052369888,1052369919),('NO',1052369920,1052370175),('DK',1052370176,1052370431),('SE',1052370432,1052370559),('DE',1052370560,1052370623),('IT',1052370624,1052370687),('DK',1052370688,1052370943),('GB',1052370944,1052372255),('ZA',1052372256,1052372287),('FI',1052372288,1052372351),('GB',1052372352,1052374015),('CH',1052374016,1052375039),('EU',1052375040,1052375295),('DE',1052375296,1052375551),('EU',1052375552,1052375679),('DE',1052375680,1052375711),('FR',1052375712,1052375807),('DE',1052375808,1052376063),('EU',1052376064,1052376319),('DE',1052376320,1052376831),('ES',1052376832,1052377087),('DE',1052377088,1052377535),('NO',1052377536,1052377599),('FR',1052377600,1052377743),('NL',1052377744,1052377759),('ZA',1052377760,1052377791),('GB',1052377792,1052377855),('DE',1052377856,1052377871),('CH',1052377872,1052377887),('EU',1052377888,1052377919),('DE',1052377920,1052377951),('FR',1052377952,1052377983),('GB',1052377984,1052378047),('FR',1052378048,1052378079),('NL',1052378080,1052378111),('DE',1052378112,1052378983),('NO',1052378984,1052378991),('GB',1052378992,1052379031),('DE',1052379032,1052379039),('GB',1052379040,1052379103),('SE',1052379104,1052379135),('EU',1052379136,1052379391),('DE',1052379392,1052379791),('GB',1052379792,1052379799),('NL',1052379800,1052379807),('DE',1052379808,1052379839),('ZA',1052379840,1052379903),('GB',1052379904,1052380063),('DE',1052380064,1052380127),('NL',1052380128,1052380159),('DE',1052380160,1052381183),('EU',1052381184,1052381439),('DE',1052381440,1052382623),('EU',1052382624,1052382655),('ES',1052382656,1052382719),('DE',1052382720,1052382975),('GB',1052382976,1052383999),('NL',1052384000,1052384255),('GB',1052384256,1052385279),('DE',1052385280,1052385535),('GB',1052385536,1052385615),('ZA',1052385616,1052385631),('GB',1052385632,1052385695),('FR',1052385696,1052385791),('GB',1052385792,1052388863),('NL',1052388864,1052389119),('GB',1052389120,1052390431),('ZA',1052390432,1052390447),('GB',1052390448,1052390455),('IT',1052390456,1052390463),('GB',1052390464,1052393471),('CH',1052393472,1052393599),('FR',1052393600,1052393695),('CH',1052393696,1052394271),('ZA',1052394272,1052394303),('GB',1052394304,1052394367),('CH',1052394368,1052395263),('GB',1052395264,1052395679),('DE',1052395680,1052395743),('ES',1052395744,1052395775),('NL',1052395776,1052396031),('CH',1052396032,1052396543),('SE',1052396544,1052396607),('BE',1052396608,1052396671),('SE',1052396672,1052396799),('TR',1052396800,1052396863),('RO',1052396864,1052396927),('HU',1052396928,1052397439),('EU',1052397440,1052397567),('IT',1052397568,1052399039),('NO',1052399040,1052399103),('IT',1052399104,1052399903),('DE',1052399904,1052399919),('NL',1052399920,1052399927),('FR',1052399928,1052399935),('IT',1052399936,1052399999),('BE',1052400000,1052400127),('IT',1052400128,1052401151),('BE',1052401152,1052401279),('IT',1052401280,1052401311),('AT',1052401312,1052401343),('ZA',1052401344,1052401407),('BE',1052401408,1052401599),('GB',1052401600,1052401631),('RU',1052401632,1052401663),('FR',1052401664,1052402047),('NL',1052402048,1052402175),('FR',1052402176,1052402271),('IT',1052402272,1052402303),('GB',1052402304,1052402367),('FR',1052402368,1052403359),('DE',1052403360,1052403391),('IT',1052403392,1052403407),('GB',1052403408,1052403415),('NL',1052403416,1052403423),('RO',1052403424,1052403455),('FR',1052403456,1052403727),('NL',1052403728,1052403743),('FR',1052403744,1052403775),('ZA',1052403776,1052403839),('CH',1052403840,1052403967),('FR',1052403968,1052404383),('ZA',1052404384,1052404399),('FR',1052404400,1052404447),('GB',1052404448,1052404479),('FR',1052404480,1052404767),('ZA',1052404768,1052404783),('GB',1052404784,1052404799),('FR',1052404800,1052404863),('GB',1052404864,1052404991),('FR',1052404992,1052405759),('AT',1052405760,1052407519),('FR',1052407520,1052407535),('SE',1052407536,1052407551),('AT',1052407552,1052407839),('ZA',1052407840,1052407871),('DE',1052407872,1052407887),('ZA',1052407888,1052407903),('DE',1052407904,1052407935),('AT',1052407936,1052408159),('GB',1052408160,1052408383),('BE',1052408384,1052408447),('FR',1052408448,1052408511),('GB',1052408512,1052408575),('AT',1052408576,1052408831),('GB',1052408832,1052409855),('NL',1052409856,1052409863),('DE',1052409864,1052409871),('NL',1052409872,1052409951),('BE',1052409952,1052409983),('GB',1052409984,1052410047),('BE',1052410048,1052410111),('EU',1052410112,1052411135),('NL',1052411136,1052412327),('EU',1052412328,1052412335),('NL',1052412336,1052412343),('GB',1052412344,1052412351),('CH',1052412352,1052412415),('NL',1052412416,1052412831),('DE',1052412832,1052412863),('NL',1052412864,1052413951),('CZ',1052413952,1052414335),('EU',1052414336,1052414463),('IE',1052414464,1052414975),('BE',1052414976,1052415999),('DE',1052416000,1052416575),('ZA',1052416576,1052416639),('GB',1052416640,1052416671),('DE',1052416672,1052416703),('IT',1052416704,1052416735),('DE',1052416736,1052416767),('NO',1052416768,1052417071),('DE',1052417072,1052417087),('AT',1052417088,1052417119),('IT',1052417120,1052417151),('GB',1052417152,1052417279),('NO',1052417280,1052417359),('EU',1052417360,1052417367),('NO',1052417368,1052417535),('ZA',1052417536,1052418047),('BE',1052418048,1052419583),('IT',1052419584,1052420031),('EU',1052420032,1052420063),('IT',1052420064,1052420095),('GB',1052420096,1052420735),('DE',1052420736,1052420767),('GB',1052420768,1052420783),('ZA',1052420784,1052420799),('DE',1052420800,1052420863),('GB',1052420864,1052422143),('ZA',1052422144,1052422847),('SE',1052422848,1052422863),('FR',1052422864,1052422879),('ZA',1052422880,1052423199),('CH',1052423200,1052423231),('ZA',1052423232,1052423295),('EU',1052423296,1052423303),('CH',1052423304,1052423311),('EU',1052423312,1052423359),('NL',1052423360,1052423423),('ZA',1052423424,1052423967),('EU',1052423968,1052423999),('ZA',1052424000,1052424799),('GB',1052424800,1052424815),('ES',1052424816,1052424823),('BE',1052424824,1052424831),('GB',1052424832,1052424959),('ZA',1052424960,1052425151),('BE',1052425152,1052425215),('ZA',1052425216,1052426239),('PT',1052426240,1052426319),('EU',1052426320,1052426327),('PT',1052426328,1052426495),('EU',1052426496,1052426511),('FR',1052426512,1052426527),('EU',1052426528,1052427263),('CH',1052427264,1052427839),('GB',1052427840,1052427855),('IT',1052427856,1052427871),('AT',1052427872,1052427903),('DE',1052427904,1052427967),('GB',1052427968,1052428031),('CH',1052428032,1052428287),('ES',1052428288,1052428479),('BE',1052428480,1052428543),('ES',1052428544,1052429407),('FR',1052429408,1052429439),('BE',1052429440,1052429567),('ES',1052429568,1052429759),('DE',1052429760,1052429823),('ES',1052429824,1052430335),('BE',1052430336,1052430407),('ZA',1052430408,1052430415),('FR',1052430416,1052430431),('DE',1052430432,1052430463),('BE',1052430464,1052430527),('DE',1052430528,1052430591),('BE',1052430592,1052433407),('DK',1052433408,1052433719),('FR',1052433720,1052433727),('DK',1052433728,1052433919),('ZA',1052433920,1052434431),('GB',1052434432,1052434751),('NO',1052434752,1052434783),('GB',1052434784,1052435455),('NL',1052435456,1052435647),('EU',1052435648,1052435679),('NL',1052435680,1052436479),('DE',1052436480,1052437023),('ZA',1052437024,1052437055),('DE',1052437056,1052437119),('ZA',1052437120,1052437135),('DE',1052437136,1052437151),('GB',1052437152,1052437183),('ZA',1052437184,1052437247),('DE',1052437248,1052437759),('CH',1052437760,1052438015),('BE',1052438016,1052438399),('EU',1052438400,1052438527),('AT',1052438528,1052439503),('EU',1052439504,1052439519),('AT',1052439520,1052439551),('FR',1052439552,1052440575),('DE',1052440576,1052441343),('EU',1052441344,1052441599),('GB',1052441600,1052442623),('DE',1052442624,1052443647),('EU',1052443648,1052446207),('DE',1052446208,1052446719),('CZ',1052446720,1052447743),('PL',1052447744,1052447871),('EU',1052447872,1052447999),('PL',1052448000,1052448127),('EU',1052448128,1052448255),('ZA',1052448256,1052450815),('DE',1052450816,1052451839),('NO',1052451840,1052452159),('EU',1052452160,1052452223),('NO',1052452224,1052452351),('ES',1052452352,1052452831),('GB',1052452832,1052452847),('FR',1052452848,1052452863),('EU',1052452864,1052452991),('SK',1052452992,1052452999),('EU',1052453000,1052453119),('FR',1052453120,1052453375),('AT',1052453376,1052453887),('GB',1052453888,1052454911),('FR',1052454912,1052454943),('NL',1052454944,1052454959),('EU',1052454960,1052454975),('NL',1052454976,1052455359),('EU',1052455360,1052455423),('GB',1052455424,1052455935),('NL',1052455936,1052456447),('CH',1052456448,1052456959),('NL',1052456960,1052457983),('AT',1052457984,1052458367),('EU',1052458368,1052458431),('AT',1052458432,1052458495),('NL',1052458496,1052458847),('FR',1052458848,1052458863),('NL',1052458864,1052458871),('FR',1052458872,1052458879),('GB',1052458880,1052460031),('NO',1052460032,1052460127),('EU',1052460128,1052460223),('FR',1052460224,1052460287),('EU',1052460288,1052460543),('NO',1052460544,1052460799),('DE',1052460800,1052461055),('FR',1052461056,1052461295),('BE',1052461296,1052461311),('FR',1052461312,1052461951),('EU',1052461952,1052461967),('FR',1052461968,1052463103),('ES',1052463104,1052463615),('GB',1052463616,1052464639),('ES',1052464640,1052464927),('EU',1052464928,1052464959),('ES',1052464960,1052465087),('EU',1052465088,1052465151),('ZA',1052465152,1052465375),('EU',1052465376,1052465407),('ZA',1052465408,1052465663),('EU',1052465664,1052466431),('FR',1052466432,1052468223),('GB',1052468224,1052469247),('FR',1052469248,1052470271),('ZA',1052470272,1052470783),('FR',1052470784,1052471007),('EU',1052471008,1052471039),('BE',1052471040,1052471295),('GB',1052471296,1052472511),('EU',1052472512,1052472575),('GB',1052472576,1052475231),('EU',1052475232,1052475239),('GB',1052475240,1052475255),('EU',1052475256,1052475263),('GB',1052475264,1052475391),('FR',1052475392,1052476383),('EU',1052476384,1052476415),('FR',1052476416,1052479487),('NL',1052479488,1052479743),('DE',1052479744,1052479999),('NL',1052480000,1052483583),('IT',1052483584,1052483999),('EU',1052484000,1052484031),('IT',1052484032,1052485279),('EU',1052485280,1052485311),('IT',1052485312,1052485631),('GB',1052485632,1052486655),('CH',1052486656,1052486911),('DE',1052486912,1052486975),('FR',1052486976,1052487039),('DE',1052487040,1052487167),('GB',1052487168,1052487423),('AT',1052487424,1052487679),('CH',1052487680,1052488703),('GB',1052488704,1052489727),('IE',1052489728,1052490239),('SE',1052490240,1052490751),('AT',1052490752,1052491679),('EU',1052491680,1052491687),('AT',1052491688,1052491775),('BE',1052491776,1052493567),('EU',1052493568,1052493695),('BE',1052493696,1052494335),('NL',1052494336,1052494591),('BE',1052494592,1052495439),('FR',1052495440,1052495487),('BE',1052495488,1052495551),('GB',1052495552,1052495583),('BE',1052495584,1052495871),('UA',1052495872,1052495879),('EU',1052495880,1052496127),('DE',1052496128,1052497407),('EU',1052497408,1052497663),('DE',1052497664,1052497919),('ES',1052497920,1052498431),('RO',1052498432,1052498495),('EU',1052498496,1052498943),('GB',1052498944,1052499455),('EU',1052499456,1052499967),('DK',1052499968,1052500191),('EU',1052500192,1052500207),('DK',1052500208,1052500319),('EU',1052500320,1052500479),('GB',1052500480,1052500991),('FI',1052500992,1052501023),('EU',1052501024,1052501031),('FI',1052501032,1052501039),('EU',1052501040,1052501119),('FI',1052501120,1052501247),('EU',1052501248,1052501503),('CH',1052501504,1052502015),('IE',1052502016,1052502783),('EU',1052502784,1052502815),('IE',1052502816,1052502847),('EU',1052502848,1052503039),('GB',1052503040,1052504319),('BY',1052504320,1052504351),('EU',1052504352,1052504383),('GB',1052504384,1052507583),('EU',1052507584,1052507647),('GB',1052507648,1052507775),('EU',1052507776,1052507903),('GB',1052507904,1052576783),('NL',1052576784,1052576799),('GB',1052576800,1052602495),('ES',1052602496,1052602623),('GB',1052602624,1052621951),('IE',1052621952,1052622015),('GB',1052622016,1052644095),('SE',1052644096,1052644351),('GB',1052644352,1052647167),('SE',1052647168,1052647423),('GB',1052647424,1052661759),('SE',1052661760,1052662271),('GB',1052662272,1052665343),('SE',1052665344,1052665599),('GB',1052665600,1052684575),('IT',1052684576,1052684607),('GB',1052684608,1052770303),('CH',1052770304,1052778495),('RU',1052778496,1052786687),('NL',1052786688,1052803071),('A2',1052803072,1052806655),('MW',1052806656,1052807167),('A2',1052807168,1052811263),('RU',1052811264,1052819455),('DE',1052819456,1052827647),('RU',1052827648,1052835839),('IR',1052835840,1052844031),('FR',1052844032,1052852223),('EG',1052852224,1052868607),('RS',1052868608,1052876799),('NG',1052876800,1052884991),('FR',1052884992,1052901375),('NL',1052901376,1053032447),('IT',1053032448,1053097983),('DE',1053097984,1053106175),('GB',1053106176,1053114367),('BE',1053114368,1053130751),('NL',1053130752,1053138943),('FI',1053138944,1053147135),('SK',1053147136,1053163519),('DK',1053163520,1053294591),('EU',1053294592,1053294847),('AT',1053294848,1053295103),('EU',1053295104,1053295391),('AT',1053295392,1053295423),('EU',1053295424,1053295455),('AT',1053295456,1053295471),('EU',1053295472,1053295615),('AT',1053295616,1053296639),('IT',1053296640,1053296927),('EU',1053296928,1053296943),('IT',1053296944,1053296959),('EU',1053296960,1053296991),('IT',1053296992,1053297031),('EU',1053297032,1053297039),('IT',1053297040,1053297055),('EU',1053297056,1053297103),('IT',1053297104,1053297151),('EU',1053297152,1053298175),('CH',1053298176,1053299199),('EU',1053299200,1053299711),('GB',1053299712,1053300103),('EU',1053300104,1053300111),('GB',1053300112,1053300119),('EU',1053300120,1053300127),('GB',1053300128,1053300143),('EU',1053300144,1053300159),('GB',1053300160,1053300735),('CH',1053300736,1053300991),('FR',1053300992,1053301023),('EU',1053301024,1053301039),('FR',1053301040,1053301087),('EU',1053301088,1053301119),('FR',1053301120,1053301183),('EU',1053301184,1053301199),('FR',1053301200,1053301207),('EU',1053301208,1053301215),('FR',1053301216,1053301343),('EU',1053301344,1053301351),('FR',1053301352,1053301359),('EU',1053301360,1053301367),('FR',1053301368,1053301503),('EU',1053301504,1053302015),('FR',1053302016,1053302055),('DE',1053302056,1053302063),('FR',1053302064,1053302159),('EU',1053302160,1053302175),('FR',1053302176,1053302183),('EU',1053302184,1053302255),('FR',1053302256,1053302271),('EU',1053302272,1053302319),('FR',1053302320,1053302335),('EU',1053302336,1053302383),('FR',1053302384,1053302703),('GB',1053302704,1053302711),('EU',1053302712,1053302719),('FR',1053302720,1053302751),('EU',1053302752,1053302759),('FR',1053302760,1053302783),('EU',1053302784,1053305087),('GR',1053305088,1053305951),('EU',1053305952,1053306111),('GR',1053306112,1053306879),('EU',1053306880,1053307903),('GB',1053307904,1053308543),('EU',1053308544,1053308687),('GB',1053308688,1053308927),('ZA',1053308928,1053308991),('EU',1053308992,1053309023),('ZA',1053309024,1053309055),('EU',1053309056,1053309183),('ZA',1053309184,1053309951),('EU',1053309952,1053311231),('CZ',1053311232,1053311359),('EU',1053311360,1053311999),('DK',1053312000,1053312831),('EU',1053312832,1053312847),('DK',1053312848,1053312911),('EU',1053312912,1053313023),('GB',1053313024,1053313327),('EU',1053313328,1053313343),('GB',1053313344,1053313479),('EU',1053313480,1053313487),('GB',1053313488,1053314047),('EU',1053314048,1053314063),('CZ',1053314064,1053314079),('EU',1053314080,1053315071),('GB',1053315072,1053316655),('EU',1053316656,1053316671),('GB',1053316672,1053316679),('EU',1053316680,1053316687),('GB',1053316688,1053316695),('EU',1053316696,1053316703),('GB',1053316704,1053316711),('EU',1053316712,1053316719),('GB',1053316720,1053316727),('EU',1053316728,1053316735),('GB',1053316736,1053316863),('EU',1053316864,1053317119),('ZA',1053317120,1053317295),('EU',1053317296,1053317375),('GB',1053317376,1053317631),('EU',1053317632,1053318143),('GB',1053318144,1053318655),('FI',1053318656,1053318911),('EU',1053318912,1053318927),('FI',1053318928,1053318951),('EE',1053318952,1053318959),('EU',1053318960,1053318975),('FI',1053318976,1053318991),('EU',1053318992,1053319023),('FI',1053319024,1053319031),('EU',1053319032,1053319039),('FI',1053319040,1053319167),('EU',1053319168,1053319423),('DE',1053319424,1053320191),('EU',1053320192,1053320223),('DE',1053320224,1053320319),('EU',1053320320,1053326335),('BE',1053326336,1053326399),('GB',1053326400,1053326447),('BE',1053326448,1053326559),('EU',1053326560,1053326575),('BE',1053326576,1053326847),('FI',1053326848,1053327103),('DK',1053327104,1053327359),('EU',1053327360,1053327871),('ZA',1053327872,1053328383),('EU',1053328384,1053328639),('ZA',1053328640,1053328831),('EU',1053328832,1053328895),('ZA',1053328896,1053329087),('EU',1053329088,1053329119),('ZA',1053329120,1053329279),('EU',1053329280,1053329407),('ES',1053329408,1053329439),('EU',1053329440,1053329471),('ES',1053329472,1053329487),('EU',1053329488,1053329511),('ES',1053329512,1053329535),('EU',1053329536,1053329599),('ES',1053329600,1053329639),('EU',1053329640,1053330431),('ES',1053330432,1053330687),('EU',1053330688,1053331455),('NL',1053331456,1053331487),('EU',1053331488,1053331583),('NL',1053331584,1053331599),('EU',1053331600,1053331615),('NL',1053331616,1053331703),('EU',1053331704,1053331711),('NL',1053331712,1053331935),('EU',1053331936,1053332223),('NL',1053332224,1053332271),('EU',1053332272,1053332319),('NL',1053332320,1053332415),('EU',1053332416,1053332991),('BE',1053332992,1053334015),('DK',1053334016,1053334223),('EU',1053334224,1053334239),('DK',1053334240,1053334527),('SE',1053334528,1053334783),('EU',1053334784,1053335551),('ZA',1053335552,1053336831),('EU',1053336832,1053337087),('ZA',1053337088,1053337183),('EU',1053337184,1053337215),('ZA',1053337216,1053337279),('EU',1053337280,1053337607),('CH',1053337608,1053337631),('EU',1053337632,1053338111),('FI',1053338112,1053338623),('NO',1053338624,1053338927),('EU',1053338928,1053338975),('NO',1053338976,1053338983),('EU',1053338984,1053338999),('NO',1053339000,1053339007),('EU',1053339008,1053339135),('NO',1053339136,1053339519),('EU',1053339520,1053339591),('NO',1053339592,1053339599),('EU',1053339600,1053339615),('NO',1053339616,1053339647),('AT',1053339648,1053340159),('ZA',1053340160,1053340415),('NL',1053340416,1053340463),('EU',1053340464,1053340479),('NL',1053340480,1053340495),('EU',1053340496,1053340511),('NL',1053340512,1053340519),('EU',1053340520,1053340671),('GB',1053340672,1053341183),('EU',1053341184,1053341439),('GB',1053341440,1053341695),('EU',1053341696,1053343743),('FI',1053343744,1053344255),('EU',1053344256,1053344511),('BG',1053344512,1053344767),('EU',1053344768,1053345279),('PK',1053345280,1053345375),('EU',1053345376,1053345407),('PK',1053345408,1053345471),('EU',1053345472,1053348607),('PT',1053348608,1053348655),('EU',1053348656,1053349119),('NL',1053349120,1053349631),('EU',1053349632,1053349887),('IE',1053349888,1053350015),('EU',1053350016,1053350143),('IE',1053350144,1053350383),('EU',1053350384,1053350399),('BE',1053350400,1053350479),('EU',1053350480,1053350487),('BE',1053350488,1053350495),('EU',1053350496,1053350655),('BE',1053350656,1053350911),('EU',1053350912,1053352031),('IL',1053352032,1053352039),('EU',1053352040,1053352959),('IE',1053352960,1053353031),('EU',1053353032,1053353087),('IE',1053353088,1053353151),('EU',1053353152,1053353183),('IE',1053353184,1053353215),('GB',1053353216,1053353223),('IE',1053353224,1053353279),('EU',1053353280,1053353983),('IL',1053353984,1053354655),('EU',1053354656,1053354687),('IL',1053354688,1053354719),('EU',1053354720,1053354751),('IL',1053354752,1053354831),('EU',1053354832,1053354855),('IL',1053354856,1053354871),('EU',1053354872,1053354911),('IL',1053354912,1053355007),('EU',1053355008,1053360127),('ES',1053360128,1053368319),('SE',1053368320,1053376511),('HU',1053376512,1053392895),('FR',1053392896,1053401087),('DE',1053401088,1053409279),('IR',1053409280,1053425663),('CH',1053425664,1053556735),('FI',1053556736,1053564927),('GB',1053564928,1053573119),('NL',1053573120,1053581311),('CH',1053581312,1053589503),('BG',1053589504,1053597695),('DE',1053597696,1053605887),('ES',1053605888,1053614079),('CZ',1053614080,1053622271),('IT',1053622272,1053630463),('GR',1053630464,1053638655),('BE',1053638656,1053655039),('UA',1053655040,1053663231),('RU',1053663232,1053671423),('LV',1053671424,1053687807),('DE',1053687808,1053702635),('GB',1053702636,1053702639),('DE',1053702640,1053753343),('IT',1053753344,1053818879),('DE',1053818880,1053819391),('EU',1053819392,1053819423),('DE',1053819424,1053819439),('EU',1053819440,1053819519),('DE',1053819520,1053819563),('EU',1053819564,1053819583),('DE',1053819584,1053819647),('EU',1053819648,1053820159),('DE',1053820160,1053820927),('EU',1053820928,1053821439),('GB',1053821440,1053821447),('EU',1053821448,1053821567),('GB',1053821568,1053821695),('EU',1053821696,1053823999),('DE',1053824000,1053824023),('EU',1053824024,1053824127),('NL',1053824128,1053824255),('EU',1053824256,1053826815),('DE',1053826816,1053827327),('BE',1053827328,1053827583),('EU',1053827584,1053829887),('DE',1053829888,1053830143),('EU',1053830144,1053831167),('DE',1053831168,1053831423),('EU',1053831424,1053834943),('DE',1053834944,1053834975),('EU',1053834976,1053835263),('DE',1053835264,1053835775),('EU',1053835776,1053837311),('FK',1053837312,1053837439),('EU',1053837440,1053837567),('GB',1053837568,1053837823),('FK',1053837824,1053838335),('DE',1053838336,1053838591),('EU',1053838592,1053840399),('DE',1053840400,1053840415),('EU',1053840416,1053840447),('DE',1053840448,1053840511),('EU',1053840512,1053843199),('DK',1053843200,1053843207),('EU',1053843208,1053843711),('DE',1053843712,1053843967),('GB',1053843968,1053844223),('DE',1053844224,1053844479),('EU',1053844480,1053844991),('DE',1053844992,1053845503),('EU',1053845504,1053845727),('DE',1053845728,1053845735),('EU',1053845736,1053846015),('DE',1053846016,1053846527),('EU',1053846528,1053846783),('DE',1053846784,1053848575),('GB',1053848576,1053849599),('DE',1053849600,1053850367),('EU',1053850368,1053851135),('DE',1053851136,1053851647),('EU',1053851648,1053851903),('FR',1053851904,1053851919),('EU',1053851920,1053852031),('IT',1053852032,1053852047),('EU',1053852048,1053852095),('DE',1053852096,1053852103),('EU',1053852104,1053852111),('GB',1053852112,1053852127),('DE',1053852128,1053852159),('EU',1053852160,1053855743),('GB',1053855744,1053859839),('DE',1053859840,1053860863),('EU',1053860864,1053862655),('DE',1053862656,1053862783),('EU',1053862784,1053862847),('DE',1053862848,1053862879),('EU',1053862880,1053863423),('DE',1053863424,1053864959),('EU',1053864960,1053865215),('DE',1053865216,1053865727),('US',1053865728,1053865759),('EU',1053865760,1053865983),('DE',1053865984,1053866239),('ES',1053866240,1053866495),('DE',1053866496,1053866799),('EU',1053866800,1053866807),('DE',1053866808,1053866823),('EU',1053866824,1053866831),('DE',1053866832,1053866847),('EU',1053866848,1053867007),('DE',1053867008,1053867775),('EU',1053867776,1053867975),('DE',1053867976,1053867983),('EU',1053867984,1053867991),('DE',1053867992,1053867999),('EU',1053868000,1053868007),('DE',1053868008,1053868015),('EU',1053868016,1053868031),('ES',1053868032,1053868447),('GB',1053868448,1053868455),('EU',1053868456,1053868799),('DE',1053868800,1053869567),('EU',1053869568,1053870079),('DE',1053870080,1053870335),('GB',1053870336,1053870591),('EU',1053870592,1053870847),('DE',1053870848,1053871359),('EU',1053871360,1053871615),('DE',1053871616,1053871871),('EU',1053871872,1053872383),('DE',1053872384,1053872447),('EU',1053872448,1053872895),('DE',1053872896,1053873663),('EU',1053873664,1053876223),('DE',1053876224,1053876991),('EU',1053876992,1053877247),('DE',1053877248,1053878271),('GB',1053878272,1053878783),('DE',1053878784,1053879047),('EU',1053879048,1053879055),('DE',1053879056,1053879071),('GB',1053879072,1053879167),('EU',1053879168,1053879295),('DE',1053879296,1053882111),('EU',1053882112,1053882367),('DE',1053882368,1053882879),('GB',1053882880,1053883391),('DE',1053883392,1053884415),('BH',1053884416,1053892607),('DE',1053892608,1053894495),('GB',1053894496,1053894527),('DE',1053894528,1053894719),('FR',1053894720,1053894735),('GB',1053894736,1053894743),('GE',1053894744,1053894751),('DE',1053894752,1053894783),('IL',1053894784,1053894815),('NL',1053894816,1053894831),('US',1053894832,1053894847),('DE',1053894848,1053895423),('GB',1053895424,1053895679),('US',1053895680,1053895935),('DE',1053895936,1053896087),('US',1053896088,1053896095),('GB',1053896096,1053896127),('DE',1053896128,1053896159),('US',1053896160,1053896175),('DE',1053896176,1053896447),('US',1053896448,1053896703),('DE',1053896704,1053900799),('NO',1053900800,1053917183),('UZ',1053917184,1053925375),('SE',1053925376,1053933567),('CZ',1053933568,1053949951),('FR',1053949952,1053984415),('US',1053984416,1053984447),('FR',1053984448,1053984895),('US',1053984896,1053985023),('FR',1053985024,1054015487),('IT',1054015488,1054089215),('RU',1054089216,1054097407),('NL',1054097408,1054105599),('FR',1054105600,1054113791),('NL',1054113792,1054121983),('AT',1054121984,1054130175),('LT',1054130176,1054138367),('AZ',1054138368,1054146559),('RU',1054146560,1054179327),('GB',1054179328,1054187519),('BG',1054187520,1054195711),('BE',1054195712,1054212095),('DE',1054212096,1054212519),('NL',1054212520,1054212527),('DE',1054212528,1054277631),('KW',1054277632,1054343167),('NL',1054343168,1054351359),('GB',1054359552,1054367743),('FI',1054367744,1054375935),('GB',1054375936,1054381055),('EG',1054381056,1054381823),('GB',1054381824,1054384127),('DE',1054384128,1054400511),('GB',1054400512,1054408703),('FR',1054408704,1054416895),('DE',1054416896,1054425087),('GR',1054425088,1054441471),('AZ',1054441472,1054449663),('RU',1054449664,1054457855),('RO',1054457856,1054474239),('AT',1054474240,1054539775),('IL',1054539776,1054605311),('DE',1054605312,1054613503),('IT',1054621696,1054629887),('IR',1054629888,1054638079),('CH',1054638080,1054646271),('SE',1054646272,1054654463),('MK',1054654464,1054662655),('FI',1054662656,1054670847),('GB',1054670848,1054671103),('EU',1054671104,1054671167),('IE',1054671168,1054671231),('EU',1054671232,1054671371),('IE',1054671372,1054671375),('EU',1054671376,1054671415),('IE',1054671416,1054671423),('EU',1054671424,1054671431),('IE',1054671432,1054671439),('EU',1054671440,1054672159),('IE',1054672160,1054672175),('EU',1054672176,1054672255),('IE',1054672256,1054672287),('EU',1054672288,1054672319),('US',1054672320,1054672335),('IE',1054672336,1054672367),('EU',1054672368,1054672383),('IE',1054672384,1054672447),('EU',1054672448,1054672719),('IE',1054672720,1054672727),('EU',1054672728,1054672743),('IE',1054672744,1054672767),('EU',1054672768,1054672775),('IE',1054672776,1054672783),('EU',1054672784,1054672791),('IE',1054672792,1054672807),('EU',1054672808,1054673663),('IE',1054673664,1054673727),('EU',1054673728,1054673855),('IE',1054673856,1054673919),('EU',1054673920,1054673951),('IE',1054673952,1054674047),('EU',1054674048,1054674079),('IE',1054674080,1054674111),('EU',1054674112,1054674455),('IE',1054674456,1054674471),('EU',1054674472,1054674479),('IE',1054674480,1054674495),('EU',1054674496,1054674503),('IE',1054674504,1054674511),('EU',1054674512,1054674519),('GB',1054674520,1054674527),('EU',1054674528,1054674687),('IE',1054674688,1054675199),('EU',1054675200,1054675455),('IE',1054675456,1054675711),('EU',1054675712,1054675967),('US',1054675968,1054676223),('EU',1054676224,1054679039),('UA',1054679040,1054687231),('MD',1054687232,1054703615),('IT',1054711808,1054719999),('NL',1054720000,1054867455),('DE',1054867456,1054943231),('PL',1054943232,1054943487),('DE',1054943488,1054949519),('NL',1054949520,1054949527),('DE',1054949528,1054949807),('ES',1054949808,1054949815),('DE',1054949816,1054963255),('ES',1054963256,1054963263),('DE',1054963264,1054969031),('AT',1054969032,1054969039),('DE',1054969040,1055129599),('EU',1055129600,1055196159),('CH',1055196160,1055197823),('EU',1055197824,1055197919),('CH',1055197920,1055198463),('EU',1055198464,1055198975),('CH',1055198976,1055199103),('EU',1055199104,1055199359),('CH',1055199360,1055199375),('EU',1055199376,1055199463),('CH',1055199464,1055199487),('EU',1055199488,1055200415),('PT',1055200416,1055200423),('EU',1055200424,1055201023),('US',1055201024,1055203327),('CZ',1055203328,1055203359),('EU',1055203360,1055203839),('CZ',1055203840,1055204095),('EU',1055204096,1055204863),('CZ',1055204864,1055205375),('EU',1055205376,1055205631),('CZ',1055205632,1055205887),('EU',1055205888,1055206655),('CZ',1055206656,1055207423),('EU',1055207424,1055207679),('CZ',1055207680,1055209471),('EU',1055209472,1055209727),('CZ',1055209728,1055210239),('EU',1055210240,1055210495),('SK',1055210496,1055210751),('EU',1055210752,1055211263),('CZ',1055211264,1055211519),('EU',1055211520,1055212043),('PT',1055212044,1055212179),('EU',1055212180,1055212183),('PT',1055212184,1055212247),('EU',1055212248,1055212351),('PT',1055212352,1055212415),('EU',1055212416,1055212543),('PT',1055212544,1055212799),('EU',1055212800,1055213055),('PT',1055213056,1055213319),('EU',1055213320,1055213327),('PT',1055213328,1055213359),('EU',1055213360,1055213367),('PT',1055213368,1055213455),('EU',1055213456,1055213471),('PT',1055213472,1055213567),('EU',1055213568,1055213823),('PT',1055213824,1055214239),('EU',1055214240,1055214271),('PT',1055214272,1055214847),('EU',1055214848,1055215359),('PT',1055215360,1055215999),('EU',1055216000,1055216031),('PT',1055216032,1055216383),('EU',1055216384,1055216895),('PT',1055216896,1055217663),('EU',1055217664,1055218207),('PT',1055218208,1055218239),('EU',1055218240,1055218271),('PT',1055218272,1055218299),('EU',1055218300,1055218351),('PT',1055218352,1055218383),('EU',1055218384,1055218391),('PT',1055218392,1055218399),('EU',1055218400,1055218431),('PT',1055218432,1055218447),('EU',1055218448,1055218463),('PT',1055218464,1055218471),('EU',1055218472,1055218479),('PT',1055218480,1055219711),('EU',1055219712,1055219967),('NL',1055219968,1055219975),('EU',1055219976,1055220223),('NL',1055220224,1055220287),('EU',1055220288,1055220351),('NL',1055220352,1055220399),('EU',1055220400,1055220735),('NL',1055220736,1055221247),('EU',1055221248,1055221503),('BE',1055221504,1055221631),('EU',1055221632,1055221759),('NL',1055221760,1055222015),('EU',1055222016,1055222527),('NL',1055222528,1055223807),('LU',1055223808,1055223839),('EU',1055223840,1055223871),('LU',1055223872,1055223999),('EU',1055224000,1055224063),('LU',1055224064,1055224463),('EU',1055224464,1055224575),('LU',1055224576,1055224607),('EU',1055224608,1055224831),('LU',1055224832,1055224911),('EU',1055224912,1055226111),('ES',1055226112,1055226175),('EU',1055226176,1055226191),('ES',1055226192,1055226207),('EU',1055226208,1055226239),('ES',1055226240,1055226255),('EU',1055226256,1055226263),('ES',1055226264,1055226271),('EU',1055226272,1055226367),('ES',1055226368,1055226399),('EU',1055226400,1055227639),('PT',1055227640,1055227647),('EU',1055227648,1055227903),('TR',1055227904,1055228159),('EU',1055228160,1055228415),('TR',1055228416,1055229183),('EU',1055229184,1055231999),('NL',1055232000,1055232255),('EU',1055232256,1055232511),('NL',1055232512,1055233535),('EU',1055233536,1055233791),('NL',1055233792,1055234047),('EU',1055234048,1055234063),('NL',1055234064,1055234079),('US',1055234080,1055234127),('EU',1055234128,1055234559),('NL',1055234560,1055235071),('EU',1055235072,1055241983),('GR',1055241984,1055242239),('EU',1055242240,1055252735),('ES',1055252736,1055252991),('EU',1055252992,1055253055),('ES',1055253056,1055253087),('EU',1055253088,1055256447),('ES',1055256448,1055256463),('EU',1055256464,1055260671),('SE',1055260672,1055326207),('RU',1055326208,1055334399),('IE',1055334400,1055342591),('RO',1055342592,1055347455),('HU',1055347456,1055347711),('RO',1055347712,1055358975),('GB',1055358976,1055367167),('RU',1055367168,1055375359),('OM',1055375360,1055391743),('GB',1055391744,1055457279),('BE',1055457280,1055465471),('FR',1055465472,1055467575),('ES',1055467576,1055467579),('FR',1055467580,1055469055),('CH',1055469056,1055469059),('DE',1055469060,1055469063),('IT',1055469064,1055469067),('BE',1055469068,1055469071),('FR',1055469072,1055471615),('BE',1055471616,1055472127),('NL',1055472128,1055472159),('FR',1055472160,1055472383),('NL',1055472384,1055472639),('FR',1055472640,1055473663),('GB',1055473664,1055490047),('PL',1055490048,1055522815),('NL',1055522816,1055588351),('BE',1055588352,1055653887),('FI',1055653888,1055681055),('SE',1055681056,1055681071),('FI',1055681072,1055784959),('NL',1055784960,1055850495),('GB',1055850496,1055916031),('RS',1055916032,1055924223),('LY',1055924224,1055932415),('FI',1055932416,1055940607),('EG',1055940608,1055948799),('DE',1055948800,1055956991),('CZ',1055956992,1055965183),('CH',1055965184,1055973375),('FR',1055973376,1055981567),('IT',1055981568,1055989759),('DE',1055989760,1055995135),('NL',1055995136,1055995391),('DE',1055995392,1055997951),('FR',1055997952,1056014335),('EG',1056014336,1056022527),('GB',1056022528,1056030719),('FI',1056030720,1056047103),('DK',1056047104,1056178175),('UA',1056178176,1056194559),('FR',1056194560,1056210943),('PL',1056210944,1056219135),('GB',1056219136,1056227327),('TR',1056227328,1056243711),('MC',1056243712,1056251903),('GB',1056251904,1056260095),('CZ',1056260096,1056276479),('DE',1056276480,1056374783),('SE',1056374784,1056440319),('TR',1056440320,1056473087),('FI',1056473088,1056505087),('SE',1056505088,1056505107),('FI',1056505108,1056505115),('SE',1056505116,1056505119),('FI',1056505120,1056505343),('SE',1056505344,1056505599),('FI',1056505600,1056505855),('PT',1056505856,1056514047),('IT',1056514048,1056522239),('AT',1056522240,1056538623),('DE',1056538624,1056546815),('NO',1056546816,1056555007),('GB',1056555008,1056571391),('NL',1056571392,1056669695),('MA',1056669696,1056702463),('GB',1056702464,1056874559),('IE',1056874560,1056874567),('GB',1056874568,1056874599),('IE',1056874600,1056874607),('GB',1056874608,1056874639),('IE',1056874640,1056874647),('GB',1056874648,1056874655),('IE',1056874656,1056874679),('GB',1056874680,1056874751),('IE',1056874752,1056874783),('GB',1056874784,1056874919),('IE',1056874920,1056874927),('GB',1056874928,1056874991),('IE',1056874992,1056875007),('GB',1056875008,1056875071),('IE',1056875072,1056875103),('GB',1056875104,1056875111),('IE',1056875112,1056875135),('GB',1056875136,1056875151),('IE',1056875152,1056875167),('GB',1056875168,1056875263),('IE',1056875264,1056875311),('GB',1056875312,1056875615),('IE',1056875616,1056875623),('GB',1056875624,1056875639),('IE',1056875640,1056875671),('GB',1056875672,1056876031),('IE',1056876032,1056876047),('GB',1056876048,1056964607),('US',1056964608,1061227007),('HT',1061227008,1061227263),('BO',1061227264,1061227774),('A2',1061227775,1061227775),('US',1061227776,1061477887),('A2',1061477888,1061478143),('BO',1061478144,1061478399),('A2',1061478400,1061479423),('US',1061479424,1061518015),('A2',1061518016,1061518047),('US',1061518048,1061558271),('PK',1061558272,1061559295),('US',1061559296,1061588735),('GU',1061588736,1061588991),('US',1061588992,1061633567),('CA',1061633568,1061633575),('US',1061633576,1061709343),('GB',1061709344,1061709375),('US',1061709376,1061748991),('PR',1061748992,1061749247),('US',1061749248,1061762047),('FR',1061762048,1061762303),('US',1061762304,1061776479),('CA',1061776480,1061776639),('US',1061776640,1061833855),('PR',1061833856,1061833983),('US',1061833984,1061847711),('FR',1061847712,1061847743),('US',1061847744,1061853695),('GB',1061853696,1061854207),('US',1061854208,1061939711),('JM',1061939712,1061940223),('US',1061940224,1062000319),('PR',1062000320,1062000383),('US',1062000384,1062069247),('PR',1062069248,1062070271),('US',1062070272,1062217983),('EG',1062217984,1062218111),('US',1062218112,1062219519),('IN',1062219520,1062219775),('US',1062219776,1062222975),('PH',1062222976,1062223039),('US',1062223040,1062244311),('PH',1062244312,1062244319),('US',1062244320,1062262783),('PH',1062262784,1062263039),('US',1062263040,1062378767),('CA',1062378768,1062378783),('US',1062378784,1062429695),('PR',1062429696,1062430207),('US',1062430208,1062475935),('GB',1062475936,1062475951),('US',1062475952,1062486271),('MX',1062486272,1062486527),('US',1062486528,1062497791),('FM',1062497792,1062498303),('US',1062498304,1062499303),('CA',1062499304,1062499311),('US',1062499312,1062530047),('EC',1062530048,1062531071),('US',1062531072,1062545919),('CA',1062545920,1062546431),('US',1062546432,1062597375),('PR',1062597376,1062597631),('US',1062597632,1062700695),('CA',1062700696,1062700703),('US',1062700704,1062724543),('IL',1062724544,1062724575),('US',1062724576,1062725103),('IL',1062725104,1062725111),('US',1062725112,1062871551),('PR',1062871552,1062872319),('US',1062872320,1063335422),('CO',1063335423,1063335423),('US',1063335424,1063390207),('PR',1063390208,1063390463),('US',1063390464,1063504191),('MX',1063504192,1063504255),('US',1063504256,1063560687),('CA',1063560688,1063560703),('US',1063560704,1063561231),('CA',1063561232,1063561247),('US',1063561248,1063561263),('CA',1063561264,1063561295),('US',1063561296,1063567359),('A2',1063567360,1063575551),('US',1063575552,1063579999),('CA',1063580000,1063580015),('US',1063580016,1063587631),('CA',1063587632,1063587647),('US',1063587648,1063598847),('CA',1063598848,1063598863),('US',1063598864,1063690239),('PR',1063690240,1063690495),('US',1063690496,1063727615),('GU',1063727616,1063728127),('US',1063728128,1063747583),('A2',1063747584,1063747839),('UG',1063747840,1063748095),('A2',1063748096,1063748607),('GH',1063748608,1063749119),('A2',1063749120,1063749375),('US',1063749376,1063749631),('LR',1063749632,1063749887),('SA',1063749888,1063750143),('NG',1063750144,1063750399),('SA',1063750400,1063750463),('NG',1063750464,1063750527),('US',1063750528,1063750543),('A2',1063750544,1063750559),('US',1063750560,1063750655),('NG',1063750656,1063751679),('US',1063751680,1063752959),('A2',1063752960,1063753215),('US',1063753216,1063895039),('KR',1063895040,1063899135),('US',1063899136,1064064127),('CA',1064064128,1064064191),('US',1064064192,1064124927),('EC',1064124928,1064125695),('US',1064125696,1064125951),('PE',1064125952,1064126207),('US',1064126208,1064126719),('EC',1064126720,1064126975),('US',1064126976,1064127487),('EC',1064127488,1064127999),('US',1064128000,1064170751),('A2',1064170752,1064170799),('NG',1064170800,1064170807),('IN',1064170808,1064170823),('A2',1064170824,1064170831),('IN',1064170832,1064170871),('A2',1064170872,1064170879),('DE',1064170880,1064170911),('A2',1064170912,1064170919),('NG',1064170920,1064170927),('DE',1064170928,1064170943),('A2',1064170944,1064170991),('NG',1064170992,1064170999),('A2',1064171000,1064171007),('NG',1064171008,1064171135),('IN',1064171136,1064171263),('NG',1064171264,1064171551),('TZ',1064171552,1064171559),('A2',1064171560,1064171575),('PK',1064171576,1064171583),('A2',1064171584,1064171607),('PK',1064171608,1064171615),('GH',1064171616,1064171631),('A2',1064171632,1064171647),('NG',1064171648,1064171775),('A2',1064171776,1064171799),('IN',1064171800,1064171815),('A2',1064171816,1064171823),('IN',1064171824,1064171839),('A2',1064171840,1064171855),('TZ',1064171856,1064171871),('A2',1064171872,1064171903),('NG',1064171904,1064171911),('A2',1064171912,1064171919),('PK',1064171920,1064171927),('A2',1064171928,1064171935),('NG',1064171936,1064171967),('A2',1064171968,1064172031),('US',1064172032,1064178687),('ID',1064178688,1064178815),('US',1064178816,1064204287),('MX',1064204288,1064205311),('US',1064205312,1064211839),('PH',1064211840,1064211967),('US',1064211968,1064221951),('MX',1064221952,1064222207),('US',1064222208,1064231023),('CA',1064231024,1064231039),('US',1064231040,1064402687),('CA',1064402688,1064402751),('US',1064402752,1064445183),('PK',1064445184,1064445439),('US',1064445440,1064650751),('EC',1064650752,1064651775),('US',1064651776,1064973055),('AU',1064973056,1064973183),('US',1064973184,1065034087),('IL',1065034088,1065034103),('US',1065034104,1065519359),('CA',1065519360,1065519487),('US',1065519488,1065806947),('TH',1065806948,1065806957),('US',1065806958,1065811967),('CA',1065811968,1065820159),('US',1065820160,1065873407),('PR',1065873408,1065877503),('US',1065877504,1065906175),('KY',1065906176,1065908223),('US',1065908224,1066139647),('US',1066203904,1066204031),('US',1066401792,1066404607),('A2',1066404608,1066404863),('US',1066404864,1066529919),('CA',1066529920,1066530047),('US',1066530048,1066584063),('PE',1066584064,1066586111),('US',1066586112,1066604927),('CA',1066604928,1066604959),('US',1066604960,1066627335),('CA',1066627336,1066627343),('US',1066627344,1066718559),('PR',1066718560,1066718591),('US',1066718592,1066733247),('CA',1066733248,1066733279),('US',1066733280,1066736447),('NO',1066736448,1066736479),('US',1066736480,1066828063),('HK',1066828064,1066828127),('US',1066828128,1066828151),('CN',1066828152,1066828159),('US',1066828160,1066828255),('HK',1066828256,1066828287),('US',1066828288,1066829311),('HK',1066829312,1066829567),('US',1066829568,1066830079),('SI',1066830080,1066830111),('US',1066830112,1066830119),('CA',1066830120,1066830127),('US',1066830128,1066830207),('SG',1066830208,1066830271),('US',1066830272,1066830287),('SG',1066830288,1066830303),('CA',1066830304,1066830311),('SG',1066830312,1066830591),('US',1066830592,1066830719),('SG',1066830720,1066830751),('US',1066830752,1066830783),('SG',1066830784,1066830807),('US',1066830808,1066830815),('SG',1066830816,1066830847),('JP',1066830848,1066830972),('US',1066830973,1066830983),('JP',1066830984,1066830999),('US',1066831000,1066831039),('JP',1066831040,1066831087),('US',1066831088,1066831199),('JP',1066831200,1066831231),('US',1066831232,1066832527),('CA',1066832528,1066832543),('US',1066832544,1066898783),('CO',1066898784,1066898815),('US',1066898816,1067473471),('CA',1067473472,1067473535),('US',1067473536,1067474751),('NL',1067474752,1067474767),('US',1067474768,1067481855),('CA',1067481856,1067482111),('US',1067482112,1067494847),('CA',1067494848,1067494879),('US',1067494880,1067503615),('CA',1067503616,1067503743),('US',1067503744,1067532287),('HN',1067532288,1067532799),('US',1067532800,1067537959),('GB',1067537960,1067537967),('US',1067537968,1067552511),('PR',1067552512,1067552767),('US',1067552768,1067562495),('SL',1067562496,1067562751),('US',1067562752,1067573247),('SG',1067573248,1067573255),('US',1067573256,1067575295),('HN',1067575296,1067577343),('US',1067577344,1067590111),('CA',1067590112,1067590143),('US',1067590144,1067593983),('PR',1067593984,1067594239),('US',1067594240,1067617791),('CN',1067617792,1067618047),('US',1067618048,1067618111),('PR',1067618112,1067618175),('US',1067618176,1067621375),('PR',1067621376,1067621631),('US',1067621632,1067625967),('CH',1067625968,1067625983),('US',1067625984,1067653255),('PR',1067653256,1067653263),('US',1067653264,1067693055),('CO',1067693056,1067693567),('US',1067693568,1067700735),('AN',1067700736,1067701247),('US',1067701248,1067726847),('EC',1067726848,1067727359),('US',1067727360,1067736831),('PR',1067736832,1067737087),('US',1067737088,1067740159),('HN',1067740160,1067741183),('US',1067741184,1067751871),('PR',1067751872,1067751887),('US',1067751888,1067762815),('CA',1067762816,1067762831),('US',1067762832,1067780607),('GB',1067780608,1067780863),('US',1067780864,1067808783),('GB',1067808784,1067808799),('US',1067808800,1067822863),('CA',1067822864,1067822871),('US',1067822872,1067824895),('PR',1067824896,1067825151),('US',1067825152,1067838463),('IT',1067838464,1067838591),('US',1067838592,1067856575),('CO',1067856576,1067856607),('US',1067856608,1067863807),('CA',1067863808,1067863935),('US',1067863936,1067894071),('PR',1067894072,1067894079),('US',1067894080,1067908295),('CH',1067908296,1067908303),('US',1067908304,1067909023),('SG',1067909024,1067909039),('US',1067909040,1067914655),('CA',1067914656,1067914751),('US',1067914752,1067918879),('NL',1067918880,1067918887),('US',1067918888,1067923231),('CA',1067923232,1067923239),('US',1067923240,1067934911),('CN',1067934912,1067934927),('PR',1067934928,1067934935),('US',1067934936,1067977895),('CA',1067977896,1067977903),('US',1067977904,1067978751),('PR',1067978752,1067979007),('US',1067979008,1067989247),('EC',1067989248,1067989503),('US',1067989504,1067998463),('CO',1067998464,1067998719),('US',1067998720,1068004351),('CA',1068004352,1068004607),('US',1068004608,1068017663),('YE',1068017664,1068018175),('US',1068018176,1068070887),('CA',1068070888,1068070895),('US',1068070896,1068083455),('PR',1068083456,1068083711),('US',1068083712,1068096415),('CA',1068096416,1068096447),('US',1068096448,1068119407),('DE',1068119408,1068119423),('US',1068119424,1068171951),('PR',1068171952,1068171967),('US',1068171968,1068175871),('YE',1068175872,1068176383),('US',1068176384,1068179487),('PR',1068179488,1068179503),('US',1068179504,1068198879),('IN',1068198880,1068198911),('US',1068198912,1068199935),('CA',1068199936,1068204031),('US',1068204032,1068230655),('CO',1068230656,1068230911),('US',1068230912,1068239935),('PR',1068239936,1068239999),('US',1068240000,1068284735),('CA',1068284736,1068284743),('US',1068284744,1068284751),('DK',1068284752,1068284759),('US',1068284760,1068326911),('EC',1068326912,1068327167),('US',1068327168,1068346367),('YE',1068346368,1068346879),('US',1068346880,1068362863),('GB',1068362864,1068362879),('US',1068362880,1068419071),('CO',1068419072,1068421119),('US',1068421120,1068425983),('EC',1068425984,1068426239),('US',1068426240,1068462079),('PR',1068462080,1068462335),('US',1068462336,1068478591),('PR',1068478592,1068478607),('US',1068478608,1068480159),('IN',1068480160,1068480191),('US',1068480192,1068480431),('SE',1068480432,1068480447),('US',1068480448,1068481023),('PR',1068481024,1068481535),('US',1068481536,1068491263),('HN',1068491264,1068491519),('US',1068491520,1070499559),('PR',1070499560,1070499567),('US',1070499568,1070729471),('CA',1070729472,1070729727),('US',1070729728,1070805559),('VG',1070805560,1070805567),('US',1070805568,1071100159),('PR',1071100160,1071100415),('US',1071100416,1071100927),('PR',1071100928,1071101951),('US',1071101952,1071309407),('HK',1071309408,1071309439),('US',1071309440,1071309471),('HK',1071309472,1071309503),('US',1071309504,1071309695),('HK',1071309696,1071309727),('US',1071309728,1071362079),('HK',1071362080,1071362111),('US',1071362112,1071362207),('HK',1071362208,1071362239),('US',1071362240,1072437567),('CA',1072437568,1072437631),('US',1072437632,1072440639),('CA',1072440640,1072440671),('US',1072440672,1072445631),('AU',1072445632,1072445663),('US',1072445664,1072512951),('CA',1072512952,1072512959),('US',1072512960,1072680623),('CA',1072680624,1072680631),('US',1072680632,1072697639),('IL',1072697640,1072697647),('US',1072697648,1072707327),('IN',1072707328,1072707583),('US',1072707584,1072727039),('JM',1072727040,1072727047),('US',1072727048,1072727215),('JM',1072727216,1072727223),('US',1072727224,1072735871),('CA',1072735872,1072735999),('US',1072736000,1072777631),('TW',1072777632,1072777647),('US',1072777648,1072922623),('PH',1072922624,1072922879),('PK',1072922880,1072923135),('CA',1072923136,1072923391),('US',1072923392,1072923903),('CA',1072923904,1072924159),('HT',1072924160,1072924671),('CA',1072924672,1072924927),('US',1072924928,1072925183),('CA',1072925184,1072926207),('US',1072926208,1072926471),('CA',1072926472,1072926527),('US',1072926528,1072926591),('LC',1072926592,1072926655),('CA',1072926656,1072926719),('PH',1072926720,1072926975),('CA',1072926976,1072927487),('US',1072927488,1072927999),('AF',1072928000,1072928031),('CA',1072928032,1072928047),('IE',1072928048,1072928063),('US',1072928064,1072928095),('CA',1072928096,1072928127),('US',1072928128,1072928255),('CA',1072928256,1072928263),('AF',1072928264,1072928287),('CA',1072928288,1072928295),('US',1072928296,1072928303),('CA',1072928304,1072928319),('US',1072928320,1072928447),('CA',1072928448,1072930047),('HK',1072930048,1072930303),('CA',1072930304,1072931071),('US',1072931072,1072931327),('CA',1072931328,1072931583),('SY',1072931584,1072931839),('CA',1072931840,1072932607),('NG',1072932608,1072932863),('CA',1072932864,1072934399),('PH',1072934400,1072934655),('US',1072934656,1072934783),('AU',1072934784,1072934847),('CA',1072934848,1072934879),('TW',1072934880,1072934911),('CA',1072934912,1072934943),('PH',1072934944,1072934975),('US',1072934976,1072935135),('CA',1072935136,1072935159),('US',1072935160,1072935167),('CA',1072935168,1072935679),('PH',1072935680,1072935807),('CA',1072935808,1072935871),('US',1072935872,1072935935),('CA',1072935936,1072936191),('US',1072936192,1072936447),('PH',1072936448,1072936959),('US',1072936960,1072937215),('IR',1072937216,1072937471),('CA',1072937472,1072937727),('US',1072937728,1072937983),('CA',1072937984,1072938239),('VG',1072938240,1072938495),('CA',1072938496,1072938751),('US',1072938752,1072939007),('CA',1072939008,1072955391),('US',1072955392,1073022975),('HN',1073022976,1073025791),('NI',1073025792,1073026047),('US',1073026048,1073026303),('DO',1073026304,1073026431),('US',1073026432,1073027071),('NI',1073027072,1073028351),('US',1073028352,1073029119),('PR',1073029120,1073031167),('US',1073031168,1073031231),('AN',1073031232,1073031263),('US',1073031264,1073031423),('AN',1073031424,1073031935),('US',1073031936,1073033215),('AN',1073033216,1073035263),('US',1073035264,1073036543),('MX',1073036544,1073037055),('AN',1073037056,1073037311),('CO',1073037312,1073037823),('US',1073037824,1073039359),('GT',1073039360,1073041407),('CO',1073041408,1073043455),('HN',1073043456,1073045503),('CO',1073045504,1073047551),('PR',1073047552,1073049599),('BS',1073049600,1073053695),('US',1073053696,1073090269),('PE',1073090270,1073090300),('US',1073090301,1073091397),('CH',1073091398,1073091407),('US',1073091408,1073092335),('CA',1073092336,1073092351),('US',1073092352,1073093646),('PE',1073093647,1073093654),('US',1073093655,1073094557),('IT',1073094558,1073094570),('US',1073094571,1073094655),('US',1073098752,1073119261),('TR',1073119262,1073119271),('US',1073119272,1073119291),('ES',1073119292,1073119311),('US',1073119312,1073119351),('GR',1073119352,1073119361),('US',1073119362,1073119381),('TR',1073119382,1073119391),('US',1073119392,1073119401),('AT',1073119402,1073119411),('US',1073119412,1073119517),('NL',1073119518,1073119527),('US',1073119528,1073119537),('MX',1073119538,1073119547),('US',1073119548,1073119577),('VE',1073119578,1073119587),('AR',1073119588,1073119597),('US',1073119598,1073119627),('IR',1073119628,1073119637),('US',1073119638,1073119657),('BR',1073119658,1073119667),('US',1073119668,1073119677),('ES',1073119678,1073119687),('US',1073119688,1073119753),('DE',1073119754,1073119763),('US',1073119764,1073119853),('EG',1073119854,1073119863),('FR',1073119864,1073119873),('BA',1073119874,1073119883),('SG',1073119884,1073119893),('US',1073119894,1073119903),('ES',1073119904,1073119913),('DE',1073119914,1073119933),('AU',1073119934,1073119943),('ES',1073119944,1073119953),('US',1073119954,1073120079),('RO',1073120080,1073120089),('DE',1073120090,1073120099),('PT',1073120100,1073120109),('SA',1073120110,1073120119),('US',1073120120,1073120179),('DE',1073120180,1073120189),('US',1073120190,1073120265),('VE',1073120266,1073120275),('HM',1073120276,1073120285),('CN',1073120286,1073120295),('GB',1073120296,1073120325),('BR',1073120326,1073120335),('US',1073120336,1073120345),('BR',1073120346,1073120375),('US',1073120376,1073120445),('AU',1073120446,1073120455),('NL',1073120456,1073120465),('US',1073120466,1073120631),('CN',1073120632,1073120639),('US',1073120640,1073121459),('HK',1073121460,1073121469),('US',1073121470,1073121545),('IN',1073121546,1073121555),('US',1073121556,1073121575),('AU',1073121576,1073121585),('US',1073121586,1073121655),('DE',1073121656,1073121665),('UA',1073121666,1073121675),('BR',1073121676,1073121685),('SA',1073121686,1073121695),('GB',1073121696,1073121715),('US',1073121716,1073121725),('CY',1073121726,1073121735),('US',1073121736,1073121821),('DE',1073121822,1073121831),('US',1073121832,1073121841),('NZ',1073121842,1073121851),('US',1073121852,1073121861),('NL',1073121862,1073121871),('US',1073121872,1073121911),('HM',1073121912,1073121921),('US',1073121922,1073121931),('ES',1073121932,1073121941),('US',1073121942,1073122579),('TR',1073122580,1073122589),('US',1073122590,1073122639),('GB',1073122640,1073122649),('US',1073122650,1073123397),('GB',1073123398,1073123407),('US',1073123408,1073123437),('UY',1073123438,1073123447),('ES',1073123448,1073123457),('US',1073123458,1073123593),('ES',1073123594,1073123603),('US',1073123604,1073123613),('TR',1073123614,1073123623),('ES',1073123624,1073123633),('US',1073123634,1073123653),('ES',1073123654,1073123663),('US',1073123664,1073123723),('DE',1073123724,1073123733),('US',1073123734,1073123753),('RU',1073123754,1073123763),('US',1073123764,1073123849),('ES',1073123850,1073123859),('IL',1073123860,1073123869),('US',1073123870,1073123909),('RU',1073123910,1073123929),('US',1073123930,1073123969),('DM',1073123970,1073123979),('LV',1073123980,1073123989),('US',1073123990,1073123999),('MX',1073124000,1073124009),('US',1073124010,1073124039),('ID',1073124040,1073124049),('US',1073124050,1073124105),('DE',1073124106,1073124115),('RU',1073124116,1073124125),('US',1073124126,1073124165),('RU',1073124166,1073124185),('US',1073124186,1073124195),('BR',1073124196,1073124215),('US',1073124216,1073124225),('ES',1073124226,1073124235),('US',1073124236,1073124255),('ES',1073124256,1073124265),('US',1073124266,1073124295),('RU',1073124296,1073124305),('DE',1073124306,1073124315),('US',1073124316,1073124987),('ES',1073124988,1073124995),('US',1073124996,1073125087),('AU',1073125088,1073125103),('US',1073125104,1073125223),('MX',1073125224,1073125231),('US',1073125232,1073125247),('BR',1073125248,1073125255),('US',1073125256,1073125279),('IN',1073125280,1073125287),('US',1073125288,1073125343),('SG',1073125344,1073125373),('US',1073125374,1073125735),('JO',1073125736,1073125743),('US',1073125744,1073126007),('SG',1073126008,1073126015),('US',1073126016,1073126271),('SA',1073126272,1073126279),('US',1073126280,1073126327),('CN',1073126328,1073126337),('US',1073126338,1073126911),('GB',1073126912,1073127167),('US',1073127168,1073217535),('US',1073283072,1073373183),('CA',1073373184,1073381375),('US',1073381376,1073381399),('NL',1073381400,1073381463),('US',1073381464,1073381471),('NL',1073381472,1073381887),('US',1073381888,1073382687),('CA',1073382688,1073382695),('US',1073382696,1073382815),('CR',1073382816,1073382847),('US',1073382848,1073382855),('BR',1073382856,1073382863),('US',1073382864,1073382879),('AR',1073382880,1073382911),('US',1073382912,1073382959),('CA',1073382960,1073382975),('US',1073382976,1073383519),('SV',1073383520,1073383551),('US',1073383552,1073383727),('CA',1073383728,1073383735),('US',1073383736,1073383839),('VE',1073383840,1073383871),('US',1073383872,1073384191),('BR',1073384192,1073384223),('US',1073384224,1073384255),('CA',1073384256,1073384287),('BR',1073384288,1073384295),('US',1073384296,1073384511),('CA',1073384512,1073384575),('US',1073384576,1073384607),('BR',1073384608,1073384639),('US',1073384640,1073384711),('CL',1073384712,1073384719),('US',1073384720,1073384775),('CA',1073384776,1073384783),('US',1073384784,1073384879),('CA',1073384880,1073384887),('US',1073384888,1073385087),('CA',1073385088,1073385095),('US',1073385096,1073385151),('BR',1073385152,1073385183),('US',1073385184,1073385279),('BR',1073385280,1073385311),('US',1073385312,1073389575),('CA',1073389576,1073389583),('US',1073389584,1073389599),('GB',1073389600,1073389631),('US',1073389632,1073389783),('CL',1073389784,1073389791),('US',1073389792,1073390207),('CA',1073390208,1073390215),('US',1073390216,1073393887),('CO',1073393888,1073393895),('US',1073393896,1073393911),('CO',1073393912,1073393919),('US',1073393920,1073394191),('MX',1073394192,1073394207),('CA',1073394208,1073394239),('MX',1073394240,1073394247),('US',1073394248,1073394255),('MX',1073394256,1073394271),('US',1073394272,1073394279),('MX',1073394280,1073394287),('US',1073394288,1073394295),('MX',1073394296,1073394303),('AR',1073394304,1073394311),('US',1073394312,1073394439),('MX',1073394440,1073394463),('US',1073394464,1073394495),('MX',1073394496,1073394503),('US',1073394504,1073394543),('MX',1073394544,1073394559),('US',1073394560,1073394591),('AF',1073394592,1073394623),('US',1073394624,1073394719),('BR',1073394720,1073394751),('AR',1073394752,1073394767),('US',1073394768,1073394799),('CA',1073394800,1073394807),('US',1073394808,1073395183),('AR',1073395184,1073395191),('US',1073395192,1073395239),('BR',1073395240,1073395247),('US',1073395248,1073395391),('AF',1073395392,1073395399),('CA',1073395400,1073395407),('PR',1073395408,1073395423),('US',1073395424,1073395967),('BR',1073395968,1073395999),('US',1073396000,1073396191),('CA',1073396192,1073396207),('BR',1073396208,1073396215),('US',1073396216,1073396751),('BR',1073396752,1073396831),('US',1073396832,1073396863),('CA',1073396864,1073396895),('US',1073396896,1073396911),('CA',1073396912,1073396919),('BR',1073396920,1073396927),('VE',1073396928,1073396935),('US',1073396936,1073396959),('CA',1073396960,1073396991),('US',1073396992,1073425559),('CA',1073425560,1073425567),('US',1073425568,1073426559),('AU',1073426560,1073426623),('US',1073426624,1073435583),('CA',1073435584,1073435647),('US',1073435648,1073438207),('A2',1073438208,1073438463),('US',1073438464,1073448927),('IL',1073448928,1073448959),('US',1073448960,1073450399),('GB',1073450400,1073450431),('US',1073450432,1073464799),('IL',1073464800,1073464831),('US',1073464832,1074020351),('CA',1074020352,1074028543),('US',1074028544,1074085887),('US',1074102272,1074118655),('CA',1074118656,1074120703),('US',1074120704,1074120719),('CA',1074120720,1074120959),('US',1074120960,1074121215),('CA',1074121216,1074122415),('US',1074122416,1074122431),('CA',1074122432,1074125055),('US',1074125056,1074125311),('CA',1074125312,1074126847),('US',1074126848,1074127359),('CA',1074127360,1074128511),('US',1074128512,1074128575),('CA',1074128576,1074130943),('US',1074130944,1074131199),('CA',1074131200,1074135039),('US',1074135040,1074184191),('CA',1074184192,1074188287),('US',1074188288,1074233343),('CA',1074233344,1074241535),('US',1074241536,1074397439),('CA',1074397440,1074399039),('US',1074399040,1074399231),('CA',1074399232,1074408319),('US',1074408320,1074408447),('CA',1074408448,1074462463),('US',1074462464,1074463743),('CA',1074463744,1074493695),('US',1074493696,1074493823),('CA',1074493824,1074494719),('US',1074494720,1074495743),('CA',1074495744,1074513407),('US',1074513408,1074672367),('DK',1074672368,1074672383),('US',1074672384,1074672671),('IN',1074672672,1074672703),('US',1074672704,1074672943),('DK',1074672944,1074672959),('US',1074672960,1074673663),('CY',1074673664,1074673679),('US',1074673680,1074675311),('NO',1074675312,1074675327),('US',1074675328,1074676735),('HK',1074676736,1074676991),('US',1074676992,1074677759),('BG',1074677760,1074678271),('HK',1074678272,1074678527),('US',1074678528,1074680623),('CA',1074680624,1074680639),('US',1074680640,1074680703),('IL',1074680704,1074680719),('US',1074680720,1074681263),('CA',1074681264,1074681279),('US',1074681280,1074681343),('CA',1074681344,1074681359),('US',1074681360,1074682687),('CA',1074682688,1074682751),('US',1074682752,1074683023),('CA',1074683024,1074683039),('US',1074683040,1074683807),('CA',1074683808,1074683839),('US',1074683840,1074690895),('AR',1074690896,1074690911),('US',1074690912,1074690943),('AR',1074690944,1074691007),('US',1074691008,1074691135),('AR',1074691136,1074691199),('US',1074691200,1074696063),('AU',1074696064,1074696095),('US',1074696096,1074708991),('PH',1074708992,1074709247),('US',1074709248,1074711039),('IN',1074711040,1074711055),('US',1074711056,1074716679),('GB',1074716680,1074716687),('US',1074716688,1074716719),('GB',1074716720,1074716735),('US',1074716736,1074717247),('IT',1074717248,1074717263),('US',1074717264,1074733055),('AU',1074733056,1074737151),('CA',1074737152,1074745343),('US',1074745344,1074757631),('CA',1074757632,1074757695),('US',1074757696,1074757719),('CA',1074757720,1074757743),('US',1074757744,1074757759),('CA',1074757760,1074757799),('PH',1074757800,1074757807),('CA',1074757808,1074758423),('VG',1074758424,1074758431),('IR',1074758432,1074758439),('CA',1074758440,1074758447),('US',1074758448,1074758455),('CA',1074758456,1074758479),('PK',1074758480,1074758487),('CA',1074758488,1074758495),('FR',1074758496,1074758511),('CA',1074758512,1074758575),('US',1074758576,1074758583),('CA',1074758584,1074758599),('US',1074758600,1074758623),('AU',1074758624,1074758631),('CA',1074758632,1074758831),('VG',1074758832,1074758839),('CA',1074758840,1074758871),('FR',1074758872,1074758879),('CA',1074758880,1074758959),('US',1074758960,1074758975),('CA',1074758976,1074759031),('US',1074759032,1074759039),('FR',1074759040,1074759055),('CA',1074759056,1074759095),('US',1074759096,1074759103),('CA',1074759104,1074759111),('US',1074759112,1074759119),('CA',1074759120,1074759191),('GT',1074759192,1074759199),('CA',1074759200,1074759255),('FR',1074759256,1074759263),('CA',1074759264,1074759343),('US',1074759344,1074759351),('CA',1074759352,1074759367),('SN',1074759368,1074759375),('CA',1074759376,1074759407),('GB',1074759408,1074759415),('CA',1074759416,1074759423),('GB',1074759424,1074759431),('CA',1074759432,1074759511),('US',1074759512,1074759519),('CA',1074759520,1074759551),('DE',1074759552,1074759583),('CA',1074759584,1074759623),('RO',1074759624,1074759631),('US',1074759632,1074759639),('CA',1074759640,1074759671),('VG',1074759672,1074759679),('CA',1074759680,1074759967),('VG',1074759968,1074759975),('CA',1074759976,1074760007),('AU',1074760008,1074760015),('CA',1074760016,1074760023),('FR',1074760024,1074760031),('CA',1074760032,1074760175),('GB',1074760176,1074760191),('CA',1074760192,1074760479),('BR',1074760480,1074760487),('CA',1074760488,1074760535),('IE',1074760536,1074760543),('CA',1074760544,1074760591),('US',1074760592,1074760607),('CA',1074760608,1074760743),('GB',1074760744,1074760751),('CA',1074760752,1074760767),('DK',1074760768,1074760783),('CA',1074760784,1074760791),('MX',1074760792,1074760799),('CA',1074760800,1074760887),('DK',1074760888,1074760895),('CA',1074760896,1074761031),('SG',1074761032,1074761039),('CA',1074761040,1074761047),('US',1074761048,1074761055),('CA',1074761056,1074761103),('MX',1074761104,1074761111),('CA',1074761112,1074761167),('MX',1074761168,1074761175),('CA',1074761176,1074761215),('US',1074761216,1074761479),('CA',1074761480,1074761519),('US',1074761520,1074761535),('CA',1074761536,1074761551),('GB',1074761552,1074761559),('CA',1074761560,1074761567),('IR',1074761568,1074761575),('PK',1074761576,1074761583),('CA',1074761584,1074761607),('GB',1074761608,1074761615),('CA',1074761616,1074761671),('GB',1074761672,1074761679),('CA',1074761680,1074761815),('US',1074761816,1074761823),('CA',1074761824,1074761839),('GB',1074761840,1074761847),('CA',1074761848,1074761871),('DK',1074761872,1074761887),('GB',1074761888,1074761895),('CA',1074761896,1074761919),('US',1074761920,1074761927),('CA',1074761928,1074762047),('US',1074762048,1074762111),('CA',1074762112,1074762815),('US',1074762816,1074762823),('CA',1074762824,1074762863),('BZ',1074762864,1074762871),('CA',1074762872,1074762943),('US',1074762944,1074762959),('CA',1074762960,1074763055),('US',1074763056,1074763063),('AU',1074763064,1074763071),('CA',1074763072,1074763095),('AU',1074763096,1074763103),('CA',1074763104,1074763167),('CO',1074763168,1074763175),('CA',1074763176,1074763319),('AU',1074763320,1074763327),('CA',1074763328,1074763367),('ES',1074763368,1074763375),('CA',1074763376,1074763447),('PT',1074763448,1074763455),('CA',1074763456,1074763479),('US',1074763480,1074763487),('CA',1074763488,1074763503),('US',1074763504,1074763519),('CA',1074763520,1074764031),('IR',1074764032,1074764047),('CA',1074764048,1074764079),('US',1074764080,1074764087),('CA',1074764088,1074764095),('US',1074764096,1074764103),('CA',1074764104,1074764111),('AE',1074764112,1074764119),('CA',1074764120,1074764191),('SG',1074764192,1074764199),('CA',1074764200,1074764223),('IT',1074764224,1074764239),('CA',1074764240,1074764383),('SE',1074764384,1074764391),('CA',1074764392,1074764447),('FR',1074764448,1074764455),('BZ',1074764456,1074764463),('CA',1074764464,1074764471),('AE',1074764472,1074764479),('CA',1074764480,1074764503),('US',1074764504,1074764511),('CA',1074764512,1074764519),('SA',1074764520,1074764527),('CA',1074764528,1074764799),('US',1074764800,1074764831),('CA',1074764832,1074764863),('US',1074764864,1074764991),('CA',1074764992,1074765103),('US',1074765104,1074765119),('CA',1074765120,1074765823),('US',1074765824,1074783167),('CA',1074783168,1074783199),('US',1074783200,1074860031),('US',1074864128,1074871583),('CA',1074871584,1074871615),('US',1074871616,1074937855),('CA',1074937856,1074946047),('US',1074946048,1074962431),('CA',1074962432,1074970623),('US',1074970624,1075073023),('CA',1075073024,1075077119),('US',1075077120,1075421183),('CA',1075421184,1075429375),('US',1075429376,1075478527),('CA',1075478528,1075479103),('GB',1075479104,1075479111),('CA',1075479112,1075479135),('US',1075479136,1075479151),('CA',1075479152,1075479279),('US',1075479280,1075479295),('CA',1075479296,1075479607),('US',1075479608,1075479615),('CA',1075479616,1075480463),('US',1075480464,1075480479),('CA',1075480480,1075480975),('US',1075480976,1075480991),('CA',1075480992,1075481599),('US',1075481600,1075481607),('CA',1075481608,1075482047),('US',1075482048,1075482079),('CA',1075482080,1075482951),('US',1075482952,1075482959),('CA',1075482960,1075483903),('US',1075483904,1075483919),('CA',1075483920,1075484047),('US',1075484048,1075484063),('CA',1075484064,1075484287),('US',1075484288,1075484415),('CA',1075484416,1075494911),('US',1075494912,1075513151),('KW',1075513152,1075513183),('US',1075513184,1075532663),('IT',1075532664,1075532673),('US',1075532674,1075576831),('NO',1075576832,1075576967),('GB',1075576968,1075576975),('NO',1075576976,1075576991),('GB',1075576992,1075577023),('NO',1075577024,1075577087),('GB',1075577088,1075577103),('NO',1075577104,1075577311),('GB',1075577312,1075577599),('NO',1075577600,1075577775),('GB',1075577776,1075577791),('NO',1075577792,1075577855),('GB',1075577856,1075578111),('NO',1075578112,1075578623),('GB',1075578624,1075578879),('NO',1075578880,1075578935),('GB',1075578936,1075578943),('NO',1075578944,1075579055),('GB',1075579056,1075579059),('NO',1075579060,1075581295),('NL',1075581296,1075581311),('NO',1075581312,1075581495),('NL',1075581496,1075581499),('NO',1075581500,1075582615),('NL',1075582616,1075582623),('NO',1075582624,1075583119),('NL',1075583120,1075583123),('NO',1075583124,1075583147),('NL',1075583148,1075583151),('NO',1075583152,1075583503),('NL',1075583504,1075583519),('NO',1075583520,1075583903),('NL',1075583904,1075583911),('NO',1075583912,1075584071),('NL',1075584072,1075584095),('NO',1075584096,1075584695),('NL',1075584696,1075584711),('NO',1075584712,1075585023),('US',1075585024,1075589119),('US',1075593216,1075593967),('CA',1075593968,1075593983),('US',1075593984,1075594975),('CA',1075594976,1075594991),('US',1075594992,1075595343),('CA',1075595344,1075595359),('US',1075595360,1075596031),('CA',1075596032,1075596047),('US',1075596048,1075596831),('CA',1075596832,1075596847),('US',1075596848,1075597023),('CA',1075597024,1075597039),('US',1075597040,1075597167),('CA',1075597168,1075597183),('US',1075597184,1075597375),('CA',1075597376,1075597407),('IL',1075597408,1075597439),('US',1075597440,1075597551),('CA',1075597552,1075597599),('US',1075597600,1075598367),('CA',1075598368,1075598383),('US',1075598384,1075598943),('CA',1075598944,1075598991),('US',1075598992,1075599007),('CA',1075599008,1075599039),('US',1075599040,1075599471),('IL',1075599472,1075599487),('US',1075599488,1075601279),('CA',1075601280,1075601295),('US',1075601296,1075609599),('TT',1075609600,1075613695),('US',1075613696,1075855359),('DO',1075855360,1075871743),('US',1075871744,1075970047),('CA',1075970048,1075972095),('GB',1075972096,1075972351),('US',1075972352,1075976191),('CA',1075976192,1075976479),('US',1075976480,1075976543),('CA',1075976544,1075976687),('US',1075976688,1075976695),('CA',1075976696,1075977023),('US',1075977024,1075977039),('CA',1075977040,1075977055),('US',1075977056,1075977087),('CA',1075977088,1075977199),('US',1075977200,1075977215),('CA',1075977216,1075978239),('US',1075978240,1075979551),('CA',1075979552,1075979583),('US',1075979584,1075980575),('GB',1075980576,1075980591),('US',1075980592,1075981471),('CA',1075981472,1075981487),('US',1075981488,1075981535),('LK',1075981536,1075981567),('US',1075981568,1075982335),('CA',1075982336,1075982591),('US',1075982592,1075982599),('NZ',1075982600,1075982607),('US',1075982608,1075982623),('GB',1075982624,1075982655),('US',1075982656,1075982671),('CA',1075982672,1075982687),('US',1075982688,1075982703),('CA',1075982704,1075982719),('US',1075982720,1075982735),('CA',1075982736,1075982751),('MX',1075982752,1075982783),('US',1075982784,1075982799),('CA',1075982800,1075982831),('US',1075982832,1075982847),('CA',1075982848,1075983183),('US',1075983184,1075983231),('CA',1075983232,1075984383),('US',1075984384,1075984823),('CA',1075984824,1075984831),('US',1075984832,1075985919),('CA',1075985920,1075986431),('US',1075986432,1075986687),('CA',1075986688,1075986943),('US',1075986944,1075987199),('CA',1075987200,1075987455),('US',1075987456,1075987711),('CA',1075987712,1075987967),('US',1075987968,1075988223),('CA',1075988224,1075988479),('US',1075988480,1075988735),('CA',1075988736,1075988991),('US',1075988992,1075989247),('FI',1075989248,1075989311),('CA',1075989312,1075989359),('US',1075989360,1075989375),('CA',1075989376,1075989791),('US',1075989792,1075989823),('CA',1075989824,1075990527),('US',1075990528,1075991551),('CA',1075991552,1075991583),('US',1075991584,1075991647),('IQ',1075991648,1075991663),('US',1075991664,1075992319),('GB',1075992320,1075992447),('US',1075992448,1075993087),('CA',1075993088,1075993103),('US',1075993104,1075994623),('CA',1075994624,1075994879),('US',1075994880,1075995047),('CA',1075995048,1075995055),('US',1075995056,1075995135),('CA',1075995136,1075995263),('US',1075995264,1075995295),('CA',1075995296,1075995326),('US',1075995327,1075995343),('CA',1075995344,1075995479),('US',1075995480,1075995487),('CA',1075995488,1075995503),('MX',1075995504,1075995519),('CA',1075995520,1075995567),('CN',1075995568,1075995583),('CA',1075995584,1075996671),('US',1075996672,1075996751),('CA',1075996752,1075996767),('BV',1075996768,1075996799),('CA',1075996800,1075997119),('MX',1075997120,1075997183),('CA',1075997184,1075997519),('US',1075997520,1075997535),('CA',1075997536,1075997695),('CR',1075997696,1075997823),('US',1075997824,1075997951),('CA',1075997952,1075998207),('US',1075998208,1075998335),('CA',1075998336,1075998351),('US',1075998352,1075998399),('CA',1075998400,1075998719),('US',1075998720,1075999999),('CA',1076000000,1076000255),('US',1076000256,1076000767),('CA',1076000768,1076002047),('US',1076002048,1076002823),('CA',1076002824,1076002831),('US',1076002832,1076002879),('CA',1076002880,1076002975),('US',1076002976,1076003007),('CA',1076003008,1076003055),('US',1076003056,1076003071),('CA',1076003072,1076003327),('US',1076003328,1076003359),('CA',1076003360,1076003375),('US',1076003376,1076003519),('CA',1076003520,1076003535),('US',1076003536,1076003551),('CA',1076003552,1076004367),('US',1076004368,1076004423),('CA',1076004424,1076004431),('US',1076004432,1076004471),('CA',1076004472,1076004479),('US',1076004480,1076004559),('CA',1076004560,1076004591),('US',1076004592,1076004703),('CA',1076004704,1076005119),('US',1076005120,1076005263),('CA',1076005264,1076005279),('US',1076005280,1076005375),('CA',1076005376,1076005887),('US',1076005888,1076006015),('CA',1076006016,1076006047),('US',1076006048,1076006079),('CA',1076006080,1076006111),('US',1076006112,1076006383),('CA',1076006384,1076006655),('US',1076006656,1076006751),('CA',1076006752,1076006783),('US',1076006784,1076006911),('CA',1076006912,1076007167),('US',1076007168,1076007183),('CA',1076007184,1076007247),('US',1076007248,1076007263),('CA',1076007264,1076007391),('US',1076007392,1076007423),('CA',1076007424,1076008255),('US',1076008256,1076008319),('CA',1076008320,1076009631),('US',1076009632,1076009711),('CA',1076009712,1076010687),('US',1076010688,1076010695),('CA',1076010696,1076010711),('US',1076010712,1076010719),('CA',1076010720,1076011007),('US',1076011008,1076026023),('CA',1076026024,1076026031),('US',1076026032,1076026367),('CA',1076026368,1076026879),('US',1076026880,1076027039),('CA',1076027040,1076027071),('US',1076027072,1076027135),('CA',1076027136,1076027263),('US',1076027264,1076027295),('CA',1076027296,1076027391),('US',1076027392,1076027399),('CA',1076027400,1076027407),('US',1076027408,1076027455),('CA',1076027456,1076027775),('US',1076027776,1076027791),('CA',1076027792,1076027911),('US',1076027912,1076027919),('CA',1076027920,1076028143),('US',1076028144,1076028151),('CA',1076028152,1076028479),('GB',1076028480,1076028543),('CA',1076028544,1076028671),('US',1076028672,1076028927),('IL',1076028928,1076029183),('CA',1076029184,1076029215),('US',1076029216,1076029223),('DM',1076029224,1076029231),('CA',1076029232,1076029239),('US',1076029240,1076029247),('CA',1076029248,1076029415),('US',1076029416,1076029422),('CA',1076029423,1076029430),('US',1076029431,1076029439),('CA',1076029440,1076029951),('CN',1076029952,1076030207),('CA',1076030208,1076030239),('US',1076030240,1076030255),('CA',1076030256,1076030319),('US',1076030320,1076030335),('CA',1076030336,1076030399),('US',1076030400,1076030463),('CA',1076030464,1076030623),('US',1076030624,1076030631),('CA',1076030632,1076030911),('US',1076030912,1076030975),('CA',1076030976,1076031487),('US',1076031488,1076031743),('CA',1076031744,1076031999),('US',1076032000,1076032255),('CA',1076032256,1076032511),('US',1076032512,1076033647),('EG',1076033648,1076033663),('US',1076033664,1076033671),('CA',1076033672,1076033687),('US',1076033688,1076033855),('CA',1076033856,1076033871),('US',1076033872,1076033903),('CA',1076033904,1076033951),('US',1076033952,1076034047),('CN',1076034048,1076034063),('US',1076034064,1076036247),('IL',1076036248,1076036255),('US',1076036256,1076036351),('ES',1076036352,1076036605),('US',1076036606,1076036735),('CA',1076036736,1076036751),('US',1076036752,1076036791),('ZA',1076036792,1076036799),('US',1076036800,1076037439),('MX',1076037440,1076037447),('US',1076037448,1076043775),('CA',1076043776,1076043839),('MX',1076043840,1076043871),('US',1076043872,1076044095),('IN',1076044096,1076044127),('US',1076044128,1076044175),('IE',1076044176,1076044183),('FR',1076044184,1076044191),('US',1076044192,1076044551),('DE',1076044552,1076044567),('US',1076044568,1076044703),('AR',1076044704,1076044735),('US',1076044736,1076047527),('JP',1076047528,1076047535),('US',1076047536,1076047551),('CH',1076047552,1076047583),('US',1076047584,1076047967),('VE',1076047968,1076047975),('US',1076047976,1076048639),('MX',1076048640,1076048671),('AR',1076048672,1076048703),('US',1076048704,1076048735),('CA',1076048736,1076048767),('US',1076048768,1076048831),('IL',1076048832,1076048863),('US',1076048864,1076049151),('DE',1076049152,1076049407),('CA',1076049408,1076049439),('US',1076049440,1076049471),('PR',1076049472,1076049503),('US',1076049504,1076049919),('IL',1076049920,1076050175),('US',1076050176,1076183039),('IN',1076183040,1076183071),('US',1076183072,1076183103),('CA',1076183104,1076183135),('US',1076183136,1076183263),('CA',1076183264,1076183295),('US',1076183296,1076183807),('CA',1076183808,1076184063),('US',1076184064,1076184127),('VE',1076184128,1076184159),('US',1076184160,1076184191),('IN',1076184192,1076184223),('US',1076184224,1076184255),('BE',1076184256,1076184287),('CA',1076184288,1076184319),('US',1076184320,1076184575),('SG',1076184576,1076184703),('US',1076184704,1076184895),('FR',1076184896,1076184927),('US',1076184928,1076184959),('VE',1076184960,1076184991),('US',1076184992,1076185023),('GB',1076185024,1076185055),('US',1076185056,1076185215),('CA',1076185216,1076185343),('US',1076185344,1076185439),('IT',1076185440,1076185471),('US',1076185472,1076185503),('DO',1076185504,1076185535),('US',1076185536,1076185599),('MY',1076185600,1076185855),('US',1076185856,1076185983),('PK',1076185984,1076186015),('US',1076186016,1076186303),('CA',1076186304,1076186335),('IT',1076186336,1076186367),('CA',1076186368,1076186623),('US',1076186624,1076186751),('CA',1076186752,1076186783),('US',1076186784,1076186879),('AT',1076186880,1076187135),('US',1076187136,1076187391),('CA',1076187392,1076187647),('BE',1076187648,1076187679),('US',1076187680,1076187903),('CA',1076187904,1076188159),('US',1076188160,1076188287),('BE',1076188288,1076188415),('MY',1076188416,1076188671),('US',1076188672,1076189183),('VE',1076189184,1076189215),('CA',1076189216,1076189279),('US',1076189280,1076189311),('CA',1076189312,1076189343),('US',1076189344,1076189407),('IN',1076189408,1076189439),('US',1076189440,1076189695),('CA',1076189696,1076189951),('US',1076189952,1076190079),('IN',1076190080,1076190143),('BE',1076190144,1076190175),('IN',1076190176,1076190207),('CA',1076190208,1076190463),('US',1076190464,1076190527),('IN',1076190528,1076190591),('US',1076190592,1076190815),('IN',1076190816,1076190847),('US',1076190848,1076190879),('CY',1076190880,1076190911),('IN',1076190912,1076190943),('US',1076190944,1076192255),('BE',1076192256,1076192383),('US',1076192384,1076192767),('IN',1076192768,1076192831),('US',1076192832,1076193023),('GB',1076193024,1076193055),('AU',1076193056,1076193087),('US',1076193088,1076193151),('TR',1076193152,1076193183),('US',1076193184,1076193247),('CA',1076193248,1076193279),('US',1076193280,1076194367),('IN',1076194368,1076194399),('IL',1076194400,1076194431),('US',1076194432,1076194495),('BE',1076194496,1076194527),('US',1076194528,1076194559),('CA',1076194560,1076194815),('US',1076194816,1076195071),('IN',1076195072,1076195327),('US',1076195328,1076195551),('IN',1076195552,1076195583),('US',1076195584,1076195871),('BE',1076195872,1076195903),('CA',1076195904,1076195935),('US',1076195936,1076196031),('CA',1076196032,1076196063),('US',1076196064,1076196095),('CA',1076196096,1076196383),('US',1076196384,1076196479),('FR',1076196480,1076196511),('AT',1076196512,1076196543),('US',1076196544,1076196641),('BE',1076196642,1076196671),('US',1076196672,1076196703),('FR',1076196704,1076196735),('US',1076196736,1076197119),('CA',1076197120,1076197375),('US',1076197376,1076197631),('BE',1076197632,1076197663),('US',1076197664,1076198655),('AE',1076198656,1076198911),('US',1076198912,1076281695),('TH',1076281696,1076281727),('US',1076281728,1076298503),('GB',1076298504,1076298511),('US',1076298512,1076298695),('MH',1076298696,1076298703),('US',1076298704,1076298919),('GB',1076298920,1076298927),('US',1076298928,1076298975),('IL',1076298976,1076298983),('MX',1076298984,1076298991),('US',1076298992,1076298999),('MX',1076299000,1076299007),('IN',1076299008,1076299023),('US',1076299024,1076299095),('AU',1076299096,1076299103),('US',1076299104,1076299127),('FR',1076299128,1076299135),('US',1076299136,1076299159),('CA',1076299160,1076299167),('US',1076299168,1076299175),('DE',1076299176,1076299183),('US',1076299184,1076299271),('AU',1076299272,1076299279),('US',1076299280,1076299287),('GB',1076299288,1076299295),('US',1076299296,1076299303),('IN',1076299304,1076299311),('US',1076299312,1076299399),('DK',1076299400,1076299407),('PE',1076299408,1076299415),('US',1076299416,1076299431),('GB',1076299432,1076299439),('US',1076299440,1076299471),('ID',1076299472,1076299479),('GB',1076299480,1076299487),('IN',1076299488,1076299503),('BH',1076299504,1076299519),('US',1076299520,1076299551),('IN',1076299552,1076299583),('US',1076299584,1076299679),('VI',1076299680,1076299687),('US',1076299688,1076299703),('GB',1076299704,1076299711),('US',1076299712,1076299727),('AU',1076299728,1076299735),('US',1076299736,1076299767),('MX',1076299768,1076299775),('US',1076299776,1076299823),('GB',1076299824,1076299831),('US',1076299832,1076299847),('VI',1076299848,1076299855),('GB',1076299856,1076299863),('CA',1076299864,1076299871),('US',1076299872,1076299943),('IT',1076299944,1076299951),('US',1076299952,1076299959),('FR',1076299960,1076299975),('AU',1076299976,1076299983),('US',1076299984,1076300015),('GB',1076300016,1076300031),('US',1076300032,1076300047),('MX',1076300048,1076300055),('GB',1076300056,1076300071),('CK',1076300072,1076300079),('IL',1076300080,1076300095),('US',1076300096,1076300111),('IN',1076300112,1076300119),('US',1076300120,1076300175),('GB',1076300176,1076300191),('US',1076300192,1076300207),('RU',1076300208,1076300223),('MX',1076300224,1076300231),('US',1076300232,1076300255),('SE',1076300256,1076300271),('ID',1076300272,1076300279),('AU',1076300280,1076300287),('US',1076300288,1076300295),('IN',1076300296,1076300303),('US',1076300304,1076300311),('GB',1076300312,1076300319),('US',1076300320,1076300335),('IN',1076300336,1076300343),('US',1076300344,1076300383),('GB',1076300384,1076300391),('IN',1076300392,1076300399),('US',1076300400,1076300447),('MY',1076300448,1076300455),('US',1076300456,1076300463),('IN',1076300464,1076300471),('US',1076300472,1076300479),('IN',1076300480,1076300487),('US',1076300488,1076300511),('IN',1076300512,1076300519),('GB',1076300520,1076300527),('US',1076300528,1076300799),('IN',1076300800,1076300807),('US',1076300808,1076300847),('AU',1076300848,1076300855),('US',1076300856,1076300903),('IN',1076300904,1076300911),('US',1076300912,1076300919),('IN',1076300920,1076300927),('US',1076300928,1076300991),('NZ',1076300992,1076301007),('MY',1076301008,1076301015),('GR',1076301016,1076301023),('US',1076301024,1076301047),('AU',1076301048,1076301055),('US',1076301056,1076301087),('CA',1076301088,1076301095),('US',1076301096,1076301143),('NL',1076301144,1076301151),('US',1076301152,1076301159),('GB',1076301160,1076301167),('US',1076301168,1076301183),('AU',1076301184,1076301191),('US',1076301192,1076301199),('AU',1076301200,1076301207),('US',1076301208,1076301263),('CA',1076301264,1076301271),('IN',1076301272,1076301279),('US',1076301280,1076301823),('IN',1076301824,1076301831),('US',1076301832,1076301871),('SE',1076301872,1076301879),('US',1076301880,1076301895),('IL',1076301896,1076301903),('US',1076301904,1076301927),('AU',1076301928,1076301935),('US',1076301936,1076301951),('AT',1076301952,1076302015),('US',1076302016,1076302031),('TW',1076302032,1076302039),('US',1076302040,1076302359),('GB',1076302360,1076302367),('US',1076302368,1076302407),('IN',1076302408,1076302415),('US',1076302416,1076302439),('CA',1076302440,1076302447),('US',1076302448,1076302503),('GB',1076302504,1076302511),('US',1076302512,1076302519),('DE',1076302520,1076302527),('US',1076302528,1076302639),('FR',1076302640,1076302655),('US',1076302656,1076302719),('NZ',1076302720,1076302735),('US',1076302736,1076302751),('DK',1076302752,1076302759),('US',1076302760,1076302783),('IN',1076302784,1076302799),('US',1076302800,1076302807),('AU',1076302808,1076302815),('US',1076302816,1076302839),('GB',1076302840,1076302847),('NZ',1076302848,1076302855),('US',1076302856,1076302879),('IN',1076302880,1076302887),('US',1076302888,1076302895),('IN',1076302896,1076302919),('US',1076302920,1076302959),('GB',1076302960,1076302975),('US',1076302976,1076302983),('AR',1076302984,1076302991),('US',1076302992,1076303031),('CA',1076303032,1076303039),('US',1076303040,1076303079),('RU',1076303080,1076303087),('US',1076303088,1076303167),('CA',1076303168,1076303183),('US',1076303184,1076303215),('IN',1076303216,1076303223),('MX',1076303224,1076303231),('US',1076303232,1076303271),('AU',1076303272,1076303287),('US',1076303288,1076303319),('EG',1076303320,1076303327),('AU',1076303328,1076303335),('US',1076303336,1076303359),('BH',1076303360,1076303391),('US',1076303392,1076303439),('KW',1076303440,1076303455),('US',1076303456,1076303495),('AU',1076303496,1076303511),('CA',1076303512,1076303519),('US',1076303520,1076303527),('AU',1076303528,1076303535),('US',1076303536,1076303551),('AU',1076303552,1076303559),('DE',1076303560,1076303567),('US',1076303568,1076303599),('AU',1076303600,1076303615),('US',1076303616,1076303631),('CH',1076303632,1076303639),('US',1076303640,1076303647),('AU',1076303648,1076303655),('US',1076303656,1076303663),('GI',1076303664,1076303679),('US',1076303680,1076303695),('GB',1076303696,1076303703),('US',1076303704,1076303711),('CA',1076303712,1076303719),('US',1076303720,1076303727),('SA',1076303728,1076303735),('US',1076303736,1076303767),('PY',1076303768,1076303775),('AU',1076303776,1076303791),('US',1076303792,1076303831),('SE',1076303832,1076303839),('US',1076303840,1076303983),('AU',1076303984,1076303991),('DE',1076303992,1076303999),('US',1076304000,1076304031),('CA',1076304032,1076304039),('MX',1076304040,1076304047),('US',1076304048,1076304063),('AU',1076304064,1076304071),('US',1076304072,1076304079),('CA',1076304080,1076304087),('US',1076304088,1076304127),('CA',1076304128,1076304135),('US',1076304136,1076304151),('CA',1076304152,1076304159),('BH',1076304160,1076304191),('US',1076304192,1076304215),('GI',1076304216,1076304223),('US',1076304224,1076304255),('IT',1076304256,1076304383),('CA',1076304384,1076304391),('US',1076304392,1076304407),('CA',1076304408,1076304415),('US',1076304416,1076304439),('CA',1076304440,1076304447),('US',1076304448,1076304487),('EG',1076304488,1076304495),('US',1076304496,1076304567),('IN',1076304568,1076304575),('BM',1076304576,1076304583),('CA',1076304584,1076304591),('US',1076304592,1076304607),('GB',1076304608,1076304615),('US',1076304616,1076304623),('GB',1076304624,1076304631),('US',1076304632,1076304639),('GB',1076304640,1076304647),('JP',1076304648,1076304655),('SE',1076304656,1076304663),('US',1076304664,1076304687),('IN',1076304688,1076304695),('US',1076304696,1076304751),('RU',1076304752,1076304759),('US',1076304760,1076304823),('SE',1076304824,1076304831),('VE',1076304832,1076304839),('US',1076304840,1076304895),('AU',1076304896,1076304911),('US',1076304912,1076304919),('ES',1076304920,1076304927),('US',1076304928,1076304943),('MX',1076304944,1076304951),('NZ',1076304952,1076304959),('US',1076304960,1076304991),('ID',1076304992,1076304999),('US',1076305000,1076305007),('AU',1076305008,1076305015),('US',1076305016,1076305023),('CA',1076305024,1076305039),('RU',1076305040,1076305055),('US',1076305056,1076305079),('AT',1076305080,1076305087),('GB',1076305088,1076305111),('US',1076305112,1076305167),('FR',1076305168,1076305175),('US',1076305176,1076305191),('CA',1076305192,1076305207),('AR',1076305208,1076305215),('DE',1076305216,1076305231),('US',1076305232,1076305239),('GB',1076305240,1076305247),('VE',1076305248,1076305255),('US',1076305256,1076305263),('CA',1076305264,1076305271),('US',1076305272,1076305303),('RU',1076305304,1076305311),('US',1076305312,1076306511),('AE',1076306512,1076306527),('US',1076306528,1076307495),('DE',1076307496,1076307503),('US',1076307504,1076307519),('DE',1076307520,1076307535),('US',1076307536,1076307743),('DE',1076307744,1076307807),('US',1076307808,1076307967),('DE',1076307968,1076308223),('US',1076308224,1076308495),('AE',1076308496,1076308511),('US',1076308512,1076308575),('IL',1076308576,1076308591),('US',1076308592,1076308671),('DE',1076308672,1076308687),('US',1076308688,1076308991),('IE',1076308992,1076309007),('US',1076309008,1076309119),('IE',1076309120,1076309135),('US',1076309136,1076309151),('DE',1076309152,1076309183),('US',1076309184,1076309967),('DE',1076309968,1076309983),('US',1076309984,1076310015),('DE',1076310016,1076310271),('AE',1076310272,1076310303),('US',1076310304,1076310367),('IE',1076310368,1076310383),('US',1076310384,1076310399),('AE',1076310400,1076310431),('AU',1076310432,1076310463),('IL',1076310464,1076310527),('US',1076310528,1076338687),('CA',1076338688,1076346879),('US',1076346880,1076387839),('CA',1076387840,1076396031),('US',1076396032,1076404223),('A2',1076404224,1076406015),('US',1076406016,1076406271),('A2',1076406272,1076408063),('US',1076408064,1076408319),('CA',1076408320,1076412415),('US',1076412416,1076424703),('CA',1076424704,1076428799),('US',1076428800,1076493311),('IN',1076493312,1076493375),('US',1076493376,1076543487),('CA',1076543488,1076559871),('US',1076559872,1076696655),('CA',1076696656,1076696663),('US',1076696664,1076697503),('NZ',1076697504,1076697519),('US',1076697520,1076697567),('PE',1076697568,1076697583),('US',1076697584,1076698565),('AU',1076698566,1076698580),('US',1076698581,1076704376),('CO',1076704377,1076704405),('US',1076704406,1076704743),('GB',1076704744,1076704751),('US',1076704752,1076705191),('AE',1076705192,1076705199),('US',1076705200,1076705215),('CA',1076705216,1076705247),('US',1076705248,1076705719),('AU',1076705720,1076705729),('US',1076705730,1076707087),('AT',1076707088,1076707103),('GB',1076707104,1076707119),('US',1076707120,1076707311),('AR',1076707312,1076707319),('US',1076707320,1076756479),('CA',1076756480,1076764671),('A1',1076764672,1076764927),('CA',1076764928,1076767855),('A1',1076767856,1076767857),('CA',1076767858,1076767881),('A1',1076767882,1076767886),('CA',1076767887,1076772863),('US',1076772864,1076781055),('US',1076789248,1076850687),('CA',1076850688,1076850943),('US',1076850944,1076985855),('A2',1076985856,1077002239),('US',1077002240,1077002255),('GB',1077002256,1077002271),('US',1077002272,1077002343),('VE',1077002344,1077002351),('US',1077002352,1077002359),('AG',1077002360,1077002367),('US',1077002368,1077002399),('CA',1077002400,1077002407),('US',1077002408,1077002495),('CA',1077002496,1077002503),('US',1077002504,1077002543),('CY',1077002544,1077002551),('CA',1077002552,1077002559),('US',1077002560,1077002575),('CA',1077002576,1077002583),('AU',1077002584,1077002591),('US',1077002592,1077002599),('BH',1077002600,1077002607),('US',1077002608,1077002823),('IN',1077002824,1077002831),('FR',1077002832,1077002847),('NZ',1077002848,1077002855),('AU',1077002856,1077002863),('US',1077002864,1077002911),('MX',1077002912,1077002927),('IN',1077002928,1077002935),('CA',1077002936,1077002943),('US',1077002944,1077002991),('BH',1077002992,1077002999),('US',1077003000,1077003023),('RU',1077003024,1077003039),('AU',1077003040,1077003047),('US',1077003048,1077003079),('IN',1077003080,1077003087),('US',1077003088,1077003119),('GB',1077003120,1077003127),('US',1077003128,1077003199),('IN',1077003200,1077003231),('US',1077003232,1077003431),('IE',1077003432,1077003439),('US',1077003440,1077003511),('CA',1077003512,1077003519),('US',1077003520,1077003687),('PH',1077003688,1077003695),('US',1077003696,1077003711),('AU',1077003712,1077003727),('DE',1077003728,1077003735),('US',1077003736,1077003783),('CA',1077003784,1077003791),('US',1077003792,1077003807),('AU',1077003808,1077003815),('US',1077003816,1077003895),('IN',1077003896,1077003903),('US',1077003904,1077003919),('JP',1077003920,1077003927),('US',1077003928,1077003959),('BH',1077003960,1077003967),('US',1077003968,1077003991),('AT',1077003992,1077003999),('US',1077004000,1077004119),('GB',1077004120,1077004127),('US',1077004128,1077004143),('FR',1077004144,1077004159),('US',1077004160,1077004199),('NZ',1077004200,1077004207),('US',1077004208,1077004239),('GB',1077004240,1077004247),('US',1077004248,1077004255),('AU',1077004256,1077004263),('US',1077004264,1077004303),('FR',1077004304,1077004319),('AU',1077004320,1077004327),('GB',1077004328,1077004335),('TR',1077004336,1077004343),('AT',1077004344,1077004351),('US',1077004352,1077004367),('ZA',1077004368,1077004375),('US',1077004376,1077004431),('CA',1077004432,1077004439),('US',1077004440,1077004511),('FR',1077004512,1077004527),('US',1077004528,1077004543),('CA',1077004544,1077004559),('US',1077004560,1077004583),('CA',1077004584,1077004591),('US',1077004592,1077004687),('GB',1077004688,1077004695),('AE',1077004696,1077004703),('FR',1077004704,1077004735),('US',1077004736,1077004743),('CA',1077004744,1077004751),('BE',1077004752,1077004759),('NZ',1077004760,1077004767),('US',1077004768,1077004783),('CA',1077004784,1077004791),('GB',1077004792,1077004799),('CA',1077004800,1077004815),('US',1077004816,1077004847),('CA',1077004848,1077004863),('US',1077004864,1077004871),('GB',1077004872,1077004879),('US',1077004880,1077005119),('DK',1077005120,1077005151),('US',1077005152,1077005295),('CN',1077005296,1077005303),('US',1077005304,1077005487),('CA',1077005488,1077005503),('US',1077005504,1077005535),('AU',1077005536,1077005543),('US',1077005544,1077005551),('CA',1077005552,1077005559),('US',1077005560,1077005631),('AU',1077005632,1077005695),('US',1077005696,1077005823),('AU',1077005824,1077005839),('US',1077005840,1077005895),('RU',1077005896,1077005903),('VE',1077005904,1077005911),('US',1077005912,1077005943),('TR',1077005944,1077005951),('US',1077005952,1077006023),('IN',1077006024,1077006031),('US',1077006032,1077006039),('NZ',1077006040,1077006047),('EG',1077006048,1077006055),('US',1077006056,1077006071),('IN',1077006072,1077006079),('US',1077006080,1077006159),('AE',1077006160,1077006167),('US',1077006168,1077006407),('CA',1077006408,1077006415),('US',1077006416,1077006463),('AU',1077006464,1077006471),('US',1077006472,1077006623),('GB',1077006624,1077006631),('ES',1077006632,1077006639),('IE',1077006640,1077006647),('US',1077006648,1077006719),('AU',1077006720,1077006735),('US',1077006736,1077006743),('IL',1077006744,1077006751),('US',1077006752,1077006847),('CA',1077006848,1077006863),('CR',1077006864,1077006879),('US',1077006880,1077006887),('IN',1077006888,1077006895),('US',1077006896,1077006911),('GB',1077006912,1077006927),('CA',1077006928,1077006935),('AR',1077006936,1077006943),('US',1077006944,1077006959),('MX',1077006960,1077006967),('US',1077006968,1077006991),('CA',1077006992,1077006999),('HK',1077007000,1077007007),('CA',1077007008,1077007063),('US',1077007064,1077007071),('CA',1077007072,1077007087),('US',1077007088,1077007103),('NL',1077007104,1077007111),('CA',1077007112,1077007119),('US',1077007120,1077007167),('CA',1077007168,1077007191),('KR',1077007192,1077007199),('GB',1077007200,1077007215),('US',1077007216,1077007247),('BZ',1077007248,1077007255),('US',1077007256,1077007287),('CA',1077007288,1077007295),('AU',1077007296,1077007303),('IN',1077007304,1077007311),('US',1077007312,1077007935),('AU',1077007936,1077007943),('US',1077007944,1077007967),('NL',1077007968,1077007983),('US',1077007984,1077008047),('FR',1077008048,1077008063),('US',1077008064,1077008127),('CA',1077008128,1077008383),('US',1077008384,1077008735),('BM',1077008736,1077008751),('US',1077008752,1077010431),('HK',1077010432,1077010439),('US',1077010440,1077010567),('CA',1077010568,1077010575),('US',1077010576,1077011247),('CA',1077011248,1077011255),('US',1077011256,1077011263),('AR',1077011264,1077011271),('US',1077011272,1077011287),('AU',1077011288,1077011295),('US',1077011296,1077011311),('IN',1077011312,1077011319),('TR',1077011320,1077011327),('US',1077011328,1077011599),('EG',1077011600,1077011607),('NZ',1077011608,1077011615),('US',1077011616,1077011767),('MX',1077011768,1077011775),('US',1077011776,1077011807),('GR',1077011808,1077011823),('AT',1077011824,1077011831),('US',1077011832,1077012031),('CO',1077012032,1077012039),('US',1077012040,1077012063),('AU',1077012064,1077012079),('US',1077012080,1077012111),('GB',1077012112,1077012127),('US',1077012128,1077012143),('EG',1077012144,1077012159),('GB',1077012160,1077012167),('US',1077012168,1077012295),('HK',1077012296,1077012303),('IN',1077012304,1077012311),('US',1077012312,1077012383),('PA',1077012384,1077012415),('US',1077012416,1077012455),('IN',1077012456,1077012463),('US',1077012464,1077012495),('IT',1077012496,1077012511),('US',1077012512,1077012559),('CA',1077012560,1077012567),('US',1077012568,1077012575),('ES',1077012576,1077012583),('US',1077012584,1077013247),('HK',1077013248,1077013255),('US',1077013256,1077013263),('MX',1077013264,1077013279),('US',1077013280,1077013343),('AU',1077013344,1077013351),('US',1077013352,1077013359),('NL',1077013360,1077013375),('US',1077013376,1077013391),('HK',1077013392,1077013399),('US',1077013400,1077013407),('NZ',1077013408,1077013415),('US',1077013416,1077013431),('NZ',1077013432,1077013439),('US',1077013440,1077013511),('NZ',1077013512,1077013519),('US',1077013520,1077013551),('IN',1077013552,1077013559),('RU',1077013560,1077013567),('US',1077013568,1077013647),('DK',1077013648,1077013663),('US',1077013664,1077013671),('CA',1077013672,1077013679),('US',1077013680,1077013695),('CA',1077013696,1077013703),('US',1077013704,1077013735),('CR',1077013736,1077013743),('IN',1077013744,1077013759),('US',1077013760,1077014111),('MX',1077014112,1077014127),('US',1077014128,1077014151),('AU',1077014152,1077014159),('US',1077014160,1077014167),('IN',1077014168,1077014175),('US',1077014176,1077014303),('BY',1077014304,1077014311),('US',1077014312,1077014407),('GB',1077014408,1077014415),('US',1077014416,1077014527),('CA',1077014528,1077014535),('US',1077014536,1077014567),('FR',1077014568,1077014575),('US',1077014576,1077014607),('BY',1077014608,1077014623),('US',1077014624,1077014631),('IN',1077014632,1077014639),('US',1077014640,1077014647),('HK',1077014648,1077014703),('ZA',1077014704,1077014711),('US',1077014712,1077014743),('AE',1077014744,1077014767),('US',1077014768,1077015551),('GB',1077015552,1077015559),('US',1077015560,1077015623),('IN',1077015624,1077015631),('US',1077015632,1077015647),('PK',1077015648,1077015679),('US',1077015680,1077015687),('GB',1077015688,1077015695),('US',1077015696,1077015759),('RU',1077015760,1077015775),('US',1077015776,1077015831),('ZA',1077015832,1077015847),('US',1077015848,1077015871),('CA',1077015872,1077015879),('US',1077015880,1077015919),('GB',1077015920,1077015935),('US',1077015936,1077017327),('IN',1077017328,1077017335),('US',1077017336,1077017343),('ZA',1077017344,1077017351),('GB',1077017352,1077017359),('US',1077017360,1077017439),('FR',1077017440,1077017455),('US',1077017456,1077017631),('VG',1077017632,1077017647),('US',1077017648,1077444607),('CA',1077444608,1077452799),('JP',1077452800,1077460991),('US',1077460992,1077469183),('CA',1077469184,1077477375),('US',1077477376,1077506047),('LS',1077506048,1077510143),('US',1077510144,1077561327),('AR',1077561328,1077561343),('US',1077561344,1077565503),('AR',1077565504,1077565567),('US',1077565568,1077567487),('A2',1077567488,1077571583),('US',1077571584,1077571839),('CA',1077571840,1077571967),('US',1077571968,1077626239),('WS',1077626240,1077626271),('US',1077626272,1077628959),('ES',1077628960,1077628991),('US',1077628992,1077629071),('CR',1077629072,1077629087),('US',1077629088,1077629151),('CA',1077629152,1077629183),('US',1077629184,1077629535),('CA',1077629536,1077629567),('US',1077629568,1077630015),('CA',1077630016,1077630047),('US',1077630048,1077632159),('GB',1077632160,1077632191),('US',1077632192,1077641215),('CA',1077641216,1077657599),('US',1077657600,1077839543),('ES',1077839544,1077839551),('US',1077839552,1077839583),('JP',1077839584,1077839591),('US',1077839592,1077841671),('ES',1077841672,1077841679),('US',1077841680,1077841759),('IT',1077841760,1077841767),('US',1077841768,1077843935),('IN',1077843936,1077843967),('US',1077843968,1077848575),('GR',1077848576,1077848831),('US',1077848832,1077851471),('HK',1077851472,1077851487),('US',1077851488,1077852671),('CA',1077852672,1077852927),('US',1077852928,1077853183),('IT',1077853184,1077853439),('US',1077853440,1077856015),('IT',1077856016,1077856031),('US',1077856032,1077856127),('AU',1077856128,1077856191),('IT',1077856192,1077856223),('US',1077856224,1077857279),('CA',1077857280,1077857535),('US',1077857536,1077857567),('IT',1077857568,1077857575),('US',1077857576,1077857599),('DE',1077857600,1077857631),('US',1077857632,1077858015),('CN',1077858016,1077858047),('US',1077858048,1077858911),('LV',1077858912,1077858943),('ZA',1077858944,1077858975),('US',1077858976,1077859935),('IT',1077859936,1077859951),('US',1077859952,1077859967),('IT',1077859968,1077860095),('US',1077860096,1077861119),('IT',1077861120,1077861631),('US',1077861632,1077862911),('IT',1077862912,1077863167),('US',1077863168,1077864703),('IT',1077864704,1077864719),('US',1077864720,1077865983),('CA',1077865984,1077866239),('US',1077866240,1077867655),('CK',1077867656,1077867663),('US',1077867664,1077867775),('IT',1077867776,1077868031),('US',1077868032,1077869663),('LV',1077869664,1077869671),('US',1077869672,1077870335),('CN',1077870336,1077870591),('US',1077870592,1077936127),('US',1078001664,1078124543),('CA',1078124544,1078128639),('US',1078128640,1078247423),('CA',1078247424,1078251519),('US',1078251520,1078280447),('CA',1078280448,1078280575),('US',1078280576,1078280591),('CA',1078280592,1078280639),('CR',1078280640,1078280671),('US',1078280672,1078280695),('CA',1078280696,1078280959),('US',1078280960,1078281087),('CA',1078281088,1078281279),('BS',1078281280,1078281295),('CA',1078281296,1078281511),('US',1078281512,1078281535),('CA',1078281536,1078281599),('US',1078281600,1078281679),('CA',1078281680,1078281711),('US',1078281712,1078281743),('CA',1078281744,1078281759),('KN',1078281760,1078281791),('CA',1078281792,1078282119),('US',1078282120,1078282223),('CA',1078282224,1078282238),('US',1078282239,1078282239),('CA',1078282240,1078283015),('BV',1078283016,1078283023),('CA',1078283024,1078283103),('US',1078283104,1078283135),('CA',1078283136,1078283263),('US',1078283264,1078283264),('CA',1078283265,1078283375),('US',1078283376,1078283391),('CA',1078283392,1078283407),('US',1078283408,1078283423),('CA',1078283424,1078283487),('US',1078283488,1078283495),('CA',1078283496,1078283551),('US',1078283552,1078283554),('CA',1078283555,1078283570),('US',1078283571,1078283583),('CA',1078283584,1078283647),('US',1078283648,1078283663),('CA',1078283664,1078283671),('US',1078283672,1078283679),('CA',1078283680,1078283687),('US',1078283688,1078283711),('CA',1078283712,1078284031),('BS',1078284032,1078284159),('CA',1078284160,1078284255),('US',1078284256,1078284287),('CA',1078284288,1078284319),('US',1078284320,1078284367),('BV',1078284368,1078284383),('US',1078284384,1078284399),('CA',1078284400,1078284415),('US',1078284416,1078284543),('CA',1078284544,1078284687),('US',1078284688,1078284703),('CA',1078284704,1078284863),('US',1078284864,1078284927),('CA',1078284928,1078284991),('US',1078284992,1078285007),('CA',1078285008,1078285015),('US',1078285016,1078285039),('CA',1078285040,1078285151),('US',1078285152,1078285167),('CA',1078285168,1078285175),('US',1078285176,1078285247),('CA',1078285248,1078285255),('US',1078285256,1078285263),('CA',1078285264,1078285279),('US',1078285280,1078285295),('CA',1078285296,1078285303),('US',1078285304,1078285567),('CA',1078285568,1078285631),('US',1078285632,1078285655),('CA',1078285656,1078285919),('US',1078285920,1078285923),('CA',1078285924,1078286015),('US',1078286016,1078286079),('CA',1078286080,1078286111),('US',1078286112,1078286115),('CA',1078286116,1078286143),('US',1078286144,1078286207),('CA',1078286208,1078286335),('US',1078286336,1078286351),('CA',1078286352,1078286367),('US',1078286368,1078286463),('CA',1078286464,1078286559),('TW',1078286560,1078286575),('CA',1078286576,1078286591),('US',1078286592,1078286687),('HK',1078286688,1078286719),('US',1078286720,1078286847),('CA',1078286848,1078286975),('US',1078286976,1078286991),('CA',1078286992,1078287023),('US',1078287024,1078287039),('CA',1078287040,1078287071),('US',1078287072,1078287103),('CA',1078287104,1078287183),('US',1078287184,1078287199),('CA',1078287200,1078287231),('US',1078287232,1078287247),('CA',1078287248,1078287311),('US',1078287312,1078287343),('CA',1078287344,1078287759),('US',1078287760,1078287775),('CA',1078287776,1078287839),('US',1078287840,1078287871),('CA',1078287872,1078288127),('US',1078288128,1078336447),('HK',1078336448,1078336455),('US',1078336456,1078336463),('HK',1078336464,1078336479),('US',1078336480,1078341807),('PH',1078341808,1078341823),('US',1078341824,1078349311),('PH',1078349312,1078349823),('US',1078349824,1078428031),('AU',1078428032,1078428159),('US',1078428160,1078428255),('PH',1078428256,1078428263),('US',1078428264,1078428287),('JP',1078428288,1078428415),('US',1078428416,1078428575),('ES',1078428576,1078428583),('US',1078428584,1078428607),('DE',1078428608,1078428639),('US',1078428640,1078428999),('MX',1078429000,1078429007),('US',1078429008,1078429623),('AU',1078429624,1078429631),('US',1078429632,1078429695),('GR',1078429696,1078429951),('US',1078429952,1078430159),('GB',1078430160,1078430167),('US',1078430168,1078430847),('JP',1078430848,1078430855),('US',1078430856,1078430911),('AU',1078430912,1078430975),('US',1078430976,1078432031),('DE',1078432032,1078432039),('US',1078432040,1078432095),('JP',1078432096,1078432103),('US',1078432104,1078432151),('JP',1078432152,1078432159),('US',1078432160,1078432223),('AE',1078432224,1078432239),('US',1078432240,1078432767),('GB',1078432768,1078432775),('US',1078432776,1078432879),('GB',1078432880,1078432887),('US',1078432888,1078433311),('IT',1078433312,1078433343),('US',1078433344,1078433631),('CN',1078433632,1078433663),('US',1078433664,1078434079),('LV',1078434080,1078434087),('US',1078434088,1078434271),('GR',1078434272,1078434303),('US',1078434304,1078434759),('BE',1078434760,1078434767),('US',1078434768,1078434775),('JP',1078434776,1078434783),('US',1078434784,1078434927),('DE',1078434928,1078434943),('US',1078434944,1078435231),('JP',1078435232,1078435239),('US',1078435240,1078435423),('HK',1078435424,1078435455),('US',1078435456,1078435471),('BM',1078435472,1078435479),('US',1078435480,1078436479),('JP',1078436480,1078436607),('US',1078436608,1078436719),('JP',1078436720,1078436727),('US',1078436728,1078436767),('GB',1078436768,1078436799),('US',1078436800,1078437471),('JP',1078437472,1078437479),('US',1078437480,1078437503),('IT',1078437504,1078437567),('HK',1078437568,1078437599),('US',1078437600,1078438399),('CA',1078438400,1078438655),('US',1078438656,1078438911),('CN',1078438912,1078439167),('HK',1078439168,1078439423),('US',1078439424,1078439679),('NL',1078439680,1078439935),('US',1078439936,1078439967),('AU',1078439968,1078439983),('US',1078439984,1078456319),('CA',1078456320,1078460415),('US',1078460416,1078517759),('CA',1078517760,1078525951),('US',1078525952,1078600639),('GB',1078600640,1078600647),('US',1078600648,1078615679),('GB',1078615680,1078615711),('US',1078615712,1078621695),('IN',1078621696,1078621951),('US',1078621952,1078653695),('CZ',1078653696,1078653727),('US',1078653728,1078653919),('GB',1078653920,1078653951),('US',1078653952,1078722559),('AR',1078722560,1078725151),('US',1078725152,1078725167),('AR',1078725168,1078730127),('CH',1078730128,1078730135),('AR',1078730136,1078734847),('CO',1078734848,1078737919),('EC',1078737920,1078738943),('VE',1078738944,1078739455),('US',1078739456,1078739967),('PE',1078739968,1078740991),('US',1078740992,1078742271),('PE',1078742272,1078742527),('US',1078742528,1078743039),('CO',1078743040,1078746111),('PE',1078746112,1078747135),('CL',1078747136,1078749183),('PE',1078749184,1078750231),('CA',1078750232,1078750239),('PE',1078750240,1078751231),('CO',1078751232,1078753279),('AR',1078753280,1078754751),('US',1078754752,1078754783),('AR',1078754784,1078755327),('PE',1078755328,1078757119),('US',1078757120,1078757375),('CL',1078757376,1078767615),('CO',1078767616,1078768639),('CL',1078768640,1078769663),('CO',1078769664,1078771711),('EC',1078771712,1078773759),('PE',1078773760,1078775807),('CO',1078775808,1078777855),('EC',1078777856,1078780927),('US',1078780928,1078791215),('AU',1078791216,1078791223),('US',1078791224,1078791255),('CO',1078791256,1078791263),('US',1078791264,1078791303),('CA',1078791304,1078791311),('US',1078791312,1078791319),('AU',1078791320,1078791343),('US',1078791344,1078791391),('MX',1078791392,1078791407),('US',1078791408,1078791439),('PK',1078791440,1078791447),('US',1078791448,1078791471),('IL',1078791472,1078791487),('US',1078791488,1078791503),('MX',1078791504,1078791519),('US',1078791520,1078791711),('AU',1078791712,1078791727),('US',1078791728,1078792015),('AU',1078792016,1078792031),('US',1078792032,1078792095),('AU',1078792096,1078792111),('IN',1078792112,1078792127),('US',1078792128,1078792175),('AU',1078792176,1078792191),('US',1078792192,1078792511),('SG',1078792512,1078792543),('US',1078792544,1078793119),('CA',1078793120,1078793151),('US',1078793152,1078793535),('ZA',1078793536,1078793599),('US',1078793600,1078793663),('ZA',1078793664,1078793727),('US',1078793728,1078794495),('ZA',1078794496,1078794559),('US',1078794560,1078794591),('AU',1078794592,1078794623),('US',1078794624,1078795159),('AE',1078795160,1078795167),('US',1078795168,1078795255),('MX',1078795256,1078795263),('US',1078795264,1078795767),('IN',1078795768,1078795775),('CA',1078795776,1078795783),('US',1078795784,1078795807),('AU',1078795808,1078795815),('US',1078795816,1078795823),('CA',1078795824,1078795831),('US',1078795832,1078795887),('CA',1078795888,1078795895),('US',1078795896,1078795903),('ES',1078795904,1078795911),('US',1078795912,1078797399),('CA',1078797400,1078797407),('US',1078797408,1078797591),('IN',1078797592,1078797599),('US',1078797600,1078797703),('JP',1078797704,1078797711),('US',1078797712,1078797791),('IN',1078797792,1078797815),('MX',1078797816,1078797823),('US',1078797824,1078797991),('CA',1078797992,1078797999),('US',1078798000,1078798071),('GB',1078798072,1078798079),('US',1078798080,1078798111),('CA',1078798112,1078798119),('US',1078798120,1078798151),('AU',1078798152,1078798159),('US',1078798160,1078798183),('FR',1078798184,1078798191),('IN',1078798192,1078798199),('US',1078798200,1078798207),('IN',1078798208,1078798215),('GB',1078798216,1078798223),('GR',1078798224,1078798231),('US',1078798232,1078798279),('PK',1078798280,1078798287),('US',1078798288,1078798447),('AT',1078798448,1078798455),('US',1078798456,1078798575),('AR',1078798576,1078798591),('US',1078798592,1078798687),('AU',1078798688,1078798703),('US',1078798704,1078798911),('IT',1078798912,1078798927),('US',1078798928,1078799039),('IT',1078799040,1078799055),('US',1078799056,1078799071),('CA',1078799072,1078799087),('US',1078799088,1078799263),('MX',1078799264,1078799295),('US',1078799296,1078799423),('MX',1078799424,1078799455),('US',1078799456,1078799551),('ID',1078799552,1078799583),('US',1078799584,1078799679),('BR',1078799680,1078799743),('US',1078799744,1078799999),('AU',1078800000,1078800031),('US',1078800032,1078800191),('IN',1078800192,1078800223),('US',1078800224,1078800287),('MX',1078800288,1078800319),('US',1078800320,1078800799),('MX',1078800800,1078800831),('US',1078800832,1078801327),('CL',1078801328,1078801343),('US',1078801344,1078808991),('AU',1078808992,1078809023),('US',1078809024,1078809647),('CA',1078809648,1078809663),('US',1078809664,1078814135),('HK',1078814136,1078814143),('US',1078814144,1078814399),('CA',1078814400,1078814415),('US',1078814416,1078956799),('GB',1078956800,1078957055),('US',1078957056,1079320575),('CA',1079320576,1079320671),('US',1079320672,1079320703),('CA',1079320704,1079320719),('US',1079320720,1079320735),('CA',1079320736,1079320823),('US',1079320824,1079320831),('CA',1079320832,1079321087),('US',1079321088,1079321103),('CA',1079321104,1079321199),('US',1079321200,1079321207),('CA',1079321208,1079321215),('US',1079321216,1079321231),('CA',1079321232,1079322703),('US',1079322704,1079322719),('CA',1079322720,1079322815),('US',1079322816,1079322839),('CA',1079322840,1079322847),('US',1079322848,1079322863),('CA',1079322864,1079323231),('US',1079323232,1079323247),('CA',1079323248,1079323263),('US',1079323264,1079323279),('CA',1079323280,1079323311),('US',1079323312,1079323327),('CA',1079323328,1079323415),('US',1079323416,1079323423),('CA',1079323424,1079323583),('US',1079323584,1079323599),('CA',1079323600,1079323615),('US',1079323616,1079323647),('CA',1079323648,1079324455),('US',1079324456,1079324463),('CA',1079324464,1079324799),('US',1079324800,1079324831),('CA',1079324832,1079325455),('US',1079325456,1079325483),('CA',1079325484,1079325527),('US',1079325528,1079325535),('CA',1079325536,1079325547),('US',1079325548,1079325559),('CA',1079325560,1079325599),('US',1079325600,1079325607),('CA',1079325608,1079325695),('US',1079325696,1079325727),('CA',1079325728,1079325871),('US',1079325872,1079325887),('CA',1079325888,1079325991),('US',1079325992,1079325999),('CA',1079326000,1079328503),('US',1079328504,1079328511),('CA',1079328512,1079328767),('US',1079328768,1079329919),('CA',1079329920,1079329951),('US',1079329952,1079354127),('TR',1079354128,1079354143),('US',1079354144,1079377919),('CA',1079377920,1079378943),('US',1079378944,1079379199),('CA',1079379200,1079379455),('US',1079379456,1079379711),('CA',1079379712,1079380927),('US',1079380928,1079381183),('CA',1079381184,1079381503),('US',1079381504,1079381599),('WS',1079381600,1079381631),('US',1079381632,1079382015),('CA',1079382016,1079382783),('US',1079382784,1079383039),('VG',1079383040,1079383295),('US',1079383296,1079383807),('MH',1079383808,1079384063),('LR',1079384064,1079384319),('CA',1079384320,1079384575),('ZW',1079384576,1079385087),('CA',1079385088,1079385855),('SZ',1079385856,1079386111),('US',1079386112,1079386623),('SG',1079386624,1079386879),('EG',1079386880,1079387135),('PK',1079387136,1079387391),('NG',1079387392,1079387647),('US',1079387648,1079387903),('PH',1079387904,1079388159),('CA',1079388160,1079389439),('US',1079389440,1079389695),('LC',1079389696,1079389951),('CA',1079389952,1079391231),('LC',1079391232,1079391487),('CA',1079391488,1079391743),('HT',1079391744,1079392255),('CA',1079392256,1079393279),('US',1079393280,1079393791),('CA',1079393792,1079394063),('SG',1079394064,1079394071),('CA',1079394072,1079394079),('US',1079394080,1079394111),('AF',1079394112,1079394143),('CA',1079394144,1079394175),('FR',1079394176,1079394191),('CA',1079394192,1079394239),('US',1079394240,1079394303),('EC',1079394304,1079395327),('CA',1079395328,1079395839),('US',1079395840,1079396351),('CA',1079396352,1079397375),('MH',1079397376,1079397631),('MY',1079397632,1079397887),('US',1079397888,1079398399),('CA',1079398400,1079399935),('US',1079399936,1079400447),('FR',1079400448,1079400511),('CA',1079400512,1079400703),('US',1079400704,1079400895),('CA',1079400896,1079401983),('US',1079401984,1079402495),('CA',1079402496,1079403007),('US',1079403008,1079403519),('CA',1079403520,1079403775),('US',1079403776,1079404927),('CA',1079404928,1079405023),('US',1079405024,1079405407),('BD',1079405408,1079405439),('US',1079405440,1079405567),('CA',1079405568,1079406079),('PH',1079406080,1079406591),('CA',1079406592,1079407103),('FR',1079407104,1079407359),('CA',1079407360,1079408383),('ZA',1079408384,1079408415),('CA',1079408416,1079408431),('US',1079408432,1079408447),('CA',1079408448,1079408895),('PK',1079408896,1079409407),('LR',1079409408,1079409919),('US',1079409920,1079410175),('CA',1079410176,1079411455),('PK',1079411456,1079411711),('CA',1079411712,1079412735),('US',1079412736,1079413247),('CA',1079413248,1079413311),('US',1079413312,1079413343),('CA',1079413344,1079414271),('US',1079414272,1079415039),('HN',1079415040,1079415295),('CA',1079415296,1079415551),('US',1079415552,1079416319),('CA',1079416320,1079419135),('US',1079419136,1079419903),('CA',1079419904,1079420159),('US',1079420160,1079420671),('CA',1079420672,1079422463),('MZ',1079422464,1079423487),('CA',1079423488,1079423999),('MZ',1079424000,1079424767),('US',1079424768,1079425279),('CA',1079425280,1079425535),('ZA',1079425536,1079425551),('CA',1079425552,1079427071),('US',1079427072,1079427327),('CA',1079427328,1079427583),('PW',1079427584,1079428095),('CA',1079428096,1079429119),('US',1079429120,1079429375),('CA',1079429376,1079429631),('US',1079429632,1079430143),('CA',1079430144,1079430399),('US',1079430400,1079431167),('CA',1079431168,1079431679),('ZM',1079431680,1079432191),('CA',1079432192,1079433215),('CR',1079433216,1079435263),('CO',1079435264,1079435775),('HT',1079435776,1079436799),('CA',1079436800,1079437311),('US',1079437312,1079439359),('CA',1079439360,1079443199),('PW',1079443200,1079443231),('CA',1079443232,1079443327),('AU',1079443328,1079443455),('US',1079443456,1079447551),('CA',1079476224,1079508991),('US',1079508992,1079566335),('A2',1079566336,1079570431),('US',1079570432,1079574527),('US',1079578624,1079585391),('IN',1079585392,1079585407),('US',1079585408,1079664639),('CA',1079664640,1079668735),('US',1079668736,1079827871),('RU',1079827872,1079827887),('US',1079827888,1079856639),('IN',1079856640,1079856895),('US',1079856896,1079857887),('NZ',1079857888,1079857903),('US',1079857904,1079861247),('CA',1079861248,1079865343),('US',1079865344,1079925919),('GB',1079925920,1079925951),('US',1079925952,1079944295),('IL',1079944296,1079944303),('US',1079944304,1079944383),('IL',1079944384,1079944415),('US',1079944416,1079946143),('FR',1079946144,1079946151),('US',1079946152,1079953567),('GB',1079953568,1079953599),('US',1079953600,1080004383),('CA',1080004384,1080004391),('US',1080004392,1080021999),('CA',1080022000,1080022015),('US',1080022016,1080033279),('CA',1080033280,1080295423),('US',1080295424,1080722827),('IT',1080722828,1080722837),('US',1080722838,1080722993),('CA',1080722994,1080723003),('US',1080723004,1080723113),('BR',1080723114,1080723123),('US',1080723124,1080723229),('GB',1080723230,1080723239),('US',1080723240,1080723259),('GB',1080723260,1080723269),('US',1080723270,1080723359),('BR',1080723360,1080723369),('US',1080723370,1080723565),('AE',1080723566,1080723575),('US',1080723576,1080724519),('CA',1080724520,1080724539),('US',1080724540,1080724875),('SY',1080724876,1080724885),('US',1080724886,1080725041),('QA',1080725042,1080725051),('US',1080725052,1080725081),('QA',1080725082,1080725091),('US',1080725092,1080725171),('QA',1080725172,1080725181),('US',1080725182,1080725277),('CA',1080725278,1080725287),('NZ',1080725288,1080725297),('US',1080725298,1080725467),('LB',1080725468,1080725477),('US',1080725478,1080725563),('IT',1080725564,1080725573),('US',1080725574,1080725713),('BE',1080725714,1080725723),('US',1080725724,1080725929),('BE',1080725930,1080725939),('US',1080725940,1080726185),('JO',1080726186,1080726195),('US',1080726196,1080726607),('CA',1080726608,1080726617),('US',1080726618,1080727129),('AU',1080727130,1080727139),('US',1080727140,1080727159),('CA',1080727160,1080727169),('US',1080727170,1080727189),('AU',1080727190,1080727199),('US',1080727200,1080727741),('BR',1080727742,1080727761),('US',1080727762,1080727781),('GB',1080727782,1080727801),('US',1080727802,1080728625),('NZ',1080728626,1080728655),('US',1080728656,1080728775),('SE',1080728776,1080728805),('US',1080728806,1080728881),('IN',1080728882,1080728891),('US',1080728892,1080729127),('UA',1080729128,1080729137),('US',1080729138,1080729147),('CA',1080729148,1080729157),('US',1080729158,1080729177),('KH',1080729178,1080729187),('US',1080729188,1080729217),('KH',1080729218,1080729237),('US',1080729238,1080729287),('IT',1080729288,1080729297),('US',1080729298,1080729629),('JP',1080729630,1080729639),('CA',1080729640,1080729649),('US',1080729650,1080732319),('QA',1080732320,1080732351),('US',1080732352,1080733193),('NZ',1080733194,1080733203),('LB',1080733204,1080733213),('US',1080733214,1080733233),('DK',1080733234,1080733243),('US',1080733244,1080739007),('JO',1080739008,1080739023),('US',1080739024,1080739899),('IN',1080739900,1080739909),('US',1080739910,1080740235),('UA',1080740236,1080740255),('GA',1080740256,1080740265),('US',1080740266,1080740305),('LB',1080740306,1080740315),('US',1080740316,1080740551),('UA',1080740552,1080740561),('US',1080740562,1080741189),('GR',1080741190,1080741199),('US',1080741200,1080741269),('GR',1080741270,1080741279),('GB',1080741280,1080741289),('US',1080741290,1080741495),('CA',1080741496,1080741505),('US',1080741506,1080741605),('SE',1080741606,1080741615),('US',1080741616,1080741671),('CA',1080741672,1080741681),('US',1080741682,1080744211),('CA',1080744212,1080744221),('US',1080744222,1080744511),('NO',1080744512,1080744575),('US',1080744576,1080746691),('QA',1080746692,1080746723),('US',1080746724,1080747333),('NZ',1080747334,1080747343),('CA',1080747344,1080747353),('US',1080747354,1080747503),('CA',1080747504,1080747513),('US',1080747514,1080747539),('CA',1080747540,1080747559),('US',1080747560,1080747875),('ES',1080747876,1080747885),('US',1080747886,1080747915),('IL',1080747916,1080747925),('US',1080747926,1080747955),('ES',1080747956,1080747965),('US',1080747966,1080747975),('CA',1080747976,1080748005),('US',1080748006,1080748063),('QA',1080748064,1080748095),('US',1080748096,1080749823),('CA',1080749824,1080749951),('US',1080749952,1080750601),('GB',1080750602,1080750611),('US',1080750612,1080820871),('PR',1080820872,1080820879),('US',1080820880,1080999935),('CA',1080999936,1081016319),('US',1081016320,1081212927),('CA',1081212928,1081278463),('US',1081278464,1081368607),('CO',1081368608,1081368615),('US',1081368616,1081368623),('CO',1081368624,1081368631),('US',1081368632,1081368743),('CO',1081368744,1081368751),('US',1081368752,1081369599),('CO',1081369600,1081370111),('US',1081370112,1081377055),('VE',1081377056,1081377071),('US',1081377072,1081377079),('VE',1081377080,1081377087),('US',1081377088,1081377119),('VE',1081377120,1081377135),('US',1081377136,1081377191),('VE',1081377192,1081377199),('US',1081377200,1081377247),('VE',1081377248,1081377279),('US',1081377280,1081377663),('VE',1081377664,1081377791),('US',1081377792,1081377815),('VE',1081377816,1081377823),('US',1081377824,1081377887),('VE',1081377888,1081377919),('US',1081377920,1081377935),('VE',1081377936,1081377983),('US',1081377984,1081378015),('VE',1081378016,1081378047),('US',1081378048,1081378303),('VE',1081378304,1081378335),('US',1081378336,1081378383),('VE',1081378384,1081378399),('US',1081378400,1081378495),('VE',1081378496,1081378575),('US',1081378576,1081378607),('VE',1081378608,1081378655),('US',1081378656,1081378751),('VE',1081378752,1081378815),('US',1081378816,1081379327),('VE',1081379328,1081379839),('US',1081379840,1081385215),('PA',1081385216,1081385535),('US',1081385536,1081385983),('PA',1081385984,1081385991),('US',1081385992,1081385999),('PA',1081386000,1081386015),('VE',1081386016,1081386047),('US',1081386048,1081387519),('PA',1081387520,1081388031),('US',1081388032,1081388127),('PA',1081388128,1081388143),('PR',1081388144,1081388151),('US',1081388152,1081391103),('PA',1081391104,1081393151),('US',1081393152,1081393407),('CL',1081393408,1081393751),('US',1081393752,1081393759),('CL',1081393760,1081393783),('US',1081393784,1081393831),('CL',1081393832,1081393839),('US',1081393840,1081393887),('CL',1081393888,1081393903),('US',1081393904,1081393919),('CL',1081393920,1081397247),('US',1081397248,1081397759),('CL',1081397760,1081398783),('US',1081398784,1081399295),('CL',1081399296,1081401343),('AR',1081401344,1081401407),('US',1081401408,1081401423),('AR',1081401424,1081401535),('US',1081401536,1081401567),('AR',1081401568,1081401735),('US',1081401736,1081401743),('AR',1081401744,1081401751),('US',1081401752,1081401759),('AR',1081401760,1081402367),('US',1081402368,1081402895),('AR',1081402896,1081403007),('US',1081403008,1081403055),('AR',1081403056,1081403103),('US',1081403104,1081403119),('AR',1081403120,1081403487),('US',1081403488,1081403535),('AR',1081403536,1081403551),('US',1081403552,1081403647),('AR',1081403648,1081403655),('US',1081403656,1081403711),('AR',1081403712,1081403775),('US',1081403776,1081403847),('AR',1081403848,1081403871),('US',1081403872,1081403903),('AR',1081403904,1081403967),('US',1081403968,1081404031),('AR',1081404032,1081404095),('US',1081404096,1081404991),('AR',1081404992,1081405119),('US',1081405120,1081409791),('PR',1081409792,1081410047),('US',1081410048,1081410559),('PR',1081410560,1081411583),('US',1081411584,1081413119),('PR',1081413120,1081413375),('US',1081413376,1081413439),('PR',1081413440,1081413447),('US',1081413448,1081413527),('CA',1081413528,1081413535),('US',1081413536,1081413567),('CA',1081413568,1081413575),('PR',1081413576,1081413631),('US',1081413632,1081416191),('PR',1081416192,1081416447),('US',1081416448,1081418751),('PR',1081418752,1081419007),('US',1081419008,1081419263),('PR',1081419264,1081419391),('US',1081419392,1081419423),('PR',1081419424,1081419431),('US',1081419432,1081419487),('PR',1081419488,1081419519),('US',1081419520,1081419775),('PR',1081419776,1081420287),('US',1081420288,1081420479),('PR',1081420480,1081420543),('US',1081420544,1081421183),('PR',1081421184,1081421215),('US',1081421216,1081442319),('CL',1081442320,1081442335),('US',1081442336,1081442463),('CL',1081442464,1081442495),('US',1081442496,1081442911),('CL',1081442912,1081442927),('US',1081442928,1081442959),('CL',1081442960,1081442967),('US',1081442968,1081443327),('CL',1081443328,1081444863),('US',1081444864,1081445303),('CL',1081445304,1081445311),('US',1081445312,1081445375),('CL',1081445376,1081450495),('US',1081450496,1081460735),('PA',1081460736,1081462783),('US',1081462784,1081479167),('CA',1081479168,1081483263),('US',1081483264,1081487359),('US',1081491456,1081565183),('CA',1081565184,1081573375),('US',1081573376,1081581615),('JP',1081581616,1081581623),('US',1081581624,1081581671),('GB',1081581672,1081581687),('US',1081581688,1081581695),('AE',1081581696,1081581703),('US',1081581704,1081581743),('MX',1081581744,1081581759),('US',1081581760,1081581767),('AR',1081581768,1081581775),('US',1081581776,1081581823),('GB',1081581824,1081581975),('US',1081581976,1081581983),('AR',1081581984,1081582015),('GB',1081582016,1081582079),('PH',1081582080,1081582087),('US',1081582088,1081582151),('AR',1081582152,1081582159),('US',1081582160,1081582167),('AE',1081582168,1081582175),('US',1081582176,1081582183),('ID',1081582184,1081582199),('US',1081582200,1081582223),('JP',1081582224,1081582231),('US',1081582232,1081582335),('MY',1081582336,1081582343),('US',1081582344,1081582535),('AR',1081582536,1081582559),('US',1081582560,1081582567),('MY',1081582568,1081582591),('AR',1081582592,1081582599),('US',1081582600,1081582679),('AR',1081582680,1081582687),('US',1081582688,1081582695),('MY',1081582696,1081582703),('US',1081582704,1081582711),('AR',1081582712,1081582719),('US',1081582720,1081582775),('AR',1081582776,1081582783),('US',1081582784,1081582903),('AR',1081582904,1081582911),('US',1081582912,1081582991),('HK',1081582992,1081582999),('AR',1081583000,1081583007),('US',1081583008,1081583055),('AR',1081583056,1081583071),('MY',1081583072,1081583103),('US',1081583104,1081583215),('PH',1081583216,1081583231),('US',1081583232,1081583551),('MY',1081583552,1081583567),('US',1081583568,1081583743),('CA',1081583744,1081583767),('US',1081583768,1081583807),('AU',1081583808,1081583815),('US',1081583816,1081583887),('MY',1081583888,1081583911),('JP',1081583912,1081583919),('US',1081583920,1081583999),('MY',1081584000,1081584007),('US',1081584008,1081584079),('MY',1081584080,1081584087),('US',1081584088,1081584127),('DE',1081584128,1081584151),('US',1081584152,1081584167),('PH',1081584168,1081584191),('US',1081584192,1081584199),('MY',1081584200,1081584223),('AR',1081584224,1081584271),('US',1081584272,1081584463),('MY',1081584464,1081584487),('US',1081584488,1081584511),('AR',1081584512,1081584519),('US',1081584520,1081584543),('MY',1081584544,1081584575),('US',1081584576,1081584599),('AR',1081584600,1081584639),('US',1081584640,1081586231),('IT',1081586232,1081586239),('AU',1081586240,1081586247),('US',1081586248,1081587759),('AU',1081587760,1081587767),('US',1081587768,1081588351),('GB',1081588352,1081588359),('US',1081588360,1081588543),('KH',1081588544,1081588551),('US',1081588552,1081588751),('AU',1081588752,1081588767),('US',1081588768,1081589103),('PH',1081589104,1081589111),('US',1081589112,1081589759),('BB',1081589760,1081593855),('US',1081597952,1081606143),('US',1081671680,1081803287),('PR',1081803288,1081803295),('US',1081803296,1081803895),('PR',1081803896,1081803903),('US',1081803904,1081832663),('PR',1081832664,1081832671),('US',1081832672,1081859999),('PR',1081860000,1081860007),('US',1081860008,1081862639),('PR',1081862640,1081862647),('US',1081862648,1081872663),('FI',1081872664,1081872671),('US',1081872672,1081911823),('GB',1081911824,1081911831),('US',1081911832,1081911935),('GB',1081911936,1081911951),('US',1081911952,1081912575),('DE',1081912576,1081912639),('US',1081912640,1081927135),('GB',1081927136,1081927143),('US',1081927144,1081955327),('CA',1081955328,1081955583),('US',1081955584,1081955839),('CA',1081955840,1081956095),('US',1081956096,1081966871),('AS',1081966872,1081966879),('US',1081966880,1082091263),('CN',1082091264,1082091271),('US',1082091272,1082091711),('IL',1082091712,1082091727),('US',1082091728,1082091999),('CA',1082092000,1082092007),('US',1082092008,1082093679),('AU',1082093680,1082093695),('US',1082093696,1082096039),('NZ',1082096040,1082096047),('US',1082096048,1082097055),('CA',1082097056,1082097071),('US',1082097072,1082097143),('AU',1082097144,1082097151),('US',1082097152,1082314751),('CA',1082314752,1082318847),('US',1082318848,1082434239),('IN',1082434240,1082434255),('US',1082434256,1082683391),('CA',1082683392,1082687487),('US',1082687488,1082885311),('CA',1082885312,1082885343),('US',1082885344,1082885855),('CA',1082885856,1082885887),('US',1082885888,1082945535),('CA',1082945536,1082949631),('US',1082949632,1082952703),('CA',1082952704,1082952959),('US',1082952960,1082982399),('CA',1082982400,1083015167),('US',1083015168,1083417727),('CA',1083417728,1083417791),('US',1083417792,1083418111),('AU',1083418112,1083418367),('US',1083418368,1083418591),('IL',1083418592,1083418623),('US',1083418624,1083421695),('AU',1083421696,1083421759),('US',1083421760,1083424511),('AU',1083424512,1083424767),('US',1083424768,1083437055),('CA',1083437056,1083441151),('US',1083441152,1083486911),('IS',1083486912,1083486943),('US',1083486944,1083621375),('BS',1083621376,1083637759),('US',1083637760,1083686911),('CA',1083686912,1083703295),('US',1083703296,1083738111),('PR',1083738112,1083740159),('US',1083740160,1084067583),('CA',1084067584,1084067839),('US',1084067840,1084346871),('PR',1084346872,1084346879),('US',1084346880,1085439999),('CA',1085440000,1085448191),('US',1085448192,1085456383),('PR',1085456384,1085457919),('US',1085457920,1085458175),('PR',1085458176,1085464575),('US',1085464576,1085538303),('CA',1085538304,1085603839),('US',1085603840,1085669656),('BZ',1085669657,1085669664),('US',1085669665,1085669794),('IS',1085669795,1085669803),('US',1085669804,1085669838),('FR',1085669839,1085669847),('US',1085669848,1085670216),('HK',1085670217,1085670225),('US',1085670226,1085670279),('CA',1085670280,1085670288),('NL',1085670289,1085670297),('US',1085670298,1085670342),('IS',1085670343,1085670351),('US',1085670352,1085670386),('CZ',1085670387,1085670395),('US',1085670396,1085670455),('NL',1085670456,1085670463),('US',1085670464,1085670628),('GR',1085670629,1085670636),('GE',1085670637,1085670644),('US',1085670645,1085671328),('IR',1085671329,1085671336),('US',1085671337,1085671354),('MX',1085671355,1085671363),('US',1085671364,1085671380),('IT',1085671381,1085671389),('US',1085671390,1085671688),('LB',1085671689,1085671696),('US',1085671697,1085671712),('AS',1085671713,1085671720),('US',1085671721,1085672351),('WS',1085672352,1085672359),('US',1085672360,1085672391),('WS',1085672392,1085672399),('US',1085672400,1085672823),('CI',1085672824,1085672831),('US',1085672832,1085672840),('CZ',1085672841,1085672848),('US',1085672849,1085672873),('NL',1085672874,1085672881),('US',1085672882,1085672960),('WS',1085672961,1085672969),('CA',1085672970,1085672978),('US',1085672979,1085677905),('FR',1085677906,1085677913),('CZ',1085677914,1085677921),('US',1085677922,1085677939),('IT',1085677940,1085677947),('US',1085677948,1085678408),('CA',1085678409,1085678417),('US',1085678418,1085678865),('GR',1085678866,1085678994),('US',1085678995,1085679027),('FR',1085679028,1085679045),('US',1085679046,1085681695),('AS',1085681696,1085681711),('US',1085681712,1085681720),('WS',1085681721,1085681728),('US',1085681729,1085681738),('MX',1085681739,1085681756),('EG',1085681757,1085681765),('US',1085681766,1085681906),('CA',1085681907,1085681915),('US',1085681916,1085681920),('CA',1085681921,1085682174),('US',1085682175,1085682258),('FR',1085682259,1085682267),('US',1085682268,1085682284),('IT',1085682285,1085682293),('US',1085682294,1085682331),('CA',1085682332,1085682339),('US',1085682340,1085682374),('HK',1085682375,1085682382),('US',1085682383,1085682863),('AS',1085682864,1085682872),('IT',1085682873,1085682880),('US',1085682881,1085682906),('WS',1085682907,1085682922),('US',1085682923,1085683728),('CA',1085683729,1085683736),('WS',1085683737,1085683744),('US',1085683745,1085683905),('TC',1085683906,1085683914),('US',1085683915,1085684480),('AS',1085684481,1085684734),('US',1085684735,1085685225),('CA',1085685226,1085685233),('US',1085685234,1085685304),('SA',1085685305,1085685312),('US',1085685313,1085685345),('CA',1085685346,1085685353),('US',1085685354,1085685574),('EG',1085685575,1085685584),('US',1085685585,1085685610),('IT',1085685611,1085685618),('AU',1085685619,1085685627),('US',1085685628,1085685636),('SN',1085685637,1085685645),('US',1085685646,1085685661),('FR',1085685662,1085685669),('CA',1085685670,1085685685),('US',1085685686,1085698199),('AS',1085698200,1085698207),('US',1085698208,1085849599),('CA',1085849600,1085857791),('US',1085857792,1085915135),('PR',1085915136,1085923327),('US',1085923328,1085997055),('CA',1085997056,1086013439),('US',1086013440,1086025799),('RO',1086025800,1086025807),('US',1086025808,1086062591),('US',1086193664,1086265540),('IE',1086265541,1086265566),('US',1086265567,1086280580),('IE',1086280581,1086280630),('US',1086280631,1086283236),('IE',1086283237,1086283246),('US',1086283247,1086358143),('PA',1086358144,1086358271),('US',1086358272,1086359231),('IL',1086359232,1086359295),('US',1086359296,1086359615),('LB',1086359616,1086359647),('US',1086359648,1086421503),('MP',1086421504,1086422015),('US',1086422016,1086910335),('LB',1086910336,1086910463),('US',1086910464,1086922751),('CA',1086922752,1086923343),('US',1086923344,1086923359),('CA',1086923360,1086930943),('US',1086930944,1086955519),('CA',1086955520,1086957535),('US',1086957536,1086957567),('CA',1086957568,1086971903),('US',1086971904,1087008767),('SG',1087008768,1087009279),('US',1087009280,1087011327),('GB',1087011328,1087011583),('US',1087011584,1087016959),('CA',1087016960,1087021055),('US',1087021056,1087496703),('CA',1087496704,1087496959),('US',1087496960,1087497855),('CA',1087497856,1087497887),('US',1087497888,1087554751),('IL',1087554752,1087554759),('US',1087554760,1087557631),('NO',1087557632,1087557887),('US',1087557888,1087715327),('PA',1087715328,1087717375),('US',1087717376,1087758335),('PR',1087758336,1087766527),('US',1087766528,1087862783),('PA',1087862784,1087864831),('US',1087864832,1087898879),('PR',1087898880,1087898887),('US',1087898888,1087899391),('PR',1087899392,1087899399),('US',1087899400,1087910447),('PR',1087910448,1087910455),('US',1087910456,1087915079),('PR',1087915080,1087915087),('US',1087915088,1087915519),('PR',1087915520,1087915535),('US',1087915536,1087915583),('PR',1087915584,1087915591),('US',1087915592,1087915599),('PR',1087915600,1087915607),('US',1087915608,1087918423),('PR',1087918424,1087918431),('US',1087918432,1087918503),('PR',1087918504,1087918519),('US',1087918520,1087920295),('PR',1087920296,1087920327),('US',1087920328,1087920335),('PR',1087920336,1087920343),('US',1087920344,1087920431),('PR',1087920432,1087920439),('US',1087920440,1087933103),('PR',1087933104,1087933111),('US',1087933112,1087935103),('PR',1087935104,1087935111),('US',1087935112,1087935215),('PR',1087935216,1087935223),('US',1087935224,1087948391),('PR',1087948392,1087948399),('US',1087948400,1087948639),('PR',1087948640,1087948647),('US',1087948648,1087948839),('PR',1087948840,1087948847),('US',1087948848,1087949735),('PR',1087949736,1087949743),('US',1087949744,1087950063),('PR',1087950064,1087950071),('US',1087950072,1087950111),('PR',1087950112,1087950119),('US',1087950120,1087955767),('PR',1087955768,1087955775),('US',1087955776,1087960127),('PR',1087960128,1087960135),('US',1087960136,1087964431),('PR',1087964432,1087964455),('US',1087964456,1087964463),('PR',1087964464,1087964471),('US',1087964472,1087964575),('PR',1087964576,1087964583),('US',1087964584,1087964599),('PR',1087964600,1087964615),('US',1087964616,1087980759),('PR',1087980760,1087980783),('US',1087980784,1087991175),('PR',1087991176,1087991183),('US',1087991184,1087991207),('PR',1087991208,1087991215),('US',1087991216,1088012447),('PR',1088012448,1088012455),('US',1088012456,1088012727),('PR',1088012728,1088012735),('US',1088012736,1088012751),('PR',1088012752,1088012775),('US',1088012776,1088014583),('PR',1088014584,1088014591),('US',1088014592,1088020031),('PR',1088020032,1088020039),('US',1088020040,1088020359),('PR',1088020360,1088020367),('US',1088020368,1088030663),('PR',1088030664,1088030671),('US',1088030672,1088031839),('PR',1088031840,1088031847),('US',1088031848,1088031943),('PR',1088031944,1088031951),('US',1088031952,1088058847),('PR',1088058848,1088058855),('US',1088058856,1088091583),('PR',1088091584,1088091591),('US',1088091592,1088093727),('PR',1088093728,1088093735),('US',1088093736,1088100967),('PR',1088100968,1088100975),('US',1088100976,1088101023),('PR',1088101024,1088101031),('US',1088101032,1088108351),('PR',1088108352,1088108359),('US',1088108360,1088117199),('PR',1088117200,1088117207),('US',1088117208,1088120527),('PR',1088120528,1088120535),('US',1088120536,1088146151),('PR',1088146152,1088146159),('US',1088146160,1088147815),('PR',1088147816,1088147823),('US',1088147824,1088152215),('PR',1088152216,1088152223),('US',1088152224,1088424464),('AU',1088424465,1088424478),('US',1088424479,1088450704),('ES',1088450705,1088450718),('US',1088450719,1088451760),('CA',1088451761,1088451774),('US',1088451775,1088452112),('CA',1088452113,1088452126),('US',1088452127,1088452400),('VE',1088452401,1088452414),('US',1088452415,1088453024),('JP',1088453025,1088453038),('US',1088453039,1088453104),('CL',1088453105,1088453118),('US',1088453119,1088453488),('IE',1088453489,1088453502),('US',1088453503,1088453536),('CL',1088453537,1088453550),('US',1088453551,1088453808),('AR',1088453809,1088453822),('US',1088453823,1088453840),('LB',1088453841,1088453854),('US',1088453855,1088453856),('CN',1088453857,1088453870),('US',1088453871,1088454448),('LB',1088454449,1088454462),('US',1088454463,1088473375),('ES',1088473376,1088473391),('US',1088473392,1088473695),('IE',1088473696,1088473711),('US',1088473712,1088518415),('HK',1088518416,1088518431),('US',1088518432,1088518479),('TH',1088518480,1088518495),('US',1088518496,1088518927),('UA',1088518928,1088519007),('US',1088519008,1088522671),('CA',1088522672,1088522687),('US',1088522688,1088522735),('TH',1088522736,1088522751),('US',1088522752,1088523199),('TH',1088523200,1088523215),('US',1088523216,1088523439),('JP',1088523440,1088523487),('US',1088523488,1088523807),('PR',1088523808,1088523823),('US',1088523824,1088524271),('IN',1088524272,1088524286),('US',1088524287,1088684031),('CA',1088684032,1088946175),('US',1088946176,1088949919),('CA',1088949920,1088949935),('US',1088949936,1089154847),('VE',1089154848,1089154855),('US',1089154856,1089154876),('AU',1089154877,1089154884),('US',1089154885,1089154915),('AU',1089154916,1089154932),('US',1089154933,1089154940),('GR',1089154941,1089154956),('US',1089154957,1089154968),('IN',1089154969,1089154977),('US',1089154978,1089155011),('TR',1089155012,1089155031),('US',1089155032,1089156607),('CA',1089156608,1089156863),('US',1089156864,1089167359),('CA',1089167360,1089171455),('A2',1089171456,1089175551),('US',1089175552,1089191935),('CA',1089191936,1089192591),('IT',1089192592,1089192599),('CA',1089192600,1089196623),('US',1089196624,1089196639),('CA',1089196640,1089200127),('US',1089200128,1089200751),('CA',1089200752,1089200783),('US',1089200784,1089203439),('AU',1089203440,1089203447),('US',1089203448,1089204575),('CA',1089204576,1089204607),('US',1089204608,1089228799),('GB',1089228800,1089229311),('US',1089229312,1089306623),('PR',1089306624,1089339391),('US',1089339392,1089372159),('US',1089380352,1089393295),('CA',1089393296,1089393407),('US',1089393408,1089482927),('CA',1089482928,1089482935),('US',1089482936,1089486591),('CA',1089486592,1089486607),('US',1089486608,1089488463),('JP',1089488464,1089488479),('US',1089488480,1089492351),('CA',1089492352,1089492415),('US',1089492416,1089493631),('CA',1089493632,1089493647),('US',1089493648,1089503871),('CA',1089503872,1089503879),('US',1089503880,1089526783),('VE',1089526784,1089527039),('US',1089527040,1089552383),('AU',1089552384,1089552391),('US',1089552392,1089557551),('CA',1089557552,1089557559),('US',1089557560,1089576623),('CA',1089576624,1089576631),('US',1089576632,1089579215),('VI',1089579216,1089579223),('US',1089579224,1089579519),('VE',1089579520,1089580031),('US',1089580032,1089581287),('CA',1089581288,1089581295),('US',1089581296,1089585919),('CA',1089585920,1089585951),('US',1089585952,1089587999),('IN',1089588000,1089588015),('US',1089588016,1089593615),('CA',1089593616,1089593623),('US',1089593624,1089595279),('CA',1089595280,1089595287),('US',1089595288,1089596543),('CA',1089596544,1089596575),('US',1089596576,1089598975),('HK',1089598976,1089599231),('US',1089599232,1089626399),('CA',1089626400,1089626407),('US',1089626408,1089626415),('CA',1089626416,1089626431),('US',1089626432,1089631055),('CA',1089631056,1089631071),('US',1089631072,1089644815),('GB',1089644816,1089644831),('US',1089644832,1089672263),('CA',1089672264,1089672271),('US',1089672272,1089674367),('CA',1089674368,1089674383),('US',1089674384,1089720959),('CA',1089720960,1089720967),('US',1089720968,1089721023),('CA',1089721024,1089721087),('US',1089721088,1089721503),('CA',1089721504,1089721519),('US',1089721520,1089721727),('CA',1089721728,1089721791),('US',1089721792,1089723823),('CA',1089723824,1089723831),('US',1089723832,1089798143),('ZA',1089798144,1089802239),('US',1089802240,1089961983),('CA',1089961984,1089970175),('PR',1089970176,1089974271),('US',1089974272,1090207743),('CA',1090207744,1090220031),('US',1090220032,1090355199),('CA',1090355200,1090356327),('US',1090356328,1090356335),('CA',1090356336,1090363391),('US',1090363392,1090387967),('CA',1090387968,1090396159),('US',1090396160,1090424831),('CA',1090424832,1090428927),('US',1090428928,1090445311),('CA',1090445312,1090447359),('US',1090447360,1090447487),('CA',1090447488,1090448127),('US',1090448128,1090448255),('CA',1090448256,1090453503),('US',1090453504,1090497903),('AU',1090497904,1090497919),('US',1090497920,1091444735),('A2',1091444736,1091445247),('US',1091445248,1091683357),('GB',1091683358,1091683367),('US',1091683368,1091683387),('LB',1091683388,1091683397),('US',1091683398,1091683407),('BE',1091683408,1091683417),('US',1091683418,1091683437),('QA',1091683438,1091683447),('US',1091683448,1091683593),('CA',1091683594,1091683603),('US',1091683604,1091683613),('CA',1091683614,1091683653),('US',1091683654,1091683869),('AU',1091683870,1091683889),('US',1091683890,1091683909),('CR',1091683910,1091683919),('US',1091683920,1091684879),('CA',1091684880,1091684895),('US',1091684896,1091685695),('QA',1091685696,1091685711),('US',1091685712,1091685759),('QA',1091685760,1091685887),('US',1091685888,1091687167),('CA',1091687168,1091687183),('US',1091687184,1091687359),('CA',1091687360,1091687391),('US',1091687392,1091687711),('ES',1091687712,1091687727),('CO',1091687728,1091687743),('US',1091687744,1091687807),('CR',1091687808,1091687839),('ES',1091687840,1091687871),('US',1091687872,1091689255),('GB',1091689256,1091689265),('US',1091689266,1091689295),('NZ',1091689296,1091689305),('US',1091689306,1091689335),('SI',1091689336,1091689345),('US',1091689346,1091690495),('CA',1091690496,1091690511),('GB',1091690512,1091690527),('US',1091690528,1091690751),('GB',1091690752,1091690815),('US',1091690816,1091690943),('GR',1091690944,1091691007),('US',1091691008,1091691327),('SA',1091691328,1091691359),('US',1091691360,1091692347),('SY',1091692348,1091692357),('US',1091692358,1091692387),('GB',1091692388,1091692397),('NL',1091692398,1091692407),('US',1091692408,1091692447),('GB',1091692448,1091692457),('US',1091692458,1091692573),('BE',1091692574,1091692583),('US',1091692584,1091692643),('PH',1091692644,1091692653),('US',1091692654,1091692703),('SI',1091692704,1091692713),('US',1091692714,1091692723),('CA',1091692724,1091692733),('US',1091692734,1091693095),('NZ',1091693096,1091693135),('US',1091693136,1091694447),('BG',1091694448,1091694463),('US',1091694464,1091694877),('DE',1091694878,1091694887),('US',1091694888,1091694997),('CR',1091694998,1091695007),('CA',1091695008,1091695017),('US',1091695018,1091695057),('CR',1091695058,1091695067),('US',1091695068,1091695123),('CA',1091695124,1091695163),('US',1091695164,1091695213),('CA',1091695214,1091695223),('US',1091695224,1091695283),('CA',1091695284,1091695293),('US',1091695294,1091695487),('SA',1091695488,1091695551),('US',1091695552,1091797855),('IT',1091797856,1091797871),('US',1091797872,1091797999),('DE',1091798000,1091798015),('US',1091798016,1091798639),('CN',1091798640,1091798647),('US',1091798648,1091798783),('CN',1091798784,1091799039),('US',1091799040,1091799719),('SG',1091799720,1091799727),('US',1091799728,1091800319),('JP',1091800320,1091800327),('US',1091800328,1091802111),('CA',1091802112,1091802367),('US',1091802368,1091803135),('CN',1091803136,1091803391),('US',1091803392,1091804263),('BM',1091804264,1091804271),('US',1091804272,1091804287),('JP',1091804288,1091804415),('US',1091804416,1091806719),('IT',1091806720,1091806847),('US',1091806848,1091807231),('CA',1091807232,1091807487),('US',1091807488,1091807999),('CA',1091808000,1091808511),('US',1091808512,1091808783),('JP',1091808784,1091808799),('US',1091808800,1091809375),('GB',1091809376,1091809391),('US',1091809392,1091811839),('IT',1091811840,1091812095),('US',1091812096,1091812351),('CN',1091812352,1091812607),('US',1091812608,1091960831),('CA',1091960832,1092026367),('US',1092026368,1092066589),('KN',1092066590,1092066597),('US',1092066598,1092066647),('GR',1092066648,1092066659),('US',1092066660,1092067042),('KN',1092067043,1092067050),('US',1092067051,1092075519),('PR',1092075520,1092091903),('US',1092091904,1092878335),('US',1092911104,1092940607),('AU',1092940608,1092940639),('US',1092940640,1093017599),('CA',1093017600,1093021695),('US',1093021696,1093025791),('CA',1093025792,1093033983),('US',1093033984,1093052111),('AR',1093052112,1093052127),('US',1093052128,1093052447),('SA',1093052448,1093052463),('GB',1093052464,1093052479),('US',1093052480,1093054079),('GB',1093054080,1093054095),('US',1093054096,1093054127),('FR',1093054128,1093054143),('US',1093054144,1093054175),('CA',1093054176,1093054191),('US',1093054192,1093055487),('AR',1093055488,1093055871),('US',1093055872,1093056095),('SY',1093056096,1093056127),('US',1093056128,1093056143),('SY',1093056144,1093056159),('US',1093056160,1093056167),('RO',1093056168,1093056175),('US',1093056176,1093056319),('CA',1093056320,1093056335),('US',1093056336,1093056447),('FR',1093056448,1093056463),('CA',1093056464,1093056479),('US',1093056480,1093056511),('GB',1093056512,1093056527),('US',1093056528,1093056591),('CA',1093056592,1093056607),('US',1093056608,1093056959),('SA',1093056960,1093056975),('US',1093056976,1093057103),('JP',1093057104,1093057119),('US',1093057120,1093057263),('IT',1093057264,1093057279),('US',1093057280,1093057295),('CY',1093057296,1093057343),('US',1093057344,1093057391),('RO',1093057392,1093057407),('PH',1093057408,1093057423),('US',1093057424,1093057487),('CY',1093057488,1093057503),('US',1093057504,1093057983),('RO',1093057984,1093057999),('US',1093058000,1093058095),('SY',1093058096,1093058111),('US',1093058112,1093058271),('SY',1093058272,1093058287),('US',1093058288,1093058559),('PR',1093058560,1093063167),('DO',1093063168,1093063679),('PR',1093063680,1093066751),('US',1093066752,1093074943),('CA',1093074944,1093091327),('US',1093091328,1093107711),('CA',1093107712,1093109367),('US',1093109368,1093109375),('CA',1093109376,1093109879),('US',1093109880,1093109887),('CA',1093109888,1093109967),('US',1093109968,1093109983),('CA',1093109984,1093110783),('US',1093110784,1093110815),('CA',1093110816,1093110831),('US',1093110832,1093110943),('CA',1093110944,1093111711),('US',1093111712,1093111759),('CA',1093111760,1093111871),('US',1093111872,1093111903),('CA',1093111904,1093111935),('US',1093111936,1093111951),('CA',1093111952,1093111959),('BV',1093111960,1093111967),('CA',1093111968,1093112383),('US',1093112384,1093112415),('CA',1093112416,1093112431),('US',1093112432,1093112479),('CA',1093112480,1093112511),('US',1093112512,1093114655),('CA',1093114656,1093114679),('US',1093114680,1093114703),('CA',1093114704,1093114711),('US',1093114712,1093114751),('CA',1093114752,1093114823),('US',1093114824,1093114847),('CA',1093114848,1093115135),('US',1093115136,1093115391),('CA',1093115392,1093115647),('US',1093115648,1093115775),('CA',1093115776,1093115839),('US',1093115840,1093115903),('CA',1093115904,1093116927),('US',1093116928,1093117439),('CA',1093117440,1093117519),('US',1093117520,1093117527),('CA',1093117528,1093117567),('US',1093117568,1093117599),('CA',1093117600,1093117607),('US',1093117608,1093117615),('CA',1093117616,1093117855),('US',1093117856,1093117887),('CA',1093117888,1093118207),('US',1093118208,1093118479),('CA',1093118480,1093118495),('US',1093118496,1093118527),('CA',1093118528,1093118543),('US',1093118544,1093118591),('CA',1093118592,1093118719),('US',1093118720,1093118993),('CA',1093118994,1093119006),('US',1093119007,1093119015),('CA',1093119016,1093119023),('US',1093119024,1093119039),('CA',1093119040,1093119135),('US',1093119136,1093119167),('CA',1093119168,1093119311),('US',1093119312,1093119327),('CA',1093119328,1093119663),('US',1093119664,1093119679),('CA',1093119680,1093119695),('US',1093119696,1093119743),('CA',1093119744,1093119807),('US',1093119808,1093119839),('CA',1093119840,1093119935),('US',1093119936,1093119999),('CA',1093120000,1093120383),('US',1093120384,1093120399),('BV',1093120400,1093120415),('CA',1093120416,1093120511),('GB',1093120512,1093120767),('US',1093120768,1093120911),('CA',1093120912,1093120919),('US',1093120920,1093120927),('CA',1093120928,1093120943),('US',1093120944,1093120959),('CA',1093120960,1093122047),('US',1093122048,1093122303),('CA',1093122304,1093122447),('US',1093122448,1093122463),('CA',1093122464,1093122543),('US',1093122544,1093122551),('CA',1093122552,1093122559),('US',1093122560,1093122591),('CA',1093122592,1093122655),('US',1093122656,1093122687),('CA',1093122688,1093122751),('US',1093122752,1093122783),('CA',1093122784,1093122791),('US',1093122792,1093122799),('CA',1093122800,1093122807),('US',1093122808,1093122815),('CA',1093122816,1093123839),('US',1093123840,1093123903),('AN',1093123904,1093123935),('US',1093123936,1093123983),('BV',1093123984,1093123999),('US',1093124000,1093124095),('CA',1093124096,1093124287),('US',1093124288,1093124351),('CA',1093124352,1093125103),('US',1093125104,1093125111),('CA',1093125112,1093125631),('US',1093125632,1093125759),('CA',1093125760,1093125775),('US',1093125776,1093125871),('CA',1093125872,1093125887),('US',1093125888,1093126047),('CA',1093126048,1093126111),('US',1093126112,1093126134),('CA',1093126135,1093126142),('US',1093126143,1093126143),('CA',1093126144,1093126399),('FI',1093126400,1093126431),('CA',1093126432,1093126527),('US',1093126528,1093126535),('FI',1093126536,1093126543),('CA',1093126544,1093126551),('US',1093126552,1093126559),('CA',1093126560,1093126639),('US',1093126640,1093126801),('CA',1093126802,1093126809),('US',1093126810,1093126823),('CA',1093126824,1093126831),('US',1093126832,1093126911),('CA',1093126912,1093127167),('US',1093127168,1093127191),('CA',1093127192,1093127199),('US',1093127200,1093127423),('CA',1093127424,1093127455),('US',1093127456,1093127471),('CA',1093127472,1093127487),('US',1093127488,1093127551),('CA',1093127552,1093127615),('US',1093127616,1093127647),('CA',1093127648,1093127663),('US',1093127664,1093127775),('CA',1093127776,1093127791),('US',1093127792,1093128191),('CA',1093128192,1093128383),('US',1093128384,1093128959),('CA',1093128960,1093129215),('US',1093129216,1093130367),('CA',1093130368,1093130591),('US',1093130592,1093130687),('CA',1093130688,1093131215),('US',1093131216,1093131231),('CA',1093131232,1093131263),('US',1093131264,1093131391),('CA',1093131392,1093131487),('US',1093131488,1093132287),('CA',1093132288,1093132799),('US',1093132800,1093133055),('CA',1093133056,1093133311),('US',1093133312,1093133391),('CA',1093133392,1093133407),('US',1093133408,1093133567),('CA',1093133568,1093134239),('US',1093134240,1093134255),('CA',1093134256,1093134263),('US',1093134264,1093134271),('CA',1093134272,1093134335),('US',1093134336,1093135359),('CA',1093135360,1093135615),('US',1093135616,1093135679),('CA',1093135680,1093135871),('US',1093135872,1093136895),('CA',1093136896,1093137151),('US',1093137152,1093137279),('CA',1093137280,1093137663),('US',1093137664,1093137791),('CA',1093137792,1093138047),('US',1093138048,1093138175),('CA',1093138176,1093138431),('US',1093138432,1093138559),('CA',1093138560,1093138623),('US',1093138624,1093138975),('CA',1093138976,1093139007),('US',1093139008,1093139455),('CA',1093139456,1093139583),('US',1093139584,1093139647),('CA',1093139648,1093139679),('US',1093139680,1093139695),('CA',1093139696,1093140223),('US',1093140224,1093338895),('PR',1093338896,1093338903),('US',1093338904,1093697535),('BB',1093697536,1093699071),('GD',1093699072,1093700607),('VC',1093700608,1093701631),('BB',1093701632,1093713919),('US',1093730304,1093730559),('HK',1093730560,1093730815),('US',1093730816,1093743103),('HK',1093743104,1093743359),('US',1093743360,1093779455),('US',1093795840,1094319583),('CA',1094319584,1094319599),('US',1094319600,1094549687),('CA',1094549688,1094549695),('US',1094549696,1094549783),('AU',1094549784,1094549791),('US',1094549792,1094549799),('CA',1094549800,1094549807),('UZ',1094549808,1094549815),('US',1094549816,1094549863),('AM',1094549864,1094549871),('US',1094549872,1094549935),('CA',1094549936,1094549943),('CY',1094549944,1094549951),('US',1094549952,1094550215),('MX',1094550216,1094550223),('AU',1094550224,1094550239),('US',1094550240,1094550487),('RO',1094550488,1094550495),('US',1094550496,1094550679),('VE',1094550680,1094550695),('US',1094550696,1094550799),('NL',1094550800,1094550807),('US',1094550808,1094550823),('CA',1094550824,1094550831),('US',1094550832,1094550847),('IN',1094550848,1094550855),('US',1094550856,1094550879),('NZ',1094550880,1094550887),('JP',1094550888,1094550895),('UA',1094550896,1094550911),('JM',1094550912,1094550919),('US',1094550920,1094550967),('JM',1094550968,1094550975),('US',1094550976,1094550991),('NL',1094550992,1094550999),('US',1094551000,1094551207),('GB',1094551208,1094551215),('AU',1094551216,1094551231),('US',1094551232,1094551455),('SE',1094551456,1094551471),('US',1094551472,1094551487),('GB',1094551488,1094551495),('US',1094551496,1094551535),('AU',1094551536,1094551551),('US',1094551552,1094552175),('NZ',1094552176,1094552183),('US',1094552184,1094552191),('GB',1094552192,1094552199),('US',1094552200,1094552239),('IN',1094552240,1094552247),('US',1094552248,1094552287),('NZ',1094552288,1094552311),('US',1094552312,1094552319),('IN',1094552320,1094552335),('US',1094552336,1094552375),('AE',1094552376,1094552383),('US',1094552384,1094552527),('CY',1094552528,1094552543),('US',1094552544,1094552551),('NL',1094552552,1094552559),('US',1094552560,1094553855),('GB',1094553856,1094553863),('US',1094553864,1094553927),('IN',1094553928,1094553935),('US',1094553936,1094553975),('NZ',1094553976,1094553983),('US',1094553984,1094554879),('LK',1094554880,1094554887),('US',1094554888,1094554967),('UZ',1094554968,1094554975),('US',1094554976,1094556703),('CA',1094556704,1094556719),('US',1094556720,1094556783),('NZ',1094556784,1094556799),('US',1094556800,1094557271),('CA',1094557272,1094557279),('US',1094557280,1094557751),('GB',1094557752,1094557759),('US',1094557760,1094558463),('JP',1094558464,1094558471),('US',1094558472,1094558751),('CA',1094558752,1094558783),('US',1094558784,1094559743),('AU',1094559744,1094559775),('US',1094559776,1094559807),('AU',1094559808,1094559903),('US',1094559904,1094559919),('AU',1094559920,1094559935),('US',1094559936,1094560063),('FR',1094560064,1094560103),('US',1094560104,1094560255),('IN',1094560256,1094560263),('US',1094560264,1094560279),('GB',1094560280,1094560287),('US',1094560288,1094560319),('IN',1094560320,1094560335),('US',1094560336,1094560447),('AU',1094560448,1094560455),('US',1094560456,1094560895),('CA',1094560896,1094561023),('US',1094561024,1094561047),('CA',1094561048,1094561055),('US',1094561056,1094561319),('CA',1094561320,1094561327),('US',1094561328,1094561535),('HK',1094561536,1094561639),('US',1094561640,1094561831),('AU',1094561832,1094561839),('US',1094561840,1094561855),('AU',1094561856,1094561919),('US',1094561920,1094562431),('TH',1094562432,1094562455),('US',1094562456,1094562687),('CR',1094562688,1094562719),('US',1094562720,1094562799),('CA',1094562800,1094562807),('US',1094562808,1094562879),('MX',1094562880,1094562895),('US',1094562896,1094562911),('DK',1094562912,1094562927),('US',1094562928,1094565119),('CA',1094565120,1094565375),('US',1094565376,1094565743),('CY',1094565744,1094565759),('US',1094565760,1094565807),('RU',1094565808,1094565815),('US',1094565816,1094565887),('CA',1094565888,1094568046),('MO',1094568047,1094568061),('CA',1094568062,1094582271),('US',1094582272,1094723095),('PR',1094723096,1094723111),('US',1094723112,1094727431),('PR',1094727432,1094727439),('US',1094727440,1094727639),('PR',1094727640,1094727647),('US',1094727648,1094749503),('PR',1094749504,1094749511),('US',1094749512,1094759607),('PR',1094759608,1094759615),('US',1094759616,1094764519),('PR',1094764520,1094764527),('US',1094764528,1094780639),('PR',1094780640,1094780647),('US',1094780648,1094795319),('PR',1094795320,1094795327),('US',1094795328,1094796063),('PR',1094796064,1094796071),('US',1094796072,1094797743),('PR',1094797744,1094797751),('US',1094797752,1094797815),('PR',1094797816,1094797823),('US',1094797824,1094801975),('PR',1094801976,1094801983),('US',1094801984,1094802127),('PR',1094802128,1094802135),('US',1094802136,1094807487),('PR',1094807488,1094807495),('US',1094807496,1094810135),('PR',1094810136,1094810143),('US',1094810144,1094811023),('PR',1094811024,1094811031),('US',1094811032,1094811071),('PR',1094811072,1094811079),('US',1094811080,1094822247),('PR',1094822248,1094822255),('US',1094822256,1094822327),('PR',1094822328,1094822335),('US',1094822336,1094822559),('PR',1094822560,1094822567),('US',1094822568,1094831479),('PR',1094831480,1094831487),('US',1094831488,1094833975),('PR',1094833976,1094833983),('US',1094833984,1094839703),('PR',1094839704,1094839711),('US',1094839712,1094839783),('PR',1094839784,1094839791),('US',1094839792,1094839863),('PR',1094839864,1094839871),('US',1094839872,1094841111),('PR',1094841112,1094841119),('US',1094841120,1094841191),('PR',1094841192,1094841199),('US',1094841200,1094843271),('PR',1094843272,1094843279),('US',1094843280,1094846063),('PR',1094846064,1094846071),('US',1094846072,1094850735),('PR',1094850736,1094850743),('US',1094850744,1094857095),('PR',1094857096,1094857103),('US',1094857104,1094861183),('PR',1094861184,1094861191),('US',1094861192,1094861791),('PR',1094861792,1094861799),('US',1094861800,1094867079),('PR',1094867080,1094867087),('US',1094867088,1094869095),('PR',1094869096,1094869103),('US',1094869104,1094874215),('PR',1094874216,1094874223),('US',1094874224,1094878639),('PR',1094878640,1094878647),('US',1094878648,1094879959),('PR',1094879960,1094879967),('US',1094879968,1094880455),('PR',1094880456,1094880463),('US',1094880464,1094881287),('PR',1094881288,1094881295),('US',1094881296,1094881303),('PR',1094881304,1094881311),('US',1094881312,1094886191),('PR',1094886192,1094886199),('US',1094886200,1094886303),('PR',1094886304,1094886311),('US',1094886312,1094889087),('PR',1094889088,1094889095),('US',1094889096,1094892255),('PR',1094892256,1094892263),('US',1094892264,1094893127),('PR',1094893128,1094893135),('US',1094893136,1094893287),('PR',1094893288,1094893295),('US',1094893296,1094898847),('PR',1094898848,1094898855),('US',1094898856,1094901903),('PR',1094901904,1094901919),('US',1094901920,1094901983),('PR',1094901984,1094901999),('US',1094902000,1094902007),('PR',1094902008,1094902015),('US',1094902016,1094904679),('PR',1094904680,1094904687),('US',1094904688,1094909871),('PR',1094909872,1094909879),('US',1094909880,1094909983),('PR',1094909984,1094909991),('US',1094909992,1094911023),('PR',1094911024,1094911031),('US',1094911032,1094912143),('PR',1094912144,1094912151),('US',1094912152,1094912239),('PR',1094912240,1094912247),('US',1094912248,1094912775),('PR',1094912776,1094912783),('US',1094912784,1094913039),('PR',1094913040,1094913047),('US',1094913048,1094913159),('PR',1094913160,1094913167),('US',1094913168,1094917439),('PR',1094917440,1094917447),('US',1094917448,1094917671),('PR',1094917672,1094917687),('US',1094917688,1094918327),('PR',1094918328,1094918335),('US',1094918336,1094919783),('PR',1094919784,1094919791),('US',1094919792,1094919831),('PR',1094919832,1094919839),('US',1094919840,1094921751),('PR',1094921752,1094921759),('US',1094921760,1094921799),('PR',1094921800,1094921807),('US',1094921808,1094924183),('PR',1094924184,1094924191),('US',1094924192,1094926399),('PR',1094926400,1094926407),('US',1094926408,1094926527),('PR',1094926528,1094926535),('US',1094926536,1094926743),('PR',1094926744,1094926751),('US',1094926752,1094928727),('PR',1094928728,1094928735),('US',1094928736,1094933199),('PR',1094933200,1094933207),('US',1094933208,1094933447),('PR',1094933448,1094933455),('US',1094933456,1094934639),('PR',1094934640,1094934647),('US',1094934648,1094934703),('PR',1094934704,1094934711),('US',1094934712,1094934975),('PR',1094934976,1094934991),('US',1094934992,1094935063),('PR',1094935064,1094935071),('US',1094935072,1094935127),('PR',1094935128,1094935135),('US',1094935136,1094935359),('PR',1094935360,1094935367),('US',1094935368,1094935495),('PR',1094935496,1094935503),('US',1094935504,1094936735),('PR',1094936736,1094936743),('US',1094936744,1094936775),('PR',1094936776,1094936783),('US',1094936784,1094936847),('PR',1094936848,1094936855),('US',1094936856,1094949487),('PR',1094949488,1094949495),('US',1094949496,1094950927),('PR',1094950928,1094950935),('US',1094950936,1094950959),('PR',1094950960,1094950967),('US',1094950968,1094950975),('PR',1094950976,1094950983),('US',1094950984,1094951151),('PR',1094951152,1094951159),('US',1094951160,1094960239),('PR',1094960240,1094960247),('US',1094960248,1094970527),('PR',1094970528,1094970535),('US',1094970536,1094978159),('PR',1094978160,1094978167),('US',1094978168,1094984271),('PR',1094984272,1094984279),('US',1094984280,1094984359),('PR',1094984360,1094984367),('US',1094984368,1094984487),('PR',1094984488,1094984503),('US',1094984504,1094985167),('PR',1094985168,1094985175),('US',1094985176,1094985423),('PR',1094985424,1094985431),('US',1094985432,1094985655),('PR',1094985656,1094985663),('US',1094985664,1094985927),('PR',1094985928,1094985935),('US',1094985936,1095007263),('PR',1095007264,1095007303),('US',1095007304,1095017535),('PR',1095017536,1095017543),('US',1095017544,1095017807),('PR',1095017808,1095017815),('US',1095017816,1095018311),('PR',1095018312,1095018319),('US',1095018320,1095018463),('PR',1095018464,1095018471),('US',1095018472,1095035271),('PR',1095035272,1095035279),('US',1095035280,1095038071),('PR',1095038072,1095038079),('US',1095038080,1095038199),('PR',1095038200,1095038207),('US',1095038208,1095038495),('PR',1095038496,1095038503),('US',1095038504,1095044999),('PR',1095045000,1095045007),('US',1095045008,1095045047),('PR',1095045048,1095045055),('US',1095045056,1095045727),('PR',1095045728,1095045735),('US',1095045736,1095045935),('PR',1095045936,1095045943),('US',1095045944,1095045951),('PR',1095045952,1095045959),('US',1095045960,1095046887),('PR',1095046888,1095046895),('US',1095046896,1095048463),('PR',1095048464,1095048471),('US',1095048472,1095056655),('PR',1095056656,1095056663),('US',1095056664,1095057375),('PR',1095057376,1095057383),('US',1095057384,1095067695),('PR',1095067696,1095067703),('US',1095067704,1095068351),('PR',1095068352,1095068359),('US',1095068360,1095068439),('PR',1095068440,1095068447),('US',1095068448,1095068455),('PR',1095068456,1095068463),('US',1095068464,1095069311),('PR',1095069312,1095069319),('US',1095069320,1095069591),('PR',1095069592,1095069599),('US',1095069600,1095072767),('PR',1095072768,1095072775),('US',1095072776,1095073047),('PR',1095073048,1095073055),('US',1095073056,1095075551),('PR',1095075552,1095075559),('US',1095075560,1095078703),('PR',1095078704,1095078711),('US',1095078712,1095080975),('PR',1095080976,1095080983),('US',1095080984,1095081295),('PR',1095081296,1095081303),('US',1095081304,1095081439),('PR',1095081440,1095081447),('US',1095081448,1095084535),('PR',1095084536,1095084543),('US',1095084544,1095085047),('PR',1095085048,1095085055),('US',1095085056,1095087215),('PR',1095087216,1095087223),('US',1095087224,1095087287),('PR',1095087288,1095087295),('US',1095087296,1095087703),('PR',1095087704,1095087711),('US',1095087712,1095087743),('PR',1095087744,1095087751),('US',1095087752,1095088367),('PR',1095088368,1095088375),('US',1095088376,1095088399),('PR',1095088400,1095088407),('US',1095088408,1095089615),('PR',1095089616,1095089623),('US',1095089624,1095089839),('PR',1095089840,1095089847),('US',1095089848,1095090407),('PR',1095090408,1095090415),('US',1095090416,1095092879),('PR',1095092880,1095092887),('US',1095092888,1095093151),('PR',1095093152,1095093159),('US',1095093160,1095093903),('PR',1095093904,1095093911),('US',1095093912,1095102879),('PR',1095102880,1095102887),('US',1095102888,1095103207),('PR',1095103208,1095103215),('US',1095103216,1095103327),('PR',1095103328,1095103335),('US',1095103336,1095105823),('PR',1095105824,1095105831),('US',1095105832,1095106183),('PR',1095106184,1095106191),('US',1095106192,1095106199),('PR',1095106200,1095106207),('US',1095106208,1095106575),('PR',1095106576,1095106583),('US',1095106584,1095107079),('PR',1095107080,1095107087),('US',1095107088,1095117535),('PR',1095117536,1095117543),('US',1095117544,1095122431),('PR',1095122432,1095122439),('US',1095122440,1095122527),('PR',1095122528,1095122535),('US',1095122536,1095125071),('PR',1095125072,1095125079),('US',1095125080,1095125383),('PR',1095125384,1095125391),('US',1095125392,1095127447),('PR',1095127448,1095127455),('US',1095127456,1095127967),('PR',1095127968,1095127983),('US',1095127984,1095129807),('PR',1095129808,1095129815),('US',1095129816,1095138607),('PR',1095138608,1095138615),('US',1095138616,1095139927),('PR',1095139928,1095139935),('US',1095139936,1095142143),('PR',1095142144,1095142151),('US',1095142152,1095156607),('PR',1095156608,1095156615),('US',1095156616,1095160239),('PR',1095160240,1095160247),('US',1095160248,1095160927),('PR',1095160928,1095160935),('US',1095160936,1095187919),('PR',1095187920,1095187927),('US',1095187928,1095188359),('PR',1095188360,1095188367),('US',1095188368,1095190823),('PR',1095190824,1095190831),('US',1095190832,1095197495),('PR',1095197496,1095197503),('US',1095197504,1095202127),('PR',1095202128,1095202135),('US',1095202136,1095207935),('PR',1095207936,1095207951),('US',1095207952,1095221455),('PR',1095221456,1095221463),('US',1095221464,1095222223),('PR',1095222224,1095222231),('US',1095222232,1095236551),('PR',1095236552,1095236559),('US',1095236560,1095407999),('CA',1095408000,1095408015),('US',1095408016,1095408887),('SE',1095408888,1095408895),('US',1095408896,1095450623),('BS',1095450624,1095467007),('US',1095467008,1095627775),('CA',1095627776,1095628287),('US',1095628288,1096224919),('CO',1096224920,1096224927),('US',1096224928,1096278015),('CA',1096278016,1096286207),('US',1096286208,1096290879),('A2',1096290880,1096290943),('US',1096290944,1096351231),('A2',1096351232,1096351743),('US',1096351744,1096548351),('CA',1096548352,1096810495),('US',1096810496,1096884223),('CA',1096884224,1096888319),('US',1096888320,1096925183),('CA',1096925184,1096941567),('US',1096941568,1096942679),('IE',1096942680,1096942687),('US',1096942688,1096952455),('GB',1096952456,1096952463),('US',1096952464,1096952519),('GB',1096952520,1096952527),('US',1096952528,1096956463),('GB',1096956464,1096956471),('US',1096956472,1096956631),('GB',1096956632,1096956639),('US',1096956640,1096957775),('IE',1096957776,1096957791),('US',1096957792,1096959599),('GB',1096959600,1096959607),('US',1096959608,1096960767),('GB',1096960768,1096960895),('US',1096960896,1096961023),('GB',1096961024,1096961151),('US',1096961152,1096964119),('GB',1096964120,1096964127),('US',1096964128,1096968191),('GB',1096968192,1096968319),('US',1096968320,1096968447),('GB',1096968448,1096968575),('US',1096968576,1097057623),('IT',1097057624,1097057631),('US',1097057632,1097057655),('NZ',1097057656,1097057663),('US',1097057664,1097057727),('NZ',1097057728,1097057735),('IT',1097057736,1097057743),('US',1097057744,1097057767),('HK',1097057768,1097057775),('US',1097057776,1097058303),('IT',1097058304,1097058367),('US',1097058368,1097060351),('IT',1097060352,1097060359),('AU',1097060360,1097060367),('US',1097060368,1097060383),('IT',1097060384,1097060399),('US',1097060400,1097060463),('IT',1097060464,1097060471),('US',1097060472,1097063663),('IT',1097063664,1097063679),('US',1097063680,1097067519),('GB',1097067520,1097068031),('US',1097068032,1097069055),('CA',1097069056,1097069311),('US',1097069312,1097070863),('IN',1097070864,1097070879),('US',1097070880,1097727999),('CA',1097728000,1097729151),('US',1097729152,1097729167),('CA',1097729168,1097730847),('US',1097730848,1097730855),('CA',1097730856,1097730919),('US',1097730920,1097730927),('CA',1097730928,1097736191),('US',1097736192,1097736457),('CZ',1097736458,1097736467),('FR',1097736468,1097736477),('BR',1097736478,1097736487),('US',1097736488,1097736547),('NL',1097736548,1097736557),('MX',1097736558,1097736567),('SG',1097736568,1097736577),('ES',1097736578,1097736587),('US',1097736588,1097736607),('BR',1097736608,1097736617),('GB',1097736618,1097736627),('US',1097736628,1097736637),('UM',1097736638,1097736647),('US',1097736648,1097736723),('UY',1097736724,1097736733),('BG',1097736734,1097736743),('US',1097736744,1097736753),('BG',1097736754,1097736763),('AU',1097736764,1097736773),('NL',1097736774,1097736783),('US',1097736784,1097736803),('BE',1097736804,1097736813),('TR',1097736814,1097736823),('US',1097736824,1097736853),('GB',1097736854,1097736863),('US',1097736864,1097736893),('VE',1097736894,1097736903),('FI',1097736904,1097736913),('US',1097736914,1097736999),('RU',1097737000,1097737009),('US',1097737010,1097737029),('RU',1097737030,1097737049),('ES',1097737050,1097737059),('TR',1097737060,1097737069),('US',1097737070,1097737109),('LB',1097737110,1097737119),('US',1097737120,1097737149),('ES',1097737150,1097737159),('BR',1097737160,1097737169),('US',1097737170,1097737225),('RE',1097737226,1097737235),('US',1097737236,1097737275),('IT',1097737276,1097737285),('US',1097737286,1097737295),('DE',1097737296,1097737305),('US',1097737306,1097737325),('ES',1097737326,1097737335),('US',1097737336,1097737355),('FR',1097737356,1097737365),('US',1097737366,1097737375),('UY',1097737376,1097737385),('US',1097737386,1097737405),('BR',1097737406,1097737415),('US',1097737416,1097737541),('AU',1097737542,1097737551),('US',1097737552,1097737591),('BR',1097737592,1097737601),('UA',1097737602,1097737611),('US',1097737612,1097737631),('IT',1097737632,1097737641),('US',1097737642,1097737737),('ID',1097737738,1097737747),('GB',1097737748,1097737757),('US',1097737758,1097737847),('MX',1097737848,1097737857),('US',1097737858,1097737897),('SG',1097737898,1097737907),('US',1097737908,1097737927),('RU',1097737928,1097737937),('US',1097737938,1097738053),('LV',1097738054,1097738063),('US',1097738064,1097738093),('RS',1097738094,1097738103),('US',1097738104,1097738133),('RU',1097738134,1097738143),('US',1097738144,1097738163),('UA',1097738164,1097738173),('VN',1097738174,1097738183),('US',1097738184,1097738249),('TR',1097738250,1097738259),('US',1097738260,1097738279),('HR',1097738280,1097738289),('US',1097738290,1097738339),('BR',1097738340,1097738349),('US',1097738350,1097738359),('TW',1097738360,1097738369),('US',1097738370,1097738379),('GB',1097738380,1097738389),('US',1097738390,1097738409),('IT',1097738410,1097738419),('US',1097738420,1097738439),('AZ',1097738440,1097738449),('US',1097738450,1097738515),('CA',1097738516,1097738525),('US',1097738526,1097738545),('BR',1097738546,1097738555),('IL',1097738556,1097738565),('US',1097738566,1097738585),('BR',1097738586,1097738595),('AR',1097738596,1097738605),('BR',1097738606,1097738615),('ES',1097738616,1097738625),('US',1097738626,1097738655),('GB',1097738656,1097738665),('RU',1097738666,1097738675),('SG',1097738676,1097738685),('US',1097738686,1097738695),('RU',1097738696,1097738705),('US',1097738706,1097738761),('ES',1097738762,1097738771),('MY',1097738772,1097738781),('US',1097738782,1097738791),('NZ',1097738792,1097738801),('US',1097738802,1097738861),('SA',1097738862,1097738871),('SG',1097738872,1097738881),('AT',1097738882,1097738891),('GB',1097738892,1097738901),('US',1097738902,1097738911),('DE',1097738912,1097738921),('US',1097738922,1097738931),('ID',1097738932,1097738941),('US',1097738942,1097739037),('BY',1097739038,1097739047),('SG',1097739048,1097739057),('US',1097739058,1097739087),('TR',1097739088,1097739097),('KW',1097739098,1097739107),('US',1097739108,1097739127),('CA',1097739128,1097739137),('GB',1097739138,1097739147),('US',1097739148,1097739273),('AT',1097739274,1097739283),('US',1097739284,1097739343),('GB',1097739344,1097739353),('US',1097739354,1097739363),('ES',1097739364,1097739373),('US',1097739374,1097739383),('BR',1097739384,1097739393),('GB',1097739394,1097739403),('BR',1097739404,1097739413),('US',1097739414,1097739423),('SA',1097739424,1097739433),('US',1097739434,1097739453),('GB',1097739454,1097739463),('LV',1097739464,1097739473),('US',1097739474,1097739569),('GB',1097739570,1097739579),('US',1097739580,1097739589),('IL',1097739590,1097739599),('US',1097739600,1097739669),('BY',1097739670,1097739679),('TR',1097739680,1097739689),('DK',1097739690,1097739699),('GB',1097739700,1097739709),('US',1097739710,1097739719),('DE',1097739720,1097739729),('GB',1097739730,1097739739),('US',1097739740,1097740387),('SA',1097740388,1097740397),('US',1097740398,1097740457),('AU',1097740458,1097740467),('US',1097740468,1097740839),('BY',1097740840,1097740849),('RU',1097740850,1097740859),('US',1097740860,1097740899),('RU',1097740900,1097740909),('US',1097740910,1097740959),('ES',1097740960,1097740969),('AR',1097740970,1097740979),('US',1097740980,1097740999),('GB',1097741000,1097741009),('US',1097741010,1097741065),('IN',1097741066,1097741075),('US',1097741076,1097741195),('ES',1097741196,1097741205),('US',1097741206,1097741215),('UA',1097741216,1097741225),('IT',1097741226,1097741235),('US',1097741236,1097741245),('FR',1097741246,1097741255),('US',1097741256,1097741321),('CA',1097741322,1097741331),('US',1097741332,1097741351),('RU',1097741352,1097741361),('US',1097741362,1097741511),('LB',1097741512,1097741521),('US',1097741522,1097741577),('KW',1097741578,1097741587),('US',1097741588,1097741607),('LB',1097741608,1097741617),('US',1097741618,1097741667),('GR',1097741668,1097741677),('ES',1097741678,1097741687),('BR',1097741688,1097741697),('US',1097741698,1097741747),('HK',1097741748,1097741757),('US',1097741758,1097741833),('AU',1097741834,1097741843),('BY',1097741844,1097741853),('US',1097741854,1097741863),('HR',1097741864,1097741873),('GB',1097741874,1097741883),('US',1097741884,1097741893),('AR',1097741894,1097741903),('US',1097741904,1097741913),('MK',1097741914,1097741923),('US',1097741924,1097741943),('ZA',1097741944,1097741953),('US',1097741954,1097742023),('GB',1097742024,1097742033),('US',1097742034,1097742089),('GB',1097742090,1097742099),('US',1097742100,1097742129),('HK',1097742130,1097742139),('US',1097742140,1097742149),('MA',1097742150,1097742159),('US',1097742160,1097742179),('NO',1097742180,1097742189),('US',1097742190,1097742209),('GB',1097742210,1097742219),('US',1097742220,1097742259),('GB',1097742260,1097742269),('RU',1097742270,1097742279),('US',1097742280,1097742355),('ES',1097742356,1097742365),('US',1097742366,1097742375),('AU',1097742376,1097742385),('US',1097742386,1097742405),('AU',1097742406,1097742415),('ES',1097742416,1097742425),('US',1097742426,1097742465),('CL',1097742466,1097742475),('US',1097742476,1097742485),('AU',1097742486,1097742495),('US',1097742496,1097742505),('KW',1097742506,1097742515),('US',1097742516,1097742641),('BR',1097742642,1097742651),('US',1097742652,1097742681),('CN',1097742682,1097742691),('US',1097742692,1097742711),('UA',1097742712,1097742721),('US',1097742722,1097742741),('DE',1097742742,1097742751),('US',1097742752,1097742781),('HK',1097742782,1097742791),('US',1097742792,1097742887),('BR',1097742888,1097742897),('US',1097742898,1097743017),('AU',1097743018,1097743027),('US',1097743028,1097743133),('BR',1097743134,1097743143),('ID',1097743144,1097743153),('US',1097743154,1097743173),('RU',1097743174,1097743183),('US',1097743184,1097743369),('IT',1097743370,1097743379),('TR',1097743380,1097743389),('US',1097743390,1097743399),('RU',1097743400,1097743409),('ZA',1097743410,1097743419),('US',1097743420,1097743479),('ES',1097743480,1097743489),('US',1097743490,1097743645),('BR',1097743646,1097743655),('US',1097743656,1097743675),('KH',1097743676,1097743685),('US',1097743686,1097743695),('KW',1097743696,1097743705),('US',1097743706,1097743755),('BR',1097743756,1097743765),('US',1097743766,1097743805),('AU',1097743806,1097743815),('US',1097743816,1097743901),('DE',1097743902,1097743911),('US',1097743912,1097743991),('BG',1097743992,1097744001),('US',1097744002,1097744011),('BR',1097744012,1097744021),('US',1097744022,1097744061),('AU',1097744062,1097744071),('US',1097744072,1097744137),('TR',1097744138,1097744147),('US',1097744148,1097744167),('DE',1097744168,1097744177),('US',1097744178,1097744197),('ES',1097744198,1097744207),('US',1097744208,1097744227),('RU',1097744228,1097744237),('US',1097744238,1097744257),('UA',1097744258,1097744267),('US',1097744268,1097744307),('RU',1097744308,1097744317),('ES',1097744318,1097744327),('SE',1097744328,1097744337),('RO',1097744338,1097744347),('US',1097744348,1097768959),('CA',1097768960,1097777151),('US',1097777152,1097798495),('CA',1097798496,1097798527),('US',1097798528,1097830399),('CA',1097830400,1097834495),('US',1097834496,1097896191),('VI',1097896192,1097896703),('US',1097896704,1097896959),('VI',1097896960,1097897215),('US',1097897216,1097947135),('VI',1097947136,1097947615),('US',1097947616,1097947623),('VI',1097947624,1097948279),('US',1097948280,1097948287),('VI',1097948288,1097949183),('US',1097949184,1098188047),('CA',1098188048,1098188055),('US',1098188056,1098353967),('CA',1098353968,1098353983),('US',1098353984,1098891263),('AU',1098891264,1098891519),('US',1098891520,1098891575),('AU',1098891576,1098891615),('US',1098891616,1098891623),('AU',1098891624,1098891639),('US',1098891640,1098891647),('AU',1098891648,1098891775),('US',1098891776,1098891871),('AU',1098891872,1098891887),('US',1098891888,1098891903),('AU',1098891904,1098892287),('US',1098892288,1101041279),('IN',1101041280,1101041407),('US',1101041408,1101078455),('CA',1101078456,1101078463),('US',1101078464,1101113135),('CA',1101113136,1101113143),('US',1101113144,1101118239),('GB',1101118240,1101118271),('US',1101118272,1101121535),('EC',1101121536,1101121791),('US',1101121792,1101139967),('PR',1101139968,1101140223),('US',1101140224,1101177479),('FR',1101177480,1101177487),('US',1101177488,1101182975),('YE',1101182976,1101183487),('US',1101183488,1101190655),('EC',1101190656,1101191167),('US',1101191168,1101224959),('EC',1101224960,1101225215),('US',1101225216,1101263103),('AN',1101263104,1101263359),('US',1101263360,1101267711),('CA',1101267712,1101267967),('US',1101267968,1101289983),('AN',1101289984,1101290239),('US',1101290240,1101304063),('EC',1101304064,1101304319),('US',1101304320,1101304831),('HN',1101304832,1101305855),('US',1101305856,1101306047),('PR',1101306048,1101306079),('US',1101306080,1101339887),('CA',1101339888,1101339903),('US',1101339904,1101352959),('HN',1101352960,1101355007),('US',1101355008,1101357215),('SE',1101357216,1101357223),('US',1101357224,1101385855),('DK',1101385856,1101385919),('US',1101385920,1101402031),('PR',1101402032,1101402047),('US',1101402048,1101425919),('EC',1101425920,1101426175),('US',1101426176,1101440295),('CA',1101440296,1101440303),('US',1101440304,1101445775),('CA',1101445776,1101445791),('US',1101445792,1101461759),('AN',1101461760,1101462015),('US',1101462016,1101469695),('HN',1101469696,1101471743),('US',1101471744,1101475839),('CO',1101475840,1101479935),('US',1101479936,1101484031),('CO',1101484032,1101488127),('US',1101488128,1101492623),('BE',1101492624,1101492639),('US',1101492640,1101523039),('GB',1101523040,1101523071),('US',1101523072,1101542399),('CO',1101542400,1101542911),('US',1101542912,1101574655),('EC',1101574656,1101575167),('US',1101575168,1101617679),('CA',1101617680,1101617687),('US',1101617688,1101619247),('NL',1101619248,1101619255),('US',1101619256,1101625343),('VI',1101625344,1101625407),('US',1101625408,1101634191),('VI',1101634192,1101634207),('US',1101634208,1101635327),('HN',1101635328,1101635583),('US',1101635584,1101650431),('HN',1101650432,1101650943),('US',1101650944,1101662951),('PR',1101662952,1101662959),('US',1101662960,1101668095),('EC',1101668096,1101668351),('US',1101668352,1101676135),('CA',1101676136,1101676143),('US',1101676144,1101676543),('EC',1101676544,1101678591),('US',1101678592,1101681407),('NL',1101681408,1101681663),('US',1101681664,1101685383),('NL',1101685384,1101685391),('US',1101685392,1101705743),('PR',1101705744,1101705759),('US',1101705760,1101732199),('CH',1101732200,1101732207),('US',1101732208,1101750783),('BM',1101750784,1101751295),('US',1101751296,1101767679),('AN',1101767680,1101768191),('US',1101768192,1101791743),('A2',1101791744,1101791999),('US',1101792000,1101792255),('A2',1101792256,1101792767),('US',1101792768,1101837311),('EC',1101837312,1101837567),('US',1101837568,1101856767),('DK',1101856768,1101856775),('US',1101856776,1101864223),('BE',1101864224,1101864255),('US',1101864256,1101869055),('GH',1101869056,1101869567),('US',1101869568,1101871103),('BO',1101871104,1101873151),('US',1101873152,1101881935),('GB',1101881936,1101881951),('US',1101881952,1101905407),('GH',1101905408,1101905663),('US',1101905664,1101921407),('BA',1101921408,1101921471),('US',1101921472,1101952439),('CA',1101952440,1101952447),('US',1101952448,1101971071),('VI',1101971072,1101971079),('US',1101971080,1101973023),('PR',1101973024,1101973039),('US',1101973040,1101981663),('A2',1101981664,1101981695),('US',1101981696,1101983231),('AN',1101983232,1101983743),('US',1101983744,1102004223),('IN',1102004224,1102004479),('CA',1102004480,1102004735),('US',1102004736,1102005503),('PK',1102005504,1102005759),('BE',1102005760,1102005823),('US',1102005824,1102006271),('CA',1102006272,1102006527),('US',1102006528,1102007583),('IN',1102007584,1102007599),('AR',1102007600,1102007615),('US',1102007616,1102007679),('IN',1102007680,1102007695),('US',1102007696,1102007711),('IN',1102007712,1102007727),('US',1102007728,1102007791),('VE',1102007792,1102007807),('US',1102007808,1102008079),('DO',1102008080,1102008087),('US',1102008088,1102008095),('CA',1102008096,1102008103),('US',1102008104,1102008735),('BE',1102008736,1102008767),('US',1102008768,1102008831),('BE',1102008832,1102008863),('US',1102008864,1102010623),('PK',1102010624,1102010879),('US',1102010880,1102011647),('VE',1102011648,1102011663),('GB',1102011664,1102011679),('US',1102011680,1102011855),('CR',1102011856,1102011871),('US',1102011872,1102011887),('AU',1102011888,1102011903),('US',1102011904,1102012799),('IN',1102012800,1102012927),('US',1102012928,1102012975),('RU',1102012976,1102012991),('US',1102012992,1102013167),('VE',1102013168,1102013183),('US',1102013184,1102016255),('AR',1102016256,1102016287),('US',1102016288,1102018495),('CA',1102018496,1102018559),('US',1102018560,1102019583),('IN',1102019584,1102019711),('US',1102019712,1102389247),('CA',1102389248,1102393343),('US',1102393344,1102446591),('HN',1102446592,1102448383),('US',1102448384,1102449151),('SV',1102449152,1102449407),('CR',1102449408,1102454527),('HN',1102454528,1102454783),('US',1102454784,1102512127),('JM',1102512128,1102516223),('US',1102516224,1103244799),('EC',1103244800,1103245055),('US',1103245056,1103405831),('CA',1103405832,1103405839),('US',1103405840,1103474943),('MH',1103474944,1103475199),('US',1103475200,1103476223),('CA',1103476224,1103476255),('US',1103476256,1103586335),('DE',1103586336,1103586351),('US',1103586352,1103603711),('EC',1103603712,1103605759),('US',1103605760,1103623167),('CO',1103623168,1103623679),('US',1103623680,1103639679),('PR',1103639680,1103639711),('US',1103639712,1103641687),('PR',1103641688,1103641695),('US',1103641696,1103670207),('GB',1103670208,1103670271),('US',1103670272,1103675647),('AU',1103675648,1103675711),('US',1103675712,1103675775),('AU',1103675776,1103675903),('US',1103675904,1103676159),('AU',1103676160,1103676175),('US',1103676176,1103678543),('PH',1103678544,1103678551),('US',1103678552,1103678655),('PH',1103678656,1103678719),('US',1103678720,1103678831),('AU',1103678832,1103678847),('US',1103678848,1103766271),('PR',1103766272,1103766527),('US',1103766528,1103769367),('LU',1103769368,1103769375),('US',1103769376,1103929055),('MX',1103929056,1103929063),('US',1103929064,1103930879),('MX',1103930880,1103931135),('US',1103931136,1103987967),('BR',1103987968,1103988223),('US',1103988224,1103992319),('FI',1103992320,1103992575),('US',1103992576,1103996927),('EC',1103996928,1103997439),('US',1103997440,1104003455),('PH',1104003456,1104003583),('US',1104003584,1104021759),('PK',1104021760,1104022015),('US',1104022016,1104030303),('PR',1104030304,1104030335),('US',1104030336,1104033439),('GB',1104033440,1104033471),('US',1104033472,1104081391),('PR',1104081392,1104081399),('US',1104081400,1104096407),('DE',1104096408,1104096415),('US',1104096416,1104166911),('CO',1104166912,1104168959),('US',1104168960,1104194823),('PR',1104194824,1104194831),('US',1104194832,1104232743),('CA',1104232744,1104232751),('US',1104232752,1104265215),('PH',1104265216,1104265727),('US',1104265728,1104413695),('CA',1104413696,1104413711),('US',1104413712,1104414287),('CA',1104414288,1104414303),('US',1104414304,1104492287),('PH',1104492288,1104492543),('US',1104492544,1104510975),('EC',1104510976,1104511743),('US',1104511744,1104523263),('CU',1104523264,1104524287),('US',1104524288,1104559391),('CA',1104559392,1104559399),('US',1104559400,1104559487),('CA',1104559488,1104559503),('US',1104559504,1104616255),('DE',1104616256,1104616271),('US',1104616272,1104618271),('CA',1104618272,1104618303),('US',1104618304,1104630975),('CA',1104630976,1104631039),('US',1104631040,1104666751),('CA',1104666752,1104666767),('US',1104666768,1104708687),('DE',1104708688,1104708703),('US',1104708704,1104787487),('GB',1104787488,1104787519),('US',1104787520,1104839319),('GB',1104839320,1104839327),('US',1104839328,1104842751),('PR',1104842752,1104844799),('US',1104844800,1104870919),('MX',1104870920,1104870927),('US',1104870928,1104881087),('PH',1104881088,1104881151),('US',1104881152,1105099519),('EC',1105099520,1105099775),('US',1105099776,1105140519),('MX',1105140520,1105140527),('US',1105140528,1105142463),('MN',1105142464,1105142471),('US',1105142472,1105143039),('MN',1105143040,1105143047),('US',1105143048,1105153215),('PH',1105153216,1105153279),('US',1105153280,1105188463),('CA',1105188464,1105188471),('US',1105188472,1106305663),('CA',1106305664,1106305671),('US',1106305672,1106306047),('CA',1106306048,1106306079),('US',1106306080,1106307967),('CA',1106307968,1106308031),('US',1106308032,1106349599),('UM',1106349600,1106349607),('US',1106349608,1106428959),('UM',1106428960,1106428975),('US',1106428976,1106443623),('CA',1106443624,1106443631),('US',1106443632,1106469695),('CO',1106469696,1106469759),('US',1106469760,1106469887),('BS',1106469888,1106470911),('US',1106470912,1106475007),('CO',1106475008,1106475519),('US',1106475520,1106484351),('PH',1106484352,1106484415),('US',1106484416,1106495303),('GB',1106495304,1106495319),('US',1106495320,1106532887),('TW',1106532888,1106532895),('US',1106532896,1106547743),('DK',1106547744,1106547759),('US',1106547760,1106567423),('NZ',1106567424,1106567455),('US',1106567456,1106605695),('DE',1106605696,1106605703),('US',1106605704,1106685047),('CA',1106685048,1106685055),('US',1106685056,1106740991),('CR',1106740992,1106741247),('US',1106741248,1106758655),('EC',1106758656,1106759167),('CO',1106759168,1106759679),('US',1106759680,1106767871),('CO',1106767872,1106768383),('EC',1106768384,1106768895),('CO',1106768896,1106769919),('US',1106769920,1106814719),('EC',1106814720,1106814975),('US',1106814976,1107238911),('TC',1107243008,1107247103),('US',1107247104,1107275775),('CA',1107275776,1107279871),('US',1107279872,1107288063),('CA',1107288064,1107296255),('US',1107296256,1107697663),('CA',1107701760,1107705855),('US',1107705856,1107800063),('CA',1107800064,1107800319),('US',1107800320,1107801367),('CA',1107801368,1107801375),('US',1107801376,1107805695),('TR',1107805696,1107805951),('US',1107805952,1107820543),('ZA',1107820544,1107853311),('US',1107853312,1108033535),('CA',1108033536,1108041727),('US',1108041728,1108054015),('CA',1108054016,1108066303),('US',1108066304,1108492287),('ZA',1108492288,1108500479),('US',1108500480,1108502303),('PR',1108502304,1108502311),('US',1108502312,1108525055),('CA',1108525056,1108541439),('US',1108541440,1109639199),('IN',1109639200,1109639215),('US',1109639216,1109641663),('JP',1109641664,1109641679),('US',1109641680,1109642583),('DE',1109642584,1109642591),('US',1109642592,1109643303),('DE',1109643304,1109643311),('US',1109643312,1109643519),('CA',1109643520,1109643551),('US',1109643552,1109647231),('AU',1109647232,1109647247),('US',1109647248,1109648319),('JP',1109648320,1109648335),('US',1109648336,1109648927),('AU',1109648928,1109648943),('US',1109648944,1109650639),('AU',1109650640,1109650655),('US',1109650656,1109688319),('CA',1109688320,1109696511),('US',1109696512,1109705727),('CG',1109705728,1109705743),('US',1109705744,1109705759),('CD',1109705760,1109705791),('US',1109705792,1109705823),('CD',1109705824,1109705839),('US',1109705840,1109705855),('CD',1109705856,1109705983),('HT',1109705984,1109706239),('US',1109706240,1109707007),('JM',1109707008,1109707263),('US',1109707264,1109707519),('MW',1109707520,1109707775),('US',1109707776,1109708639),('HT',1109708640,1109708671),('US',1109708672,1109709823),('ZM',1109709824,1109710847),('US',1109710848,1109711175),('HT',1109711176,1109711183),('US',1109711184,1109774175),('CA',1109774176,1109774183),('US',1109774184,1109776575),('CN',1109776576,1109776607),('CA',1109776608,1109776615),('US',1109776616,1109819391),('CA',1109819392,1109848831),('A1',1109848832,1109849087),('CA',1109849088,1109852159),('US',1109852160,1109902415),('CY',1109902416,1109902431),('US',1109902432,1109902511),('CY',1109902512,1109902527),('US',1109902528,1109907455),('CY',1109907456,1109907711),('US',1109907712,1109918463),('GB',1109918464,1109918719),('US',1109918720,1109919487),('GB',1109919488,1109919999),('US',1109920000,1109923135),('BG',1109923136,1109923151),('US',1109923152,1109923183),('SK',1109923184,1109923199),('US',1109923200,1109923279),('GB',1109923280,1109923295),('US',1109923296,1109923647),('CA',1109923648,1109923711),('US',1109923712,1109925503),('GB',1109925504,1109925567),('US',1109925568,1109926911),('CA',1109926912,1109927167),('AU',1109927168,1109927423),('US',1109927424,1109934591),('GB',1109934592,1109934847),('US',1109934848,1109952599),('JP',1109952600,1109952607),('US',1109952608,1109952623),('GB',1109952624,1109952631),('US',1109952632,1109954167),('VE',1109954168,1109954175),('US',1109954176,1109954351),('ES',1109954352,1109954367),('US',1109954368,1110126591),('CA',1110126592,1110130687),('US',1110130688,1110310911),('CA',1110310912,1110376447),('US',1110376448,1110441983),('CA',1110441984,1110442239),('US',1110442240,1110442303),('CA',1110442304,1110442367),('US',1110442368,1110442431),('CA',1110442432,1110442719),('US',1110442720,1110442751),('CA',1110442752,1110442863),('US',1110442864,1110443007),('CA',1110443008,1110443295),('US',1110443296,1110443327),('CA',1110443328,1110443551),('US',1110443552,1110443711),('CA',1110443712,1110443719),('US',1110443720,1110444287),('CA',1110444288,1110444799),('US',1110444800,1110445055),('CA',1110445056,1110446655),('IL',1110446656,1110446719),('CA',1110446720,1110446847),('US',1110446848,1110446975),('CA',1110446976,1110447039),('US',1110447040,1110447103),('CA',1110447104,1110448383),('US',1110448384,1110448639),('CA',1110448640,1110449055),('US',1110449056,1110449663),('CA',1110449664,1110449703),('US',1110449704,1110449719),('CA',1110449720,1110449735),('US',1110449736,1110449751),('CA',1110449752,1110449783),('US',1110449784,1110449791),('CA',1110449792,1110449799),('US',1110449800,1110449807),('CA',1110449808,1110449879),('US',1110449880,1110449895),('CA',1110449896,1110449943),('US',1110449944,1110449967),('CA',1110449968,1110449975),('US',1110449976,1110450023),('CA',1110450024,1110450071),('US',1110450072,1110450175),('CA',1110450176,1110451327),('US',1110451328,1110451455),('CA',1110451456,1110451711),('US',1110451712,1110451967),('CA',1110451968,1110453247),('US',1110453248,1110454271),('CA',1110454272,1110455295),('US',1110455296,1110458367),('CA',1110458368,1110458415),('US',1110458416,1110458431),('CA',1110458432,1110458479),('US',1110458480,1110458495),('CA',1110458496,1110458575),('US',1110458576,1110458655),('CA',1110458656,1110458687),('US',1110458688,1110458719),('CA',1110458720,1110458735),('US',1110458736,1110458767),('CA',1110458768,1110458783),('US',1110458784,1110458831),('CA',1110458832,1110458847),('US',1110458848,1110458911),('CA',1110458912,1110458927),('US',1110458928,1110458943),('CA',1110458944,1110458959),('US',1110458960,1110458975),('CA',1110458976,1110459071),('US',1110459072,1110459087),('CA',1110459088,1110459151),('US',1110459152,1110459167),('CA',1110459168,1110459183),('US',1110459184,1110459199),('CA',1110459200,1110459215),('US',1110459216,1110459311),('CA',1110459312,1110459327),('US',1110459328,1110459391),('CA',1110459392,1110459423),('US',1110459424,1110459455),('CA',1110459456,1110459743),('US',1110459744,1110459903),('CA',1110459904,1110459967),('US',1110459968,1110460223),('CA',1110460224,1110460319),('US',1110460320,1110460383),('CA',1110460384,1110460447),('US',1110460448,1110460671),('CA',1110460672,1110460719),('US',1110460720,1110460743),('CA',1110460744,1110460775),('US',1110460776,1110460783),('CA',1110460784,1110460831),('US',1110460832,1110460863),('CA',1110460864,1110460887),('US',1110460888,1110460903),('CA',1110460904,1110460911),('US',1110460912,1110460935),('CA',1110460936,1110460991),('US',1110460992,1110461183),('CA',1110461184,1110461375),('US',1110461376,1110461439),('CA',1110461440,1110461823),('US',1110461824,1110462079),('CA',1110462080,1110462271),('US',1110462272,1110462335),('CA',1110462336,1110462719),('US',1110462720,1110462847),('CA',1110462848,1110463103),('US',1110463104,1110463231),('CA',1110463232,1110463487),('US',1110463488,1110463999),('CA',1110464000,1110464767),('US',1110464768,1110464895),('CA',1110464896,1110464959),('US',1110464960,1110465023),('CA',1110465024,1110465535),('US',1110465536,1110466559),('CA',1110466560,1110466567),('US',1110466568,1110466815),('CA',1110466816,1110466847),('US',1110466848,1110467583),('CA',1110467584,1110467711),('US',1110467712,1110472447),('CA',1110472448,1110473727),('US',1110473728,1110473983),('CA',1110473984,1110474303),('US',1110474304,1110474495),('CA',1110474496,1110474751),('US',1110474752,1110540287),('CA',1110540288,1110573055),('PR',1110573056,1110638591),('US',1110638592,1110663167),('CA',1110663168,1110675455),('US',1110675456,1110679551),('CA',1110679552,1110683423),('US',1110683424,1110683431),('CA',1110683432,1110683647),('US',1110683648,1110700031),('CA',1110700032,1110704127),('US',1110704128,1110851583),('JM',1110863872,1110867967),('US',1110867968,1110892008),('CA',1110892009,1110892016),('US',1110892017,1110892079),('GB',1110892080,1110892087),('US',1110892088,1110929407),('BM',1110929408,1110933503),('US',1110933504,1111195647),('CA',1111195648,1111212031),('US',1111212032,1111228415),('AR',1111228416,1111244799),('US',1111244800,1111472127),('AU',1111472128,1111472383),('US',1111472384,1111901805),('GB',1111901806,1111901815),('US',1111901816,1112360959),('CA',1112360960,1112361023),('US',1112361024,1112389503),('CA',1112389504,1112389567),('US',1112389568,1112432639),('CA',1112432640,1112440831),('US',1112440832,1112530943),('CA',1112530944,1112539135),('US',1112539136,1113591807),('CA',1113591808,1113595903),('CL',1113595904,1113596415),('GT',1113596416,1113596927),('PE',1113596928,1113597183),('US',1113597184,1113597439),('PE',1113597440,1113597695),('PA',1113597696,1113598463),('US',1113598464,1113599487),('VE',1113599488,1113599999),('US',1113600000,1113600255),('VE',1113600256,1113603071),('CL',1113603072,1113603327),('SV',1113603328,1113603583),('US',1113603584,1113603839),('CA',1113603840,1113604095),('US',1113604096,1113640396),('CN',1113640397,1113640416),('US',1113640417,1113640961),('BG',1113640962,1113640969),('US',1113640970,1113641009),('FR',1113641010,1113641039),('US',1113641040,1113641084),('NZ',1113641085,1113641129),('US',1113641130,1113641144),('SE',1113641145,1113641169),('US',1113641170,1113641217),('SG',1113641218,1113641310),('CA',1113641311,1113641351),('US',1113641352,1113641450),('CA',1113641451,1113641470),('US',1113641471,1113641985),('IN',1113641986,1113642083),('US',1113642084,1113642133),('DK',1113642134,1113642168),('GB',1113642169,1113642178),('US',1113642179,1113642203),('SA',1113642204,1113642213),('US',1113642214,1113642223),('CA',1113642224,1113642238),('US',1113642239,1113642630),('JP',1113642631,1113642645),('US',1113642646,1113642685),('SA',1113642686,1113642695),('US',1113642696,1113642720),('TR',1113642721,1113642730),('US',1113642731,1113642740),('IT',1113642741,1113642750),('US',1113642751,1113642956),('CA',1113642957,1113642966),('US',1113642967,1113642986),('SA',1113642987,1113643006),('US',1113643007,1113643147),('PH',1113643148,1113643157),('US',1113643158,1113643162),('CA',1113643163,1113643172),('US',1113643173,1113643202),('CH',1113643203,1113643237),('HU',1113643238,1113643257),('US',1113643258,1113643955),('CA',1113643956,1113643975),('US',1113643976,1113643995),('TR',1113643996,1113644015),('US',1113644016,1113644545),('IN',1113644546,1113644558),('CA',1113644559,1113644573),('NL',1113644574,1113644593),('US',1113644594,1113644628),('CA',1113644629,1113644643),('US',1113644644,1113645767),('CA',1113645768,1113645777),('US',1113645778,1113646179),('HK',1113646180,1113646189),('US',1113646190,1113647017),('IN',1113647018,1113647047),('US',1113647048,1113647148),('IT',1113647149,1113647158),('BR',1113647159,1113647168),('US',1113647169,1113647223),('SE',1113647224,1113647233),('US',1113647234,1113647361),('MX',1113647362,1113647459),('US',1113647460,1113647549),('CH',1113647550,1113647614),('US',1113647615,1113647750),('CA',1113647751,1113647765),('US',1113647766,1113650210),('SE',1113650211,1113650235),('US',1113650236,1113650275),('CA',1113650276,1113650285),('US',1113650286,1113650320),('IN',1113650321,1113650330),('US',1113650331,1113650350),('AU',1113650351,1113650380),('GB',1113650381,1113650430),('US',1113650431,1113650978),('CA',1113650979,1113651018),('US',1113651019,1113651043),('CA',1113651044,1113651083),('US',1113651084,1113651201),('CA',1113651202,1113651281),('US',1113651282,1113651811),('CA',1113651812,1113651831),('IN',1113651832,1113651851),('US',1113651852,1113651926),('GB',1113651927,1113651936),('CA',1113651937,1113651956),('US',1113651957,1113652481),('GB',1113652482,1113652609),('US',1113652610,1113652619),('AU',1113652620,1113652659),('US',1113652660,1113657343),('CA',1113657344,1113661439),('US',1113661440,1113696575),('CA',1113696576,1113696639),('US',1113696640,1113696831),('CA',1113696832,1113696895),('US',1113696896,1113718783),('DO',1113718784,1113743359),('US',1113743360,1113854007),('CA',1113854008,1113854015),('US',1113854016,1113854207),('CA',1113854208,1113854463),('US',1113854464,1113854975),('CA',1113854976,1113855487),('US',1113855488,1113857023),('CA',1113857024,1113857031),('US',1113857032,1113857087),('CA',1113857088,1113857151),('US',1113857152,1113862247),('MX',1113862248,1113862255),('US',1113862256,1113864735),('BR',1113864736,1113864743),('US',1113864744,1113864767),('VI',1113864768,1113864783),('US',1113864784,1113881871),('GB',1113881872,1113881879),('US',1113881880,1113882351),('CA',1113882352,1113882359),('US',1113882360,1113888599),('CA',1113888600,1113888607),('US',1113888608,1113903295),('CA',1113903296,1113903359),('US',1113903360,1113905791),('CA',1113905792,1113905807),('US',1113905808,1113916831),('GB',1113916832,1113916839),('US',1113916840,1113919383),('CA',1113919384,1113919391),('US',1113919392,1113923839),('BR',1113923840,1113923903),('US',1113923904,1113997311),('CA',1113997312,1114005503),('US',1114005504,1114054655),('CA',1114054656,1114062847),('US',1114062848,1114095615),('CA',1114095616,1114103807),('US',1114103808,1114163967),('VI',1114163968,1114164479),('US',1114164480,1114505215),('CA',1114505216,1114507279),('US',1114507280,1114507295),('CA',1114507296,1114507423),('TZ',1114507424,1114507431),('CA',1114507432,1114511359),('US',1114511360,1114511615),('CA',1114511616,1114513407),('SA',1114513408,1114515455),('GU',1114515456,1114517503),('CA',1114517504,1114520063),('PH',1114520064,1114520319),('CA',1114520320,1114520575),('PH',1114520576,1114520831),('CA',1114520832,1114524159),('ZA',1114524160,1114524671),('CA',1114524672,1114530815),('AR',1114530816,1114531839),('CA',1114531840,1114533375),('ZA',1114533376,1114533887),('AO',1114533888,1114537983),('CA',1114537984,1114550271),('US',1114550272,1114579209),('TR',1114579210,1114579219),('US',1114579220,1114579279),('ES',1114579280,1114579289),('BR',1114579290,1114579299),('US',1114579300,1114579329),('VI',1114579330,1114579339),('RU',1114579340,1114579349),('ES',1114579350,1114579359),('US',1114579360,1114579475),('BR',1114579476,1114579485),('US',1114579486,1114579525),('AL',1114579526,1114579535),('ES',1114579536,1114579545),('US',1114579546,1114579615),('SE',1114579616,1114579625),('US',1114579626,1114579635),('JO',1114579636,1114579645),('US',1114579646,1114579791),('AU',1114579792,1114579801),('SA',1114579802,1114579811),('US',1114579812,1114579861),('DK',1114579862,1114579871),('US',1114579872,1114579881),('GB',1114579882,1114579891),('US',1114579892,1114579901),('FR',1114579902,1114579911),('NO',1114579912,1114579921),('US',1114579922,1114580017),('KW',1114580018,1114580027),('EE',1114580028,1114580037),('US',1114580038,1114580057),('GB',1114580058,1114580067),('US',1114580068,1114580087),('UY',1114580088,1114580097),('US',1114580098,1114580107),('BR',1114580108,1114580117),('US',1114580118,1114580243),('SA',1114580244,1114580253),('US',1114580254,1114580293),('AU',1114580294,1114580303),('US',1114580304,1114580363),('AE',1114580364,1114580373),('US',1114580374,1114580393),('GB',1114580394,1114580403),('ES',1114580404,1114580413),('US',1114580414,1114580499),('GB',1114580500,1114580509),('US',1114580510,1114580539),('GB',1114580540,1114580549),('US',1114580550,1114580579),('ES',1114580580,1114580589),('US',1114580590,1114580619),('UY',1114580620,1114580629),('US',1114580630,1114580649),('NL',1114580650,1114580659),('US',1114580660,1114580875),('MX',1114580876,1114580885),('JO',1114580886,1114580895),('BR',1114580896,1114580905),('US',1114580906,1114580965),('UA',1114580966,1114580975),('US',1114580976,1114581011),('GB',1114581012,1114581021),('US',1114581022,1114581051),('BR',1114581052,1114581061),('US',1114581062,1114581091),('BR',1114581092,1114581101),('SI',1114581102,1114581111),('US',1114581112,1114581151),('ES',1114581152,1114581161),('US',1114581162,1114581287),('AU',1114581288,1114581297),('UA',1114581298,1114581307),('AU',1114581308,1114581317),('US',1114581318,1114581347),('ES',1114581348,1114581357),('SE',1114581358,1114581367),('US',1114581368,1114581513),('RU',1114581514,1114581523),('GR',1114581524,1114581533),('RU',1114581534,1114581543),('DE',1114581544,1114581553),('BR',1114581554,1114581563),('US',1114581564,1114581573),('UA',1114581574,1114581583),('US',1114581584,1114581603),('GR',1114581604,1114581613),('US',1114581614,1114581623),('SG',1114581624,1114581633),('US',1114581634,1114581829),('PL',1114581830,1114581839),('US',1114581840,1114581879),('HR',1114581880,1114581889),('US',1114581890,1114581959),('ES',1114581960,1114581969),('US',1114581970,1114582025),('AU',1114582026,1114582035),('US',1114582036,1114582065),('TR',1114582066,1114582075),('RU',1114582076,1114582085),('DE',1114582086,1114582095),('US',1114582096,1114582105),('SG',1114582106,1114582115),('US',1114582116,1114582135),('RU',1114582136,1114582145),('US',1114582146,1114582155),('AU',1114582156,1114582165),('US',1114582166,1114582225),('SG',1114582226,1114582245),('US',1114582246,1114582281),('ES',1114582282,1114582291),('US',1114582292,1114582301),('SG',1114582302,1114582311),('US',1114582312,1114582391),('IE',1114582392,1114582401),('US',1114582402,1114582421),('SG',1114582422,1114582431),('GB',1114582432,1114582441),('US',1114582442,1114582481),('SG',1114582482,1114582501),('US',1114582502,1114582537),('JO',1114582538,1114582547),('US',1114582548,1114583059),('ES',1114583060,1114583069),('US',1114583070,1114583099),('FR',1114583100,1114583109),('EG',1114583110,1114583119),('US',1114583120,1114583159),('BR',1114583160,1114583169),('US',1114583170,1114583229),('CA',1114583230,1114583239),('US',1114583240,1114583305),('AU',1114583306,1114583315),('ES',1114583316,1114583325),('IE',1114583326,1114583335),('US',1114583336,1114583415),('AU',1114583416,1114583425),('US',1114583426,1114583435),('RU',1114583436,1114583445),('DE',1114583446,1114583455),('US',1114583456,1114583465),('AR',1114583466,1114583475),('US',1114583476,1114583495),('HR',1114583496,1114583505),('US',1114583506,1114583571),('ES',1114583572,1114583581),('US',1114583582,1114583591),('ES',1114583592,1114583601),('BR',1114583602,1114583611),('US',1114583612,1114583651),('GB',1114583652,1114583661),('US',1114583662,1114583681),('AL',1114583682,1114583691),('US',1114583692,1114583701),('ES',1114583702,1114583711),('US',1114583712,1114583781),('DE',1114583782,1114583791),('US',1114583792,1114583857),('ES',1114583858,1114583867),('VE',1114583868,1114583877),('NZ',1114583878,1114583887),('US',1114583888,1114583917),('SE',1114583918,1114583927),('US',1114583928,1114584073),('RU',1114584074,1114584083),('US',1114584084,1114584093),('ES',1114584094,1114584103),('US',1114584104,1114584113),('BR',1114584114,1114584123),('RU',1114584124,1114584133),('US',1114584134,1114584153),('GR',1114584154,1114584163),('ES',1114584164,1114584173),('US',1114584174,1114584213),('ES',1114584214,1114584223),('US',1114584224,1114584369),('NL',1114584370,1114584379),('TR',1114584380,1114584389),('US',1114584390,1114584399),('ES',1114584400,1114584409),('US',1114584410,1114584509),('AT',1114584510,1114584519),('CN',1114584520,1114584529),('US',1114584530,1114584605),('BR',1114584606,1114584615),('US',1114584616,1114584685),('DE',1114584686,1114584695),('US',1114584696,1114584715),('BR',1114584716,1114584725),('US',1114584726,1114584735),('NZ',1114584736,1114584745),('GB',1114584746,1114584755),('ES',1114584756,1114584765),('BE',1114584766,1114584775),('US',1114584776,1114584841),('ES',1114584842,1114584851),('US',1114584852,1114584871),('NL',1114584872,1114584881),('GB',1114584882,1114584891),('US',1114584892,1114584901),('DE',1114584902,1114584911),('US',1114584912,1114584951),('ES',1114584952,1114584961),('US',1114584962,1114584971),('GB',1114584972,1114584981),('BR',1114584982,1114584991),('US',1114584992,1114585107),('RU',1114585108,1114585117),('US',1114585118,1114585127),('RU',1114585128,1114585137),('US',1114585138,1114585147),('ES',1114585148,1114585157),('US',1114585158,1114585167),('PT',1114585168,1114585177),('US',1114585178,1114585207),('GB',1114585208,1114585217),('US',1114585218,1114585247),('ES',1114585248,1114585257),('US',1114585258,1114585267),('GB',1114585268,1114585277),('US',1114585278,1114585287),('PL',1114585288,1114585297),('US',1114585298,1114585363),('PE',1114585364,1114585373),('US',1114585374,1114585393),('ES',1114585394,1114585403),('US',1114585404,1114585423),('IN',1114585424,1114585433),('GB',1114585434,1114585443),('ES',1114585444,1114585453),('US',1114585454,1114585483),('BR',1114585484,1114585493),('US',1114585494,1114585543),('BR',1114585544,1114585553),('US',1114585554,1114585609),('RU',1114585610,1114585619),('US',1114585620,1114585629),('BR',1114585630,1114585639),('LV',1114585640,1114585649),('ES',1114585650,1114585659),('US',1114585660,1114585669),('ES',1114585670,1114585679),('US',1114585680,1114585729),('GB',1114585730,1114585739),('US',1114585740,1114585935),('ES',1114585936,1114585945),('US',1114585946,1114585955),('ES',1114585956,1114585965),('US',1114585966,1114586005),('ID',1114586006,1114586015),('US',1114586016,1114586025),('CY',1114586026,1114586035),('US',1114586036,1114586045),('ES',1114586046,1114586055),('US',1114586056,1114586141),('TR',1114586142,1114586151),('US',1114586152,1114586161),('RU',1114586162,1114586171),('US',1114586172,1114586181),('ZA',1114586182,1114586201),('US',1114586202,1114586211),('VE',1114586212,1114586221),('US',1114586222,1114586231),('GB',1114586232,1114586241),('CA',1114586242,1114586251),('US',1114586252,1114586271),('BR',1114586272,1114586281),('US',1114586282,1114586311),('NO',1114586312,1114586321),('US',1114586322,1114586437),('NZ',1114586438,1114586447),('US',1114586448,1114586457),('TR',1114586458,1114586467),('US',1114586468,1114586477),('ES',1114586478,1114586487),('US',1114586488,1114586497),('RU',1114586498,1114586507),('GB',1114586508,1114586517),('US',1114586518,1114586527),('CA',1114586528,1114586537),('ES',1114586538,1114586547),('GB',1114586548,1114586557),('US',1114586558,1114586943),('IL',1114586944,1114586951),('US',1114586952,1114627583),('IN',1114627584,1114627599),('US',1114627600,1114627647),('CA',1114627648,1114627663),('US',1114627664,1114657927),('LA',1114657928,1114657935),('US',1114657936,1114681343),('CA',1114681344,1114685439),('US',1114685440,1114730495),('CA',1114730496,1114734591),('US',1114734592,1114877951),('LT',1114877952,1114878207),('US',1114878208,1114878849),('LT',1114878850,1114878977),('US',1114878978,1115063983),('AU',1115063984,1115063991),('US',1115063992,1115064447),('AU',1115064448,1115064463),('US',1115064464,1115064975),('TW',1115064976,1115064991),('US',1115064992,1115070063),('SI',1115070064,1115070079),('US',1115070080,1115070337),('SG',1115070338,1115070347),('US',1115070348,1115071241),('TR',1115071242,1115071251),('US',1115071252,1115071261),('GB',1115071262,1115071271),('CA',1115071272,1115071281),('US',1115071282,1115071311),('GB',1115071312,1115071321),('US',1115071322,1115071371),('SA',1115071372,1115071381),('US',1115071382,1115073663),('BG',1115073664,1115073791),('US',1115073792,1115074663),('GB',1115074664,1115074671),('UY',1115074672,1115074679),('CN',1115074680,1115074687),('US',1115074688,1115074695),('GR',1115074696,1115074703),('US',1115074704,1115074751),('AU',1115074752,1115074767),('US',1115074768,1115075091),('PE',1115075092,1115075101),('US',1115075102,1115075387),('RU',1115075388,1115075397),('US',1115075398,1115075437),('DE',1115075438,1115075447),('US',1115075448,1115075487),('BR',1115075488,1115075497),('US',1115075498,1115075517),('GB',1115075518,1115075527),('US',1115075528,1115076351),('ES',1115076352,1115076607),('US',1115076608,1115076991),('AU',1115076992,1115077005),('US',1115077006,1115077503),('BY',1115077504,1115077511),('US',1115077512,1115077527),('BY',1115077528,1115077535),('US',1115077536,1115113471),('HN',1115113472,1115114495),('MX',1115114496,1115114751),('GT',1115114752,1115115007),('US',1115115008,1115115519),('HN',1115115520,1115116543),('US',1115116544,1115117055),('GB',1115117056,1115117311),('US',1115117312,1115117567),('HN',1115117568,1115118591),('SV',1115118592,1115119615),('US',1115119616,1115135999),('CA',1115136000,1115144191),('US',1115144192,1115243263),('PR',1115243264,1115243271),('US',1115243272,1115299871),('PR',1115299872,1115299879),('US',1115299880,1115350543),('PR',1115350544,1115350551),('US',1115350552,1115401431),('PR',1115401432,1115401439),('US',1115401440,1115665631),('PR',1115665632,1115665639),('US',1115665640,1115693055),('CO',1115693056,1115697151),('US',1115697152,1115697159),('CO',1115697160,1115697167),('US',1115697168,1115697175),('AU',1115697176,1115697183),('US',1115697184,1115697199),('ID',1115697200,1115697207),('US',1115697208,1115697215),('ID',1115697216,1115697223),('CA',1115697224,1115697231),('US',1115697232,1115697263),('IN',1115697264,1115697279),('US',1115697280,1115697319),('GB',1115697320,1115697327),('US',1115697328,1115697383),('CO',1115697384,1115697391),('US',1115697392,1115697471),('CO',1115697472,1115697479),('US',1115697480,1115697799),('CA',1115697800,1115697807),('US',1115697808,1115697815),('DO',1115697816,1115697823),('US',1115697824,1115697943),('MX',1115697944,1115697951),('DO',1115697952,1115697961),('US',1115697962,1115697991),('CO',1115697992,1115697999),('DO',1115698000,1115698007),('US',1115698008,1115698015),('AF',1115698016,1115698047),('US',1115698048,1115698127),('DO',1115698128,1115698135),('US',1115698136,1115698159),('AU',1115698160,1115698167),('US',1115698168,1115698399),('CA',1115698400,1115698407),('US',1115698408,1115698431),('DO',1115698432,1115698687),('US',1115698688,1115698943),('CA',1115698944,1115698951),('US',1115698952,1115698983),('CO',1115698984,1115698991),('US',1115698992,1115699903),('CA',1115699904,1115699911),('US',1115699912,1115699919),('CA',1115699920,1115699927),('US',1115699928,1115700223),('DO',1115700224,1115700479),('US',1115700480,1115700735),('CA',1115700736,1115700743),('US',1115700744,1115700791),('CA',1115700792,1115700799),('US',1115700800,1115705343),('CA',1115705344,1115709439),('US',1115709440,1115780495),('CA',1115780496,1115780511),('US',1115780512,1115783167),('CA',1115783168,1115784599),('US',1115784600,1115784607),('CA',1115784608,1115791359),('PR',1115791360,1115795455),('CA',1115795456,1115799551),('US',1115799552,1115815935),('CA',1115815936,1115947007),('US',1115947008,1116041279),('CA',1116041280,1116041295),('US',1116041296,1116158463),('AU',1116158464,1116158495),('US',1116158496,1116168191),('CA',1116168192,1116169311),('US',1116169312,1116169327),('CA',1116169328,1116176383),('US',1116176384,1116210247),('PR',1116210248,1116210255),('US',1116210256,1116210375),('PR',1116210376,1116210383),('US',1116210384,1116210519),('PR',1116210520,1116210527),('US',1116210528,1116210703),('PR',1116210704,1116210711),('US',1116210712,1116211487),('PR',1116211488,1116211495),('US',1116211496,1116211631),('PR',1116211632,1116211639),('US',1116211640,1116211647),('PR',1116211648,1116211655),('US',1116211656,1116213375),('PR',1116213376,1116213383),('US',1116213384,1116213447),('PR',1116213448,1116213463),('US',1116213464,1116213639),('PR',1116213640,1116213647),('US',1116213648,1116213943),('PR',1116213944,1116213951),('US',1116213952,1116214159),('PR',1116214160,1116214167),('US',1116214168,1116217151),('PR',1116217152,1116217159),('US',1116217160,1116217439),('PR',1116217440,1116217447),('US',1116217448,1116218527),('PR',1116218528,1116218535),('US',1116218536,1116220231),('PR',1116220232,1116220239),('US',1116220240,1116223199),('PR',1116223200,1116223207),('US',1116223208,1116224047),('PR',1116224048,1116224055),('US',1116224056,1116228943),('PR',1116228944,1116228951),('US',1116228952,1116229063),('PR',1116229064,1116229071),('US',1116229072,1116233767),('PR',1116233768,1116233775),('US',1116233776,1116233791),('PR',1116233792,1116233799),('US',1116233800,1116244151),('PR',1116244152,1116244159),('US',1116244160,1116244767),('PR',1116244768,1116244775),('US',1116244776,1116244935),('PR',1116244936,1116244943),('US',1116244944,1116245247),('PR',1116245248,1116245255),('US',1116245256,1116245263),('PR',1116245264,1116245271),('US',1116245272,1116251823),('PR',1116251824,1116251831),('US',1116251832,1116252319),('PR',1116252320,1116252327),('US',1116252328,1116253247),('PR',1116253248,1116253255),('US',1116253256,1116253295),('PR',1116253296,1116253303),('US',1116253304,1116253455),('PR',1116253456,1116253463),('US',1116253464,1116261583),('PR',1116261584,1116261591),('US',1116261592,1116269567),('PR',1116269568,1116269575),('US',1116269576,1116271503),('PR',1116271504,1116271511),('US',1116271512,1116272879),('PR',1116272880,1116272887),('US',1116272888,1116275047),('PR',1116275048,1116275055),('US',1116275056,1116275511),('PR',1116275512,1116275519),('US',1116275520,1116277255),('PR',1116277256,1116277263),('US',1116277264,1116277279),('PR',1116277280,1116277311),('US',1116277312,1116277687),('PR',1116277688,1116277695),('US',1116277696,1116279351),('PR',1116279352,1116279359),('US',1116279360,1116279503),('PR',1116279504,1116279511),('US',1116279512,1116283999),('PR',1116284000,1116284007),('US',1116284008,1116284871),('PR',1116284872,1116284879),('US',1116284880,1116291351),('PR',1116291352,1116291359),('US',1116291360,1116299551),('PR',1116299552,1116299559),('US',1116299560,1116299623),('PR',1116299624,1116299631),('US',1116299632,1116300847),('PR',1116300848,1116300855),('US',1116300856,1116301143),('PR',1116301144,1116301151),('US',1116301152,1116302423),('PR',1116302424,1116302431),('US',1116302432,1116303023),('PR',1116303024,1116303031),('US',1116303032,1116305967),('PR',1116305968,1116305975),('US',1116305976,1116310527),('PR',1116310528,1116310535),('US',1116310536,1116311831),('PR',1116311832,1116311839),('US',1116311840,1116316399),('PR',1116316400,1116316407),('US',1116316408,1116321559),('PR',1116321560,1116321567),('US',1116321568,1116325399),('PR',1116325400,1116325407),('US',1116325408,1116330407),('PR',1116330408,1116330415),('US',1116330416,1116334743),('PR',1116334744,1116334751),('US',1116334752,1116334983),('PR',1116334984,1116334991),('US',1116334992,1116335735),('PR',1116335736,1116335743),('US',1116335744,1116336839),('PR',1116336840,1116336847),('US',1116336848,1116337119),('PR',1116337120,1116337127),('US',1116337128,1116337935),('PR',1116337936,1116337943),('US',1116337944,1116339559),('PR',1116339560,1116339567),('US',1116339568,1116339575),('PR',1116339576,1116339583),('US',1116339584,1116339599),('PR',1116339600,1116339607),('US',1116339608,1116359815),('PR',1116359816,1116359823),('US',1116359824,1116359919),('PR',1116359920,1116359927),('US',1116359928,1116360215),('PR',1116360216,1116360223),('US',1116360224,1116392463),('PR',1116392464,1116392471),('US',1116392472,1116401303),('PR',1116401304,1116401311),('US',1116401312,1116406175),('PR',1116406176,1116406191),('US',1116406192,1116409287),('PR',1116409288,1116409295),('US',1116409296,1116422439),('PR',1116422440,1116422447),('US',1116422448,1116444783),('PR',1116444784,1116444791),('US',1116444792,1116459631),('PR',1116459632,1116459647),('US',1116459648,1116473575),('PR',1116473576,1116473583),('US',1116473584,1116478399),('PR',1116478400,1116478407),('US',1116478408,1116481879),('PR',1116481880,1116481887),('US',1116481888,1116487895),('PR',1116487896,1116487903),('US',1116487904,1116487911),('PR',1116487912,1116487919),('US',1116487920,1116491303),('PR',1116491304,1116491311),('US',1116491312,1116496047),('PR',1116496048,1116496055),('US',1116496056,1116499983),('PR',1116499984,1116499991),('US',1116499992,1116505919),('PR',1116505920,1116505951),('US',1116505952,1116506767),('PR',1116506768,1116506775),('US',1116506776,1116506863),('PR',1116506864,1116506871),('US',1116506872,1116509495),('PR',1116509496,1116509503),('US',1116509504,1116510911),('PR',1116510912,1116510927),('US',1116510928,1116529023),('PR',1116529024,1116529031),('US',1116529032,1116538687),('UA',1116538688,1116538703),('US',1116538704,1116566343),('PR',1116566344,1116566351),('US',1116566352,1116577415),('PR',1116577416,1116577423),('US',1116577424,1116599479),('PR',1116599480,1116599487),('US',1116599488,1116897279),('CA',1116897280,1116905471),('US',1116905472,1117142271),('CA',1117142272,1117142527),('US',1117142528,1117163023),('CA',1117163024,1117163031),('US',1117163032,1117178287),('GB',1117178288,1117178303),('US',1117178304,1117182271),('CA',1117182272,1117182335),('US',1117182336,1117195991),('A2',1117195992,1117195999),('US',1117196000,1117198591),('CA',1117198592,1117198847),('US',1117198848,1117203343),('GB',1117203344,1117203359),('US',1117203360,1117204463),('GB',1117204464,1117204479),('US',1117204480,1117206599),('FR',1117206600,1117206623),('US',1117206624,1117253247),('IL',1117253248,1117253255),('US',1117253256,1117274111),('CA',1117274112,1117282303),('US',1117286400,1117299615),('GB',1117299616,1117299623),('US',1117299624,1117303103),('CA',1117303104,1117303167),('US',1117303168,1117305671),('GB',1117305672,1117305679),('US',1117305680,1117409343),('GB',1117409344,1117409351),('US',1117409352,1117409783),('GB',1117409784,1117409791),('US',1117409792,1117411071),('PL',1117411072,1117411087),('US',1117411088,1117412863),('CA',1117412864,1117412991),('US',1117412992,1117413375),('CA',1117413376,1117413631),('US',1117413632,1117415423),('AN',1117415424,1117416191),('CA',1117416192,1117416447),('US',1117416448,1117416703),('CA',1117416704,1117417215),('US',1117417216,1117417223),('CA',1117417224,1117417231),('US',1117417232,1117417239),('CA',1117417240,1117417247),('US',1117417248,1117417263),('CA',1117417264,1117417279),('US',1117417280,1117417343),('CA',1117417344,1117419007),('US',1117419008,1117419519),('CA',1117419520,1117420031),('US',1117420032,1117420287),('CA',1117420288,1117421567),('US',1117421568,1117683711),('CA',1117683712,1117691903),('US',1117691904,1117724671),('CA',1117724672,1117728767),('US',1117728768,1117745151),('CA',1117745152,1117749247),('US',1117749248,1117796575),('CA',1117796576,1117796591),('US',1117796592,1117815295),('CN',1117815296,1117815551),('US',1117815552,1117817919),('CA',1117817920,1117817983),('US',1117817984,1117818495),('IT',1117818496,1117818623),('US',1117818624,1117818975),('HK',1117818976,1117818991),('US',1117818992,1117819007),('JP',1117819008,1117819135),('US',1117819136,1117819631),('AE',1117819632,1117819647),('US',1117819648,1117823231),('CA',1117823232,1117823487),('CN',1117823488,1117823743),('US',1117823744,1117823999),('GR',1117824000,1117824511),('US',1117824512,1117829375),('GR',1117829376,1117829631),('US',1117829632,1117831359),('A2',1117831360,1117831423),('US',1117831424,1117832191),('IT',1117832192,1117832447),('US',1117832448,1117978623),('CA',1117978624,1117979503),('US',1117979504,1117979519),('CA',1117979520,1117982639),('US',1117982640,1117982655),('CA',1117982656,1117983023),('US',1117983024,1117983039),('CA',1117983040,1117983215),('US',1117983216,1117983223),('CA',1117983224,1117984191),('US',1117984192,1117984199),('CA',1117984200,1117985055),('US',1117985056,1117985079),('CA',1117985080,1117985423),('US',1117985424,1117985447),('CA',1117985448,1117985463),('US',1117985464,1117985471),('CA',1117985472,1117985607),('US',1117985608,1117985663),('CA',1117985664,1117985671),('US',1117985672,1117985679),('CA',1117985680,1117985695),('US',1117985696,1117985711),('CA',1117985712,1117985719),('US',1117985720,1117985743),('CA',1117985744,1117985767),('US',1117985768,1117985783),('CA',1117985784,1117986575),('US',1117986576,1117986687),('CA',1117986688,1117986815),('US',1117986816,1117995007),('CA',1117995008,1117999103),('US',1117999104,1118007295),('US',1118011392,1118027775),('CA',1118027776,1118031871),('US',1118031872,1118126079),('CA',1118126080,1118126591),('US',1118126592,1118126847),('CA',1118126848,1118127231),('US',1118127232,1118127359),('CA',1118127360,1118127615),('US',1118127616,1118128383),('CA',1118128384,1118128639),('US',1118128640,1118129151),('CA',1118129152,1118129663),('BR',1118129664,1118129695),('US',1118129696,1118129823),('AU',1118129824,1118129855),('US',1118129856,1118129887),('CA',1118129888,1118129919),('US',1118129920,1118130431),('CA',1118130432,1118131455),('US',1118131456,1118131583),('IN',1118131584,1118131711),('CA',1118131712,1118132479),('US',1118132480,1118132991),('CA',1118132992,1118133375),('US',1118133376,1118133503),('CA',1118133504,1118133631),('US',1118133632,1118133759),('CA',1118133760,1118133887),('US',1118133888,1118134783),('CA',1118134784,1118134879),('US',1118134880,1118134911),('CA',1118134912,1118134975),('US',1118134976,1118135567),('CA',1118135568,1118135583),('US',1118135584,1118135599),('IN',1118135600,1118135615),('US',1118135616,1118135759),('IN',1118135760,1118135775),('US',1118135776,1118135791),('ID',1118135792,1118135807),('US',1118135808,1118136063),('CA',1118136064,1118136191),('US',1118136192,1118136831),('IN',1118136832,1118136863),('BE',1118136864,1118136895),('US',1118136896,1118136927),('CA',1118136928,1118136959),('US',1118136960,1118137087),('CA',1118137088,1118137119),('IL',1118137120,1118137151),('US',1118137152,1118137215),('GB',1118137216,1118137247),('US',1118137248,1118137279),('FR',1118137280,1118137311),('US',1118137312,1118138559),('AU',1118138560,1118138591),('US',1118138592,1118138879),('CA',1118138880,1118139135),('US',1118139136,1118139903),('CA',1118139904,1118140415),('US',1118140416,1118140735),('AU',1118140736,1118140767),('US',1118140768,1118140831),('VE',1118140832,1118140895),('US',1118140896,1118141183),('CA',1118141184,1118141439),('US',1118141440,1118141695),('CA',1118141696,1118141951),('US',1118141952,1118151215),('NI',1118151216,1118151231),('US',1118151232,1118151423),('ES',1118151424,1118151431),('US',1118151432,1118151631),('MX',1118151632,1118151647),('US',1118151648,1118151807),('JM',1118151808,1118151823),('US',1118151824,1118151935),('MX',1118151936,1118152191),('US',1118152192,1118152255),('PR',1118152256,1118152271),('US',1118152272,1118152287),('BR',1118152288,1118152303),('US',1118152304,1118152415),('PR',1118152416,1118152431),('US',1118152432,1118152879),('DO',1118152880,1118152895),('US',1118152896,1118153055),('EC',1118153056,1118153071),('UY',1118153072,1118153087),('US',1118153088,1118153151),('AR',1118153152,1118153167),('US',1118153168,1118153423),('BR',1118153424,1118153439),('US',1118153440,1118153551),('DE',1118153552,1118153567),('US',1118153568,1118153679),('VE',1118153680,1118153695),('US',1118153696,1118153855),('GB',1118153856,1118153919),('US',1118153920,1118153935),('TT',1118153936,1118153951),('GB',1118153952,1118153983),('US',1118153984,1118154063),('MX',1118154064,1118154079),('US',1118154080,1118154207),('CL',1118154208,1118154223),('US',1118154224,1118154543),('BB',1118154544,1118154559),('US',1118154560,1118155103),('NL',1118155104,1118155119),('US',1118155120,1118155183),('CA',1118155184,1118155199),('JM',1118155200,1118155215),('PA',1118155216,1118155231),('US',1118155232,1118156175),('GY',1118156176,1118156191),('US',1118156192,1118156399),('VE',1118156400,1118156415),('US',1118156416,1118156607),('ES',1118156608,1118156623),('US',1118156624,1118156703),('BS',1118156704,1118156735),('US',1118156736,1118157599),('EC',1118157600,1118157631),('US',1118157632,1118157695),('NL',1118157696,1118157711),('US',1118157712,1118158095),('NI',1118158096,1118158111),('US',1118158112,1118158847),('CA',1118158848,1118167039),('US',1118167040,1118474239),('CA',1118474240,1118474591),('US',1118474592,1118474599),('CA',1118474600,1118474607),('US',1118474608,1118474615),('CA',1118474616,1118474863),('US',1118474864,1118474871),('CA',1118474872,1118474879),('US',1118474880,1118474911),('CA',1118474912,1118475087),('US',1118475088,1118475095),('CA',1118475096,1118475215),('US',1118475216,1118475223),('CA',1118475224,1118475231),('US',1118475232,1118475247),('CA',1118475248,1118476751),('US',1118476752,1118476759),('CA',1118476760,1118476887),('US',1118476888,1118476895),('CA',1118476896,1118477535),('US',1118477536,1118477543),('CA',1118477544,1118478335),('US',1118478336,1118789759),('JM',1118789760,1118789791),('US',1118789792,1118792623),('DO',1118792624,1118792639),('US',1118792640,1118792703),('JM',1118792704,1118793727),('US',1118793728,1118794287),('BR',1118794288,1118794303),('US',1118794304,1118796543),('GB',1118796544,1118796799),('US',1118796800,1118961663),('A2',1118961664,1118962831),('SA',1118962832,1118962839),('NG',1118962840,1118962847),('A2',1118962848,1118962943),('TR',1118962944,1118963199),('A2',1118963200,1118963455),('TZ',1118963456,1118963463),('A2',1118963464,1118963471),('NG',1118963472,1118963479),('GB',1118963480,1118963487),('AO',1118963488,1118963495),('A2',1118963496,1118963583),('KE',1118963584,1118963647),('A2',1118963648,1118963967),('LB',1118963968,1118963991),('A2',1118963992,1118964863),('LB',1118964864,1118964879),('A2',1118964880,1118964991),('LC',1118964992,1118965503),('A2',1118965504,1118965839),('EC',1118965840,1118965847),('A2',1118965848,1118965903),('NG',1118965904,1118965911),('MA',1118965912,1118965919),('A2',1118965920,1118965991),('NG',1118965992,1118966007),('A2',1118966008,1118966023),('US',1118966024,1118966031),('A2',1118966032,1118966039),('EC',1118966040,1118966063),('A2',1118966064,1118966071),('PY',1118966072,1118966079),('NG',1118966080,1118966087),('A2',1118966088,1118966111),('SV',1118966112,1118966119),('VE',1118966120,1118966143),('BB',1118966144,1118966151),('A2',1118966152,1118966191),('NI',1118966192,1118966207),('A2',1118966208,1118966215),('EC',1118966216,1118966223),('A2',1118966224,1118966271),('SV',1118966272,1118966351),('A2',1118966352,1118966367),('SV',1118966368,1118966399),('A2',1118966400,1118966407),('SV',1118966408,1118966415),('NI',1118966416,1118966423),('A2',1118966424,1118966455),('NI',1118966456,1118966463),('A2',1118966464,1118966487),('NI',1118966488,1118966495),('A2',1118966496,1118966503),('NI',1118966504,1118966511),('A2',1118966512,1118966519),('NI',1118966520,1118966527),('US',1118966528,1118966655),('SV',1118966656,1118966687),('NI',1118966688,1118966695),('A2',1118966696,1118966703),('NI',1118966704,1118966711),('A2',1118966712,1118966719),('EC',1118966720,1118966783),('LB',1118966784,1118966791),('A2',1118966792,1118966807),('LB',1118966808,1118966815),('A2',1118966816,1118966847),('PY',1118966848,1118966911),('A2',1118966912,1118966959),('SA',1118966960,1118966975),('A2',1118966976,1118966991),('SA',1118966992,1118966999),('LB',1118967000,1118967015),('A2',1118967016,1118967039),('LB',1118967040,1118967047),('A2',1118967048,1118967063),('SA',1118967064,1118967135),('LB',1118967136,1118967167),('SA',1118967168,1118967199),('A2',1118967200,1118967207),('LB',1118967208,1118967247),('A2',1118967248,1118967255),('LB',1118967256,1118967271),('A2',1118967272,1118967279),('LB',1118967280,1118967287),('A2',1118967288,1118967295),('LB',1118967296,1118967327),('A2',1118967328,1118967335),('LB',1118967336,1118967343),('A2',1118967344,1118967359),('LB',1118967360,1118967367),('SA',1118967368,1118967375),('LB',1118967376,1118967383),('A2',1118967384,1118967391),('MA',1118967392,1118967399),('LB',1118967400,1118967423),('A2',1118967424,1118967487),('SA',1118967488,1118967519),('A2',1118967520,1118967535),('LB',1118967536,1118967543),('SA',1118967544,1118967551),('LB',1118967552,1118967567),('A2',1118967568,1118967583),('SA',1118967584,1118967615),('A2',1118967616,1118967631),('SA',1118967632,1118967647),('LB',1118967648,1118967663),('SA',1118967664,1118967679),('LB',1118967680,1118967743),('SA',1118967744,1118967775),('A2',1118967776,1118967839),('LB',1118967840,1118967847),('A2',1118967848,1118967903),('SA',1118967904,1118968015),('A2',1118968016,1118968039),('LB',1118968040,1118968047),('A2',1118968048,1118968055),('SA',1118968056,1118968095),('A2',1118968096,1118968111),('LB',1118968112,1118968127),('A2',1118968128,1118968159),('LB',1118968160,1118968175),('AE',1118968176,1118968183),('A2',1118968184,1118968191),('SA',1118968192,1118968207),('IQ',1118968208,1118968223),('A2',1118968224,1118968255),('IQ',1118968256,1118968287),('AE',1118968288,1118968295),('A2',1118968296,1118968303),('AE',1118968304,1118968319),('SR',1118968320,1118968575),('A2',1118968576,1118968831),('SA',1118968832,1118968975),('A2',1118968976,1118968991),('SA',1118968992,1118969007),('A2',1118969008,1118969023),('SA',1118969024,1118969215),('A2',1118969216,1118969279),('SA',1118969280,1118969343),('A2',1118969344,1118969367),('NI',1118969368,1118969375),('A2',1118969376,1118969471),('TT',1118969472,1118969599),('GY',1118969600,1118969727),('A2',1118969728,1118969855),('LB',1118969856,1118970111),('KE',1118970112,1118970119),('A2',1118970120,1118970239),('NG',1118970240,1118970367),('GY',1118970368,1118970623),('SA',1118970624,1118970751),('GY',1118970752,1118970879),('SR',1118970880,1118971520),('A2',1118971521,1118971647),('GY',1118971648,1118971903),('A2',1118971904,1118972159),('VE',1118972160,1118972415),('EC',1118972416,1118972671),('SA',1118972672,1118972927),('NI',1118972928,1118972943),('VE',1118972944,1118972959),('A2',1118972960,1118972967),('NI',1118972968,1118972975),('A2',1118972976,1118972983),('NI',1118972984,1118972999),('SV',1118973000,1118973007),('A2',1118973008,1118973031),('NI',1118973032,1118973039),('A2',1118973040,1118973047),('NI',1118973048,1118973055),('A2',1118973056,1118973063),('EC',1118973064,1118973071),('SV',1118973072,1118973079),('VE',1118973080,1118973111),('SV',1118973112,1118973119),('NI',1118973120,1118973151),('A2',1118973152,1118973159),('NI',1118973160,1118973167),('A2',1118973168,1118973183),('VE',1118973184,1118973439),('GY',1118973440,1118973695),('NG',1118973696,1118973951),('GY',1118973952,1118974015),('A2',1118974016,1118974047),('SV',1118974048,1118974055),('A2',1118974056,1118974095),('EC',1118974096,1118974103),('SV',1118974104,1118974111),('NI',1118974112,1118974119),('A2',1118974120,1118974127),('US',1118974128,1118974135),('EC',1118974136,1118974207),('US',1118974208,1118974215),('A2',1118974216,1118975231),('NI',1118975232,1118975487),('KE',1118975488,1118975743),('A2',1118975744,1118975999),('GB',1118976000,1118976255),('LB',1118976256,1118976287),('A2',1118976288,1118976295),('SA',1118976296,1118976311),('A2',1118976312,1118976319),('SA',1118976320,1118976327),('A2',1118976328,1118976343),('LB',1118976344,1118976359),('A2',1118976360,1118976367),('SA',1118976368,1118976375),('LB',1118976376,1118976383),('SA',1118976384,1118976391),('A2',1118976392,1118976399),('SA',1118976400,1118976423),('A2',1118976424,1118976511),('NG',1118976512,1118976575),('A2',1118976576,1118976599),('NG',1118976600,1118976607),('LB',1118976608,1118976615),('A2',1118976616,1118976687),('NG',1118976688,1118976703),('A2',1118976704,1118976727),('NG',1118976728,1118976735),('A2',1118976736,1118976767),('NG',1118976768,1118976791),('A2',1118976792,1118976831),('NG',1118976832,1118976863),('A2',1118976864,1118976895),('NG',1118976896,1118977023),('SA',1118977024,1118977279),('A2',1118977280,1118977311),('NG',1118977312,1118977343),('KE',1118977344,1118977351),('A2',1118977352,1118977535),('US',1118977536,1118977551),('A2',1118977552,1118977575),('SA',1118977576,1118977583),('A2',1118977584,1118977631),('NG',1118977632,1118977663),('A2',1118977664,1118977839),('LB',1118977840,1118977847),('A2',1118977848,1118977879),('NI',1118977880,1118977887),('A2',1118977888,1118978047),('SA',1118978048,1118978079),('A2',1118978080,1118978111),('SA',1118978112,1118978439),('A2',1118978440,1118978447),('LB',1118978448,1118978463),('SA',1118978464,1118978495),('A2',1118978496,1118979071),('SA',1118979072,1118979231),('A2',1118979232,1118979263),('SA',1118979264,1118979295),('LB',1118979296,1118979327),('SA',1118979328,1118979455),('LB',1118979456,1118979479),('SA',1118979480,1118979495),('LB',1118979496,1118979503),('SA',1118979504,1118979535),('LB',1118979536,1118979575),('SA',1118979576,1118979583),('A2',1118979584,1118979711),('LB',1118979712,1118979775),('A2',1118979776,1118979839),('NI',1118979840,1118979855),('A2',1118979856,1118979895),('NI',1118979896,1118979903),('A2',1118979904,1118980095),('NG',1118980096,1118980351),('A2',1118980352,1118980607),('TZ',1118980608,1118980863),('LC',1118980864,1118981119),('A2',1118981120,1118981375),('IQ',1118981376,1118981631),('EC',1118981632,1118981687),('A2',1118981688,1118981695),('SV',1118981696,1118981735),('EC',1118981736,1118981743),('SV',1118981744,1118981751),('NG',1118981752,1118981759),('A2',1118981760,1118981783),('NI',1118981784,1118981791),('NG',1118981792,1118981823),('EC',1118981824,1118981831),('NI',1118981832,1118981855),('EC',1118981856,1118981863),('NI',1118981864,1118981871),('A2',1118981872,1118981879),('NI',1118981880,1118981887),('A2',1118981888,1118982175),('NG',1118982176,1118982183),('A2',1118982184,1118982191),('KE',1118982192,1118982199),('US',1118982200,1118982207),('A2',1118982208,1118982215),('NG',1118982216,1118982279),('A2',1118982280,1118982287),('NG',1118982288,1118982295),('A2',1118982296,1118982303),('KE',1118982304,1118982311),('NG',1118982312,1118982327),('A2',1118982328,1118982335),('NG',1118982336,1118982367),('A2',1118982368,1118982383),('NG',1118982384,1118982391),('A2',1118982392,1118982399),('NG',1118982400,1118982415),('SV',1118982416,1118982431),('NG',1118982432,1118982447),('US',1118982448,1118982463),('NG',1118982464,1118982479),('A2',1118982480,1118982487),('NG',1118982488,1118982551),('US',1118982552,1118982559),('NG',1118982560,1118982567),('US',1118982568,1118982575),('NG',1118982576,1118982583),('CM',1118982584,1118982591),('NG',1118982592,1118982599),('A2',1118982600,1118982607),('NG',1118982608,1118982655),('A2',1118982656,1118982783),('NG',1118982784,1118982911),('LB',1118982912,1118982919),('A2',1118982920,1118982927),('NG',1118982928,1118982935),('A2',1118982936,1118983039),('NG',1118983040,1118983047),('A2',1118983048,1118983079),('NG',1118983080,1118983087),('A2',1118983088,1118983167),('AE',1118983168,1118983199),('SA',1118983200,1118983279),('A2',1118983280,1118983295),('AE',1118983296,1118983359),('A2',1118983360,1118983423),('NI',1118983424,1118983679),('TZ',1118983680,1118983743),('VE',1118983744,1118983759),('A2',1118983760,1118983871),('TZ',1118983872,1118983879),('US',1118983880,1118983919),('A2',1118983920,1118984447),('SA',1118984448,1118984703),('TZ',1118984704,1118984775),('IQ',1118984776,1118984783),('A2',1118984784,1118984791),('NG',1118984792,1118984799),('A2',1118984800,1118984807),('LB',1118984808,1118984815),('A2',1118984816,1118984831),('LB',1118984832,1118984839),('SA',1118984840,1118984847),('A2',1118984848,1118984855),('IQ',1118984856,1118984863),('TZ',1118984864,1118984887),('LB',1118984888,1118984895),('SA',1118984896,1118984943),('LB',1118984944,1118984951),('SA',1118984952,1118984959),('VE',1118984960,1118985215),('A2',1118985216,1118985983),('NG',1118985984,1118986111),('A2',1118986112,1118986239),('GB',1118986240,1118987007),('US',1118987008,1118987263),('KE',1118987264,1118988287),('A2',1118988288,1118988543),('NG',1118988544,1118988575),('A2',1118988576,1118988615),('GB',1118988616,1118988623),('A2',1118988624,1118988735),('GB',1118988736,1118988751),('A2',1118988752,1118988799),('VE',1118988800,1118989055),('KE',1118989056,1118989183),('GB',1118989184,1118989311),('KE',1118989312,1118989823),('A2',1118989824,1118989951),('FR',1118989952,1118990079),('A2',1118990080,1118990271),('US',1118990272,1118990303),('A2',1118990304,1118990719),('KE',1118990720,1118990727),('A2',1118990728,1118992639),('KE',1118992640,1118992655),('A2',1118992656,1118992735),('SA',1118992736,1118992743),('A2',1118992744,1118992767),('US',1118992768,1118992839),('A2',1118992840,1118993919),('GY',1118993920,1118994431),('US',1118994432,1119023735),('UY',1119023736,1119023743),('US',1119023744,1119109119),('CA',1119109120,1119113215),('US',1119113216,1119166847),('HT',1119166848,1119166871),('CA',1119166872,1119166879),('US',1119166880,1119166983),('HT',1119166984,1119166991),('US',1119166992,1119167119),('MX',1119167120,1119167127),('US',1119167128,1119167231),('CA',1119167232,1119167239),('US',1119167240,1119167359),('CA',1119167360,1119167367),('US',1119167368,1119167407),('CA',1119167408,1119167415),('US',1119167416,1119167559),('CA',1119167560,1119167567),('US',1119167568,1119167631),('PR',1119167632,1119167639),('US',1119167640,1119167791),('CA',1119167792,1119167799),('US',1119167800,1119167839),('CA',1119167840,1119167855),('US',1119167856,1119168055),('PR',1119168056,1119168063),('US',1119168064,1119168799),('MX',1119168800,1119168807),('US',1119168808,1119169303),('VI',1119169304,1119169311),('US',1119169312,1119169383),('GT',1119169384,1119169391),('US',1119169392,1119169535),('CA',1119169536,1119169543),('US',1119169544,1119170439),('CA',1119170440,1119170447),('US',1119170448,1119170463),('CA',1119170464,1119170479),('US',1119170480,1119170575),('CA',1119170576,1119170583),('US',1119170584,1119171207),('CA',1119171208,1119171215),('US',1119171216,1119171383),('CA',1119171384,1119171391),('US',1119171392,1119172895),('MX',1119172896,1119172991),('US',1119172992,1119173007),('MX',1119173008,1119173095),('US',1119173096,1119173119),('MX',1119173120,1119173143),('US',1119173144,1119173151),('MX',1119173152,1119173263),('US',1119173264,1119173271),('MX',1119173272,1119173367),('US',1119173368,1119173375),('MX',1119173376,1119173399),('US',1119173400,1119173407),('MX',1119173408,1119173471),('US',1119173472,1119173495),('MX',1119173496,1119173527),('US',1119173528,1119173535),('MX',1119173536,1119173543),('US',1119173544,1119173551),('MX',1119173552,1119173575),('US',1119173576,1119173583),('MX',1119173584,1119173655),('US',1119173656,1119173671),('MX',1119173672,1119173679),('US',1119173680,1119173703),('MX',1119173704,1119173759),('US',1119173760,1119173767),('MX',1119173768,1119173783),('US',1119173784,1119173791),('MX',1119173792,1119173815),('US',1119173816,1119173823),('MX',1119173824,1119173847),('US',1119173848,1119173863),('MX',1119173864,1119173879),('US',1119173880,1119173935),('MX',1119173936,1119173983),('US',1119173984,1119173999),('MX',1119174000,1119174015),('US',1119174016,1119174023),('GT',1119174024,1119174031),('MX',1119174032,1119174039),('US',1119174040,1119174047),('MX',1119174048,1119174207),('US',1119174208,1119174215),('GT',1119174216,1119174247),('US',1119174248,1119174287),('MX',1119174288,1119174319),('US',1119174320,1119174343),('GT',1119174344,1119174351),('MX',1119174352,1119174359),('US',1119174360,1119174399),('GT',1119174400,1119174407),('MX',1119174408,1119174471),('US',1119174472,1119174479),('MX',1119174480,1119174519),('US',1119174520,1119174527),('MX',1119174528,1119174543),('US',1119174544,1119191039),('US',1119195136,1119199231),('US',1119207424,1119211519),('CA',1119211520,1119215615),('US',1119215616,1119289343),('CA',1119289344,1119354879),('US',1119354880,1119369407),('UM',1119369408,1119369415),('US',1119369416,1119428607),('VI',1119428608,1119432703),('CA',1119432704,1119436799),('US',1119436800,1119440895),('CA',1119440896,1119444991),('US',1119444992,1119446751),('CO',1119446752,1119446759),('US',1119446760,1119449087),('US',1119453184,1119469567),('CA',1119469568,1119477759),('US',1119477760,1119486623),('AU',1119486624,1119486631),('US',1119486632,1119490015),('IE',1119490016,1119490047),('US',1119490048,1119490495),('GI',1119490496,1119490527),('US',1119490528,1119502335),('CA',1119502336,1119510527),('US',1119510528,1119555583),('PR',1119555584,1119559679),('US',1119559680,1119567871),('CA',1119567872,1119571967),('US',1119571968,1119580159),('CA',1119580160,1119584255),('US',1119584256,1119999935),('A2',1119999936,1119999967),('US',1119999968,1120015295),('A2',1120015296,1120015327),('US',1120015328,1120064511),('AR',1120064512,1120064767),('US',1120064768,1120076031),('CA',1120076032,1120076287),('US',1120076288,1120149503),('CA',1120149504,1120149599),('US',1120149600,1120149631),('CA',1120149632,1120150031),('TW',1120150032,1120150039),('CA',1120150040,1120150047),('US',1120150048,1120150055),('CA',1120150056,1120151695),('TW',1120151696,1120151711),('CA',1120151712,1120152159),('US',1120152160,1120152191),('CA',1120152192,1120152319),('US',1120152320,1120152575),('CA',1120152576,1120153599),('US',1120153600,1120239873),('CA',1120239874,1120240126),('US',1120240127,1120241921),('RU',1120241922,1120242174),('US',1120242175,1120245307),('EG',1120245308,1120245327),('US',1120245328,1120245347),('RU',1120245348,1120245502),('US',1120245503,1120246932),('LB',1120246933,1120246942),('US',1120246943,1120247937),('IT',1120247938,1120247947),('US',1120247948,1120248263),('CA',1120248264,1120248313),('US',1120248314,1120249297),('CA',1120249298,1120249327),('IT',1120249328,1120249337),('US',1120249338,1120249345),('CA',1120249346,1120249598),('US',1120249599,1120249679),('IN',1120249680,1120249799),('US',1120249800,1120249809),('HK',1120249810,1120249824),('US',1120249825,1120249844),('ES',1120249845,1120249854),('US',1120249855,1120249857),('LB',1120249858,1120249923),('US',1120249924,1120249955),('AU',1120249956,1120249975),('US',1120249976,1120250015),('KW',1120250016,1120250050),('US',1120250051,1120250100),('MX',1120250101,1120250110),('US',1120250111,1120250625),('CA',1120250626,1120250878),('US',1120250879,1120251137),('BR',1120251138,1120251185),('IN',1120251186,1120251235),('US',1120251236,1120251350),('IN',1120251351,1120251390),('US',1120251391,1120251396),('IE',1120251397,1120251422),('US',1120251423,1120251441),('AU',1120251442,1120251461),('US',1120251462,1120251471),('IT',1120251472,1120251481),('US',1120251482,1120251908),('IE',1120251909,1120252158),('US',1120252159,1120252417),('CA',1120252418,1120252670),('US',1120252671,1120257764),('IE',1120257765,1120257784),('US',1120257785,1120272383),('CA',1120272384,1120281087),('PG',1120281088,1120281095),('LB',1120281096,1120281103),('CA',1120281104,1120281111),('US',1120281112,1120281119),('ZA',1120281120,1120281135),('CA',1120281136,1120281375),('AR',1120281376,1120281383),('US',1120281384,1120281391),('ZA',1120281392,1120281407),('CA',1120281408,1120281599),('US',1120281600,1120282367),('SY',1120282368,1120282623),('CA',1120282624,1120282879),('SY',1120282880,1120283135),('CA',1120283136,1120283647),('EC',1120283648,1120284671),('CA',1120284672,1120286719),('US',1120286720,1120288767),('CA',1120288768,1120299007),('PK',1120299008,1120299263),('CA',1120299264,1120299519),('PK',1120299520,1120300799),('CA',1120300800,1120306175),('PH',1120306176,1120306943),('CA',1120306944,1120307199),('EC',1120307200,1120307967),('PH',1120307968,1120308223),('HT',1120308224,1120309247),('CA',1120309248,1120310015),('PH',1120310016,1120310783),('CA',1120310784,1120311807),('PH',1120311808,1120312447),('US',1120312448,1120312575),('PH',1120312576,1120312831),('CA',1120312832,1120321535),('US',1120321536,1120370687),('CA',1120370688,1120371511),('US',1120371512,1120371551),('CA',1120371552,1120371647),('US',1120371648,1120371651),('CA',1120371652,1120371711),('US',1120371712,1120372063),('CA',1120372064,1120372079),('US',1120372080,1120372735),('CA',1120372736,1120374047),('US',1120374048,1120374063),('CA',1120374064,1120374271),('US',1120374272,1120374335),('CA',1120374336,1120374399),('US',1120374400,1120374415),('CA',1120374416,1120374511),('US',1120374512,1120374527),('CA',1120374528,1120375231),('US',1120375232,1120375239),('CA',1120375240,1120375247),('US',1120375248,1120375263),('CA',1120375264,1120376063),('US',1120376064,1120376127),('CA',1120376128,1120376191),('GB',1120376192,1120376207),('US',1120376208,1120376255),('CA',1120376256,1120376327),('US',1120376328,1120376575),('CA',1120376576,1120376671),('US',1120376672,1120376679),('CA',1120376680,1120376687),('US',1120376688,1120376767),('CA',1120376768,1120376815),('US',1120376816,1120376831),('CA',1120376832,1120377183),('US',1120377184,1120377199),('CA',1120377200,1120377791),('US',1120377792,1120377855),('CA',1120377856,1120378367),('US',1120378368,1120378623),('CA',1120378624,1120378911),('US',1120378912,1120378927),('CA',1120378928,1120379902),('US',1120379903,1120379903),('CA',1120379904,1120379935),('US',1120379936,1120380031),('CA',1120380032,1120380063),('US',1120380064,1120380095),('CA',1120380096,1120380143),('US',1120380144,1120380415),('CA',1120380416,1120380447),('US',1120380448,1120380479),('CA',1120380480,1120381055),('US',1120381056,1120381071),('CA',1120381072,1120381087),('US',1120381088,1120381095),('CA',1120381096,1120381103),('US',1120381104,1120381119),('CA',1120381120,1120382223),('US',1120382224,1120382239),('CA',1120382240,1120382271),('US',1120382272,1120382335),('CA',1120382336,1120382431),('US',1120382432,1120382463),('CA',1120382464,1120382975),('US',1120382976,1120383263),('CA',1120383264,1120383327),('US',1120383328,1120383343),('CA',1120383344,1120383367),('US',1120383368,1120383423),('CA',1120383424,1120383439),('US',1120383440,1120383775),('CA',1120383776,1120383807),('US',1120383808,1120383871),('CA',1120383872,1120383951),('US',1120383952,1120383967),('CA',1120383968,1120384095),('US',1120384096,1120384127),('CA',1120384128,1120385023),('US',1120385024,1120385135),('CA',1120385136,1120385143),('US',1120385144,1120385151),('GB',1120385152,1120385183),('CA',1120385184,1120385535),('US',1120385536,1120485759),('CA',1120485760,1120485887),('US',1120485888,1120485951),('KN',1120485952,1120486015),('US',1120486016,1120486079),('IN',1120486080,1120486143),('US',1120486144,1120486399),('CA',1120486400,1120486911),('US',1120486912,1120487039),('CA',1120487040,1120487167),('US',1120487168,1120487199),('CA',1120487200,1120487231),('US',1120487232,1120487359),('CA',1120487360,1120487391),('BE',1120487392,1120487423),('CA',1120487424,1120487679),('US',1120487680,1120487935),('CA',1120487936,1120488191),('US',1120488192,1120488447),('CA',1120488448,1120488703),('US',1120488704,1120488767),('VE',1120488768,1120488799),('IL',1120488800,1120488831),('CA',1120488832,1120488863),('BE',1120488864,1120488895),('KN',1120488896,1120488927),('US',1120488928,1120489215),('CA',1120489216,1120489343),('US',1120489344,1120489471),('CA',1120489472,1120489727),('US',1120489728,1120489983),('SG',1120489984,1120490111),('CA',1120490112,1120490751),('GB',1120490752,1120490783),('US',1120490784,1120491007),('CA',1120491008,1120491775),('US',1120491776,1120492415),('FR',1120492416,1120492543),('CA',1120492544,1120493055),('IN',1120493056,1120493087),('US',1120493088,1120493183),('CA',1120493184,1120493215),('BE',1120493216,1120493247),('US',1120493248,1120493311),('CA',1120493312,1120493567),('US',1120493568,1120493823),('CA',1120493824,1120494079),('US',1120494080,1120494335),('CA',1120494336,1120494591),('US',1120494592,1120495359),('CA',1120495360,1120495615),('US',1120495616,1120495743),('SG',1120495744,1120495871),('US',1120495872,1120495967),('CA',1120495968,1120495999),('US',1120496000,1120496223),('BE',1120496224,1120496255),('CA',1120496256,1120496287),('JP',1120496288,1120496319),('US',1120496320,1120496385),('CA',1120496386,1120496638),('US',1120496639,1120496639),('CA',1120496640,1120497023),('IN',1120497024,1120497151),('BE',1120497152,1120497183),('US',1120497184,1120497215),('BE',1120497216,1120497247),('US',1120497248,1120497375),('CA',1120497376,1120497663),('MY',1120497664,1120497791),('AU',1120497792,1120497919),('US',1120497920,1120497983),('BE',1120497984,1120498013),('US',1120498014,1120498143),('CA',1120498144,1120498175),('US',1120498176,1120498943),('CA',1120498944,1120499199),('US',1120499200,1120499487),('CA',1120499488,1120499519),('US',1120499520,1120500639),('BE',1120500640,1120500671),('US',1120500672,1120501247),('CA',1120501248,1120501503),('US',1120501504,1120509951),('SV',1120509952,1120516095),('US',1120516096,1120517375),('AR',1120517376,1120517631),('US',1120517632,1120517887),('CL',1120517888,1120518143),('CA',1120518144,1120534527),('US',1120534528,1120616807),('CA',1120616808,1120616815),('US',1120616816,1120641023),('CA',1120641024,1120657407),('US',1120657408,1120733183),('BB',1120733184,1120735231),('US',1120735232,1120735487),('BB',1120735488,1120735743),('US',1120735744,1120736207),('PY',1120736208,1120736223),('US',1120736224,1120736991),('KN',1120736992,1120737007),('US',1120737008,1120737023),('BS',1120737024,1120737279),('US',1120737280,1120739951),('MX',1120739952,1120739983),('US',1120739984,1120739991),('MX',1120739992,1120740079),('US',1120740080,1120740095),('MX',1120740096,1120740351),('TT',1120740352,1120741375),('US',1120741376,1120741631),('MX',1120741632,1120741887),('US',1120741888,1120743423),('KN',1120743424,1120743679),('US',1120743680,1120744447),('KN',1120744448,1120744703),('US',1120744704,1120854015),('CA',1120854016,1120862207),('US',1120862208,1120870399),('A2',1120874496,1120878591),('US',1120878592,1120886783),('CA',1120886784,1120894975),('US',1120894976,1120911359),('CA',1120911360,1120913383),('GE',1120913384,1120913391),('CA',1120913392,1120914415),('AT',1120914416,1120914431),('CA',1120914432,1120914687),('AG',1120914688,1120914719),('CA',1120914720,1120917695),('GB',1120917696,1120917703),('CA',1120917704,1120918623),('US',1120918624,1120918639),('CA',1120918640,1120919551),('US',1120919552,1121005567),('CA',1121005568,1121009663),('US',1121009664,1121038335),('CA',1121038336,1121042431),('US',1121042432,1121230847),('CA',1121230848,1121239039),('US',1121239040,1121247231),('CA',1121247232,1121247247),('AG',1121247248,1121247255),('CA',1121247256,1121247263),('CR',1121247264,1121247271),('CA',1121247272,1121247279),('GI',1121247280,1121247287),('CY',1121247288,1121247295),('CA',1121247296,1121247487),('VG',1121247488,1121247495),('CA',1121247496,1121247503),('CR',1121247504,1121247519),('AW',1121247520,1121247527),('GI',1121247528,1121247535),('BZ',1121247536,1121247543),('CA',1121247544,1121247567),('PA',1121247568,1121247583),('CY',1121247584,1121247591),('CA',1121247592,1121247615),('BZ',1121247616,1121247631),('CA',1121247632,1121247647),('US',1121247648,1121247663),('BZ',1121247664,1121247695),('CA',1121247696,1121247823),('AG',1121247824,1121247839),('CA',1121247840,1121247999),('AG',1121248000,1121248007),('TC',1121248008,1121248015),('CA',1121248016,1121248031),('BZ',1121248032,1121248039),('AG',1121248040,1121248055),('TC',1121248056,1121248063),('AG',1121248064,1121248079),('CA',1121248080,1121248095),('AG',1121248096,1121248111),('BZ',1121248112,1121248127),('MT',1121248128,1121248135),('CA',1121248136,1121248159),('AG',1121248160,1121248255),('CA',1121248256,1121248287),('BZ',1121248288,1121248303),('CA',1121248304,1121248311),('MT',1121248312,1121248319),('BZ',1121248320,1121248335),('CA',1121248336,1121248343),('BZ',1121248344,1121248351),('CR',1121248352,1121248383),('VG',1121248384,1121248399),('BZ',1121248400,1121248407),('GB',1121248408,1121248431),('CA',1121248432,1121248447),('MT',1121248448,1121248479),('BZ',1121248480,1121248495),('CA',1121248496,1121248775),('BZ',1121248776,1121248799),('GI',1121248800,1121248831),('CA',1121248832,1121248871),('VG',1121248872,1121248879),('CA',1121248880,1121248911),('BZ',1121248912,1121248919),('VG',1121248920,1121248927),('CA',1121248928,1121248959),('BZ',1121248960,1121248975),('CA',1121248976,1121248983),('AW',1121248984,1121248991),('VG',1121248992,1121249023),('CA',1121249024,1121249279),('SE',1121249280,1121249383),('CA',1121249384,1121249407),('AG',1121249408,1121249439),('CA',1121249440,1121249543),('AG',1121249544,1121249551),('CA',1121249552,1121249599),('AW',1121249600,1121249615),('CR',1121249616,1121249631),('CA',1121249632,1121249695),('BZ',1121249696,1121249727),('CA',1121249728,1121249791),('AG',1121249792,1121249855),('CA',1121249856,1121249903),('AG',1121249904,1121250047),('CR',1121250048,1121250079),('CA',1121250080,1121250111),('GB',1121250112,1121250143),('BZ',1121250144,1121250151),('CA',1121250152,1121250175),('AW',1121250176,1121250239),('GI',1121250240,1121250303),('BZ',1121250304,1121250815),('AG',1121250816,1121250831),('CA',1121250832,1121250847),('AG',1121250848,1121250879),('AW',1121250880,1121250911),('VG',1121250912,1121250927),('CA',1121250928,1121250935),('BZ',1121250936,1121251007),('VG',1121251008,1121251015),('CR',1121251016,1121251023),('CA',1121251024,1121251039),('CR',1121251040,1121251047),('AW',1121251048,1121251055),('CA',1121251056,1121251071),('GB',1121251072,1121251079),('CA',1121251080,1121251087),('CY',1121251088,1121251103),('CA',1121251104,1121251127),('AW',1121251128,1121251135),('AG',1121251136,1121251167),('CA',1121251168,1121251199),('AW',1121251200,1121251263),('CA',1121251264,1121251279),('CR',1121251280,1121251287),('CA',1121251288,1121251583),('BZ',1121251584,1121251591),('CA',1121251592,1121251607),('BZ',1121251608,1121251615),('NL',1121251616,1121251647),('CA',1121251648,1121251663),('MT',1121251664,1121251671),('CA',1121251672,1121251679),('AG',1121251680,1121251687),('BZ',1121251688,1121251775),('CA',1121251776,1121251791),('VG',1121251792,1121251807),('CA',1121251808,1121251831),('AG',1121251832,1121251839),('BZ',1121251840,1121251847),('CA',1121251848,1121251871),('VG',1121251872,1121251887),('CA',1121251888,1121251903),('AG',1121251904,1121251935),('CY',1121251936,1121251943),('PA',1121251944,1121251951),('GB',1121251952,1121251967),('PA',1121251968,1121251983),('CR',1121251984,1121251991),('AG',1121251992,1121251999),('CR',1121252000,1121252031),('CA',1121252032,1121252063),('AG',1121252064,1121252095),('CA',1121252096,1121252351),('AG',1121252352,1121252359),('CA',1121252360,1121252375),('PA',1121252376,1121252383),('CR',1121252384,1121252391),('CA',1121252392,1121252415),('GI',1121252416,1121252479),('CR',1121252480,1121252607),('AW',1121252608,1121252671),('BZ',1121252672,1121252735),('CR',1121252736,1121252863),('BZ',1121252864,1121253119),('AW',1121253120,1121253375),('CA',1121253376,1121253631),('CR',1121253632,1121253887),('BZ',1121253888,1121254143),('CA',1121254144,1121254151),('AG',1121254152,1121254159),('GI',1121254160,1121254167),('CA',1121254168,1121254191),('CR',1121254192,1121254199),('AW',1121254200,1121254207),('GI',1121254208,1121254215),('CR',1121254216,1121254223),('CA',1121254224,1121255423),('US',1121255424,1121468463),('AR',1121468464,1121468479),('US',1121468480,1121468495),('PK',1121468496,1121468511),('AU',1121468512,1121468519),('IN',1121468520,1121468527),('US',1121468528,1121468551),('CA',1121468552,1121468559),('US',1121468560,1121468567),('AU',1121468568,1121468575),('US',1121468576,1121468591),('AU',1121468592,1121468600),('US',1121468601,1121468911),('GB',1121468912,1121468927),('US',1121468928,1121468967),('CA',1121468968,1121468975),('US',1121468976,1121469175),('CA',1121469176,1121469183),('US',1121469184,1121469367),('CA',1121469368,1121469375),('US',1121469376,1121469839),('AU',1121469840,1121469847),('US',1121469848,1121469871),('SE',1121469872,1121469879),('US',1121469880,1121469895),('GB',1121469896,1121469903),('US',1121469904,1121469911),('PH',1121469912,1121469919),('US',1121469920,1121470015),('AU',1121470016,1121470047),('US',1121470048,1121470175),('CA',1121470176,1121470191),('US',1121470192,1121470215),('CA',1121470216,1121470223),('US',1121470224,1121470263),('CA',1121470264,1121470271),('US',1121470272,1121470311),('IL',1121470312,1121470319),('US',1121470320,1121470423),('NL',1121470424,1121470463),('US',1121470464,1121470551),('LB',1121470552,1121470559),('US',1121470560,1121470583),('AU',1121470584,1121470591),('US',1121470592,1121470703),('VU',1121470704,1121470711),('US',1121470712,1121470727),('CA',1121470728,1121470743),('US',1121470744,1121470759),('FR',1121470760,1121470767),('US',1121470768,1121470815),('AU',1121470816,1121470831),('US',1121470832,1121470847),('AU',1121470848,1121470863),('US',1121470864,1121470871),('AU',1121470872,1121470879),('US',1121470880,1121471063),('AU',1121471064,1121471071),('US',1121471072,1121471087),('AU',1121471088,1121471095),('US',1121471096,1121471127),('AU',1121471128,1121471135),('US',1121471136,1121471151),('CH',1121471152,1121471159),('US',1121471160,1121471167),('CA',1121471168,1121471175),('US',1121471176,1121471279),('GB',1121471280,1121471295),('US',1121471296,1121471375),('DK',1121471376,1121471391),('US',1121471392,1121471471),('CA',1121471472,1121471487),('MY',1121471488,1121471503),('US',1121471504,1121471511),('BR',1121471512,1121471519),('US',1121471520,1121471527),('EC',1121471528,1121471535),('US',1121471536,1121471559),('CA',1121471560,1121471575),('US',1121471576,1121471591),('CA',1121471592,1121471599),('US',1121471600,1121471623),('CA',1121471624,1121471631),('US',1121471632,1121471655),('CA',1121471656,1121471663),('AR',1121471664,1121471671),('US',1121471672,1121471703),('JP',1121471704,1121471711),('UA',1121471712,1121471719),('IT',1121471720,1121471727),('US',1121471728,1121471935),('CA',1121471936,1121471943),('IN',1121471944,1121471951),('US',1121471952,1121471975),('CA',1121471976,1121471983),('US',1121471984,1121471999),('BE',1121472000,1121472007),('US',1121472008,1121472047),('MY',1121472048,1121472055),('US',1121472056,1121472263),('LK',1121472264,1121472271),('US',1121472272,1121472287),('IN',1121472288,1121472303),('US',1121472304,1121472375),('AU',1121472376,1121472447),('IN',1121472448,1121472463),('CA',1121472464,1121472471),('ES',1121472472,1121472479),('US',1121472480,1121472511),('NZ',1121472512,1121472519),('CA',1121472520,1121472535),('US',1121472536,1121472559),('IN',1121472560,1121472567),('US',1121472568,1121472655),('UA',1121472656,1121472663),('US',1121472664,1121472727),('CA',1121472728,1121472735),('LB',1121472736,1121472743),('GB',1121472744,1121472751),('US',1121472752,1121472775),('RU',1121472776,1121472807),('US',1121472808,1121472831),('LB',1121472832,1121472839),('US',1121472840,1121472847),('IN',1121472848,1121472863),('US',1121472864,1121472871),('SE',1121472872,1121472879),('IT',1121472880,1121472887),('US',1121472888,1121472927),('GB',1121472928,1121472935),('US',1121472936,1121473175),('FR',1121473176,1121473183),('US',1121473184,1121473199),('GB',1121473200,1121473207),('US',1121473208,1121473239),('ES',1121473240,1121473247),('US',1121473248,1121473279),('AU',1121473280,1121473295),('US',1121473296,1121473303),('AU',1121473304,1121473311),('US',1121473312,1121473327),('AG',1121473328,1121473335),('US',1121473336,1121473439),('AU',1121473440,1121473471),('US',1121473472,1121473479),('CA',1121473480,1121473487),('US',1121473488,1121473599),('GB',1121473600,1121473607),('CA',1121473608,1121473615),('US',1121473616,1121473871),('NL',1121473872,1121473887),('US',1121473888,1121474007),('DE',1121474008,1121474015),('US',1121474016,1121474031),('AG',1121474032,1121474039),('US',1121474040,1121474063),('GB',1121474064,1121474071),('SI',1121474072,1121474079),('US',1121474080,1121474095),('CA',1121474096,1121474111),('US',1121474112,1121474151),('CA',1121474152,1121474159),('US',1121474160,1121474303),('VE',1121474304,1121474319),('US',1121474320,1121474351),('NZ',1121474352,1121474359),('US',1121474360,1121474367),('AU',1121474368,1121474375),('US',1121474376,1121474383),('AU',1121474384,1121474415),('US',1121474416,1121474447),('AU',1121474448,1121474455),('US',1121474456,1121474511),('UA',1121474512,1121474527),('US',1121474528,1121474535),('GB',1121474536,1121474543),('US',1121474544,1121474591),('CA',1121474592,1121474607),('US',1121474608,1121475135),('FR',1121475136,1121475151),('US',1121475152,1121475967),('AU',1121475968,1121476031),('US',1121476032,1121476431),('JP',1121476432,1121476439),('US',1121476440,1121476927),('IN',1121476928,1121476935),('US',1121476936,1121477391),('IN',1121477392,1121477399),('US',1121477400,1121477415),('NZ',1121477416,1121477423),('US',1121477424,1121477431),('IE',1121477432,1121477439),('ID',1121477440,1121477447),('US',1121477448,1121477551),('CA',1121477552,1121477567),('US',1121477568,1121477599),('AU',1121477600,1121477607),('US',1121477608,1121477935),('CA',1121477936,1121477943),('US',1121477944,1121478023),('GB',1121478024,1121478031),('US',1121478032,1121478079),('CA',1121478080,1121478087),('US',1121478088,1121478095),('CA',1121478096,1121478111),('US',1121478112,1121478167),('AU',1121478168,1121478175),('US',1121478176,1121478207),('GB',1121478208,1121478239),('US',1121478240,1121478343),('AU',1121478344,1121478367),('US',1121478368,1121478463),('GR',1121478464,1121478471),('US',1121478472,1121478495),('NO',1121478496,1121478503),('US',1121478504,1121478511),('RU',1121478512,1121478519),('KE',1121478520,1121478527),('US',1121478528,1121478591),('AU',1121478592,1121478655),('US',1121478656,1121478687),('NZ',1121478688,1121478703),('US',1121478704,1121478967),('AU',1121478968,1121478975),('US',1121478976,1121478991),('IN',1121478992,1121478999),('US',1121479000,1121479023),('CY',1121479024,1121479031),('US',1121479032,1121479143),('EG',1121479144,1121479167),('US',1121479168,1121479215),('CA',1121479216,1121479231),('US',1121479232,1121479295),('HK',1121479296,1121479303),('CA',1121479304,1121479343),('US',1121479344,1121479359),('NZ',1121479360,1121479367),('US',1121479368,1121479407),('CA',1121479408,1121479415),('US',1121479416,1121479679),('GB',1121479680,1121479687),('CA',1121479688,1121479695),('US',1121479696,1121479759),('AU',1121479760,1121479783),('US',1121479784,1121479831),('NZ',1121479832,1121479839),('IN',1121479840,1121479847),('US',1121479848,1121479871),('PK',1121479872,1121479887),('US',1121479888,1121479919),('AU',1121479920,1121479927),('US',1121479928,1121480783),('TH',1121480784,1121480791),('US',1121480792,1121480799),('CA',1121480800,1121480807),('US',1121480808,1121480847),('CY',1121480848,1121480855),('US',1121480856,1121480903),('HK',1121480904,1121480911),('US',1121480912,1121480959),('AU',1121480960,1121480967),('US',1121480968,1121480991),('AU',1121480992,1121481023),('US',1121481024,1121481039),('AU',1121481040,1121481047),('US',1121481048,1121481055),('AU',1121481056,1121481087),('US',1121481088,1121481239),('AU',1121481240,1121481247),('US',1121481248,1121481407),('GB',1121481408,1121481415),('US',1121481416,1121481439),('AT',1121481440,1121481447),('US',1121481448,1121482799),('AU',1121482800,1121482807),('US',1121482808,1121483567),('PT',1121483568,1121483575),('US',1121483576,1121715967),('IT',1121715968,1121716095),('US',1121716096,1121717431),('JP',1121717432,1121717439),('US',1121717440,1121717759),('IT',1121717760,1121718015),('US',1121718016,1121878015),('CA',1121878016,1121910783),('US',1121910784,1122074623),('CA',1122074624,1122091007),('US',1122091008,1122092799),('CA',1122092800,1122093055),('US',1122093056,1122093807),('HK',1122093808,1122093815),('US',1122093816,1122103471),('BE',1122103472,1122103479),('US',1122103480,1122108671),('GR',1122108672,1122108735),('US',1122108736,1122125954),('CA',1122125955,1122125978),('PH',1122125979,1122125988),('US',1122125989,1122125996),('GB',1122125997,1122126004),('US',1122126005,1122126239),('GB',1122126240,1122126249),('US',1122126250,1122126745),('CH',1122126746,1122126753),('US',1122126754,1122140159),('CA',1122140160,1122148351),('US',1122148352,1122197767),('FR',1122197768,1122197775),('US',1122197776,1122197887),('GB',1122197888,1122198015),('US',1122198016,1122267359),('GB',1122267360,1122267367),('US',1122267368,1122267391),('CN',1122267392,1122267399),('US',1122267400,1122269871),('BR',1122269872,1122269879),('US',1122269880,1122270423),('DK',1122270424,1122270431),('US',1122270432,1122320959),('PT',1122320960,1122320995),('US',1122320996,1122411551),('AU',1122411552,1122411583),('US',1122411584,1122412287),('AU',1122412288,1122412543),('US',1122412544,1122414335),('AU',1122414336,1122414591),('US',1122414592,1122416383),('DM',1122416384,1122416639),('US',1122416640,1122417919),('AU',1122417920,1122418175),('US',1122418176,1122451455),('CO',1122451456,1122455551),('US',1122455552,1122476031),('PR',1122476032,1122480127),('US',1122480128,1122480207),('GB',1122480208,1122480223),('IL',1122480224,1122480239),('US',1122480240,1122481231),('GB',1122481232,1122481247),('US',1122481248,1122493055),('ES',1122493056,1122493183),('US',1122493184,1122493439),('PR',1122493440,1122494207),('US',1122494208,1122494847),('IL',1122494848,1122494911),('US',1122494912,1122495231),('PR',1122495232,1122495999),('US',1122496000,1122497791),('PR',1122497792,1122498303),('US',1122498304,1122498559),('PR',1122498560,1122498815),('US',1122498816,1122499327),('PR',1122499328,1122500095),('US',1122500096,1122511103),('VG',1122511104,1122511359),('US',1122511360,1122525855),('RU',1122525856,1122525865),('US',1122525866,1122526096),('RU',1122526097,1122526111),('US',1122526112,1122526454),('RU',1122526455,1122526462),('US',1122526463,1122526517),('HK',1122526518,1122526541),('US',1122526542,1122526876),('RU',1122526877,1122526888),('US',1122526889,1122526925),('RU',1122526926,1122526939),('US',1122526940,1122528183),('RU',1122528184,1122528254),('US',1122528255,1122528603),('ES',1122528604,1122528613),('US',1122528614,1122528832),('GR',1122528833,1122528863),('US',1122528864,1122535423),('KR',1122535424,1122538495),('US',1122538496,1122540543),('GB',1122540544,1122540799),('US',1122540800,1122635775),('CA',1122635776,1122639871),('US',1122639872,1122667071),('CH',1122667072,1122667135),('US',1122667136,1122759247),('CA',1122759248,1122759263),('US',1122759264,1123123199),('CA',1123123200,1123127295),('US',1123127296,1123165247),('CA',1123165248,1123165311),('US',1123165312,1123180543),('CA',1123180544,1123184639),('US',1123184640,1123319807),('CA',1123319808,1123323903),('US',1123323904,1123336191),('CA',1123336192,1123352575),('US',1123352576,1123534847),('AW',1123534848,1123536895),('US',1123536896,1123582239),('CY',1123582240,1123582271),('US',1123582272,1123583327),('CA',1123583328,1123583359),('US',1123583360,1123583455),('CY',1123583456,1123583519),('US',1123583520,1123584703),('CA',1123584704,1123584735),('US',1123584736,1123585535),('CA',1123585536,1123585791),('US',1123585792,1123586815),('CA',1123586816,1123587071),('US',1123587072,1123588863),('CA',1123588864,1123589119),('US',1123589120,1123590143),('VI',1123590144,1123598335),('US',1123598336,1123615807),('CA',1123615808,1123615823),('US',1123615824,1123651583),('JM',1123651584,1123655679),('US',1123655680,1123663871),('SV',1123663872,1123667967),('PR',1123667968,1123670015),('US',1123670016,1123671039),('PY',1123671040,1123672063),('US',1123672064,1123794943),('DO',1123794944,1123795199),('US',1123795200,1123801087),('RU',1123801088,1123801343),('US',1123801344,1123848191),('CA',1123848192,1123852287),('US',1123852288,1123950591),('CA',1123950592,1123958783),('US',1123958784,1124028511),('NC',1124028512,1124028543),('US',1124028544,1125064703),('GB',1125064704,1125065215),('US',1125065216,1125078719),('PR',1125078720,1125078751),('US',1125078752,1125081087),('CL',1125081088,1125081151),('CA',1125081152,1125081183),('US',1125081184,1125081215),('GB',1125081216,1125081279),('PR',1125081280,1125081311),('US',1125081312,1125081855),('DE',1125081856,1125082111),('MD',1125082112,1125082239),('US',1125082240,1125082367),('DE',1125082368,1125082623),('US',1125082624,1125082655),('UY',1125082656,1125082687),('US',1125082688,1125082783),('UY',1125082784,1125082799),('US',1125082800,1125083007),('RU',1125083008,1125083023),('US',1125083024,1125083967),('UY',1125083968,1125084031),('US',1125084032,1125084063),('SE',1125084064,1125084095),('US',1125084096,1125085135),('DE',1125085136,1125085151),('US',1125085152,1125086079),('AU',1125086080,1125086143),('MD',1125086144,1125086175),('US',1125086176,1125087999),('CA',1125088000,1125088255),('US',1125088256,1125090303),('AU',1125090304,1125090335),('US',1125090336,1125090367),('ZA',1125090368,1125090431),('US',1125090432,1125090479),('DE',1125090480,1125090495),('US',1125090496,1125091087),('CA',1125091088,1125091103),('US',1125091104,1125091135),('SK',1125091136,1125091167),('US',1125091168,1125091183),('UY',1125091184,1125091199),('US',1125091200,1125091583),('GB',1125091584,1125091647),('US',1125091648,1125091663),('HU',1125091664,1125091679),('SE',1125091680,1125091711),('CA',1125091712,1125091743),('US',1125091744,1125091759),('UY',1125091760,1125091775),('CA',1125091776,1125091839),('US',1125091840,1125093375),('TH',1125093376,1125093407),('US',1125093408,1125093471),('IL',1125093472,1125093503),('SK',1125093504,1125093567),('AU',1125093568,1125093631),('US',1125093632,1125094463),('BR',1125094464,1125094527),('US',1125094528,1125094655),('GB',1125094656,1125094671),('SK',1125094672,1125094687),('US',1125094688,1125094783),('GB',1125094784,1125094799),('CA',1125094800,1125094847),('BR',1125094848,1125094911),('AU',1125094912,1125095039),('GB',1125095040,1125095167),('BE',1125095168,1125095183),('US',1125095184,1125095295),('AU',1125095296,1125095327),('US',1125095328,1125096959),('AR',1125096960,1125097087),('US',1125097088,1125097119),('TH',1125097120,1125097151),('US',1125097152,1125097215),('AU',1125097216,1125097279),('BR',1125097280,1125097343),('US',1125097344,1125097407),('IL',1125097408,1125097439),('US',1125097440,1125097455),('GB',1125097456,1125097471),('US',1125097472,1125097791),('ES',1125097792,1125097823),('AU',1125097824,1125097855),('JO',1125097856,1125097871),('UY',1125097872,1125097887),('US',1125097888,1125097919),('IL',1125097920,1125097983),('US',1125097984,1125099775),('GB',1125099776,1125100031),('US',1125100032,1125103359),('A1',1125103360,1125103487),('UY',1125103488,1125103519),('US',1125103520,1125106063),('CA',1125106064,1125106111),('GB',1125106112,1125106175),('AU',1125106176,1125106207),('TR',1125106208,1125106223),('FR',1125106224,1125106239),('UY',1125106240,1125106255),('FR',1125106256,1125106271),('US',1125106272,1125106303),('DE',1125106304,1125106367),('US',1125106368,1125106623),('MD',1125106624,1125106687),('US',1125106688,1125110271),('GB',1125110272,1125110335),('US',1125110336,1125110399),('KW',1125110400,1125110463),('US',1125110464,1125110783),('TR',1125110784,1125110911),('UY',1125110912,1125110927),('TW',1125110928,1125110943),('CA',1125110944,1125110959),('US',1125110960,1125110975),('MA',1125110976,1125111039),('US',1125111040,1125111423),('BR',1125111424,1125111439),('US',1125111440,1125111455),('CA',1125111456,1125111471),('US',1125111472,1125111487),('GB',1125111488,1125111519),('IL',1125111520,1125111535),('US',1125111536,1125111743),('DE',1125111744,1125111775),('US',1125111776,1125112447),('PL',1125112448,1125112511),('US',1125112512,1125112767),('GB',1125112768,1125112783),('US',1125112784,1125115647),('ES',1125115648,1125115663),('US',1125115664,1125115727),('ES',1125115728,1125115743),('US',1125115744,1125115855),('BR',1125115856,1125115871),('US',1125115872,1125116159),('BR',1125116160,1125116191),('TR',1125116192,1125116223),('US',1125116224,1125116415),('MA',1125116416,1125116671),('US',1125116672,1125116959),('JP',1125116960,1125116991),('US',1125116992,1125117023),('BR',1125117024,1125117055),('US',1125117056,1125117151),('UY',1125117152,1125117167),('US',1125117168,1125117183),('MD',1125117184,1125117439),('US',1125117440,1125117695),('MD',1125117696,1125117823),('US',1125117824,1125118495),('BR',1125118496,1125118511),('US',1125118512,1125118527),('UY',1125118528,1125118559),('TR',1125118560,1125118591),('US',1125118592,1125118655),('IL',1125118656,1125118687),('BR',1125118688,1125118719),('US',1125118720,1125119199),('TR',1125119200,1125119231),('US',1125119232,1125119743),('RO',1125119744,1125119871),('US',1125119872,1125119903),('IL',1125119904,1125119935),('JP',1125119936,1125119967),('US',1125119968,1125120255),('MA',1125120256,1125120511),('US',1125120512,1125120767),('UY',1125120768,1125120799),('IL',1125120800,1125120831),('TH',1125120832,1125120847),('US',1125120848,1125120863),('GB',1125120864,1125120895),('RO',1125120896,1125121023),('US',1125121024,1126498711),('PR',1126498712,1126498719),('US',1126498720,1126504223),('PR',1126504224,1126504231),('US',1126504232,1126551767),('PR',1126551768,1126551775),('US',1126551776,1126604015),('PR',1126604016,1126604023),('US',1126604024,1126614439),('PR',1126614440,1126614447),('US',1126614448,1126671719),('PR',1126671720,1126671727),('US',1126671728,1126682719),('PR',1126682720,1126682727),('US',1126682728,1126682823),('PR',1126682824,1126682831),('US',1126682832,1126924287),('CA',1126924288,1126928383),('US',1126928384,1126948863),('CA',1126948864,1126952959),('US',1126952960,1127677951),('CA',1127677952,1127694335),('US',1127694336,1127875839),('CA',1127875840,1127876095),('US',1127876096,1127877375),('CA',1127877376,1127877631),('US',1127877632,1127878399),('CA',1127878400,1127878911),('US',1127878912,1127879679),('CA',1127879680,1127879935),('US',1127879936,1127880703),('CA',1127880704,1127880959),('US',1127880960,1127881471),('CA',1127881472,1127881983),('US',1127881984,1127923711),('CA',1127923712,1127931903),('US',1127931904,1127976191),('IL',1127976192,1127976223),('US',1127976224,1127979111),('CA',1127979112,1127979119),('US',1127979120,1127982015),('IT',1127982016,1127982079),('US',1127982080,1127985951),('NG',1127985952,1127985983),('US',1127985984,1127986087),('RO',1127986088,1127986095),('US',1127986096,1127986935),('IN',1127986936,1127986943),('US',1127986944,1127987583),('IL',1127987584,1127987599),('US',1127987600,1127988551),('AU',1127988552,1127988559),('US',1127988560,1127988687),('IL',1127988688,1127988695),('US',1127988696,1128285063),('PR',1128285064,1128285071),('US',1128285072,1128288271),('PR',1128288272,1128288287),('US',1128288288,1128529919),('CA',1128529920,1128641023),('US',1128641024,1128641535),('CA',1128641536,1128792063),('US',1128792064,1128818687),('CA',1128818688,1128818719),('US',1128818720,1130393711),('CA',1130393712,1130393727),('US',1130393728,1131440135),('PR',1131440136,1131440143),('US',1131440144,1131949295),('PR',1131949296,1131949303),('US',1131949304,1132020767),('PR',1132020768,1132020775),('US',1132020776,1132565375),('CA',1132565376,1132565503),('US',1132565504,1132582463),('CA',1132582464,1132582479),('US',1132582480,1132713607),('CA',1132713608,1132713615),('US',1132713616,1132764423),('MX',1132764424,1132764431),('US',1132764432,1132774367),('ZA',1132774368,1132774399),('US',1132774400,1132910111),('AU',1132910112,1132910143),('US',1132910144,1132947431),('CA',1132947432,1132947439),('US',1132947440,1134029055),('A2',1134029056,1134029567),('US',1134029568,1134444543),('CA',1134444544,1134448639),('US',1134448640,1134546943),('CA',1134546944,1134551039),('US',1134551040,1136517007),('GB',1136517008,1136517023),('US',1136517024,1136517039),('GB',1136517040,1136517055),('US',1136517056,1136656503),('CA',1136656504,1136656511),('US',1136656512,1136656583),('GB',1136656584,1136656591),('US',1136656592,1136656615),('AU',1136656616,1136656631),('US',1136656632,1136656863),('CA',1136656864,1136656895),('US',1136656896,1136657039),('CA',1136657040,1136657047),('US',1136657048,1136657615),('GB',1136657616,1136657623),('US',1136657624,1136657775),('CA',1136657776,1136657783),('US',1136657784,1136657815),('CA',1136657816,1136657823),('US',1136657824,1136657871),('GT',1136657872,1136657887),('US',1136657888,1136657911),('CA',1136657912,1136657919),('US',1136657920,1136658087),('CN',1136658088,1136658095),('MX',1136658096,1136658111),('US',1136658112,1136658119),('JP',1136658120,1136658127),('US',1136658128,1136658135),('AU',1136658136,1136658143),('US',1136658144,1136658151),('AU',1136658152,1136658159),('US',1136658160,1136658439),('MX',1136658440,1136658447),('US',1136658448,1136658711),('IN',1136658712,1136658719),('NZ',1136658720,1136658727),('US',1136658728,1136658991),('AU',1136658992,1136658999),('US',1136659000,1136659023),('AU',1136659024,1136659031),('US',1136659032,1136659039),('AU',1136659040,1136659047),('US',1136659048,1136659151),('CA',1136659152,1136659159),('US',1136659160,1136659599),('MX',1136659600,1136659607),('US',1136659608,1136659639),('FR',1136659640,1136659647),('US',1136659648,1136659815),('GB',1136659816,1136659823),('US',1136659824,1136659927),('CA',1136659928,1136659935),('US',1136659936,1136660223),('CA',1136660224,1136660231),('US',1136660232,1136660239),('GB',1136660240,1136660247),('US',1136660248,1136660471),('GB',1136660472,1136660479),('US',1136660480,1136660487),('NO',1136660488,1136660495),('US',1136660496,1136660511),('HR',1136660512,1136660519),('US',1136660520,1136660759),('CA',1136660760,1136660767),('US',1136660768,1136660775),('CA',1136660776,1136660791),('US',1136660792,1136660823),('CA',1136660824,1136660839),('US',1136660840,1136660871),('AU',1136660872,1136660879),('US',1136660880,1136660943),('IN',1136660944,1136660951),('US',1136660952,1136661295),('TW',1136661296,1136661303),('US',1136661304,1136661327),('IN',1136661328,1136661335),('US',1136661336,1136661343),('CN',1136661344,1136661351),('US',1136661352,1136661367),('IN',1136661368,1136661375),('US',1136661376,1136661399),('MX',1136661400,1136661407),('US',1136661408,1136661631),('IN',1136661632,1136661639),('US',1136661640,1136661687),('GB',1136661688,1136661695),('US',1136661696,1136661727),('CA',1136661728,1136661743),('US',1136661744,1136661919),('CA',1136661920,1136661951),('US',1136661952,1136662087),('CA',1136662088,1136662095),('US',1136662096,1136662151),('MX',1136662152,1136662159),('US',1136662160,1136662575),('CA',1136662576,1136662583),('US',1136662584,1136662663),('CA',1136662664,1136662671),('US',1136662672,1136662815),('IN',1136662816,1136662823),('US',1136662824,1136662911),('IN',1136662912,1136662919),('US',1136662920,1136663247),('CL',1136663248,1136663255),('US',1136663256,1136663575),('CN',1136663576,1136663583),('US',1136663584,1136663679),('IN',1136663680,1136663687),('JP',1136663688,1136663695),('US',1136663696,1136664543),('AU',1136664544,1136664551),('US',1136664552,1136664639),('CA',1136664640,1136664647),('US',1136664648,1136664791),('GB',1136664792,1136664799),('US',1136664800,1136664815),('IL',1136664816,1136664823),('US',1136664824,1136664847),('CA',1136664848,1136664863),('US',1136664864,1136665103),('AU',1136665104,1136665111),('US',1136665112,1136665135),('GB',1136665136,1136665143),('US',1136665144,1136665655),('IN',1136665656,1136665663),('US',1136665664,1136665735),('GB',1136665736,1136665743),('US',1136665744,1136665759),('CA',1136665760,1136665767),('US',1136665768,1136665831),('CA',1136665832,1136665839),('US',1136665840,1136665919),('DE',1136665920,1136665927),('US',1136665928,1136666143),('CA',1136666144,1136666151),('US',1136666152,1136666223),('PT',1136666224,1136666231),('US',1136666232,1136666351),('IL',1136666352,1136666359),('US',1136666360,1136666447),('GB',1136666448,1136666463),('US',1136666464,1136666559),('GB',1136666560,1136666575),('US',1136666576,1136666743),('CA',1136666744,1136666751),('US',1136666752,1136666791),('IL',1136666792,1136666799),('US',1136666800,1136666863),('GB',1136666864,1136666871),('US',1136666872,1136666991),('CA',1136666992,1136667007),('US',1136667008,1136667087),('IL',1136667088,1136667103),('US',1136667104,1136667447),('GB',1136667448,1136667455),('US',1136667456,1136667551),('AU',1136667552,1136667559),('US',1136667560,1136667583),('CA',1136667584,1136667591),('US',1136667592,1136667599),('IN',1136667600,1136667615),('US',1136667616,1136667655),('CA',1136667656,1136667663),('US',1136667664,1136667759),('KW',1136667760,1136667767),('US',1136667768,1136668023),('GB',1136668024,1136668031),('US',1136668032,1136668127),('AU',1136668128,1136668159),('US',1136668160,1136668191),('MX',1136668192,1136668207),('US',1136668208,1136668287),('IN',1136668288,1136668303),('MX',1136668304,1136668319),('US',1136668320,1136668335),('MX',1136668336,1136668351),('US',1136668352,1136668383),('IN',1136668384,1136668415),('US',1136668416,1136668447),('IN',1136668448,1136668455),('US',1136668456,1136668559),('CA',1136668560,1136668567),('US',1136668568,1136668671),('IN',1136668672,1136668679),('BG',1136668680,1136668687),('US',1136668688,1136668887),('CL',1136668888,1136668895),('US',1136668896,1136669143),('IN',1136669144,1136669151),('US',1136669152,1136669263),('GB',1136669264,1136669279),('US',1136669280,1136669343),('CO',1136669344,1136669359),('US',1136669360,1136669487),('CA',1136669488,1136669495),('US',1136669496,1136669511),('CA',1136669512,1136669519),('US',1136669520,1136669567),('CA',1136669568,1136669575),('MX',1136669576,1136669583),('US',1136669584,1136669775),('NL',1136669776,1136669783),('US',1136669784,1136669911),('ES',1136669912,1136669919),('US',1136669920,1136670063),('SG',1136670064,1136670071),('US',1136670072,1136670111),('NZ',1136670112,1136670119),('US',1136670120,1136670151),('SG',1136670152,1136670159),('US',1136670160,1136670719),('GB',1136670720,1136670975),('US',1136670976,1136672999),('CA',1136673000,1136673007),('US',1136673008,1136673039),('IN',1136673040,1136673047),('US',1136673048,1136673231),('GB',1136673232,1136673239),('US',1136673240,1136673263),('IN',1136673264,1136673271),('US',1136673272,1136673279),('CA',1136673280,1136673287),('US',1136673288,1136673327),('CA',1136673328,1136673335),('US',1136673336,1136673423),('CA',1136673424,1136673431),('US',1136673432,1136673559),('VE',1136673560,1136673567),('US',1136673568,1136673703),('MX',1136673704,1136673711),('US',1136673712,1136673855),('CA',1136673856,1136673863),('US',1136673864,1136673903),('CA',1136673904,1136673919),('GB',1136673920,1136673927),('US',1136673928,1136674079),('AU',1136674080,1136674095),('US',1136674096,1136674447),('AU',1136674448,1136674463),('US',1136674464,1136674583),('CA',1136674584,1136674591),('MX',1136674592,1136674607),('US',1136674608,1136674807),('GB',1136674808,1136674815),('US',1136674816,1136674863),('IN',1136674864,1136674871),('US',1136674872,1136674895),('IL',1136674896,1136674903),('GB',1136674904,1136674911),('US',1136674912,1136674967),('CA',1136674968,1136674975),('US',1136674976,1136675007),('AU',1136675008,1136675015),('CL',1136675016,1136675023),('US',1136675024,1136675055),('ES',1136675056,1136675063),('US',1136675064,1136675311),('GB',1136675312,1136675319),('US',1136675320,1136675751),('IN',1136675752,1136675759),('US',1136675760,1136675815),('AE',1136675816,1136675823),('US',1136675824,1136675839),('GB',1136675840,1136676095),('US',1136676096,1136676255),('CA',1136676256,1136676271),('US',1136676272,1136676551),('GB',1136676552,1136676559),('US',1136676560,1136676583),('AU',1136676584,1136676591),('US',1136676592,1136676671),('CA',1136676672,1136676679),('US',1136676680,1136676735),('AU',1136676736,1136676743),('US',1136676744,1136677375),('AU',1136677376,1136677391),('US',1136677392,1136677463),('CA',1136677464,1136677471),('US',1136677472,1136677615),('CA',1136677616,1136677631),('US',1136677632,1136678303),('MX',1136678304,1136678319),('US',1136678320,1136678431),('GB',1136678432,1136678447),('US',1136678448,1136679071),('CA',1136679072,1136679087),('US',1136679088,1136679135),('BR',1136679136,1136679167),('US',1136679168,1136679215),('GB',1136679216,1136679223),('US',1136679224,1136679231),('IL',1136679232,1136679263),('US',1136679264,1136679279),('CA',1136679280,1136679295),('US',1136679296,1136681167),('CA',1136681168,1136681175),('US',1136681176,1136681191),('MX',1136681192,1136681199),('US',1136681200,1136681215),('HN',1136681216,1136681223),('US',1136681224,1136681231),('IL',1136681232,1136681239),('US',1136681240,1136681311),('BR',1136681312,1136681319),('US',1136681320,1136681439),('GB',1136681440,1136681447),('US',1136681448,1136681455),('IL',1136681456,1136681471),('US',1136681472,1136681487),('GB',1136681488,1136681495),('US',1136681496,1136681559),('CA',1136681560,1136681567),('US',1136681568,1136682271),('GB',1136682272,1136682303),('US',1136682304,1136682495),('CA',1136682496,1136682503),('US',1136682504,1136682527),('CA',1136682528,1136682559),('US',1136682560,1136682583),('CA',1136682584,1136682591),('US',1136682592,1136682695),('CA',1136682696,1136682703),('US',1136682704,1136682863),('CA',1136682864,1136682871),('US',1136682872,1136683095),('IL',1136683096,1136683103),('US',1136683104,1136683127),('MX',1136683128,1136683135),('US',1136683136,1136683367),('GB',1136683368,1136683375),('ZA',1136683376,1136683383),('US',1136683384,1136683527),('AU',1136683528,1136683535),('US',1136683536,1136683543),('AE',1136683544,1136683551),('US',1136683552,1136684047),('CA',1136684048,1136684063),('US',1136684064,1136684087),('MX',1136684088,1136684095),('US',1136684096,1136684103),('CA',1136684104,1136684111),('US',1136684112,1136684231),('CA',1136684232,1136684239),('IN',1136684240,1136684247),('US',1136684248,1136684463),('CA',1136684464,1136684471),('US',1136684472,1136684559),('CA',1136684560,1136684575),('US',1136684576,1136684607),('CA',1136684608,1136684615),('US',1136684616,1136684623),('IN',1136684624,1136684631),('US',1136684632,1136684663),('AU',1136684664,1136684671),('GB',1136684672,1136684679),('US',1136684680,1136684703),('MX',1136684704,1136684719),('US',1136684720,1136684735),('IN',1136684736,1136684751),('US',1136684752,1136684807),('IT',1136684808,1136684815),('US',1136684816,1136684895),('CA',1136684896,1136684911),('HR',1136684912,1136684919),('US',1136684920,1136684975),('CA',1136684976,1136684983),('US',1136684984,1136684991),('JP',1136684992,1136684999),('US',1136685000,1136685055),('CA',1136685056,1136685183),('US',1136685184,1136685191),('BM',1136685192,1136685199),('US',1136685200,1136685231),('CN',1136685232,1136685239),('US',1136685240,1136685247),('CA',1136685248,1136685263),('US',1136685264,1136685791),('IL',1136685792,1136685799),('US',1136685800,1136685871),('CA',1136685872,1136685879),('US',1136685880,1136685903),('HR',1136685904,1136685911),('US',1136685912,1136685935),('IT',1136685936,1136685943),('US',1136685944,1136692991),('IR',1136692992,1136693023),('US',1136693024,1136693503),('GB',1136693504,1136693511),('US',1136693512,1136702719),('CA',1136702720,1136702727),('US',1136702728,1136713471),('SG',1136713472,1136713479),('US',1136713480,1136716287),('ZA',1136716288,1136716295),('US',1136716296,1136716799),('VI',1136716800,1136716831),('US',1136716832,1136721919),('CA',1136721920,1136787455),('US',1136787456,1137278975),('CA',1137278976,1137295359),('US',1137295360,1137378319),('CN',1137378320,1137378335),('US',1137378336,1137426431),('PR',1137426432,1137442815),('CA',1137442816,1137459199),('US',1137459200,1137491967),('CA',1137491968,1137508351),('US',1137508352,1137524735),('CA',1137524736,1137533183),('US',1137533184,1137533191),('CA',1137533192,1137533695),('LB',1137533696,1137533703),('CA',1137533704,1137534207),('US',1137534208,1137534215),('CA',1137534216,1137535743),('PT',1137535744,1137535751),('CA',1137535752,1137535999),('CN',1137536000,1137536007),('CA',1137536008,1137536255),('PT',1137536256,1137536263),('CA',1137536264,1137536511),('US',1137536512,1137536527),('CA',1137536528,1137537279),('US',1137537280,1137537287),('CA',1137537288,1137537535),('US',1137537536,1137537543),('CA',1137537544,1137538559),('IS',1137538560,1137538567),('CA',1137538568,1137538815),('EC',1137538816,1137538823),('CA',1137538824,1137541119),('US',1137541120,1137614847),('PR',1137623040,1137631231),('US',1137639424,1137704959),('CA',1137704960,1137705383),('US',1137705384,1137705391),('CA',1137705392,1137705447),('US',1137705448,1137705455),('CA',1137705456,1137705767),('US',1137705768,1137705775),('CA',1137705776,1137707167),('US',1137707168,1137707175),('CA',1137707176,1137707207),('US',1137707208,1137707215),('CA',1137707216,1137707775),('US',1137707776,1137708031),('CA',1137708032,1137708167),('US',1137708168,1137708175),('CA',1137708176,1137710847),('US',1137710848,1137710855),('CA',1137710856,1137711103),('US',1137711104,1137711111),('CA',1137711112,1137711615),('US',1137711616,1137711623),('CA',1137711624,1137712127),('US',1137712128,1137712135),('CA',1137712136,1137712383),('US',1137712384,1137712639),('CA',1137712640,1137713151),('US',1137713152,1137717247),('US',1137721344,1137795071),('A2',1137795072,1137799167),('US',1137803264,1137868799),('CA',1137868800,1137885183),('US',1137885184,1137889279),('US',1137893376,1137893823),('CO',1137893824,1137893831),('US',1137893832,1137894271),('CO',1137894272,1137894279),('US',1137894280,1137894295),('CO',1137894296,1137894311),('US',1137894312,1137894319),('CO',1137894320,1137894327),('US',1137894328,1137917951),('CA',1137917952,1137934335),('US',1137934336,1137950719),('CA',1137950720,1137954815),('US',1137958912,1137963007),('CA',1137967104,1137975295),('US',1137975296,1137983487),('CA',1137983488,1137991679),('US',1137991680,1137995775),('US',1137999872,1138003967),('US',1138008064,1138014207),('CA',1138014208,1138014215),('US',1138014216,1138014463),('CA',1138014464,1138014527),('US',1138014528,1138049023),('CA',1138049024,1138065407),('US',1138065408,1138163711),('CA',1138163712,1138167807),('US',1138171904,1138175999),('US',1138180096,1138188287),('PR',1138188288,1138192383),('CA',1138196480,1138204671),('US',1138204672,1138208767),('CA',1138212864,1138216959),('US',1138221056,1138225151),('US',1138229248,1138413567),('US',1138417664,1138418175),('CA',1138418176,1138418687),('US',1138418688,1138421247),('CA',1138421248,1138421759),('US',1138421760,1138499583),('CA',1138499584,1138503679),('US',1138507776,1138544639),('CA',1138548736,1138556927),('US',1138556928,1138704383),('CA',1138704384,1138724863),('US',1138728960,1138733055),('US',1138737152,1138769919),('PR',1138786304,1138802687),('CA',1138819072,1138851839),('US',1138851840,1138917375),('CA',1138917376,1138933759),('US',1138950144,1139015775),('PH',1139015776,1139015783),('US',1139015784,1139015999),('PH',1139016000,1139016063),('US',1139016064,1139017471),('DK',1139017472,1139017479),('US',1139017480,1139020063),('ID',1139020064,1139020079),('US',1139020080,1139020223),('CA',1139020224,1139020239),('US',1139020240,1139020511),('CA',1139020512,1139020535),('US',1139020536,1139025479),('IE',1139025480,1139025487),('US',1139025488,1139025807),('IE',1139025808,1139025815),('US',1139025816,1139026175),('MY',1139026176,1139026431),('US',1139026432,1139027111),('DK',1139027112,1139027119),('US',1139027120,1139027175),('DK',1139027176,1139027183),('US',1139027184,1139027615),('DK',1139027616,1139027623),('US',1139027624,1139039487),('AU',1139039488,1139039495),('US',1139039496,1139040823),('BR',1139040824,1139040831),('US',1139040832,1139041079),('GR',1139041080,1139041087),('US',1139041088,1139041471),('GR',1139041472,1139041479),('IE',1139041480,1139041487),('US',1139041488,1139042559),('SA',1139042560,1139042567),('US',1139042568,1139043071),('AU',1139043072,1139043079),('US',1139043080,1139050751),('GB',1139050752,1139050783),('US',1139050784,1139051007),('GB',1139051008,1139051039),('US',1139051040,1139051263),('GB',1139051264,1139051391),('US',1139051392,1139052543),('GB',1139052544,1139052671),('US',1139052672,1139057151),('DK',1139057152,1139057167),('US',1139057168,1139057919),('ES',1139057920,1139057927),('US',1139057928,1139059711),('SA',1139059712,1139059719),('US',1139059720,1139066879),('CA',1139066880,1139066887),('US',1139066888,1139068927),('ID',1139068928,1139068935),('US',1139068936,1139070207),('CA',1139070208,1139070239),('US',1139070240,1139071743),('CA',1139071744,1139071751),('US',1139071752,1139074047),('CA',1139074048,1139074111),('US',1139074112,1139076607),('AU',1139076608,1139076623),('US',1139076624,1140326399),('US',1140850688,1142187775),('PR',1142187776,1142187783),('US',1142187784,1142191847),('PR',1142191848,1142191855),('US',1142191856,1142202623),('PR',1142202624,1142202631),('US',1142202632,1142204103),('PR',1142204104,1142204111),('US',1142204112,1142204327),('PR',1142204328,1142204335),('US',1142204336,1150287871),('CA',1150287872,1150812159),('US',1150812160,1152581631),('CA',1152581632,1152614399),('US',1152614400,1152778239),('CA',1152778240,1152843775),('US',1152843776,1154488319),('A2',1154488320,1154488575),('US',1154488576,1156335367),('PR',1156335368,1156335375),('US',1156335376,1157713663),('CA',1157713664,1157713791),('US',1157713792,1157755247),('GR',1157755248,1157755263),('US',1157755264,1157931007),('BS',1157931008,1157935103),('US',1157935104,1157943295),('CA',1157943296,1157947391),('US',1157947392,1158027263),('CA',1158027264,1158027519),('US',1158027520,1158028287),('CA',1158028288,1158028543),('US',1158028544,1158148095),('CA',1158148096,1158152191),('US',1158152192,1158193151),('CA',1158193152,1158193215),('US',1158193216,1158193247),('CA',1158193248,1158194175),('US',1158194176,1158194239),('CA',1158194240,1158194335),('US',1158194336,1158194431),('CA',1158194432,1158194751),('US',1158194752,1158194815),('CA',1158194816,1158194879),('US',1158194880,1158195071),('CA',1158195072,1158196495),('US',1158196496,1158196527),('CA',1158196528,1158196575),('US',1158196576,1158196591),('CA',1158196592,1158197247),('US',1158197248,1158295807),('GB',1158295808,1158296063),('US',1158296064,1158316031),('CA',1158316032,1158320575),('A1',1158320576,1158320639),('CA',1158320640,1158324223),('US',1158324224,1158340607),('CA',1158340608,1158344703),('US',1158344704,1158348799),('CA',1158348800,1158381567),('US',1158381568,1158481417),('CA',1158481418,1158481426),('US',1158481427,1158481427),('CA',1158481428,1158481436),('US',1158481437,1158481507),('CA',1158481508,1158481516),('US',1158481517,1158481597),('CA',1158481598,1158481606),('US',1158481607,1158481737),('CA',1158481738,1158481745),('US',1158481746,1158488529),('IL',1158488530,1158488542),('US',1158488543,1158488833),('IL',1158488834,1158488846),('US',1158488847,1158493441),('CA',1158493442,1158493566),('US',1158493567,1158496497),('TC',1158496498,1158496506),('US',1158496507,1158496530),('WS',1158496531,1158496539),('US',1158496540,1158496779),('FJ',1158496780,1158496788),('BE',1158496789,1158496797),('US',1158496798,1158496806),('PE',1158496807,1158496815),('US',1158496816,1158497616),('CH',1158497617,1158497625),('US',1158497626,1158497652),('CA',1158497653,1158497661),('GE',1158497662,1158497670),('US',1158497671,1158497770),('CA',1158497771,1158497779),('US',1158497780,1158497825),('GE',1158497826,1158497834),('WS',1158497835,1158497865),('US',1158497866,1158498032),('HK',1158498033,1158498041),('US',1158498042,1158498282),('MX',1158498283,1158498291),('US',1158498292,1158498457),('GR',1158498458,1158498466),('US',1158498467,1158498778),('IT',1158498779,1158498787),('US',1158498788,1158499171),('VI',1158499172,1158499179),('US',1158499180,1158499315),('CA',1158499316,1158499326),('US',1158499327,1158499382),('AS',1158499383,1158499391),('NL',1158499392,1158499400),('FR',1158499401,1158499409),('US',1158499410,1158499584),('CA',1158499585,1158499838),('US',1158499839,1158501120),('PR',1158501121,1158501374),('US',1158501375,1158504775),('CA',1158504776,1158504784),('US',1158504785,1158504836),('JM',1158504837,1158504845),('US',1158504846,1158504863),('GR',1158504864,1158504872),('US',1158504873,1158504941),('CA',1158504942,1158504950),('US',1158504951,1158504951),('KE',1158504952,1158504959),('US',1158504960,1158505490),('CA',1158505491,1158505499),('US',1158505500,1158505653),('AU',1158505654,1158505727),('US',1158505728,1158506793),('IN',1158506794,1158506809),('US',1158506810,1158512741),('PK',1158512742,1158512750),('US',1158512751,1158513023),('CR',1158513024,1158513032),('US',1158513033,1158513050),('AS',1158513051,1158513059),('US',1158513060,1158513070),('AS',1158513071,1158513079),('US',1158513080,1158513362),('TC',1158513363,1158513371),('US',1158513372,1158513398),('CA',1158513399,1158513407),('US',1158513408,1158513600),('CA',1158513601,1158513609),('US',1158513610,1158513618),('CO',1158513619,1158513627),('US',1158513628,1158513682),('CA',1158513683,1158513691),('US',1158513692,1158513756),('TC',1158513757,1158513765),('US',1158513766,1158513850),('SZ',1158513851,1158513859),('US',1158513860,1158513877),('BZ',1158513878,1158513886),('US',1158513887,1158514057),('SN',1158514058,1158514066),('US',1158514067,1158514075),('MX',1158514076,1158514084),('US',1158514085,1158514129),('TW',1158514130,1158514138),('US',1158514139,1158514331),('CA',1158514332,1158514340),('US',1158514341,1158514349),('MX',1158514350,1158514358),('US',1158514359,1158514367),('CA',1158514368,1158514376),('US',1158514377,1158514432),('AS',1158514433,1158514560),('US',1158514561,1158514664),('FR',1158514665,1158514673),('US',1158514674,1158514787),('AS',1158514788,1158514796),('US',1158514797,1158515273),('BZ',1158515274,1158515282),('US',1158515283,1158516844),('CA',1158516845,1158516853),('US',1158516854,1158516859),('AU',1158516860,1158516868),('US',1158516869,1158516938),('CA',1158516939,1158516947),('US',1158516948,1158517284),('PK',1158517285,1158517293),('US',1158517294,1158517426),('BG',1158517427,1158517435),('US',1158517436,1158517466),('BE',1158517467,1158517475),('US',1158517476,1158518020),('CA',1158518021,1158518029),('US',1158518030,1158518107),('TH',1158518108,1158518116),('US',1158518117,1158518246),('CA',1158518247,1158518255),('US',1158518256,1158518347),('NO',1158518348,1158518356),('US',1158518357,1158518727),('SZ',1158518728,1158518736),('US',1158518737,1158518784),('NO',1158518785,1158519038),('US',1158519039,1158519049),('CH',1158519050,1158519058),('NL',1158519059,1158519067),('US',1158519068,1158519473),('CA',1158519474,1158519483),('US',1158519484,1158519616),('WS',1158519617,1158519625),('US',1158519626,1158519758),('CA',1158519759,1158519776),('US',1158519777,1158519794),('NO',1158519795,1158519803),('US',1158519804,1158519826),('WS',1158519827,1158519953),('US',1158519954,1158520541),('IS',1158520542,1158520550),('US',1158520551,1158525184),('BE',1158525185,1158525320),('US',1158525321,1158525741),('BZ',1158525742,1158525750),('US',1158525751,1158525776),('FR',1158525777,1158525785),('US',1158525786,1158525821),('IT',1158525822,1158525830),('US',1158525831,1158526297),('IT',1158526298,1158526306),('US',1158526307,1158526335),('FR',1158526336,1158526344),('US',1158526345,1158526346),('PE',1158526347,1158526355),('US',1158526356,1158526357),('CA',1158526358,1158526366),('US',1158526367,1158526368),('CH',1158526369,1158526377),('US',1158526378,1158526930),('AS',1158526931,1158526963),('US',1158526964,1158526987),('MY',1158526988,1158526996),('US',1158526997,1158527068),('WS',1158527069,1158527077),('US',1158527078,1158527086),('CA',1158527087,1158527095),('US',1158527096,1158527097),('KE',1158527098,1158527106),('US',1158527107,1158527133),('FR',1158527134,1158527142),('US',1158527143,1158527216),('CA',1158527217,1158527225),('US',1158527226,1158527288),('CA',1158527289,1158527297),('US',1158527298,1158527306),('BA',1158527307,1158527315),('US',1158527316,1158527454),('IR',1158527455,1158527463),('US',1158527464,1158527839),('AS',1158527840,1158527848),('US',1158527849,1158528256),('CA',1158528257,1158528511),('US',1158528512,1158528512),('AS',1158528513,1158528521),('US',1158528522,1158528575),('MX',1158528576,1158528584),('US',1158528585,1158528629),('CA',1158528630,1158528638),('VN',1158528639,1158528647),('US',1158528648,1158528755),('SN',1158528756,1158528764),('US',1158528765,1158528777),('AS',1158528778,1158528786),('US',1158528787,1158538864),('WS',1158538865,1158538872),('US',1158538873,1158543487),('CA',1158543488,1158543495),('US',1158543496,1158712639),('IN',1158712640,1158712703),('US',1158712704,1158715007),('IE',1158715008,1158715039),('US',1158715040,1158716415),('IN',1158716416,1158716423),('US',1158716424,1158716543),('IE',1158716544,1158716551),('US',1158716552,1158716671),('IE',1158716672,1158716703),('US',1158716704,1158717967),('CA',1158717968,1158717983),('US',1158717984,1158717999),('CY',1158718000,1158718015),('US',1158718016,1158726731),('CA',1158726732,1158726739),('US',1158726740,1158741290),('CA',1158741291,1158741298),('US',1158741299,1158774783),('CA',1158774784,1158791167),('BM',1158791168,1158799359),('CA',1158799360,1158807551),('US',1158807552,1158940823),('ES',1158940824,1158940831),('US',1158940832,1158940895),('CO',1158940896,1158940903),('US',1158940904,1158940911),('CA',1158940912,1158940919),('US',1158940920,1158941247),('CY',1158941248,1158941255),('US',1158941256,1158941351),('CR',1158941352,1158941359),('CA',1158941360,1158941367),('US',1158941368,1158941399),('CA',1158941400,1158941407),('US',1158941408,1158941775),('JM',1158941776,1158941791),('IE',1158941792,1158941799),('US',1158941800,1158942271),('IE',1158942272,1158942279),('US',1158942280,1158942311),('CA',1158942312,1158942319),('US',1158942320,1158943271),('TH',1158943272,1158943279),('US',1158943280,1158943423),('PK',1158943424,1158943431),('US',1158943432,1158943535),('CA',1158943536,1158943543),('US',1158943544,1158943599),('GB',1158943600,1158943615),('US',1158943616,1158943863),('CR',1158943864,1158943871),('GB',1158943872,1158943887),('US',1158943888,1158943895),('GB',1158943896,1158943903),('US',1158943904,1158943975),('CA',1158943976,1158943983),('US',1158943984,1158944279),('AE',1158944280,1158944287),('US',1158944288,1158944863),('CA',1158944864,1158944871),('US',1158944872,1158944895),('ZA',1158944896,1158944911),('US',1158944912,1158944951),('IN',1158944952,1158944959),('US',1158944960,1158945095),('TH',1158945096,1158945103),('RU',1158945104,1158945111),('CA',1158945112,1158945119),('US',1158945120,1158945271),('CA',1158945272,1158945287),('US',1158945288,1158945319),('CA',1158945320,1158945335),('US',1158945336,1158945535),('CA',1158945536,1158945543),('US',1158945544,1158945735),('TR',1158945736,1158945743),('US',1158945744,1158945791),('IE',1158945792,1158945815),('US',1158945816,1158945823),('JP',1158945824,1158945831),('US',1158945832,1158945935),('CA',1158945936,1158945943),('US',1158945944,1158946047),('CA',1158946048,1158946055),('US',1158946056,1158946063),('IL',1158946064,1158946071),('US',1158946072,1158946151),('IE',1158946152,1158946159),('US',1158946160,1158946207),('CA',1158946208,1158946215),('US',1158946216,1158946223),('CR',1158946224,1158946239),('US',1158946240,1158946335),('SE',1158946336,1158946343),('US',1158946344,1158946487),('GB',1158946488,1158946495),('US',1158946496,1158946551),('CH',1158946552,1158946559),('US',1158946560,1158946575),('IN',1158946576,1158946583),('US',1158946584,1158946631),('IT',1158946632,1158946639),('IL',1158946640,1158946647),('US',1158946648,1158946711),('HK',1158946712,1158946719),('US',1158946720,1158947087),('ZA',1158947088,1158947095),('US',1158947096,1158947391),('CA',1158947392,1158947399),('GB',1158947400,1158947407),('US',1158947408,1158947591),('JP',1158947592,1158947599),('US',1158947600,1158947647),('CA',1158947648,1158947655),('US',1158947656,1158947663),('IE',1158947664,1158947695),('US',1158947696,1158947711),('CA',1158947712,1158947719),('US',1158947720,1158947735),('IN',1158947736,1158947743),('US',1158947744,1158947791),('IN',1158947792,1158947799),('US',1158947800,1158947831),('TR',1158947832,1158947839),('US',1158947840,1158947935),('CA',1158947936,1158947943),('US',1158947944,1158948383),('IT',1158948384,1158948391),('US',1158948392,1158948415),('CA',1158948416,1158948423),('US',1158948424,1158948895),('CA',1158948896,1158948903),('US',1158948904,1158948967),('CA',1158948968,1158948975),('US',1158948976,1158949287),('CA',1158949288,1158949295),('US',1158949296,1158949407),('ZA',1158949408,1158949415),('US',1158949416,1158949775),('GB',1158949776,1158949783),('US',1158949784,1158950319),('CA',1158950320,1158950327),('US',1158950328,1158950335),('CA',1158950336,1158950351),('IN',1158950352,1158950359),('CA',1158950360,1158950367),('US',1158950368,1158950767),('TH',1158950768,1158950775),('US',1158950776,1158950783),('SA',1158950784,1158950791),('US',1158950792,1158951167),('CA',1158951168,1158951183),('US',1158951184,1158951215),('CA',1158951216,1158951223),('US',1158951224,1158951231),('TH',1158951232,1158951263),('US',1158951264,1158951423),('CA',1158951424,1158951439),('NL',1158951440,1158951447),('US',1158951448,1158951551),('NL',1158951552,1158951559),('US',1158951560,1158951575),('CA',1158951576,1158951583),('US',1158951584,1158951743),('IN',1158951744,1158951751),('US',1158951752,1158951839),('CA',1158951840,1158951855),('US',1158951856,1158957455),('NL',1158957456,1158957471),('US',1158957472,1158957647),('AU',1158957648,1158957655),('US',1158957656,1158957695),('TH',1158957696,1158957703),('US',1158957704,1158958295),('AG',1158958296,1158958303),('ES',1158958304,1158958311),('US',1158958312,1158958367),('CA',1158958368,1158958375),('US',1158958376,1158958383),('CA',1158958384,1158958391),('US',1158958392,1158958591),('ZA',1158958592,1158958599),('US',1158958600,1158958671),('SA',1158958672,1158958679),('US',1158958680,1158958719),('CA',1158958720,1158958751),('US',1158958752,1158959031),('CA',1158959032,1158959039),('US',1158959040,1158959679),('CR',1158959680,1158959687),('US',1158959688,1158960023),('GB',1158960024,1158960031),('US',1158960032,1158960055),('GB',1158960056,1158960063),('US',1158960064,1158960455),('IN',1158960456,1158960463),('US',1158960464,1158961063),('TW',1158961064,1158961071),('US',1158961072,1158961151),('GB',1158961152,1158961159),('US',1158961160,1158961175),('CA',1158961176,1158961183),('US',1158961184,1158961255),('ES',1158961256,1158961263),('US',1158961264,1158962175),('GB',1158962176,1158962183),('US',1158962184,1158962287),('ZA',1158962288,1158962295),('US',1158962296,1158962591),('GB',1158962592,1158962607),('US',1158962608,1158962615),('GB',1158962616,1158962623),('US',1158962624,1158963271),('IE',1158963272,1158963279),('US',1158963280,1158963335),('SE',1158963336,1158963343),('US',1158963344,1158963551),('IN',1158963552,1158963559),('US',1158963560,1158963647),('IN',1158963648,1158963663),('US',1158963664,1158963727),('GB',1158963728,1158963735),('US',1158963736,1158964103),('IN',1158964104,1158964111),('US',1158964112,1158964255),('IN',1158964256,1158964263),('US',1158964264,1158964287),('CA',1158964288,1158964319),('US',1158964320,1158964631),('CA',1158964632,1158964639),('MX',1158964640,1158964647),('US',1158964648,1158964799),('IE',1158964800,1158964807),('US',1158964808,1158964831),('GB',1158964832,1158964839),('US',1158964840,1158964943),('MX',1158964944,1158964951),('TW',1158964952,1158964959),('US',1158964960,1158965087),('CA',1158965088,1158965111),('US',1158965112,1158965119),('AR',1158965120,1158965135),('US',1158965136,1158965159),('IL',1158965160,1158965167),('US',1158965168,1158965199),('CA',1158965200,1158965215),('US',1158965216,1158965247),('RU',1158965248,1158965255),('US',1158965256,1158965559),('IN',1158965560,1158965567),('US',1158965568,1158965743),('IN',1158965744,1158965751),('US',1158965752,1158966127),('FR',1158966128,1158966143),('US',1158966144,1158966335),('PL',1158966336,1158966343),('CA',1158966344,1158966359),('US',1158966360,1158966567),('CA',1158966568,1158966591),('US',1158966592,1158966799),('CA',1158966800,1158966807),('US',1158966808,1158966887),('EG',1158966888,1158966895),('US',1158966896,1158966911),('MX',1158966912,1158966919),('US',1158966920,1158966991),('CA',1158966992,1158966999),('US',1158967000,1158967263),('TH',1158967264,1158967279),('US',1158967280,1158967327),('JP',1158967328,1158967335),('US',1158967336,1158967503),('GB',1158967504,1158967511),('US',1158967512,1158967527),('CA',1158967528,1158967535),('IE',1158967536,1158967543),('US',1158967544,1158967559),('CA',1158967560,1158967567),('US',1158967568,1158967615),('GT',1158967616,1158967623),('US',1158967624,1158967631),('CA',1158967632,1158967679),('US',1158967680,1158968071),('MT',1158968072,1158968079),('US',1158968080,1158968103),('HU',1158968104,1158968111),('US',1158968112,1158968207),('CA',1158968208,1158968239),('US',1158968240,1158969447),('CA',1158969448,1158969455),('US',1158969456,1158969663),('MX',1158969664,1158969679),('US',1158969680,1158969703),('CA',1158969704,1158969711),('US',1158969712,1158970127),('CA',1158970128,1158970135),('US',1158970136,1158970287),('CA',1158970288,1158970295),('MY',1158970296,1158970303),('US',1158970304,1158970919),('AG',1158970920,1158970927),('US',1158970928,1158970943),('CA',1158970944,1158970975),('US',1158970976,1158971343),('CA',1158971344,1158971359),('US',1158971360,1158995967),('CA',1158995968,1159004159),('US',1159004160,1159213055),('CA',1159213056,1159217151),('US',1159217152,1159249919),('PR',1159249920,1159254015),('US',1159254016,1159262207),('US',1159266304,1159266935),('PR',1159266936,1159266943),('US',1159266944,1159268503),('CA',1159268504,1159268511),('US',1159268512,1159269119),('CA',1159269120,1159269375),('US',1159269376,1159276799),('A2',1159276800,1159277055),('US',1159277056,1159278783),('CA',1159278784,1159278791),('US',1159278792,1159278815),('CA',1159278816,1159278847),('US',1159278848,1159281151),('HK',1159281152,1159281407),('US',1159281408,1159292807),('AU',1159292808,1159292815),('US',1159292816,1159318015),('GB',1159318016,1159318047),('US',1159318048,1159348223),('CA',1159348224,1159356415),('US',1159356416,1159421951),('CA',1159421952,1159430143),('US',1159430144,1159441343),('CA',1159441344,1159441375),('US',1159441376,1159512063),('CA',1159512064,1159512159),('US',1159512160,1159512191),('CA',1159512192,1159513343),('US',1159513344,1159513375),('CA',1159513376,1159513439),('US',1159513440,1159513471),('CA',1159513472,1159513519),('US',1159513520,1159513535),('CA',1159513536,1159513567),('US',1159513568,1159513855),('CA',1159513856,1159514879),('US',1159514880,1159515391),('CA',1159515392,1159515647),('US',1159515648,1159515711),('CA',1159515712,1159515871),('US',1159515872,1159515903),('CA',1159515904,1159516159),('US',1159516160,1159516223),('CA',1159516224,1159516239),('US',1159516240,1159516255),('CA',1159516256,1159516287),('US',1159516288,1159516671),('CA',1159516672,1159516799),('US',1159516800,1159517183),('CA',1159517184,1159517327),('US',1159517328,1159517343),('CA',1159517344,1159517359),('US',1159517360,1159517439),('CA',1159517440,1159517599),('US',1159517600,1159517663),('CA',1159517664,1159517679),('US',1159517680,1159517951),('CA',1159517952,1159517975),('US',1159517976,1159517991),('CA',1159517992,1159518007),('US',1159518008,1159518015),('CA',1159518016,1159518175),('US',1159518176,1159518199),('CA',1159518200,1159518207),('US',1159518208,1159519743),('CA',1159519744,1159520767),('US',1159520768,1159520799),('CA',1159520800,1159521023),('US',1159521024,1159521087),('CA',1159521088,1159521199),('US',1159521200,1159521215),('CA',1159521216,1159521823),('US',1159521824,1159521855),('CA',1159521856,1159522031),('US',1159522032,1159522047),('CA',1159522048,1159522071),('US',1159522072,1159522079),('CA',1159522080,1159522095),('US',1159522096,1159522111),('CA',1159522112,1159522143),('US',1159522144,1159522167),('CA',1159522168,1159522175),('US',1159522176,1159522207),('CA',1159522208,1159522223),('US',1159522224,1159522239),('BV',1159522240,1159522271),('CA',1159522272,1159522287),('BV',1159522288,1159522303),('CA',1159522304,1159522815),('US',1159522816,1159523583),('CA',1159523584,1159523839),('US',1159523840,1159524095),('CA',1159524096,1159524351),('US',1159524352,1159525071),('CA',1159525072,1159525087),('US',1159525088,1159525375),('CA',1159525376,1159526399),('US',1159526400,1159527935),('CA',1159527936,1159528191),('US',1159528192,1159532103),('MO',1159532104,1159532111),('US',1159532112,1159643439),('TR',1159643440,1159643455),('JP',1159643456,1159643471),('US',1159643472,1159656487),('BR',1159656488,1159656511),('US',1159656512,1159657023),('AU',1159657024,1159657039),('US',1159657040,1159657071),('NZ',1159657072,1159657087),('US',1159657088,1159659063),('IN',1159659064,1159659079),('US',1159659080,1159659087),('GB',1159659088,1159659095),('US',1159659096,1159667711),('AU',1159667712,1159669759),('US',1159669760,1159700479),('CA',1159700480,1159725055),('US',1159725056,1159990783),('MX',1159990784,1159991039),('US',1159991040,1159995935),('CA',1159995936,1159995951),('US',1159995952,1159996063),('GB',1159996064,1159996079),('US',1159996080,1159996287),('AU',1159996288,1159996319),('US',1159996320,1159997551),('CA',1159997552,1159997559),('US',1159997560,1159997623),('SC',1159997624,1159997631),('US',1159997632,1159998575),('UG',1159998576,1159998583),('US',1159998584,1159998591),('CA',1159998592,1159998599),('US',1159998600,1160011775),('CA',1160011776,1160012783),('US',1160012784,1160012791),('CA',1160012792,1160013399),('US',1160013400,1160013423),('CA',1160013424,1160013463),('US',1160013464,1160013479),('CA',1160013480,1160013647),('US',1160013648,1160013663),('CA',1160013664,1160013679),('US',1160013680,1160013687),('CA',1160013688,1160014775),('US',1160014776,1160014783),('CA',1160014784,1160014959),('US',1160014960,1160014967),('CA',1160014968,1160015007),('US',1160015008,1160015015),('CA',1160015016,1160015031),('US',1160015032,1160015039),('CA',1160015040,1160015063),('US',1160015064,1160015071),('CA',1160015072,1160015143),('US',1160015144,1160015151),('CA',1160015152,1160015167),('US',1160015168,1160015191),('CA',1160015192,1160015231),('US',1160015232,1160015239),('CA',1160015240,1160015279),('US',1160015280,1160015287),('CA',1160015288,1160015311),('US',1160015312,1160015327),('CA',1160015328,1160015999),('US',1160016000,1160016095),('CA',1160016096,1160016183),('US',1160016184,1160016191),('CA',1160016192,1160016223),('US',1160016224,1160016263),('CA',1160016264,1160016271),('US',1160016272,1160016279),('CA',1160016280,1160016295),('US',1160016296,1160016319),('CA',1160016320,1160016343),('US',1160016344,1160016351),('CA',1160016352,1160016359),('US',1160016360,1160016383),('CA',1160016384,1160016895),('US',1160016896,1160016903),('CA',1160016904,1160016943),('US',1160016944,1160016951),('CA',1160016952,1160017023),('US',1160017024,1160017031),('CA',1160017032,1160017151),('US',1160017152,1160017159),('CA',1160017160,1160019967),('US',1160019968,1160364031),('CA',1160364032,1160368127),('US',1160368128,1160392703),('CA',1160392704,1160396799),('US',1160396800,1160408319),('CA',1160408320,1160408575),('US',1160408576,1160415637),('KN',1160415638,1160415733),('US',1160415734,1160415746),('CA',1160415747,1160415776),('US',1160415777,1160425471),('CA',1160425472,1160429567),('US',1160429568,1160503295),('A2',1160503296,1160507391),('US',1160507392,1160542207),('LB',1160542208,1160542239),('US',1160542240,1160543327),('MX',1160543328,1160543359),('US',1160543360,1160544047),('CA',1160544048,1160544071),('US',1160544072,1160544135),('LB',1160544136,1160544143),('US',1160544144,1160547839),('MX',1160547840,1160548351),('US',1160548352,1160563199),('MP',1160563200,1160563711),('US',1160563712,1160609791),('MX',1160609792,1160610815),('US',1160610816,1160667135),('CA',1160667136,1160675327),('US',1160675328,1160677015),('AR',1160677016,1160677023),('US',1160677024,1160677247),('GB',1160677248,1160677279),('US',1160677280,1160677375),('GB',1160677376,1160677439),('US',1160677440,1160678399),('MX',1160678400,1160678655),('US',1160678656,1160683519),('CA',1160683520,1160684039),('US',1160684040,1160684047),('CA',1160684048,1160684063),('US',1160684064,1160684071),('CA',1160684072,1160684615),('US',1160684616,1160684623),('CA',1160684624,1160684631),('US',1160684632,1160684639),('CA',1160684640,1160684887),('US',1160684888,1160684895),('CA',1160684896,1160687271),('US',1160687272,1160687279),('CA',1160687280,1160687583),('US',1160687584,1160687591),('CA',1160687592,1160688191),('US',1160688192,1160688199),('CA',1160688200,1160688255),('US',1160688256,1160688263),('CA',1160688264,1160688351),('US',1160688352,1160688359),('CA',1160688360,1160688555),('US',1160688556,1160688578),('CA',1160688579,1160688639),('US',1160688640,1160688647),('CA',1160688648,1160688687),('US',1160688688,1160688695),('CA',1160688696,1160688703),('US',1160688704,1160688711),('CA',1160688712,1160688767),('US',1160688768,1160688783),('CA',1160688784,1160688815),('US',1160688816,1160688823),('CA',1160688824,1160688831),('US',1160688832,1160688839),('CA',1160688840,1160689199),('US',1160689200,1160689207),('CA',1160689208,1160689231),('US',1160689232,1160689239),('CA',1160689240,1160689287),('US',1160689288,1160689303),('CA',1160689304,1160689311),('IN',1160689312,1160689319),('CA',1160689320,1160689367),('US',1160689368,1160689383),('CA',1160689384,1160689419),('US',1160689420,1160689447),('CA',1160689448,1160689531),('US',1160689532,1160689571),('CA',1160689572,1160689693),('US',1160689694,1160689732),('CA',1160689733,1160689733),('US',1160689734,1160689741),('CA',1160689742,1160689766),('US',1160689767,1160689778),('CA',1160689779,1160689789),('US',1160689790,1160689799),('CA',1160689800,1160689800),('US',1160689801,1160689811),('CA',1160689812,1160689834),('US',1160689835,1160689846),('CA',1160689847,1160689861),('US',1160689862,1160689887),('CA',1160689888,1160689943),('US',1160689944,1160689971),('CA',1160689972,1160690103),('US',1160690104,1160690175),('CA',1160690176,1160690349),('US',1160690350,1160690361),('CA',1160690362,1160690362),('US',1160690363,1160690381),('CA',1160690382,1160690386),('US',1160690387,1160690415),('CA',1160690416,1160690447),('US',1160690448,1160690455),('CA',1160690456,1160690559),('US',1160690560,1160690607),('CA',1160690608,1160690695),('US',1160690696,1160690727),('CA',1160690728,1160690735),('US',1160690736,1160690751),('CA',1160690752,1160690783),('US',1160690784,1160690791),('CA',1160690792,1160690807),('US',1160690808,1160690823),('CA',1160690824,1160690911),('US',1160690912,1160690919),('CA',1160690920,1160690951),('US',1160690952,1160690959),('CA',1160690960,1160691011),('US',1160691012,1160691027),('CA',1160691028,1160691503),('US',1160691504,1160691511),('CA',1160691512,1160691551),('US',1160691552,1160691567),('CA',1160691568,1160691575),('US',1160691576,1160691599),('CA',1160691600,1160691615),('US',1160691616,1160691631),('CA',1160691632,1160691639),('US',1160691640,1160691647),('CA',1160691648,1160691671),('US',1160691672,1160691679),('CA',1160691680,1160691703),('US',1160691704,1160808255),('CA',1160808256,1160808287),('US',1160808288,1160811551),('BE',1160811552,1160811559),('US',1160811560,1160847359),('CA',1160847360,1160855551),('US',1160855552,1160863999),('CA',1160864000,1160864255),('US',1160864256,1160921087),('AG',1160921088,1160925183),('US',1160925184,1160948991),('CA',1160948992,1160949023),('US',1160949024,1160949167),('JP',1160949168,1160949183),('US',1160949184,1160949679),('CY',1160949680,1160949727),('US',1160949728,1160949743),('CY',1160949744,1160949759),('US',1160949760,1160970431),('CA',1160970432,1160970439),('US',1160970440,1160972799),('AU',1160972800,1160973055),('US',1160973056,1160973375),('IT',1160973376,1160973391),('US',1160973392,1160973471),('MX',1160973472,1160973503),('US',1160973504,1160973583),('CA',1160973584,1160973599),('US',1160973600,1160973615),('VE',1160973616,1160973631),('US',1160973632,1160973647),('VG',1160973648,1160973663),('US',1160973664,1160973823),('RU',1160973824,1160973839),('US',1160973840,1161019391),('CA',1161019392,1161035775),('US',1161035776,1161187215),('UM',1161187216,1161187223),('US',1161187224,1161293823),('CA',1161293824,1161297919),('US',1161297920,1161303283),('NL',1161303284,1161303291),('US',1161303292,1161311743),('KN',1161311744,1161311759),('US',1161311760,1161311991),('KN',1161311992,1161311999),('US',1161312000,1161312991),('IL',1161312992,1161312999),('US',1161313000,1161313127),('MP',1161313128,1161313135),('US',1161313136,1161314295),('NL',1161314296,1161314303),('US',1161314304,1161363455),('CA',1161363456,1161367551),('US',1161367552,1161420799),('AG',1161420800,1161421311),('AI',1161421312,1161421567),('AG',1161421568,1161422079),('VG',1161422080,1161422335),('LC',1161422336,1161422591),('AG',1161422592,1161422847),('LC',1161422848,1161423103),('VG',1161423104,1161423359),('AI',1161423360,1161423615),('AG',1161423616,1161423871),('LC',1161423872,1161424127),('AI',1161424128,1161424383),('KN',1161424384,1161424639),('LC',1161424640,1161424895),('VG',1161424896,1161425151),('DM',1161425152,1161425407),('AG',1161425408,1161425663),('AI',1161425664,1161425919),('AG',1161425920,1161425935),('MS',1161425936,1161425951),('AG',1161425952,1161426143),('MS',1161426144,1161426175),('AG',1161426176,1161426943),('AI',1161426944,1161427199),('VG',1161427200,1161427455),('AG',1161427456,1161428223),('KN',1161428224,1161428991),('US',1161428992,1161453567),('CA',1161453568,1161457663),('US',1161457664,1161617407),('CA',1161617408,1161625599),('US',1161625600,1161630727),('EG',1161630728,1161630735),('AU',1161630736,1161630743),('US',1161630744,1161630855),('PL',1161630856,1161630863),('US',1161630864,1161630911),('KW',1161630912,1161630919),('PL',1161630920,1161630927),('GB',1161630928,1161630935),('US',1161630936,1161630999),('AU',1161631000,1161631007),('IL',1161631008,1161631015),('US',1161631016,1161631071),('PL',1161631072,1161631079),('AR',1161631080,1161631087),('US',1161631088,1161631135),('PL',1161631136,1161631167),('US',1161631168,1161631175),('AU',1161631176,1161631183),('IT',1161631184,1161631191),('US',1161631192,1161631487),('AR',1161631488,1161631495),('US',1161631496,1161631511),('BG',1161631512,1161631519),('US',1161631520,1161631615),('AU',1161631616,1161631623),('US',1161631624,1161631655),('AR',1161631656,1161631663),('US',1161631664,1161632383),('CA',1161632384,1161632511),('US',1161632512,1161632519),('BG',1161632520,1161632527),('US',1161632528,1161632631),('GB',1161632632,1161632639),('US',1161632640,1161633087),('IT',1161633088,1161633151),('US',1161633152,1161633215),('EE',1161633216,1161633231),('US',1161633232,1161633279),('CA',1161633280,1161633535),('US',1161633536,1161633791),('CA',1161633792,1161634047),('US',1161634048,1161634239),('GB',1161634240,1161634247),('US',1161634248,1161634271),('CH',1161634272,1161634287),('US',1161634288,1161634335),('PL',1161634336,1161634352),('US',1161634353,1161634495),('GB',1161634496,1161634503),('US',1161634504,1161634943),('PL',1161634944,1161634959),('US',1161634960,1161634975),('PL',1161634976,1161635007),('US',1161635008,1161635071),('CA',1161635072,1161635327),('US',1161635328,1161635855),('BE',1161635856,1161635871),('US',1161635872,1161636415),('PL',1161636416,1161636447),('US',1161636448,1161636463),('EG',1161636464,1161636471),('US',1161636472,1161636495),('CA',1161636496,1161636503),('US',1161636504,1161637159),('NZ',1161637160,1161637167),('US',1161637168,1161637199),('GB',1161637200,1161637207),('US',1161637208,1161637215),('PL',1161637216,1161637223),('US',1161637224,1161637295),('AR',1161637296,1161637303),('US',1161637304,1161637343),('RU',1161637344,1161637351),('US',1161637352,1161637671),('IL',1161637672,1161637679),('PT',1161637680,1161637695),('US',1161637696,1161637767),('CA',1161637768,1161637775),('GB',1161637776,1161637783),('US',1161637784,1161638911),('PL',1161638912,1161638943),('US',1161638944,1161638967),('GB',1161638968,1161638975),('US',1161638976,1161638983),('IT',1161638984,1161638991),('PL',1161638992,1161638999),('US',1161639000,1161639063),('PL',1161639064,1161639071),('GB',1161639072,1161639079),('US',1161639080,1161639087),('CA',1161639088,1161639095),('US',1161639096,1161639119),('DK',1161639120,1161639127),('US',1161639128,1161639151),('IL',1161639152,1161639159),('US',1161639160,1161639167),('CA',1161639168,1161639423),('US',1161639424,1161639447),('PT',1161639448,1161639455),('US',1161639456,1161639511),('GB',1161639512,1161639519),('PL',1161639520,1161639527),('US',1161639528,1161639575),('BG',1161639576,1161639583),('US',1161639584,1161639711),('PL',1161639712,1161639719),('US',1161639720,1161639727),('PL',1161639728,1161639743),('US',1161639744,1161639831),('AR',1161639832,1161639839),('US',1161639840,1161639887),('AT',1161639888,1161639895),('US',1161639896,1161639951),('IL',1161639952,1161639959),('GB',1161639960,1161639967),('US',1161639968,1161639975),('CH',1161639976,1161639983),('US',1161639984,1161639999),('PL',1161640000,1161640015),('US',1161640016,1161640023),('PT',1161640024,1161640031),('US',1161640032,1161640191),('CA',1161640192,1161640447),('US',1161640448,1161640783),('GB',1161640784,1161640791),('US',1161640792,1161640847),('PL',1161640848,1161640863),('US',1161640864,1161641759),('IT',1161641760,1161641791),('US',1161641792,1161641887),('KW',1161641888,1161641911),('US',1161641912,1161641919),('PL',1161641920,1161641983),('US',1161641984,1161642007),('NL',1161642008,1161642015),('US',1161642016,1161642031),('GB',1161642032,1161642039),('US',1161642040,1161642175),('GB',1161642176,1161642191),('AU',1161642192,1161642199),('US',1161642200,1161642239),('CA',1161642240,1161642495),('US',1161642496,1161644575),('CA',1161644576,1161644607),('US',1161644608,1161644655),('PL',1161644656,1161644671),('US',1161644672,1161644703),('GB',1161644704,1161644743),('AR',1161644744,1161644751),('PL',1161644752,1161644767),('US',1161644768,1161644799),('CA',1161644800,1161645055),('US',1161645056,1161645839),('PL',1161645840,1161645855),('US',1161645856,1161645903),('PL',1161645904,1161645911),('US',1161645912,1161645935),('PL',1161645936,1161645951),('US',1161645952,1161646335),('CA',1161646336,1161646591),('US',1161646592,1161646863),('PL',1161646864,1161646879),('US',1161646880,1161646895),('PL',1161646896,1161646943),('US',1161646944,1161647103),('PL',1161647104,1161647119),('US',1161647120,1161647135),('PL',1161647136,1161647167),('US',1161647168,1161647871),('CA',1161647872,1161648127),('US',1161648128,1161653503),('CA',1161653504,1161653759),('US',1161653760,1161657679),('PL',1161657680,1161657695),('US',1161657696,1161658111),('PL',1161658112,1161658127),('US',1161658128,1161764863),('CA',1161764864,1161773055),('SZ',1161773056,1161777151),('US',1161777152,1161790407),('PA',1161790408,1161790416),('US',1161790417,1161790839),('CA',1161790840,1161790848),('US',1161790849,1161818111),('CA',1161818112,1161822207),('US',1161822208,1161835341),('GR',1161835342,1161835353),('US',1161835354,1161837567),('JP',1161837568,1161837823),('US',1161837824,1161838351),('GB',1161838352,1161838367),('US',1161838368,1161838548),('RU',1161838549,1161838560),('US',1161838561,1161865703),('EG',1161865704,1161865711),('US',1161865712,1161925631),('EC',1161925632,1161925887),('US',1161925888,1161926399),('EC',1161926400,1161926655),('US',1161926656,1162018815),('CA',1162018816,1162022911),('ZA',1162027008,1162031103),('US',1162031104,1162031375),('CA',1162031376,1162031383),('US',1162031384,1162031407),('DO',1162031408,1162031423),('US',1162031424,1162032255),('CA',1162032256,1162032271),('US',1162032272,1162032287),('BE',1162032288,1162032303),('US',1162032304,1162032359),('JO',1162032360,1162032367),('US',1162032368,1162032735),('CA',1162032736,1162032767),('DO',1162032768,1162032831),('US',1162032832,1162033247),('CA',1162033248,1162033263),('US',1162033264,1162059775),('CA',1162059776,1162067967),('US',1162067968,1162215423),('CA',1162215424,1162280959),('US',1162280960,1162297343),('CA',1162297344,1162305535),('US',1162305536,1162313727),('A2',1162313728,1162316799),('BH',1162316800,1162318591),('A2',1162318592,1162320383),('US',1162320384,1162320639),('A2',1162320640,1162321151),('US',1162321152,1162394463),('IE',1162394464,1162394471),('US',1162394472,1162461183),('BB',1162461184,1162461695),('GD',1162461696,1162462207),('BB',1162462208,1162462975),('VC',1162462976,1162463999),('BB',1162464000,1162465279),('GD',1162465280,1162465535),('BB',1162465536,1162470911),('GD',1162470912,1162471423),('BB',1162471424,1162472703),('VC',1162472704,1162473471),('GD',1162473472,1162475007),('BB',1162475008,1162477567),('US',1162477568,1162715135),('CA',1162715136,1162723327),('US',1162723328,1162805247),('PR',1162805248,1162811391),('AN',1162811392,1162811647),('US',1162811648,1162812159),('DO',1162812160,1162812415),('US',1162812416,1162813439),('CO',1162813440,1162821631),('PR',1162821632,1162823679),('GT',1162823680,1162825727),('US',1162825728,1162827775),('PR',1162827776,1162833919),('GT',1162833920,1162835967),('BS',1162835968,1162836223),('US',1162836224,1162836991),('BS',1162836992,1162838015),('CO',1162838016,1162870783),('US',1162903552,1162924031),('AU',1162924032,1162924287),('US',1162924288,1162925983),('AU',1162925984,1162926015),('US',1162926016,1162926071),('AU',1162926072,1162926079),('US',1162926080,1163395071),('A2',1163395072,1163395839),('BD',1163395840,1163395847),('ID',1163395848,1163395855),('BD',1163395856,1163395863),('ID',1163395864,1163395871),('PK',1163395872,1163395879),('ID',1163395880,1163395911),('BD',1163395912,1163395919),('ID',1163395920,1163395927),('BD',1163395928,1163395943),('A2',1163395944,1163395951),('PK',1163395952,1163395959),('BD',1163395960,1163395967),('ID',1163395968,1163396023),('PK',1163396024,1163396031),('ID',1163396032,1163396079),('BD',1163396080,1163396087),('ID',1163396088,1163396143),('BD',1163396144,1163396151),('ID',1163396152,1163396191),('A2',1163396192,1163396199),('ID',1163396200,1163396207),('A2',1163396208,1163396215),('ID',1163396216,1163396231),('A2',1163396232,1163396239),('ID',1163396240,1163396247),('BD',1163396248,1163396255),('ID',1163396256,1163396287),('A2',1163396288,1163396295),('BD',1163396296,1163396303),('A2',1163396304,1163396319),('BD',1163396320,1163396327),('ID',1163396328,1163396343),('A2',1163396344,1163396351),('ID',1163396352,1163396383),('A2',1163396384,1163396399),('BD',1163396400,1163396431),('A2',1163396432,1163396519),('ID',1163396520,1163396527),('A2',1163396528,1163396559),('ID',1163396560,1163396575),('A2',1163396576,1163396623),('ID',1163396624,1163396639),('A2',1163396640,1163396655),('BD',1163396656,1163396671),('A2',1163396672,1163396687),('BD',1163396688,1163396719),('A2',1163396720,1163396831),('BD',1163396832,1163396895),('ID',1163396896,1163396927),('A2',1163396928,1163396991),('BD',1163396992,1163397023),('A2',1163397024,1163397055),('BD',1163397056,1163397087),('A2',1163397088,1163397119),('NP',1163397120,1163397247),('BD',1163397248,1163397375),('A2',1163397376,1163397471),('US',1163397472,1163397479),('A2',1163397480,1163397535),('US',1163397536,1163397543),('A2',1163397544,1163397575),('BD',1163397576,1163397583),('A2',1163397584,1163397663),('BD',1163397664,1163397695),('A2',1163397696,1163397855),('US',1163397856,1163397887),('NP',1163397888,1163398143),('A2',1163398144,1163398239),('BD',1163398240,1163398303),('A2',1163398304,1163398367),('BD',1163398368,1163399039),('A2',1163399040,1163399103),('BD',1163399104,1163399295),('A2',1163399296,1163399679),('BD',1163399680,1163399807),('A2',1163399808,1163399935),('US',1163399936,1163400063),('A2',1163400064,1163400447),('BD',1163400448,1163400703),('PK',1163400704,1163400719),('ID',1163400720,1163400727),('A2',1163400728,1163400735),('PK',1163400736,1163400743),('A2',1163400744,1163400751),('PK',1163400752,1163400759),('A2',1163400760,1163400839),('ID',1163400840,1163400847),('A2',1163400848,1163400887),('ID',1163400888,1163400927),('A2',1163400928,1163401087),('BD',1163401088,1163401151),('A2',1163401152,1163401215),('ID',1163401216,1163401239),('A2',1163401240,1163401255),('ID',1163401256,1163401263),('A2',1163401264,1163401319),('PK',1163401320,1163401327),('A2',1163401328,1163401351),('PK',1163401352,1163401359),('A2',1163401360,1163401431),('PK',1163401432,1163401439),('A2',1163401440,1163401535),('ID',1163401536,1163401543),('A2',1163401544,1163401727),('BD',1163401728,1163401791),('A2',1163401792,1163401983),('BD',1163401984,1163402367),('A2',1163402368,1163402495),('BD',1163402496,1163402879),('A2',1163402880,1163403007),('BD',1163403008,1163403071),('US',1163403072,1163403135),('A2',1163403136,1163403263),('US',1163403264,1163407359),('CA',1163407360,1163411455),('US',1163411456,1163468799),('PR',1163468800,1163472895),('US',1163472896,1163526143),('CA',1163526144,1163526463),('US',1163526464,1163526911),('CA',1163526912,1163526927),('US',1163526928,1163526943),('CA',1163526944,1163526975),('US',1163526976,1163527023),('BV',1163527024,1163527039),('CA',1163527040,1163527055),('US',1163527056,1163527071),('CA',1163527072,1163527103),('US',1163527104,1163527135),('CA',1163527136,1163527143),('US',1163527144,1163527151),('CA',1163527152,1163527167),('US',1163527168,1163527679),('CA',1163527680,1163527775),('US',1163527776,1163527791),('CA',1163527792,1163528591),('US',1163528592,1163528607),('CA',1163528608,1163528687),('CR',1163528688,1163528695),('CA',1163528696,1163529215),('US',1163529216,1163530239),('CA',1163530240,1163530527),('US',1163530528,1163530543),('CA',1163530544,1163530623),('US',1163530624,1163530687),('CA',1163530688,1163530783),('US',1163530784,1163530831),('CA',1163530832,1163530959),('US',1163530960,1163530967),('CA',1163530968,1163532927),('US',1163532928,1163532991),('CA',1163532992,1163533023),('US',1163533024,1163533055),('CA',1163533056,1163533551),('PA',1163533552,1163533567),('CA',1163533568,1163533695),('US',1163533696,1163533727),('CA',1163533728,1163533791),('US',1163533792,1163533807),('CA',1163533808,1163533823),('US',1163533824,1163534015),('CA',1163534016,1163534031),('US',1163534032,1163534143),('CA',1163534144,1163534175),('US',1163534176,1163534271),('CA',1163534272,1163534311),('US',1163534312,1163534319),('CA',1163534320,1163534327),('US',1163534328,1163535359),('CA',1163535360,1163535679),('US',1163535680,1163535743),('CA',1163535744,1163535839),('US',1163535840,1163535871),('CA',1163535872,1163536383),('US',1163536384,1163537071),('CA',1163537072,1163537079),('US',1163537080,1163537663),('CA',1163537664,1163538431),('US',1163538432,1163540479),('CA',1163540480,1163540607),('US',1163540608,1163540735),('CA',1163540736,1163541503),('US',1163541504,1163542527),('CA',1163542528,1163542919),('US',1163542920,1163542927),('CA',1163542928,1163542935),('US',1163542936,1163542943),('CA',1163542944,1163542975),('US',1163542976,1163543039),('CA',1163543040,1163543687),('FI',1163543688,1163543695),('CA',1163543696,1163543839),('US',1163543840,1163543847),('CA',1163543848,1163543983),('US',1163543984,1163543991),('CA',1163543992,1163544319),('US',1163544320,1163544335),('CA',1163544336,1163544383),('US',1163544384,1163544423),('CA',1163544424,1163544671),('US',1163544672,1163544687),('CA',1163544688,1163544735),('US',1163544736,1163544767),('CA',1163544768,1163544783),('US',1163544784,1163544799),('CA',1163544800,1163545215),('FI',1163545216,1163545247),('US',1163545248,1163545375),('CA',1163545376,1163545631),('GB',1163545632,1163545663),('CA',1163545664,1163545903),('US',1163545904,1163545911),('CA',1163545912,1163545983),('US',1163545984,1163546015),('CA',1163546016,1163546039),('US',1163546040,1163546047),('CA',1163546048,1163546079),('US',1163546080,1163546111),('CA',1163546112,1163546119),('US',1163546120,1163546623),('CA',1163546624,1163547007),('US',1163547008,1163547135),('CA',1163547136,1163547455),('US',1163547456,1163547463),('CA',1163547464,1163547487),('US',1163547488,1163547519),('CA',1163547520,1163547527),('US',1163547528,1163547543),('CA',1163547544,1163547551),('US',1163547552,1163547583),('CA',1163547584,1163547631),('US',1163547632,1163547903),('CA',1163547904,1163547951),('US',1163547952,1163547999),('CA',1163548000,1163548671),('US',1163548672,1163548927),('CA',1163548928,1163549183),('US',1163549184,1163549695),('CA',1163549696,1163550271),('US',1163550272,1163550303),('CA',1163550304,1163550367),('US',1163550368,1163550375),('CA',1163550376,1163550383),('US',1163550384,1163550399),('CA',1163550400,1163550783),('US',1163550784,1163550815),('CA',1163550816,1163550847),('US',1163550848,1163550975),('CA',1163550976,1163551071),('US',1163551072,1163551087),('CA',1163551088,1163551423),('US',1163551424,1163551439),('CA',1163551440,1163551455),('US',1163551456,1163551487),('CA',1163551488,1163551615),('US',1163551616,1163551647),('CA',1163551648,1163551663),('US',1163551664,1163551679),('CA',1163551680,1163551695),('US',1163551696,1163551711),('CA',1163551712,1163551727),('US',1163551728,1163551743),('CA',1163551744,1163552255),('US',1163552256,1163552535),('CA',1163552536,1163552543),('US',1163552544,1163552559),('CA',1163552560,1163552575),('PA',1163552576,1163552607),('US',1163552608,1163552623),('CA',1163552624,1163552639),('US',1163552640,1163552671),('CA',1163552672,1163552767),('US',1163552768,1163553535),('CA',1163553536,1163553791),('US',1163553792,1163553807),('CA',1163553808,1163553855),('US',1163553856,1163553871),('CA',1163553872,1163553919),('BV',1163553920,1163553935),('US',1163553936,1163553951),('CA',1163553952,1163554559),('US',1163554560,1163554591),('CA',1163554592,1163554623),('US',1163554624,1163554647),('MX',1163554648,1163554655),('CA',1163554656,1163554703),('US',1163554704,1163554751),('KN',1163554752,1163554783),('US',1163554784,1163556095),('CA',1163556096,1163556607),('US',1163556608,1163557375),('CA',1163557376,1163557439),('US',1163557440,1163557727),('CA',1163557728,1163557759),('US',1163557760,1163558015),('KW',1163558016,1163558028),('US',1163558029,1163560959),('CA',1163560960,1163561727),('FI',1163561728,1163561983),('CA',1163561984,1163561999),('US',1163562000,1163562015),('CA',1163562016,1163562047),('US',1163562048,1163562079),('CA',1163562080,1163562199),('US',1163562200,1163562215),('CA',1163562216,1163562231),('US',1163562232,1163562239),('CA',1163562240,1163563007),('US',1163563008,1163566047),('CA',1163566048,1163566079),('US',1163566080,1163570431),('CA',1163570432,1163570495),('US',1163570496,1163571199),('CA',1163571200,1163571711),('US',1163571712,1163571967),('CA',1163571968,1163571983),('US',1163571984,1163571999),('CA',1163572000,1163572031),('BE',1163572032,1163572063),('CA',1163572064,1163572079),('US',1163572080,1163572087),('CA',1163572088,1163572175),('US',1163572176,1163572183),('CA',1163572184,1163572223),('US',1163572224,1163572479),('CA',1163572480,1163572671),('US',1163572672,1163572679),('CA',1163572680,1163572687),('US',1163572688,1163572735),('CA',1163572736,1163573055),('US',1163573056,1163573087),('CA',1163573088,1163573199),('US',1163573200,1163573215),('CA',1163573216,1163573263),('US',1163573264,1163575295),('CA',1163575296,1163576703),('US',1163576704,1163576831),('CA',1163576832,1163576959),('US',1163576960,1163577023),('CA',1163577024,1163577071),('US',1163577072,1163577151),('CA',1163577152,1163577327),('US',1163577328,1163577599),('CA',1163577600,1163577855),('US',1163577856,1163577871),('CA',1163577872,1163577919),('US',1163577920,1163577951),('CA',1163577952,1163578111),('US',1163578112,1163578191),('CA',1163578192,1163578239),('US',1163578240,1163578255),('CA',1163578256,1163578271),('US',1163578272,1163578287),('CA',1163578288,1163578335),('US',1163578336,1163578351),('CA',1163578352,1163578711),('US',1163578712,1163578735),('CA',1163578736,1163578879),('US',1163578880,1163578895),('CA',1163578896,1163579391),('US',1163579392,1163579519),('CA',1163579520,1163579647),('US',1163579648,1163579871),('CA',1163579872,1163579903),('US',1163579904,1163581439),('CA',1163581440,1163581503),('US',1163581504,1163581583),('CA',1163581584,1163581599),('US',1163581600,1163581615),('CA',1163581616,1163581631),('US',1163581632,1163581695),('CA',1163581696,1163582111),('US',1163582112,1163582127),('CA',1163582128,1163582159),('FI',1163582160,1163582167),('CA',1163582168,1163582183),('US',1163582184,1163582191),('CA',1163582192,1163582199),('US',1163582200,1163582207),('CA',1163582208,1163583487),('US',1163583488,1163585023),('CR',1163585024,1163585031),('US',1163585032,1163585855),('CA',1163585856,1163585887),('US',1163585888,1163585889),('GB',1163585890,1163585905),('US',1163585906,1163587839),('CA',1163587840,1163588095),('US',1163588096,1163588111),('CA',1163588112,1163588159),('US',1163588160,1163588199),('DM',1163588200,1163588207),('CA',1163588208,1163588215),('US',1163588216,1163588223),('CA',1163588224,1163588607),('US',1163588608,1163588608),('CA',1163588609,1163588703),('US',1163588704,1163588711),('CA',1163588712,1163588727),('US',1163588728,1163588735),('CA',1163588736,1163589631),('US',1163589632,1163870575),('CN',1163870576,1163870583),('US',1163870584,1163876471),('PA',1163876472,1163876479),('US',1163876480,1163878399),('CN',1163878400,1163878407),('US',1163878408,1167693199),('UA',1167693200,1167693215),('US',1167693216,1167851519),('CA',1167851520,1168113663),('US',1168113664,1168637951),('CA',1168670720,1168687103),('US',1168736256,1168752639),('US',1168818176,1168826367),('US',1168834560,1168867327),('CA',1168867328,1168875519),('US',1169162240,1169203199),('CA',1169203200,1169211391),('US',1169211392,1170276351),('CA',1170472960,1170513919),('US',1170522112,1170530303),('US',1170538496,1170669567),('US',1170735104,1175977983),('CA',1175977984,1176502271),('US',1176502272,1176764415),('CA',1176895488,1176928255),('US',1176928256,1176969215),('US',1177092096,1177164415),('CA',1177164416,1177164479),('US',1177164480,1177165311),('CA',1177165312,1177165823),('US',1177165824,1177168127),('FR',1177168128,1177168143),('US',1177168144,1177169223),('CA',1177169224,1177169231),('US',1177169232,1177175199),('CZ',1177175200,1177175231),('US',1177175232,1177182527),('CA',1177182528,1177182591),('US',1177182592,1177187663),('GB',1177187664,1177187671),('US',1177187672,1177210983),('FR',1177210984,1177211007),('US',1177211008,1177214335),('IL',1177214336,1177214399),('US',1177214400,1177354239),('PR',1177354240,1177419775),('US',1177419776,1177550847),('CA',1177550848,1178075135),('US',1178075136,1178599423),('CA',1178599424,1179910143),('US',1179910144,1184805887),('A2',1184805888,1184806015),('US',1184806016,1184811007),('A2',1184811008,1184811263),('US',1184811264,1184829439),('A2',1184829440,1184829695),('US',1184829696,1189130447),('IN',1189130448,1189130463),('US',1189130464,1190170111),('UY',1190170112,1190170127),('US',1190170128,1190983455),('UA',1190983456,1190983487),('US',1190983488,1191673855),('CA',1191673856,1191706623),('US',1191706624,1192296447),('CA',1192296448,1192361983),('US',1192361984,1192427519),('CA',1192427520,1192460287),('US',1192460288,1192493055),('US',1192755200,1207975935),('CA',1207975936,1207980031),('US',1207980032,1208008703),('CA',1208008704,1208016895),('US',1208016896,1208020991),('CA',1208020992,1208025087),('US',1208025088,1208050943),('CA',1208050944,1208051199),('US',1208051200,1208054271),('CA',1208054272,1208054527),('US',1208054528,1208074239),('CA',1208074240,1208082431),('US',1208082432,1208090623),('CA',1208090624,1208107007),('US',1208107008,1208189951),('GB',1208189952,1208190015),('US',1208190016,1208190543),('GB',1208190544,1208190559),('US',1208190560,1208190583),('GB',1208190584,1208190591),('US',1208190592,1208190607),('GB',1208190608,1208190615),('US',1208190616,1208190999),('CA',1208191000,1208191007),('US',1208191008,1208191047),('AU',1208191048,1208191055),('US',1208191056,1208191087),('NO',1208191088,1208191095),('US',1208191096,1208191167),('TH',1208191168,1208191175),('US',1208191176,1208191199),('CA',1208191200,1208191215),('US',1208191216,1208191223),('BG',1208191224,1208191231),('US',1208191232,1208191311),('GB',1208191312,1208191319),('US',1208191320,1208191359),('GB',1208191360,1208191367),('US',1208191368,1208191391),('NO',1208191392,1208191423),('US',1208191424,1208191447),('IE',1208191448,1208191455),('US',1208191456,1208191567),('SG',1208191568,1208191575),('US',1208191576,1208191647),('AG',1208191648,1208191655),('US',1208191656,1208192167),('BM',1208192168,1208192175),('US',1208192176,1208192879),('MY',1208192880,1208192895),('US',1208192896,1208192903),('CA',1208192904,1208192911),('US',1208192912,1208192959),('IL',1208192960,1208192967),('US',1208192968,1208193119),('MY',1208193120,1208193151),('US',1208193152,1208193303),('CA',1208193304,1208193311),('US',1208193312,1208193391),('AU',1208193392,1208193407),('US',1208193408,1208193455),('PA',1208193456,1208193463),('US',1208193464,1208193599),('CA',1208193600,1208193615),('US',1208193616,1208193871),('AU',1208193872,1208193879),('US',1208193880,1208193935),('CA',1208193936,1208193943),('US',1208193944,1208194055),('AU',1208194056,1208194063),('US',1208194064,1208194087),('AU',1208194088,1208194095),('US',1208194096,1208194191),('MY',1208194192,1208194223),('US',1208194224,1208195359),('MY',1208195360,1208195375),('US',1208195376,1208195391),('IN',1208195392,1208195399),('US',1208195400,1208195447),('GB',1208195448,1208195455),('US',1208195456,1208195535),('GB',1208195536,1208195551),('US',1208195552,1208195703),('CA',1208195704,1208195711),('TH',1208195712,1208195727),('US',1208195728,1208195759),('BG',1208195760,1208195775),('US',1208195776,1208195847),('FR',1208195848,1208195855),('GB',1208195856,1208195871),('US',1208195872,1208195887),('ID',1208195888,1208195903),('US',1208195904,1208196143),('AU',1208196144,1208196151),('US',1208196152,1208196327),('CA',1208196328,1208196335),('US',1208196336,1208196607),('CA',1208196608,1208196615),('US',1208196616,1208196703),('CA',1208196704,1208196719),('US',1208196720,1208197023),('CR',1208197024,1208197031),('US',1208197032,1208197135),('MY',1208197136,1208197167),('US',1208197168,1208197175),('AU',1208197176,1208197183),('US',1208197184,1208197239),('CA',1208197240,1208197247),('US',1208197248,1208197519),('AU',1208197520,1208197527),('US',1208197528,1208197559),('AU',1208197560,1208197567),('US',1208197568,1208197631),('AU',1208197632,1208197639),('US',1208197640,1208197671),('MX',1208197672,1208197679),('US',1208197680,1208197783),('CA',1208197784,1208197791),('US',1208197792,1208197967),('AU',1208197968,1208197983),('US',1208197984,1208198039),('BS',1208198040,1208198047),('US',1208198048,1208198135),('AU',1208198136,1208198143),('US',1208198144,1208198303),('FR',1208198304,1208198319),('US',1208198320,1208198463),('CA',1208198464,1208198471),('US',1208198472,1208198743),('GB',1208198744,1208198751),('US',1208198752,1208198791),('CN',1208198792,1208198799),('US',1208198800,1208199055),('AU',1208199056,1208199063),('US',1208199064,1208199087),('MY',1208199088,1208199103),('US',1208199104,1208199215),('AU',1208199216,1208199223),('US',1208199224,1208199343),('CR',1208199344,1208199351),('MY',1208199352,1208199359),('US',1208199360,1208199767),('MX',1208199768,1208199775),('MY',1208199776,1208199783),('US',1208199784,1208199823),('CA',1208199824,1208199847),('US',1208199848,1208199935),('AU',1208199936,1208199943),('US',1208199944,1208200167),('CA',1208200168,1208200175),('US',1208200176,1208200247),('MC',1208200248,1208200255),('US',1208200256,1208200271),('AU',1208200272,1208200287),('US',1208200288,1208200303),('AU',1208200304,1208200319),('US',1208200320,1208200639),('FR',1208200640,1208200647),('US',1208200648,1208200655),('BS',1208200656,1208200663),('US',1208200664,1208200815),('BS',1208200816,1208200887),('US',1208200888,1208200895),('BS',1208200896,1208200903),('US',1208200904,1208201063),('IN',1208201064,1208201071),('US',1208201072,1208201255),('ES',1208201256,1208201263),('US',1208201264,1208201375),('CA',1208201376,1208201391),('US',1208201392,1208201535),('GB',1208201536,1208201543),('US',1208201544,1208201727),('MY',1208201728,1208201743),('US',1208201744,1208201951),('MY',1208201952,1208201959),('US',1208201960,1208202007),('CA',1208202008,1208202015),('US',1208202016,1208202135),('MY',1208202136,1208202143),('US',1208202144,1208202239),('TW',1208202240,1208202247),('US',1208202248,1208202255),('MY',1208202256,1208202287),('US',1208202288,1208202367),('TW',1208202368,1208202375),('US',1208202376,1208202495),('GB',1208202496,1208202511),('AU',1208202512,1208202519),('US',1208202520,1208202559),('JP',1208202560,1208202575),('US',1208202576,1208203023),('MY',1208203024,1208203071),('US',1208203072,1208203343),('AU',1208203344,1208203351),('US',1208203352,1208203583),('ZA',1208203584,1208203599),('US',1208203600,1208203647),('PR',1208203648,1208203655),('US',1208203656,1208204007),('NL',1208204008,1208204015),('US',1208204016,1208204031),('GB',1208204032,1208204039),('US',1208204040,1208204047),('JP',1208204048,1208204055),('US',1208204056,1208204767),('MX',1208204768,1208204775),('CA',1208204776,1208204783),('US',1208204784,1208204927),('AU',1208204928,1208204935),('US',1208204936,1208204951),('MY',1208204952,1208204959),('US',1208204960,1208205063),('MY',1208205064,1208205079),('US',1208205080,1208205119),('CA',1208205120,1208205127),('US',1208205128,1208205167),('MY',1208205168,1208205231),('US',1208205232,1208205247),('IN',1208205248,1208205263),('US',1208205264,1208205303),('CO',1208205304,1208205311),('US',1208205312,1208205407),('MY',1208205408,1208205423),('US',1208205424,1208205455),('CA',1208205456,1208205463),('US',1208205464,1208205703),('CA',1208205704,1208205711),('US',1208205712,1208205959),('SG',1208205960,1208205967),('US',1208205968,1208205983),('GB',1208205984,1208205991),('US',1208205992,1208206439),('CA',1208206440,1208206463),('US',1208206464,1208207183),('AU',1208207184,1208207191),('US',1208207192,1208207359),('CA',1208207360,1208207399),('US',1208207400,1208207463),('CA',1208207464,1208207471),('US',1208207472,1208207583),('AU',1208207584,1208207591),('US',1208207592,1208207983),('NL',1208207984,1208207999),('US',1208208000,1208208215),('CA',1208208216,1208208223),('AU',1208208224,1208208231),('US',1208208232,1208208239),('GB',1208208240,1208208255),('US',1208208256,1208208287),('GB',1208208288,1208208303),('KR',1208208304,1208208311),('US',1208208312,1208208799),('AU',1208208800,1208208807),('US',1208208808,1208208815),('CA',1208208816,1208208831),('US',1208208832,1208208927),('AU',1208208928,1208208943),('US',1208208944,1208209023),('CO',1208209024,1208209031),('US',1208209032,1208209175),('CA',1208209176,1208209183),('US',1208209184,1208209215),('MY',1208209216,1208209247),('US',1208209248,1208209359),('MY',1208209360,1208209375),('US',1208209376,1208209391),('MY',1208209392,1208209407),('US',1208209408,1208209543),('AU',1208209544,1208209551),('US',1208209552,1208209719),('TH',1208209720,1208209727),('US',1208209728,1208209863),('GT',1208209864,1208209871),('US',1208209872,1208210055),('IN',1208210056,1208210063),('HK',1208210064,1208210071),('US',1208210072,1208210079),('GB',1208210080,1208210095),('US',1208210096,1208210303),('GB',1208210304,1208210351),('US',1208210352,1208210431),('JP',1208210432,1208210447),('US',1208210448,1208210511),('CA',1208210512,1208210519),('US',1208210520,1208210751),('TR',1208210752,1208210759),('US',1208210760,1208215935),('GB',1208215936,1208215951),('US',1208215952,1208217447),('AE',1208217448,1208217455),('US',1208217456,1208333567),('GB',1208333568,1208333823),('US',1208333824,1208337919),('A2',1208337920,1208338175),('US',1208338176,1208582143),('US',1208586240,1208590335),('CA',1208590336,1208598527),('US',1208598528,1208647679),('CA',1208647680,1208659967),('US',1208659968,1208721407),('CA',1208721408,1208729599),('US',1208729600,1208770559),('CA',1208770560,1208774655),('US',1208774656,1208778751),('CA',1208778752,1208795135),('US',1208795136,1208812895),('CA',1208812896,1208812927),('US',1208812928,1208852479),('CA',1208852480,1208860671),('US',1208860672,1208918015),('CA',1208918016,1208922111),('US',1208922112,1208954879),('CA',1208954880,1208958975),('US',1208958976,1208975359),('CA',1208975360,1208983551),('US',1208983552,1209004863),('GB',1209004864,1209004927),('US',1209004928,1209189308),('ES',1209189309,1209189374),('US',1209189375,1209189631),('MX',1209189632,1209189887),('US',1209189888,1209190167),('GR',1209190168,1209190195),('US',1209190196,1209190911),('MX',1209190912,1209191167),('US',1209191168,1209347839),('GB',1209347840,1209348095),('US',1209348096,1209434111),('BB',1209434112,1209436671),('VC',1209436672,1209437183),('BB',1209437184,1209440767),('GD',1209440768,1209441279),('BB',1209441280,1209442303),('US',1209442304,1209647103),('CA',1209647104,1209663487),('US',1209663488,1209729023),('JM',1209729024,1209786367),('US',1209786368,1209810943),('CA',1209810944,1209819135),('US',1209819136,1209860095),('IN',1209860096,1209860127),('BE',1209860128,1209860159),('US',1209860160,1209860447),('BE',1209860448,1209860479),('US',1209860480,1209860575),('IN',1209860576,1209860607),('US',1209860608,1209861119),('CA',1209861120,1209861375),('US',1209861376,1209861759),('FR',1209861760,1209861887),('US',1209861888,1209862143),('CA',1209862144,1209862399),('US',1209862400,1209863167),('CA',1209863168,1209863423),('IN',1209863424,1209863679),('US',1209863680,1209863935),('CA',1209863936,1209864447),('US',1209864448,1209864511),('IN',1209864512,1209864543),('BE',1209864544,1209864575),('US',1209864576,1209864607),('BE',1209864608,1209864639),('IN',1209864640,1209864671),('US',1209864672,1209865599),('IN',1209865600,1209865727),('US',1209865728,1209866047),('GB',1209866048,1209866079),('US',1209866080,1209866111),('IN',1209866112,1209866143),('US',1209866144,1209866175),('BE',1209866176,1209866207),('IN',1209866208,1209866239),('US',1209866240,1209866751),('IN',1209866752,1209867007),('NZ',1209867008,1209867039),('BE',1209867040,1209867071),('US',1209867072,1209867135),('BE',1209867136,1209867167),('US',1209867168,1209867199),('CA',1209867200,1209867231),('GB',1209867232,1209867263),('CA',1209867264,1209867519),('US',1209867520,1209884671),('IT',1209884672,1209884679),('US',1209884680,1209884823),('IT',1209884824,1209884831),('US',1209884832,1209890495),('AU',1209890496,1209890559),('US',1209890560,1209893511),('MX',1209893512,1209893519),('US',1209893520,1209917439),('CA',1209917440,1209925631),('US',1209925632,1210057039),('JM',1210057040,1210057047),('US',1210057048,1210057055),('DE',1210057056,1210057071),('US',1210057072,1210057519),('IN',1210057520,1210057535),('US',1210057536,1210057567),('NG',1210057568,1210057583),('US',1210057584,1210057615),('CA',1210057616,1210057623),('US',1210057624,1210057655),('AT',1210057656,1210057663),('US',1210057664,1210057879),('IL',1210057880,1210057887),('US',1210057888,1210057895),('MX',1210057896,1210057903),('GB',1210057904,1210057911),('US',1210057912,1210058047),('CA',1210058048,1210058055),('US',1210058056,1210058159),('CA',1210058160,1210058167),('US',1210058168,1210058191),('CA',1210058192,1210058199),('US',1210058200,1210058615),('AU',1210058616,1210058623),('US',1210058624,1210060351),('IN',1210060352,1210060359),('US',1210060360,1210060383),('IL',1210060384,1210060407),('US',1210060408,1210060623),('CA',1210060624,1210060639),('US',1210060640,1210060799),('BR',1210060800,1210060815),('US',1210060816,1210060839),('AU',1210060840,1210060847),('US',1210060848,1210061327),('CA',1210061328,1210061335),('US',1210061336,1210061367),('IN',1210061368,1210061375),('US',1210061376,1210061407),('AU',1210061408,1210061415),('US',1210061416,1210061463),('HK',1210061464,1210061471),('US',1210061472,1210061567),('IL',1210061568,1210061631),('US',1210061632,1210061647),('IN',1210061648,1210061655),('GB',1210061656,1210061663),('US',1210061664,1210061727),('GB',1210061728,1210061735),('US',1210061736,1210061991),('AU',1210061992,1210061999),('US',1210062000,1210062007),('CA',1210062008,1210062015),('US',1210062016,1210062079),('IN',1210062080,1210062087),('US',1210062088,1210062095),('NZ',1210062096,1210062103),('US',1210062104,1210062463),('IN',1210062464,1210062479),('US',1210062480,1210062487),('MX',1210062488,1210062495),('US',1210062496,1210062815),('ZA',1210062816,1210062831),('IL',1210062832,1210062847),('US',1210062848,1210062927),('AU',1210062928,1210062935),('US',1210062936,1210062975),('CR',1210062976,1210062983),('US',1210062984,1210064527),('AU',1210064528,1210064535),('US',1210064536,1210064663),('AU',1210064664,1210064671),('US',1210064672,1210064951),('KW',1210064952,1210064959),('US',1210064960,1210064999),('BR',1210065000,1210065007),('US',1210065008,1210065023),('CA',1210065024,1210065031),('US',1210065032,1210065319),('AU',1210065320,1210065327),('US',1210065328,1210065535),('IN',1210065536,1210065543),('US',1210065544,1210065551),('GB',1210065552,1210065559),('US',1210065560,1210065567),('GB',1210065568,1210065575),('US',1210065576,1210065615),('CA',1210065616,1210065623),('US',1210065624,1210065663),('IN',1210065664,1210065679),('AU',1210065680,1210065695),('IN',1210065696,1210065703),('US',1210065704,1210065735),('DO',1210065736,1210065743),('US',1210065744,1210065751),('GB',1210065752,1210065759),('US',1210065760,1210065783),('PA',1210065784,1210065791),('US',1210065792,1210065823),('AU',1210065824,1210065855),('US',1210065856,1210066255),('CA',1210066256,1210066263),('US',1210066264,1210066287),('IN',1210066288,1210066295),('US',1210066296,1210066519),('BM',1210066520,1210066527),('US',1210066528,1210066807),('CA',1210066808,1210066831),('US',1210066832,1210067263),('GB',1210067264,1210067287),('US',1210067288,1210067535),('AU',1210067536,1210067543),('US',1210067544,1210067632),('AU',1210067633,1210067640),('US',1210067641,1210067967),('IL',1210067968,1210067983),('US',1210067984,1210068039),('GB',1210068040,1210068047),('US',1210068048,1210068151),('CA',1210068152,1210068159),('US',1210068160,1210068319),('CA',1210068320,1210068327),('US',1210068328,1210068343),('MX',1210068344,1210068351),('US',1210068352,1210068447),('NO',1210068448,1210068471),('US',1210068472,1210068543),('CA',1210068544,1210068559),('US',1210068560,1210068607),('IL',1210068608,1210068735),('US',1210068736,1210068759),('IL',1210068760,1210068767),('CA',1210068768,1210068775),('US',1210068776,1210068903),('AU',1210068904,1210068927),('US',1210068928,1210069007),('CA',1210069008,1210069023),('US',1210069024,1210069159),('AU',1210069160,1210069167),('US',1210069168,1210070071),('GB',1210070072,1210070079),('US',1210070080,1210070175),('IL',1210070176,1210070183),('US',1210070184,1210070431),('IL',1210070432,1210070439),('US',1210070440,1210070503),('CA',1210070504,1210070511),('US',1210070512,1210070631),('MX',1210070632,1210070639),('US',1210070640,1210070703),('GB',1210070704,1210070711),('US',1210070712,1210070799),('AU',1210070800,1210070807),('US',1210070808,1210070863),('BH',1210070864,1210070871),('US',1210070872,1210070943),('IN',1210070944,1210070951),('US',1210070952,1210070959),('JP',1210070960,1210070967),('US',1210070968,1210071007),('GB',1210071008,1210071015),('US',1210071016,1210071039),('GB',1210071040,1210071167),('US',1210071168,1210072255),('CA',1210072256,1210072319),('US',1210072320,1210072519),('NZ',1210072520,1210072527),('US',1210072528,1210072559),('GB',1210072560,1210072567),('US',1210072568,1210072783),('KW',1210072784,1210072791),('US',1210072792,1210073199),('DE',1210073200,1210073207),('US',1210073208,1210076039),('CA',1210076040,1210076047),('US',1210076048,1210079903),('IT',1210079904,1210079911),('BM',1210079912,1210079919),('US',1210079920,1210079999),('IN',1210080000,1210080015),('US',1210080016,1210080079),('GB',1210080080,1210080111),('US',1210080112,1210080407),('NL',1210080408,1210080455),('US',1210080456,1210080615),('CA',1210080616,1210080623),('US',1210080624,1210080847),('SV',1210080848,1210080855),('US',1210080856,1210081087),('CA',1210081088,1210081103),('US',1210081104,1210081335),('CR',1210081336,1210081343),('US',1210081344,1210081559),('PK',1210081560,1210081567),('US',1210081568,1210081823),('MX',1210081824,1210081831),('US',1210081832,1210081839),('MX',1210081840,1210081847),('US',1210081848,1210081879),('MX',1210081880,1210081887),('US',1210081888,1210081911),('AU',1210081912,1210081919),('US',1210081920,1210081943),('CA',1210081944,1210081951),('ZA',1210081952,1210081967),('US',1210081968,1210082047),('IN',1210082048,1210082055),('US',1210082056,1210082199),('CA',1210082200,1210082207),('US',1210082208,1210082447),('AU',1210082448,1210082463),('US',1210082464,1210082655),('CA',1210082656,1210082663),('US',1210082664,1210082831),('AU',1210082832,1210082839),('IN',1210082840,1210082847),('US',1210082848,1210082975),('GB',1210082976,1210082991),('US',1210082992,1210083071),('JP',1210083072,1210083079),('US',1210083080,1210083719),('IN',1210083720,1210083735),('US',1210083736,1210083871),('CA',1210083872,1210083879),('US',1210083880,1210083983),('IN',1210083984,1210083991),('US',1210083992,1210084215),('VE',1210084216,1210084223),('US',1210084224,1210084255),('NZ',1210084256,1210084271),('US',1210084272,1210084415),('CA',1210084416,1210084479),('US',1210084480,1210084711),('AU',1210084712,1210084719),('US',1210084720,1210089823),('CA',1210089824,1210089855),('US',1210089856,1210090071),('MX',1210090072,1210090079),('US',1210090080,1210090287),('AU',1210090288,1210090295),('US',1210090296,1210090367),('JM',1210090368,1210090375),('US',1210090376,1210090383),('CA',1210090384,1210090399),('US',1210090400,1210090815),('CA',1210090816,1210090823),('US',1210090824,1210090831),('JP',1210090832,1210090839),('US',1210090840,1210090895),('AU',1210090896,1210090903),('US',1210090904,1210091079),('SG',1210091080,1210091087),('US',1210091088,1210091135),('CA',1210091136,1210091151),('US',1210091152,1210091175),('SR',1210091176,1210091183),('US',1210091184,1210091351),('AU',1210091352,1210091359),('US',1210091360,1210091535),('CA',1210091536,1210091543),('US',1210091544,1210091679),('AU',1210091680,1210091687),('US',1210091688,1210091791),('CA',1210091792,1210091807),('US',1210091808,1210091839),('CA',1210091840,1210091847),('US',1210091848,1210092287),('ES',1210092288,1210092543),('US',1210092544,1210092567),('AU',1210092568,1210092575),('CA',1210092576,1210092583),('MX',1210092584,1210092591),('US',1210092592,1210092607),('GB',1210092608,1210092639),('US',1210092640,1210092799),('CA',1210092800,1210092815),('US',1210092816,1210093143),('ID',1210093144,1210093151),('US',1210093152,1210093191),('BR',1210093192,1210093199),('US',1210093200,1210093407),('MX',1210093408,1210093423),('US',1210093424,1210093575),('MY',1210093576,1210093583),('US',1210093584,1210093639),('CA',1210093640,1210093647),('US',1210093648,1210093663),('CA',1210093664,1210093671),('AU',1210093672,1210093679),('US',1210093680,1210093751),('AU',1210093752,1210093759),('US',1210093760,1210093847),('AU',1210093848,1210093855),('US',1210093856,1210094175),('TT',1210094176,1210094183),('US',1210094184,1210094407),('GB',1210094408,1210094415),('US',1210094416,1210094831),('SG',1210094832,1210094847),('US',1210094848,1210094943),('GB',1210094944,1210094951),('US',1210094952,1210094959),('GB',1210094960,1210094967),('US',1210094968,1210095263),('GB',1210095264,1210095271),('US',1210095272,1210095503),('IN',1210095504,1210095519),('NZ',1210095520,1210095527),('US',1210095528,1210095711),('GB',1210095712,1210095727),('US',1210095728,1210095935),('IN',1210095936,1210095951),('US',1210095952,1210095959),('GB',1210095960,1210095967),('US',1210095968,1210096295),('GB',1210096296,1210096303),('US',1210096304,1210097999),('CA',1210098000,1210098007),('US',1210098008,1210098111),('IL',1210098112,1210098119),('US',1210098120,1210098127),('CA',1210098128,1210098143),('US',1210098144,1210098215),('IN',1210098216,1210098223),('US',1210098224,1210098319),('CA',1210098320,1210098327),('US',1210098328,1210098527),('SG',1210098528,1210098535),('US',1210098536,1210098615),('NZ',1210098616,1210098623),('US',1210098624,1210098743),('BO',1210098744,1210098751),('US',1210098752,1210098775),('CN',1210098776,1210098783),('US',1210098784,1210098959),('CA',1210098960,1210098975),('US',1210098976,1210099383),('AE',1210099384,1210099399),('US',1210099400,1210099495),('BG',1210099496,1210099503),('US',1210099504,1210099511),('MX',1210099512,1210099519),('US',1210099520,1210099583),('CA',1210099584,1210099591),('US',1210099592,1210099695),('AU',1210099696,1210099711),('US',1210099712,1210099783),('NZ',1210099784,1210099791),('US',1210099792,1210099815),('CA',1210099816,1210099831),('US',1210099832,1210099879),('GB',1210099880,1210099895),('US',1210099896,1210099967),('MT',1210099968,1210099975),('US',1210099976,1210100103),('MT',1210100104,1210100111),('US',1210100112,1210100231),('CA',1210100232,1210100239),('PK',1210100240,1210100255),('CA',1210100256,1210100287),('US',1210100288,1210100359),('AU',1210100360,1210100367),('US',1210100368,1210100463),('CA',1210100464,1210100479),('US',1210100480,1210101023),('GB',1210101024,1210101039),('US',1210101040,1210101263),('MY',1210101264,1210101279),('US',1210101280,1210101311),('IE',1210101312,1210101319),('IL',1210101320,1210101327),('US',1210101328,1210107967),('MO',1210107968,1210107975),('US',1210107976,1210108295),('IN',1210108296,1210108303),('US',1210108304,1210108335),('CA',1210108336,1210108343),('IL',1210108344,1210108351),('US',1210108352,1210108359),('CA',1210108360,1210108367),('US',1210108368,1210108423),('PR',1210108424,1210108431),('US',1210108432,1210108631),('GB',1210108632,1210108639),('US',1210108640,1210108903),('AU',1210108904,1210108911),('GB',1210108912,1210108919),('US',1210108920,1210108967),('AU',1210108968,1210108975),('US',1210108976,1210109247),('DK',1210109248,1210109255),('IL',1210109256,1210109263),('CA',1210109264,1210109271),('US',1210109272,1210109343),('FI',1210109344,1210109351),('US',1210109352,1210109751),('IL',1210109752,1210109759),('GB',1210109760,1210109767),('IN',1210109768,1210109775),('US',1210109776,1210109935),('BB',1210109936,1210109943),('US',1210109944,1210111007),('GB',1210111008,1210111015),('US',1210111016,1210111095),('CA',1210111096,1210111103),('US',1210111104,1210111279),('VG',1210111280,1210111287),('US',1210111288,1210111295),('AU',1210111296,1210111303),('US',1210111304,1210111999),('CA',1210112000,1210112007),('US',1210112008,1210112039),('IL',1210112040,1210112047),('US',1210112048,1210112455),('ZA',1210112456,1210112463),('US',1210112464,1210112679),('CA',1210112680,1210112687),('US',1210112688,1210112727),('PY',1210112728,1210112735),('US',1210112736,1210112815),('MX',1210112816,1210112823),('US',1210112824,1210112839),('LT',1210112840,1210112847),('IN',1210112848,1210112855),('US',1210112856,1210113055),('CA',1210113056,1210113063),('US',1210113064,1210113095),('BR',1210113096,1210113103),('US',1210113104,1210113135),('CA',1210113136,1210113143),('US',1210113144,1210113535),('CA',1210113536,1210113551),('US',1210113552,1210113615),('GB',1210113616,1210113631),('US',1210113632,1210113991),('IR',1210113992,1210113999),('US',1210114000,1210114095),('CR',1210114096,1210114103),('US',1210114104,1210114151),('MY',1210114152,1210114159),('US',1210114160,1210114167),('HN',1210114168,1210114175),('US',1210114176,1210114279),('AU',1210114280,1210114287),('US',1210114288,1210114351),('AU',1210114352,1210114367),('US',1210114368,1210114439),('GB',1210114440,1210114447),('US',1210114448,1210114471),('AU',1210114472,1210114479),('CL',1210114480,1210114487),('AU',1210114488,1210114495),('US',1210114496,1210114503),('BB',1210114504,1210114511),('US',1210114512,1210114551),('AU',1210114552,1210114559),('US',1210114560,1210114623),('CA',1210114624,1210114631),('US',1210114632,1210114711),('ZA',1210114712,1210114719),('US',1210114720,1210114759),('MT',1210114760,1210114775),('US',1210114776,1210114831),('AU',1210114832,1210114839),('US',1210114840,1210114991),('AU',1210114992,1210114999),('US',1210115000,1210115079),('AU',1210115080,1210115087),('US',1210115088,1210115135),('AU',1210115136,1210115143),('US',1210115144,1210115199),('GB',1210115200,1210115207),('US',1210115208,1210115231),('AU',1210115232,1210115239),('US',1210115240,1210115335),('GB',1210115336,1210115343),('US',1210115344,1210115471),('IN',1210115472,1210115479),('US',1210115480,1210115495),('AU',1210115496,1210115503),('US',1210115504,1210115543),('BB',1210115544,1210115575),('US',1210115576,1210115591),('CA',1210115592,1210115599),('US',1210115600,1210115719),('AU',1210115720,1210115727),('US',1210115728,1210115791),('GB',1210115792,1210115799),('US',1210115800,1210115911),('GB',1210115912,1210115919),('US',1210115920,1210116255),('IN',1210116256,1210116263),('US',1210116264,1210116375),('CA',1210116376,1210116383),('US',1210116384,1210116423),('GB',1210116424,1210116431),('US',1210116432,1210116527),('PR',1210116528,1210116535),('US',1210116536,1210116671),('AU',1210116672,1210116679),('GB',1210116680,1210116687),('NG',1210116688,1210116695),('US',1210116696,1210116863),('GB',1210116864,1210116871),('US',1210116872,1210117191),('CA',1210117192,1210117199),('US',1210117200,1210117567),('CA',1210117568,1210117599),('US',1210117600,1210117631),('IN',1210117632,1210117639),('GB',1210117640,1210117647),('AE',1210117648,1210117655),('US',1210117656,1210117871),('CA',1210117872,1210117879),('US',1210117880,1210117887),('TH',1210117888,1210117895),('US',1210117896,1210118023),('GB',1210118024,1210118031),('US',1210118032,1210118191),('NZ',1210118192,1210118199),('US',1210118200,1210118239),('TH',1210118240,1210118255),('US',1210118256,1210118431),('AU',1210118432,1210118439),('US',1210118440,1210118655),('IN',1210118656,1210118663),('US',1210118664,1210118687),('IN',1210118688,1210118703),('US',1210118704,1210118887),('BR',1210118888,1210118895),('US',1210118896,1210119119),('GB',1210119120,1210119135),('US',1210119136,1210119183),('CA',1210119184,1210119191),('US',1210119192,1210119255),('MY',1210119256,1210119263),('US',1210119264,1210119311),('AN',1210119312,1210119319),('MX',1210119320,1210119327),('US',1210119328,1210119551),('MX',1210119552,1210119559),('US',1210119560,1210119823),('CA',1210119824,1210119831),('US',1210119832,1210120007),('IN',1210120008,1210120015),('US',1210120016,1210120847),('MY',1210120848,1210120855),('US',1210120856,1210120895),('MX',1210120896,1210120903),('US',1210120904,1210120991),('IN',1210120992,1210120999),('US',1210121000,1210121023),('AU',1210121024,1210121039),('US',1210121040,1210121079),('BR',1210121080,1210121087),('US',1210121088,1210121887),('MO',1210121888,1210121903),('US',1210121904,1210122031),('CA',1210122032,1210122039),('US',1210122040,1210122063),('MX',1210122064,1210122071),('US',1210122072,1210253311),('CA',1210253312,1210254703),('NZ',1210254704,1210254719),('CA',1210254720,1210261503),('US',1210261504,1210359039),('ES',1210359040,1210359295),('US',1210359296,1210366655),('GB',1210366656,1210366719),('US',1210366720,1210418175),('SG',1210418176,1210418207),('US',1210418208,1210418287),('SG',1210418288,1210418303),('US',1210418304,1210449919),('CA',1210449920,1210580991),('US',1210580992,1210925055),('CA',1210925056,1210941439),('US',1210941440,1211236351),('PR',1211236352,1211269119),('US',1211269120,1211303935),('CA',1211303936,1211304127),('US',1211304128,1211304191),('CA',1211304192,1211304319),('NL',1211304320,1211304351),('CA',1211304352,1211304703),('GB',1211304704,1211304767),('US',1211304768,1211304831),('CA',1211304832,1211304959),('US',1211304960,1211305983),('NL',1211305984,1211306239),('US',1211306240,1211308031),('CR',1211308032,1211308159),('CA',1211308160,1211308175),('BV',1211308176,1211308191),('CA',1211308192,1211308543),('KN',1211308544,1211308559),('CA',1211308560,1211308607),('US',1211308608,1211308615),('CA',1211308616,1211308639),('MX',1211308640,1211308655),('GB',1211308656,1211308671),('CA',1211308672,1211308703),('BV',1211308704,1211308719),('CA',1211308720,1211308735),('BV',1211308736,1211308751),('CA',1211308752,1211309055),('GB',1211309056,1211309311),('CA',1211309312,1211310079),('US',1211310080,1211314639),('CA',1211314640,1211314671),('US',1211314672,1211315455),('CA',1211315456,1211315519),('US',1211315520,1211316479),('CA',1211316480,1211316991),('US',1211316992,1211317503),('CA',1211317504,1211317759),('US',1211317760,1211318271),('BB',1211318272,1211322623),('GD',1211322624,1211324159),('VC',1211324160,1211324927),('BB',1211324928,1211333119),('VC',1211333120,1211333631),('GD',1211333632,1211333887),('VG',1211333888,1211334655),('US',1211334656,1211367423),('EE',1211367424,1211367487),('US',1211367488,1211367679),('GI',1211367680,1211367935),('US',1211367936,1211387983),('AE',1211387984,1211387999),('US',1211388000,1211388671),('IT',1211388672,1211388687),('US',1211388688,1211391743),('IT',1211391744,1211391999),('US',1211392000,1211392591),('IT',1211392592,1211392607),('GB',1211392608,1211392639),('US',1211392640,1211392783),('IT',1211392784,1211392799),('US',1211392800,1211393279),('AU',1211393280,1211393311),('IT',1211393312,1211393327),('US',1211393328,1211394751),('IT',1211394752,1211395071),('US',1211395072,1211407293),('MX',1211407294,1211407333),('US',1211407334,1211432959),('CA',1211432960,1211473919),('US',1211473920,1211596799),('CA',1211596800,1211599583),('US',1211599584,1211599591),('CA',1211599592,1211599615),('US',1211599616,1211599623),('CA',1211599624,1211599647),('ES',1211599648,1211599655),('CA',1211599656,1211599679),('US',1211599680,1211599695),('MX',1211599696,1211599703),('CA',1211599704,1211599767),('ID',1211599768,1211599775),('CA',1211599776,1211600631),('EG',1211600632,1211600639),('CA',1211600640,1211602239),('CN',1211602240,1211602247),('CA',1211602248,1211603135),('FR',1211603136,1211603167),('CA',1211603168,1211604239),('GB',1211604240,1211604247),('CA',1211604248,1211604303),('GB',1211604304,1211604311),('CA',1211604312,1211604327),('RU',1211604328,1211604335),('GB',1211604336,1211604343),('CA',1211604344,1211604351),('US',1211604352,1211604359),('CA',1211604360,1211604407),('US',1211604408,1211604423),('CA',1211604424,1211604463),('US',1211604464,1211604471),('CA',1211604472,1211604735),('US',1211604736,1211604743),('BH',1211604744,1211604751),('CA',1211604752,1211604791),('IN',1211604792,1211604799),('CA',1211604800,1211604847),('BR',1211604848,1211604855),('CA',1211604856,1211604951),('FI',1211604952,1211604959),('CA',1211604960,1211604967),('PK',1211604968,1211604975),('CA',1211604976,1211604991),('US',1211604992,1211605087),('PH',1211605088,1211605103),('FR',1211605104,1211605119),('CA',1211605120,1211605215),('NL',1211605216,1211605231),('CY',1211605232,1211605247),('BS',1211605248,1211605311),('CA',1211605312,1211605687),('PK',1211605688,1211605695),('US',1211605696,1211605703),('CA',1211605704,1211605743),('US',1211605744,1211605751),('CA',1211605752,1211605783),('US',1211605784,1211605791),('CA',1211605792,1211605799),('US',1211605800,1211605815),('CA',1211605816,1211605831),('IN',1211605832,1211605839),('CA',1211605840,1211605887),('CH',1211605888,1211605895),('CA',1211605896,1211605951),('EG',1211605952,1211605959),('CA',1211605960,1211606567),('RU',1211606568,1211606575),('CA',1211606576,1211606591),('US',1211606592,1211606599),('CA',1211606600,1211606639),('AE',1211606640,1211606647),('CA',1211606648,1211606663),('AE',1211606664,1211606671),('CA',1211606672,1211606719),('NL',1211606720,1211606727),('CA',1211606728,1211606775),('US',1211606776,1211606783),('CA',1211606784,1211606807),('US',1211606808,1211606823),('CA',1211606824,1211606847),('BR',1211606848,1211606855),('CA',1211606856,1211606879),('US',1211606880,1211606887),('EG',1211606888,1211606895),('CA',1211606896,1211606919),('HK',1211606920,1211606927),('BR',1211606928,1211606935),('CA',1211606936,1211606959),('EC',1211606960,1211606967),('IE',1211606968,1211606975),('US',1211606976,1211606983),('CA',1211606984,1211607031),('CY',1211607032,1211607039),('CA',1211607040,1211607295),('FR',1211607296,1211607303),('CA',1211607304,1211607311),('ES',1211607312,1211607319),('CA',1211607320,1211607335),('EC',1211607336,1211607343),('CA',1211607344,1211607391),('US',1211607392,1211607399),('MX',1211607400,1211607407),('SE',1211607408,1211607415),('PL',1211607416,1211607423),('CA',1211607424,1211607431),('MX',1211607432,1211607439),('CA',1211607440,1211607495),('MT',1211607496,1211607503),('FR',1211607504,1211607511),('ES',1211607512,1211607519),('CA',1211607520,1211607543),('VG',1211607544,1211607551),('BR',1211607552,1211607559),('CA',1211607560,1211607567),('FI',1211607568,1211607575),('CA',1211607576,1211607615),('PA',1211607616,1211607623),('CY',1211607624,1211607631),('CA',1211607632,1211607663),('AU',1211607664,1211607671),('CA',1211607672,1211607695),('VG',1211607696,1211607703),('BR',1211607704,1211607711),('GB',1211607712,1211607727),('CA',1211607728,1211607767),('AU',1211607768,1211607775),('CA',1211607776,1211607783),('AE',1211607784,1211607791),('CA',1211607792,1211607807),('CY',1211607808,1211607823),('RU',1211607824,1211607839),('NL',1211607840,1211607855),('JP',1211607856,1211607871),('CA',1211607872,1211607887),('AU',1211607888,1211607903),('US',1211607904,1211607919),('CA',1211607920,1211607935),('IE',1211607936,1211607951),('US',1211607952,1211607967),('CA',1211607968,1211608031),('PH',1211608032,1211608047),('IT',1211608048,1211608063),('MX',1211608064,1211608079),('CA',1211608080,1211608119),('ES',1211608120,1211608127),('US',1211608128,1211608159),('CA',1211608160,1211608207),('US',1211608208,1211608215),('CA',1211608216,1211608279),('CL',1211608280,1211608287),('CA',1211608288,1211608375),('JP',1211608376,1211608383),('CA',1211608384,1211608391),('IT',1211608392,1211608399),('CA',1211608400,1211608471),('KW',1211608472,1211608479),('AE',1211608480,1211608487),('CA',1211608488,1211608503),('BR',1211608504,1211608511),('CA',1211608512,1211608839),('MX',1211608840,1211608847),('CA',1211608848,1211608919),('IR',1211608920,1211608927),('CA',1211608928,1211608943),('GB',1211608944,1211608951),('CA',1211608952,1211608967),('US',1211608968,1211608983),('CA',1211608984,1211608999),('CN',1211609000,1211609007),('CA',1211609008,1211609039),('US',1211609040,1211609047),('CA',1211609048,1211609063),('NZ',1211609064,1211609071),('CA',1211609072,1211609079),('NL',1211609080,1211609087),('CA',1211609088,1211609343),('US',1211609344,1211609599),('CA',1211609600,1211610191),('US',1211610192,1211610199),('CA',1211610200,1211610239),('US',1211610240,1211610247),('CA',1211610248,1211610263),('BR',1211610264,1211610271),('CA',1211610272,1211610279),('BR',1211610280,1211610287),('CA',1211610288,1211610295),('IR',1211610296,1211610303),('GR',1211610304,1211610311),('CA',1211610312,1211610335),('ID',1211610336,1211610343),('GB',1211610344,1211610351),('CA',1211610352,1211610439),('GB',1211610440,1211610447),('CA',1211610448,1211610455),('US',1211610456,1211610463),('CA',1211610464,1211610479),('GB',1211610480,1211610495),('CA',1211610496,1211610519),('IL',1211610520,1211610527),('CA',1211610528,1211610591),('AU',1211610592,1211610599),('CA',1211610600,1211610935),('MX',1211610936,1211610943),('AE',1211610944,1211610951),('CA',1211610952,1211611015),('TH',1211611016,1211611023),('RO',1211611024,1211611031),('CA',1211611032,1211611039),('NL',1211611040,1211611047),('CA',1211611048,1211611055),('IN',1211611056,1211611063),('CA',1211611064,1211611079),('BR',1211611080,1211611087),('IN',1211611088,1211611095),('CA',1211611096,1211611311),('US',1211611312,1211611327),('CA',1211611328,1211611343),('IT',1211611344,1211611359),('CA',1211611360,1211611423),('AE',1211611424,1211611431),('CA',1211611432,1211611455),('MT',1211611456,1211611463),('IN',1211611464,1211611471),('CA',1211611472,1211611495),('IN',1211611496,1211611503),('NZ',1211611504,1211611511),('CA',1211611512,1211612191),('US',1211612192,1211612207),('CA',1211612208,1211612287),('PL',1211612288,1211612303),('CZ',1211612304,1211612319),('CA',1211612320,1211612431),('FR',1211612432,1211612439),('CA',1211612440,1211612471),('CO',1211612472,1211612479),('AE',1211612480,1211612487),('BR',1211612488,1211612495),('CA',1211612496,1211612519),('AR',1211612520,1211612527),('CA',1211612528,1211612551),('IL',1211612552,1211612559),('CA',1211612560,1211613183),('US',1211613184,1216872447),('CA',1216872448,1217396735),('US',1217396736,1218731807),('A2',1218731808,1218731815),('US',1218731816,1218784255),('A2',1218784256,1218784511),('US',1218784512,1218853247),('PR',1218853248,1218853279),('US',1218853280,1219256319),('CA',1219256320,1219264511),('US',1219264512,1219272703),('CA',1219272704,1219276799),('US',1219276800,1219290623),('AU',1219290624,1219290751),('US',1219290752,1223182487),('ES',1223182488,1223182654),('US',1223182655,1223197183),('ES',1223197184,1223197439),('US',1223197440,1223199743),('GB',1223199744,1223199999),('US',1223200000,1223203327),('ES',1223203328,1223203583),('US',1223203584,1223208447),('ES',1223208448,1223208703),('US',1223208704,1223208767),('ES',1223208768,1223208831),('US',1223208832,1223234047),('ES',1223234048,1223234303),('US',1223234304,1223239167),('ES',1223239168,1223239295),('US',1223239296,1224278015),('GB',1224278016,1224278023),('US',1224278024,1224278111),('MY',1224278112,1224278143),('US',1224278144,1224278183),('CA',1224278184,1224278191),('US',1224278192,1224278359),('GB',1224278360,1224278367),('US',1224278368,1224278599),('AU',1224278600,1224278607),('US',1224278608,1224278815),('CH',1224278816,1224278823),('US',1224278824,1224285695),('GB',1224285696,1224286207),('US',1224286208,1224286719),('CA',1224286720,1224286975),('US',1224286976,1224290303),('GB',1224290304,1224290815),('CA',1224290816,1224291071),('US',1224291072,1224292095),('CA',1224292096,1224292351),('US',1224292352,1224294143),('CA',1224294144,1224294399),('US',1224294400,1224295423),('VN',1224295424,1224295679),('US',1224295680,1224296447),('CA',1224296448,1224296959),('US',1224296960,1224299519),('CA',1224299520,1224299775),('US',1224299776,1224303359),('CA',1224303360,1224303367),('US',1224303368,1224305151),('GB',1224305152,1224305663),('US',1224305664,1224311063),('MX',1224311064,1224311071),('US',1224311072,1224312319),('GB',1224312320,1224312327),('US',1224312328,1224316671),('PK',1224316672,1224316927),('US',1224316928,1224317439),('CA',1224317440,1224317695),('US',1224317696,1224318207),('CA',1224318208,1224318463),('US',1224318464,1224320511),('GB',1224320512,1224321023),('US',1224321024,1224327167),('US',1224343552,1224476671),('AN',1224476672,1224478719),('US',1224478720,1224480767),('JM',1224480768,1224484863),('GT',1224484864,1224493055),('US',1224493056,1224497151),('GT',1224497152,1224501247),('JM',1224501248,1224503551),('BS',1224503552,1224503807),('JM',1224503808,1224509439),('US',1224509440,1224529919),('JM',1224529920,1224538111),('US',1224538112,1242300415),('CA',1242300416,1242562559),('US',1242562560,1244659711),('CA',1244659712,1244790783),('US',1244790784,1244831743),('CA',1244831744,1244839935),('US',1244839936,1244844031),('CA',1244848128,1244852223),('US',1244856320,1244860415),('CA',1244864512,1244868607),('US',1244872704,1245183999),('CA',1245184000,1245446143),('US',1245446144,1246756863),('US',1246887936,1247027199),('A2',1247027200,1247035391),('US',1247035392,1247150287),('SA',1247150288,1247150295),('US',1247150296,1247151415),('SA',1247151416,1247151423),('US',1247151424,1247151495),('SA',1247151496,1247151503),('US',1247151504,1247151807),('SA',1247151808,1247151815),('US',1247151816,1247151935),('SA',1247151936,1247151967),('US',1247151968,1247151999),('SA',1247152000,1247152007),('US',1247152008,1247152991),('TR',1247152992,1247152999),('US',1247153000,1247153167),('SA',1247153168,1247153175),('US',1247153176,1247154063),('BR',1247154064,1247154071),('US',1247154072,1247154103),('SA',1247154104,1247154111),('US',1247154112,1247154359),('SA',1247154360,1247154367),('US',1247154368,1247154431),('CN',1247154432,1247154439),('US',1247154440,1247154655),('SA',1247154656,1247154671),('US',1247154672,1247155303),('CA',1247155304,1247155311),('US',1247155312,1247155783),('SA',1247155784,1247155791),('US',1247155792,1247156271),('SA',1247156272,1247156279),('US',1247156280,1247156311),('EG',1247156312,1247156319),('US',1247156320,1247156543),('SA',1247156544,1247156559),('US',1247156560,1247156567),('SA',1247156568,1247156575),('US',1247156576,1247156599),('SA',1247156600,1247156607),('US',1247156608,1247157935),('CA',1247157936,1247157943),('US',1247157944,1247158047),('GB',1247158048,1247158063),('US',1247158064,1247158631),('SA',1247158632,1247158639),('US',1247158640,1247158847),('BR',1247158848,1247158855),('US',1247158856,1247161143),('TR',1247161144,1247161151),('US',1247161152,1247162631),('SA',1247162632,1247162639),('US',1247162640,1247162647),('EG',1247162648,1247162655),('US',1247162656,1247164111),('SA',1247164112,1247164119),('US',1247164120,1247164223),('CA',1247164224,1247164255),('US',1247164256,1247164271),('FI',1247164272,1247164279),('US',1247164280,1247165527),('NL',1247165528,1247165535),('US',1247165536,1247167383),('SA',1247167384,1247167391),('US',1247167392,1247167639),('SA',1247167640,1247167647),('US',1247167648,1247168783),('NL',1247168784,1247168791),('US',1247168792,1247169151),('SA',1247169152,1247169183),('US',1247169184,1247169383),('SA',1247169384,1247169391),('US',1247169392,1247169503),('IE',1247169504,1247169511),('US',1247169512,1247169519),('SA',1247169520,1247169527),('US',1247169528,1247170159),('AE',1247170160,1247170167),('US',1247170168,1247170743),('GB',1247170744,1247170751),('US',1247170752,1247170815),('CA',1247170816,1247170823),('US',1247170824,1247170927),('GB',1247170928,1247170935),('US',1247170936,1247171359),('GB',1247171360,1247171375),('US',1247171376,1247171487),('SA',1247171488,1247171495),('US',1247171496,1247172631),('MX',1247172632,1247172639),('US',1247172640,1247172735),('GB',1247172736,1247172743),('US',1247172744,1247172791),('SA',1247172792,1247172799),('US',1247172800,1247173319),('IE',1247173320,1247173327),('US',1247173328,1247173767),('RO',1247173768,1247173775),('US',1247173776,1247173895),('SA',1247173896,1247173903),('US',1247173904,1247174063),('PH',1247174064,1247174071),('US',1247174072,1247174367),('PH',1247174368,1247174383),('US',1247174384,1247174527),('DK',1247174528,1247174543),('US',1247174544,1247174639),('CA',1247174640,1247174647),('US',1247174648,1247174711),('SA',1247174712,1247174719),('US',1247174720,1247175279),('SA',1247175280,1247175287),('US',1247175288,1247175391),('CA',1247175392,1247175407),('US',1247175408,1247176063),('CA',1247176064,1247176095),('US',1247176096,1247176471),('SA',1247176472,1247176479),('US',1247176480,1247176559),('GB',1247176560,1247176567),('US',1247176568,1247177127),('SA',1247177128,1247177143),('US',1247177144,1247177495),('SA',1247177496,1247177503),('US',1247177504,1247178535),('MX',1247178536,1247178543),('US',1247178544,1247178623),('IE',1247178624,1247178631),('US',1247178632,1247178679),('SA',1247178680,1247178687),('US',1247178688,1247178695),('SA',1247178696,1247178703),('IE',1247178704,1247178711),('US',1247178712,1247178815),('DK',1247178816,1247178823),('US',1247178824,1247179143),('BR',1247179144,1247179151),('US',1247179152,1247179263),('SA',1247179264,1247179295),('US',1247179296,1247179519),('GB',1247179520,1247179551),('US',1247179552,1247179967),('ID',1247179968,1247179975),('US',1247179976,1247180143),('IN',1247180144,1247180151),('US',1247180152,1247180255),('ID',1247180256,1247180271),('US',1247180272,1247180399),('NO',1247180400,1247180407),('US',1247180408,1247181103),('GB',1247181104,1247181111),('US',1247181112,1247182031),('KW',1247182032,1247182039),('US',1247182040,1247182343),('IE',1247182344,1247182351),('US',1247182352,1247182655),('GB',1247182656,1247182687),('US',1247182688,1247183263),('IE',1247183264,1247183271),('US',1247183272,1247183711),('SA',1247183712,1247183719),('US',1247183720,1247184239),('SA',1247184240,1247184247),('US',1247184248,1247184559),('IE',1247184560,1247184567),('US',1247184568,1247184695),('SA',1247184696,1247184703),('US',1247184704,1247186335),('EG',1247186336,1247186351),('US',1247186352,1247186431),('IN',1247186432,1247186439),('US',1247186440,1247186703),('EG',1247186704,1247186711),('US',1247186712,1247187199),('LB',1247187200,1247187207),('US',1247187208,1247187607),('DE',1247187608,1247187615),('US',1247187616,1247187839),('GB',1247187840,1247187871),('US',1247187872,1247188695),('DE',1247188696,1247188703),('US',1247188704,1247190567),('SA',1247190568,1247190575),('US',1247190576,1247190687),('SA',1247190688,1247190695),('US',1247190696,1247191127),('IE',1247191128,1247191135),('US',1247191136,1247191199),('IE',1247191200,1247191207),('US',1247191208,1247191343),('DE',1247191344,1247191351),('US',1247191352,1247191535),('TR',1247191536,1247191543),('US',1247191544,1247191631),('RO',1247191632,1247191639),('US',1247191640,1247191647),('KW',1247191648,1247191655),('US',1247191656,1247191815),('SA',1247191816,1247191823),('US',1247191824,1247191847),('SA',1247191848,1247191855),('US',1247191856,1247191999),('KW',1247192000,1247192015),('US',1247192016,1247192159),('SA',1247192160,1247192191),('HK',1247192192,1247192199),('US',1247192200,1247192215),('SA',1247192216,1247192223),('US',1247192224,1247192239),('SA',1247192240,1247192247),('US',1247192248,1247194959),('UY',1247194960,1247194975),('US',1247194976,1247195063),('SA',1247195064,1247195071),('US',1247195072,1247195335),('JM',1247195336,1247195343),('US',1247195344,1247195615),('GB',1247195616,1247195623),('US',1247195624,1247196255),('CA',1247196256,1247196263),('US',1247196264,1247197983),('CA',1247197984,1247197991),('US',1247197992,1247198543),('CA',1247198544,1247198551),('US',1247198552,1247199151),('SA',1247199152,1247199159),('US',1247199160,1247199255),('MX',1247199256,1247199263),('US',1247199264,1247199647),('MX',1247199648,1247199663),('US',1247199664,1247201311),('IN',1247201312,1247201319),('US',1247201320,1247201423),('GB',1247201424,1247201431),('US',1247201432,1247202495),('GB',1247202496,1247202511),('US',1247202512,1247202879),('GB',1247202880,1247202911),('US',1247202912,1247202975),('CA',1247202976,1247202983),('US',1247202984,1247207095),('CA',1247207096,1247207103),('US',1247207104,1247207487),('GB',1247207488,1247207519),('US',1247207520,1247208207),('HK',1247208208,1247208215),('US',1247208216,1247208391),('IE',1247208392,1247208399),('SA',1247208400,1247208407),('US',1247208408,1247209215),('CA',1247209216,1247209223),('US',1247209224,1247210575),('SA',1247210576,1247210583),('US',1247210584,1247211775),('EG',1247211776,1247211783),('US',1247211784,1247214535),('IE',1247214536,1247214543),('US',1247214544,1247214847),('BR',1247214848,1247214855),('US',1247214856,1247215015),('IE',1247215016,1247215023),('US',1247215024,1247281151),('US',1247543296,1247805439),('US',1249681408,1249690783),('AU',1249690784,1249690815),('US',1249690816,1249691999),('CA',1249692000,1249692031),('US',1249692032,1249692735),('HK',1249692736,1249692767),('US',1249692768,1249693263),('CA',1249693264,1249693271),('US',1249693272,1249791999),('CA',1249796096,1249804287),('US',1249804288,1249847039),('IN',1249847040,1249847167),('US',1249847168,1249886207),('CA',1249886208,1249902591),('US',1249902592,1254490111),('CA',1254490112,1254498303),('US',1254555648,1254621183),('CA',1254621184,1254629375),('US',1254629376,1254725119),('GB',1254725120,1254725151),('US',1254725152,1254725375),('GB',1254725376,1254725631),('US',1254725632,1254948927),('SG',1254948928,1254948935),('US',1254948936,1254950671),('RU',1254950672,1254950679),('CA',1254950680,1254950687),('US',1254950688,1254950719),('SG',1254950720,1254950727),('US',1254950728,1254950751),('IL',1254950752,1254950759),('US',1254950760,1254950767),('GR',1254950768,1254950775),('US',1254950776,1254950847),('IL',1254950848,1254950855),('US',1254950856,1254950919),('CA',1254950920,1254950927),('US',1254950928,1254950951),('IN',1254950952,1254950959),('US',1254950960,1254951247),('CA',1254951248,1254951263),('US',1254951264,1254951591),('IL',1254951592,1254951599),('US',1254951600,1254953031),('CA',1254953032,1254953039),('ZA',1254953040,1254953047),('US',1254953048,1254953055),('IL',1254953056,1254953063),('US',1254953064,1254953071),('CA',1254953072,1254953079),('US',1254953080,1254953087),('CA',1254953088,1254953095),('US',1254953096,1254953327),('NL',1254953328,1254953343),('US',1254953344,1254953359),('CA',1254953360,1254953367),('US',1254953368,1254953615),('GB',1254953616,1254953623),('US',1254953624,1254953639),('TW',1254953640,1254953647),('US',1254953648,1254953671),('MT',1254953672,1254953679),('US',1254953680,1254953687),('CA',1254953688,1254953703),('US',1254953704,1254953743),('IN',1254953744,1254953751),('US',1254953752,1254953759),('IN',1254953760,1254953767),('GB',1254953768,1254953775),('US',1254953776,1254953815),('GT',1254953816,1254953823),('US',1254953824,1254953855),('NL',1254953856,1254953879),('US',1254953880,1254953919),('NL',1254953920,1254953935),('US',1254953936,1254954255),('CA',1254954256,1254954263),('US',1254954264,1254954287),('CA',1254954288,1254954295),('US',1254954296,1254954303),('MX',1254954304,1254954311),('US',1254954312,1254954319),('CA',1254954320,1254954327),('US',1254954328,1254954343),('TH',1254954344,1254954351),('US',1254954352,1254957055),('GB',1254957056,1254957063),('MX',1254957064,1254957071),('US',1254957072,1254957239),('GB',1254957240,1254957247),('MT',1254957248,1254957263),('US',1254957264,1254957287),('IN',1254957288,1254957295),('US',1254957296,1254957375),('CA',1254957376,1254957391),('US',1254957392,1254957407),('IN',1254957408,1254957423),('US',1254957424,1254957743),('GB',1254957744,1254957751),('US',1254957752,1254957983),('MX',1254957984,1254957991),('US',1254957992,1254958303),('GB',1254958304,1254958319),('US',1254958320,1254958351),('BO',1254958352,1254958359),('US',1254958360,1254958367),('CA',1254958368,1254958383),('US',1254958384,1254958423),('NO',1254958424,1254958431),('US',1254958432,1254958535),('CA',1254958536,1254958543),('US',1254958544,1254958855),('NZ',1254958856,1254958863),('US',1254958864,1254958895),('CA',1254958896,1254958903),('US',1254958904,1254959151),('CA',1254959152,1254959183),('US',1254959184,1254959391),('GB',1254959392,1254959399),('US',1254959400,1254959671),('GB',1254959672,1254959679),('US',1254959680,1254959775),('KR',1254959776,1254959783),('US',1254959784,1254959799),('GB',1254959800,1254959807),('US',1254959808,1254959927),('MX',1254959928,1254959935),('US',1254959936,1254959943),('CA',1254959944,1254959951),('US',1254959952,1254959991),('MX',1254959992,1254959999),('US',1254960000,1254960039),('IN',1254960040,1254960047),('US',1254960048,1254960279),('JM',1254960280,1254960287),('US',1254960288,1254960351),('AU',1254960352,1254960359),('CA',1254960360,1254960367),('US',1254960368,1254960415),('CA',1254960416,1254960423),('US',1254960424,1254960447),('AU',1254960448,1254960455),('US',1254960456,1254960463),('SG',1254960464,1254960471),('AU',1254960472,1254960487),('GB',1254960488,1254960495),('US',1254960496,1254960559),('MY',1254960560,1254960567),('US',1254960568,1254960583),('MY',1254960584,1254960591),('US',1254960592,1254960655),('CA',1254960656,1254960663),('US',1254960664,1254960879),('CA',1254960880,1254960887),('US',1254960888,1254960903),('NZ',1254960904,1254960911),('US',1254960912,1254960935),('IN',1254960936,1254960943),('US',1254960944,1254960967),('IN',1254960968,1254960975),('US',1254960976,1254961279),('GB',1254961280,1254961295),('US',1254961296,1254961743),('ZA',1254961744,1254961751),('GB',1254961752,1254961767),('US',1254961768,1254961823),('PK',1254961824,1254961831),('US',1254961832,1254961911),('CA',1254961912,1254961919),('US',1254961920,1254962015),('PK',1254962016,1254962023),('US',1254962024,1254962191),('GB',1254962192,1254962199),('US',1254962200,1254962351),('GB',1254962352,1254962359),('US',1254962360,1254962511),('JP',1254962512,1254962527),('US',1254962528,1254962695),('GB',1254962696,1254962703),('US',1254962704,1254962799),('CA',1254962800,1254962807),('US',1254962808,1254962855),('CA',1254962856,1254962863),('US',1254962864,1254962951),('NZ',1254962952,1254962959),('US',1254962960,1254962975),('CA',1254962976,1254962983),('US',1254962984,1254963047),('MX',1254963048,1254963055),('US',1254963056,1254963575),('AU',1254963576,1254963591),('US',1254963592,1254963663),('GB',1254963664,1254963671),('US',1254963672,1254964079),('DK',1254964080,1254964087),('US',1254964088,1254964231),('PR',1254964232,1254964239),('US',1254964240,1254964255),('BR',1254964256,1254964263),('US',1254964264,1254964335),('NZ',1254964336,1254964343),('PR',1254964344,1254964351),('US',1254964352,1254964391),('AU',1254964392,1254964399),('US',1254964400,1254964799),('CA',1254964800,1254964815),('US',1254964816,1254964927),('CA',1254964928,1254964943),('US',1254964944,1254965095),('IN',1254965096,1254965103),('US',1254965104,1254965207),('AU',1254965208,1254965215),('US',1254965216,1254965239),('GB',1254965240,1254965247),('US',1254965248,1254965391),('TC',1254965392,1254965399),('US',1254965400,1254965431),('GB',1254965432,1254965439),('US',1254965440,1254965511),('AU',1254965512,1254965519),('US',1254965520,1254965735),('CA',1254965736,1254965743),('AU',1254965744,1254965751),('US',1254965752,1254965887),('MX',1254965888,1254965895),('US',1254965896,1254966031),('CA',1254966032,1254966039),('US',1254966040,1254966135),('GB',1254966136,1254966143),('US',1254966144,1254966159),('CA',1254966160,1254966167),('US',1254966168,1254966239),('AU',1254966240,1254966247),('US',1254966248,1254966383),('ZA',1254966384,1254966391),('US',1254966392,1254966487),('IE',1254966488,1254966495),('US',1254966496,1254966567),('ZA',1254966568,1254966575),('US',1254966576,1254966607),('JO',1254966608,1254966615),('US',1254966616,1254966655),('GB',1254966656,1254966663),('US',1254966664,1254966767),('ZA',1254966768,1254966775),('US',1254966776,1254966863),('IL',1254966864,1254966879),('US',1254966880,1254966927),('FR',1254966928,1254966943),('US',1254966944,1254966975),('IL',1254966976,1254966991),('US',1254966992,1254967007),('AE',1254967008,1254967023),('US',1254967024,1254967079),('PH',1254967080,1254967087),('US',1254967088,1254967127),('BM',1254967128,1254967143),('US',1254967144,1254967263),('AU',1254967264,1254967271),('US',1254967272,1254967519),('CA',1254967520,1254967535),('US',1254967536,1254967607),('CA',1254967608,1254967615),('US',1254967616,1254967647),('EG',1254967648,1254967655),('US',1254967656,1254967887),('CA',1254967888,1254967895),('US',1254967896,1254967975),('IN',1254967976,1254967991),('US',1254967992,1254968039),('CA',1254968040,1254968047),('US',1254968048,1254968103),('UY',1254968104,1254968111),('US',1254968112,1254968183),('CA',1254968184,1254968191),('US',1254968192,1254968295),('IT',1254968296,1254968303),('US',1254968304,1254968391),('SG',1254968392,1254968399),('US',1254968400,1254968407),('CA',1254968408,1254968415),('US',1254968416,1254968487),('CA',1254968488,1254968495),('US',1254968496,1254968503),('GB',1254968504,1254968511),('US',1254968512,1254968671),('DO',1254968672,1254968679),('US',1254968680,1254968751),('GB',1254968752,1254968759),('US',1254968760,1254968927),('CA',1254968928,1254968935),('US',1254968936,1254968951),('GB',1254968952,1254968959),('US',1254968960,1254968991),('CA',1254968992,1254968999),('US',1254969000,1254969111),('AU',1254969112,1254969127),('US',1254969128,1254969175),('AU',1254969176,1254969183),('US',1254969184,1254969247),('CO',1254969248,1254969255),('BD',1254969256,1254969263),('US',1254969264,1254969287),('GB',1254969288,1254969295),('US',1254969296,1254969311),('CA',1254969312,1254969319),('US',1254969320,1254969399),('CA',1254969400,1254969407),('US',1254969408,1254969423),('CA',1254969424,1254969431),('GB',1254969432,1254969439),('CA',1254969440,1254969447),('US',1254969448,1254969455),('IL',1254969456,1254969463),('GB',1254969464,1254969471),('US',1254969472,1254969495),('DK',1254969496,1254969503),('US',1254969504,1254969551),('CA',1254969552,1254969559),('GB',1254969560,1254969567),('US',1254969568,1254969575),('AE',1254969576,1254969583),('US',1254969584,1254969663),('AU',1254969664,1254969671),('US',1254969672,1254970047),('CA',1254970048,1254970063),('US',1254970064,1254970095),('AE',1254970096,1254970111),('US',1254970112,1254970167),('GB',1254970168,1254970175),('US',1254970176,1254970183),('GB',1254970184,1254970191),('US',1254970192,1254970199),('CA',1254970200,1254970207),('IL',1254970208,1254970215),('US',1254970216,1254970287),('IN',1254970288,1254970295),('US',1254970296,1254970335),('CH',1254970336,1254970343),('US',1254970344,1254970527),('GB',1254970528,1254970543),('US',1254970544,1254970607),('GH',1254970608,1254970623),('MX',1254970624,1254970631),('US',1254970632,1254970735),('IE',1254970736,1254970743),('US',1254970744,1254970903),('CA',1254970904,1254970911),('US',1254970912,1254971007),('JP',1254971008,1254971015),('IN',1254971016,1254971023),('US',1254971024,1254971055),('GB',1254971056,1254971063),('US',1254971064,1254971143),('CA',1254971144,1254971151),('US',1254971152,1254971231),('IN',1254971232,1254971239),('US',1254971240,1254971255),('CA',1254971256,1254971263),('US',1254971264,1254971319),('MX',1254971320,1254971327),('US',1254971328,1254971951),('GB',1254971952,1254971959),('IN',1254971960,1254971967),('US',1254971968,1254972239),('CA',1254972240,1254972247),('US',1254972248,1254972431),('AU',1254972432,1254972439),('US',1254972440,1254972447),('GG',1254972448,1254972455),('US',1254972456,1254972671),('GB',1254972672,1254972679),('US',1254972680,1254972727),('AU',1254972728,1254972735),('US',1254972736,1254972879),('MX',1254972880,1254972895),('US',1254972896,1254972983),('CA',1254972984,1254972991),('US',1254972992,1254973015),('BR',1254973016,1254973023),('US',1254973024,1254973047),('AU',1254973048,1254973055),('US',1254973056,1254973471),('IN',1254973472,1254973479),('US',1254973480,1254973511),('IE',1254973512,1254973519),('US',1254973520,1254973575),('MX',1254973576,1254973583),('US',1254973584,1254973663),('PH',1254973664,1254973671),('US',1254973672,1254973679),('IN',1254973680,1254973687),('US',1254973688,1254973695),('MY',1254973696,1254973703),('US',1254973704,1254973807),('IN',1254973808,1254973815),('US',1254973816,1254973895),('MX',1254973896,1254973903),('US',1254973904,1254974167),('MX',1254974168,1254974175),('US',1254974176,1254974327),('MX',1254974328,1254974335),('US',1254974336,1254974367),('CA',1254974368,1254974375),('US',1254974376,1254974391),('CA',1254974392,1254974399),('US',1254974400,1254974511),('IL',1254974512,1254974519),('US',1254974520,1254974647),('CA',1254974648,1254974655),('US',1254974656,1254974767),('GB',1254974768,1254974775),('US',1254974776,1254974887),('AU',1254974888,1254974895),('US',1254974896,1254974951),('NZ',1254974952,1254974959),('US',1254974960,1254975231),('AU',1254975232,1254975239),('US',1254975240,1254975415),('CA',1254975416,1254975423),('US',1254975424,1254975471),('GB',1254975472,1254975487),('US',1254975488,1254975615),('IN',1254975616,1254975623),('IL',1254975624,1254975631),('US',1254975632,1254975887),('IN',1254975888,1254975895),('US',1254975896,1254975919),('IN',1254975920,1254975927),('CA',1254975928,1254975935),('US',1254975936,1254976023),('GB',1254976024,1254976031),('US',1254976032,1254976127),('AU',1254976128,1254976135),('US',1254976136,1254976151),('CA',1254976152,1254976167),('US',1254976168,1254976303),('GB',1254976304,1254976311),('US',1254976312,1254976351),('GB',1254976352,1254976359),('US',1254976360,1254976399),('MX',1254976400,1254976407),('US',1254976408,1254976735),('CA',1254976736,1254976751),('US',1254976752,1254976767),('GB',1254976768,1254976775),('US',1254976776,1254976791),('IN',1254976792,1254976799),('US',1254976800,1254976903),('MX',1254976904,1254976911),('US',1254976912,1254977095),('CO',1254977096,1254977103),('US',1254977104,1254977135),('NZ',1254977136,1254977143),('US',1254977144,1254977159),('IN',1254977160,1254977167),('US',1254977168,1254977247),('CL',1254977248,1254977255),('US',1254977256,1254977455),('IN',1254977456,1254977471),('US',1254977472,1254977487),('TH',1254977488,1254977503),('US',1254977504,1254977623),('CA',1254977624,1254977631),('US',1254977632,1254977647),('PK',1254977648,1254977655),('US',1254977656,1254977735),('NZ',1254977736,1254977743),('US',1254977744,1254977791),('GB',1254977792,1254977799),('US',1254977800,1254978183),('GB',1254978184,1254978191),('US',1254978192,1254978447),('IN',1254978448,1254978463),('US',1254978464,1254989823),('CA',1254989824,1254998015),('US',1254998016,1255002111),('CA',1255002112,1255006207),('US',1255006208,1255011343),('CA',1255011344,1255011359),('US',1255011360,1255011367),('CA',1255011368,1255011551),('US',1255011552,1255011559),('CA',1255011560,1255011567),('US',1255011568,1255011583),('CA',1255011584,1255011839),('US',1255011840,1255047167),('CA',1255047168,1255055359),('US',1255055360,1255063551),('PR',1255063552,1255071743),('US',1255071744,1255193599),('GB',1255193600,1255194623),('US',1255211008,1255276543),('CA',1255276544,1255342079),('US',1255342080,1255489535),('PR',1255489536,1255505919),('US',1255505920,1255514111),('CA',1255514112,1255518207),('US',1255522304,1255571455),('CA',1255571456,1255579647),('US',1255579648,1255669759),('CA',1255669760,1255735295),('US',1255735296,1255753215),('GB',1255753216,1255753471),('US',1255753472,1255776255),('US',1255800832,1255972863),('CA',1255972864,1255981055),('US',1255981056,1256001535),('CA',1256001536,1256005631),('US',1256005632,1256079359),('KY',1256079360,1256087551),('US',1256087552,1264582655),('US',1264844800,1264980223),('HK',1264980224,1264980479),('US',1264980480,1264980735),('CA',1264980736,1264980743),('US',1264980744,1264992255),('US',1265008640,1265012735),('US',1265041408,1266489663),('CA',1266489664,1266489695),('US',1266489696,1266498175),('MA',1266498176,1266498303),('US',1266498304,1266549679),('GB',1266549680,1266549695),('US',1266549696,1266549903),('GB',1266549904,1266549911),('US',1266549912,1266551519),('PH',1266551520,1266551527),('US',1266551528,1266552607),('CO',1266552608,1266552615),('US',1266552616,1266553343),('SA',1266553344,1266553351),('US',1266553352,1266554207),('SA',1266554208,1266554215),('US',1266554216,1266554519),('BR',1266554520,1266554527),('US',1266554528,1266554551),('GB',1266554552,1266554559),('US',1266554560,1266555327),('GB',1266555328,1266555359),('US',1266555360,1266555519),('GB',1266555520,1266555535),('US',1266555536,1266555567),('KW',1266555568,1266555575),('US',1266555576,1266556415),('IN',1266556416,1266556423),('US',1266556424,1266557143),('SA',1266557144,1266557151),('US',1266557152,1266557247),('GB',1266557248,1266557279),('US',1266557280,1266557311),('SA',1266557312,1266557319),('US',1266557320,1266557519),('EG',1266557520,1266557527),('US',1266557528,1266559055),('SA',1266559056,1266559063),('US',1266559064,1266559095),('SA',1266559096,1266559103),('US',1266559104,1266563167),('TR',1266563168,1266563175),('US',1266563176,1266564735),('GR',1266564736,1266564743),('US',1266564744,1266565031),('SA',1266565032,1266565039),('US',1266565040,1266566815),('AU',1266566816,1266566823),('US',1266566824,1266567855),('GB',1266567856,1266567871),('US',1266567872,1266569567),('NO',1266569568,1266569575),('US',1266569576,1266569623),('SA',1266569624,1266569631),('US',1266569632,1266570111),('BR',1266570112,1266570119),('US',1266570120,1266570303),('PH',1266570304,1266570319),('US',1266570320,1266570687),('GB',1266570688,1266570719),('US',1266570720,1266570879),('GB',1266570880,1266570927),('US',1266570928,1266572031),('NZ',1266572032,1266572039),('US',1266572040,1266572063),('SA',1266572064,1266572071),('US',1266572072,1266573311),('IN',1266573312,1266573567),('US',1266573568,1266574335),('CA',1266574336,1266574343),('US',1266574344,1266574631),('TR',1266574632,1266574639),('US',1266574640,1266575575),('SA',1266575576,1266575583),('US',1266575584,1266575599),('SA',1266575600,1266575607),('US',1266575608,1266578911),('AU',1266578912,1266578927),('US',1266578928,1266579839),('PH',1266579840,1266579871),('US',1266579872,1266580143),('GB',1266580144,1266580151),('US',1266580152,1266581535),('IE',1266581536,1266581543),('US',1266581544,1266581551),('IE',1266581552,1266581559),('US',1266581560,1266582743),('SA',1266582744,1266582751),('US',1266582752,1266582887),('SA',1266582888,1266582895),('US',1266582896,1266582943),('CA',1266582944,1266582951),('US',1266582952,1266583679),('ID',1266583680,1266583687),('US',1266583688,1266583695),('GB',1266583696,1266583703),('US',1266583704,1266583839),('TR',1266583840,1266583847),('US',1266583848,1266583887),('ID',1266583888,1266583895),('US',1266583896,1266584383),('SA',1266584384,1266584399),('US',1266584400,1266584783),('SA',1266584784,1266584791),('US',1266584792,1266584999),('KW',1266585000,1266585007),('US',1266585008,1266585015),('SA',1266585016,1266585023),('US',1266585024,1266585087),('SA',1266585088,1266585119),('US',1266585120,1266585183),('GB',1266585184,1266585199),('US',1266585200,1266585463),('CA',1266585464,1266585471),('US',1266585472,1266586007),('AR',1266586008,1266586015),('US',1266586016,1266586207),('CA',1266586208,1266586215),('US',1266586216,1266587511),('EG',1266587512,1266587519),('US',1266587520,1266587631),('GB',1266587632,1266587639),('US',1266587640,1266589295),('IE',1266589296,1266589303),('US',1266589304,1266590039),('MX',1266590040,1266590047),('US',1266590048,1266590263),('DK',1266590264,1266590271),('US',1266590272,1266590831),('IE',1266590832,1266590839),('US',1266590840,1266591487),('RO',1266591488,1266591495),('US',1266591496,1266591543),('BR',1266591544,1266591551),('US',1266591552,1266591895),('BR',1266591896,1266591903),('US',1266591904,1266593167),('AU',1266593168,1266593175),('US',1266593176,1266593639),('VE',1266593640,1266593647),('US',1266593648,1266594303),('CA',1266594304,1266594311),('US',1266594312,1266594367),('ID',1266594368,1266594383),('US',1266594384,1266594591),('CA',1266594592,1266594623),('US',1266594624,1266594719),('ID',1266594720,1266594727),('US',1266594728,1266596511),('CA',1266596512,1266596519),('US',1266596520,1266596527),('CA',1266596528,1266596535),('US',1266596536,1266596551),('CA',1266596552,1266596559),('US',1266596560,1266597255),('CA',1266597256,1266597263),('EG',1266597264,1266597271),('US',1266597272,1266597311),('SA',1266597312,1266597343),('US',1266597344,1266597767),('SK',1266597768,1266597775),('US',1266597776,1266598223),('CA',1266598224,1266598231),('US',1266598232,1266598255),('CA',1266598256,1266598263),('US',1266598264,1266598711),('IE',1266598712,1266598719),('US',1266598720,1266599295),('IE',1266599296,1266599303),('US',1266599304,1266599559),('SA',1266599560,1266599567),('US',1266599568,1266599807),('CA',1266599808,1266599815),('US',1266599816,1266600271),('CA',1266600272,1266600279),('US',1266600280,1266600303),('CA',1266600304,1266600311),('US',1266600312,1266602463),('CA',1266602464,1266602479),('US',1266602480,1266603695),('CA',1266603696,1266603711),('US',1266603712,1266604351),('CA',1266604352,1266604367),('US',1266604368,1266604751),('CA',1266604752,1266604759),('US',1266604760,1266604887),('GB',1266604888,1266604895),('US',1266604896,1266605207),('ID',1266605208,1266605215),('US',1266605216,1266605679),('CA',1266605680,1266605695),('US',1266605696,1266605703),('GB',1266605704,1266605711),('US',1266605712,1266606527),('AR',1266606528,1266606559),('US',1266606560,1266607223),('SA',1266607224,1266607231),('US',1266607232,1266607567),('SA',1266607568,1266607575),('US',1266607576,1266607935),('IE',1266607936,1266607951),('US',1266607952,1266608463),('SA',1266608464,1266608471),('US',1266608472,1266609151),('GB',1266609152,1266609183),('US',1266609184,1266609311),('IN',1266609312,1266609319),('US',1266609320,1266609407),('CN',1266609408,1266609415),('US',1266609416,1266610063),('SA',1266610064,1266610071),('US',1266610072,1266610767),('MY',1266610768,1266610775),('US',1266610776,1266614047),('CA',1266614048,1266614063),('US',1266614064,1268252671),('CA',1268252672,1268776959),('US',1268776960,1275600895),('BM',1275600896,1275604991),('US',1275604992,1275621375),('CA',1275621376,1275625471),('US',1275625472,1275666431),('CA',1275666432,1275674623),('US',1275674624,1275707391),('CA',1275707392,1275711487),('US',1275711488,1275712511),('CA',1275712512,1275715583),('US',1275715584,1275719679),('US',1275723776,1275756543),('CA',1275756544,1275772927),('US',1275772928,1275781119),('CA',1275789312,1275822079),('US',1275822080,1279262719),('CA',1279262720,1279787007),('US',1279885312,1279943679),('PR',1279943680,1279943743),('US',1279943744,1279951615),('CA',1279951616,1279952911),('US',1279952912,1279953151),('CA',1279953152,1279953671),('US',1279953672,1279953679),('CA',1279953680,1279953727),('US',1279953728,1279953919),('CA',1279953920,1279953951),('US',1279953952,1279953967),('CA',1279953968,1279954103),('US',1279954104,1279954119),('CA',1279954120,1279954143),('US',1279954144,1279954159),('CA',1279954160,1279954303),('US',1279954304,1279954431),('CA',1279954432,1279954543),('US',1279954544,1279954559),('CA',1279954560,1279954623),('FI',1279954624,1279954687),('CA',1279954688,1279954719),('US',1279954720,1279954735),('CA',1279954736,1279954783),('US',1279954784,1279954839),('CA',1279954840,1279954943),('US',1279954944,1279955839),('GB',1279955840,1279955871),('US',1279955872,1279960063),('CA',1279960064,1279960127),('US',1279960128,1279960215),('CA',1279960216,1279960319),('US',1279960320,1279960383),('IN',1279960384,1279960399),('US',1279960400,1279960415),('CA',1279960416,1279960447),('US',1279960448,1279960455),('CA',1279960456,1279960479),('US',1279960480,1279960511),('CA',1279960512,1279960527),('US',1279960528,1279960543),('CA',1279960544,1279960559),('US',1279960560,1279961855),('CA',1279961856,1279961919),('US',1279961920,1279962143),('CA',1279962144,1279962207),('US',1279962208,1279962223),('CA',1279962224,1279962239),('US',1279962240,1279962895),('CA',1279962896,1279962911),('CN',1279962912,1279962927),('US',1279962928,1279962943),('CN',1279962944,1279962975),('US',1279962976,1279965183),('CA',1279965184,1279966207),('US',1279966208,1279971583),('CA',1279971584,1279971839),('US',1279971840,1279975423),('CA',1279975424,1279975679),('US',1279975680,1279976191),('CA',1279976192,1279976959),('US',1279976960,1279977215),('CA',1279977216,1279978111),('US',1279978112,1279980543),('CA',1279980544,1279980799),('US',1279980800,1279999999),('CA',1280000000,1280032767),('US',1280032768,1280040959),('CA',1280040960,1280049151),('US',1280049152,1280073727),('CA',1280073728,1280081919),('US',1280081920,1280086015),('AI',1280090112,1280091135),('AG',1280091136,1280092159),('KN',1280092160,1280093183),('AG',1280093184,1280098303),('PR',1280098304,1280102399),('US',1280106496,1280110591),('US',1280114688,1280131071),('CA',1280131072,1280139263),('US',1280139264,1280143359),('US',1280147456,1287877503),('UM',1287877504,1287877567),('US',1287877568,1291845631),('DE',1291845632,1292894207),('NO',1292894208,1293156351),('DE',1293156352,1293549567),('ES',1293549568,1293680639),('MK',1293680640,1293811711),('SA',1293811712,1293942783),('PL',1293942784,1294073855),('RU',1294073856,1294204927),('RO',1294204928,1294237695),('IR',1294237696,1294270463),('DE',1294270464,1294303231),('RU',1294303232,1294335999),('SI',1294336000,1294368767),('LV',1294368768,1294401535),('RU',1294401536,1294434303),('IT',1294434304,1294467071),('RU',1294467072,1294499839),('NO',1294499840,1294532607),('RU',1294532608,1294598143),('IT',1294598144,1294630911),('LB',1294630912,1294663679),('IT',1294663680,1294696447),('RU',1294696448,1294729215),('GB',1294729216,1294761983),('SY',1294761984,1294794751),('PL',1294794752,1294827519),('RU',1294827520,1294860287),('PL',1294860288,1294893055),('RS',1294893056,1294925823),('DE',1294925824,1294958591),('UA',1294958592,1294991359),('CZ',1294991360,1294998527),('SK',1294998528,1294998591),('CZ',1294998592,1295009023),('SK',1295009024,1295009407),('CZ',1295009408,1295047679),('SK',1295047680,1295048191),('CZ',1295048192,1295056895),('GR',1295056896,1295122431),('RU',1295122432,1295253503),('UA',1295253504,1295319039),('SE',1295319040,1295384575),('PT',1295384576,1295450111),('PL',1295450112,1295515647),('CH',1295515648,1295777791),('NL',1295777792,1296039935),('SA',1296039936,1296072703),('DE',1296072704,1296105471),('PL',1296105472,1296171007),('DK',1296171008,1296171599),('DE',1296171600,1296171600),('GB',1296171601,1296171601),('DK',1296171602,1296181743),('GB',1296181744,1296181751),('DK',1296181752,1296203775),('RU',1296203776,1296236543),('FR',1296236544,1296236671),('US',1296236672,1296236799),('GB',1296236800,1296237055),('FR',1296237056,1296237311),('US',1296237312,1296237567),('NL',1296237568,1296237823),('ES',1296237824,1296238079),('GB',1296238080,1296238591),('NL',1296238592,1296239103),('FR',1296239104,1296239231),('NL',1296239232,1296239359),('ES',1296239360,1296239615),('BE',1296239616,1296241151),('IT',1296241152,1296241407),('NL',1296241408,1296247807),('US',1296247808,1296247871),('FR',1296247872,1296247935),('BE',1296247936,1296247999),('IE',1296248000,1296248063),('NL',1296248064,1296249855),('US',1296249856,1296249887),('FR',1296249888,1296249919),('BE',1296249920,1296249951),('DE',1296249952,1296250015),('IL',1296250016,1296250047),('IE',1296250048,1296250079),('IL',1296250080,1296250111),('IE',1296250112,1296250143),('NL',1296250144,1296251263),('DE',1296251264,1296251295),('BE',1296251296,1296251327),('IE',1296251328,1296251359),('DE',1296251360,1296251391),('NL',1296251392,1296252271),('FR',1296252272,1296252303),('IL',1296252304,1296252319),('NL',1296252320,1296252335),('FR',1296252336,1296252351),('GB',1296252352,1296252367),('DE',1296252368,1296252383),('IE',1296252384,1296252415),('NL',1296252416,1296252879),('DE',1296252880,1296252887),('IE',1296252888,1296252895),('BE',1296252896,1296252911),('MU',1296252912,1296252919),('PL',1296252920,1296252927),('DE',1296252928,1296253695),('NL',1296253696,1296253767),('DE',1296253768,1296253775),('NL',1296253776,1296253951),('DE',1296253952,1296254207),('NL',1296254208,1296259071),('US',1296259072,1296259839),('NL',1296259840,1296260351),('US',1296260352,1296262911),('NL',1296262912,1296263167),('US',1296263168,1296263935),('NL',1296263936,1296263943),('US',1296263944,1296263967),('NL',1296263968,1296264191),('US',1296264192,1296264223),('IE',1296264224,1296264239),('NL',1296264240,1296264703),('US',1296264704,1296264959),('NL',1296264960,1296265151),('FR',1296265152,1296265215),('NL',1296265216,1296265471),('US',1296265472,1296265727),('NL',1296265728,1296265983),('US',1296265984,1296267519),('NL',1296267520,1296268287),('US',1296268288,1296268799),('FR',1296268800,1296269311),('TR',1296269312,1296302079),('GB',1296302080,1296334847),('DK',1296334848,1296367615),('GR',1296367616,1296400383),('BH',1296400384,1296433151),('BG',1296433152,1296465919),('NG',1296465920,1296466239),('A2',1296466240,1296466431),('CG',1296466432,1296466559),('A2',1296466560,1296466687),('NG',1296466688,1296466815),('A2',1296466816,1296466943),('ZM',1296466944,1296467455),('A2',1296467456,1296467967),('NE',1296467968,1296468223),('NG',1296468224,1296468351),('A2',1296468352,1296468479),('NG',1296468480,1296468991),('A2',1296468992,1296469503),('ZM',1296469504,1296469759),('A2',1296469760,1296470015),('TZ',1296470016,1296470383),('NO',1296470384,1296470463),('TZ',1296470464,1296470527),('NO',1296470528,1296473087),('A2',1296473088,1296474111),('ZM',1296474112,1296474367),('A2',1296474368,1296498687),('BG',1296498688,1296531455),('MT',1296531456,1296564223),('GB',1296564224,1296566271),('DE',1296566272,1296568319),('RU',1296568320,1296570367),('IT',1296570368,1296574463),('FR',1296574464,1296576511),('DK',1296576512,1296578559),('FI',1296578560,1296580607),('CH',1296580608,1296582655),('IE',1296582656,1296584703),('RU',1296584704,1296586751),('FR',1296586752,1296588799),('SE',1296588800,1296590847),('ES',1296590848,1296592895),('NL',1296592896,1296594943),('RU',1296594944,1296596991),('GB',1296596992,1296599039),('RU',1296599040,1296601087),('DE',1296601088,1296603135),('NL',1296603136,1296605183),('AT',1296605184,1296607231),('NL',1296607232,1296608255),('CH',1296608256,1296608767),('NL',1296608768,1296609279),('CH',1296609280,1296611327),('TR',1296611328,1296613375),('IT',1296613376,1296615423),('GB',1296615424,1296617471),('ES',1296617472,1296619519),('IT',1296619520,1296621567),('SE',1296621568,1296623615),('BE',1296623616,1296625663),('RU',1296625664,1296629759),('NO',1296629760,1296631807),('GB',1296631808,1296633855),('NL',1296633856,1296635903),('RU',1296635904,1296637951),('GB',1296637952,1296639999),('ES',1296640000,1296642047),('RU',1296642048,1296644095),('IT',1296644096,1296646143),('RU',1296646144,1296648191),('GB',1296648192,1296650239),('ES',1296650240,1296652287),('RU',1296652288,1296654335),('BE',1296654336,1296656383),('RU',1296656384,1296658431),('GB',1296658432,1296662527),('RU',1296662528,1296666623),('GB',1296666624,1296670719),('ES',1296670720,1296672767),('IT',1296672768,1296674815),('BE',1296674816,1296676863),('NG',1296676864,1296677271),('A2',1296677272,1296677287),('NG',1296677288,1296677311),('A2',1296677312,1296677319),('NG',1296677320,1296677343),('A2',1296677344,1296677351),('NG',1296677352,1296677511),('A2',1296677512,1296677519),('NG',1296677520,1296677591),('A2',1296677592,1296677599),('NG',1296677600,1296677703),('A2',1296677704,1296677719),('NG',1296677720,1296677735),('A2',1296677736,1296677751),('NG',1296677752,1296677767),('A2',1296677768,1296677775),('NG',1296677776,1296677959),('A2',1296677960,1296677967),('NG',1296677968,1296677991),('A2',1296677992,1296678015),('NG',1296678016,1296678047),('A2',1296678048,1296678079),('NG',1296678080,1296678119),('A2',1296678120,1296678143),('NG',1296678144,1296678151),('A2',1296678152,1296678159),('NG',1296678160,1296678215),('A2',1296678216,1296678223),('NG',1296678224,1296678231),('A2',1296678232,1296678239),('NG',1296678240,1296678319),('A2',1296678320,1296678327),('NG',1296678328,1296678351),('A2',1296678352,1296678367),('NG',1296678368,1296678415),('A2',1296678416,1296678431),('NG',1296678432,1296678447),('A2',1296678448,1296678463),('NG',1296678464,1296678471),('A2',1296678472,1296678479),('NG',1296678480,1296678775),('A2',1296678776,1296678791),('NG',1296678792,1296678831),('A2',1296678832,1296678839),('NG',1296678840,1296678911),('SA',1296678912,1296680959),('ES',1296680960,1296683007),('IE',1296683008,1296685055),('TR',1296685056,1296687103),('NL',1296687104,1296689151),('RU',1296689152,1296691199),('CH',1296691200,1296693247),('DE',1296693248,1296695295),('CH',1296695296,1296697343),('RU',1296697344,1296699391),('IT',1296699392,1296701439),('RU',1296701440,1296703487),('BY',1296703488,1296705535),('GE',1296705536,1296707583),('NL',1296707584,1296709631),('CY',1296709632,1296711679),('KZ',1296711680,1296713727),('RU',1296713728,1296715775),('AT',1296715776,1296717823),('BE',1296717824,1296719871),('CH',1296719872,1296721919),('DE',1296721920,1296723967),('AT',1296723968,1296726015),('GB',1296726016,1296728063),('SE',1296728064,1296730111),('DE',1296730112,1296732159),('IT',1296732160,1296734207),('FR',1296734208,1296736255),('NO',1296736256,1296738303),('CH',1296738304,1296738815),('FI',1296738816,1296739327),('CH',1296739328,1296740351),('RU',1296740352,1296744447),('GB',1296744448,1296746495),('SI',1296746496,1296748543),('FR',1296748544,1296750591),('NO',1296750592,1296751103),('SE',1296751104,1296751119),('NO',1296751120,1296752639),('BA',1296752640,1296754687),('DE',1296754688,1296754911),('AT',1296754912,1296754927),('DE',1296754928,1296756735),('FR',1296756736,1296758783),('RS',1296758784,1296760831),('GB',1296760832,1296762879),('RU',1296762880,1296764927),('AT',1296764928,1296766975),('GB',1296766976,1296767231),('NL',1296767232,1296767375),('GB',1296767376,1296769023),('TR',1296769024,1296771071),('LT',1296771072,1296773119),('FR',1296773120,1296774367),('EU',1296774368,1296775167),('FR',1296775168,1296779263),('CZ',1296779264,1296781311),('DK',1296781312,1296783359),('LB',1296783360,1296785407),('IE',1296785408,1296787455),('GB',1296787456,1296789503),('CH',1296789504,1296791551),('NL',1296791552,1296793599),('RU',1296793600,1296795647),('NL',1296795648,1296795903),('GB',1296795904,1296797695),('UA',1296797696,1296799743),('RU',1296799744,1296801791),('DK',1296801792,1296803839),('RU',1296803840,1296805887),('ES',1296805888,1296807935),('GB',1296807936,1296812031),('DE',1296812032,1296814079),('NO',1296814080,1296816127),('TR',1296816128,1296818175),('ES',1296818176,1296820223),('GB',1296820224,1296822271),('IE',1296822272,1296824319),('DE',1296824320,1296826367),('BG',1296826368,1296842751),('GB',1296842752,1296859135),('BG',1296859136,1296875519),('DE',1296875520,1296891903),('BG',1296891904,1296908287),('IR',1296908288,1296924671),('BG',1296924672,1296941055),('BA',1296941056,1296957439),('BG',1296957440,1296973823),('CZ',1296973824,1296990207),('BG',1296990208,1297006591),('BA',1297006592,1297022975),('LT',1297022976,1297039359),('TR',1297039360,1297055743),('RU',1297055744,1297072127),('PL',1297072128,1297088511),('RO',1297154048,1297219583),('RU',1297219584,1297285119),('GR',1297285120,1297350655),('FR',1297350656,1297416191),('BG',1297416192,1297481727),('GB',1297481728,1297514495),('FI',1297514496,1297547263),('PL',1297547264,1297549311),('LT',1297549312,1297551359),('SA',1297551360,1297553407),('IE',1297553408,1297555455),('UA',1297555456,1297557503),('BE',1297557504,1297559551),('DE',1297559552,1297561599),('NL',1297561600,1297563647),('RU',1297563648,1297565695),('PL',1297565696,1297567743),('RU',1297567744,1297569791),('RO',1297569792,1297571839),('RU',1297571840,1297573887),('FR',1297573888,1297575935),('RU',1297575936,1297577983),('PL',1297577984,1297580031),('GB',1297580032,1297582079),('PL',1297582080,1297584127),('UA',1297584128,1297588223),('NL',1297588224,1297590271),('RU',1297590272,1297592319),('GB',1297592320,1297594367),('DE',1297594368,1297596415),('UA',1297596416,1297598463),('RU',1297598464,1297602559),('PL',1297602560,1297604607),('DE',1297604608,1297606655),('CZ',1297606656,1297608703),('AT',1297608704,1297610751),('DE',1297610752,1297612799),('RU',1297612800,1297629183),('NO',1297629184,1297645567),('PL',1297645568,1297661951),('UA',1297661952,1297678335),('IT',1297678336,1297694719),('PL',1297694720,1297711103),('GB',1297711104,1297727487),('MD',1297727488,1297743871),('DE',1297743872,1297760255),('LT',1297760256,1297776639),('DE',1297776640,1297793023),('UA',1297793024,1297809407),('PL',1297809408,1297825791),('RU',1297825792,1297842175),('UA',1297842176,1297858559),('RU',1297858560,1297860607),('PT',1297860608,1297862655),('FI',1297862656,1297864703),('SE',1297864704,1297866751),('RU',1297866752,1297867687),('CY',1297867688,1297867695),('RU',1297867696,1297868607),('CY',1297868608,1297868671),('RU',1297868672,1297868799),('DE',1297868800,1297870847),('FR',1297870848,1297872895),('GB',1297872896,1297874943),('CY',1297874944,1297883135),('IT',1297883136,1297891327),('GB',1297891328,1297897471),('RU',1297897472,1297897983),('GB',1297897984,1297899519),('TR',1297899520,1297915903),('BH',1297915904,1297924095),('CZ',1297924096,1297932287),('GE',1297932288,1297940479),('LV',1297940480,1297948671),('UA',1297948672,1297956863),('NL',1297956864,1297965055),('RU',1297965056,1297973247),('GB',1297973248,1297981439),('RO',1297981440,1297989631),('CZ',1297989632,1297993295),('SK',1297993296,1297993311),('CZ',1297993312,1297997823),('IT',1297997824,1298006015),('RU',1298006016,1298014207),('LB',1298014208,1298014719),('RU',1298014720,1298014975),('LT',1298014976,1298015231),('RU',1298015232,1298015487),('LB',1298015488,1298016767),('RU',1298016768,1298017279),('KG',1298017280,1298018303),('TM',1298018304,1298018559),('RU',1298018560,1298022399),('IT',1298022400,1298030591),('RU',1298030592,1298038783),('SI',1298038784,1298046975),('RU',1298046976,1298063359),('FR',1298063360,1298065407),('NO',1298065408,1298067455),('NL',1298067456,1298071551),('TJ',1298071552,1298073599),('RU',1298073600,1298075647),('CY',1298075648,1298077695),('DE',1298077696,1298079743),('GB',1298079744,1298081791),('CZ',1298081792,1298083839),('PL',1298083840,1298085887),('KG',1298085888,1298087935),('FR',1298087936,1298089983),('NO',1298089984,1298092031),('GB',1298092032,1298094079),('RU',1298094080,1298096127),('NL',1298096128,1298098175),('SE',1298098176,1298100223),('GB',1298100224,1298102271),('CH',1298102272,1298104319),('RU',1298104320,1298106367),('IT',1298106368,1298108415),('FI',1298108416,1298110463),('ES',1298110464,1298112511),('IE',1298112512,1298114559),('IT',1298114560,1298116607),('RU',1298116608,1298118655),('AM',1298118656,1298120703),('CZ',1298120704,1298122751),('RU',1298122752,1298124799),('IT',1298124800,1298126847),('SA',1298126848,1298127615),('IR',1298127616,1298127871),('SA',1298127872,1298128895),('FR',1298128896,1298130943),('BG',1298130944,1298132991),('FI',1298132992,1298135039),('NL',1298135040,1298137087),('GB',1298137088,1298661375),('FR',1298661376,1298677759),('HR',1298694144,1298710527),('CZ',1298710528,1298726911),('RS',1298726912,1298743295),('FI',1298743296,1298759679),('RU',1298759680,1298776063),('SE',1298776064,1298792447),('RU',1298792448,1298825215),('NO',1298825216,1298841599),('RU',1298841600,1298857983),('SE',1298857984,1298874367),('GB',1298874368,1298907135),('IE',1298907136,1298923519),('IT',1298923520,1298939903),('RU',1298939904,1298956287),('GB',1298956288,1298972671),('RU',1298972672,1298989055),('UA',1298989056,1299005439),('NL',1299005440,1299009535),('RU',1299009536,1299011583),('FR',1299011584,1299011839),('DE',1299011840,1299012095),('BE',1299012096,1299012607),('GB',1299012608,1299013119),('FR',1299013120,1299013375),('DE',1299013376,1299013631),('BE',1299013632,1299021823),('CH',1299021824,1299038207),('FI',1299038208,1299054591),('SE',1299054592,1299070975),('SA',1299070976,1299087359),('HU',1299087360,1299103743),('NO',1299103744,1299120127),('SI',1299120128,1299136511),('HU',1299136512,1299169279),('FR',1299169280,1299174399),('GB',1299174400,1299176447),('FR',1299176448,1299177471),('DE',1299177472,1299179519),('FR',1299179520,1299185663),('PL',1299185664,1299447807),('AT',1299447808,1299709951),('UA',1299709952,1299972095),('IL',1299972096,1300234239),('DE',1300234240,1302331391),('NL',1302331392,1303379967),('DE',1303379968,1304428543),('FR',1304428544,1305477119),('ES',1305477120,1305739263),('DK',1305739264,1306001407),('FR',1306001408,1306263551),('KE',1306263552,1306271743),('RU',1306271744,1306279935),('IT',1306279936,1306286079),('CH',1306286080,1306287103),('IT',1306287104,1306288127),('AT',1306288128,1306296319),('RU',1306296320,1306312703),('UZ',1306312704,1306320895),('DE',1306320896,1306329087),('BA',1306329088,1306337279),('HU',1306337280,1306345471),('LT',1306345472,1306353663),('SA',1306353664,1306361855),('RU',1306361856,1306370047),('GB',1306370048,1306378239),('RU',1306378240,1306386431),('DK',1306386432,1306394623),('ME',1306394624,1306402815),('RU',1306402816,1306411007),('NL',1306411008,1306413199),('BE',1306413200,1306413215),('NL',1306413216,1306419199),('RU',1306419200,1306427391),('UA',1306427392,1306435583),('NO',1306435584,1306451967),('PL',1306451968,1306460159),('IT',1306460160,1306468351),('FI',1306468352,1306476543),('RU',1306476544,1306492927),('TR',1306492928,1306501119),('NO',1306501120,1306509311),('PL',1306509312,1306525695),('ES',1306525696,1307049983),('RU',1307049984,1307058175),('BA',1307058176,1307066367),('EU',1307066368,1307069695),('DE',1307069696,1307069791),('EU',1307069792,1307074559),('SA',1307074560,1307082751),('RU',1307082752,1307090943),('GB',1307090944,1307099135),('RO',1307099136,1307107327),('DE',1307107328,1307115519),('RU',1307115520,1307123711),('NL',1307123712,1307131903),('EE',1307131904,1307140095),('FR',1307140096,1307148287),('GB',1307148288,1307156479),('RU',1307156480,1307172863),('DK',1307172864,1307181055),('RU',1307181056,1307189247),('DE',1307189248,1307197439),('HU',1307197440,1307205631),('FI',1307205632,1307213823),('SI',1307213824,1307222015),('DK',1307222016,1307230207),('RU',1307230208,1307238399),('SK',1307238400,1307246591),('KG',1307246592,1307254783),('NL',1307254784,1307255551),('GR',1307255552,1307255807),('NL',1307255808,1307262975),('AT',1307262976,1307271167),('MD',1307271168,1307279359),('LB',1307279360,1307287551),('DE',1307287552,1307295743),('RU',1307295744,1307303935),('SE',1307303936,1307312127),('PL',1307312128,1307320319),('RU',1307320320,1307336703),('DE',1307336704,1307344895),('RU',1307344896,1307353087),('BG',1307353088,1307361279),('CZ',1307361280,1307369471),('RU',1307369472,1307377663),('PL',1307377664,1307385855),('AT',1307385856,1307394047),('IR',1307394048,1307402239),('HR',1307402240,1307410431),('CZ',1307410432,1307418623),('IR',1307418624,1307426815),('CH',1307426816,1307435007),('DE',1307435008,1307443199),('IT',1307443200,1307451391),('SE',1307451392,1307459583),('UZ',1307459584,1307467775),('RU',1307467776,1307484159),('GB',1307484160,1307491327),('IE',1307491328,1307491839),('GB',1307491840,1307492351),('BA',1307492352,1307500543),('RU',1307500544,1307508735),('BA',1307508736,1307516927),('CH',1307516928,1307525119),('BA',1307525120,1307533311),('GB',1307533312,1307541503),('IT',1307541504,1307549695),('UA',1307549696,1307557887),('RU',1307557888,1307574271),('GB',1307574272,1307578367),('FI',1307578368,1307582463),('KZ',1307582464,1307586559),('GB',1307586560,1307590655),('SE',1307590656,1307594751),('SA',1307594752,1307598847),('CZ',1307598848,1307602943),('ES',1307602944,1307607039),('SA',1307607040,1307611135),('RU',1307611136,1307619327),('CZ',1307619328,1307623423),('FR',1307623424,1307627519),('SE',1307627520,1307631615),('IT',1307631616,1307635711),('EE',1307635712,1307636991),('LV',1307636992,1307637031),('EE',1307637032,1307638015),('LT',1307638016,1307638095),('EE',1307638096,1307639807),('IT',1307639808,1307643903),('RU',1307643904,1307652095),('ES',1307652096,1307656191),('JO',1307656192,1307660287),('BE',1307660288,1307662335),('NL',1307662336,1307662351),('GB',1307662352,1307662359),('NL',1307662360,1307662360),('FR',1307662361,1307662367),('NL',1307662368,1307662591),('BE',1307662592,1307663615),('NL',1307663616,1307664127),('BE',1307664128,1307664383),('NO',1307664384,1307668479),('ES',1307668480,1307672575),('SE',1307672576,1307674623),('DK',1307674624,1307676671),('RU',1307676672,1307680767),('LV',1307680768,1307684863),('GB',1307684864,1307688959),('LT',1307688960,1307693055),('IT',1307693056,1307697151),('NL',1307697152,1307701247),('RU',1307701248,1307709439),('AL',1307709440,1307713535),('IT',1307713536,1307717631),('DK',1307717632,1307721727),('AT',1307721728,1307725823),('CZ',1307725824,1307729919),('RU',1307729920,1307734015),('NL',1307734016,1307738111),('IT',1307738112,1307742207),('HU',1307742208,1307746303),('UA',1307746304,1307750399),('IT',1307750400,1307754495),('US',1307754496,1307755519),('GB',1307755520,1307758591),('SM',1307758592,1307762687),('PL',1307762688,1307766783),('GB',1307766784,1307770879),('RU',1307770880,1307774975),('RS',1307774976,1307779071),('DK',1307779072,1307787263),('MT',1307787264,1307791359),('KZ',1307791360,1307795455),('RU',1307795456,1307803647),('DK',1307803648,1307807743),('SE',1307807744,1307811839),('NL',1307811840,1307815935),('BE',1307815936,1307819791),('EU',1307819792,1307820031),('ES',1307820032,1307824127),('HU',1307824128,1307828223),('NL',1307828224,1307832319),('RU',1307832320,1307836415),('SE',1307836416,1307840511),('RU',1307840512,1307844607),('UA',1307844608,1307848703),('CH',1307848704,1307852799),('RU',1307852800,1307856895),('IT',1307856896,1307860991),('DE',1307860992,1307865087),('AZ',1307865088,1307869183),('GB',1307869184,1307873279),('TJ',1307873280,1307877375),('RU',1307877376,1307881471),('IT',1307881472,1307885567),('DK',1307885568,1307886095),('SE',1307886096,1307886103),('DK',1307886104,1307889663),('RU',1307889664,1307893759),('SE',1307893760,1307897855),('AT',1307897856,1307898047),('AE',1307898048,1307898079),('AT',1307898080,1307898239),('AE',1307898240,1307898303),('AT',1307898304,1307898575),('AE',1307898576,1307898591),('AT',1307898592,1307901951),('JO',1307901952,1307906047),('CH',1307906048,1307910143),('DE',1307910144,1307914239),('NL',1307914240,1307918335),('GB',1307918336,1307922431),('NL',1307922432,1307926527),('KZ',1307926528,1307930623),('RU',1307930624,1307934719),('FR',1307934720,1307938815),('TR',1307938816,1307942911),('RU',1307942912,1307947007),('CH',1307947008,1307951103),('RU',1307951104,1307959295),('IR',1307959296,1307963391),('PL',1307963392,1307967487),('IT',1307967488,1307971583),('GB',1307971584,1307980799),('ZW',1307980800,1307981823),('GB',1307981824,1307983871),('LB',1307983872,1307987967),('FR',1307987968,1307992063),('RU',1307992064,1307996159),('DE',1307996160,1308000255),('CH',1308000256,1308004351),('RU',1308004352,1308008447),('GB',1308008448,1308012543),('ES',1308012544,1308016639),('FI',1308016640,1308020735),('BG',1308020736,1308024831),('RU',1308024832,1308033023),('DE',1308033024,1308037119),('UA',1308037120,1308041215),('RU',1308041216,1308049407),('DK',1308049408,1308053503),('RU',1308053504,1308057599),('GR',1308057600,1308061695),('RU',1308061696,1308069887),('NO',1308069888,1308073983),('RU',1308073984,1308078079),('NL',1308078080,1308078599),('RU',1308078600,1308078601),('NL',1308078602,1308078605),('PL',1308078606,1308078607),('NL',1308078608,1308080127),('RU',1308080128,1308082175),('GB',1308082176,1308084223),('RS',1308084224,1308086271),('RU',1308086272,1308088319),('UA',1308088320,1308090367),('SK',1308090368,1308092415),('RU',1308092416,1308094463),('KW',1308094464,1308096511),('RS',1308096512,1308098559),('NL',1308098560,1308360703),('PL',1308360704,1308622847),('HR',1308622848,1308884991),('IT',1308884992,1309147135),('PL',1309147136,1309409279),('IT',1309409280,1309671423),('IE',1309671424,1309933567),('BE',1309933568,1310195711),('RU',1310195712,1310197759),('CZ',1310197760,1310199807),('IE',1310199808,1310201855),('RU',1310201856,1310203903),('BE',1310203904,1310204159),('FR',1310204160,1310204191),('BE',1310204192,1310204255),('FR',1310204256,1310204271),('BE',1310204272,1310204695),('FR',1310204696,1310204707),('BE',1310204708,1310205951),('RU',1310205952,1310207999),('MD',1310208000,1310210047),('RU',1310210048,1310212095),('HU',1310212096,1310214143),('UA',1310214144,1310216191),('IT',1310216192,1310218239),('NO',1310218240,1310220287),('NL',1310220288,1310222335),('RS',1310222336,1310224383),('GB',1310224384,1310226431),('BE',1310226432,1310228479),('FR',1310228480,1310230527),('ES',1310230528,1310232575),('NO',1310232576,1310234623),('RU',1310234624,1310236671),('KZ',1310236672,1310238719),('BE',1310238720,1310240767),('RU',1310240768,1310242815),('HU',1310242816,1310244863),('EE',1310244864,1310246911),('FR',1310246912,1310246927),('ES',1310246928,1310246943),('IT',1310246944,1310246959),('AT',1310246960,1310246975),('PT',1310246976,1310246991),('NL',1310246992,1310247007),('GB',1310247008,1310247023),('GR',1310247024,1310247039),('TR',1310247040,1310247055),('SE',1310247056,1310247071),('NO',1310247072,1310247087),('AR',1310247088,1310247103),('PL',1310247104,1310247119),('IE',1310247120,1310247135),('DK',1310247136,1310247151),('RU',1310247152,1310247167),('IL',1310247168,1310247183),('BR',1310247184,1310247199),('CZ',1310247200,1310247215),('BG',1310247216,1310247231),('RO',1310247232,1310247247),('CN',1310247248,1310247263),('LT',1310247264,1310247279),('CY',1310247280,1310247295),('JP',1310247296,1310247311),('HU',1310247312,1310247327),('DE',1310247328,1310247343),('FI',1310247344,1310247359),('LV',1310247360,1310247375),('IN',1310247376,1310247391),('US',1310247392,1310247407),('CA',1310247408,1310247423),('IL',1310247424,1310247431),('BR',1310247432,1310247439),('CZ',1310247440,1310247447),('BG',1310247448,1310247463),('CN',1310247464,1310247471),('LT',1310247472,1310247479),('CY',1310247480,1310247487),('JP',1310247488,1310247495),('HU',1310247496,1310247503),('DE',1310247504,1310247511),('FI',1310247512,1310247519),('LV',1310247520,1310247527),('IN',1310247528,1310247535),('US',1310247536,1310247543),('CA',1310247544,1310247551),('FR',1310247552,1310247559),('ES',1310247560,1310247567),('IT',1310247568,1310247575),('AT',1310247576,1310247583),('PT',1310247584,1310247591),('NL',1310247592,1310247599),('GB',1310247600,1310247607),('GR',1310247608,1310247615),('TR',1310247616,1310247623),('SE',1310247624,1310247631),('NO',1310247632,1310247639),('AR',1310247640,1310247647),('PL',1310247648,1310247655),('IE',1310247656,1310247663),('DK',1310247664,1310247671),('RU',1310247672,1310247679),('IL',1310247680,1310247687),('BR',1310247688,1310247695),('CZ',1310247696,1310247703),('BG',1310247704,1310247711),('RO',1310247712,1310247719),('CN',1310247720,1310247727),('LT',1310247728,1310247735),('CY',1310247736,1310247743),('JP',1310247744,1310247751),('HU',1310247752,1310247759),('DE',1310247760,1310247767),('FI',1310247768,1310247775),('LV',1310247776,1310247783),('IN',1310247784,1310247791),('US',1310247792,1310247799),('CA',1310247800,1310247807),('FR',1310247808,1310247815),('ES',1310247816,1310247823),('IT',1310247824,1310247831),('AT',1310247832,1310247839),('PT',1310247840,1310247847),('NL',1310247848,1310247855),('GB',1310247856,1310247863),('GR',1310247864,1310247871),('TR',1310247872,1310247879),('SE',1310247880,1310247887),('NO',1310247888,1310247895),('AR',1310247896,1310247903),('PL',1310247904,1310247911),('IE',1310247912,1310247919),('DK',1310247920,1310247927),('RU',1310247928,1310247935),('FR',1310247936,1310248447),('IL',1310248448,1310248455),('BR',1310248456,1310248463),('FR',1310248464,1310248487),('CN',1310248488,1310248495),('FR',1310248496,1310248503),('CY',1310248504,1310248511),('JP',1310248512,1310248519),('HU',1310248520,1310248527),('DE',1310248528,1310248535),('FI',1310248536,1310248543),('LV',1310248544,1310248551),('IN',1310248552,1310248559),('US',1310248560,1310248567),('CA',1310248568,1310248575),('FR',1310248576,1310248583),('ES',1310248584,1310248591),('IT',1310248592,1310248599),('AT',1310248600,1310248607),('PT',1310248608,1310248615),('NL',1310248616,1310248623),('GB',1310248624,1310248631),('GR',1310248632,1310248639),('TR',1310248640,1310248647),('SE',1310248648,1310248655),('NO',1310248656,1310248663),('AR',1310248664,1310248671),('PL',1310248672,1310248679),('IE',1310248680,1310248687),('DK',1310248688,1310248695),('RU',1310248696,1310248703),('FR',1310248704,1310248959),('IM',1310248960,1310249215),('GB',1310249216,1310249279),('IM',1310249280,1310250495),('MT',1310250496,1310251007),('RU',1310251008,1310255103),('CZ',1310255104,1310257151),('FR',1310257152,1310259199),('DE',1310259200,1310261247),('UA',1310261248,1310277631),('RU',1310277632,1310310399),('GB',1310310400,1310326783),('NO',1310326784,1310343167),('IT',1310343168,1310359551),('UA',1310359552,1310392319),('NL',1310392320,1310408703),('FI',1310408704,1310425087),('UA',1310425088,1310457855),('PL',1310457856,1310474239),('EE',1310474240,1310490623),('BA',1310490624,1310507007),('LV',1310507008,1310523391),('RU',1310523392,1310556159),('PT',1310556160,1310572543),('BE',1310572544,1310588927),('RU',1310588928,1310605311),('PL',1310605312,1310621695),('RS',1310621696,1310638079),('UA',1310638080,1310654463),('RU',1310654464,1310656511),('LU',1310656512,1310658559),('RU',1310658560,1310660607),('CZ',1310660608,1310662655),('DK',1310662656,1310664703),('FR',1310664704,1310666751),('NL',1310666752,1310668799),('RO',1310668800,1310670847),('DE',1310670848,1310672895),('RU',1310672896,1310674943),('NO',1310674944,1310676991),('PL',1310676992,1310679039),('RU',1310679040,1310681087),('GB',1310681088,1310683135),('NL',1310683136,1310685183),('PL',1310685184,1310687231),('RO',1310687232,1310689279),('PL',1310689280,1310695423),('RO',1310695424,1310697471),('DE',1310697472,1310699519),('UA',1310699520,1310707711),('RU',1310707712,1310711807),('LT',1310711808,1310713855),('UA',1310713856,1310715903),('RU',1310715904,1310717951),('UA',1310717952,1310719999),('GB',1310720000,1310851071),('DE',1310851072,1310982143),('RU',1310982144,1311113215),('IR',1311113216,1311244287),('MK',1311244288,1311246335),('IT',1311246336,1311248383),('GB',1311248384,1311250431),('RU',1311250432,1311252479),('GB',1311252480,1311256575),('FR',1311256576,1311258623),('GB',1311258624,1311262719),('FR',1311262720,1311262975),('CH',1311262976,1311263279),('FR',1311263280,1311264767),('RU',1311264768,1311266815),('FR',1311266816,1311268863),('BE',1311268864,1311270911),('RU',1311270912,1311272959),('GB',1311272960,1311275007),('FR',1311275008,1311277055),('IT',1311277056,1311279103),('BG',1311279104,1311281151),('GB',1311281152,1311285247),('IT',1311285248,1311289343),('LB',1311289344,1311291391),('RU',1311291392,1311293439),('NL',1311293440,1311295487),('IT',1311295488,1311297535),('EU',1311297536,1311298815),('AT',1311298816,1311299583),('RU',1311299584,1311301631),('TR',1311301632,1311303679),('GB',1311303680,1311307775),('IS',1311307776,1311309823),('GB',1311309824,1311311871),('CZ',1311311872,1311315967),('PL',1311315968,1311316423),('GB',1311316424,1311316439),('PL',1311316440,1311316447),('HR',1311316448,1311316455),('PL',1311316456,1311318015),('RU',1311318016,1311320063),('FR',1311320064,1311322111),('IT',1311322112,1311324159),('LB',1311324160,1311326207),('BE',1311326208,1311328255),('NL',1311328256,1311330831),('DE',1311330832,1311330847),('NL',1311330848,1311330879),('DE',1311330880,1311330943),('NL',1311330944,1311331327),('DE',1311331328,1311331583),('NL',1311331584,1311331839),('DE',1311331840,1311332351),('RU',1311332352,1311338495),('AT',1311338496,1311340543),('ES',1311340544,1311342591),('FR',1311342592,1311344639),('NO',1311344640,1311346687),('AT',1311346688,1311348735),('GB',1311348736,1311350783),('RU',1311350784,1311352831),('SK',1311352832,1311354879),('RU',1311354880,1311356927),('FR',1311356928,1311358975),('RU',1311358976,1311361023),('NL',1311361024,1311363071),('GB',1311363072,1311365119),('DE',1311365120,1311367167),('GN',1311367168,1311367295),('GA',1311367296,1311367423),('MM',1311367424,1311367679),('UG',1311367680,1311367711),('CD',1311367712,1311367743),('SL',1311367744,1311367775),('LR',1311367776,1311367807),('US',1311367808,1311367839),('DK',1311367840,1311367871),('LR',1311367872,1311367887),('DE',1311367888,1311367895),('DK',1311367896,1311367935),('BJ',1311367936,1311368191),('BD',1311368192,1311368319),('CF',1311368320,1311368447),('TZ',1311368448,1311368575),('ET',1311368576,1311368703),('NP',1311368704,1311368831),('DE',1311368832,1311368959),('PT',1311368960,1311369087),('BT',1311369088,1311369215),('FR',1311369216,1311371263),('SE',1311371264,1311373311),('FR',1311373312,1311375359),('DE',1311375360,1311506431),('CZ',1311506432,1311637503),('DE',1311637504,1311741183),('CH',1311741184,1311741439),('DE',1311741440,1312292863),('LT',1312292864,1312817151),('SE',1312817152,1313865727),('CZ',1313865728,1313931263),('RU',1313931264,1313996799),('SE',1313996800,1314062335),('BG',1314062336,1314127871),('LV',1314127872,1314193407),('RU',1314193408,1314258943),('GB',1314258944,1314324479),('CY',1314324480,1314390015),('PL',1314390016,1314455551),('KW',1314455552,1314521087),('BG',1314521088,1314586623),('NO',1314586624,1314652159),('HU',1314652160,1314717695),('SA',1314717696,1314783231),('DE',1314783232,1314848767),('RO',1314848768,1315045375),('SK',1315045376,1315176447),('QA',1315176448,1315307519),('CZ',1315307520,1315438591),('AT',1315438592,1315504127),('GB',1315504128,1315569663),('RU',1315569664,1315700735),('SE',1315700736,1315704831),('HU',1315704832,1315708927),('GR',1315708928,1315713023),('SE',1315713024,1315717119),('RU',1315717120,1315725311),('CZ',1315725312,1315729407),('EU',1315729408,1315733503),('NL',1315733504,1315737599),('CZ',1315737600,1315741695),('LB',1315741696,1315745791),('CZ',1315745792,1315749887),('RU',1315749888,1315753983),('KZ',1315753984,1315758079),('RE',1315758080,1315762175),('BG',1315762176,1315766271),('NL',1315766272,1315770367),('UA',1315770368,1315770391),('NA',1315770392,1315770399),('UA',1315770400,1315770575),('NA',1315770576,1315770583),('UA',1315770584,1315770591),('NA',1315770592,1315770599),('UA',1315770600,1315770624),('NA',1315770625,1315770631),('UA',1315770632,1315770719),('NA',1315770720,1315770727),('UA',1315770728,1315770975),('NA',1315770976,1315770991),('UA',1315770992,1315771007),('NA',1315771008,1315771015),('UA',1315771016,1315771103),('NA',1315771104,1315771111),('UA',1315771112,1315771199),('NA',1315771200,1315771207),('UA',1315771208,1315771223),('NA',1315771224,1315771231),('UA',1315771232,1315771247),('NA',1315771248,1315771263),('UA',1315771264,1315771415),('NA',1315771416,1315771423),('UA',1315771424,1315771759),('NA',1315771760,1315771767),('UA',1315771768,1315771815),('NA',1315771816,1315771823),('UA',1315771824,1315771871),('NA',1315771872,1315771879),('UA',1315771880,1315771907),('NA',1315771908,1315771911),('UA',1315771912,1315771935),('NA',1315771936,1315771943),('UA',1315771944,1315771951),('NA',1315771952,1315771959),('UA',1315771960,1315772155),('RU',1315772156,1315772159),('UA',1315772160,1315772303),('NA',1315772304,1315772311),('UA',1315772312,1315772319),('NA',1315772320,1315772327),('UA',1315772328,1315772463),('NA',1315772464,1315772479),('UA',1315772480,1315772487),('NA',1315772488,1315772495),('UA',1315772496,1315772503),('RU',1315772504,1315772511),('UA',1315772512,1315772583),('NA',1315772584,1315772599),('UA',1315772600,1315772887),('NA',1315772888,1315772895),('UA',1315772896,1315773463),('NA',1315773464,1315773471),('UA',1315773472,1315773487),('NA',1315773488,1315773495),('UA',1315773496,1315773511),('NA',1315773512,1315773519),('UA',1315773520,1315773535),('NA',1315773536,1315773543),('UA',1315773544,1315773559),('NA',1315773560,1315773567),('UA',1315773568,1315773575),('NA',1315773576,1315773583),('UA',1315773584,1315773671),('NA',1315773672,1315773679),('UA',1315773680,1315773703),('NA',1315773704,1315773711),('UA',1315773712,1315773719),('NA',1315773720,1315773751),('UA',1315773752,1315773887),('MD',1315773888,1315773895),('NA',1315773896,1315773903),('UA',1315773904,1315773955),('NA',1315773956,1315773967),('UA',1315773968,1315773983),('BY',1315773984,1315773991),('UA',1315773992,1315773999),('NA',1315774000,1315774007),('UA',1315774008,1315774015),('NA',1315774016,1315774031),('UA',1315774032,1315774039),('NA',1315774040,1315774071),('UA',1315774072,1315774111),('NA',1315774112,1315774119),('UA',1315774120,1315774135),('US',1315774136,1315774143),('UA',1315774144,1315774183),('NA',1315774184,1315774199),('UA',1315774200,1315774223),('NA',1315774224,1315774231),('UA',1315774232,1315774463),('RU',1315774464,1315782655),('AM',1315782656,1315786751),('FR',1315786752,1315790847),('RS',1315790848,1315794943),('RU',1315794944,1315803135),('KZ',1315803136,1315807231),('GB',1315807232,1315815423),('IR',1315815424,1315819519),('DK',1315819520,1315823615),('IQ',1315823616,1315827711),('RU',1315827712,1315831807),('SA',1315831808,1315835903),('CY',1315835904,1315836159),('MT',1315836160,1315839999),('EE',1315840000,1315844095),('RU',1315844096,1315848191),('SA',1315848192,1315852287),('SE',1315852288,1315856383),('SY',1315856384,1315860479),('IR',1315860480,1315864575),('CH',1315864576,1315868671),('RU',1315868672,1315872767),('GB',1315872768,1315875183),('ES',1315875184,1315875199),('GB',1315875200,1315876863),('IT',1315876864,1315880959),('BE',1315880960,1315885055),('CZ',1315885056,1315889151),('DE',1315889152,1315893247),('RU',1315893248,1315897343),('IR',1315897344,1315897599),('AE',1315897600,1315897863),('IR',1315897864,1315897871),('AE',1315897872,1315897895),('IR',1315897896,1315897903),('AE',1315897904,1315897919),('IR',1315897920,1315897951),('AE',1315897952,1315898879),('IR',1315898880,1315900671),('AE',1315900672,1315901183),('IR',1315901184,1315901439),('UA',1315901440,1315905535),('SI',1315905536,1315909631),('AZ',1315909632,1315913727),('DE',1315913728,1315917823),('RU',1315917824,1315921919),('TR',1315921920,1315926015),('NO',1315926016,1315930111),('DE',1315930112,1315934207),('RU',1315934208,1315938303),('DK',1315938304,1315942399),('UA',1315942400,1315946495),('GB',1315946496,1315950591),('UA',1315950592,1315954687),('DE',1315954688,1315958783),('RU',1315958784,1315962879),('FR',1315962880,1317011455),('BG',1317011456,1317044223),('CZ',1317044224,1317076991),('BE',1317076992,1317109759),('GB',1317109760,1317113279),('RU',1317113280,1317113343),('GB',1317113344,1317113855),('AE',1317113856,1317114111),('GB',1317114112,1317118207),('IN',1317118208,1317118463),('GB',1317118464,1317119103),('IT',1317119104,1317119167),('GB',1317119168,1317121279),('TR',1317121280,1317121343),('GB',1317121344,1317126399),('US',1317126400,1317126655),('RU',1317126656,1317126783),('GB',1317126784,1317128703),('RU',1317128704,1317129215),('GB',1317129216,1317129279),('AU',1317129280,1317129343),('GB',1317129344,1317130239),('TK',1317130240,1317130495),('GB',1317130496,1317130559),('US',1317130560,1317130623),('GB',1317130624,1317132287),('IL',1317132288,1317132543),('GB',1317132544,1317132735),('CA',1317132736,1317132799),('GB',1317132800,1317133823),('FI',1317133824,1317134079),('GB',1317134080,1317134655),('CN',1317134656,1317134719),('GB',1317134720,1317142527),('PT',1317142528,1317175295),('BG',1317175296,1317208063),('HU',1317208064,1317240831),('PL',1317240832,1317273599),('AT',1317273600,1317306367),('RU',1317306368,1317339135),('MT',1317339136,1317371903),('PL',1317371904,1317404671),('IT',1317404672,1317437439),('HR',1317437440,1317470207),('TR',1317470208,1317502975),('IE',1317502976,1317535743),('GB',1317535744,1317539607),('A2',1317539608,1317539615),('GB',1317539616,1317552127),('ES',1317552128,1317568511),('CZ',1317568512,1317584895),('RU',1317584896,1317601279),('UA',1317601280,1317617663),('RU',1317617664,1317634047),('IE',1317634048,1317650431),('RU',1317650432,1317666815),('NG',1317666816,1317666823),('A2',1317666824,1317666863),('NG',1317666864,1317666871),('A2',1317666872,1317666879),('NG',1317666880,1317666895),('A2',1317666896,1317666911),('NG',1317666912,1317666919),('A2',1317666920,1317667047),('NG',1317667048,1317667063),('A2',1317667064,1317667159),('NG',1317667160,1317667175),('A2',1317667176,1317667327),('NG',1317667328,1317667583),('A2',1317667584,1317667727),('NG',1317667728,1317667735),('A2',1317667736,1317667743),('NG',1317667744,1317667775),('A2',1317667776,1317667799),('NG',1317667800,1317667823),('A2',1317667824,1317668135),('NG',1317668136,1317668143),('A2',1317668144,1317668199),('BW',1317668200,1317668207),('A2',1317668208,1317668343),('AO',1317668344,1317668351),('A2',1317668352,1317668687),('NG',1317668688,1317668695),('A2',1317668696,1317668863),('NG',1317668864,1317668879),('A2',1317668880,1317669023),('NG',1317669024,1317669031),('A2',1317669032,1317669119),('GE',1317669120,1317669375),('CG',1317669376,1317669631),('A2',1317669632,1317669919),('NG',1317669920,1317669943),('A2',1317669944,1317670175),('NG',1317670176,1317670207),('A2',1317670208,1317670583),('TD',1317670584,1317670591),('A2',1317670592,1317671415),('NG',1317671416,1317671423),('A2',1317671424,1317671431),('NG',1317671432,1317671439),('A2',1317671440,1317671575),('NG',1317671576,1317671583),('A2',1317671584,1317671887),('NG',1317671888,1317671895),('A2',1317671896,1317671903),('NG',1317671904,1317671911),('A2',1317671912,1317672863),('NG',1317672864,1317672871),('A2',1317672872,1317673983),('NG',1317673984,1317674239),('A2',1317674240,1317683199),('DE',1317683200,1317686271),('NL',1317686272,1317686287),('DE',1317686288,1317695743),('CH',1317695744,1317695999),('DE',1317696000,1317699583),('RU',1317699584,1317715967),('SA',1317715968,1317732351),('HU',1317732352,1317748735),('RU',1317748736,1317765119),('GE',1317765120,1317781503),('RU',1317781504,1317814271),('DE',1317814272,1317830655),('NL',1317830656,1317832191),('GB',1317832192,1317832447),('CY',1317832448,1317832511),('NL',1317832512,1317832959),('IT',1317832960,1317833215),('NL',1317833216,1317847039),('RU',1317847040,1317863423),('GB',1317863424,1317879807),('SK',1317879808,1317896191),('LU',1317896192,1317912575),('GB',1317912576,1317928959),('BG',1317928960,1317945343),('AT',1317945344,1317978111),('RU',1317978112,1317994495),('DE',1317994496,1318000383),('NL',1318000384,1318000447),('DE',1318000448,1318002175),('NL',1318002176,1318002431),('DE',1318002432,1318010879),('DK',1318010880,1318027263),('IE',1318027264,1318043647),('GB',1318043648,1318584319),('PL',1318584320,1318592511),('FI',1318592512,1318600703),('AT',1318600704,1318608895),('IT',1318608896,1318617087),('LT',1318617088,1318625279),('UA',1318625280,1318633471),('IE',1318633472,1318649855),('RU',1318649856,1318658047),('SI',1318658048,1318666239),('DE',1318666240,1318674431),('GR',1318674432,1318682623),('RU',1318682624,1318690815),('DK',1318690816,1318699007),('IE',1318699008,1318707199),('FR',1318707200,1318715391),('BG',1318715392,1318723583),('IR',1318723584,1318731775),('PL',1318731776,1318739967),('GB',1318739968,1318748159),('LV',1318748160,1318756351),('UA',1318756352,1318764543),('KW',1318764544,1318780927),('CH',1318780928,1318789119),('RS',1318789120,1318797311),('SY',1318797312,1318805503),('PL',1318805504,1318813695),('FR',1318813696,1318821887),('RU',1318821888,1318838271),('IE',1318838272,1318846463),('NO',1318846464,1318854655),('CZ',1318854656,1318862847),('GB',1318862848,1318871039),('DK',1318871040,1318879231),('CZ',1318879232,1318887423),('PL',1318887424,1318895615),('SE',1318895616,1318899711),('DK',1318899712,1318903807),('RU',1318903808,1318911999),('MK',1318912000,1318920191),('IR',1318920192,1318928383),('LT',1318928384,1318936575),('DK',1318936576,1318944767),('LV',1318944768,1318952959),('CZ',1318952960,1318954751),('PL',1318954752,1318955007),('CZ',1318955008,1318956543),('PL',1318956544,1318957055),('CZ',1318957056,1318959103),('PL',1318959104,1318961151),('NL',1318961152,1318969343),('RU',1318969344,1318977535),('LT',1318977536,1318985727),('GB',1318985728,1319002111),('IE',1319002112,1319010303),('CY',1319010304,1319017215),('DE',1319017216,1319017279),('CY',1319017280,1319018495),('IR',1319018496,1319026687),('RU',1319026688,1319034879),('NO',1319034880,1319035903),('DK',1319035904,1319036927),('SE',1319036928,1319038975),('NO',1319038976,1319043071),('FR',1319043072,1319051263),('UA',1319051264,1319059455),('PL',1319059456,1319067647),('DE',1319067648,1319069951),('GB',1319069952,1319070207),('DE',1319070208,1319070254),('GB',1319070255,1319070271),('PT',1319070272,1319070335),('RU',1319070336,1319070463),('GB',1319070464,1319070975),('PL',1319070976,1319071103),('RU',1319071104,1319071231),('PL',1319071232,1319071487),('GB',1319071488,1319071743),('DE',1319071744,1319072767),('IT',1319072768,1319073023),('TR',1319073024,1319073279),('DE',1319073280,1319074303),('ME',1319074304,1319074559),('GB',1319074560,1319074815),('PL',1319074816,1319074943),('RU',1319074944,1319075071),('DE',1319075072,1319075199),('RU',1319075200,1319075327),('DE',1319075328,1319075455),('RU',1319075456,1319075583),('DE',1319075584,1319075711),('RU',1319075712,1319075839),('BG',1319075840,1319084031),('KW',1319084032,1319092223),('IT',1319092224,1319100415),('RU',1319100416,1319108607),('TR',1319108608,1321205759),('FR',1321205760,1325400063),('IT',1325400064,1329594367),('GB',1329594368,1330642943),('FR',1330642944,1331691519),('PL',1331691520,1331757055),('IE',1331757056,1331822591),('IT',1331822592,1331824639),('RU',1331824640,1331826687),('FR',1331826688,1331828735),('LT',1331828736,1331830783),('GB',1331830784,1331832831),('IT',1331832832,1331834879),('BY',1331834880,1331836927),('FR',1331836928,1331838975),('GR',1331838976,1331841023),('CZ',1331841024,1331843071),('GB',1331843072,1331845119),('RU',1331845120,1331847167),('SE',1331847168,1331849215),('RU',1331849216,1331851263),('AL',1331851264,1331853311),('AE',1331853312,1331855359),('TR',1331855360,1331857407),('RU',1331857408,1331859455),('PL',1331859456,1331861503),('CZ',1331861504,1331863551),('GB',1331863552,1331867647),('NL',1331867648,1331869695),('SA',1331869696,1331871743),('DK',1331871744,1331873791),('RU',1331873792,1331879935),('DE',1331879936,1331881983),('GB',1331881984,1331886079),('ES',1331886080,1331888127),('SE',1331888128,1331890175),('IT',1331890176,1331892223),('RU',1331892224,1331894271),('NL',1331894272,1331896319),('FR',1331896320,1331898367),('GB',1331898368,1331900415),('RU',1331900416,1331902463),('MK',1331902464,1331904511),('GB',1331904512,1331908607),('DE',1331908608,1331910655),('BH',1331910656,1331912703),('DE',1331912704,1331914751),('RU',1331914752,1331916799),('IT',1331916800,1331918847),('BE',1331918848,1331920895),('NL',1331920896,1331922943),('DE',1331922944,1331924991),('GB',1331924992,1331927039),('FI',1331927040,1331929087),('FR',1331929088,1331931135),('SE',1331931136,1331933183),('TR',1331933184,1331935231),('GB',1331935232,1331937279),('US',1331937280,1331937535),('GB',1331937536,1331939327),('BE',1331939328,1331941375),('GR',1331941376,1331943423),('RU',1331943424,1331945471),('SE',1331945472,1331947519),('CH',1331947520,1331948287),('US',1331948288,1331948543),('NL',1331948544,1331948547),('CH',1331948548,1331948551),('FR',1331948552,1331948559),('CZ',1331948560,1331948567),('DE',1331948568,1331948575),('CH',1331948576,1331949567),('RU',1331949568,1331951615),('GE',1331951616,1331953663),('BG',1331953664,1332019199),('RS',1332019200,1332084735),('SE',1332084736,1332150271),('GR',1332150272,1332215807),('RU',1332215808,1332346879),('AL',1332346880,1332412415),('GR',1332412416,1332477951),('ES',1332477952,1332609023),('PL',1332609024,1332613119),('UA',1332613120,1332629503),('DE',1332629504,1332633599),('UA',1332633600,1332637695),('BG',1332637696,1332641791),('UA',1332641792,1332658175),('PL',1332658176,1332662271),('UA',1332662272,1332670463),('RU',1332670464,1332740095),('RO',1332740096,1333264383),('RU',1333264384,1333297151),('HU',1333297152,1333317887),('MK',1333317888,1333318143),('HU',1333318144,1333362687),('GB',1333362688,1333395455),('HU',1333395456,1333428223),('RU',1333428224,1333460991),('GB',1333460992,1333493759),('TR',1333493760,1333526527),('BG',1333526528,1333551103),('UA',1333551104,1333555199),('PL',1333555200,1333559295),('UA',1333559296,1333592063),('IE',1333592064,1333624831),('MK',1333624832,1333657599),('RU',1333657600,1333690367),('MK',1333690368,1333723135),('IR',1333723136,1333755903),('CZ',1333755904,1333788671),('GR',1333788672,1334050815),('BG',1334050816,1334059007),('FR',1334059008,1334067199),('LV',1334067200,1334075391),('RU',1334075392,1334083583),('DE',1334083584,1334091775),('LT',1334091776,1334099967),('IR',1334099968,1334108159),('AX',1334116352,1334124543),('DE',1334124544,1334132735),('RU',1334132736,1334165503),('PL',1334165504,1334173695),('LT',1334173696,1334181887),('RU',1334181888,1334190079),('RO',1334190080,1334198271),('RU',1334198272,1334206463),('FI',1334206464,1334214655),('JO',1334214656,1334222847),('BG',1334222848,1334231039),('EE',1334231040,1334239231),('IS',1334239232,1334247423),('NO',1334247424,1334255615),('IT',1334255616,1334263807),('RU',1334263808,1334271999),('GB',1334272000,1334279615),('GN',1334279616,1334279647),('GB',1334279648,1334280191),('LV',1334280192,1334288383),('TR',1334288384,1334296575),('UA',1334296576,1334304767),('RU',1334304768,1334312959),('SE',1334312960,1334316031),('NO',1334316032,1334316543),('SE',1334316544,1334345727),('RU',1334345728,1334378495),('IT',1334378496,1334411263),('RU',1334411264,1334444031),('SE',1334444032,1334501375),('DK',1334501376,1334509567),('PL',1334509568,1334542335),('RU',1334542336,1334575103),('UA',1334575104,1334579199),('RU',1334579200,1334583295),('DE',1334583296,1334583311),('US',1334583312,1334583319),('DE',1334583320,1334583327),('US',1334583328,1334583359),('DE',1334583360,1334583535),('US',1334583536,1334583543),('DE',1334583544,1334583807),('CH',1334583808,1334584063),('DE',1334584064,1334584255),('AT',1334584256,1334584287),('DE',1334584288,1334584351),('LU',1334584352,1334584383),('DE',1334584384,1334591487),('RU',1334591488,1334595583),('IT',1334595584,1334596095),('GR',1334596096,1334596607),('IT',1334596608,1334597631),('US',1334597632,1334597887),('GR',1334597888,1334598143),('IT',1334598144,1334599679),('RU',1334599680,1334603775),('DE',1334603776,1334607871),('IE',1334607872,1334611967),('ME',1334611968,1334616063),('MD',1334616064,1334620159),('DE',1334620160,1334624255),('GB',1334624256,1334628351),('IE',1334628352,1334632447),('KZ',1334632448,1334636543),('RU',1334636544,1334640639),('FR',1334640640,1334644735),('IQ',1334644736,1334644991),('LB',1334644992,1334645175),('IQ',1334645176,1334645183),('LU',1334645184,1334645247),('IQ',1334645248,1334646783),('LU',1334646784,1334648831),('GB',1334648832,1334652927),('RU',1334652928,1334661119),('CH',1334661120,1334665215),('NO',1334665216,1334669311),('MK',1334669312,1334673407),('GB',1334673408,1334677503),('FI',1334677504,1334681599),('PL',1334681600,1334681855),('DE',1334681856,1334682111),('PL',1334682112,1334682367),('FR',1334682368,1334682623),('AT',1334682624,1334682879),('SK',1334682880,1334683135),('PL',1334683136,1334683391),('CH',1334683392,1334683647),('DE',1334683648,1334685695),('IT',1334685696,1334689791),('FR',1334689792,1334693887),('RU',1334693888,1334702079),('CZ',1334702080,1334706175),('BA',1334706176,1334710271),('RU',1334710272,1334714367),('DE',1334714368,1334718463),('KZ',1334718464,1334722559),('IT',1334722560,1334726655),('RU',1334726656,1334734847),('LT',1334734848,1334738943),('CH',1334738944,1334743039),('UA',1334743040,1334747135),('RU',1334747136,1334751231),('BH',1334751232,1334755327),('UA',1334755328,1334759423),('SE',1334759424,1334763519),('DK',1334763520,1334767615),('FR',1334767616,1334771711),('RU',1334771712,1334779903),('UA',1334779904,1334783999),('AT',1334784000,1334788095),('RU',1334788096,1334796287),('ME',1334796288,1334800383),('IT',1334800384,1334804479),('FR',1334804480,1334808575),('GB',1334808576,1334812671),('BA',1334812672,1334816767),('LV',1334816768,1334817791),('NL',1334817792,1334818047),('LV',1334818048,1334820863),('IE',1334820864,1334824959),('NL',1334824960,1334829055),('RU',1334829056,1334833151),('FR',1334833152,1334837247),('ES',1334837248,1335885823),('NO',1335885824,1336016895),('PL',1336016896,1336147967),('RU',1336147968,1336279039),('GR',1336279040,1336410111),('PT',1336410112,1336541183),('SA',1336541184,1336543231),('ES',1336543232,1336545279),('SE',1336545280,1336547327),('RU',1336547328,1336549375),('IM',1336549376,1336551423),('GB',1336551424,1336553471),('SA',1336553472,1336555519),('BE',1336555520,1336557567),('ES',1336557568,1336558591),('US',1336558592,1336559328),('ES',1336559329,1336559615),('GB',1336559616,1336561663),('NO',1336561664,1336563711),('NL',1336563712,1336567807),('BY',1336567808,1336569855),('FR',1336569856,1336571903),('PL',1336571904,1336573951),('DK',1336573952,1336575999),('RU',1336576000,1336578047),('IR',1336578048,1336580095),('RU',1336580096,1336584191),('TR',1336584192,1336586239),('GB',1336586240,1336588287),('TJ',1336588288,1336590335),('GB',1336590336,1336592383),('AM',1336592384,1336594431),('AT',1336594432,1336596479),('FR',1336596480,1336598527),('MD',1336598528,1336600575),('FR',1336600576,1336602623),('IE',1336602624,1336604671),('CZ',1336604672,1336606719),('PL',1336606720,1336608767),('RU',1336608768,1336610815),('TR',1336610816,1336612863),('ES',1336612864,1336613375),('PL',1336613376,1336613391),('IT',1336613392,1336613407),('ES',1336613408,1336614911),('GB',1336614912,1336616959),('ES',1336616960,1336619007),('AL',1336619008,1336621055),('IT',1336621056,1336623103),('BE',1336623104,1336625151),('IE',1336625152,1336627199),('NO',1336627200,1336629247),('DE',1336629248,1336631295),('IS',1336631296,1336633343),('ES',1336633344,1336634879),('PT',1336634880,1336635391),('RU',1336635392,1336637439),('UA',1336637440,1336639487),('HU',1336639488,1336643583),('DK',1336643584,1336645631),('GB',1336645632,1336647679),('IT',1336647680,1336649727),('DE',1336651776,1336653823),('CZ',1336653824,1336655871),('NL',1336655872,1336657919),('DE',1336657920,1336659967),('RU',1336659968,1336662015),('ES',1336662016,1336663039),('FR',1336663040,1336663071),('ES',1336663072,1336664063),('FI',1336664064,1336668159),('BH',1336668160,1336670207),('SE',1336670208,1336672255),('RU',1336672256,1336705023),('SA',1336705024,1336721407),('HU',1336721408,1336737791),('PL',1336737792,1336754175),('RU',1336754176,1336770559),('GB',1336770560,1336786943),('JO',1336786944,1336803327),('UA',1336803328,1336811519),('RU',1336811520,1336827903),('AT',1336827904,1336836095),('RU',1336836096,1336852479),('DE',1336852480,1336868863),('RU',1336868864,1336885247),('RS',1336885248,1336901631),('IR',1336901632,1336918015),('PL',1336918016,1336934399),('IL',1336934400,1337458687),('PL',1337458688,1337982975),('DE',1337982976,1342177279),('GB',1342177280,1342628031),('IE',1342628032,1342628095),('GB',1342628096,1342628159),('IE',1342628160,1342628175),('GB',1342628176,1342628207),('IE',1342628208,1342628223),('GB',1342628224,1342628319),('IE',1342628320,1342628335),('GB',1342628336,1342628351),('IE',1342628352,1342628367),('GB',1342628368,1342628431),('IE',1342628432,1342628463),('GB',1342628464,1342628663),('IE',1342628664,1342628671),('GB',1342628672,1342701567),('FR',1342701568,1342981887),('GB',1342981888,1342981903),('FR',1342981904,1342982143),('MG',1342982144,1342982399),('FR',1342982400,1342988287),('US',1342988288,1342989055),('FR',1342989056,1343013119),('US',1343013120,1343013375),('FR',1343013376,1343017983),('RE',1343017984,1343018367),('FR',1343018368,1343025151),('RE',1343025152,1343025663),('FR',1343025664,1343217663),('MU',1343217664,1343218687),('FR',1343218688,1343219711),('KR',1343219712,1343219967),('FR',1343219968,1343220223),('US',1343220224,1343220479),('DE',1343220480,1343220735),('GB',1343220736,1343220863),('FR',1343220864,1343221023),('DE',1343221024,1343221027),('FR',1343221028,1343221503),('GB',1343221504,1343221759),('LB',1343221760,1343221823),('FR',1343221824,1343221855),('LB',1343221856,1343222271),('CI',1343222272,1343222287),('FR',1343222288,1343222527),('TD',1343222528,1343222575),('FR',1343222576,1343222783),('TD',1343222784,1343222911),('FR',1343222912,1343223039),('MG',1343223040,1343223434),('FR',1343223435,1343223439),('MG',1343223440,1343223447),('FR',1343223448,1343223531),('MG',1343223532,1343223547),('FR',1343223548,1343223551),('LB',1343223552,1343223807),('MG',1343223808,1343223983),('FR',1343223984,1343224063),('US',1343224064,1343224303),('FR',1343224304,1343224319),('LB',1343224320,1343224535),('FR',1343224536,1343224543),('LB',1343224544,1343224575),('FR',1343224576,1343224831),('A2',1343224832,1343225087),('FR',1343225088,1343225855),('IT',1343225856,1343750143),('ES',1343750144,1344798719),('GB',1344798720,1345323007),('PL',1345323008,1345847295),('NL',1345847296,1345978367),('ES',1345978368,1346109439),('NL',1346109440,1346240511),('DK',1346240512,1346371583),('FI',1346371584,1346375679),('RU',1346375680,1346379775),('ES',1346379776,1346383871),('GB',1346383872,1346387967),('HU',1346387968,1346392063),('RU',1346392064,1346400255),('IT',1346400256,1346404351),('AT',1346404352,1346404859),('NL',1346404860,1346404863),('AT',1346404864,1346404919),('NL',1346404920,1346404943),('AT',1346404944,1346405071),('NL',1346405072,1346405103),('AT',1346405104,1346405135),('NL',1346405136,1346405199),('AT',1346405200,1346405255),('NL',1346405256,1346405263),('AT',1346405264,1346405319),('NL',1346405320,1346405351),('AT',1346405352,1346406159),('NL',1346406160,1346406231),('AT',1346406232,1346406255),('NL',1346406256,1346406258),('AT',1346406259,1346406259),('NL',1346406260,1346406263),('AT',1346406264,1346406271),('NL',1346406272,1346406295),('AT',1346406296,1346406351),('NL',1346406352,1346406359),('AT',1346406360,1346406495),('NL',1346406496,1346406503),('AT',1346406504,1346406511),('NL',1346406512,1346406527),('AT',1346406528,1346406655),('NL',1346406656,1346406671),('AT',1346406672,1346406919),('NL',1346406920,1346406927),('AT',1346406928,1346406951),('NL',1346406952,1346406975),('AT',1346406976,1346407167),('NL',1346407168,1346407183),('AT',1346407184,1346407207),('NL',1346407208,1346407295),('AT',1346407296,1346408447),('LU',1346408448,1346412543),('DE',1346416640,1346420735),('NO',1346420736,1346424831),('JO',1346424832,1346428927),('FR',1346428928,1346431103),('MA',1346431104,1346431119),('FR',1346431120,1346431743),('KZ',1346431744,1346431999),('FR',1346432000,1346433023),('NL',1346433024,1346439167),('ES',1346439168,1346440447),('NL',1346440448,1346440463),('ES',1346440464,1346440479),('NL',1346440480,1346441215),('RU',1346441216,1346445311),('DE',1346445312,1346449407),('NO',1346449408,1346453503),('BA',1346453504,1346461695),('NL',1346461696,1346469887),('BE',1346469888,1346473983),('IT',1346473984,1346478079),('BA',1346478080,1346482175),('CZ',1346482176,1346486271),('SE',1346486272,1346490367),('GB',1346490368,1346494463),('FR',1346494464,1346498559),('GB',1346498560,1346502655),('DE',1346502656,1346510847),('AT',1346510848,1346519039),('RU',1346519040,1346527231),('DE',1346527232,1346531327),('ES',1346531328,1346535423),('BE',1346535424,1346537983),('AT',1346537984,1346537988),('BE',1346537989,1346537991),('AT',1346537992,1346537999),('CZ',1346538000,1346538007),('BE',1346538008,1346538015),('CH',1346538016,1346538031),('BE',1346538032,1346539519),('RU',1346539520,1346543615),('FI',1346543616,1346547711),('IR',1346547712,1346551807),('DE',1346551808,1346555903),('IT',1346555904,1346559999),('LI',1346560000,1346564095),('EE',1346564096,1346568191),('SE',1346568192,1346572287),('DE',1346572288,1346576383),('DK',1346576384,1346580479),('RU',1346580480,1346584575),('US',1346584576,1346588159),('KR',1346588160,1346588671),('US',1346588672,1346589439),('DE',1346589440,1346589695),('US',1346589696,1346592767),('ES',1346592768,1346596863),('IT',1346596864,1346600959),('DZ',1346600960,1346605055),('CH',1346605056,1346609151),('FR',1346609152,1346617343),('SE',1346617344,1346620415),('DK',1346620416,1346620927),('SE',1346620928,1346621439),('RU',1346621440,1346625535),('DE',1346625536,1346629631),('RU',1346629632,1346637823),('GB',1346637824,1346650111),('IT',1346650112,1346654207),('GB',1346654208,1346658303),('SE',1346658304,1346666495),('ES',1346666496,1346670591),('IT',1346670592,1346674687),('DE',1346674688,1346678783),('IT',1346678784,1346686975),('GB',1346686976,1346691071),('PL',1346691072,1346695167),('RU',1346695168,1346699263),('GB',1346699264,1346700575),('VG',1346700576,1346700591),('GB',1346700592,1346700608),('US',1346700609,1346700623),('GB',1346700624,1346700671),('US',1346700672,1346700735),('GB',1346700736,1346700847),('US',1346700848,1346700855),('GB',1346700856,1346701184),('GR',1346701185,1346701215),('GB',1346701216,1346703871),('LI',1346703872,1346704127),('GB',1346704128,1346704383),('US',1346704384,1346704447),('GB',1346704448,1346704639),('LI',1346704640,1346704767),('GB',1346704768,1346707455),('DE',1346707456,1346711551),('AZ',1346711552,1346715647),('NL',1346715648,1346723839),('DE',1346723840,1346732031),('JO',1346732032,1346736127),('RU',1346736128,1346740223),('NL',1346740224,1346744319),('RU',1346744320,1346748415),('DE',1346748416,1346752511),('RE',1346752512,1346756607),('SE',1346756608,1346760703),('AT',1346760704,1346764799),('LV',1346768896,1346772991),('FR',1346772992,1346775071),('DE',1346775072,1346775103),('FR',1346775104,1346777087),('GB',1346777088,1346781183),('UA',1346781184,1346789375),('RU',1346789376,1346793471),('IT',1346793472,1346797567),('IL',1346797568,1346801663),('SE',1346801664,1346805759),('DE',1346805760,1346806079),('GB',1346806080,1346806111),('DE',1346806112,1346806167),('SE',1346806168,1346806207),('DE',1346806208,1346813951),('FR',1346813952,1346822143),('RU',1346822144,1346826239),('RS',1346826240,1346830335),('GB',1346830336,1346838527),('RU',1346838528,1346842623),('MT',1346842624,1346846719),('DK',1346846720,1346854911),('MT',1346854912,1346859007),('IR',1346859008,1346863103),('TR',1346863104,1346867199),('BA',1346867200,1346871295),('RU',1346871296,1346879487),('FI',1346879488,1346883583),('RU',1346883584,1346887679),('IT',1346887680,1346891775),('RU',1346891776,1346895871),('SE',1346895872,1346899967),('RU',1346899968,1346904063),('PL',1346904064,1346908159),('LI',1346908160,1346912255),('BG',1346912256,1346920447),('IT',1346920448,1346924543),('RU',1346924544,1346928639),('DE',1346928640,1346932735),('DK',1346932736,1346936831),('IT',1346936832,1346940927),('DE',1346940928,1346945023),('PL',1346945024,1346949119),('RU',1346949120,1346957311),('DE',1346957312,1346961407),('UA',1346961408,1346965503),('RU',1346965504,1346969599),('DE',1346969600,1346973695),('SE',1346973696,1346977791),('RU',1346977792,1346985983),('DE',1346985984,1346986975),('ES',1346986976,1346987007),('DE',1346987008,1346991231),('CH',1346991232,1346991247),('DE',1346991248,1346994175),('NL',1346994176,1346998271),('ES',1346998272,1347002367),('RU',1347002368,1347006463),('SE',1347006464,1347010559),('RU',1347010560,1347014655),('GB',1347014656,1347018751),('IT',1347018752,1347022847),('AT',1347022848,1347024895),('GB',1347024896,1347025151),('AT',1347025152,1347026943),('GB',1347026944,1347035135),('CZ',1347035136,1347039231),('RO',1347039232,1347043327),('FR',1347043328,1347047423),('SA',1347047424,1347051519),('IL',1347051520,1347059711),('CH',1347059712,1347067903),('RS',1347067904,1347071999),('IT',1347072000,1347076095),('FI',1347076096,1347084287),('GB',1347084288,1347092479),('IR',1347092480,1347096575),('SE',1347096576,1347100671),('AT',1347100672,1347108863),('GB',1347108864,1347112959),('RU',1347112960,1347117055),('FI',1347117056,1347121151),('CH',1347121152,1347125247),('RU',1347125248,1347129343),('GB',1347129344,1347133439),('EG',1347133440,1347141631),('CH',1347141632,1347145727),('GB',1347145728,1347146239),('FR',1347146240,1347146751),('GB',1347146752,1347149823),('HU',1347149824,1347153919),('AT',1347153920,1347158015),('CH',1347158016,1347162111),('IT',1347162112,1347166207),('GR',1347166208,1347174399),('IT',1347174400,1347186687),('GB',1347186688,1347190783),('RU',1347190784,1347194879),('SE',1347194880,1347198975),('BA',1347198976,1347203071),('RU',1347203072,1347207167),('GB',1347207168,1347210735),('IE',1347210736,1347210743),('GB',1347210744,1347210911),('IE',1347210912,1347210919),('GB',1347210920,1347210927),('IE',1347210928,1347210935),('GB',1347210936,1347211111),('IE',1347211112,1347211119),('GB',1347211120,1347215359),('RU',1347215360,1347219455),('KW',1347219456,1347223551),('EG',1347223552,1347223807),('HK',1347223808,1347224063),('US',1347224064,1347224183),('EG',1347224184,1347224575),('US',1347224576,1347224831),('EG',1347224832,1347225599),('PK',1347225600,1347226623),('EG',1347226624,1347227135),('HK',1347227136,1347227391),('EG',1347227392,1347227647),('DE',1347227648,1347229311),('AT',1347229312,1347229343),('DE',1347229344,1347229727),('AT',1347229728,1347229743),('DE',1347229744,1347231743),('UA',1347231744,1347235839),('IT',1347235840,1347239935),('DK',1347239936,1347244031),('GB',1347244032,1347247359),('RU',1347247360,1347247871),('GB',1347247872,1347247872),('US',1347247873,1347248127),('SE',1347248128,1347248863),('FI',1347248864,1347248864),('SE',1347248865,1347249343),('FI',1347249344,1347249375),('SE',1347249376,1347250687),('NO',1347250688,1347250691),('SE',1347250692,1347250695),('NO',1347250696,1347250735),('SE',1347250736,1347250767),('FI',1347250768,1347250783),('SE',1347250784,1347252223),('HU',1347252224,1347256319),('FO',1347256320,1347260415),('MK',1347260416,1347264511),('JO',1347264512,1347268607),('LB',1347268608,1347271935),('IQ',1347271936,1347272447),('LB',1347272448,1347272703),('MT',1347272704,1347276799),('DE',1347276800,1347278831),('BR',1347278832,1347278847),('DE',1347278848,1347280895),('FR',1347280896,1347284991),('GB',1347284992,1347286271),('BN',1347286272,1347286335),('GB',1347286336,1347286527),('BG',1347286528,1347286535),('GB',1347286536,1347289087),('FR',1347289088,1347293183),('SE',1347293184,1347293311),('LR',1347293312,1347293319),('GA',1347293320,1347293327),('NG',1347293328,1347293335),('A2',1347293336,1347293339),('SO',1347293340,1347293343),('A2',1347293344,1347293351),('NG',1347293352,1347293391),('CY',1347293392,1347293399),('IQ',1347293400,1347293407),('NG',1347293408,1347293415),('A2',1347293416,1347293423),('GN',1347293424,1347293431),('NG',1347293432,1347293439),('A2',1347293440,1347293447),('GB',1347293448,1347293455),('NG',1347293456,1347293463),('A2',1347293464,1347293471),('IQ',1347293472,1347293479),('LR',1347293480,1347293487),('TD',1347293488,1347293495),('GH',1347293496,1347293503),('US',1347293504,1347293511),('GN',1347293512,1347293519),('PS',1347293520,1347293527),('NG',1347293528,1347293535),('GH',1347293536,1347293543),('US',1347293544,1347293551),('A2',1347293552,1347293559),('GN',1347293560,1347293567),('GH',1347293568,1347293575),('IQ',1347293576,1347293583),('AF',1347293584,1347293591),('A2',1347293592,1347293599),('NG',1347293600,1347293607),('A2',1347293608,1347293615),('US',1347293616,1347293623),('PK',1347293624,1347293631),('US',1347293632,1347293639),('IQ',1347293640,1347293647),('US',1347293648,1347293655),('GN',1347293656,1347293675),('BH',1347293676,1347293679),('GN',1347293680,1347293687),('NG',1347293688,1347293723),('IQ',1347293724,1347293727),('A2',1347293728,1347293735),('GN',1347293736,1347293759),('NG',1347293760,1347293767),('CM',1347293768,1347293775),('NG',1347293776,1347293799),('IQ',1347293800,1347293807),('NG',1347293808,1347293815),('SO',1347293816,1347293823),('CM',1347293824,1347293831),('NG',1347293832,1347293839),('CA',1347293840,1347293847),('BH',1347293848,1347293855),('GN',1347293856,1347293863),('GB',1347293864,1347293871),('A2',1347293872,1347293879),('NG',1347293880,1347293887),('GQ',1347293888,1347293903),('NG',1347293904,1347293911),('GA',1347293912,1347293919),('GB',1347293920,1347293927),('US',1347293928,1347293935),('NG',1347293936,1347293943),('A2',1347293944,1347293951),('NG',1347293952,1347293959),('GN',1347293960,1347293967),('NG',1347293968,1347293975),('GN',1347293976,1347293983),('US',1347293984,1347293991),('NG',1347293992,1347293999),('US',1347294000,1347294007),('A2',1347294008,1347294015),('US',1347294016,1347294023),('GN',1347294024,1347294039),('GB',1347294040,1347294047),('TH',1347294048,1347294055),('NG',1347294056,1347294063),('GH',1347294064,1347294071),('NG',1347294072,1347294079),('A2',1347294080,1347294087),('US',1347294088,1347294095),('CM',1347294096,1347294111),('GN',1347294112,1347294119),('A2',1347294120,1347294127),('NG',1347294128,1347294135),('LR',1347294136,1347294143),('NG',1347294144,1347294151),('GB',1347294152,1347294159),('CM',1347294160,1347294167),('GB',1347294168,1347294175),('NG',1347294176,1347294183),('A2',1347294184,1347294191),('GB',1347294192,1347294199),('NG',1347294200,1347294207),('A2',1347294208,1347294215),('IQ',1347294216,1347294223),('A2',1347294224,1347294231),('US',1347294232,1347294239),('A2',1347294240,1347294271),('BH',1347294272,1347294279),('BD',1347294280,1347294287),('UG',1347294288,1347294303),('US',1347294304,1347294311),('A2',1347294312,1347294319),('NG',1347294320,1347294327),('A2',1347294328,1347294343),('CM',1347294344,1347294351),('LR',1347294352,1347294367),('NG',1347294368,1347294375),('A2',1347294376,1347294383),('NG',1347294384,1347294399),('A2',1347294400,1347294407),('GN',1347294408,1347294415),('A2',1347294416,1347294423),('KW',1347294424,1347294431),('US',1347294432,1347294435),('A2',1347294436,1347294439),('SO',1347294440,1347294447),('US',1347294448,1347294975),('A2',1347294976,1347294991),('NG',1347294992,1347295007),('A2',1347295008,1347295039),('GB',1347295040,1347295047),('IQ',1347295048,1347295055),('AF',1347295056,1347295063),('A2',1347295064,1347295071),('US',1347295072,1347295079),('NG',1347295080,1347295087),('A2',1347295088,1347295095),('NG',1347295096,1347295103),('A2',1347295104,1347295143),('IQ',1347295144,1347295151),('US',1347295152,1347295159),('A2',1347295160,1347295199),('GB',1347295200,1347295215),('A2',1347295216,1347295223),('CH',1347295224,1347295231),('A2',1347295232,1347295743),('PR',1347295744,1347295751),('US',1347295752,1347295755),('A2',1347295756,1347295759),('US',1347295760,1347295775),('IQ',1347295776,1347295783),('A2',1347295784,1347295999),('US',1347296000,1347296007),('PR',1347296008,1347296015),('A2',1347296016,1347297279),('UA',1347297280,1347305471),('AL',1347305472,1347309567),('DE',1347309568,1347313663),('RU',1347313664,1347321855),('KW',1347321856,1347323775),('IR',1347323776,1347323903),('KW',1347323904,1347325183),('SA',1347325184,1347325439),('KW',1347325440,1347325951),('CZ',1347325952,1347329535),('SK',1347329536,1347329599),('CZ',1347329600,1347330047),('DE',1347330048,1347338239),('RU',1347338240,1347342335),('SE',1347342336,1347346431),('AT',1347346432,1347354623),('PT',1347354624,1347358719),('CZ',1347358720,1347362815),('NL',1347362816,1347366911),('IT',1347366912,1347371007),('RU',1347371008,1347375103),('GB',1347375104,1347379199),('NL',1347379200,1347383295),('EE',1347383296,1347387391),('GB',1347387392,1347391487),('LB',1347391488,1347395583),('SE',1347395584,1347399679),('RU',1347399680,1347403775),('NL',1347403776,1347411967),('DE',1347411968,1347416063),('RU',1347416064,1347420159),('DK',1347420160,1347420671),('SE',1347420672,1347420679),('DK',1347420680,1347420791),('US',1347420792,1347420799),('DK',1347420800,1347420831),('US',1347420832,1347420847),('DK',1347420848,1347423775),('NO',1347423776,1347423807),('DK',1347423808,1347424339),('NO',1347424340,1347424351),('DK',1347424352,1347427135),('NO',1347427136,1347427327),('DK',1347427328,1347428351),('IT',1347428352,1347432447),('HR',1347432448,1347436543),('SE',1347436544,1347440639),('ES',1347440640,1347444735),('RU',1347444736,1347452927),('BG',1347452928,1347461119),('RS',1347461120,1347465215),('GB',1347465216,1347469311),('UZ',1347473408,1347477503),('CH',1347477504,1347481599),('AT',1347481600,1347485695),('DE',1347485696,1347493887),('LV',1347493888,1347502079),('ES',1347502080,1347503103),('GB',1347503104,1347503359),('ES',1347503360,1347504383),('US',1347504384,1347504639),('ES',1347504640,1347506175),('FR',1347506176,1347510271),('ES',1347510272,1347518463),('AT',1347518464,1347522559),('LB',1347522560,1347526655),('FI',1347526656,1347527951),('SE',1347527952,1347528015),('FI',1347528016,1347528319),('SE',1347528320,1347528351),('FI',1347528352,1347528639),('SE',1347528640,1347528703),('FI',1347528704,1347528959),('SE',1347528960,1347529087),('FI',1347529088,1347529471),('SE',1347529472,1347529983),('FI',1347529984,1347534847),('DE',1347534848,1347538943),('RU',1347538944,1347543039),('SK',1347543040,1347544063),('SL',1347544064,1347544319),('SK',1347544320,1347547135),('DE',1347547136,1347551231),('IT',1347551232,1347555327),('FR',1347555328,1347559423),('RU',1347559424,1347567615),('CH',1347567616,1347571711),('RU',1347571712,1347575807),('DK',1347575808,1347579903),('GB',1347579904,1347588095),('CZ',1347588096,1347590911),('PL',1347590912,1347591167),('CZ',1347591168,1347592191),('RU',1347592192,1347600383),('IT',1347600384,1347604479),('DE',1347604480,1347608575),('FR',1347608576,1347612671),('GB',1347612672,1347616767),('FI',1347616768,1347620863),('LB',1347620864,1347624959),('CH',1347624960,1347633151),('CZ',1347633152,1347637247),('SE',1347637248,1347641343),('DE',1347641344,1347646194),('TR',1347646195,1347646207),('DE',1347646208,1347649535),('GE',1347649536,1347653631),('GB',1347653632,1347654615),('EG',1347654616,1347654623),('GB',1347654624,1347655175),('EG',1347655176,1347655183),('GB',1347655184,1347657727),('IT',1347657728,1347661823),('DE',1347661824,1347663119),('GB',1347663120,1347663127),('DE',1347663128,1347665919),('RU',1347665920,1347670015),('SE',1347670016,1347674111),('RU',1347674112,1347682303),('DE',1347682304,1347686399),('EU',1347686400,1347688743),('ET',1347688744,1347688751),('SN',1347688752,1347688767),('EU',1347688768,1347688959),('BE',1347688960,1347689343),('EU',1347689344,1347690495),('SE',1347690496,1347694591),('GB',1347694592,1347706879),('IT',1347706880,1347710975),('RU',1347710976,1347715071),('ES',1347715072,1347715519),('SA',1347715520,1347715527),('ES',1347715528,1347716151),('LB',1347716152,1347716159),('ES',1347716160,1347716207),('CY',1347716208,1347716223),('ES',1347716224,1347718367),('IR',1347718368,1347718399),('ES',1347718400,1347719711),('SO',1347719712,1347719719),('ES',1347719720,1347722495),('LB',1347722496,1347722751),('ES',1347722752,1347723263),('GB',1347723264,1347727359),('UA',1347727360,1347731455),('DE',1347731456,1347739647),('NL',1347739648,1347747839),('DE',1347747840,1347751935),('CY',1347751936,1347754751),('GR',1347754752,1347754775),('CY',1347754776,1347754791),('GR',1347754792,1347754887),('CY',1347754888,1347754888),('GR',1347754889,1347754894),('CY',1347754895,1347754895),('GR',1347754896,1347754919),('CY',1347754920,1347754935),('RS',1347754936,1347754943),('CY',1347754944,1347754951),('TN',1347754952,1347754959),('MA',1347754960,1347754967),('GR',1347754968,1347754983),('CY',1347754984,1347754991),('GR',1347754992,1347755063),('CY',1347755064,1347755079),('GR',1347755080,1347755112),('CY',1347755113,1347755119),('GR',1347755120,1347755175),('CY',1347755176,1347756031),('NL',1347756032,1347760127),('HU',1347760128,1347764223),('GB',1347764224,1347772415),('MT',1347772416,1347776511),('SE',1347776512,1347780607),('NL',1347780608,1347784703),('RU',1347784704,1347788799),('NL',1347788800,1347792895),('RU',1347792896,1347796991),('DE',1347796992,1347801087),('GB',1347801088,1347805183),('PL',1347805184,1347809279),('IT',1347809280,1347813375),('DE',1347813376,1347817471),('A2',1347817472,1347821567),('GB',1347821568,1347822343),('NL',1347822344,1347822351),('GB',1347822352,1347825663),('IT',1347825664,1347829759),('SE',1347829760,1347833855),('DE',1347833856,1347836223),('SE',1347836224,1347836255),('DE',1347836256,1347836575),('LT',1347836576,1347836607),('DE',1347836608,1347837951),('RO',1347837952,1347846143),('NO',1347846144,1347850239),('IT',1347850240,1347854335),('DE',1347854336,1347854871),('EU',1347854872,1347854879),('DE',1347854880,1347854887),('EU',1347854888,1347854911),('DE',1347854912,1347855071),('EU',1347855072,1347855079),('DE',1347855080,1347855103),('CH',1347855104,1347855359),('DE',1347855360,1347855935),('EU',1347855936,1347855943),('DE',1347855944,1347855959),('EU',1347855960,1347855999),('DE',1347856000,1347856063),('EU',1347856064,1347856079),('DE',1347856080,1347856243),('EU',1347856244,1347856255),('DE',1347856256,1347856431),('EU',1347856432,1347856447),('DE',1347856448,1347856471),('EU',1347856472,1347856479),('DE',1347856480,1347856639),('AT',1347856640,1347856895),('DE',1347856896,1347858495),('EU',1347858496,1347858503),('DE',1347858504,1347858527),('EU',1347858528,1347858559),('DE',1347858560,1347858575),('EU',1347858576,1347858591),('DE',1347858592,1347858631),('EU',1347858632,1347858639),('DE',1347858640,1347859351),('EU',1347859352,1347859359),('DE',1347859360,1347859383),('EU',1347859384,1347859407),('DE',1347859408,1347859439),('EU',1347859440,1347859455),('DE',1347859456,1347860863),('EU',1347860864,1347860991),('DE',1347860992,1347861247),('EU',1347861248,1347861503),('DE',1347861504,1347861759),('EU',1347861760,1347861799),('DE',1347861800,1347861823),('EU',1347861824,1347861943),('DE',1347861944,1347861951),('EU',1347861952,1347862111),('DE',1347862112,1347862143),('EU',1347862144,1347862287),('DE',1347862288,1347862431),('EU',1347862432,1347862447),('DE',1347862448,1347862471),('EU',1347862472,1347862479),('DE',1347862480,1347862487),('EU',1347862488,1347862495),('DE',1347862496,1347862527),('CH',1347862528,1347866623),('NO',1347866624,1347870719),('AM',1347870720,1347874815),('RU',1347874816,1347878911),('GB',1347878912,1347883007),('IT',1347883008,1347887103),('RU',1347887104,1347891199),('TR',1347891200,1347895295),('GH',1347895296,1347903487),('FR',1347903488,1347907583),('DE',1347907584,1347911679),('GB',1347911680,1347915775),('RU',1347915776,1347919871),('DE',1347919872,1347923967),('CZ',1347923968,1347928063),('RU',1347928064,1347932159),('SK',1347932160,1347936255),('FR',1347936256,1347940351),('BA',1347940352,1347944447),('DZ',1347944448,1347948543),('DE',1347948544,1347952639),('BE',1347952640,1347956735),('RU',1347956736,1347960831),('DE',1347960832,1347964927),('IT',1347964928,1347969023),('SE',1347969024,1347977215),('A2',1347977216,1347977471),('NG',1347977472,1347977599),('A2',1347977600,1347977791),('NG',1347977792,1347977951),('A2',1347977952,1347977983),('NG',1347977984,1347977991),('A2',1347977992,1347977999),('NG',1347978000,1347978047),('A2',1347978048,1347978063),('NG',1347978064,1347978079),('A2',1347978080,1347978111),('NG',1347978112,1347978199),('A2',1347978200,1347978215),('NG',1347978216,1347978231),('A2',1347978232,1347978239),('NG',1347978240,1347978279),('A2',1347978280,1347978287),('NG',1347978288,1347978319),('A2',1347978320,1347978327),('NG',1347978328,1347978359),('A2',1347978360,1347978367),('NG',1347978368,1347978407),('A2',1347978408,1347978431),('NG',1347978432,1347978463),('A2',1347978464,1347978471),('NG',1347978472,1347978479),('A2',1347978480,1347978495),('NG',1347978496,1347978623),('A2',1347978624,1347978631),('NG',1347978632,1347978655),('A2',1347978656,1347978751),('NG',1347978752,1347978831),('A2',1347978832,1347978847),('NG',1347978848,1347978855),('A2',1347978856,1347978863),('NG',1347978864,1347978871),('A2',1347978872,1347978895),('NG',1347978896,1347978911),('A2',1347978912,1347979007),('NG',1347979008,1347979039),('A2',1347979040,1347979055),('NG',1347979056,1347979143),('A2',1347979144,1347979159),('NG',1347979160,1347979167),('IQ',1347979168,1347979183),('NG',1347979184,1347979263),('A2',1347979264,1347979287),('NG',1347979288,1347979311),('A2',1347979312,1347979335),('NG',1347979336,1347979343),('A2',1347979344,1347979359),('NG',1347979360,1347979367),('A2',1347979368,1347979375),('NG',1347979376,1347979399),('A2',1347979400,1347979423),('NG',1347979424,1347979495),('A2',1347979496,1347979519),('NG',1347979520,1347979535),('A2',1347979536,1347979543),('NG',1347979544,1347979551),('A2',1347979552,1347979567),('NG',1347979568,1347979591),('A2',1347979592,1347979607),('NG',1347979608,1347979623),('A2',1347979624,1347979655),('NG',1347979656,1347979663),('A2',1347979664,1347979679),('NG',1347979680,1347979751),('A2',1347979752,1347979759),('NG',1347979760,1347979775),('A2',1347979776,1347979791),('NG',1347979792,1347979807),('A2',1347979808,1347979823),('NG',1347979824,1347979831),('A2',1347979832,1347979847),('NG',1347979848,1347979863),('A2',1347979864,1347979871),('NG',1347979872,1347979903),('A2',1347979904,1347979935),('NG',1347979936,1347979967),('A2',1347979968,1347979975),('NG',1347979976,1347979999),('TR',1347980000,1347980031),('NG',1347980032,1347980039),('A2',1347980040,1347980047),('NG',1347980048,1347980063),('A2',1347980064,1347980079),('GH',1347980080,1347980095),('NG',1347980096,1347980111),('GN',1347980112,1347980127),('NG',1347980128,1347980151),('A2',1347980152,1347980159),('NG',1347980160,1347980175),('A2',1347980176,1347980183),('NG',1347980184,1347980271),('DK',1347980272,1347980287),('NG',1347980288,1347980543),('DK',1347980544,1347980559),('NG',1347980560,1347980655),('A2',1347980656,1347980671),('NG',1347980672,1347980703),('A2',1347980704,1347980735),('NG',1347980736,1347980799),('IQ',1347980800,1347980991),('A2',1347980992,1347980999),('NG',1347981000,1347981031),('A2',1347981032,1347981039),('NG',1347981040,1347981055),('IQ',1347981056,1347981183),('NG',1347981184,1347981191),('A2',1347981192,1347981199),('NG',1347981200,1347981247),('A2',1347981248,1347981255),('DK',1347981256,1347981263),('A2',1347981264,1347981271),('NG',1347981272,1347981279),('A2',1347981280,1347981311),('NG',1347981312,1347981887),('A2',1347981888,1347981919),('NG',1347981920,1347981935),('A2',1347981936,1347981999),('NG',1347982000,1347982055),('A2',1347982056,1347982079),('NG',1347982080,1347982087),('A2',1347982088,1347982143),('NG',1347982144,1347982207),('A2',1347982208,1347982223),('NG',1347982224,1347982239),('A2',1347982240,1347982279),('NG',1347982280,1347982303),('A2',1347982304,1347982335),('NG',1347982336,1347982847),('A2',1347982848,1347982863),('NG',1347982864,1347982879),('A2',1347982880,1347982887),('NG',1347982888,1347983055),('A2',1347983056,1347983063),('NG',1347983064,1347983071),('A2',1347983072,1347983087),('NG',1347983088,1347983119),('IQ',1347983120,1347983231),('A2',1347983232,1347983247),('DK',1347983248,1347983263),('A2',1347983264,1347983287),('NG',1347983288,1347983295),('A2',1347983296,1347983303),('NG',1347983304,1347983311),('A2',1347983312,1347983319),('NG',1347983320,1347983327),('A2',1347983328,1347983343),('NG',1347983344,1347983351),('A2',1347983352,1347983359),('NG',1347983360,1347983519),('A2',1347983520,1347983527),('NG',1347983528,1347983535),('A2',1347983536,1347983543),('NG',1347983544,1347983551),('A2',1347983552,1347983559),('NG',1347983560,1347983583),('A2',1347983584,1347983591),('NG',1347983592,1347983599),('A2',1347983600,1347983887),('NG',1347983888,1347983935),('A2',1347983936,1347983943),('NG',1347983944,1347983959),('GN',1347983960,1347983967),('NG',1347983968,1347983975),('A2',1347983976,1347983983),('NG',1347983984,1347984303),('A2',1347984304,1347984319),('NG',1347984320,1347984335),('A2',1347984336,1347984343),('NG',1347984344,1347984367),('A2',1347984368,1347984375),('NG',1347984376,1347984399),('A2',1347984400,1347984415),('NG',1347984416,1347984423),('A2',1347984424,1347984575),('NG',1347984576,1347984607),('A2',1347984608,1347984647),('NG',1347984648,1347984671),('A2',1347984672,1347984711),('NG',1347984712,1347984751),('A2',1347984752,1347984767),('NG',1347984768,1347984783),('A2',1347984784,1347984871),('NG',1347984872,1347984903),('A2',1347984904,1347984927),('NG',1347984928,1347984943),('A2',1347984944,1347984951),('NG',1347984952,1347984999),('A2',1347985000,1347985007),('NG',1347985008,1347985015),('A2',1347985016,1347985023),('NG',1347985024,1347985039),('A2',1347985040,1347985047),('NG',1347985048,1347985063),('A2',1347985064,1347985079),('NG',1347985080,1347985119),('A2',1347985120,1347985151),('DK',1347985152,1347985407),('IT',1347985408,1347989503),('FI',1347989504,1347993599),('GB',1347993600,1348001791),('ES',1348001792,1348005887),('BH',1348005888,1348009983),('RU',1348009984,1348014079),('DK',1348014080,1348018175),('NO',1348018176,1348026367),('DE',1348026368,1348030463),('GB',1348030464,1348034559),('AT',1348034560,1348038655),('FR',1348038656,1348042751),('RU',1348042752,1348050943),('SE',1348050944,1348055039),('NG',1348055040,1348058111),('LB',1348058112,1348059135),('JO',1348059136,1348063231),('CH',1348063232,1348067327),('NL',1348067328,1348071423),('DE',1348071424,1348075519),('LV',1348075520,1348075967),('PA',1348075968,1348076031),('LV',1348076032,1348076287),('RU',1348076288,1348076543),('LV',1348076544,1348083711),('LU',1348083712,1348091903),('RU',1348091904,1348095999),('AL',1348096000,1348100095),('DE',1348100096,1348104191),('RU',1348104192,1348108287),('DE',1348112384,1348116479),('JO',1348116480,1348120575),('RU',1348120576,1348124671),('UA',1348132864,1348136959),('NO',1348136960,1348141055),('DK',1348141056,1348145151),('RU',1348145152,1348149247),('NO',1348149248,1348153343),('IT',1348153344,1348157439),('ES',1348157440,1348161535),('PT',1348161536,1348162559),('ES',1348162560,1348165631),('DE',1348165632,1348169727),('AL',1348169728,1348173823),('FI',1348173824,1348174591),('DK',1348174592,1348177919),('BE',1348177920,1348182015),('UA',1348182016,1348190207),('RU',1348190208,1348194303),('GR',1348194304,1348198399),('NO',1348198400,1348202495),('EU',1348202496,1348206591),('RU',1348206592,1348218879),('DE',1348218880,1348219167),('IQ',1348219168,1348219183),('DE',1348219184,1348219247),('IQ',1348219248,1348219263),('BH',1348219264,1348219295),('A2',1348219296,1348219327),('SA',1348219328,1348219391),('DE',1348219392,1348219647),('PK',1348219648,1348220415),('SA',1348220416,1348220479),('DE',1348220480,1348220511),('SA',1348220512,1348220543),('DE',1348220544,1348220687),('SA',1348220688,1348220703),('DE',1348220704,1348220711),('SA',1348220712,1348220735),('BH',1348220736,1348220799),('DE',1348220800,1348220863),('BH',1348220864,1348220895),('DE',1348220896,1348221951),('PK',1348221952,1348222463),('DE',1348222464,1348222975),('LU',1348222976,1348231167),('RU',1348231168,1348235263),('AT',1348235264,1348239359),('GB',1348239360,1348247551),('RU',1348247552,1348251647),('GE',1348251648,1348255743),('RU',1348255744,1348263935),('UA',1348263936,1348268031),('RU',1348268032,1348272127),('IE',1348272128,1348274695),('CH',1348274696,1348274771),('IE',1348274772,1348274775),('CH',1348274776,1348274791),('IE',1348274792,1348274799),('IL',1348274800,1348274815),('IE',1348274816,1348274927),('IL',1348274928,1348274935),('IE',1348274936,1348274943),('CH',1348274944,1348275199),('GB',1348275200,1348275711),('IE',1348275712,1348280319),('FR',1348280320,1348284415),('RU',1348284416,1348288511),('IT',1348288512,1348292607),('FR',1348292608,1348296703),('RU',1348296704,1348300799),('UA',1348300800,1348304895),('IT',1348304896,1348308991),('MT',1348308992,1348313087),('GB',1348313088,1348317183),('RU',1348317184,1348321279),('GB',1348321280,1348325375),('TR',1348325376,1348329471),('RS',1348329472,1348337663),('ES',1348337664,1348341759),('PL',1348341760,1348345855),('GB',1348345856,1348349951),('SK',1348349952,1348354047),('RU',1348354048,1348358143),('DE',1348358144,1348362239),('MC',1348362240,1348366335),('IT',1348366336,1348368127),('A2',1348368128,1348368383),('IT',1348368384,1348370431),('DE',1348370432,1348374527),('CH',1348374528,1348378623),('BY',1348378624,1348382719),('FR',1348382720,1348386815),('GB',1348386816,1348390911),('SE',1348390912,1348395007),('BY',1348395008,1348399103),('MD',1348399104,1348403199),('EG',1348403200,1348407295),('BG',1348407296,1348411391),('RU',1348411392,1348415487),('GB',1348415488,1348419583),('HU',1348419584,1348427775),('CZ',1348427776,1348435967),('FI',1348435968,1348440063),('DE',1348440064,1348444159),('NL',1348444160,1348448255),('GB',1348448256,1348456447),('BH',1348456448,1348460543),('SI',1348460544,1348464639),('CZ',1348464640,1348468735),('RO',1348468736,1348548607),('MD',1348548608,1348549631),('RO',1348549632,1348599807),('HU',1348599808,1348730879),('NL',1348730880,1348861951),('ES',1348861952,1348993023),('IT',1348993024,1349124095),('GR',1349124096,1349255167),('AT',1349255168,1349256703),('SE',1349256704,1349256959),('AT',1349256960,1349288447),('SE',1349288448,1349289215),('AT',1349289216,1349304319),('SE',1349304320,1349304831),('AT',1349304832,1349312511),('SE',1349312512,1349313279),('AT',1349313280,1349320703),('SE',1349320704,1349320959),('AT',1349320960,1349337599),('SE',1349337600,1349337855),('AT',1349337856,1349353471),('SE',1349353472,1349358847),('AT',1349358848,1349359103),('SE',1349359104,1349363455),('AT',1349363456,1349364223),('SE',1349364224,1349365503),('AT',1349365504,1349365759),('SE',1349365760,1349369855),('AT',1349369856,1349377279),('SE',1349377280,1349378047),('AT',1349378048,1349380095),('SE',1349380096,1349380863),('AT',1349380864,1349382143),('SE',1349382144,1349382399),('AT',1349382400,1349385983),('SE',1349385984,1349386239),('AT',1349386240,1349386751),('SE',1349386752,1349387007),('AT',1349387008,1349406463),('SE',1349406464,1349406719),('AT',1349406720,1349411839),('SE',1349411840,1349412095),('AT',1349412096,1349451519),('SE',1349451520,1349453055),('AT',1349453056,1349453311),('SE',1349453312,1349484543),('AT',1349484544,1349486591),('SE',1349486592,1349517311),('NL',1349517312,1349763071),('RU',1349763072,1349771263),('NL',1349771264,1349779455),('IT',1349779456,1349910527),('FR',1349910528,1350041599),('AT',1350041600,1350091135),('SA',1350091136,1350091199),('AT',1350091200,1350091991),('SA',1350091992,1350091999),('AT',1350092000,1350092287),('A2',1350092288,1350092543),('AT',1350092544,1350215167),('IQ',1350215168,1350215191),('AT',1350215192,1350215679),('A2',1350215680,1350217727),('AT',1350217728,1350219775),('IR',1350219776,1350221823),('AT',1350221824,1350295823),('SA',1350295824,1350295831),('AT',1350295832,1350295847),('SA',1350295848,1350295855),('AT',1350295856,1350296063),('A2',1350296064,1350296319),('AT',1350296320,1350296327),('A2',1350296328,1350296343),('AT',1350296344,1350296351),('A2',1350296352,1350296359),('AT',1350296360,1350296367),('A2',1350296368,1350296387),('AT',1350296388,1350296391),('A2',1350296392,1350296395),('AT',1350296396,1350296399),('A2',1350296400,1350296439),('AT',1350296440,1350296511),('A2',1350296512,1350296519),('AT',1350296520,1350296539),('A2',1350296540,1350296543),('AT',1350296544,1350303743),('FR',1350303744,1350434815),('NL',1350434816,1350565887),('DE',1350565888,1351789119),('BE',1351789120,1351789151),('DE',1351789152,1351793791),('GB',1351793792,1351793855),('DE',1351793856,1351797231),('PL',1351797232,1351797239),('DE',1351797240,1351800351),('CN',1351800352,1351800359),('DE',1351800360,1351801327),('HU',1351801328,1351801335),('DE',1351801336,1351807391),('GR',1351807392,1351807423),('DE',1351807424,1351879631),('IT',1351879632,1351879639),('DE',1351879640,1351879999),('IT',1351880000,1351880031),('DE',1351880032,1352010239),('US',1352010240,1352010495),('DE',1352010496,1352011447),('IT',1352011448,1352011455),('DE',1352011456,1352139671),('IT',1352139672,1352139679),('DE',1352139680,1352144519),('IT',1352144520,1352144527),('US',1352144528,1352144535),('DE',1352144536,1352144559),('HK',1352144560,1352144575),('DE',1352144576,1352147007),('SE',1352147008,1352147015),('DE',1352147016,1352147107),('SE',1352147108,1352147111),('DE',1352147112,1352147263),('ES',1352147264,1352147271),('DE',1352147272,1352147391),('CZ',1352147392,1352147399),('DE',1352147400,1352147423),('ES',1352147424,1352147431),('DE',1352147432,1352147439),('SZ',1352147440,1352147447),('DE',1352147448,1352271087),('AT',1352271088,1352271095),('DE',1352271096,1352271871),('GB',1352271872,1352271903),('DE',1352271904,1352277535),('IT',1352277536,1352277567),('DE',1352277568,1352401239),('SK',1352401240,1352401247),('DE',1352401248,1352402791),('BE',1352402792,1352402799),('DE',1352402800,1352404599),('NL',1352404600,1352404607),('DE',1352404608,1352404991),('NL',1352404992,1352405055),('BE',1352405056,1352405119),('DE',1352405120,1352663039),('DK',1352663040,1352680751),('DE',1352680752,1352680759),('DK',1352680760,1353187327),('GB',1353187328,1353255071),('CA',1353255072,1353255087),('GB',1353255088,1353255839),('FR',1353255840,1353255855),('GB',1353255856,1353258239),('SE',1353258240,1353258263),('GB',1353258264,1353258271),('SE',1353258272,1353258303),('FI',1353258304,1353258367),('SE',1353258368,1353258415),('GB',1353258416,1353258423),('SE',1353258424,1353258503),('GB',1353258504,1353258783),('SE',1353258784,1353258807),('GB',1353258808,1353266959),('IE',1353266960,1353266975),('GB',1353266976,1353267455),('IE',1353267456,1353267743),('GB',1353267744,1353268495),('BE',1353268496,1353268511),('GB',1353268512,1353268663),('BE',1353268664,1353268671),('GB',1353268672,1353269015),('BE',1353269016,1353269039),('GB',1353269040,1353269055),('BE',1353269056,1353269079),('GB',1353269080,1353271823),('ES',1353271824,1353271831),('GB',1353271832,1353272071),('ES',1353272072,1353272079),('GB',1353272080,1353272095),('ES',1353272096,1353272111),('GB',1353272112,1353272767),('ES',1353272768,1353272775),('GB',1353272776,1353273343),('BE',1353273344,1353273599),('GB',1353273600,1353273663),('BE',1353273664,1353273695),('GB',1353273696,1353274631),('ES',1353274632,1353274639),('GB',1353274640,1353274647),('ES',1353274648,1353274655),('GB',1353274656,1353274719),('ES',1353274720,1353274751),('GB',1353274752,1353274783),('ES',1353274784,1353274791),('GB',1353274792,1353274855),('ES',1353274856,1353274863),('GB',1353274864,1353274935),('ES',1353274936,1353274943),('GB',1353274944,1353275039),('ES',1353275040,1353275055),('GB',1353275056,1353275279),('ES',1353275280,1353275287),('GB',1353275288,1353275295),('ES',1353275296,1353275327),('GB',1353275328,1353275343),('ES',1353275344,1353275359),('GB',1353275360,1353277439),('CH',1353277440,1353279487),('IT',1353279488,1353280512),('GB',1353280513,1353280519),('IT',1353280520,1353280527),('GB',1353280528,1353280543),('IT',1353280544,1353280575),('GB',1353280576,1353287327),('IE',1353287328,1353287359),('GB',1353287360,1353287935),('IE',1353287936,1353288031),('GB',1353288032,1353288063),('IE',1353288064,1353288151),('GB',1353288152,1353288159),('IE',1353288160,1353288167),('GB',1353288168,1353288191),('IE',1353288192,1353288231),('GB',1353288232,1353288239),('IE',1353288240,1353288351),('GB',1353288352,1353288383),('IE',1353288384,1353288519),('GB',1353288520,1353288543),('IE',1353288544,1353288655),('GB',1353288656,1353288663),('IE',1353288664,1353288703),('GB',1353288704,1353288959),('IE',1353288960,1353289343),('GB',1353289344,1353289351),('IE',1353289352,1353289359),('GB',1353289360,1353289367),('IE',1353289368,1353289375),('GB',1353289376,1353289615),('IE',1353289616,1353289623),('GB',1353289624,1353290751),('DE',1353290752,1353290815),('GB',1353290816,1353297151),('IE',1353297152,1353297183),('GB',1353297184,1353298687),('SE',1353298688,1353298695),('DE',1353298696,1353298703),('GB',1353298704,1353298719),('DE',1353298720,1353298751),('SE',1353298752,1353298879),('GB',1353298880,1353298887),('SE',1353298888,1353298895),('GB',1353298896,1353298911),('SE',1353298912,1353299607),('GB',1353299608,1353299615),('SE',1353299616,1353299631),('GB',1353299632,1353299647),('SE',1353299648,1353299711),('GB',1353299712,1353299967),('SE',1353299968,1353300031),('GB',1353300032,1353300039),('SE',1353300040,1353300047),('GB',1353300048,1353300063),('SE',1353300064,1353300287),('GB',1353300288,1353300319),('SE',1353300320,1353300351),('GB',1353300352,1353300367),('SE',1353300368,1353300383),('GB',1353300384,1353301095),('US',1353301096,1353301103),('GB',1353301104,1353318399),('FR',1353318400,1353383935),('DE',1353383936,1353449471),('PT',1353449472,1353515007),('ES',1353515008,1353646079),('GB',1353646080,1353842687),('IL',1353842688,1353866539),('A2',1353866540,1353866551),('IL',1353866552,1353866631),('A2',1353866632,1353866639),('IL',1353866640,1353866655),('A2',1353866656,1353866663),('IL',1353866664,1353866843),('A2',1353866844,1353866851),('IL',1353866852,1353866871),('A2',1353866872,1353866879),('IL',1353866880,1353866911),('A2',1353866912,1353866919),('IL',1353866920,1353866959),('A2',1353866960,1353866967),('IL',1353866968,1353866971),('A2',1353866972,1353866975),('IL',1353866976,1353866987),('A2',1353866988,1353866991),('IL',1353866992,1353866995),('A2',1353866996,1353866999),('IL',1353867000,1353867071),('A2',1353867072,1353867075),('IL',1353867076,1353867079),('A2',1353867080,1353867083),('IL',1353867084,1353867095),('A2',1353867096,1353867103),('IL',1353867104,1353867107),('A2',1353867108,1353867111),('IL',1353867112,1353867175),('A2',1353867176,1353867183),('IL',1353867184,1353867247),('A2',1353867248,1353867263),('IL',1353867264,1353871887),('A2',1353871888,1353871895),('IL',1353871896,1353871919),('A2',1353871920,1353871935),('IL',1353871936,1353871975),('A2',1353871976,1353871983),('IL',1353871984,1353872095),('A2',1353872096,1353872103),('IL',1353872104,1353872415),('A2',1353872416,1353872431),('IL',1353872432,1353872443),('A2',1353872444,1353872447),('IL',1353872448,1353872495),('A2',1353872496,1353872499),('IL',1353872500,1353872503),('A2',1353872504,1353872527),('IL',1353872528,1353872607),('A2',1353872608,1353872623),('IL',1353872624,1353872703),('A2',1353872704,1353872735),('IL',1353872736,1353872759),('A2',1353872760,1353872767),('IL',1353872768,1353872843),('A2',1353872844,1353872847),('IL',1353872848,1353872871),('A2',1353872872,1353872895),('IL',1353872896,1353872915),('A2',1353872916,1353872919),('IL',1353872920,1353872943),('A2',1353872944,1353872951),('IL',1353872952,1353872991),('A2',1353872992,1353873011),('IL',1353873012,1353873023),('A2',1353873024,1353873031),('IL',1353873032,1353873047),('A2',1353873048,1353873051),('IL',1353873052,1353873059),('A2',1353873060,1353873071),('IL',1353873072,1353873087),('A2',1353873088,1353873095),('IL',1353873096,1353873103),('A2',1353873104,1353873119),('IL',1353873120,1353873127),('A2',1353873128,1353873151),('IL',1353873152,1353906175),('A2',1353906176,1353907967),('IL',1353907968,1353908479),('A2',1353908480,1353909503),('IL',1353909504,1353909759),('A2',1353909760,1353910271),('IL',1353910272,1353912191),('A2',1353912192,1353912207),('IL',1353912208,1353912223),('A2',1353912224,1353912239),('IL',1353912240,1353912247),('A2',1353912248,1353912255),('IL',1353912256,1353912319),('A2',1353912320,1353913343),('IL',1353913344,1353914367),('A2',1353914368,1353914879),('IL',1353914880,1353914967),('A2',1353914968,1353914975),('IL',1353914976,1353915199),('A2',1353915200,1353915207),('IL',1353915208,1353915343),('A2',1353915344,1353915391),('IL',1353915392,1353915407),('A2',1353915408,1353915439),('IL',1353915440,1353915511),('A2',1353915512,1353915519),('IL',1353915520,1353915663),('A2',1353915664,1353915679),('IL',1353915680,1353915703),('A2',1353915704,1353915711),('IL',1353915712,1353915767),('A2',1353915768,1353915775),('IL',1353915776,1353915783),('A2',1353915784,1353915791),('IL',1353915792,1353915815),('A2',1353915816,1353915863),('IL',1353915864,1353915895),('A2',1353915896,1353915903),('IL',1353915904,1353917183),('A2',1353917184,1353917439),('IL',1353917440,1353917695),('A2',1353917696,1353918463),('IL',1353918464,1353918847),('A2',1353918848,1353918863),('IL',1353918864,1353918867),('A2',1353918868,1353918879),('IL',1353918880,1353918895),('A2',1353918896,1353918903),('IL',1353918904,1353918911),('A2',1353918912,1353918975),('IL',1353918976,1353919167),('A2',1353919168,1353919191),('IL',1353919192,1353919207),('A2',1353919208,1353919227),('IL',1353919228,1353919359),('A2',1353919360,1353919375),('IL',1353919376,1353919383),('A2',1353919384,1353919423),('IL',1353919424,1353919431),('A2',1353919432,1353919439),('IL',1353919440,1353919447),('A2',1353919448,1353919463),('IL',1353919464,1353919471),('A2',1353919472,1353919483),('IL',1353919484,1353919487),('A2',1353919488,1353919495),('IL',1353919496,1353919527),('A2',1353919528,1353919535),('IL',1353919536,1353919579),('A2',1353919580,1353919591),('IL',1353919592,1353919599),('A2',1353919600,1353919647),('IL',1353919648,1353919663),('A2',1353919664,1353919703),('IL',1353919704,1353919727),('A2',1353919728,1353919743),('IL',1353919744,1353919999),('A2',1353920000,1353920767),('IL',1353920768,1353921279),('A2',1353921280,1353923119),('IL',1353923120,1353923123),('A2',1353923124,1353923135),('IL',1353923136,1353923143),('A2',1353923144,1353925391),('IL',1353925392,1353925407),('A2',1353925408,1353925415),('IL',1353925416,1353925423),('A2',1353925424,1353925439),('IL',1353925440,1353925463),('A2',1353925464,1353925799),('IL',1353925800,1353925807),('A2',1353925808,1353930391),('IL',1353930392,1353930407),('A2',1353930408,1353930415),('IL',1353930416,1353930479),('A2',1353930480,1353930487),('IL',1353930488,1353930495),('A2',1353930496,1353931103),('IL',1353931104,1353931199),('A2',1353931200,1353932319),('IL',1353932320,1353932335),('A2',1353932336,1353932799),('IL',1353932800,1353932847),('A2',1353932848,1353932855),('IL',1353932856,1353933055),('A2',1353933056,1353933071),('IL',1353933072,1353933079),('A2',1353933080,1353933167),('IL',1353933168,1353933183),('A2',1353933184,1353933231),('IL',1353933232,1353933247),('A2',1353933248,1353933255),('IL',1353933256,1353933279),('A2',1353933280,1353933295),('IL',1353933296,1353933311),('A2',1353933312,1353933679),('IL',1353933680,1353933695),('A2',1353933696,1353933711),('IL',1353933712,1353933719),('A2',1353933720,1353933727),('IL',1353933728,1353933775),('A2',1353933776,1353933815),('IL',1353933816,1353933823),('A2',1353933824,1353934079),('IL',1353934080,1353934111),('A2',1353934112,1353934175),('IL',1353934176,1353934207),('A2',1353934208,1353934351),('IL',1353934352,1353934383),('A2',1353934384,1353934399),('IL',1353934400,1353934401),('A2',1353934402,1353934431),('IL',1353934432,1353934463),('A2',1353934464,1353934495),('IL',1353934496,1353934511),('A2',1353934512,1353934639),('IL',1353934640,1353934647),('A2',1353934648,1353934695),('IL',1353934696,1353934703),('A2',1353934704,1353934751),('IL',1353934752,1353934759),('A2',1353934760,1353934815),('IL',1353934816,1353934823),('A2',1353934824,1353934991),('IL',1353934992,1353935007),('A2',1353935008,1353935103),('IL',1353935104,1353935623),('A2',1353935624,1353935631),('IL',1353935632,1353935639),('A2',1353935640,1353935871),('IL',1353935872,1353936207),('A2',1353936208,1353936239),('IL',1353936240,1353936447),('A2',1353936448,1353936479),('IL',1353936480,1353936927),('A2',1353936928,1353936935),('IL',1353936936,1353936991),('A2',1353936992,1353937015),('IL',1353937016,1353937167),('A2',1353937168,1353937183),('IL',1353937184,1353937223),('A2',1353937224,1353937239),('IL',1353937240,1353937263),('A2',1353937264,1353937279),('IL',1353937280,1353937295),('A2',1353937296,1353937303),('IL',1353937304,1353937315),('A2',1353937316,1353937319),('IL',1353937320,1353937335),('A2',1353937336,1353937339),('IL',1353937340,1353937343),('A2',1353937344,1353937359),('IL',1353937360,1353937727),('A2',1353937728,1353937759),('IL',1353937760,1353937887),('A2',1353937888,1353937919),('IL',1353937920,1353937935),('A2',1353937936,1353937983),('IL',1353937984,1353938015),('A2',1353938016,1353938047),('IL',1353938048,1353938143),('A2',1353938144,1353938159),('IL',1353938160,1353938943),('A2',1353938944,1353939455),('IL',1353939456,1353939463),('A2',1353939464,1353939471),('IL',1353939472,1353939519),('A2',1353939520,1353939647),('IL',1353939648,1353939711),('A2',1353939712,1353940063),('IL',1353940064,1353940079),('A2',1353940080,1353940095),('IL',1353940096,1353940127),('A2',1353940128,1353940255),('IL',1353940256,1353940367),('A2',1353940368,1353940383),('IL',1353940384,1353940399),('A2',1353940400,1353940415),('IL',1353940416,1353940455),('A2',1353940456,1353940479),('IL',1353940480,1353940503),('A2',1353940504,1353940507),('IL',1353940508,1353940511),('A2',1353940512,1353940519),('IL',1353940520,1353940527),('A2',1353940528,1353940743),('IL',1353940744,1353940751),('A2',1353940752,1353940767),('IL',1353940768,1353940791),('A2',1353940792,1353940799),('IL',1353940800,1353940815),('A2',1353940816,1353940847),('IL',1353940848,1353940871),('A2',1353940872,1353940879),('IL',1353940880,1353940911),('A2',1353940912,1353940959),('IL',1353940960,1353947135),('A2',1353947136,1353955455),('IL',1353955456,1353955711),('A2',1353955712,1353955719),('IL',1353955720,1353955903),('A2',1353955904,1353955967),('IL',1353955968,1353956095),('A2',1353956096,1353956127),('IL',1353956128,1353956175),('A2',1353956176,1353956179),('IL',1353956180,1353956223),('A2',1353956224,1353956239),('IL',1353956240,1353956287),('A2',1353956288,1353956303),('IL',1353956304,1353956607),('GB',1353956608,1353956863),('A2',1353956864,1353957119),('IL',1353957120,1353957345),('A2',1353957346,1353957375),('IL',1353957376,1353958143),('A2',1353958144,1353959167),('IL',1353959168,1353959423),('A2',1353959424,1353960191),('IL',1353960192,1353960447),('A2',1353960448,1353961215),('IL',1353961216,1353961471),('A2',1353961472,1353961983),('IL',1353961984,1353962239),('A2',1353962240,1353966335),('IL',1353966336,1353966751),('A2',1353966752,1353966847),('IL',1353966848,1353967551),('A2',1353967552,1353967567),('IL',1353967568,1353967583),('A2',1353967584,1353967599),('IL',1353967600,1353967935),('A2',1353967936,1353967951),('IL',1353967952,1353968063),('A2',1353968064,1353968095),('IL',1353968096,1353968127),('A2',1353968128,1353968383),('IL',1353968384,1353968547),('A2',1353968548,1353968551),('IL',1353968552,1353968639),('A2',1353968640,1353969407),('IL',1353969408,1353969919),('A2',1353969920,1353971711),('IL',1353971712,1353971967),('A2',1353971968,1353972527),('IL',1353972528,1353972535),('A2',1353972536,1353972607),('IL',1353972608,1353972735),('A2',1353972736,1353972991),('IL',1353972992,1353973007),('A2',1353973008,1353973015),('IL',1353973016,1353973067),('A2',1353973068,1353973071),('IL',1353973072,1353973127),('A2',1353973128,1353973151),('IL',1353973152,1353973223),('A2',1353973224,1353973239),('IL',1353973240,1353973247),('A2',1353973248,1353973759),('IT',1353973760,1354235903),('KW',1354235904,1354301439),('FR',1354301440,1354366975),('FI',1354366976,1354432511),('DE',1354432512,1354498047),('CZ',1354498048,1354563583),('GB',1354563584,1354629119),('DE',1354629120,1354663295),('ES',1354663296,1354663303),('DE',1354663304,1354663807),('AT',1354663808,1354663808),('DE',1354663809,1354664743),('IT',1354664744,1354664751),('DE',1354664752,1354665215),('ES',1354665216,1354665247),('DE',1354665248,1354665943),('IT',1354665944,1354665951),('DE',1354665952,1354666639),('FI',1354666640,1354666650),('DE',1354666651,1354666687),('FI',1354666688,1354666688),('DE',1354666689,1354668031),('AT',1354668032,1354668159),('DE',1354668160,1354674719),('CH',1354674720,1354674751),('DK',1354674752,1354674783),('DE',1354674784,1354674943),('AE',1354674944,1354675199),('DE',1354675200,1354675327),('DK',1354675328,1354675359),('DE',1354675360,1354676479),('AE',1354676480,1354676767),('DE',1354676768,1354676991),('AE',1354676992,1354677023),('DE',1354677024,1354677151),('AT',1354677152,1354677159),('DE',1354677160,1354677247),('AE',1354677248,1354677279),('DE',1354677280,1354678015),('AE',1354678016,1354678031),('DE',1354678032,1354678335),('RO',1354678336,1354678343),('DE',1354678344,1354678559),('AE',1354678560,1354678575),('DE',1354678576,1354678743),('CH',1354678744,1354678751),('DE',1354678752,1354679295),('AE',1354679296,1354679807),('DE',1354679808,1354679839),('DK',1354679840,1354679871),('DE',1354679872,1354680063),('AE',1354680064,1354680079),('DE',1354680080,1354681087),('ES',1354681088,1354681151),('DE',1354681152,1354681247),('DK',1354681248,1354681279),('DE',1354681280,1354681471),('AE',1354681472,1354681487),('DE',1354681488,1354681503),('US',1354681504,1354681511),('DE',1354681512,1354682111),('DK',1354682112,1354682143),('DE',1354682144,1354682287),('AE',1354682288,1354682303),('DE',1354682304,1354682771),('RS',1354682772,1354682775),('DE',1354682776,1354682895),('AE',1354682896,1354682911),('DE',1354682912,1354682939),('MC',1354682940,1354682943),('DE',1354682944,1354683095),('IT',1354683096,1354683103),('DE',1354683104,1354683391),('PL',1354683392,1354683903),('DE',1354683904,1354684415),('AE',1354684416,1354684431),('DE',1354684432,1354684671),('AE',1354684672,1354684927),('DE',1354684928,1354687023),('ES',1354687024,1354687031),('DE',1354687032,1354687231),('CH',1354687232,1354687247),('DE',1354687248,1354687359),('NZ',1354687360,1354687375),('DE',1354687376,1354687383),('NZ',1354687384,1354687391),('DE',1354687392,1354687399),('IT',1354687400,1354687407),('DE',1354687408,1354687455),('IT',1354687456,1354687487),('DE',1354687488,1354687759),('CH',1354687760,1354687763),('DE',1354687764,1354687859),('IT',1354687860,1354687863),('DE',1354687864,1354688122),('ES',1354688123,1354688126),('DE',1354688127,1354688263),('ES',1354688264,1354688271),('DE',1354688272,1354688362),('CH',1354688363,1354688363),('DE',1354688364,1354688815),('IT',1354688816,1354688816),('DE',1354688817,1354694655),('IR',1354694656,1354760191),('GB',1354760192,1355022335),('DK',1355022336,1355284479),('BE',1355284480,1355415551),('NO',1355415552,1355546623),('IT',1355546624,1355808767),('DK',1355808768,1356070911),('NO',1356070912,1356201983),('FR',1356201984,1356333055),('SE',1356333056,1356464127),('CH',1356464128,1356595199),('FI',1356595200,1356857343),('ES',1356857344,1356922879),('GB',1356922880,1356988415),('DE',1356988416,1357053951),('AE',1357053952,1357091727),('A2',1357091728,1357091743),('AE',1357091744,1357119487),('DE',1357119488,1357126807),('NL',1357126808,1357126815),('DE',1357126816,1357127063),('NL',1357127064,1357127079),('DE',1357127080,1357127471),('CH',1357127472,1357127487),('DE',1357127488,1357177943),('NL',1357177944,1357177951),('DE',1357177952,1357185023),('GB',1357185024,1357250559),('IL',1357250560,1357316095),('ES',1357316096,1357316607),('LU',1357316608,1357317119),('NG',1357317120,1357317375),('LB',1357317376,1357317631),('LY',1357317632,1357318143),('QA',1357318144,1357320191),('FR',1357320192,1357320703),('RO',1357320704,1357320959),('DK',1357320960,1357320983),('EU',1357320984,1357320991),('DK',1357320992,1357321015),('ES',1357321016,1357321023),('GB',1357321024,1357321087),('LB',1357321088,1357321215),('GB',1357321216,1357321471),('ES',1357321472,1357321503),('EU',1357321504,1357321727),('CY',1357321728,1357321983),('SO',1357321984,1357322239),('DE',1357322240,1357322495),('EU',1357322496,1357326335),('NL',1357326336,1357326591),('DE',1357326592,1357326847),('ES',1357326848,1357327103),('GB',1357327104,1357327359),('EU',1357327360,1357328383),('SA',1357328384,1357330176),('EU',1357330177,1357330431),('IQ',1357330432,1357330687),('DE',1357330688,1357330943),('ES',1357330944,1357331455),('EU',1357331456,1357332479),('DE',1357332480,1357333247),('GB',1357333248,1357333503),('IR',1357333504,1357333759),('GB',1357333760,1357333823),('GE',1357333824,1357333855),('ES',1357333856,1357334015),('SM',1357334016,1357334271),('ES',1357334272,1357334527),('FR',1357334528,1357335039),('LB',1357335040,1357335295),('FR',1357335296,1357335551),('SM',1357335552,1357335807),('KE',1357335808,1357336063),('GB',1357336064,1357336319),('FR',1357336320,1357336575),('NL',1357336576,1357337599),('GB',1357337600,1357337855),('ES',1357337856,1357338111),('FR',1357338112,1357338879),('NO',1357338880,1357339647),('DZ',1357339648,1357339903),('ES',1357339904,1357340415),('LB',1357340416,1357340671),('GB',1357340672,1357342719),('EU',1357342720,1357348863),('DE',1357348864,1357349119),('LU',1357349120,1357349375),('ES',1357349376,1357350399),('QA',1357350400,1357350911),('SM',1357350912,1357351167),('PL',1357351168,1357351423),('DE',1357351424,1357351679),('PL',1357351680,1357351935),('GB',1357351936,1357352447),('EU',1357352448,1357356031),('ES',1357356032,1357357567),('DE',1357357568,1357358079),('ES',1357358080,1357358335),('EU',1357358336,1357358591),('DE',1357358592,1357358847),('PL',1357358848,1357359103),('ES',1357359104,1357359487),('EU',1357359488,1357359551),('ES',1357359552,1357359999),('DE',1357360000,1357360127),('GB',1357360128,1357360255),('FR',1357360256,1357360383),('ES',1357360384,1357360639),('GB',1357360640,1357360895),('DE',1357360896,1357361151),('EU',1357361152,1357363199),('QA',1357363200,1357364223),('ES',1357364224,1357365247),('DZ',1357365248,1357365759),('ES',1357365760,1357365791),('EU',1357365792,1357365823),('GB',1357365824,1357365887),('DE',1357365888,1357365951),('GB',1357365952,1357366015),('KM',1357366016,1357366271),('KE',1357366272,1357366527),('BE',1357366528,1357366591),('FR',1357366592,1357366655),('PT',1357366656,1357366719),('FR',1357366720,1357366783),('MD',1357366784,1357366799),('EU',1357366800,1357366815),('FR',1357366816,1357366847),('GB',1357366848,1357366863),('ES',1357366864,1357366879),('GB',1357366880,1357366911),('EU',1357366912,1357367039),('GB',1357367040,1357367295),('DZ',1357367296,1357368063),('GN',1357368064,1357368831),('EU',1357368832,1357369343),('PL',1357369344,1357369599),('GB',1357369600,1357369855),('KE',1357369856,1357370111),('DZ',1357370112,1357370879),('LY',1357370880,1357371391),('PK',1357371392,1357371903),('FR',1357371904,1357372159),('GB',1357372160,1357372415),('EU',1357372416,1357372927),('AM',1357372928,1357373183),('GB',1357373184,1357373439),('EU',1357373440,1357381631),('NO',1357381632,1357391615),('SE',1357391616,1357391871),('NO',1357391872,1357414399),('LV',1357414400,1357447167),('DK',1357447168,1357479935),('LV',1357479936,1357512703),('RU',1357512704,1357545471),('GB',1357545472,1357578239),('EE',1357578240,1357611007),('GB',1357611008,1357643775),('FR',1357643776,1357676543),('BE',1357676544,1357709311),('RU',1357709312,1357742079),('DE',1357742080,1357759183),('AT',1357759184,1357759191),('DE',1357759192,1357765823),('AT',1357765824,1357765831),('DE',1357765832,1357774847),('GB',1357774848,1357791231),('PL',1357791232,1357807615),('CH',1357807616,1357840383),('NO',1357840384,1357867735),('SE',1357867736,1357867743),('NO',1357867744,1357873151),('DE',1357873152,1357875199),('AT',1357875200,1357875215),('DE',1357875216,1357875223),('EU',1357875224,1357875231),('DE',1357875232,1357875263),('AT',1357875264,1357875279),('DE',1357875280,1357875295),('EU',1357875296,1357875327),('DE',1357875328,1357875391),('EU',1357875392,1357875455),('DE',1357875456,1357875711),('PL',1357875712,1357875967),('DE',1357875968,1357876191),('EU',1357876192,1357876207),('DE',1357876208,1357876215),('EU',1357876216,1357876271),('PL',1357876272,1357876279),('EU',1357876280,1357876287),('PL',1357876288,1357876303),('EU',1357876304,1357876335),('PL',1357876336,1357876339),('EU',1357876340,1357876391),('PL',1357876392,1357876399),('EU',1357876400,1357876415),('PL',1357876416,1357876479),('EU',1357876480,1357876735),('DE',1357876736,1357876863),('EU',1357876864,1357876991),('DE',1357876992,1357877759),('EU',1357877760,1357878271),('DE',1357878272,1357879551),('EU',1357879552,1357879807),('RU',1357879808,1357879871),('DE',1357879872,1357879935),('EU',1357879936,1357880447),('CH',1357880448,1357880511),('DE',1357880512,1357880543),('AT',1357880544,1357880559),('DE',1357880560,1357880831),('EU',1357880832,1357881087),('DE',1357881088,1357881343),('FR',1357881344,1357883391),('EU',1357883392,1357883423),('FR',1357883424,1357883455),('EU',1357883456,1357883535),('FR',1357883536,1357883551),('EU',1357883552,1357883647),('FR',1357883648,1357883719),('EU',1357883720,1357883775),('FR',1357883776,1357883807),('EU',1357883808,1357883839),('FR',1357883840,1357883951),('EU',1357883952,1357883999),('FR',1357884000,1357884031),('EU',1357884032,1357884159),('FR',1357884160,1357884419),('EU',1357884420,1357884439),('FR',1357884440,1357884447),('EU',1357884448,1357884511),('FR',1357884512,1357884927),('EU',1357884928,1357884991),('FR',1357884992,1357885055),('EU',1357885056,1357885119),('FR',1357885120,1357885183),('EU',1357885184,1357885199),('ES',1357885200,1357885215),('EU',1357885216,1357885311),('DE',1357885312,1357885439),('FR',1357885440,1357885695),('NO',1357885696,1357885951),('FR',1357885952,1357886463),('US',1357886464,1357887487),('FR',1357887488,1357888511),('NO',1357888512,1357889535),('PL',1357889536,1357890815),('EU',1357890816,1357890823),('NL',1357890824,1357890895),('EU',1357890896,1357890943),('NL',1357890944,1357891391),('EU',1357891392,1357891407),('CA',1357891408,1357891423),('NL',1357891424,1357891455),('SE',1357891456,1357891583),('NL',1357891584,1357891679),('EU',1357891680,1357891711),('NL',1357891712,1357891839),('EU',1357891840,1357892095),('NL',1357892096,1357893119),('EU',1357893120,1357893503),('DE',1357893504,1357893631),('EU',1357893632,1357897855),('DE',1357897856,1357897887),('EU',1357897888,1357897919),('DE',1357897920,1357897983),('EU',1357897984,1357898239),('DE',1357898240,1357898495),('EU',1357898496,1357898751),('DE',1357898752,1357898879),('EU',1357898880,1357899007),('DE',1357899008,1357899015),('EU',1357899016,1357899023),('DE',1357899024,1357899063),('EU',1357899064,1357899071),('DE',1357899072,1357899263),('EU',1357899264,1357899295),('US',1357899296,1357899311),('EU',1357899312,1357899775),('DE',1357899776,1357900287),('EU',1357900288,1357900543),('NL',1357900544,1357900799),('DE',1357900800,1357901311),('EU',1357901312,1357901567),('DE',1357901568,1357901823),('PL',1357901824,1357903615),('SE',1357903616,1357903871),('EU',1357903872,1357905919),('LT',1357905920,1357910015),('GR',1357910016,1357914111),('RU',1357914112,1357922303),('SA',1357922304,1357926399),('GB',1357926400,1357930495),('RU',1357930496,1357938687),('RS',1357942784,1357946879),('PL',1357946880,1357955071),('KE',1357955072,1357959167),('RU',1357959168,1357963263),('AT',1357963264,1357964199),('DE',1357964200,1357964207),('AT',1357964208,1357967359),('RU',1357967360,1357971455),('KZ',1357971456,1357975551),('AT',1357975552,1357979647),('KZ',1357979648,1357983743),('RU',1357983744,1357987839),('GB',1357987840,1357991935),('NO',1357991936,1357996031),('CH',1357996032,1358000127),('LI',1358000128,1358004223),('PL',1358004224,1358008319),('BH',1358008320,1358012415),('IT',1358012416,1358016511),('GE',1358016512,1358020607),('DE',1358020608,1358024703),('EE',1358024704,1358028799),('IT',1358028800,1358032895),('GE',1358032896,1358036991),('IR',1358036992,1358045183),('SK',1358045184,1358049279),('RU',1358049280,1358061567),('NL',1358061568,1358065663),('BA',1358065664,1358069759),('DE',1358069760,1358082815),('CH',1358082816,1358083071),('DE',1358083072,1358086143),('CH',1358086144,1358090239),('BE',1358090240,1358094335),('NL',1358094336,1358102527),('RU',1358102528,1358106623),('LT',1358106624,1358110719),('DE',1358110720,1358116895),('IT',1358116896,1358116911),('DE',1358116912,1358118911),('RU',1358118912,1358123007),('PT',1358123008,1358127103),('RU',1358127104,1358131199),('DK',1358131200,1358135295),('DE',1358135296,1358139391),('UA',1358139392,1358143487),('AT',1358143488,1358144159),('MT',1358144160,1358144191),('AT',1358144192,1358147519),('MT',1358147520,1358147583),('GB',1358147584,1358151679),('DE',1358151680,1358155775),('CH',1358155776,1358159871),('ES',1358159872,1358163967),('FR',1358163968,1358168063),('GB',1358168064,1358172159),('CY',1358172160,1358173183),('GR',1358173184,1358173951),('CY',1358173952,1358176255),('RU',1358176256,1358180351),('ES',1358180352,1358184447),('SE',1358184448,1358192639),('HU',1358192640,1358196735),('IT',1358196736,1358200831),('PL',1358200832,1358209023),('IL',1358209024,1358213119),('GB',1358213120,1358217215),('SE',1358217216,1358221311),('DE',1358221312,1358223359),('GB',1358223360,1358223631),('DE',1358223632,1358223727),('GB',1358223728,1358223735),('DE',1358223736,1358223743),('GB',1358223744,1358223759),('DE',1358223760,1358223887),('NL',1358223888,1358223895),('DE',1358223896,1358223911),('NL',1358223912,1358223927),('DE',1358223928,1358223967),('NL',1358223968,1358224023),('DE',1358224024,1358224511),('BE',1358224512,1358224519),('DE',1358224520,1358224611),('BE',1358224612,1358224651),('DE',1358224652,1358224655),('BE',1358224656,1358224663),('DE',1358224664,1358224927),('IT',1358224928,1358225007),('DE',1358225008,1358225407),('RU',1358225408,1358229503),('DE',1358229504,1358229631),('LU',1358229632,1358229639),('DE',1358229640,1358230111),('AT',1358230112,1358230115),('DE',1358230116,1358230327),('BA',1358230328,1358230335),('DE',1358230336,1358230383),('US',1358230384,1358230391),('CH',1358230392,1358230399),('DE',1358230400,1358230527),('GB',1358230528,1358230531),('DE',1358230532,1358231593),('US',1358231594,1358231594),('DE',1358231595,1358232703),('AT',1358232704,1358232831),('DE',1358232832,1358232863),('IT',1358232864,1358232879),('DE',1358232880,1358233599),('ES',1358233600,1358237695),('FR',1358237696,1358241791),('BE',1358241792,1358241807),('FR',1358241808,1358242591),('BE',1358242592,1358242623),('FR',1358242624,1358244351),('NL',1358244352,1358245375),('FR',1358245376,1358245663),('BE',1358245664,1358245679),('FR',1358245680,1358245695),('BE',1358245696,1358245727),('FR',1358245728,1358245887),('NL',1358245888,1358247935),('FR',1358247936,1358249983),('DE',1358249984,1358251815),('NL',1358251816,1358251823),('DE',1358251824,1358254079),('NL',1358254080,1358254335),('TR',1358254336,1358254591),('NL',1358254592,1358258175),('GB',1358258176,1358262271),('UA',1358262272,1358266367),('DE',1358266368,1358274559),('GR',1358274560,1358278655),('PL',1358278656,1358282751),('AT',1358282752,1358286847),('MT',1358286848,1358290943),('DE',1358290944,1358295039),('RU',1358295040,1358299135),('DZ',1358299136,1358303231),('RU',1358303232,1358307327),('DE',1358307328,1358311423),('LB',1358311424,1358315519),('RU',1358315520,1358323711),('LU',1358323712,1358327807),('DE',1358327808,1358328671),('AT',1358328672,1358328727),('DE',1358328728,1358331903),('IL',1358331904,1358335999),('FI',1358336000,1358344191),('IT',1358344192,1358348287),('NL',1358348288,1358352383),('RU',1358352384,1358356479),('SI',1358356480,1358360575),('RU',1358360576,1358364671),('GB',1358364672,1358372863),('RU',1358372864,1358376959),('GB',1358376960,1358381055),('IT',1358381056,1358384127),('FR',1358384128,1358384143),('IT',1358384144,1358384191),('FR',1358384192,1358384199),('IT',1358384200,1358385151),('GB',1358385152,1358389247),('RU',1358389248,1358397439),('GB',1358397440,1358397743),('A2',1358397744,1358397951),('TZ',1358397952,1358398463),('PK',1358398464,1358399487),('NG',1358399488,1358399999),('PK',1358400000,1358400007),('A2',1358400008,1358400015),('IN',1358400016,1358400071),('A2',1358400072,1358400255),('AF',1358400256,1358400511),('GA',1358400512,1358400519),('A2',1358400520,1358400527),('TZ',1358400528,1358400535),('A2',1358400536,1358400543),('GA',1358400544,1358400551),('A2',1358400552,1358400575),('KE',1358400576,1358400591),('A2',1358400592,1358400639),('KE',1358400640,1358400775),('A2',1358400776,1358400783),('KE',1358400784,1358400799),('NG',1358400800,1358400863),('GA',1358400864,1358400895),('NG',1358400896,1358401279),('KE',1358401280,1358401391),('A2',1358401392,1358401407),('KE',1358401408,1358401439),('A2',1358401440,1358401535),('GB',1358401536,1358401791),('A2',1358401792,1358402175),('TZ',1358402176,1358402303),('A2',1358402304,1358402319),('NG',1358402320,1358402343),('KE',1358402344,1358402351),('A2',1358402352,1358402359),('ID',1358402360,1358402363),('A2',1358402364,1358402367),('NG',1358402368,1358402399),('CG',1358402400,1358402415),('ID',1358402416,1358402419),('A2',1358402420,1358402447),('KE',1358402448,1358402463),('A2',1358402464,1358402495),('KE',1358402496,1358402543),('A2',1358402544,1358402687),('GB',1358402688,1358402719),('A2',1358402720,1358403103),('ID',1358403104,1358403135),('A2',1358403136,1358403151),('ID',1358403152,1358403167),('A2',1358403168,1358403183),('ID',1358403184,1358403273),('A2',1358403274,1358403327),('NG',1358403328,1358403583),('PK',1358403584,1358403591),('A2',1358403592,1358403631),('PK',1358403632,1358403679),('A2',1358403680,1358403687),('PK',1358403688,1358403711),('A2',1358403712,1358403839),('NG',1358403840,1358404095),('PK',1358404096,1358404607),('NG',1358404608,1358404611),('TZ',1358404612,1358404615),('NG',1358404616,1358404623),('TZ',1358404624,1358404655),('NG',1358404656,1358404671),('A2',1358404672,1358404695),('TZ',1358404696,1358404703),('A2',1358404704,1358404735),('NG',1358404736,1358404751),('A2',1358404752,1358404767),('NG',1358404768,1358404783),('A2',1358404784,1358404863),('NG',1358404864,1358405119),('TZ',1358405120,1358405375),('NG',1358405376,1358405631),('NL',1358405632,1358409727),('RU',1358409728,1358413823),('NL',1358413824,1358422015),('FR',1358422016,1358426111),('FI',1358426112,1358430207),('NG',1358430208,1358434303),('IS',1358434304,1358438399),('NL',1358438400,1358442495),('RU',1358442496,1358446591),('TG',1358446592,1358450687),('RU',1358450688,1358454783),('FI',1358454784,1358462975),('SE',1358462976,1358467071),('RU',1358467072,1358471167),('FI',1358471168,1358475263),('GB',1358475264,1358479359),('LI',1358479360,1358483455),('FR',1358483456,1358487551),('SE',1358487552,1358491647),('FI',1358491648,1358495743),('PL',1358495744,1358499839),('KZ',1358499840,1358503935),('ES',1358503936,1358508031),('GB',1358508032,1358512127),('DZ',1358512128,1358516223),('GB',1358520320,1358524415),('CH',1358524416,1358524671),('DE',1358524672,1358524927),('GB',1358524928,1358525183),('NL',1358525184,1358525215),('DE',1358525216,1358525223),('GB',1358525224,1358525227),('NL',1358525228,1358525235),('DE',1358525236,1358525327),('NL',1358525328,1358525343),('DE',1358525344,1358525359),('NL',1358525360,1358525391),('DE',1358525392,1358525487),('CH',1358525488,1358525491),('DE',1358525492,1358525535),('CH',1358525536,1358525543),('DE',1358525544,1358525951),('NL',1358525952,1358526463),('DE',1358526464,1358526975),('NL',1358526976,1358527743),('DE',1358527744,1358527751),('NL',1358527752,1358527759),('DE',1358527760,1358527999),('NL',1358528000,1358528255),('DE',1358528256,1358528511),('RU',1358528512,1358536703),('HU',1358536704,1358540799),('RU',1358540800,1358544895),('LV',1358544896,1358548991),('JO',1358548992,1358553087),('UA',1358553088,1358557183),('IE',1358557184,1358561279),('CZ',1358561280,1358567439),('SC',1358567440,1358567455),('CZ',1358567456,1358569471),('NG',1358569472,1358573567),('LV',1358573568,1358577663),('RU',1358577664,1358585855),('EE',1358589952,1358594047),('DE',1358594048,1358598143),('IL',1358598144,1358602239),('RU',1358602240,1358622719),('SK',1358622720,1358626815),('TR',1358626816,1358630911),('TR',1358635008,1358639103),('RU',1358639104,1358643199),('ES',1358643200,1358647295),('DE',1358647296,1358651391),('FR',1358651392,1358655487),('RU',1358655488,1358667775),('PT',1358667776,1358668047),('GB',1358668048,1358668055),('PT',1358668056,1358668063),('GB',1358668064,1358668095),('PT',1358668096,1358668103),('GB',1358668104,1358668135),('PT',1358668136,1358668143),('GB',1358668144,1358668151),('PT',1358668152,1358668211),('GB',1358668212,1358668223),('PT',1358668224,1358668231),('GB',1358668232,1358668239),('PT',1358668240,1358668263),('GB',1358668264,1358668279),('PT',1358668280,1358668359),('GB',1358668360,1358668383),('PT',1358668384,1358668399),('GB',1358668400,1358668415),('PT',1358668416,1358668463),('ES',1358668464,1358668479),('PT',1358668480,1358668551),('GB',1358668552,1358668567),('PT',1358668568,1358668575),('GB',1358668576,1358668591),('PT',1358668592,1358668607),('GB',1358668608,1358668639),('PT',1358668640,1358668799),('GB',1358668800,1358668831),('PT',1358668832,1358668895),('GB',1358668896,1358669055),('PT',1358669056,1358669351),('GB',1358669352,1358669359),('PT',1358669360,1358669375),('GB',1358669376,1358669383),('PT',1358669384,1358669399),('GB',1358669400,1358669423),('PT',1358669424,1358669503),('GB',1358669504,1358669519),('PT',1358669520,1358669543),('GB',1358669544,1358669551),('PT',1358669552,1358669915),('GB',1358669916,1358669919),('PT',1358669920,1358669999),('GB',1358670000,1358670031),('PT',1358670032,1358670079),('GB',1358670080,1358670591),('PT',1358670592,1358670959),('GB',1358670960,1358670975),('PT',1358670976,1358671103),('GB',1358671104,1358671367),('PT',1358671368,1358671375),('GB',1358671376,1358671383),('PT',1358671384,1358671391),('GB',1358671392,1358671407),('PT',1358671408,1358671415),('GB',1358671416,1358671439),('PT',1358671440,1358671615),('GB',1358671616,1358675967),('SE',1358675968,1358676735),('DK',1358676736,1358677759),('SE',1358677760,1358680063),('RU',1358680064,1358684159),('SA',1358684160,1358688255),('CZ',1358688256,1358692351),('PL',1358692352,1358696447),('RU',1358696448,1358700543),('AT',1358700544,1358704639),('HU',1358704640,1358708735),('GB',1358708736,1358712831),('NL',1358712832,1358716927),('DE',1358716928,1358721023),('GB',1358721024,1358725119),('RU',1358725120,1358733311),('SE',1358733312,1358736927),('NL',1358736928,1358736943),('SE',1358736944,1358738431),('NL',1358738432,1358738447),('SE',1358738448,1358739135),('NL',1358739136,1358739151),('SE',1358739152,1358739503),('FR',1358739504,1358739519),('SE',1358739520,1358740159),('FR',1358740160,1358740175),('SE',1358740176,1358740335),('GB',1358740336,1358740351),('SE',1358740352,1358740671),('GB',1358740672,1358740687),('SE',1358740688,1358741055),('GB',1358741056,1358741071),('SE',1358741072,1358741503),('IT',1358741504,1358745599),('SE',1358745600,1358749695),('IT',1358749696,1358753791),('UA',1358753792,1358757887),('RU',1358757888,1358766079),('IT',1358766080,1358770175),('BG',1358770176,1358774271),('ES',1358774272,1358778367),('CH',1358778368,1358782463),('GB',1358782464,1358784015),('NL',1358784016,1358784039),('DE',1358784040,1358784063),('GB',1358784064,1358784831),('NL',1358784832,1358784863),('DE',1358784864,1358784895),('GB',1358784896,1358785087),('NL',1358785088,1358785151),('GB',1358785152,1358786559),('NL',1358786560,1358787071),('GB',1358787072,1358787335),('IE',1358787336,1358787359),('GB',1358787360,1358790655),('IR',1358790656,1358798847),('GB',1358798848,1358799359),('HR',1358799360,1358802943),('HU',1358802944,1358807039),('A2',1358807040,1358808159),('RU',1358808160,1358808191),('A2',1358808192,1358810617),('RU',1358810618,1358810622),('A2',1358810623,1358810879),('RU',1358810880,1358811007),('A2',1358811008,1358811135),('DE',1358811136,1358815231),('RU',1358815232,1358819327),('TR',1358819328,1358823423),('UA',1358823424,1358827519),('RU',1358827520,1358831615),('NO',1358831616,1358835711),('RU',1358835712,1358839807),('CH',1358839808,1358843903),('MT',1358843904,1358847999),('RU',1358848000,1358856191),('DE',1358856192,1358860287),('GB',1358860288,1358861311),('DE',1358861312,1358861567),('GB',1358861568,1358862335),('US',1358862336,1358862591),('GB',1358862592,1358863359),('US',1358863360,1358863615),('GB',1358863616,1358864383),('CH',1358864384,1358864399),('IN',1358864400,1358864407),('CH',1358864408,1358864535),('LI',1358864536,1358864543),('CH',1358864544,1358872575),('IT',1358872576,1358876671),('LV',1358876672,1358880767),('GB',1358880768,1358884863),('SE',1358884864,1358888959),('FR',1358888960,1358893055),('RU',1358893056,1358897151),('A2',1358897152,1358898175),('CA',1358898176,1358898239),('A2',1358898240,1358898335),('DK',1358898336,1358898351),('A2',1358898352,1358898816),('CG',1358898817,1358898943),('A2',1358898944,1358898975),('US',1358898976,1358898991),('A2',1358898992,1358899079),('CD',1358899080,1358899087),('A2',1358899088,1358899095),('CD',1358899096,1358899103),('A2',1358899104,1358899111),('ZA',1358899112,1358899119),('A2',1358899120,1358899127),('NG',1358899128,1358899135),('A2',1358899136,1358899199),('UG',1358899200,1358899207),('LA',1358899208,1358899215),('US',1358899216,1358899239),('LK',1358899240,1358899247),('A2',1358899248,1358899263),('PK',1358899264,1358899295),('NG',1358899296,1358899303),('AE',1358899304,1358899311),('NG',1358899312,1358899327),('CD',1358899328,1358899335),('NG',1358899336,1358899343),('MR',1358899344,1358899359),('US',1358899360,1358899375),('CD',1358899376,1358899383),('UG',1358899384,1358899391),('A2',1358899392,1358899407),('DE',1358899408,1358899415),('CD',1358899416,1358899423),('US',1358899424,1358899431),('NG',1358899432,1358899455),('A2',1358899456,1358899463),('US',1358899464,1358899471),('SV',1358899472,1358899479),('A2',1358899480,1358899583),('IN',1358899584,1358899591),('NG',1358899592,1358899599),('LK',1358899600,1358899607),('A2',1358899608,1358899615),('NG',1358899616,1358899631),('NP',1358899632,1358899647),('NG',1358899648,1358899654),('A2',1358899655,1358899983),('KY',1358899984,1358899991),('A2',1358899992,1358900767),('BI',1358900768,1358900783),('A2',1358900784,1358900959),('SL',1358900960,1358900975),('A2',1358900976,1358900991),('TZ',1358900992,1358901247),('A2',1358901248,1358901543),('DE',1358901544,1358901551),('A2',1358901552,1358901807),('CD',1358901808,1358901815),('A2',1358901816,1358901935),('NG',1358901936,1358901951),('A2',1358901952,1358902015),('NG',1358902016,1358902039),('A2',1358902040,1358902063),('TZ',1358902064,1358902079),('NG',1358902080,1358902087),('MG',1358902088,1358902103),('NG',1358902104,1358902143),('A2',1358902144,1358902151),('NG',1358902152,1358902167),('AU',1358902168,1358902175),('A2',1358902176,1358902207),('US',1358902208,1358902215),('NG',1358902216,1358902233),('A2',1358902234,1358902263),('ZA',1358902264,1358902271),('A2',1358902272,1358903615),('GB',1358903616,1358903623),('A2',1358903624,1358903807),('NG',1358903808,1358903951),('A2',1358903952,1358903983),('NG',1358903984,1358904063),('A2',1358904064,1358904071),('US',1358904072,1358904095),('A2',1358904096,1358904103),('US',1358904104,1358904119),('A2',1358904120,1358904127),('US',1358904128,1358904135),('A2',1358904136,1358904143),('NG',1358904144,1358904151),('A2',1358904152,1358904167),('US',1358904168,1358904175),('A2',1358904176,1358904191),('NG',1358904192,1358904199),('US',1358904200,1358904262),('A2',1358904263,1358904295),('NG',1358904296,1358904311),('A2',1358904312,1358904551),('IL',1358904552,1358904559),('A2',1358904560,1358904575),('NG',1358904576,1358904701),('A2',1358904702,1358904703),('MU',1358904704,1358904719),('KN',1358904720,1358904735),('ZA',1358904736,1358904767),('NG',1358904768,1358904831),('A2',1358904832,1358905095),('GH',1358905096,1358905103),('A2',1358905104,1358905111),('TZ',1358905112,1358905119),('GY',1358905120,1358905127),('A2',1358905128,1358905151),('MG',1358905152,1358905159),('A2',1358905160,1358905167),('CD',1358905168,1358905183),('GH',1358905184,1358905215),('US',1358905216,1358905223),('A2',1358905224,1358905231),('GN',1358905232,1358905247),('US',1358905248,1358905279),('A2',1358905280,1358905295),('LR',1358905296,1358905311),('A2',1358905312,1358905343),('UA',1358905344,1358909439),('RU',1358909440,1358913535),('CH',1358913536,1358917631),('ES',1358917632,1358921727),('RU',1358921728,1358929919),('LU',1358929920,1358934015),('RU',1358934016,1358938111),('GB',1358938112,1358946303),('DE',1358946304,1358950399),('NL',1358950400,1358954495),('ES',1358954496,1358970879),('HU',1358970880,1358987263),('NO',1358987264,1359003647),('CZ',1359003648,1359020031),('FR',1359020032,1359036415),('GB',1359036416,1359052799),('SE',1359052800,1359069183),('RU',1359069184,1359101951),('GB',1359101952,1359118335),('DE',1359118336,1359134719),('CZ',1359134720,1359150079),('HU',1359150080,1359150591),('CZ',1359150592,1359151103),('DE',1359151104,1359166175),('HK',1359166176,1359166191),('DE',1359166192,1359167487),('GB',1359167488,1359183871),('RU',1359183872,1359200255),('AT',1359200256,1359216639),('EG',1359216640,1359233023),('NL',1359233024,1359249407),('CY',1359249408,1359260735),('A2',1359260736,1359260751),('CY',1359260752,1359263743),('LB',1359263744,1359263999),('CY',1359264000,1359264767),('LB',1359264768,1359265023),('CY',1359265024,1359265791),('RU',1359265792,1359282175),('IL',1359282176,1359298559),('RU',1359298560,1359314943),('GB',1359314944,1359331327),('AT',1359331328,1359347711),('CH',1359347712,1359349351),('LB',1359349352,1359349359),('CH',1359349360,1359364095),('TR',1359364096,1359380479),('PL',1359380480,1359396863),('GB',1359396864,1359429631),('LT',1359429632,1359446015),('DK',1359446016,1359462399),('DE',1359462400,1359467063),('US',1359467064,1359467079),('DE',1359467080,1359468639),('SG',1359468640,1359468655),('DE',1359468656,1359469943),('AT',1359469944,1359469983),('DE',1359469984,1359470591),('CH',1359470592,1359478783),('TR',1359478784,1359511551),('SE',1359511552,1359544319),('RU',1359544320,1359547391),('US',1359547392,1359547903),('RU',1359547904,1359548159),('US',1359548160,1359548415),('RU',1359548416,1359552511),('US',1359552512,1359552767),('RU',1359552768,1359553599),('US',1359553600,1359553631),('RU',1359553632,1359577087),('ES',1359577088,1359609855),('EG',1359609856,1359630591),('JO',1359630592,1359631359),('EG',1359631360,1359639551),('JO',1359639552,1359640575),('EG',1359640576,1359641343),('JO',1359641344,1359642623),('AT',1359642624,1359675391),('DE',1359675392,1359708159),('BE',1359708160,1359740927),('IR',1359740928,1359773695),('RO',1359773696,1359806463),('RU',1359806464,1359839231),('CH',1359839232,1359871999),('GB',1359872000,1359904767),('DE',1359904768,1359937535),('IS',1359937536,1359970303),('PL',1359970304,1360003071),('RU',1360003072,1360007167),('GB',1360007168,1360011263),('AT',1360011264,1360015359),('DE',1360015360,1360019455),('FI',1360019456,1360023551),('RU',1360023552,1360027647),('AT',1360027648,1360031743),('RU',1360031744,1360039935),('AT',1360039936,1360043743),('AU',1360043744,1360043747),('AT',1360043748,1360044031),('SE',1360044032,1360048127),('DE',1360048128,1360049167),('GB',1360049168,1360049183),('DE',1360049184,1360049199),('SE',1360049200,1360049207),('IT',1360049208,1360049215),('ES',1360049216,1360049223),('JP',1360049224,1360049231),('US',1360049232,1360049239),('GB',1360049240,1360049247),('DE',1360049248,1360052223),('HU',1360052224,1360056319),('RU',1360056320,1360060415),('LT',1360060416,1360064511),('GE',1360064512,1360068607),('RU',1360068608,1360076799),('NL',1360076800,1360084991),('GB',1360084992,1360089087),('AZ',1360089088,1360093183),('DE',1360093184,1360101375),('UA',1360101376,1360105471),('RU',1360105472,1360109567),('US',1360109568,1360109823),('GB',1360109824,1360110591),('US',1360110592,1360110975),('GB',1360110976,1360113663),('HU',1360113664,1360117759),('FI',1360117760,1360121855),('DE',1360121856,1360125951),('SI',1360125952,1360126975),('HR',1360126976,1360127487),('RS',1360127488,1360127999),('MK',1360128000,1360128511),('SI',1360128512,1360129023),('BA',1360129024,1360130047),('IE',1360130048,1360130575),('GB',1360130576,1360130583),('IE',1360130584,1360130815),('GB',1360130816,1360130879),('IE',1360130880,1360131520),('GB',1360131521,1360131583),('IE',1360131584,1360131903),('US',1360131904,1360131919),('AU',1360131920,1360131935),('GB',1360131936,1360131951),('IE',1360131952,1360134143),('NL',1360134144,1360138239),('CH',1360138240,1360142335),('NG',1360142336,1360146431),('RS',1360146432,1360150527),('RO',1360150528,1360158719),('DE',1360158720,1360162815),('RU',1360162816,1360175103),('NL',1360175104,1360179199),('FR',1360179200,1360183215),('BE',1360183216,1360183231),('FR',1360183232,1360183295),('PL',1360183296,1360191487),('FO',1360191488,1360195583),('NL',1360195584,1360199679),('CZ',1360199680,1360203775),('FR',1360203776,1360207871),('CZ',1360207872,1360211967),('GB',1360211968,1360216063),('RU',1360216064,1360224255),('ES',1360224256,1360225663),('GB',1360225664,1360225695),('ES',1360225696,1360226079),('IT',1360226080,1360226111),('ES',1360226112,1360226191),('IT',1360226192,1360226199),('ES',1360226200,1360227023),('GB',1360227024,1360227039),('ES',1360227040,1360228351),('FI',1360228352,1360232447),('RU',1360232448,1360236543),('AT',1360236544,1360240639),('ES',1360240640,1360244735),('GB',1360244736,1360257023),('DK',1360257024,1360265215),('GB',1360265216,1360269311),('KG',1360269312,1360273407),('GB',1360273408,1360281599),('NL',1360281600,1360285695),('DE',1360285696,1360289791),('RU',1360289792,1360293887),('DE',1360293888,1360297983),('FR',1360297984,1360302079),('EE',1360302080,1360306175),('RU',1360306176,1360310271),('GB',1360310272,1360314367),('RU',1360314368,1360318463),('FR',1360318464,1360322559),('FI',1360322560,1360326655),('PT',1360326656,1360330751),('UA',1360330752,1360334847),('AT',1360334848,1360338943),('CY',1360338944,1360343039),('SA',1360343040,1360347135),('GB',1360347136,1360351231),('AZ',1360351232,1360355327),('EG',1360355328,1360359423),('AT',1360359424,1360363519),('IT',1360363520,1360367615),('IE',1360367616,1360371711),('TR',1360371712,1360375807),('NL',1360375808,1360379903),('PL',1360379904,1360383999),('SE',1360384000,1360388095),('RU',1360388096,1360392191),('EE',1360392192,1360396287),('RU',1360396288,1360400383),('BH',1360400384,1360404479),('GB',1360404480,1360404735),('DE',1360404736,1360404991),('FR',1360404992,1360405247),('SE',1360405248,1360405503),('GB',1360405504,1360408575),('RU',1360408576,1360412671),('DZ',1360412672,1360420863),('TR',1360420864,1360424959),('RU',1360424960,1360429055),('UA',1360429056,1360433151),('RO',1360433152,1360437247),('FI',1360437248,1360441343),('HU',1360441344,1360445439),('RU',1360445440,1360453631),('DE',1360453632,1360457727),('FI',1360457728,1360459103),('IL',1360459104,1360459135),('FI',1360459136,1360461823),('LT',1360461824,1360465919),('UA',1360465920,1360470015),('FR',1360470016,1360474111),('GB',1360474112,1360478207),('CH',1360478208,1360482303),('IT',1360482304,1360486399),('RU',1360486400,1360502783),('IR',1360502784,1360506879),('RU',1360506880,1360515071),('GB',1360515072,1360519167),('NL',1360519168,1360524031),('US',1360524032,1360524287),('NL',1360524288,1360531455),('RO',1360531456,1360535551),('DE',1360535552,1360539647),('NL',1360539648,1360543743),('DE',1360543744,1360547839),('RU',1360547840,1360551935),('SI',1360551936,1360556031),('RU',1360556032,1360564223),('AT',1360564224,1360568319),('ES',1360568320,1360572415),('GR',1360572416,1360576511),('GB',1360576512,1360580607),('UA',1360580608,1360584703),('IT',1360584704,1360588799),('GB',1360588800,1360592895),('RU',1360592896,1360596991),('CZ',1360596992,1360601087),('BY',1360601088,1360605183),('RU',1360605184,1360613375),('SE',1360613376,1360617471),('IT',1360617472,1360621567),('ES',1360621568,1360625663),('RU',1360625664,1360629759),('SE',1360629760,1360633855),('RU',1360633856,1360637951),('FO',1360637952,1360642047),('FR',1360642048,1360643647),('GB',1360643648,1360643711),('FR',1360643712,1360646143),('AT',1360646144,1360650239),('UA',1360650240,1360654335),('EE',1360654336,1360658431),('PL',1360658432,1360666623),('NO',1360666624,1360674815),('DZ',1360674816,1360678911),('RU',1360678912,1360683007),('GB',1360683008,1360691199),('RU',1360691200,1360699391),('GE',1360699392,1360703487),('RU',1360703488,1360707583),('IT',1360707584,1360711679),('NL',1360711680,1360715775),('SE',1360715776,1360728063),('FR',1360728064,1360732159),('NO',1360732160,1360736255),('RU',1360736256,1360740351),('GB',1360740352,1360752639),('DE',1360752640,1360756735),('IT',1360756736,1360760831),('RU',1360760832,1360764927),('DE',1360764928,1360769023),('IT',1360769024,1360773119),('CZ',1360773120,1360777215),('IT',1360777216,1360781311),('DE',1360781312,1360785407),('RU',1360785408,1360793599),('CZ',1360793600,1360797695),('IR',1360797696,1360805887),('DE',1360805888,1360809983),('NL',1360809984,1360814079),('FR',1360814080,1360818175),('JO',1360818176,1360822271),('AT',1360822272,1360826367),('GB',1360826368,1360830463),('RU',1360830464,1360838655),('FR',1360838656,1360842751),('RU',1360842752,1360846847),('DE',1360846848,1360850943),('IT',1360850944,1360855039),('NL',1360855040,1360855841),('MX',1360855842,1360855851),('NL',1360855852,1360856075),('AU',1360856076,1360856079),('NL',1360856080,1360856109),('AU',1360856110,1360856113),('NL',1360856114,1360856133),('MX',1360856134,1360856144),('NL',1360856145,1360859135),('LT',1360859136,1360863231),('NO',1360863232,1360867327),('GB',1360867328,1360879615),('EG',1360879616,1360883711),('RU',1360883712,1360887807),('FI',1360887808,1360890367),('RU',1360890368,1360890623),('FI',1360890624,1360890879),('RU',1360890880,1360891391),('FI',1360891392,1360891647),('RU',1360891648,1360891903),('CH',1360891904,1360892287),('IT',1360892288,1360892415),('CH',1360892416,1360892427),('IT',1360892428,1360892431),('CH',1360892432,1360892551),('IT',1360892552,1360892711),('CH',1360892712,1360892727),('IT',1360892728,1360892743),('CH',1360892744,1360892767),('IT',1360892768,1360892771),('CH',1360892772,1360892775),('IT',1360892776,1360892779),('CH',1360892780,1360892791),('IT',1360892792,1360892863),('CH',1360892864,1360893183),('IT',1360893184,1360895999),('QA',1360896000,1360900095),('IT',1360900096,1360916479),('RU',1360916480,1360920575),('IT',1360920576,1360932863),('RU',1360932864,1360936959),('IT',1360936960,1360941055),('BY',1360941056,1360945151),('DE',1360945152,1360949247),('RU',1360949248,1360953343),('DE',1360953344,1360957439),('AZ',1360957440,1360961535),('UA',1360961536,1360965631),('RU',1360965632,1360977919),('CZ',1360977920,1360987535),('GB',1360987536,1360987647),('CZ',1360987648,1360987935),('SK',1360987936,1360987983),('CZ',1360987984,1360987999),('GB',1360988000,1360988007),('CZ',1360988008,1360988031),('GB',1360988032,1360988039),('CZ',1360988040,1360988047),('GB',1360988048,1360988055),('SK',1360988056,1360988063),('CZ',1360988064,1360988079),('GB',1360988080,1360988159),('SK',1360988160,1360988415),('CZ',1360988416,1360988927),('SK',1360988928,1360989439),('GB',1360989440,1360989695),('CZ',1360989696,1360990079),('GB',1360990080,1360990207),('CZ',1360990208,1360990463),('GB',1360990464,1360990719),('CZ',1360990720,1360990975),('GB',1360990976,1360991231),('CZ',1360991232,1360991743),('GB',1360991744,1360991999),('SK',1360992000,1360992255),('CZ',1360992256,1360992767),('GB',1360992768,1360993023),('SK',1360993024,1360994047),('GB',1360994048,1360994303),('CZ',1360994304,1360998399),('FI',1360998400,1361002495),('IT',1361002496,1361006591),('DK',1361006592,1361010687),('GB',1361010688,1361018879),('AT',1361018880,1361022975),('IT',1361022976,1361027071),('IR',1361027072,1361035263),('NL',1361035264,1361035527),('IT',1361035528,1361035535),('ES',1361035536,1361035547),('DE',1361035548,1361035551),('GB',1361035552,1361035559),('IQ',1361035560,1361035563),('GB',1361035564,1361035567),('ES',1361035568,1361035583),('NL',1361035584,1361035591),('IQ',1361035592,1361035599),('NL',1361035600,1361035607),('IQ',1361035608,1361035615),('ES',1361035616,1361035623),('DE',1361035624,1361035627),('DZ',1361035628,1361035639),('IQ',1361035640,1361035643),('GB',1361035644,1361035647),('TR',1361035648,1361035651),('DE',1361035652,1361035655),('IQ',1361035656,1361035667),('DZ',1361035668,1361035671),('ES',1361035672,1361035679),('IE',1361035680,1361035683),('GB',1361035684,1361035687),('RS',1361035688,1361035691),('IQ',1361035692,1361035695),('BA',1361035696,1361035711),('DE',1361035712,1361035715),('IQ',1361035716,1361035719),('ES',1361035720,1361035723),('DE',1361035724,1361035727),('IQ',1361035728,1361035735),('IT',1361035736,1361035743),('TR',1361035744,1361035751),('KW',1361035752,1361035759),('IQ',1361035760,1361035763),('DE',1361035764,1361035767),('IQ',1361035768,1361035779),('KW',1361035780,1361035783),('IT',1361035784,1361035787),('DZ',1361035788,1361035791),('IQ',1361035792,1361035799),('TR',1361035800,1361035807),('DE',1361035808,1361035811),('BA',1361035812,1361035815),('IT',1361035816,1361035823),('DE',1361035824,1361035831),('BE',1361035832,1361035839),('ES',1361035840,1361035847),('NL',1361035848,1361035855),('ES',1361035856,1361035863),('BE',1361035864,1361035871),('ES',1361035872,1361035879),('DE',1361035880,1361035887),('GB',1361035888,1361035895),('IQ',1361035896,1361035903),('DE',1361035904,1361035907),('ES',1361035908,1361035911),('IQ',1361035912,1361035915),('HR',1361035916,1361035919),('CH',1361035920,1361035923),('IE',1361035924,1361035927),('GB',1361035928,1361035931),('TR',1361035932,1361035935),('IE',1361035936,1361035939),('DE',1361035940,1361035943),('US',1361035944,1361035951),('RS',1361035952,1361035955),('GB',1361035956,1361035959),('GR',1361035960,1361035963),('CH',1361035964,1361035967),('DE',1361035968,1361035975),('IQ',1361035976,1361035983),('DE',1361035984,1361035991),('IQ',1361035992,1361035995),('IE',1361035996,1361035999),('GB',1361036000,1361036015),('ES',1361036016,1361036019),('IQ',1361036020,1361036027),('GB',1361036028,1361036031),('IE',1361036032,1361036039),('IQ',1361036040,1361036055),('NL',1361036056,1361036063),('DE',1361036064,1361036071),('BE',1361036072,1361036079),('FR',1361036080,1361036087),('IT',1361036088,1361036095),('SE',1361036096,1361036103),('NO',1361036104,1361036111),('RO',1361036112,1361036119),('HU',1361036120,1361036127),('CZ',1361036128,1361036135),('IQ',1361036136,1361036143),('TR',1361036144,1361036151),('ES',1361036152,1361036167),('IQ',1361036168,1361036175),('GB',1361036176,1361036191),('KW',1361036192,1361036199),('IQ',1361036200,1361036215),('TR',1361036216,1361036223),('DE',1361036224,1361036231),('IQ',1361036232,1361036239),('NL',1361036240,1361036243),('IT',1361036244,1361036247),('TN',1361036248,1361036251),('GR',1361036252,1361036255),('GB',1361036256,1361036259),('IS',1361036260,1361036263),('KW',1361036264,1361036271),('IQ',1361036272,1361036287),('IT',1361036288,1361036291),('IE',1361036292,1361036295),('IQ',1361036296,1361036299),('IT',1361036300,1361036303),('ES',1361036304,1361036307),('DE',1361036308,1361036311),('TR',1361036312,1361036315),('DZ',1361036316,1361036327),('MA',1361036328,1361036335),('DZ',1361036336,1361036351),('IQ',1361036352,1361036359),('DZ',1361036360,1361036367),('GB',1361036368,1361036371),('IT',1361036372,1361036375),('NL',1361036376,1361036379),('IQ',1361036380,1361036383),('DZ',1361036384,1361036387),('ES',1361036388,1361036391),('IQ',1361036392,1361036395),('ES',1361036396,1361036403),('KW',1361036404,1361036407),('IQ',1361036408,1361036411),('ES',1361036412,1361036415),('IQ',1361036416,1361036419),('ES',1361036420,1361036423),('IQ',1361036424,1361036431),('EG',1361036432,1361036435),('IQ',1361036436,1361036455),('NL',1361036456,1361036459),('TR',1361036460,1361036463),('IQ',1361036464,1361036471),('IL',1361036472,1361036475),('IQ',1361036476,1361036479),('KW',1361036480,1361036487),('GB',1361036488,1361036491),('KW',1361036492,1361036495),('IQ',1361036496,1361036507),('ES',1361036508,1361036511),('TR',1361036512,1361036515),('IT',1361036516,1361036523),('GB',1361036524,1361036527),('IT',1361036528,1361036531),('IQ',1361036532,1361036543),('DE',1361036544,1361036551),('GB',1361036552,1361036559),('TR',1361036560,1361036567),('IQ',1361036568,1361036579),('ES',1361036580,1361036583),('IQ',1361036584,1361036591),('KW',1361036592,1361036595),('ES',1361036596,1361036599),('KW',1361036600,1361036603),('ES',1361036604,1361036607),('TR',1361036608,1361036611),('GB',1361036612,1361036623),('IQ',1361036624,1361036631),('ES',1361036632,1361036635),('GB',1361036636,1361036639),('IQ',1361036640,1361036663),('DZ',1361036664,1361036667),('CH',1361036668,1361036671),('TR',1361036672,1361036675),('ES',1361036676,1361036679),('IQ',1361036680,1361036719),('DZ',1361036720,1361036727),('US',1361036728,1361036735),('IQ',1361036736,1361036815),('NL',1361036816,1361036819),('ES',1361036820,1361036823),('DE',1361036824,1361036827),('DZ',1361036828,1361036831),('IQ',1361036832,1361036847),('DZ',1361036848,1361036851),('IQ',1361036852,1361036863),('TR',1361036864,1361036871),('IQ',1361036872,1361036879),('US',1361036880,1361036887),('GB',1361036888,1361036891),('IQ',1361036892,1361036895),('NL',1361036896,1361036899),('IQ',1361036900,1361036919),('IT',1361036920,1361036923),('GB',1361036924,1361036927),('KW',1361036928,1361036935),('IQ',1361036936,1361036951),('TR',1361036952,1361036959),('IQ',1361036960,1361036971),('DZ',1361036972,1361036979),('FR',1361036980,1361036983),('IQ',1361036984,1361036999),('PL',1361037000,1361037007),('IQ',1361037008,1361037015),('DZ',1361037016,1361037023),('KW',1361037024,1361037055),('IQ',1361037056,1361037059),('ES',1361037060,1361037063),('IQ',1361037064,1361037067),('TR',1361037068,1361037071),('IQ',1361037072,1361037075),('HU',1361037076,1361037079),('IQ',1361037080,1361037083),('DZ',1361037084,1361037087),('GB',1361037088,1361037091),('IQ',1361037092,1361037119),('TR',1361037120,1361037127),('DE',1361037128,1361037135),('IQ',1361037136,1361037159),('KW',1361037160,1361037167),('IQ',1361037168,1361037179),('GB',1361037180,1361037183),('US',1361037184,1361037191),('IQ',1361037192,1361037199),('GB',1361037200,1361037203),('FR',1361037204,1361037207),('DZ',1361037208,1361037215),('TR',1361037216,1361037223),('ES',1361037224,1361037231),('IQ',1361037232,1361037271),('NL',1361037272,1361037279),('IQ',1361037280,1361037295),('DZ',1361037296,1361037311),('IQ',1361037312,1361037319),('GB',1361037320,1361037327),('IQ',1361037328,1361037339),('TR',1361037340,1361037343),('IQ',1361037344,1361037359),('ES',1361037360,1361037363),('DZ',1361037364,1361037367),('IQ',1361037368,1361037387),('TR',1361037388,1361037391),('IT',1361037392,1361037395),('US',1361037396,1361037399),('IQ',1361037400,1361037407),('TR',1361037408,1361037415),('IQ',1361037416,1361037443),('DZ',1361037444,1361037447),('IQ',1361037448,1361037455),('NL',1361037456,1361037463),('CH',1361037464,1361037471),('NL',1361037472,1361037487),('IQ',1361037488,1361037495),('DZ',1361037496,1361037503),('IQ',1361037504,1361037515),('JO',1361037516,1361037519),('IQ',1361037520,1361037527),('DZ',1361037528,1361037551),('QA',1361037552,1361037559),('IQ',1361037560,1361037567),('TR',1361037568,1361037575),('IQ',1361037576,1361037583),('GB',1361037584,1361037587),('ES',1361037588,1361037591),('US',1361037592,1361037599),('IQ',1361037600,1361037611),('ES',1361037612,1361037615),('IQ',1361037616,1361037619),('ES',1361037620,1361037631),('DZ',1361037632,1361037639),('IQ',1361037640,1361037667),('DZ',1361037668,1361037671),('IQ',1361037672,1361037683),('TR',1361037684,1361037687),('IQ',1361037688,1361037695),('PL',1361037696,1361037703),('IQ',1361037704,1361037771),('GB',1361037772,1361037775),('NL',1361037776,1361037783),('IQ',1361037784,1361037823),('ES',1361037824,1361037827),('IQ',1361037828,1361037835),('ES',1361037836,1361037839),('TR',1361037840,1361037847),('IQ',1361037848,1361037851),('ES',1361037852,1361037855),('IQ',1361037856,1361037871),('ES',1361037872,1361037875),('AL',1361037876,1361037879),('PT',1361037880,1361037883),('IQ',1361037884,1361037891),('ES',1361037892,1361037895),('IQ',1361037896,1361037907),('US',1361037908,1361037911),('TR',1361037912,1361037919),('IQ',1361037920,1361038007),('TR',1361038008,1361038015),('IQ',1361038016,1361038023),('IT',1361038024,1361038031),('IQ',1361038032,1361038039),('US',1361038040,1361038047),('IQ',1361038048,1361038095),('US',1361038096,1361038103),('IQ',1361038104,1361038127),('MA',1361038128,1361038135),('IQ',1361038136,1361038143),('KW',1361038144,1361038147),('GB',1361038148,1361038159),('KW',1361038160,1361038163),('GB',1361038164,1361038175),('KW',1361038176,1361038179),('GB',1361038180,1361038191),('IQ',1361038192,1361038199),('GB',1361038200,1361038211),('NL',1361038212,1361038215),('GB',1361038216,1361038223),('IQ',1361038224,1361038231),('DE',1361038232,1361038239),('IQ',1361038240,1361038247),('US',1361038248,1361038271),('GB',1361038272,1361038275),('KW',1361038276,1361038279),('GB',1361038280,1361038287),('IQ',1361038288,1361038295),('DE',1361038296,1361038303),('US',1361038304,1361038335),('NL',1361038336,1361039359),('IT',1361039360,1361043455),('NO',1361043456,1361051647),('ES',1361051648,1362100223),('FR',1362100224,1362395135),('CH',1362395136,1362395183),('FR',1362395184,1362395391),('SG',1362395392,1362395519),('FR',1362395520,1362395647),('US',1362395648,1362396159),('FR',1362396160,1362396415),('US',1362396416,1362396927),('CM',1362396928,1362397183),('GB',1362397184,1362397255),('FR',1362397256,1362399231),('GB',1362399232,1362399263),('FR',1362399264,1362399487),('GB',1362399488,1362400767),('FR',1362400768,1362403583),('DZ',1362403584,1362405887),('FR',1362405888,1362406143),('SV',1362406144,1362407167),('FR',1362407168,1362411519),('MQ',1362411520,1362413273),('FR',1362413274,1362413567),('CM',1362413568,1362413587),('FR',1362413588,1362413823),('US',1362413824,1362414847),('GB',1362414848,1362414975),('FR',1362414976,1362415359),('DE',1362415360,1362415487),('FR',1362415488,1362415615),('GP',1362415616,1362417663),('SG',1362417664,1362419711),('FR',1362419712,1362423039),('SG',1362423040,1362423167),('FR',1362423168,1362423263),('SG',1362423264,1362423295),('VE',1362423296,1362423807),('SG',1362423808,1362425855),('US',1362425856,1362426623),('FR',1362426624,1362426879),('MQ',1362426880,1362427903),('FR',1362427904,1362755583),('NL',1362755584,1362886409),('BE',1362886410,1362886413),('NL',1362886414,1362886416),('BE',1362886417,1362886419),('NL',1362886420,1362886421),('BE',1362886422,1362886422),('NL',1362886423,1362886655),('ES',1362886656,1363017727),('CH',1363017728,1363148799),('FR',1363148800,1363410943),('NL',1363410944,1363673087),('IT',1363673088,1363935231),('GB',1363935232,1364197375),('FR',1364197376,1364204034),('GB',1364204035,1364204035),('FR',1364204036,1364262911),('IT',1364262912,1364328447),('BE',1364328448,1364459519),('PT',1364459520,1364525055),('NL',1364525056,1364526335),('CY',1364526336,1364526591),('GB',1364526592,1364528639),('UA',1364528640,1364528895),('GB',1364528896,1364530175),('NL',1364530176,1364590591),('GB',1364590592,1364721663),('SE',1364721664,1364725759),('DE',1364725760,1364733951),('IT',1364733952,1364738047),('KZ',1364738048,1364742143),('RU',1364742144,1364746239),('FR',1364746240,1364749311),('BE',1364749312,1364749374),('FR',1364749375,1364749455),('BE',1364749456,1364749463),('FR',1364749464,1364749471),('BE',1364749472,1364749583),('FR',1364749584,1364749631),('BE',1364749632,1364749663),('FR',1364749664,1364749823),('BE',1364749824,1364749839),('FR',1364749840,1364749847),('BE',1364749848,1364749855),('FR',1364749856,1364749871),('BE',1364749872,1364750079),('FR',1364750080,1364750335),('RU',1364750336,1364754431),('SK',1364754432,1364758527),('KZ',1364758528,1364762623),('GB',1364762624,1364766719),('CH',1364766720,1364770815),('KG',1364770816,1364774911),('RU',1364774912,1364779007),('IT',1364779008,1364787199),('RO',1364787200,1364795391),('ES',1364795392,1364799487),('SK',1364799488,1364803583),('RU',1364803584,1364811775),('LU',1364811776,1364811807),('DE',1364811808,1364815871),('RU',1364815872,1364819967),('GB',1364819968,1364824063),('IE',1364824064,1364828159),('GB',1364828160,1364829439),('FR',1364829440,1364829487),('GB',1364829488,1364829503),('FR',1364829504,1364829527),('GB',1364829528,1364832255),('RU',1364832256,1364836351),('DE',1364836352,1364840447),('AM',1364840448,1364844543),('DE',1364844544,1364852479),('GB',1364852480,1364852735),('RU',1364852736,1364856831),('IQ',1364856832,1364860927),('DE',1364860928,1364865023),('GB',1364865024,1364869119),('FI',1364869120,1364873215),('GB',1364873216,1364877311),('ES',1364877312,1364881407),('EE',1364881408,1364885503),('GB',1364885504,1364889599),('IR',1364889600,1364893695),('CZ',1364893696,1364897791),('SI',1364897792,1364901887),('DE',1364901888,1364905983),('RU',1364905984,1364910079),('UA',1364910080,1364914175),('CZ',1364914176,1364918271),('NL',1364918272,1364922367),('TR',1364922368,1364926463),('RU',1364926464,1364934655),('FR',1364934656,1364938751),('CZ',1364938752,1364942847),('GB',1364942848,1364946943),('TR',1364946944,1364947167),('US',1364947168,1364947199),('TR',1364947200,1364948479),('GB',1364948480,1364949759),('TR',1364949760,1364951039),('IR',1364951040,1364959231),('DE',1364959232,1364963327),('RU',1364963328,1364967423),('GB',1364967424,1364971519),('CZ',1364971520,1364975615),('BJ',1364975616,1364979711),('GB',1364979712,1364983807),('DE',1364983808,1364991999),('IT',1364992000,1364996095),('GR',1364996096,1365000191),('SE',1365000192,1365002751),('GB',1365002752,1365003120),('SE',1365003121,1365004287),('FR',1365004288,1365008383),('CH',1365008384,1365012479),('FR',1365012480,1365016575),('ES',1365016576,1365020671),('CZ',1365020672,1365024767),('DE',1365024768,1365027839),('US',1365027840,1365027871),('DE',1365027872,1365028863),('NL',1365028864,1365032959),('PT',1365032960,1365041151),('IQ',1365041152,1365041407),('LU',1365041408,1365042175),('FR',1365042176,1365044479),('LU',1365044480,1365045215),('BE',1365045216,1365045247),('AT',1365045248,1365047295),('SK',1365047296,1365047423),('AT',1365047424,1365047551),('SK',1365047552,1365047647),('AT',1365047648,1365047679),('SK',1365047680,1365047807),('AT',1365047808,1365047871),('SK',1365047872,1365047903),('AT',1365047904,1365047999),('SK',1365048000,1365048191),('AT',1365048192,1365048255),('SK',1365048256,1365048383),('AT',1365048384,1365048511),('SK',1365048512,1365048607),('AT',1365048608,1365048703),('SK',1365048704,1365048887),('AT',1365048888,1365048895),('SK',1365048896,1365048927),('AT',1365048928,1365049343),('FR',1365049344,1365057535),('IR',1365057536,1365061631),('NL',1365061632,1365065727),('BA',1365065728,1365073919),('NO',1365073920,1365078015),('DE',1365078016,1365082111),('SE',1365082112,1365090303),('NO',1365090304,1365094399),('FR',1365094400,1365095055),('GB',1365095056,1365095071),('FR',1365095072,1365095087),('GB',1365095088,1365095095),('FR',1365095096,1365095575),('GB',1365095576,1365095583),('FR',1365095584,1365097215),('ES',1365097216,1365097471),('FR',1365097472,1365097727),('CH',1365097728,1365097783),('FR',1365097784,1365097791),('CH',1365097792,1365097839),('FR',1365097840,1365097855),('CH',1365097856,1365097919),('FR',1365097920,1365098495),('HU',1365098496,1365102591),('ES',1365102592,1365102911),('GB',1365102912,1365102919),('ES',1365102920,1365103383),('GB',1365103384,1365103391),('ES',1365103392,1365103479),('GB',1365103480,1365103487),('ES',1365103488,1365103519),('GB',1365103520,1365103551),('ES',1365103552,1365103679),('GB',1365103680,1365103743),('ES',1365103744,1365103775),('GB',1365103776,1365103791),('ES',1365103792,1365103871),('GB',1365103872,1365104135),('ES',1365104136,1365104735),('GB',1365104736,1365104743),('ES',1365104744,1365105151),('GB',1365105152,1365105215),('ES',1365105216,1365106687),('GB',1365106688,1365110783),('FR',1365110784,1365114879),('BA',1365114880,1365118975),('RU',1365118976,1365127167),('AT',1365127168,1365129471),('IT',1365129472,1365129727),('AT',1365129728,1365130271),('IT',1365130272,1365130303),('AT',1365130304,1365130495),('IT',1365130496,1365131007),('AT',1365131008,1365131263),('SE',1365131264,1365139455),('CH',1365139456,1365147647),('RU',1365147648,1365155839),('NL',1365155840,1365159935),('NO',1365159936,1365164031),('BH',1365164032,1365168127),('GB',1365168128,1365172223),('LV',1365172224,1365176319),('HU',1365176320,1365180415),('DE',1365180416,1365183231),('SC',1365183232,1365183295),('DE',1365183296,1365184511),('RU',1365184512,1365192703),('GB',1365192704,1365196799),('ES',1365196800,1365200895),('IQ',1365200896,1365204991),('CZ',1365204992,1365209087),('BE',1365209088,1365213183),('RU',1365213184,1365217279),('PA',1365217280,1365219327),('RU',1365219328,1365219839),('PA',1365219840,1365220351),('SC',1365220352,1365221247),('RU',1365221248,1365221375),('GE',1365221376,1365225471),('UA',1365225472,1365229567),('PL',1365229568,1365233663),('RU',1365233664,1365237759),('UZ',1365237760,1365241855),('DK',1365241856,1365245951),('GB',1365245952,1366294527),('IT',1366294528,1367343103),('GB',1367343104,1369440255),('DE',1369440256,1369473023),('HU',1369473024,1369505791),('DE',1369505792,1369538559),('DK',1369538560,1369554943),('PL',1369554944,1369559039),('BG',1369559040,1369563135),('PL',1369563136,1369567231),('BG',1369567232,1369571327),('BE',1369702400,1369833471),('NO',1369833472,1369964543),('GB',1369964544,1369997311),('PL',1369997312,1370030079),('BE',1370030080,1370062847),('DE',1370062848,1370081279),('EU',1370081280,1370091519),('DE',1370091520,1370095615),('GB',1370095616,1370128383),('SE',1370128384,1370161151),('NL',1370161152,1370176511),('US',1370176512,1370177279),('NL',1370177280,1370187775),('GR',1370187776,1370188031),('NL',1370188032,1370193919),('GB',1370193920,1370226687),('ES',1370226688,1370259455),('SE',1370259456,1370292223),('NL',1370292224,1370299903),('US',1370299904,1370300159),('NL',1370300160,1370324991),('DE',1370324992,1370357759),('IT',1370357760,1370390527),('GB',1370390528,1370423295),('NO',1370423296,1370439679),('NL',1370439680,1370456063),('FI',1370456064,1370488831),('RU',1370488832,1370505855),('CY',1370505856,1370505871),('RU',1370505872,1370508895),('CY',1370508896,1370508911),('RU',1370508912,1370555887),('CY',1370555888,1370555903),('RU',1370555904,1370563967),('US',1370563968,1370564031),('RU',1370564032,1370619903),('GB',1370619904,1370750975),('RO',1370750976,1370767359),('MD',1370767360,1370771455),('RO',1370771456,1370772479),('MD',1370772480,1370772991),('RO',1370772992,1370882047),('HU',1370882048,1371013119),('ES',1371013120,1371078655),('FR',1371078656,1371144191),('GR',1371144192,1371201535),('PL',1371201536,1371205631),('SE',1371205632,1371209727),('GB',1371209728,1371275263),('BE',1371275264,1371340799),('AT',1371340800,1371406335),('PL',1371406336,1371471871),('NO',1371471872,1371537407),('MA',1371537408,1371602943),('PT',1371602944,1371668479),('FR',1371668480,1371734015),('RU',1371734016,1371799551),('RO',1371799552,1371834367),('HU',1371834368,1371836415),('RO',1371836416,1371865087),('FI',1371865088,1371930623),('LV',1371930624,1371996159),('A2',1371996160,1371997183),('KE',1371997184,1371997439),('NG',1371997440,1371998207),('CD',1371998208,1371998463),('NG',1371998464,1371998719),('A2',1371998720,1371999231),('CM',1371999232,1372000255),('UG',1372000256,1372004351),('TZ',1372004352,1372004607),('A2',1372004608,1372006463),('NG',1372006464,1372006495),('A2',1372006496,1372007039),('NG',1372007040,1372007455),('A2',1372007456,1372007679),('NG',1372007680,1372007935),('A2',1372007936,1372008095),('NG',1372008096,1372008191),('A2',1372008192,1372009983),('KE',1372009984,1372010239),('NG',1372010240,1372010272),('A2',1372010273,1372010751),('NG',1372010752,1372010967),('TZ',1372010968,1372011007),('A2',1372011008,1372012543),('ZM',1372012544,1372014591),('A2',1372014592,1372015615),('NG',1372015616,1372015871),('GH',1372015872,1372016639),('BW',1372016640,1372016831),('BJ',1372016832,1372016847),('BW',1372016848,1372016895),('A2',1372016896,1372017407),('TZ',1372017408,1372017663),('A2',1372017664,1372019199),('GA',1372019200,1372019455),('A2',1372019456,1372020735),('ZM',1372020736,1372022783),('A2',1372022784,1372023807),('NG',1372023808,1372024831),('IL',1372024832,1372025087),('A2',1372025088,1372025343),('CD',1372025344,1372025599),('A2',1372025600,1372025663),('KE',1372025664,1372025695),('TZ',1372025696,1372025727),('A2',1372025728,1372025855),('IL',1372025856,1372026367),('A2',1372026368,1372026879),('IL',1372026880,1372027903),('A2',1372027904,1372028927),('CM',1372028928,1372029439),('NG',1372029440,1372029695),('NE',1372029696,1372029951),('A2',1372029952,1372031999),('CM',1372032000,1372032255),('A2',1372032256,1372032511),('NG',1372032512,1372033023),('A2',1372033024,1372037887),('NG',1372037888,1372038143),('KE',1372038144,1372038399),('A2',1372038400,1372039167),('CD',1372039168,1372040191),('A2',1372040192,1372040703),('CD',1372040704,1372041215),('A2',1372041216,1372041343),('NG',1372041344,1372041471),('A2',1372041472,1372043519),('NG',1372043520,1372043775),('A2',1372043776,1372044415),('NG',1372044416,1372044447),('A2',1372044448,1372044799),('CM',1372044800,1372044863),('NG',1372044864,1372044927),('A2',1372044928,1372045055),('CM',1372045056,1372045087),('A2',1372045088,1372045119),('NG',1372045120,1372045151),('A2',1372045152,1372045215),('NG',1372045216,1372045247),('A2',1372045248,1372045567),('NG',1372045568,1372045887),('A2',1372045888,1372046559),('NG',1372046560,1372046591),('A2',1372046592,1372047231),('NG',1372047232,1372047295),('A2',1372047296,1372047359),('CM',1372047360,1372047615),('A2',1372047616,1372049663),('NG',1372049664,1372050431),('A2',1372050432,1372060159),('IL',1372060160,1372061695),('RU',1372061696,1372069887),('FR',1372069888,1372073983),('CZ',1372073984,1372078079),('GB',1372078080,1372082175),('RU',1372082176,1372086271),('DE',1372086272,1372090367),('RU',1372090368,1372094463),('IT',1372094464,1372098559),('RU',1372098560,1372102655),('SE',1372102656,1372106751),('FR',1372106752,1372110591),('GB',1372110592,1372110623),('DE',1372110624,1372110655),('IT',1372110656,1372110687),('ES',1372110688,1372110719),('FR',1372110720,1372110751),('NL',1372110752,1372110783),('FR',1372110784,1372110847),('DE',1372110848,1372114943),('RU',1372114944,1372119039),('IT',1372119040,1372123135),('RU',1372123136,1372127231),('IT',1372127232,1372131327),('RU',1372131328,1372135423),('DE',1372135424,1372138255),('GB',1372138256,1372138263),('DE',1372138264,1372139519),('CZ',1372139520,1372143615),('RU',1372143616,1372147711),('BE',1372147712,1372151807),('DE',1372151808,1372159999),('GB',1372160000,1372164095),('DE',1372164096,1372168191),('GB',1372168192,1372172287),('FR',1372172288,1372176383),('CH',1372176384,1372180479),('SE',1372180480,1372183999),('ES',1372184000,1372184063),('SE',1372184064,1372184071),('ES',1372184072,1372184079),('SE',1372184080,1372184575),('DE',1372184576,1372188671),('RU',1372188672,1372192767),('ES',1372192768,1372323839),('NL',1372323840,1372585983),('A2',1372585984,1372586239),('IT',1372586240,1372589567),('A2',1372589568,1372589823),('IT',1372589824,1372610047),('VA',1372610048,1372610303),('IT',1372610304,1372618751),('GB',1372618752,1372651519),('FI',1372651520,1372684287),('DE',1372684288,1372684415),('EU',1372684416,1372684543),('DE',1372684544,1372685631),('EU',1372685632,1372685655),('DE',1372685656,1372685663),('EU',1372685664,1372685695),('DE',1372685696,1372685823),('EU',1372685824,1372685887),('DE',1372685888,1372686335),('EU',1372686336,1372687359),('DE',1372687360,1372687711),('EU',1372687712,1372687719),('DE',1372687720,1372687727),('EU',1372687728,1372687735),('DE',1372687736,1372688199),('EU',1372688200,1372688223),('DE',1372688224,1372688319),('EU',1372688320,1372688351),('DE',1372688352,1372691455),('US',1372691456,1372691711),('DE',1372691712,1372694015),('EU',1372694016,1372694559),('DE',1372694560,1372694591),('EU',1372694592,1372694623),('DE',1372694624,1372694815),('EU',1372694816,1372694831),('DE',1372694832,1372695295),('EU',1372695296,1372695423),('DE',1372695424,1372695551),('CZ',1372695552,1372695807),('DK',1372695808,1372696007),('EU',1372696008,1372696063),('DE',1372696064,1372697215),('EU',1372697216,1372697231),('DE',1372697232,1372697239),('EU',1372697240,1372697247),('DE',1372697248,1372697279),('EU',1372697280,1372697343),('DE',1372697344,1372698471),('EU',1372698472,1372698559),('DE',1372698560,1372700159),('SE',1372700160,1372700415),('EU',1372700416,1372700671),('DE',1372700672,1372702463),('EU',1372702464,1372702719),('DE',1372702720,1372702735),('EU',1372702736,1372702751),('DE',1372702752,1372702991),('EU',1372702992,1372703231),('DE',1372703232,1372703263),('EU',1372703264,1372703271),('DE',1372703272,1372703323),('EU',1372703324,1372703327),('DE',1372703328,1372703407),('EU',1372703408,1372703423),('DE',1372703424,1372713327),('EU',1372713328,1372713343),('DE',1372713344,1372713375),('EU',1372713376,1372713471),('DE',1372713472,1372714239),('EU',1372714240,1372714495),('DE',1372714496,1372717055),('PL',1372717056,1372749823),('DE',1372749824,1372782591),('RU',1372782592,1372815359),('IT',1372815360,1372848127),('TR',1372848128,1373110271),('SE',1373110272,1373175807),('AT',1373175808,1373241343),('IL',1373241344,1373306879),('PL',1373306880,1373372415),('FR',1373372416,1373437951),('CH',1373437952,1373503487),('RU',1373503488,1373519871),('GB',1373519872,1373520895),('RU',1373520896,1373569023),('AT',1373569024,1373634559),('SE',1373634560,1374683135),('BE',1374683136,1375207423),('FR',1375207424,1375731711),('GB',1375731712,1375798335),('IE',1375798336,1375798351),('GB',1375798352,1375852543),('IE',1375852544,1375852799),('GB',1375852800,1378877439),('IT',1378877440,1379926015),('FR',1379926016,1380188159),('GB',1380188160,1380450303),('NL',1380450304,1380712447),('RO',1380712448,1380802559),('HU',1380802560,1380804607),('RO',1380804608,1380833279),('HU',1380833280,1380835327),('RO',1380835328,1380887039),('HU',1380887040,1380887551),('RO',1380887552,1380903935),('SK',1380903936,1380904447),('RO',1380904448,1380933631),('HU',1380933632,1380937727),('RO',1380937728,1380950527),('HU',1380950528,1380951039),('RO',1380951040,1380974591),('IL',1380974592,1381036471),('A2',1381036472,1381036479),('IL',1381036480,1381105663),('DE',1381105664,1381236735),('IT',1381236736,1381367807),('ES',1381367808,1381498879),('IT',1381498880,1381761023),('NL',1381761024,1382023167),('SE',1382023168,1382024959),('DK',1382024960,1382025215),('SE',1382025216,1382033583),('NL',1382033584,1382033599),('SE',1382033600,1382035359),('NO',1382035360,1382035375),('SE',1382035376,1382039007),('FR',1382039008,1382039023),('SE',1382039024,1382039055),('DE',1382039056,1382039071),('SE',1382039072,1382039175),('GB',1382039176,1382039191),('SE',1382039192,1382039551),('DE',1382039552,1382055935),('FR',1382055936,1382072319),('RU',1382072320,1382088703),('FR',1382088704,1382091375),('MC',1382091376,1382091391),('FR',1382091392,1382091775),('MC',1382091776,1382092031),('FR',1382092032,1382105087),('DE',1382105088,1382137855),('RU',1382137856,1382154239),('FR',1382154240,1382170623),('DE',1382170624,1382171776),('CH',1382171777,1382171791),('DE',1382171792,1382179247),('GB',1382179248,1382179279),('DE',1382179280,1382187007),('ES',1382187008,1382203391),('NL',1382203392,1382204479),('DE',1382204480,1382211327),('NL',1382211328,1382211583),('FR',1382211584,1382211711),('DE',1382211712,1382211839),('FR',1382211840,1382212095),('DE',1382212096,1382212223),('FR',1382212224,1382212239),('DE',1382212240,1382212287),('NL',1382212288,1382212351),('FR',1382212352,1382212479),('DE',1382212480,1382212607),('FR',1382212608,1382212863),('NL',1382212864,1382213183),('DE',1382213184,1382213199),('NL',1382213200,1382214079),('DE',1382214080,1382214111),('NL',1382214112,1382214143),('DE',1382214144,1382214271),('NL',1382214272,1382214335),('DE',1382214336,1382214399),('NL',1382214400,1382214879),('DE',1382214880,1382214895),('NL',1382214896,1382216831),('DE',1382216832,1382216895),('NL',1382216896,1382216959),('FR',1382216960,1382217215),('NL',1382217216,1382217727),('DE',1382217728,1382217983),('NL',1382217984,1382218399),('DE',1382218400,1382218447),('NL',1382218448,1382218455),('DE',1382218456,1382218495),('NL',1382218496,1382218623),('DE',1382218624,1382218751),('NL',1382218752,1382218815),('DE',1382218816,1382218911),('NL',1382218912,1382218959),('DE',1382218960,1382218991),('NL',1382218992,1382219775),('SE',1382219776,1382224287),('NO',1382224288,1382224319),('SE',1382224320,1382226271),('NO',1382226272,1382226303),('SE',1382226304,1382227327),('NO',1382227328,1382227455),('SE',1382227456,1382227583),('DK',1382227584,1382227711),('SE',1382227712,1382232575),('NO',1382232576,1382232639),('DK',1382232640,1382232703),('SE',1382232704,1382233407),('GB',1382233408,1382233423),('SE',1382233424,1382252543),('CZ',1382252544,1382268927),('IR',1382268928,1382285311),('CZ',1382285312,1382301695),('SE',1382301696,1382318079),('RU',1382318080,1382334463),('DE',1382334464,1382350847),('FR',1382350848,1382367231),('BG',1382367232,1382383615),('DZ',1382383616,1382399999),('NL',1382400000,1382416383),('PT',1382416384,1382419479),('ES',1382419480,1382419487),('PT',1382419488,1382419967),('ES',1382419968,1382419999),('PT',1382420000,1382420831),('ES',1382420832,1382420863),('PT',1382420864,1382420991),('FR',1382420992,1382421247),('PT',1382421248,1382422783),('ES',1382422784,1382423039),('PT',1382423040,1382432767),('CY',1382432768,1382449151),('IL',1382449152,1382465535),('PS',1382465536,1382481919),('AT',1382481920,1382498303),('BG',1382498304,1382514687),('DK',1382514688,1382531071),('FI',1382531072,1382547455),('IT',1382547456,1382809599),('GB',1382809600,1383071743),('RU',1383071744,1383073031),('KG',1383073032,1383073039),('RU',1383073040,1383073119),('UZ',1383073120,1383073135),('RU',1383073136,1383073279),('KZ',1383073280,1383073535),('RU',1383073536,1383079935),('NL',1383079936,1383088127),('IS',1383088128,1383096319),('GB',1383096320,1383103271),('ES',1383103272,1383103279),('GB',1383103280,1383103471),('NL',1383103472,1383103487),('GB',1383103488,1383104015),('ES',1383104016,1383104023),('GB',1383104024,1383104255),('FR',1383104256,1383104511),('GB',1383104512,1383112703),('GE',1383112704,1383120895),('IT',1383120896,1383129087),('GB',1383129088,1383137279),('MC',1383137280,1383145471),('CZ',1383145472,1383153663),('GB',1383153664,1383161855),('DE',1383161856,1383170047),('GB',1383170048,1383171743),('NZ',1383171744,1383171775),('GB',1383171776,1383172559),('ZA',1383172560,1383172567),('GB',1383172568,1383186431),('IT',1383186432,1383194623),('GB',1383194624,1383202815),('RU',1383202816,1383211007),('CY',1383211008,1383219199),('RS',1383219200,1383222015),('MK',1383222016,1383222527),('RS',1383222528,1383222783),('MK',1383222784,1383223039),('RS',1383223040,1383227391),('RU',1383227392,1383239295),('AR',1383239296,1383239423),('RU',1383239424,1383243775),('YE',1383243776,1383251967),('CZ',1383251968,1383260159),('RU',1383260160,1383268351),('IR',1383268352,1383271935),('DE',1383271936,1383272447),('IR',1383272448,1383273983),('KW',1383273984,1383276543),('KZ',1383276544,1383284735),('PL',1383284736,1383292927),('DE',1383292928,1383301119),('SE',1383301120,1383309311),('IT',1383309312,1383317503),('SE',1383317504,1383321599),('RU',1383321600,1383325695),('GB',1383325696,1383333887),('RU',1383333888,1383350271),('NO',1383350272,1383358463),('DE',1383358464,1383366911),('SY',1383366912,1383367167),('KW',1383367168,1383367679),('GB',1383367680,1383368703),('DE',1383368704,1383368831),('GB',1383368832,1383368847),('DE',1383368848,1383369087),('GB',1383369088,1383369119),('DE',1383369120,1383369231),('GB',1383369232,1383369247),('DE',1383369248,1383369535),('GB',1383369536,1383369567),('DE',1383369568,1383369727),('KW',1383369728,1383370751),('DE',1383370752,1383371775),('KW',1383371776,1383374591),('US',1383374592,1383374847),('ES',1383374848,1383383039),('CY',1383383040,1383391231),('FI',1383391232,1383399423),('LI',1383399424,1383402015),('CH',1383402016,1383402023),('LI',1383402024,1383407615),('NO',1383407616,1383415807),('RU',1383415808,1383423999),('SE',1383424000,1383432191),('CZ',1383432192,1383440383),('RU',1383440384,1383448575),('RS',1383448576,1383456767),('NL',1383456768,1383464959),('US',1383464960,1383473151),('DE',1383473152,1383481343),('GB',1383481344,1383481599),('US',1383481600,1383481615),('GB',1383481616,1383481663),('US',1383481664,1383481695),('GB',1383481696,1383481703),('US',1383481704,1383481711),('GB',1383481712,1383481775),('SA',1383481776,1383481791),('GB',1383481792,1383482367),('NL',1383482368,1383482879),('GB',1383482880,1383483375),('US',1383483376,1383483383),('GB',1383483384,1383483887),('JP',1383483888,1383483903),('GB',1383483904,1383485375),('US',1383485376,1383485407),('GB',1383485408,1383497727),('RU',1383497728,1383499039),('UA',1383499040,1383499047),('RU',1383499048,1383499775),('AZ',1383499776,1383501823),('RU',1383501824,1383505919),('SA',1383505920,1383514111),('FI',1383514112,1383522303),('BG',1383522304,1383530495),('DE',1383530496,1383538687),('IT',1383538688,1383546879),('BG',1383546880,1383555071),('SK',1383555072,1383563263),('RU',1383563264,1383571455),('DE',1383571456,1383579647),('IT',1383579648,1383587839),('CZ',1383587840,1383588095),('SK',1383588096,1383588415),('CZ',1383588416,1383588423),('SK',1383588424,1383588431),('CZ',1383588432,1383588439),('SK',1383588440,1383590287),('CZ',1383590288,1383590295),('SK',1383590296,1383590367),('CZ',1383590368,1383590375),('SK',1383590376,1383590463),('CZ',1383590464,1383590543),('SK',1383590544,1383590591),('CZ',1383590592,1383590655),('SK',1383590656,1383591935),('CZ',1383591936,1383592887),('VC',1383592888,1383592895),('CZ',1383592896,1383596031),('FR',1383596032,1384120319),('NG',1384120320,1384153087),('FI',1384153088,1384185855),('DE',1384185856,1384190463),('NL',1384190464,1384190719),('DE',1384190720,1384190975),('DK',1384190976,1384191231),('DE',1384191232,1384191359),('AT',1384191360,1384191423),('DE',1384191424,1384192255),('NL',1384192256,1384192511),('DE',1384192512,1384194175),('AT',1384194176,1384194207),('DE',1384194208,1384194559),('NL',1384194560,1384194815),('DE',1384194816,1384195711),('NL',1384195712,1384195743),('CH',1384195744,1384195751),('DE',1384195752,1384195775),('SE',1384195776,1384195839),('DE',1384195840,1384218623),('EG',1384218624,1384251391),('FI',1384251392,1384267775),('CH',1384267776,1384284159),('ES',1384284160,1384316927),('EE',1384316928,1384349695),('HU',1384349696,1384382463),('IR',1384382464,1384415231),('DE',1384415232,1384415743),('GB',1384415744,1384418047),('DE',1384418048,1384418303),('GB',1384418304,1384419071),('DE',1384419072,1384419583),('GB',1384419584,1384419839),('DE',1384419840,1384420607),('GB',1384420608,1384422783),('DE',1384422784,1384422911),('GB',1384422912,1384435711),('DE',1384435712,1384447743),('GB',1384447744,1384447807),('DE',1384447808,1384447999),('GB',1384448000,1384480767),('FI',1384480768,1384513535),('NO',1384513536,1384546303),('NL',1384546304,1384579071),('DE',1384579072,1384611839),('LT',1384611840,1384644607),('GB',1384644608,1384660991),('CH',1384660992,1384677375),('SE',1384677376,1384693759),('NL',1384693760,1384710143),('RO',1384710144,1384711167),('HU',1384711168,1384712191),('RO',1384712192,1384714239),('HU',1384714240,1384715263),('RO',1384715264,1384720895),('HU',1384720896,1384721407),('RO',1384721408,1384726527),('BG',1384726528,1384742911),('RU',1384742912,1384759295),('SY',1384759296,1384775679),('RU',1384775680,1384792063),('FR',1384792064,1384792623),('BE',1384792624,1384792639),('FR',1384792640,1384793663),('BE',1384793664,1384793695),('FR',1384793696,1384793791),('BE',1384793792,1384793823),('FR',1384793824,1384794127),('CH',1384794128,1384794143),('FR',1384794144,1384794271),('CH',1384794272,1384794287),('FR',1384794288,1384794815),('BE',1384794816,1384794847),('FR',1384794848,1384794879),('CH',1384794880,1384795135),('FR',1384795136,1384795279),('BE',1384795280,1384795327),('FR',1384795328,1384795647),('NL',1384795648,1384795775),('FR',1384795776,1384808447),('EU',1384808448,1384808959),('DE',1384808960,1384808967),('SE',1384808968,1384808975),('DE',1384808976,1384808991),('FI',1384808992,1384809007),('PT',1384809008,1384809015),('GB',1384809016,1384809023),('EU',1384809024,1384809039),('FR',1384809040,1384809055),('GE',1384809056,1384809063),('GB',1384809064,1384809071),('EU',1384809072,1384809087),('FR',1384809088,1384809103),('EU',1384809104,1384811007),('GB',1384811008,1384811519),('IR',1384811520,1384811647),('EU',1384811648,1384812799),('GB',1384812800,1384813311),('EU',1384813312,1384818463),('BE',1384818464,1384818495),('EU',1384818496,1384824831),('GB',1384824832,1384841215),('PL',1384841216,1384857599),('NL',1384857600,1384873983),('PL',1384873984,1384890367),('DE',1384890368,1384923135),('RU',1384923136,1384939519),('LT',1384939520,1384955903),('PT',1384955904,1384972287),('DE',1384972288,1384973623),('NL',1384973624,1384973631),('DE',1384973632,1384988671),('FI',1384988672,1385005055),('HU',1385005056,1385021439),('IE',1385021440,1385037823),('FR',1385037824,1385054207),('CZ',1385054208,1385070591),('RU',1385070592,1385086975),('GB',1385086976,1385103359),('IT',1385103360,1385119743),('BE',1385119744,1385136127),('PL',1385136128,1385152511),('DK',1385152512,1385168895),('ES',1385168896,1385177087),('DE',1385177088,1385185279),('RU',1385185280,1385193471),('ES',1385193472,1385201663),('GB',1385201664,1385209855),('HU',1385209856,1385218047),('UA',1385218048,1385226239),('GB',1385226240,1385234431),('DE',1385234432,1385242623),('GB',1385242624,1385250815),('PL',1385250816,1385259007),('IT',1385259008,1385267199),('SE',1385267200,1385275391),('IT',1385275392,1385283583),('KW',1385283584,1385291775),('TR',1385291776,1385299967),('BG',1385299968,1385308159),('BE',1385308160,1385310207),('RU',1385310208,1385316351),('NO',1385316352,1385324543),('BE',1385324544,1385332735),('GB',1385332736,1385340927),('LB',1385340928,1385349119),('CH',1385349120,1385357311),('PL',1385357312,1385365503),('GB',1385365504,1385373695),('NO',1385373696,1385381887),('RU',1385381888,1385398271),('BG',1385398272,1385406463),('EE',1385406464,1385414655),('SA',1385414656,1385422847),('DK',1385422848,1385431039),('RU',1385431040,1385439231),('GB',1385439232,1385447423),('IS',1385447424,1385455615),('QA',1385455616,1385463807),('NO',1385463808,1385480191),('NL',1385480192,1385488383),('GB',1385488384,1385496575),('SI',1385496576,1385504767),('FR',1385504768,1385512959),('DE',1385512960,1385521151),('AT',1385521152,1385529343),('RU',1385529344,1385537535),('DE',1385537536,1385545727),('RU',1385545728,1385553919),('DE',1385553920,1385554515),('CH',1385554516,1385554519),('DE',1385554520,1385554527),('AT',1385554528,1385554531),('DE',1385554532,1385554719),('AT',1385554720,1385554735),('DE',1385554736,1385554783),('CH',1385554784,1385554791),('DE',1385554792,1385557503),('AT',1385557504,1385557759),('DE',1385557760,1385559039),('SK',1385559040,1385559295),('DE',1385559296,1385560831),('SK',1385560832,1385561087),('DE',1385561088,1385562111),('ES',1385562112,1385563135),('IE',1385563136,1385563935),('EU',1385563936,1385564031),('IE',1385564032,1385564039),('EU',1385564040,1385564063),('IE',1385564064,1385564127),('EU',1385564128,1385564159),('HU',1385564160,1385564223),('EU',1385564224,1385564383),('HU',1385564384,1385564671),('EU',1385564672,1385565183),('ES',1385565184,1385565439),('EU',1385565440,1385566207),('FR',1385566208,1385566415),('EU',1385566416,1385566431),('FR',1385566432,1385566719),('EU',1385566720,1385566927),('FR',1385566928,1385566935),('EU',1385566936,1385566943),('FR',1385566944,1385566991),('EU',1385566992,1385566995),('FR',1385566996,1385567005),('EU',1385567006,1385567007),('FR',1385567008,1385567071),('EU',1385567072,1385567087),('FR',1385567088,1385567135),('EU',1385567136,1385567151),('US',1385567152,1385567159),('FR',1385567160,1385567227),('EU',1385567228,1385567231),('IE',1385567232,1385568255),('EU',1385568256,1385569407),('CZ',1385569408,1385569439),('EU',1385569440,1385569455),('CZ',1385569456,1385569487),('DE',1385569488,1385569503),('CZ',1385569504,1385569511),('EU',1385569512,1385569527),('GB',1385569528,1385569535),('EU',1385569536,1385569791),('FR',1385569792,1385570303),('HU',1385570304,1385578495),('DK',1385578496,1385586687),('GB',1385586688,1385587967),('US',1385587968,1385588735),('HK',1385588736,1385589247),('JP',1385589248,1385589503),('GB',1385589504,1385594879),('NL',1385594880,1385603071),('CZ',1385603072,1385611263),('AT',1385611264,1385619455),('DE',1385619456,1385627647),('RU',1385627648,1385635839),('NL',1385635840,1385644031),('MR',1385644032,1385652223),('RU',1385652224,1385660415),('TR',1385660416,1385668607),('NL',1385668608,1385676799),('ES',1385676800,1385684991),('GB',1385684992,1385824255),('PT',1385824256,1385955327),('NL',1385955328,1386086399),('ES',1386086400,1386217471),('PL',1386217472,1386283007),('NL',1386283008,1386348543),('RU',1386348544,1386358767),('FR',1386358768,1386358783),('RU',1386358784,1386414079),('GB',1386414080,1386479615),('NO',1386479616,1386545151),('DE',1386545152,1386577919),('US',1386577920,1386594303),('DE',1386594304,1386596351),('US',1386596352,1386600447),('DE',1386600448,1386602495),('US',1386602496,1386610687),('IL',1386610688,1386676223),('SA',1386676224,1386741759),('NL',1386741760,1387134975),('BE',1387134976,1387155455),('NL',1387155456,1387167743),('BE',1387167744,1387188223),('NL',1387188224,1387233623),('BE',1387233624,1387233627),('NL',1387233628,1387233663),('BE',1387233664,1387233727),('NL',1387233728,1387233791),('BE',1387233792,1387233919),('NL',1387233920,1387249663),('BE',1387249664,1387251231),('NL',1387251232,1387251263),('BE',1387251264,1387251727),('NL',1387251728,1387251751),('BE',1387251752,1387251759),('NL',1387251760,1387331583),('PL',1387331584,1387397119),('OM',1387397120,1387462655),('RU',1387462656,1387528191),('DK',1387528192,1387593727),('FI',1387593728,1387659263),('SE',1387659264,1387790335),('IT',1387790336,1388314623),('AT',1388314624,1388322815),('SI',1388322816,1388331007),('NL',1388331008,1388339199),('GB',1388339200,1388347391),('DK',1388347392,1388363775),('DE',1388363776,1388371967),('CH',1388371968,1388380159),('IT',1388380160,1388388479),('NG',1388388480,1388388607),('IT',1388388608,1388388959),('NG',1388388960,1388388967),('IT',1388388968,1388389135),('NG',1388389136,1388389151),('IT',1388389152,1388389183),('NG',1388389184,1388389223),('IT',1388389224,1388389231),('NG',1388389232,1388389247),('IT',1388389248,1388389255),('NG',1388389256,1388394495),('IT',1388394496,1388395519),('NG',1388395520,1388396543),('LV',1388396544,1388404735),('UA',1388404736,1388412927),('RU',1388412928,1388421119),('SE',1388421120,1388429311),('HR',1388429312,1388437503),('DE',1388437504,1388445695),('AZ',1388445696,1388453887),('BH',1388453888,1388462079),('ES',1388462080,1388470271),('DE',1388470272,1388478463),('AT',1388478464,1388486655),('RU',1388486656,1388494847),('NO',1388494848,1388503039),('RU',1388503040,1388519423),('NL',1388519424,1388527615),('DE',1388527616,1388535807),('GB',1388535808,1388543999),('IE',1388544000,1388547871),('GB',1388547872,1388547903),('IE',1388547904,1388552191),('GB',1388552192,1388560383),('FI',1388560384,1388568575),('CH',1388568576,1388576767),('FR',1388576768,1388584959),('GB',1388584960,1388587487),('FR',1388587488,1388587503),('GB',1388587504,1388588543),('US',1388588544,1388588799),('GB',1388588800,1388590079),('FR',1388590080,1388590127),('GB',1388590128,1388590591),('US',1388590592,1388590719),('GB',1388590720,1388591103),('SG',1388591104,1388591151),('GB',1388591152,1388591167),('SG',1388591168,1388591187),('GB',1388591188,1388591199),('SG',1388591200,1388591231),('GB',1388591232,1388591295),('SG',1388591296,1388591303),('GB',1388591304,1388591615),('US',1388591616,1388591631),('GB',1388591632,1388591647),('US',1388591648,1388591663),('GB',1388591664,1388593151),('RU',1388593152,1388601343),('SE',1388601344,1388609535),('RU',1388609536,1388617727),('SE',1388617728,1388625919),('NO',1388625920,1388634111),('GB',1388634112,1388642303),('FI',1388642304,1388650495),('PL',1388650496,1388658687),('GB',1388658688,1388666879),('GR',1388666880,1388675071),('NL',1388675072,1388675327),('EU',1388675328,1388675583),('DE',1388675584,1388677119),('GB',1388677120,1388677375),('EU',1388677376,1388677631),('AT',1388677632,1388677663),('EU',1388677664,1388677887),('DE',1388677888,1388679167),('FR',1388679168,1388679423),('DE',1388679424,1388679455),('EU',1388679456,1388679679),('DE',1388679680,1388682239),('EU',1388682240,1388682751),('DE',1388682752,1388683263),('CH',1388683264,1388691455),('NL',1388691456,1388699647),('SE',1388699648,1388707839),('RU',1388707840,1388711935),('MD',1388711936,1388712447),('SE',1388712448,1388712703),('A2',1388712704,1388712959),('LB',1388712960,1388713215),('TJ',1388713216,1388713727),('LB',1388713728,1388713983),('AM',1388713984,1388714239),('LT',1388714240,1388714495),('RU',1388714496,1388715007),('LT',1388715008,1388715263),('LB',1388715264,1388715519),('LV',1388715520,1388715775),('LT',1388715776,1388716031),('ES',1388716032,1388724223),('DE',1388724224,1388728600),('CZ',1388728601,1388728608),('DE',1388728609,1388728640),('AT',1388728641,1388728673),('DE',1388728674,1388728734),('AT',1388728735,1388728762),('DE',1388728763,1388728783),('AT',1388728784,1388728799),('DE',1388728800,1388728815),('AT',1388728816,1388728820),('DE',1388728821,1388729208),('AT',1388729209,1388729240),('DE',1388729241,1388729280),('AT',1388729281,1388729296),('DE',1388729297,1388729304),('AT',1388729305,1388729320),('DE',1388729321,1388729856),('AT',1388729857,1388729888),('DE',1388729889,1388731136),('AT',1388731137,1388731391),('DE',1388731392,1388732415),('ES',1388732416,1388740607),('IE',1388740608,1388740631),('GB',1388740632,1388740639),('IE',1388740640,1388743007),('GB',1388743008,1388743015),('IE',1388743016,1388743023),('GB',1388743024,1388743039),('IE',1388743040,1388743043),('GB',1388743044,1388743167),('IE',1388743168,1388743339),('GB',1388743340,1388743343),('IE',1388743344,1388743351),('GB',1388743352,1388743359),('IE',1388743360,1388743551),('GB',1388743552,1388743559),('IE',1388743560,1388744191),('GB',1388744192,1388744447),('IE',1388744448,1388748799),('RU',1388748800,1388756991),('DE',1388756992,1388765183),('GB',1388765184,1388773375),('NO',1388773376,1388781567),('ES',1388781568,1388789759),('NL',1388789760,1388797951),('RU',1388797952,1388806143),('NL',1388806144,1388814335),('AX',1388814336,1388814591),('FI',1388814592,1388814751),('AX',1388814752,1388814783),('FI',1388814784,1388814847),('AX',1388814848,1388815103),('FI',1388815104,1388815871),('AX',1388815872,1388818687),('FI',1388818688,1388818815),('AX',1388818816,1388819199),('FI',1388819200,1388819231),('AX',1388819232,1388821119),('SE',1388821120,1388821150),('AX',1388821151,1388821247),('SE',1388821248,1388822527),('BG',1388822528,1388830719),('FI',1388830720,1388838911),('RU',1388838912,1388871679),('KZ',1388871680,1388904447),('NL',1388904448,1388937215),('EG',1388937216,1388969983),('CZ',1388969984,1389002751),('RU',1389002752,1389035519),('GB',1389035520,1389068287),('FI',1389068288,1389101055),('NL',1389101056,1389133823),('RU',1389133824,1389166591),('PS',1389166592,1389199359),('A2',1389199360,1389199615),('IR',1389199616,1389199647),('A2',1389199648,1389199743),('IR',1389199744,1389199775),('A2',1389199776,1389199871),('IR',1389199872,1389200127),('A2',1389200128,1389200895),('KW',1389200896,1389201023),('A2',1389201024,1389201087),('KW',1389201088,1389201151),('A2',1389201152,1389201791),('KW',1389201792,1389201919),('SA',1389201920,1389202175),('IR',1389202176,1389202191),('A2',1389202192,1389202207),('IQ',1389202208,1389202223),('SA',1389202224,1389202239),('IR',1389202240,1389202303),('A2',1389202304,1389202343),('IQ',1389202344,1389202351),('IR',1389202352,1389202367),('IQ',1389202368,1389202375),('A2',1389202376,1389202383),('IQ',1389202384,1389202391),('A2',1389202392,1389203391),('IR',1389203392,1389203455),('IQ',1389203456,1389203487),('A2',1389203488,1389203551),('IQ',1389203552,1389203583),('A2',1389203584,1389204127),('IR',1389204128,1389204143),('A2',1389204144,1389204147),('TM',1389204148,1389204159),('A2',1389204160,1389204167),('IR',1389204168,1389204175),('IQ',1389204176,1389204183),('A2',1389204184,1389204287),('SA',1389204288,1389204303),('A2',1389204304,1389204479),('IR',1389204480,1389204543),('A2',1389204544,1389205503),('IQ',1389205504,1389205631),('IR',1389205632,1389205935),('A2',1389205936,1389205951),('IR',1389205952,1389205967),('A2',1389205968,1389205999),('IR',1389206000,1389206015),('A2',1389206016,1389206079),('IR',1389206080,1389206095),('A2',1389206096,1389206191),('TM',1389206192,1389206199),('SA',1389206200,1389206207),('A2',1389206208,1389206271),('IR',1389206272,1389206656),('A2',1389206657,1389206719),('IR',1389206720,1389207039),('A2',1389207040,1389207295),('IR',1389207296,1389207359),('SA',1389207360,1389207391),('IR',1389207392,1389207487),('A2',1389207488,1389207495),('SA',1389207496,1389207519),('IR',1389207520,1389207551),('LB',1389207552,1389207807),('A2',1389207808,1389208895),('IQ',1389208896,1389208959),('A2',1389208960,1389209087),('IR',1389209088,1389209343),('A2',1389209344,1389210623),('IR',1389210624,1389210631),('A2',1389210632,1389210655),('IR',1389210656,1389210751),('A2',1389210752,1389210815),('IR',1389210816,1389210879),('A2',1389210880,1389211719),('IR',1389211720,1389211727),('IQ',1389211728,1389211743),('A2',1389211744,1389212927),('IR',1389212928,1389212991),('A2',1389212992,1389213055),('IR',1389213056,1389213087),('A2',1389213088,1389213183),('IQ',1389213184,1389213199),('A2',1389213200,1389213439),('LY',1389213440,1389213695),('LB',1389213696,1389213951),('A2',1389213952,1389214207),('LY',1389214208,1389214463),('A2',1389214464,1389214975),('IQ',1389214976,1389215039),('A2',1389215040,1389215231),('AF',1389215232,1389217791),('A2',1389217792,1389218303),('AF',1389218304,1389219839),('A2',1389219840,1389220095),('SA',1389220096,1389220143),('A2',1389220144,1389220159),('IQ',1389220160,1389220223),('A2',1389220224,1389220287),('IR',1389220288,1389220479),('IQ',1389220480,1389220495),('A2',1389220496,1389220511),('SA',1389220512,1389220543),('A2',1389220544,1389220575),('IQ',1389220576,1389220591),('A2',1389220592,1389220607),('SA',1389220608,1389220655),('A2',1389220656,1389220671),('IQ',1389220672,1389220687),('SA',1389220688,1389220703),('A2',1389220704,1389220735),('IQ',1389220736,1389220751),('SA',1389220752,1389220799),('A2',1389220800,1389220895),('SA',1389220896,1389220927),('A2',1389220928,1389220935),('IR',1389220936,1389220943),('A2',1389220944,1389220959),('IQ',1389220960,1389220975),('A2',1389220976,1389221119),('LY',1389221120,1389221631),('SA',1389221632,1389222431),('IQ',1389222432,1389222463),('A2',1389222464,1389222495),('IQ',1389222496,1389222511),('A2',1389222512,1389222528),('SA',1389222529,1389222542),('A2',1389222543,1389222575),('SA',1389222576,1389222591),('IQ',1389222592,1389222607),('A2',1389222608,1389222623),('IR',1389222624,1389222639),('A2',1389222640,1389222687),('IR',1389222688,1389222703),('SA',1389222704,1389222719),('IQ',1389222720,1389222751),('A2',1389222752,1389222799),('SA',1389222800,1389222879),('A2',1389222880,1389222911),('SA',1389222912,1389223167),('A2',1389223168,1389223183),('SA',1389223184,1389223215),('A2',1389223216,1389223231),('SA',1389223232,1389223263),('IQ',1389223264,1389223327),('A2',1389223328,1389223423),('SA',1389223424,1389223471),('IQ',1389223472,1389223487),('A2',1389223488,1389223519),('IR',1389223520,1389223551),('SA',1389223552,1389223679),('DE',1389223680,1389224191),('SA',1389224192,1389224447),('IR',1389224448,1389224511),('A2',1389224512,1389224543),('IR',1389224544,1389224559),('A2',1389224560,1389224703),('LY',1389224704,1389224959),('A2',1389224960,1389225215),('SA',1389225216,1389225471),('IR',1389225472,1389225535),('IQ',1389225536,1389225567),('A2',1389225568,1389225727),('IR',1389225728,1389225983),('LY',1389225984,1389226239),('IR',1389226240,1389226751),('A2',1389226752,1389227391),('IR',1389227392,1389227775),('A2',1389227776,1389228031),('IQ',1389228032,1389228047),('A2',1389228048,1389228063),('IQ',1389228064,1389228095),('LB',1389228096,1389228127),('IQ',1389228128,1389228175),('A2',1389228176,1389228287),('IQ',1389228288,1389228351),('AE',1389228352,1389228415),('LB',1389228416,1389228479),('A2',1389228480,1389228799),('NG',1389228800,1389228863),('SO',1389228864,1389228871),('A2',1389228872,1389229055),('FR',1389229056,1389229311),('A2',1389229312,1389229567),('AF',1389229568,1389229695),('A2',1389229696,1389229823),('IR',1389229824,1389230095),('A2',1389230096,1389230111),('IR',1389230112,1389230143),('A2',1389230144,1389231359),('AE',1389231360,1389231615),('A2',1389231616,1389232063),('SA',1389232064,1389232095),('A2',1389232096,1389232127),('DE',1389232128,1389264383),('ES',1389264384,1389264639),('US',1389264640,1389264911),('CD',1389264912,1389264927),('GB',1389264928,1389264943),('GH',1389264944,1389264959),('TZ',1389264960,1389265039),('A2',1389265040,1389265055),('ZA',1389265056,1389265071),('GB',1389265072,1389265079),('NG',1389265080,1389265087),('A2',1389265088,1389265127),('BH',1389265128,1389265135),('A2',1389265136,1389265151),('NG',1389265152,1389265167),('US',1389265168,1389265183),('ZA',1389265184,1389265199),('ET',1389265200,1389265231),('TZ',1389265232,1389265239),('A2',1389265240,1389265263),('NG',1389265264,1389265279),('TD',1389265280,1389265407),('US',1389265408,1389265535),('A2',1389265536,1389265536),('US',1389265537,1389265551),('CA',1389265552,1389265559),('LR',1389265560,1389265567),('GM',1389265568,1389265574),('A2',1389265575,1389265575),('SC',1389265576,1389265591),('CG',1389265592,1389265598),('A2',1389265599,1389265599),('SO',1389265600,1389265663),('ZA',1389265664,1389265791),('A2',1389265792,1389265807),('CA',1389265808,1389265823),('NG',1389265824,1389265855),('US',1389265856,1389265863),('A2',1389265864,1389266463),('CD',1389266464,1389266471),('A2',1389266472,1389266543),('CD',1389266544,1389266551),('A2',1389266552,1389266559),('CD',1389266560,1389266569),('A2',1389266570,1389266575),('NG',1389266576,1389266591),('A2',1389266592,1389266599),('NG',1389266600,1389266607),('A2',1389266608,1389266663),('CD',1389266664,1389266687),('ZA',1389266688,1389266695),('A2',1389266696,1389266943),('KE',1389266944,1389267199),('CD',1389267200,1389267455),('A2',1389267456,1389267967),('BI',1389267968,1389268096),('A2',1389268097,1389268223),('US',1389268224,1389268351),('A2',1389268352,1389268479),('US',1389268480,1389268607),('GB',1389268608,1389268735),('A2',1389268736,1389268863),('KE',1389268864,1389268871),('A2',1389268872,1389269023),('CD',1389269024,1389269031),('A2',1389269032,1389269055),('CD',1389269056,1389269063),('A2',1389269064,1389269151),('NG',1389269152,1389269159),('A2',1389269160,1389269183),('NG',1389269184,1389269215),('A2',1389269216,1389269247),('NG',1389269248,1389269376),('A2',1389269377,1389269759),('CD',1389269760,1389269887),('A2',1389269888,1389270015),('CD',1389270016,1389270271),('A2',1389270272,1389270815),('US',1389270816,1389270823),('A2',1389270824,1389271039),('CA',1389271040,1389271295),('A2',1389271296,1389272063),('NO',1389272064,1389272191),('GB',1389272192,1389272223),('A2',1389272224,1389272367),('AE',1389272368,1389272383),('A2',1389272384,1389272447),('GB',1389272448,1389272575),('A2',1389272576,1389272831),('ZA',1389272832,1389272959),('FR',1389272960,1389273087),('LB',1389273088,1389273343),('AE',1389273344,1389273599),('MG',1389273600,1389273855),('NG',1389273856,1389274111),('A2',1389274112,1389274367),('US',1389274368,1389274399),('GH',1389274400,1389274431),('US',1389274432,1389274494),('A2',1389274495,1389274495),('ZA',1389274496,1389274751),('CD',1389274752,1389274815),('LR',1389274816,1389274839),('A2',1389274840,1389274847),('LR',1389274848,1389274879),('AE',1389274880,1389275135),('GB',1389275136,1389275391),('BD',1389275392,1389275471),('A2',1389275472,1389275503),('DE',1389275504,1389275511),('A2',1389275512,1389275839),('SA',1389275840,1389275902),('A2',1389275903,1389275903),('US',1389275904,1389276415),('MX',1389276416,1389276543),('A2',1389276544,1389277439),('NP',1389277440,1389277567),('A2',1389277568,1389277695),('AE',1389277696,1389277951),('A2',1389277952,1389278207),('ZA',1389278208,1389278719),('DE',1389278720,1389278847),('NG',1389278848,1389278975),('MX',1389278976,1389279103),('NG',1389279104,1389279231),('US',1389279232,1389279487),('A2',1389279488,1389279615),('NG',1389279616,1389279743),('LR',1389279744,1389279999),('A2',1389280000,1389280511),('FR',1389280512,1389280767),('VG',1389280768,1389281023),('A2',1389281024,1389281279),('ZA',1389281280,1389281791),('A2',1389281792,1389282815),('LR',1389282816,1389282943),('A2',1389282944,1389283711),('ZA',1389283712,1389283839),('A2',1389283840,1389284351),('TZ',1389284352,1389286399),('A2',1389286400,1389287423),('US',1389287424,1389287551),('A2',1389287552,1389287679),('DK',1389287680,1389287935),('US',1389287936,1389288447),('GN',1389288448,1389289471),('GB',1389289472,1389290495),('US',1389290496,1389290751),('FR',1389290752,1389291007),('A2',1389291008,1389291519),('US',1389291520,1389291775),('A2',1389291776,1389292031),('GH',1389292032,1389292799),('MG',1389292800,1389293055),('US',1389293056,1389293311),('KE',1389293312,1389293567),('A2',1389293568,1389296639),('TZ',1389296640,1389297151),('A2',1389297152,1389297663),('UA',1389297664,1389330431),('DE',1389330432,1389363199),('CZ',1389363200,1389365695),('PL',1389365696,1389365727),('CZ',1389365728,1389379583),('RU',1389379584,1389395967),('RO',1389395968,1389412351),('RS',1389412352,1389428735),('CZ',1389428736,1389445119),('GB',1389445120,1389461503),('SE',1389461504,1389477887),('BY',1389477888,1389494271),('DE',1389494272,1389504511),('FR',1389504512,1389505023),('DE',1389505024,1389505279),('FR',1389505280,1389505535),('DE',1389505536,1389510655),('NL',1389510656,1389527039),('PL',1389527040,1389543423),('DE',1389543424,1389555263),('AT',1389555264,1389555327),('DE',1389555328,1389556751),('CH',1389556752,1389556759),('DE',1389556760,1389559039),('CH',1389559040,1389559103),('DE',1389559104,1389559743),('CH',1389559744,1389559807),('DE',1389559808,1389562879),('IT',1389562880,1389563135),('DE',1389563136,1389576191),('GB',1389576192,1389592575),('A2',1389592576,1389592831),('CY',1389592832,1389593087),('A2',1389593088,1389608959),('DK',1389608960,1389625343),('DE',1389625344,1389641727),('BE',1389658112,1389674495),('DE',1389674496,1389690879),('PS',1389690880,1389707263),('IT',1389707264,1389723647),('ES',1389723648,1389756415),('SE',1389756416,1389772799),('SI',1389772800,1389784575),('BA',1389784576,1389784831),('SI',1389784832,1389788671),('RS',1389788672,1389788927),('SI',1389788928,1389789183),('PL',1389789184,1389805567),('US',1389805568,1389821951),('NL',1389821952,1389838335),('UZ',1389838336,1389854719),('IT',1389854720,1389871103),('FI',1389871104,1389887487),('FR',1389887488,1389953023),('NL',1389953024,1390018559),('AT',1390018560,1390084095),('GB',1390084096,1390149631),('CH',1390149632,1390215167),('IS',1390215168,1390280703),('TR',1390280704,1390346239),('ES',1390346240,1390395391),('FR',1390395392,1390396415),('PT',1390396416,1390411775),('FR',1390411776,1392508927),('PL',1392508928,1394606079),('ES',1394606080,1396703231),('AT',1396703232,1396834303),('TR',1396834304,1396899839),('GB',1396899840,1396965375),('NL',1396965376,1396973567),('RU',1396973568,1396981759),('PL',1396981760,1396989951),('FR',1396989952,1396998143),('AT',1396998144,1397006335),('KW',1397006336,1397014527),('CH',1397014528,1397022719),('SE',1397022720,1397030911),('RU',1397030912,1397039103),('CZ',1397039104,1397047295),('RU',1397047296,1397063679),('UZ',1397063680,1397071871),('RU',1397071872,1397096447),('IE',1397096448,1397227519),('DK',1397227520,1397489663),('CH',1397489664,1397751807),('NL',1397751808,1398276095),('DK',1398276096,1398800383),('KW',1398800384,1398833151),('NL',1398833152,1398849535),('BE',1398849536,1398850079),('NL',1398850080,1398850559),('BE',1398850560,1398850687),('NL',1398850688,1398850751),('BE',1398850752,1398851231),('NL',1398851232,1398851263),('BE',1398851264,1398852351),('NL',1398852352,1398852863),('BE',1398852864,1398853119),('NL',1398853120,1398865919),('DE',1398865920,1398867967),('NL',1398867968,1398870015),('PL',1398870016,1398872063),('BG',1398872064,1398874111),('GB',1398874112,1398876159),('DE',1398876160,1398880255),('FR',1398880256,1398882303),('BG',1398882304,1398884351),('DE',1398884352,1398886399),('CH',1398886400,1398888447),('GB',1398888448,1398890495),('DK',1398890496,1398892543),('UA',1398892544,1398894591),('DE',1398894592,1398896639),('CH',1398896640,1398898687),('ES',1398898688,1398931455),('GB',1398931456,1398964223),('NL',1398964224,1398965759),('CH',1398965760,1398965887),('NL',1398965888,1398967871),('IE',1398967872,1398967903),('NL',1398967904,1398968063),('DE',1398968064,1398968319),('NL',1398968320,1398972319),('US',1398972320,1398972351),('NL',1398972352,1398972415),('IE',1398972416,1398972671),('NL',1398972672,1398973695),('DE',1398973696,1398973951),('IE',1398973952,1398974207),('NL',1398974208,1398979583),('GB',1398979584,1398979839),('NL',1398979840,1398983423),('GB',1398983424,1398983487),('JE',1398983488,1398983519),('NL',1398983520,1398996991),('LU',1398996992,1399029759),('LV',1399029760,1399062527),('FI',1399062528,1399095295),('GB',1399095296,1399128063),('BE',1399128064,1399160831),('SA',1399160832,1399193599),('FI',1399193600,1399226367),('RU',1399226368,1399259135),('IT',1399259136,1399291903),('RO',1399291904,1399324671),('GB',1399324672,1399586815),('NO',1399586816,1399717887),('AE',1399717888,1399848959),('FR',1399848960,1400111103),('NL',1400111104,1400373247),('DE',1400373248,1400716287),('EU',1400716288,1400717311),('DE',1400717312,1400718335),('EU',1400718336,1400718847),('DE',1400718848,1400730623),('EU',1400730624,1400897535),('NL',1400897536,1400963071),('DE',1400963072,1401028607),('IL',1401028608,1401094143),('HR',1401094144,1401159679),('PT',1401159680,1401225215),('DE',1401225216,1401241599),('DK',1401241600,1401242623),('DE',1401242624,1401243135),('EU',1401243136,1401243647),('DE',1401243648,1401244159),('EU',1401244160,1401245695),('DE',1401245696,1401264903),('EU',1401264904,1401265151),('DE',1401265152,1401265919),('EU',1401265920,1401266175),('DE',1401266176,1401270783),('EU',1401270784,1401271295),('DE',1401271296,1401283583),('EU',1401283584,1401286655),('DE',1401286656,1401290751),('BE',1401290752,1401356287),('DE',1401356288,1401421823),('GB',1401421824,1401423135),('IN',1401423136,1401423167),('GB',1401423168,1401423199),('US',1401423200,1401423231),('GB',1401423232,1401423871),('AE',1401423872,1401423903),('GR',1401423904,1401423967),('SA',1401423968,1401423999),('AE',1401424000,1401425151),('GR',1401425152,1401425407),('AE',1401425408,1401425919),('NL',1401425920,1401427967),('RU',1401427968,1401430015),('AT',1401430016,1401432063),('IE',1401432064,1401434111),('RU',1401434112,1401436159),('BH',1401436160,1401438207),('GB',1401438208,1401440255),('DE',1401440256,1401443487),('GI',1401443488,1401443519),('DE',1401443520,1401444351),('DK',1401444352,1401446399),('DE',1401446400,1401448447),('IT',1401448448,1401450495),('RU',1401450496,1401452543),('GB',1401452544,1401454591),('DE',1401454592,1401456639),('LV',1401456640,1401458687),('IT',1401458688,1401460735),('CY',1401460736,1401462783),('FR',1401462784,1401464831),('IE',1401464832,1401466879),('RS',1401466880,1401468927),('ES',1401468928,1401470975),('NL',1401470976,1401473023),('CZ',1401473024,1401475071),('GB',1401475072,1401479167),('PL',1401479168,1401481215),('RU',1401481216,1401485311),('IT',1401485312,1401486095),('CH',1401486096,1401486111),('SM',1401486112,1401486127),('IT',1401486128,1401487359),('GB',1401487360,1401489407),('SE',1401489408,1401491455),('NL',1401491456,1401493503),('CH',1401493504,1401495551),('DK',1401495552,1401497599),('AT',1401497600,1401499647),('RU',1401499648,1401501695),('IT',1401501696,1401501791),('A2',1401501792,1401502207),('IT',1401502208,1401502463),('A2',1401502464,1401503743),('DE',1401503744,1401505791),('CH',1401505792,1401509887),('UA',1401509888,1401511935),('DE',1401511936,1401513983),('IT',1401513984,1401516031),('FR',1401516032,1401518079),('IT',1401518080,1401520127),('GB',1401520128,1401522175),('NL',1401522176,1401526271),('DE',1401526272,1401528319),('IT',1401528320,1401530367),('DE',1401530368,1401532415),('GB',1401532416,1401534463),('DE',1401534464,1401536511),('NL',1401536512,1401538559),('NO',1401538560,1401539327),('SE',1401539328,1401539583),('NO',1401539584,1401540607),('GB',1401540608,1401542655),('RU',1401542656,1401544703),('GB',1401544704,1401546751),('IT',1401546752,1401548799),('FR',1401548800,1401550847),('GB',1401550848,1401552895),('NL',1401552896,1401554943),('IE',1401554944,1401556991),('GB',1401556992,1401563135),('ES',1401563136,1401565183),('RU',1401565184,1401567231),('GB',1401567232,1401569279),('DE',1401569280,1401585663),('GB',1401585664,1401586535),('IE',1401586536,1401586543),('GB',1401586544,1401589791),('IE',1401589792,1401589799),('GB',1401589800,1401595087),('NG',1401595088,1401595095),('GB',1401595096,1401599167),('IE',1401599168,1401599231),('GB',1401599232,1401602047),('ES',1401602048,1401618431),('AM',1401618432,1401634815),('HR',1401634816,1401651199),('GB',1401651200,1401667583),('IT',1401667584,1401683967),('SE',1401683968,1401684479),('DK',1401684480,1401684511),('SE',1401684512,1401684543),('DK',1401684544,1401684607),('SE',1401684608,1401684735),('NO',1401684736,1401684755),('SE',1401684756,1401684799),('NO',1401684800,1401684863),('SE',1401684864,1401686015),('GB',1401686016,1401686055),('SE',1401686056,1401686079),('GB',1401686080,1401686143),('SE',1401686144,1401686271),('NL',1401686272,1401686287),('SE',1401686288,1401686335),('NL',1401686336,1401686399),('SE',1401686400,1401686527),('GB',1401686528,1401686543),('SE',1401686544,1401686591),('US',1401686592,1401686655),('SE',1401686656,1401686911),('DE',1401686912,1401686927),('SE',1401686928,1401691519),('DE',1401691520,1401691535),('SE',1401691536,1401697815),('DE',1401697816,1401697823),('SE',1401697824,1401714047),('FR',1401714048,1401714063),('SE',1401714064,1401717759),('NL',1401717760,1401718015),('SE',1401718016,1401719935),('DK',1401719936,1401719951),('SE',1401719952,1401728335),('NL',1401728336,1401728351),('SE',1401728352,1401728431),('NL',1401728432,1401728447),('SE',1401728448,1401742847),('GB',1401742848,1401742879),('SE',1401742880,1401743103),('GB',1401743104,1401743119),('SE',1401743120,1401745919),('DE',1401745920,1401745935),('SE',1401745936,1401746175),('DK',1401746176,1401746191),('SE',1401746192,1401746431),('NL',1401746432,1401746447),('SE',1401746448,1401746687),('NO',1401746688,1401746703),('SE',1401746704,1401746943),('FR',1401746944,1401746959),('SE',1401746960,1401747199),('DE',1401747200,1401747215),('SE',1401747216,1401749135),('DE',1401749136,1401749151),('SE',1401749152,1401749503),('DE',1401749504,1401753087),('AT',1401753088,1401753343),('DE',1401753344,1401759231),('GB',1401759232,1401759487),('DE',1401759488,1401760255),('SK',1401760256,1401760767),('DE',1401760768,1401765887),('IE',1401765888,1401782271),('FR',1401782272,1401815039),('SE',1401815040,1401817087),('RU',1401817088,1401819135),('BG',1401819136,1401821183),('GB',1401821184,1401825279),('PL',1401825280,1401827327),('GB',1401827328,1401829375),('PL',1401829376,1401831423),('GB',1401831424,1401833471),('DE',1401835520,1401837567),('CH',1401837568,1401839615),('NO',1401839616,1401841663),('PL',1401841664,1401847807),('DE',1401847808,1401849855),('FR',1401851904,1401853951),('PL',1401853952,1401855999),('RU',1401856000,1401858047),('PL',1401858048,1401868287),('AT',1401868288,1401870335),('PL',1401870336,1401872383),('GB',1401872384,1401874431),('UA',1401874432,1401876479),('ES',1401876480,1401878527),('MT',1401878528,1401880575),('DE',1401880576,1401882623),('NG',1401882624,1401884671),('FR',1401884672,1401886719),('BW',1401886720,1401888767),('RO',1401888768,1401890815),('PL',1401890816,1401892863),('RU',1401892864,1401894911),('FI',1401894912,1401896959),('RU',1401896960,1401899007),('PL',1401899008,1401901055),('NO',1401901056,1401903103),('FI',1401903104,1401905151),('PL',1401905152,1401907199),('FR',1401907200,1401909247),('NO',1401909248,1401911295),('DK',1401911296,1401913343),('PL',1401913344,1401917439),('BG',1401917440,1401919487),('RU',1401919488,1401921535),('PL',1401921536,1401923583),('BE',1401923584,1401925631),('BG',1401925632,1401927679),('NL',1401927680,1401929727),('RU',1401929728,1401931775),('ES',1401931776,1401933823),('PL',1401933824,1401935871),('FI',1401935872,1401937919),('GB',1401937920,1401939967),('UA',1401939968,1401942015),('EU',1401942016,1401944063),('BG',1401944064,1401946111),('FR',1401946112,1401962495),('PL',1401962496,1401978879),('PT',1401978880,1401995263),('CH',1401995264,1402011647),('SE',1402011648,1402025951),('DE',1402025952,1402025983),('SE',1402025984,1402028031),('FR',1402028032,1402044415),('PL',1402044416,1402060799),('FI',1402060800,1402077183),('GB',1402077184,1402093567),('RU',1402093568,1402109951),('FI',1402109952,1402142719),('ES',1402142720,1402159103),('IT',1402159104,1402175487),('IE',1402175488,1402191871),('IR',1402191872,1402208255),('CZ',1402208256,1402224639),('BG',1402224640,1402241023),('GB',1402241024,1402257407),('FI',1402257408,1402273791),('RU',1402273792,1402277119),('MD',1402277120,1402277375),('KG',1402277376,1402277631),('TJ',1402277632,1402277887),('RU',1402277888,1402290175),('NL',1402290176,1402306559),('IT',1402306560,1402322943),('RU',1402322944,1402339327),('CH',1402339328,1402355711),('FI',1402355712,1402372095),('SE',1402372096,1402388479),('ES',1402388480,1402404863),('RU',1402404864,1402408959),('DE',1402408960,1402413055),('PL',1402413056,1402417151),('DE',1402417152,1402421247),('FR',1402421248,1402421759),('GB',1402421760,1402422271),('FR',1402422272,1402422527),('GB',1402422528,1402425343),('FR',1402425344,1402425599),('GB',1402425600,1402433535),('LU',1402433536,1402433631),('FR',1402433632,1402433695),('LU',1402433696,1402433775),('FR',1402433776,1402433791),('LU',1402433792,1402437631),('DK',1402437632,1402454015),('GB',1402454016,1402470399),('FR',1402470400,1402994687),('NL',1402994688,1403256831),('AT',1403256832,1403322367),('ES',1403322368,1403387903),('SE',1403387904,1403396095),('EE',1403396096,1403400191),('TR',1403400192,1403400207),('EE',1403400208,1403400215),('US',1403400216,1403400219),('EE',1403400220,1403400239),('BG',1403400240,1403400255),('EE',1403400256,1403400263),('US',1403400264,1403400271),('EE',1403400272,1403404287),('GB',1403404288,1403412479),('RU',1403412480,1403420671),('NL',1403420672,1403428863),('GB',1403428864,1403437055),('RO',1403437056,1403445247),('RU',1403445248,1403461631),('FR',1403461632,1403464663),('BE',1403464664,1403464671),('FR',1403464672,1403469823),('RU',1403469824,1403486207),('FR',1403486208,1403494399),('GB',1403494400,1403502591),('NL',1403502592,1403510783),('CY',1403518976,1403535359),('PL',1403535360,1403551743),('SK',1403551744,1403568127),('SE',1403568128,1403584511),('IR',1403584512,1403600895),('FR',1403600896,1403617279),('DE',1403617280,1403633663),('RU',1403633664,1403650047),('DE',1403650048,1403655935),('IR',1403655936,1403655943),('DE',1403655944,1403656703),('IR',1403656704,1403656959),('DE',1403656960,1403658495),('IR',1403658496,1403658527),('KW',1403658528,1403658559),('DE',1403658560,1403658847),('IR',1403658848,1403658879),('DE',1403658880,1403658911),('IR',1403658912,1403658975),('DE',1403658976,1403660735),('IR',1403660736,1403660799),('DE',1403660800,1403661183),('IR',1403661184,1403661215),('AE',1403661216,1403661279),('IR',1403661280,1403661310),('DE',1403661311,1403661631),('IR',1403661632,1403661663),('DE',1403661664,1403661727),('IR',1403661728,1403661759),('DE',1403661760,1403661887),('IR',1403661888,1403661919),('DE',1403661920,1403661951),('IR',1403661952,1403661983),('DE',1403661984,1403662015),('IR',1403662016,1403662047),('DE',1403662048,1403662111),('IR',1403662112,1403662143),('DE',1403662144,1403662175),('AE',1403662176,1403662207),('DE',1403662208,1403662271),('AE',1403662272,1403662303),('DE',1403662304,1403662495),('IR',1403662496,1403662527),('DE',1403662528,1403662655),('IR',1403662656,1403662687),('DE',1403662688,1403662815),('IR',1403662816,1403662911),('DE',1403662912,1403662943),('AE',1403662944,1403662975),('IR',1403662976,1403663039),('DE',1403663040,1403663135),('AE',1403663136,1403663199),('DE',1403663200,1403663359),('IR',1403663360,1403663487),('DE',1403663488,1403663511),('IR',1403663512,1403663519),('DE',1403663520,1403663527),('IQ',1403663528,1403663535),('DE',1403663536,1403663567),('AE',1403663568,1403663575),('DE',1403663576,1403663589),('IR',1403663590,1403663590),('DE',1403663591,1403664895),('TZ',1403664896,1403664919),('DE',1403664920,1403666431),('GB',1403666432,1403672575),('US',1403672576,1403672831),('GB',1403672832,1403692031),('A2',1403692032,1403699199),('UA',1403699200,1403715583),('LT',1403715584,1403731967),('RU',1403731968,1403748351),('DE',1403748352,1403764735),('GR',1403764736,1403781119),('RU',1403781120,1403797503),('SE',1403797504,1403813887),('NL',1403813888,1403830271),('CH',1403830272,1403846655),('IS',1403846656,1403863039),('FR',1403863040,1403879423),('ES',1403879424,1403895807),('CH',1403895808,1403912191),('PT',1403912192,1403928575),('SE',1403928576,1403944959),('GR',1403944960,1403961343),('RU',1403961344,1403977727),('IT',1403977728,1403994111),('AT',1403994112,1404010495),('PL',1404010496,1404026879),('ES',1404026880,1404043263),('IT',1404043264,1404051455),('CH',1404051456,1404059647),('IT',1404059648,1404076031),('DE',1404076032,1404084223),('BE',1404084224,1404088319),('SE',1404088320,1404116991),('ES',1404116992,1404125183),('SE',1404125184,1404137471),('HU',1404137472,1404139519),('SE',1404139520,1404184063),('NO',1404184064,1404184575),('SE',1404184576,1404186623),('NO',1404186624,1404187647),('SE',1404187648,1404189183),('EE',1404189184,1404189695),('RU',1404189696,1404190719),('SE',1404190720,1404198911),('DK',1404198912,1404199935),('RU',1404199936,1404200959),('NL',1404200960,1404203007),('SE',1404203008,1404207103),('RU',1404207104,1404208127),('SE',1404208128,1404209151),('RU',1404209152,1404210175),('SE',1404210176,1404221439),('RU',1404221440,1404222463),('SE',1404222464,1404223487),('RU',1404223488,1404227071),('SE',1404227072,1404232191),('RU',1404232192,1404232703),('SE',1404232704,1404305407),('NL',1404305408,1404321791),('CH',1404321792,1404334079),('SE',1404334080,1404338175),('ES',1404338176,1404362751),('CH',1404362752,1404370943),('SE',1404370944,1404379135),('AT',1404379136,1404383231),('SE',1404383232,1404386303),('IT',1404386304,1404387327),('DE',1404387328,1404395519),('CH',1404395520,1404403711),('NL',1404403712,1404411903),('IT',1404411904,1404436479),('BE',1404436480,1404502015),('SE',1404502016,1404567551),('IT',1404567552,1404633087),('SE',1404633088,1404698623),('BE',1404698624,1404764159),('PT',1404764160,1404801535),('SE',1404801536,1404805119),('AT',1404805120,1404813311),('IT',1404813312,1404829695),('RU',1404829696,1404870655),('SE',1404870656,1404875775),('LT',1404875776,1404876799),('SE',1404876800,1404895231),('DE',1404895232,1404927999),('CH',1404928000,1404940287),('SE',1404940288,1404944383),('IT',1404944384,1404952575),('NL',1404952576,1404960767),('IT',1404960768,1405026303),('ES',1405026304,1405050879),('AT',1405050880,1405059071),('SE',1405059072,1405063167),('NO',1405063168,1405065215),('SE',1405065216,1405067263),('DE',1405067264,1405075455),('FR',1405075456,1405083647),('SE',1405083648,1405091839),('FR',1405091840,1406140415),('CZ',1406140416,1406205951),('SE',1406205952,1406271487),('IE',1406271488,1406337023),('IT',1406337024,1406402559),('GR',1406402560,1406468095),('ES',1406468096,1406533631),('FR',1406533632,1406599167),('AT',1406599168,1406664703),('FI',1406664704,1406672895),('HU',1406672896,1406681087),('GB',1406681088,1406689279),('SE',1406689280,1406697471),('GB',1406697472,1406705663),('IT',1406705664,1406708735),('A2',1406708736,1406709759),('IT',1406709760,1406710015),('A2',1406710016,1406713855),('AT',1406713856,1406715711),('NL',1406715712,1406715903),('AT',1406715904,1406717439),('NL',1406717440,1406717695),('DE',1406717696,1406717951),('NL',1406717952,1406719999),('AT',1406720000,1406721023),('NL',1406721024,1406722047),('DE',1406722048,1406730239),('RU',1406730240,1406746623),('NL',1406746624,1406747135),('BE',1406747136,1406747647),('NL',1406747648,1406747679),('BE',1406747680,1406747743),('NL',1406747744,1406748287),('BE',1406748288,1406748319),('NL',1406748320,1406749727),('BE',1406749728,1406749775),('NL',1406749776,1406749823),('BE',1406749824,1406749839),('NL',1406749840,1406749919),('BE',1406749920,1406749951),('NL',1406749952,1406750303),('BE',1406750304,1406750319),('NL',1406750320,1406751775),('BE',1406751776,1406751807),('NL',1406751808,1406751903),('BE',1406751904,1406751967),('NL',1406751968,1406752223),('BE',1406752224,1406752255),('NL',1406752256,1406752383),('BE',1406752384,1406752447),('NL',1406752448,1406752703),('BE',1406752704,1406752735),('NL',1406752736,1406752751),('BE',1406752752,1406752767),('NL',1406752768,1406753023),('GB',1406753024,1406753279),('NL',1406753280,1406753791),('BE',1406753792,1406754048),('NL',1406754049,1406754303),('BE',1406754304,1406754304),('NL',1406754305,1406754559),('BE',1406754560,1406754560),('NL',1406754561,1406754815),('GB',1406754816,1406763007),('BE',1406763008,1406771199),('GB',1406771200,1406779391),('RU',1406779392,1406787583),('AM',1406787584,1406795775),('GB',1406795776,1406803967),('DE',1406803968,1406812159),('SE',1406812160,1406820351),('GB',1406820352,1406836735),('AT',1406836736,1406844927),('MD',1406844928,1406853119),('UA',1406853120,1406861311),('RU',1406861312,1406869503),('GB',1406869504,1406877695),('NL',1406877696,1406885887),('CH',1406885888,1406894079),('RU',1406894080,1406902271),('AT',1406902272,1406910463),('SE',1406910464,1406918655),('RU',1406918656,1406926335),('DE',1406926336,1406926847),('IT',1406926848,1406935039),('RU',1406935040,1406951423),('PL',1406951424,1406959615),('DE',1406959616,1406964287),('CH',1406964288,1406964319),('DE',1406964320,1406964735),('US',1406964736,1406964927),('DE',1406964928,1406966783),('GB',1406966784,1406966791),('DE',1406966792,1406967295),('GB',1406967296,1406967327),('NL',1406967328,1406967343),('DE',1406967344,1406967551),('GB',1406967552,1406967807),('RU',1406967808,1406975999),('IE',1406976000,1406984191),('RU',1406984192,1407000575),('DE',1407000576,1407016959),('IT',1407016960,1407025151),('DK',1407025152,1407025663),('US',1407025664,1407025919),('DK',1407025920,1407033343),('UZ',1407033344,1407034367),('RU',1407034368,1407035391),('UZ',1407035392,1407041535),('RU',1407041536,1407049727),('DE',1407049728,1407057919),('RU',1407057920,1407066111),('LU',1407066112,1407074303),('RU',1407074304,1407082495),('GB',1407082496,1407090687),('CH',1407090688,1407098879),('BG',1407098880,1407107071),('RU',1407107072,1407123455),('SE',1407123456,1407131647),('NL',1407131648,1407139839),('DE',1407139840,1407148031),('GB',1407148032,1407156223),('LV',1407156224,1407164415),('PT',1407164416,1407172607),('GB',1407172608,1407180799),('RU',1407180800,1407188991),('IT',1407188992,1407320063),('SE',1407320064,1407451135),('BG',1407451136,1407483903),('CH',1407483904,1407516671),('A2',1407516672,1407516751),('GH',1407516752,1407516759),('A2',1407516760,1407516831),('NG',1407516832,1407516832),('A2',1407516833,1407516927),('ZW',1407516928,1407517183),('GB',1407517184,1407517311),('A2',1407517312,1407517383),('CD',1407517384,1407517391),('A2',1407517392,1407517415),('NG',1407517416,1407517423),('A2',1407517424,1407517431),('NG',1407517432,1407517439),('A2',1407517440,1407517695),('NG',1407517696,1407517951),('A2',1407517952,1407518015),('NG',1407518016,1407518031),('A2',1407518032,1407518047),('NG',1407518048,1407518055),('A2',1407518056,1407518079),('NG',1407518080,1407518135),('TD',1407518136,1407518143),('NG',1407518144,1407518151),('A2',1407518152,1407518175),('GH',1407518176,1407518183),('NG',1407518184,1407518191),('LR',1407518192,1407518199),('A2',1407518200,1407518215),('NG',1407518216,1407518223),('A2',1407518224,1407518239),('NG',1407518240,1407518255),('GH',1407518256,1407518269),('A2',1407518270,1407518335),('CG',1407518336,1407518343),('GN',1407518344,1407518351),('A2',1407518352,1407518359),('NG',1407518360,1407518383),('A2',1407518384,1407518391),('NG',1407518392,1407518399),('A2',1407518400,1407518847),('NG',1407518848,1407518911),('A2',1407518912,1407518943),('NG',1407518944,1407518999),('A2',1407519000,1407519007),('GH',1407519008,1407519015),('AO',1407519016,1407519023),('NG',1407519024,1407519031),('AO',1407519032,1407519047),('A2',1407519048,1407519063),('NG',1407519064,1407519087),('A2',1407519088,1407519095),('CM',1407519096,1407519103),('NG',1407519104,1407519111),('SL',1407519112,1407519127),('A2',1407519128,1407519135),('CM',1407519136,1407519143),('A2',1407519144,1407519167),('NG',1407519168,1407519175),('A2',1407519176,1407519191),('CD',1407519192,1407519199),('CM',1407519200,1407519207),('A2',1407519208,1407519215),('NG',1407519216,1407519223),('A2',1407519224,1407519231),('NG',1407519232,1407519742),('A2',1407519743,1407519743),('NG',1407519744,1407520255),('A2',1407520256,1407520383),('NG',1407520384,1407520397),('A2',1407520398,1407520399),('NG',1407520400,1407520439),('CD',1407520440,1407520447),('CG',1407520448,1407520463),('A2',1407520464,1407520471),('NG',1407520472,1407520479),('A2',1407520480,1407520495),('CG',1407520496,1407520511),('NG',1407520512,1407520519),('A2',1407520520,1407520527),('NG',1407520528,1407520535),('A2',1407520536,1407520543),('NG',1407520544,1407520559),('SL',1407520560,1407520567),('A2',1407520568,1407520575),('NG',1407520576,1407520599),('A2',1407520600,1407520615),('NG',1407520616,1407520623),('A2',1407520624,1407520631),('ZM',1407520632,1407520639),('NG',1407520640,1407520695),('A2',1407520696,1407520703),('NG',1407520704,1407520727),('AO',1407520728,1407520735),('A2',1407520736,1407520743),('NG',1407520744,1407520751),('CD',1407520752,1407520767),('A2',1407520768,1407522047),('TZ',1407522048,1407522303),('NG',1407522304,1407522815),('ZW',1407522816,1407523071),('TZ',1407523072,1407523327),('A2',1407523328,1407523335),('MW',1407523336,1407523343),('NG',1407523344,1407523351),('TZ',1407523352,1407523359),('ZW',1407523360,1407523367),('A2',1407523368,1407523391),('ZW',1407523392,1407523455),('MW',1407523456,1407523519),('YT',1407523520,1407523535),('GH',1407523536,1407523543),('NG',1407523544,1407523551),('A2',1407523552,1407523559),('MW',1407523560,1407523567),('NG',1407523568,1407523575),('MW',1407523576,1407523583),('SO',1407523584,1407523839),('MW',1407523840,1407524351),('GB',1407524352,1407524607),('CG',1407524608,1407524863),('MZ',1407524864,1407527935),('A2',1407527936,1407529023),('NG',1407529024,1407529087),('A2',1407529088,1407529103),('UG',1407529104,1407529111),('MW',1407529112,1407529119),('A2',1407529120,1407529127),('CM',1407529128,1407529135),('NG',1407529136,1407529143),('A2',1407529144,1407529151),('TZ',1407529152,1407529183),('NG',1407529184,1407529191),('A2',1407529192,1407531007),('NG',1407531008,1407531519),('A2',1407531520,1407532031),('KE',1407532032,1407532543),('A2',1407532544,1407532583),('CD',1407532584,1407532591),('A2',1407532592,1407532607),('ZW',1407532608,1407532615),('A2',1407532616,1407532631),('NG',1407532632,1407532639),('A2',1407532640,1407532663),('NG',1407532664,1407532671),('ZW',1407532672,1407532799),('SO',1407532800,1407532927),('A2',1407532928,1407533055),('NG',1407533056,1407533311),('GE',1407533312,1407533327),('A2',1407533328,1407533375),('NG',1407533376,1407533391),('A2',1407533392,1407533423),('GH',1407533424,1407533439),('CM',1407533440,1407533567),('NG',1407533568,1407533599),('A2',1407533600,1407533607),('NG',1407533608,1407533631),('IQ',1407533632,1407533663),('A2',1407533664,1407533679),('NG',1407533680,1407533711),('ZW',1407533712,1407533719),('A2',1407533720,1407533727),('NG',1407533728,1407533735),('GN',1407533736,1407533743),('NG',1407533744,1407533759),('A2',1407533760,1407533767),('NG',1407533768,1407533775),('CM',1407533776,1407533783),('A2',1407533784,1407533807),('CM',1407533808,1407533815),('NG',1407533816,1407533823),('A2',1407533824,1407534079),('AE',1407534080,1407534335),('NG',1407534336,1407534343),('A2',1407534344,1407534351),('NG',1407534352,1407534359),('LR',1407534360,1407534367),('GH',1407534368,1407534383),('CD',1407534384,1407534391),('AO',1407534392,1407534399),('NG',1407534400,1407534407),('CI',1407534408,1407534415),('A2',1407534416,1407534423),('GE',1407534424,1407534431),('CM',1407534432,1407534439),('CD',1407534440,1407534447),('NG',1407534448,1407534527),('GH',1407534528,1407534535),('A2',1407534536,1407534543),('GH',1407534544,1407534559),('NG',1407534560,1407534567),('TZ',1407534568,1407534575),('CD',1407534576,1407534583),('A2',1407534584,1407534591),('NG',1407534592,1407534727),('CI',1407534728,1407534735),('NG',1407534736,1407534767),('A2',1407534768,1407534775),('ML',1407534776,1407534783),('A2',1407534784,1407534791),('NG',1407534792,1407534799),('A2',1407534800,1407534823),('GH',1407534824,1407534831),('A2',1407534832,1407534839),('NG',1407534840,1407534847),('CM',1407534848,1407535103),('GA',1407535104,1407535615),('CD',1407535616,1407536127),('GA',1407536128,1407536639),('CD',1407536640,1407536895),('A2',1407536896,1407536903),('ZW',1407536904,1407536919),('AO',1407536920,1407536935),('NG',1407536936,1407536943),('AO',1407536944,1407536951),('A2',1407536952,1407536967),('NG',1407536968,1407536983),('IQ',1407536984,1407536991),('A2',1407536992,1407536999),('GH',1407537000,1407537007),('A2',1407537008,1407537015),('GH',1407537016,1407537023),('A2',1407537024,1407537031),('NG',1407537032,1407537039),('A2',1407537040,1407537047),('NG',1407537048,1407537055),('GH',1407537056,1407537071),('NG',1407537072,1407537087),('GH',1407537088,1407537095),('NG',1407537096,1407537111),('A2',1407537112,1407537135),('NG',1407537136,1407537151),('IQ',1407537152,1407538175),('AT',1407538176,1407538431),('A2',1407538432,1407538439),('NG',1407538440,1407538447),('A2',1407538448,1407538455),('NG',1407538456,1407538463),('ZM',1407538464,1407538471),('NG',1407538472,1407538479),('A2',1407538480,1407538487),('NG',1407538488,1407538503),('A2',1407538504,1407538527),('GE',1407538528,1407538543),('GH',1407538544,1407538551),('A2',1407538552,1407538559),('NG',1407538560,1407538623),('A2',1407538624,1407538655),('NG',1407538656,1407538751),('A2',1407538752,1407538815),('CD',1407538816,1407538847),('NG',1407538848,1407538863),('GE',1407538864,1407538879),('A2',1407538880,1407538887),('NG',1407538888,1407538895),('A2',1407538896,1407538911),('GH',1407538912,1407538927),('NG',1407538928,1407538935),('GH',1407538936,1407538943),('A2',1407538944,1407538959),('NG',1407538960,1407538967),('CM',1407538968,1407538975),('NG',1407538976,1407538983),('SL',1407538984,1407538991),('NG',1407538992,1407539007),('BF',1407539008,1407539015),('NG',1407539016,1407539023),('A2',1407539024,1407539055),('NG',1407539056,1407539063),('CM',1407539064,1407539071),('NG',1407539072,1407539079),('A2',1407539080,1407539087),('AO',1407539088,1407539095),('CI',1407539096,1407539103),('NG',1407539104,1407539119),('LR',1407539120,1407539127),('A2',1407539128,1407539135),('CI',1407539136,1407539143),('A2',1407539144,1407539151),('TZ',1407539152,1407539159),('A2',1407539160,1407539167),('TD',1407539168,1407539175),('GH',1407539176,1407539183),('NG',1407539184,1407539191),('A2',1407539192,1407539199),('GE',1407539200,1407539455),('NG',1407539456,1407541247),('A2',1407541248,1407541455),('TD',1407541456,1407541463),('A2',1407541464,1407541487),('NG',1407541488,1407541495),('A2',1407541496,1407541503),('BJ',1407541504,1407541535),('CM',1407541536,1407541543),('A2',1407541544,1407541551),('NG',1407541552,1407541559),('GH',1407541560,1407541567),('A2',1407541568,1407541599),('NG',1407541600,1407541607),('A2',1407541608,1407541631),('NG',1407541632,1407541719),('A2',1407541720,1407541727),('NG',1407541728,1407541743),('A2',1407541744,1407541751),('NG',1407541752,1407541759),('CM',1407541760,1407542271),('A2',1407542272,1407542527),('NG',1407542528,1407542535),('A2',1407542536,1407542543),('LR',1407542544,1407542551),('CM',1407542552,1407542559),('A2',1407542560,1407542567),('CI',1407542568,1407542575),('CD',1407542576,1407542583),('NG',1407542584,1407542599),('TG',1407542600,1407542607),('A2',1407542608,1407542623),('BJ',1407542624,1407542631),('NG',1407542632,1407542639),('A2',1407542640,1407542655),('SL',1407542656,1407542663),('A2',1407542664,1407542671),('CM',1407542672,1407542679),('NG',1407542680,1407542687),('CD',1407542688,1407542695),('NG',1407542696,1407542703),('CI',1407542704,1407542711),('A2',1407542712,1407542719),('NG',1407542720,1407542743),('A2',1407542744,1407542759),('CM',1407542760,1407542767),('NG',1407542768,1407542799),('A2',1407542800,1407542807),('NG',1407542808,1407542815),('A2',1407542816,1407542847),('NG',1407542848,1407542895),('A2',1407542896,1407542903),('CD',1407542904,1407542911),('AT',1407542912,1407543039),('NG',1407543040,1407543167),('GH',1407543168,1407543183),('A2',1407543184,1407543191),('NG',1407543192,1407543239),('A2',1407543240,1407543255),('NG',1407543256,1407543263),('A2',1407543264,1407543279),('NG',1407543280,1407543295),('LB',1407543296,1407545343),('SL',1407545344,1407546367),('AE',1407546368,1407546495),('A2',1407546496,1407546879),('NG',1407546880,1407547135),('A2',1407547136,1407547143),('GH',1407547144,1407547151),('A2',1407547152,1407547159),('NG',1407547160,1407547175),('GH',1407547176,1407547183),('AO',1407547184,1407547191),('A2',1407547192,1407547199),('NG',1407547200,1407547207),('AO',1407547208,1407547215),('SL',1407547216,1407547239),('NG',1407547240,1407547247),('A2',1407547248,1407547255),('NG',1407547256,1407547263),('A2',1407547264,1407547279),('NG',1407547280,1407547303),('A2',1407547304,1407547319),('SL',1407547320,1407547327),('A2',1407547328,1407547351),('NG',1407547352,1407547367),('A2',1407547368,1407547383),('NG',1407547384,1407547911),('A2',1407547912,1407547919),('CG',1407547920,1407547927),('A2',1407547928,1407547935),('CI',1407547936,1407547943),('BJ',1407547944,1407547951),('LR',1407547952,1407547959),('NG',1407547960,1407547967),('A2',1407547968,1407547983),('BJ',1407547984,1407547999),('NG',1407548000,1407548007),('A2',1407548008,1407548015),('NG',1407548016,1407548023),('CD',1407548024,1407548031),('A2',1407548032,1407548039),('NG',1407548040,1407548063),('A2',1407548064,1407548103),('NG',1407548104,1407548111),('CI',1407548112,1407548119),('NG',1407548120,1407548127),('CM',1407548128,1407548151),('NG',1407548152,1407548159),('NE',1407548160,1407548415),('GE',1407548416,1407548543),('NG',1407548544,1407549183),('GE',1407549184,1407549439),('RU',1407549440,1407582207),('PL',1407582208,1407614975),('ES',1407614976,1407680511),('GB',1407680512,1407681535),('FR',1407681536,1407681639),('GB',1407681640,1407681983),('ES',1407681984,1407681999),('GB',1407682000,1407682879),('FI',1407682880,1407682911),('GB',1407682912,1407695215),('ES',1407695216,1407695223),('GB',1407695224,1407700271),('DE',1407700272,1407700287),('GB',1407700288,1407713279),('NL',1407713280,1407778815),('SE',1407778816,1407821823),('A1',1407821824,1407822591),('SE',1407822592,1407824895),('A1',1407824896,1407825919),('SE',1407825920,1407842303),('NO',1407842304,1407842367),('SE',1407842368,1407844351),('RU',1407844352,1407909887),('GR',1407909888,1407975423),('DE',1407975424,1408040959),('RU',1408040960,1408106495),('PL',1408106496,1408172031),('RU',1408172032,1408237567),('CZ',1408237568,1408270335),('PT',1408270336,1408303103),('LV',1408303104,1408335871),('SE',1408335872,1408336879),('FI',1408336880,1408336887),('SE',1408336888,1408340047),('NO',1408340048,1408340055),('SE',1408340056,1408360935),('DK',1408360936,1408360943),('SE',1408360944,1408360951),('DK',1408360952,1408360959),('SE',1408360960,1408368639),('NO',1408368640,1408376831),('DE',1408376832,1408385023),('PL',1408385024,1408393215),('NL',1408393216,1408401407),('RU',1408401408,1408434175),('DE',1408434176,1408436223),('LU',1408436224,1408438271),('FR',1408438272,1408440319),('SE',1408440320,1408442367),('PL',1408442368,1408444415),('DE',1408444416,1408450559),('RU',1408450560,1408454655),('DE',1408454656,1408456703),('LV',1408456704,1408458751),('GB',1408458752,1408460799),('PL',1408460800,1408462847),('DE',1408462848,1408464895),('RO',1408464896,1408466943),('NO',1408466944,1408499711),('PS',1408499712,1408532479),('GB',1408532480,1408575231),('IE',1408575232,1408575239),('GB',1408575240,1408583167),('IE',1408583168,1408583679),('GB',1408583680,1408584191),('IE',1408584192,1408584703),('GB',1408584704,1408585407),('IE',1408585408,1408585471),('GB',1408585472,1408590847),('BE',1408590848,1408591103),('GB',1408591104,1408591871),('IE',1408591872,1408592127),('GB',1408592128,1408592639),('IE',1408592640,1408592895),('GB',1408592896,1408598015),('FI',1408598016,1408630783),('DE',1408630784,1408663551),('RU',1408663552,1408696319),('NL',1408696320,1408729087),('ES',1408729088,1408761855),('SE',1408761856,1409286143),('HU',1409286144,1409362431),('BG',1409362432,1409363967),('HU',1409363968,1409413119),('BG',1409413120,1409415167),('HU',1409415168,1409548287),('FR',1409548288,1409810431),('GB',1409810432,1409941503),('PL',1409941504,1410007039),('DE',1410007040,1410008575),('AE',1410008576,1410008607),('DE',1410008608,1410009343),('US',1410009344,1410009479),('DE',1410009480,1410010367),('IR',1410010368,1410010399),('LY',1410010400,1410010431),('DE',1410010432,1410010559),('LY',1410010560,1410010575),('DE',1410010576,1410010599),('IR',1410010600,1410010607),('DE',1410010608,1410010687),('IR',1410010688,1410010703),('DE',1410010704,1410010719),('LY',1410010720,1410010751),('DE',1410010752,1410010823),('IR',1410010824,1410010831),('DE',1410010832,1410010879),('IR',1410010880,1410011135),('DE',1410011136,1410011903),('US',1410011904,1410011919),('DE',1410011920,1410013183),('ES',1410013184,1410013439),('IR',1410013440,1410013471),('AE',1410013472,1410013535),('IR',1410013536,1410013567),('AE',1410013568,1410013631),('IR',1410013632,1410013663),('AE',1410013664,1410013695),('KW',1410013696,1410013727),('AE',1410013728,1410013759),('IR',1410013760,1410013823),('AF',1410013824,1410013887),('DE',1410013888,1410013951),('AE',1410013952,1410013983),('IR',1410013984,1410014015),('KW',1410014016,1410014047),('AE',1410014048,1410014079),('DE',1410014080,1410014207),('AE',1410014208,1410014239),('IR',1410014240,1410014335),('AE',1410014336,1410014399),('ES',1410014400,1410014463),('KW',1410014464,1410014495),('IR',1410014496,1410014591),('DE',1410014592,1410014885),('ES',1410014886,1410014886),('DE',1410014887,1410014895),('IR',1410014896,1410014927),('PA',1410014928,1410014935),('IR',1410014936,1410014943),('AE',1410014944,1410014951),('DE',1410014952,1410014966),('IR',1410014967,1410014967),('DE',1410014968,1410014968),('IR',1410014969,1410014969),('DE',1410014970,1410014972),('AE',1410014973,1410014974),('DE',1410014975,1410015007),('IR',1410015008,1410015103),('ES',1410015104,1410015135),('IR',1410015136,1410015423),('AE',1410015424,1410015487),('AF',1410015488,1410015743),('IR',1410015744,1410015871),('AE',1410015872,1410015935),('IR',1410015936,1410016255),('AE',1410016256,1410016319),('ES',1410016320,1410016383),('IR',1410016384,1410016415),('PA',1410016416,1410016447),('IR',1410016448,1410016543),('DE',1410016544,1410016575),('AE',1410016576,1410016607),('PA',1410016608,1410016639),('IR',1410016640,1410016671),('PA',1410016672,1410016703),('DE',1410016704,1410016767),('IR',1410016768,1410016831),('AE',1410016832,1410016863),('IR',1410016864,1410016895),('AE',1410016896,1410017023),('PA',1410017024,1410017055),('IR',1410017056,1410017119),('DE',1410017120,1410017279),('IR',1410017280,1410017407),('DE',1410017408,1410017791),('IR',1410017792,1410018079),('DE',1410018080,1410018303),('AE',1410018304,1410018559),('DE',1410018560,1410018591),('IR',1410018592,1410018607),('LY',1410018608,1410018623),('DE',1410018624,1410020103),('US',1410020104,1410020111),('DE',1410020112,1410020351),('US',1410020352,1410020863),('DE',1410020864,1410021375),('IR',1410021376,1410021407),('DE',1410021408,1410021631),('IR',1410021632,1410021663),('DE',1410021664,1410021791),('IR',1410021792,1410021823),('DE',1410021824,1410022527),('AE',1410022528,1410022591),('IR',1410022592,1410022655),('DE',1410022656,1410022911),('IR',1410022912,1410023423),('DE',1410023424,1410024191),('AE',1410024192,1410024223),('DE',1410024224,1410024287),('IR',1410024288,1410024319),('DE',1410024320,1410024447),('IR',1410024448,1410025087),('DE',1410025088,1410025215),('ES',1410025216,1410025247),('DE',1410025248,1410025279),('AE',1410025280,1410025311),('ES',1410025312,1410025343),('IR',1410025344,1410025407),('AE',1410025408,1410025439),('DE',1410025440,1410025503),('AE',1410025504,1410025519),('IR',1410025520,1410025535),('ES',1410025536,1410025567),('DE',1410025568,1410025599),('IR',1410025600,1410025727),('AE',1410025728,1410025759),('DE',1410025760,1410025791),('AE',1410025792,1410025823),('IR',1410025824,1410025855),('DE',1410025856,1410025983),('IR',1410025984,1410026015),('AE',1410026016,1410026047),('ES',1410026048,1410026111),('DE',1410026112,1410026143),('IR',1410026144,1410026175),('AE',1410026176,1410026207),('IR',1410026208,1410026239),('AE',1410026240,1410026367),('IR',1410026368,1410026431),('DE',1410026432,1410026463),('IR',1410026464,1410026751),('CA',1410026752,1410026815),('DE',1410026816,1410026847),('IR',1410026848,1410026911),('DE',1410026912,1410026943),('IR',1410026944,1410027006),('DE',1410027007,1410027007),('KW',1410027008,1410027263),('AF',1410027264,1410027519),('DE',1410027520,1410027711),('IR',1410027712,1410027775),('DE',1410027776,1410028799),('IQ',1410028800,1410028879),('DE',1410028880,1410032127),('IQ',1410032128,1410033151),('DE',1410033152,1410035199),('KW',1410035200,1410035231),('DE',1410035232,1410035263),('KW',1410035264,1410035295),('IR',1410035296,1410035367),('DE',1410035368,1410035967),('PA',1410035968,1410036063),('IQ',1410036064,1410036079),('IR',1410036080,1410036095),('IQ',1410036096,1410036111),('PA',1410036112,1410036127),('DE',1410036128,1410036143),('PA',1410036144,1410036175),('DE',1410036176,1410036191),('PA',1410036192,1410036223),('DE',1410036224,1410036735),('PA',1410036736,1410036751),('DE',1410036752,1410039807),('AE',1410039808,1410041855),('LB',1410041856,1410042111),('DE',1410042112,1410042127),('LB',1410042128,1410042135),('DE',1410042136,1410042183),('LB',1410042184,1410042239),('DE',1410042240,1410042367),('LB',1410042368,1410043007),('DE',1410043008,1410043135),('LB',1410043136,1410043151),('DE',1410043152,1410043167),('LB',1410043168,1410043183),('DE',1410043184,1410043199),('LB',1410043200,1410043253),('DE',1410043254,1410043263),('LB',1410043264,1410043903),('DE',1410043904,1410072319),('AE',1410072320,1410072575),('GB',1410072576,1410203903),('FR',1410203904,1410203911),('GB',1410203912,1410203919),('FR',1410203920,1410204119),('GB',1410204120,1410204127),('FR',1410204128,1410204311),('GB',1410204312,1410204319),('FR',1410204320,1410204511),('GB',1410204512,1410204543),('FR',1410204544,1410204955),('GB',1410204956,1410204959),('FR',1410204960,1410204975),('GB',1410204976,1410204983),('FR',1410204984,1410205143),('GB',1410205144,1410205151),('FR',1410205152,1410205183),('GB',1410205184,1410205695),('FR',1410205696,1410205783),('GB',1410205784,1410205791),('FR',1410205792,1410205807),('GB',1410205808,1410205815),('FR',1410205816,1410205823),('GB',1410205824,1410206207),('FR',1410206208,1410206223),('GB',1410206224,1410206239),('FR',1410206240,1410206255),('GB',1410206256,1410206263),('FR',1410206264,1410206271),('GB',1410206272,1410206279),('FR',1410206280,1410206287),('GB',1410206288,1410206303),('FR',1410206304,1410206367),('GB',1410206368,1410206375),('FR',1410206376,1410206735),('GB',1410206736,1410206743),('FR',1410206744,1410206887),('GB',1410206888,1410206895),('FR',1410206896,1410207103),('GB',1410207104,1410207111),('FR',1410207112,1410207163),('GB',1410207164,1410207167),('FR',1410207168,1410207191),('GB',1410207192,1410207627),('FR',1410207628,1410207647),('GB',1410207648,1410207871),('FR',1410207872,1410207895),('GB',1410207896,1410207903),('FR',1410207904,1410207911),('GB',1410207912,1410208895),('FR',1410208896,1410208911),('GB',1410208912,1410210943),('FR',1410210944,1410211031),('GB',1410211032,1410211039),('FR',1410211040,1410211071),('GB',1410211072,1410211327),('FR',1410211328,1410211607),('GB',1410211608,1410211639),('FR',1410211640,1410211647),('GB',1410211648,1410212127),('FR',1410212128,1410212135),('GB',1410212136,1410212143),('FR',1410212144,1410212159),('GB',1410212160,1410212167),('FR',1410212168,1410212239),('GB',1410212240,1410212263),('FR',1410212264,1410212295),('GB',1410212296,1410212303),('FR',1410212304,1410212335),('GB',1410212336,1410212367),('FR',1410212368,1410212383),('GB',1410212384,1410212415),('FR',1410212416,1410212487),('GB',1410212488,1410212495),('FR',1410212496,1410212535),('GB',1410212536,1410214143),('FR',1410214144,1410214151),('GB',1410214152,1410214159),('FR',1410214160,1410214191),('GB',1410214192,1410214199),('FR',1410214200,1410214271),('GB',1410214272,1410214279),('FR',1410214280,1410214295),('GB',1410214296,1410214303),('FR',1410214304,1410214311),('GB',1410214312,1410214319),('FR',1410214320,1410214495),('PT',1410214496,1410214503),('FR',1410214504,1410214511),('GB',1410214512,1410214519),('FR',1410214520,1410214543),('GB',1410214544,1410214551),('FR',1410214552,1410214599),('GB',1410214600,1410214607),('FR',1410214608,1410214647),('GB',1410214648,1410214655),('FR',1410214656,1410214663),('GB',1410214664,1410214671),('FR',1410214672,1410214687),('GB',1410214688,1410214703),('FR',1410214704,1410214895),('GB',1410214896,1410214911),('FR',1410214912,1410215183),('GB',1410215184,1410215191),('FR',1410215192,1410215199),('GB',1410215200,1410215231),('FR',1410215232,1410215247),('GB',1410215248,1410215295),('FR',1410215296,1410215359),('GB',1410215360,1410215687),('FR',1410215688,1410215695),('GB',1410215696,1410216191),('FR',1410216192,1410216247),('GB',1410216248,1410216319),('FR',1410216320,1410216351),('GB',1410216352,1410216383),('FR',1410216384,1410216395),('GB',1410216396,1410216399),('FR',1410216400,1410216415),('GB',1410216416,1410216431),('FR',1410216432,1410216687),('GB',1410216688,1410216695),('FR',1410216696,1410217055),('GB',1410217056,1410217071),('FR',1410217072,1410217087),('GB',1410217088,1410217103),('FR',1410217104,1410217127),('GB',1410217128,1410217135),('FR',1410217136,1410217167),('GB',1410217168,1410217175),('FR',1410217176,1410217215),('GB',1410217216,1410217279),('FR',1410217280,1410217287),('GB',1410217288,1410217295),('FR',1410217296,1410217311),('GB',1410217312,1410217327),('FR',1410217328,1410217335),('GB',1410217336,1410217343),('FR',1410217344,1410217431),('GB',1410217432,1410217439),('FR',1410217440,1410217471),('GB',1410217472,1410217727),('FR',1410217728,1410217815),('GB',1410217816,1410217831),('FR',1410217832,1410217839),('GB',1410217840,1410217847),('FR',1410217848,1410217935),('GB',1410217936,1410218111),('FR',1410218112,1410218191),('GB',1410218192,1410218199),('FR',1410218200,1410218295),('GB',1410218296,1410218319),('FR',1410218320,1410218327),('GB',1410218328,1410218359),('FR',1410218360,1410218367),('GB',1410218368,1410218535),('FR',1410218536,1410218543),('GB',1410218544,1410218623),('FR',1410218624,1410218639),('GB',1410218640,1410219135),('FR',1410219136,1410219191),('GB',1410219192,1410220159),('FR',1410220160,1410220191),('GB',1410220192,1410220207),('FR',1410220208,1410220223),('GB',1410220224,1410220231),('FR',1410220232,1410220287),('GB',1410220288,1410220543),('FR',1410220544,1410220607),('GB',1410220608,1410221127),('FR',1410221128,1410221167),('GB',1410221168,1410221631),('FR',1410221632,1410221655),('GB',1410221656,1410223167),('FR',1410223168,1410223175),('GB',1410223176,1410223615),('FR',1410223616,1410223871),('GB',1410223872,1410226431),('FR',1410226432,1410227155),('GB',1410227156,1410227159),('FR',1410227160,1410227751),('GB',1410227752,1410227759),('FR',1410227760,1410227967),('GB',1410227968,1410228223),('FR',1410228224,1410228479),('GB',1410228480,1410228991),('FR',1410228992,1410229247),('GB',1410229248,1410229311),('FR',1410229312,1410229327),('GB',1410229328,1410229759),('FR',1410229760,1410229887),('GB',1410229888,1410230015),('FR',1410230016,1410230023),('GB',1410230024,1410230271),('FR',1410230272,1410230335),('GB',1410230336,1410230351),('FR',1410230352,1410230383),('GB',1410230384,1410230399),('FR',1410230400,1410230607),('GB',1410230608,1410230611),('FR',1410230612,1410230623),('GB',1410230624,1410230655),('FR',1410230656,1410231039),('GB',1410231040,1410231311),('FR',1410231312,1410231319),('GB',1410231320,1410231423),('FR',1410231424,1410231599),('GB',1410231600,1410231607),('FR',1410231608,1410231807),('GB',1410231808,1410232275),('FR',1410232276,1410232279),('GB',1410232280,1410232319),('FR',1410232320,1410232351),('GB',1410232352,1410232359),('FR',1410232360,1410232407),('GB',1410232408,1410232415),('FR',1410232416,1410232575),('GB',1410232576,1410232583),('FR',1410232584,1410232703),('GB',1410232704,1410232711),('FR',1410232712,1410232735),('GB',1410232736,1410232743),('FR',1410232744,1410232831),('GB',1410232832,1410233087),('FR',1410233088,1410233215),('GB',1410233216,1410233231),('FR',1410233232,1410233495),('GB',1410233496,1410233503),('FR',1410233504,1410233567),('GB',1410233568,1410233583),('FR',1410233584,1410233855),('GB',1410233856,1410233983),('FR',1410233984,1410234035),('GB',1410234036,1410234039),('FR',1410234040,1410234111),('GB',1410234112,1410234623),('FR',1410234624,1410234655),('GB',1410234656,1410234663),('FR',1410234664,1410234687),('GB',1410234688,1410234703),('FR',1410234704,1410234927),('GB',1410234928,1410234951),('FR',1410234952,1410234967),('GB',1410234968,1410235007),('FR',1410235008,1410235103),('GB',1410235104,1410235111),('FR',1410235112,1410235119),('GB',1410235120,1410235135),('FR',1410235136,1410235231),('GB',1410235232,1410235239),('FR',1410235240,1410235263),('GB',1410235264,1410235295),('FR',1410235296,1410235391),('GB',1410235392,1410235647),('FR',1410235648,1410235695),('GB',1410235696,1410235711),('FR',1410235712,1410235863),('GB',1410235864,1410235871),('FR',1410235872,1410236063),('GB',1410236064,1410236079),('FR',1410236080,1410236111),('GB',1410236112,1410236127),('FR',1410236128,1410236159),('GB',1410236160,1410236631),('FR',1410236632,1410236639),('GB',1410236640,1410236671),('FR',1410236672,1410236711),('GB',1410236712,1410236719),('FR',1410236720,1410236727),('GB',1410236728,1410236735),('FR',1410236736,1410236855),('GB',1410236856,1410236863),('FR',1410236864,1410236895),('GB',1410236896,1410236903),('FR',1410236904,1410237183),('GB',1410237184,1410237439),('FR',1410237440,1410237775),('GB',1410237776,1410237783),('FR',1410237784,1410237863),('GB',1410237864,1410237871),('FR',1410237872,1410237951),('GB',1410237952,1410238207),('FR',1410238208,1410238247),('GB',1410238248,1410238255),('FR',1410238256,1410238311),('GB',1410238312,1410238335),('FR',1410238336,1410238415),('GB',1410238416,1410238423),('FR',1410238424,1410238463),('GB',1410238464,1410238527),('FR',1410238528,1410238559),('GB',1410238560,1410238567),('FR',1410238568,1410238591),('GB',1410238592,1410238655),('FR',1410238656,1410238695),('GB',1410238696,1410238703),('FR',1410238704,1410238775),('GB',1410238776,1410238783),('FR',1410238784,1410238975),('GB',1410238976,1410239231),('FR',1410239232,1410239599),('GB',1410239600,1410239679),('FR',1410239680,1410239719),('GB',1410239720,1410239727),('FR',1410239728,1410239751),('GB',1410239752,1410239759),('FR',1410239760,1410239775),('GB',1410239776,1410239783),('FR',1410239784,1410239831),('GB',1410239832,1410239839),('FR',1410239840,1410239847),('GB',1410239848,1410239863),('FR',1410239864,1410239935),('GB',1410239936,1410239943),('FR',1410239944,1410239951),('GB',1410239952,1410239959),('FR',1410239960,1410239975),('GB',1410239976,1410239983),('FR',1410239984,1410239999),('GB',1410240000,1410240255),('FR',1410240256,1410240287),('GB',1410240288,1410240295),('FR',1410240296,1410240319),('GB',1410240320,1410240327),('FR',1410240328,1410240367),('GB',1410240368,1410240383),('FR',1410240384,1410240423),('GB',1410240424,1410240431),('FR',1410240432,1410240455),('GB',1410240456,1410240471),('FR',1410240472,1410240487),('GB',1410240488,1410240503),('FR',1410240504,1410240511),('GB',1410240512,1410240767),('FR',1410240768,1410240775),('GB',1410240776,1410240791),('FR',1410240792,1410240807),('GB',1410240808,1410240895),('FR',1410240896,1410240927),('GB',1410240928,1410240935),('FR',1410240936,1410240943),('GB',1410240944,1410240951),('FR',1410240952,1410240967),('GB',1410240968,1410240975),('FR',1410240976,1410241015),('GB',1410241016,1410241023),('FR',1410241024,1410241095),('GB',1410241096,1410241111),('FR',1410241112,1410241119),('GB',1410241120,1410241127),('FR',1410241128,1410241151),('GB',1410241152,1410241159),('FR',1410241160,1410241167),('GB',1410241168,1410241191),('FR',1410241192,1410241199),('GB',1410241200,1410241207),('FR',1410241208,1410241255),('GB',1410241256,1410241263),('FR',1410241264,1410241279),('GB',1410241280,1410241535),('FR',1410241536,1410241551),('GB',1410241552,1410241559),('FR',1410241560,1410241575),('GB',1410241576,1410241583),('FR',1410241584,1410241655),('GB',1410241656,1410241663),('FR',1410241664,1410241671),('GB',1410241672,1410241687),('FR',1410241688,1410241695),('GB',1410241696,1410241703),('FR',1410241704,1410241711),('GB',1410241712,1410241727),('FR',1410241728,1410241735),('GB',1410241736,1410241743),('FR',1410241744,1410242047),('GB',1410242048,1410242303),('FR',1410242304,1410242311),('GB',1410242312,1410242319),('FR',1410242320,1410242327),('GB',1410242328,1410242335),('FR',1410242336,1410242383),('GB',1410242384,1410242391),('FR',1410242392,1410242423),('GB',1410242424,1410242439),('FR',1410242440,1410242463),('GB',1410242464,1410242479),('FR',1410242480,1410242559),('GB',1410242560,1410242815),('FR',1410242816,1410242887),('GB',1410242888,1410242895),('FR',1410242896,1410243479),('GB',1410243480,1410243487),('FR',1410243488,1410244143),('GB',1410244144,1410244151),('FR',1410244152,1410244207),('GB',1410244208,1410244215),('FR',1410244216,1410244287),('GB',1410244288,1410244295),('FR',1410244296,1410244383),('GB',1410244384,1410244391),('FR',1410244392,1410244423),('GB',1410244424,1410244447),('FR',1410244448,1410244463),('GB',1410244464,1410244839),('FR',1410244840,1410244847),('GB',1410244848,1410244863),('FR',1410244864,1410244879),('GB',1410244880,1410244895),('FR',1410244896,1410245023),('GB',1410245024,1410245031),('FR',1410245032,1410245039),('GB',1410245040,1410245047),('FR',1410245048,1410245087),('GB',1410245088,1410245095),('FR',1410245096,1410245119),('GB',1410245120,1410245391),('FR',1410245392,1410245495),('GB',1410245496,1410245503),('FR',1410245504,1410245535),('GB',1410245536,1410245991),('FR',1410245992,1410245999),('GB',1410246000,1410246007),('FR',1410246008,1410246023),('GB',1410246024,1410246031),('FR',1410246032,1410246039),('GB',1410246040,1410246919),('FR',1410246920,1410246927),('GB',1410246928,1410246943),('FR',1410246944,1410246959),('GB',1410246960,1410246967),('FR',1410246968,1410246983),('GB',1410246984,1410246999),('FR',1410247000,1410247007),('GB',1410247008,1410247015),('FR',1410247016,1410247023),('GB',1410247024,1410247031),('FR',1410247032,1410247039),('GB',1410247040,1410247047),('FR',1410247048,1410247071),('GB',1410247072,1410247095),('FR',1410247096,1410247103),('GB',1410247104,1410247111),('FR',1410247112,1410247143),('GB',1410247144,1410247151),('FR',1410247152,1410247159),('GB',1410247160,1410247679),('FR',1410247680,1410247727),('GB',1410247728,1410247743),('FR',1410247744,1410247751),('GB',1410247752,1410247759),('FR',1410247760,1410247767),('GB',1410247768,1410247775),('FR',1410247776,1410247935),('GB',1410247936,1410248191),('FR',1410248192,1410248223),('GB',1410248224,1410248263),('FR',1410248264,1410248295),('GB',1410248296,1410248303),('FR',1410248304,1410248343),('GB',1410248344,1410248351),('FR',1410248352,1410248359),('GB',1410248360,1410248367),('FR',1410248368,1410248375),('GB',1410248376,1410248399),('FR',1410248400,1410248415),('GB',1410248416,1410248431),('FR',1410248432,1410248623),('GB',1410248624,1410248639),('FR',1410248640,1410249215),('GB',1410249216,1410249471),('FR',1410249472,1410249503),('GB',1410249504,1410249519),('FR',1410249520,1410249543),('GB',1410249544,1410249551),('FR',1410249552,1410249559),('GB',1410249560,1410249575),('FR',1410249576,1410249583),('GB',1410249584,1410249591),('FR',1410249592,1410249607),('GB',1410249608,1410249631),('FR',1410249632,1410249647),('GB',1410249648,1410249671),('FR',1410249672,1410249679),('GB',1410249680,1410249687),('FR',1410249688,1410249727),('GB',1410249728,1410249743),('FR',1410249744,1410249751),('GB',1410249752,1410249759),('FR',1410249760,1410249767),('GB',1410249768,1410249775),('FR',1410249776,1410249879),('GB',1410249880,1410249911),('FR',1410249912,1410249983),('GB',1410249984,1410250159),('FR',1410250160,1410250167),('GB',1410250168,1410250239),('FR',1410250240,1410250255),('GB',1410250256,1410250271),('FR',1410250272,1410250367),('GB',1410250368,1410250439),('FR',1410250440,1410250535),('GB',1410250536,1410250543),('FR',1410250544,1410250567),('GB',1410250568,1410250575),('FR',1410250576,1410250583),('GB',1410250584,1410250591),('FR',1410250592,1410250631),('GB',1410250632,1410250639),('FR',1410250640,1410250655),('GB',1410250656,1410250671),('FR',1410250672,1410250679),('GB',1410250680,1410250687),('FR',1410250688,1410250695),('GB',1410250696,1410250703),('FR',1410250704,1410250727),('GB',1410250728,1410250735),('FR',1410250736,1410250743),('GB',1410250744,1410252799),('FR',1410252800,1410253055),('GB',1410253056,1410253311),('FR',1410253312,1410253639),('GB',1410253640,1410253655),('FR',1410253656,1410253695),('GB',1410253696,1410253703),('FR',1410253704,1410253775),('GB',1410253776,1410253783),('FR',1410253784,1410253807),('GB',1410253808,1410253815),('FR',1410253816,1410253823),('GB',1410253824,1410254015),('FR',1410254016,1410254079),('GB',1410254080,1410254847),('FR',1410254848,1410254871),('GB',1410254872,1410254879),('FR',1410254880,1410254887),('GB',1410254888,1410254895),('FR',1410254896,1410254991),('GB',1410254992,1410254999),('FR',1410255000,1410255007),('GB',1410255008,1410255015),('FR',1410255016,1410255031),('GB',1410255032,1410255039),('FR',1410255040,1410255047),('GB',1410255048,1410255055),('FR',1410255056,1410255079),('GB',1410255080,1410255087),('FR',1410255088,1410255103),('GB',1410255104,1410255111),('FR',1410255112,1410255119),('GB',1410255120,1410255135),('FR',1410255136,1410255151),('GB',1410255152,1410255167),('FR',1410255168,1410255231),('GB',1410255232,1410255239),('FR',1410255240,1410255271),('GB',1410255272,1410255279),('FR',1410255280,1410255655),('GB',1410255656,1410255663),('FR',1410255664,1410255711),('GB',1410255712,1410255743),('FR',1410255744,1410255871),('GB',1410255872,1410255879),('FR',1410255880,1410255927),('GB',1410255928,1410255935),('FR',1410255936,1410255943),('GB',1410255944,1410255951),('FR',1410255952,1410255983),('GB',1410255984,1410255991),('FR',1410255992,1410256063),('GB',1410256064,1410256127),('FR',1410256128,1410256247),('GB',1410256248,1410256255),('FR',1410256256,1410256319),('GB',1410256320,1410256327),('FR',1410256328,1410256375),('GB',1410256376,1410256639),('FR',1410256640,1410256703),('GB',1410256704,1410256711),('FR',1410256712,1410256759),('GB',1410256760,1410256767),('FR',1410256768,1410256831),('GB',1410256832,1410256839),('FR',1410256840,1410256855),('GB',1410256856,1410256863),('FR',1410256864,1410256895),('GB',1410256896,1410257151),('FR',1410257152,1410257239),('GB',1410257240,1410257247),('FR',1410257248,1410257487),('GB',1410257488,1410257495),('FR',1410257496,1410257639),('GB',1410257640,1410257647),('FR',1410257648,1410257703),('GB',1410257704,1410257711),('FR',1410257712,1410257743),('GB',1410257744,1410257791),('FR',1410257792,1410257855),('GB',1410257856,1410258311),('FR',1410258312,1410258319),('GB',1410258320,1410258551),('FR',1410258552,1410258559),('GB',1410258560,1410258583),('FR',1410258584,1410258623),('GB',1410258624,1410259455),('FR',1410259456,1410259519),('GB',1410259520,1410259527),('FR',1410259528,1410259551),('GB',1410259552,1410259567),('FR',1410259568,1410259631),('GB',1410259632,1410259647),('FR',1410259648,1410259687),('GB',1410259688,1410259695),('FR',1410259696,1410259703),('GB',1410259704,1410259711),('FR',1410259712,1410259775),('GB',1410259776,1410259783),('FR',1410259784,1410259799),('GB',1410259800,1410259919),('FR',1410259920,1410259927),('GB',1410259928,1410259935),('FR',1410259936,1410259943),('GB',1410259944,1410259967),('FR',1410259968,1410259975),('GB',1410259976,1410260015),('FR',1410260016,1410260023),('GB',1410260024,1410260199),('FR',1410260200,1410260215),('GB',1410260216,1410260287),('FR',1410260288,1410260315),('GB',1410260316,1410260799),('FR',1410260800,1410260831),('GB',1410260832,1410260839),('FR',1410260840,1410260855),('GB',1410260856,1410260895),('FR',1410260896,1410260903),('GB',1410260904,1410260975),('FR',1410260976,1410260991),('GB',1410260992,1410261007),('FR',1410261008,1410261023),('GB',1410261024,1410261055),('FR',1410261056,1410261063),('GB',1410261064,1410261127),('FR',1410261128,1410261135),('GB',1410261136,1410261175),('FR',1410261176,1410261215),('GB',1410261216,1410261551),('FR',1410261552,1410261559),('GB',1410261560,1410261567),('FR',1410261568,1410261631),('GB',1410261632,1410261655),('FR',1410261656,1410261663),('GB',1410261664,1410261679),('FR',1410261680,1410261695),('GB',1410261696,1410261719),('FR',1410261720,1410261727),('GB',1410261728,1410261767),('FR',1410261768,1410261775),('GB',1410261776,1410261791),('FR',1410261792,1410261807),('GB',1410261808,1410261831),('FR',1410261832,1410261839),('GB',1410261840,1410261847),('FR',1410261848,1410261855),('GB',1410261856,1410261879),('FR',1410261880,1410261887),('GB',1410261888,1410261959),('FR',1410261960,1410261967),('GB',1410261968,1410261975),('FR',1410261976,1410261991),('GB',1410261992,1410262007),('FR',1410262008,1410262015),('GB',1410262016,1410262447),('FR',1410262448,1410262455),('GB',1410262456,1410268159),('FR',1410268160,1410268223),('GB',1410268224,1410268463),('FR',1410268464,1410268471),('GB',1410268472,1410268607),('FR',1410268608,1410268639),('GB',1410268640,1410268671),('FR',1410268672,1410268687),('GB',1410268688,1410268695),('FR',1410268696,1410268719),('GB',1410268720,1410268767),('FR',1410268768,1410268783),('GB',1410268784,1410268799),('FR',1410268800,1410268863),('GB',1410268864,1410268879),('FR',1410268880,1410268887),('GB',1410268888,1410268911),('FR',1410268912,1410268927),('GB',1410268928,1410269183),('LT',1410269184,1410318335),('LV',1410318336,1410319359),('LT',1410319360,1410334719),('ES',1410334720,1410341887),('MA',1410341888,1410342911),('SK',1410342912,1410351103),('CH',1410351104,1410353039),('NI',1410353040,1410353047),('CH',1410353048,1410354175),('FR',1410354176,1410354431),('CH',1410354432,1410359295),('CZ',1410359296,1410367487),('RU',1410367488,1410375679),('DK',1410375680,1410383871),('NO',1410383872,1410392063),('DE',1410392064,1410397183),('PL',1410397184,1410397439),('GB',1410397440,1410397695),('DE',1410397696,1410399487),('TR',1410399488,1410399743),('DE',1410399744,1410400063),('TR',1410400064,1410400127),('DE',1410400128,1410400255),('RU',1410400256,1410408447),('IT',1410408448,1410416639),('TR',1410416640,1410424831),('DE',1410424832,1410433023),('BE',1410433024,1410441215),('DE',1410441216,1410449407),('SE',1410449408,1410457599),('RU',1410457600,1410465791),('ES',1410465792,1410473983),('JO',1410473984,1410490367),('RU',1410490368,1410498559),('IT',1410498560,1410506751),('IE',1410506752,1410514943),('GB',1410514944,1410523135),('PT',1410523136,1410531327),('DE',1410531328,1410539519),('GB',1410539520,1410542591),('IE',1410542592,1410543103),('GB',1410543104,1410547711),('CZ',1410547712,1410555903),('GB',1410555904,1410564095),('SE',1410564096,1410572287),('DE',1410572288,1410573439),('CH',1410573440,1410573567),('DE',1410573568,1410574727),('UA',1410574728,1410574735),('DE',1410574736,1410575111),('IT',1410575112,1410575119),('DE',1410575120,1410575295),('IT',1410575296,1410575327),('SI',1410575328,1410575359),('DE',1410575360,1410575551),('IT',1410575552,1410575615),('DE',1410575616,1410575775),('RU',1410575776,1410575791),('DE',1410575792,1410575823),('BG',1410575824,1410575839),('IT',1410575840,1410575855),('DE',1410575856,1410575871),('IE',1410575872,1410575999),('DE',1410576000,1410576063),('IT',1410576064,1410576127),('IE',1410576128,1410576255),('IT',1410576256,1410576383),('DE',1410576384,1410588671),('GB',1410588672,1410596863),('ES',1410596864,1410597839),('FR',1410597840,1410597855),('ES',1410597856,1410605055),('CH',1410605056,1410613247),('AL',1410613248,1410621439),('NO',1410621440,1410629631),('FI',1410629632,1410637823),('AT',1410637824,1410646015),('GB',1410646016,1410654207),('SI',1410654208,1410662399),('HU',1410662400,1410670591),('DE',1410670592,1410678783),('RU',1410678784,1410686975),('CZ',1410686976,1410695167),('GB',1410695168,1410703359),('ES',1410703360,1410711551),('BG',1410711552,1410719743),('RU',1410719744,1410727935),('BG',1410727936,1410736127),('RS',1410736128,1410744319),('FR',1410744320,1410744575),('A2',1410744576,1410744831),('FR',1410744832,1410745223),('AE',1410745224,1410745231),('FR',1410745232,1410745247),('US',1410745248,1410745279),('FR',1410745280,1410745855),('A2',1410745856,1410752511),('AQ',1410752512,1410754559),('DE',1410754560,1410754815),('AQ',1410754816,1410754847),('NL',1410754848,1410754879),('AQ',1410754880,1410755327),('DE',1410755328,1410755583),('AQ',1410755584,1410756095),('US',1410756096,1410756607),('AQ',1410756608,1410756608),('NL',1410756609,1410756863),('AQ',1410756864,1410757119),('NL',1410757120,1410758655),('AQ',1410758656,1410760683),('US',1410760684,1410760687),('AQ',1410760688,1410760691),('DE',1410760692,1410760695),('AQ',1410760696,1410760699),('US',1410760700,1410760703),('RU',1410760704,1410768895),('GB',1410768896,1410777087),('RU',1410777088,1410785279),('SA',1410785280,1410793471),('GB',1410793472,1410801663),('RU',1410801664,1410818047),('SA',1410818048,1410826239),('SE',1410826240,1410834431),('PL',1410834432,1410842623),('DE',1410850816,1410859007),('NL',1410859008,1411383295),('LT',1411383296,1411448831),('IT',1411448832,1411451391),('DE',1411451392,1411451903),('IT',1411451904,1411452159),('DE',1411452160,1411452415),('IT',1411452416,1411453439),('DE',1411453440,1411453695),('IT',1411453696,1411454975),('DE',1411454976,1411455743),('IT',1411455744,1411456255),('DE',1411456256,1411456511),('IT',1411456512,1411457279),('DE',1411457280,1411457535),('IT',1411457536,1411465215),('GB',1411465216,1411465471),('US',1411465472,1411465727),('IT',1411465728,1411481855),('DE',1411481856,1411483903),('IT',1411483904,1411514367),('FI',1411514368,1411579903),('NL',1411579904,1411645439),('EG',1411645440,1411710975),('FR',1411710976,1411717127),('A2',1411717128,1411717135),('FR',1411717136,1411717183),('A2',1411717184,1411717191),('FR',1411717192,1411717367),('A2',1411717368,1411717375),('FR',1411717376,1411736663),('A2',1411736664,1411736671),('FR',1411736672,1411737079),('A2',1411737080,1411737087),('FR',1411737088,1411776511),('GR',1411776512,1411780607),('PL',1411780608,1411784703),('GB',1411784704,1411788799),('IT',1411788800,1411792895),('DE',1411792896,1411796991),('PL',1411796992,1411805183),('AT',1411805184,1411809279),('LV',1411809280,1411813375),('NO',1411813376,1411817471),('PL',1411817472,1411821567),('CZ',1411821568,1411825663),('DE',1411825664,1411829759),('PL',1411829760,1411833855),('NL',1411833856,1411837951),('BG',1411837952,1411842047),('PT',1411842048,1411907583),('EU',1411907584,1411908095),('GB',1411908096,1411908351),('EU',1411908352,1411911679),('US',1411911680,1411915775),('EU',1411915776,1411919871),('DE',1411919872,1411923967),('EU',1411923968,1411940351),('PL',1411940352,1411973119),('SI',1411973120,1412001807),('RO',1412001808,1412001855),('SI',1412001856,1412001919),('RO',1412001920,1412002815),('BA',1412002816,1412002847),('SI',1412002848,1412002863),('BA',1412002864,1412002911),('SI',1412002912,1412002919),('BA',1412002920,1412002927),('SI',1412002928,1412002935),('BA',1412002936,1412003007),('SI',1412003008,1412003023),('BA',1412003024,1412003031),('SI',1412003032,1412003055),('BA',1412003056,1412003119),('SI',1412003120,1412003135),('BA',1412003136,1412003215),('SI',1412003216,1412003247),('BA',1412003248,1412003263),('SI',1412003264,1412003287),('BA',1412003288,1412003295),('SI',1412003296,1412003391),('HR',1412003392,1412003399),('BA',1412003400,1412003839),('SI',1412003840,1412003847),('BG',1412003848,1412003903),('SI',1412003904,1412003935),('BG',1412003936,1412004863),('SI',1412004864,1412005887),('NL',1412005888,1412038655),('RU',1412038656,1412071423),('CZ',1412071424,1412104191),('GB',1412104192,1412136959),('BG',1412136960,1412169727),('TR',1412169728,1412202495),('DE',1412202496,1412235263),('GB',1412235264,1412300799),('DE',1412300800,1412333567),('LT',1412333568,1412366335),('SK',1412366336,1412399103),('RU',1412399104,1412415487),('AE',1412415488,1412416511),('IR',1412416512,1412431871),('NO',1412431872,1412562943),('EE',1412562944,1412628479),('TR',1412628480,1412641791),('DE',1412641792,1412642815),('TR',1412642816,1412644863),('RU',1412644864,1412661247),('GB',1412661248,1412677631),('RU',1412677632,1412685823),('IE',1412685824,1412686271),('CA',1412686272,1412686335),('GB',1412686336,1412686847),('IE',1412686848,1412689151),('GB',1412689152,1412689407),('IE',1412689408,1412690191),('GB',1412690192,1412690199),('IE',1412690200,1412694015),('EE',1412694016,1412710399),('RU',1412710400,1412726783),('SI',1412726784,1412743167),('NO',1412743168,1412775935),('NL',1412775936,1412792319),('US',1412792320,1412798463),('EU',1412798464,1412800511),('US',1412800512,1412804607),('EU',1412804608,1412808703),('RU',1412808704,1412825087),('IQ',1412825088,1412830463),('LB',1412830464,1412833279),('CI',1412833280,1412833535),('LB',1412833536,1412841471),('UZ',1412841472,1412857855),('BG',1412857856,1412874239),('RU',1412874240,1412890623),('LT',1412890624,1412907007),('SE',1412907008,1412923391),('FR',1412923392,1412939775),('CH',1412939776,1412956159),('DE',1412956160,1413480447),('GB',1413480448,1414004735),('CH',1414004736,1414266879),('ES',1414266880,1414529023),('NL',1414529024,1415053311),('ES',1415053312,1415184383),('PT',1415184384,1415315455),('GB',1415315456,1415446527),('IL',1415446528,1415501823),('A2',1415501824,1415503871),('IL',1415503872,1415504895),('A2',1415504896,1415505919),('IL',1415505920,1415506175),('A2',1415506176,1415512063),('IL',1415512064,1415520255),('A2',1415520256,1415528447),('IL',1415528448,1415546879),('A2',1415546880,1415574527),('IL',1415574528,1415577599),('FR',1415577600,1416101887),('NL',1416101888,1416364031),('IL',1416364032,1416626175),('AT',1416626176,1417150463),('ES',1417150464,1417674751),('DE',1417674752,1421869055),('BE',1421869056,1422393343),('DE',1422393344,1422399743),('IT',1422399744,1422399999),('DE',1422400000,1422491647),('GB',1422491648,1422508031),('BG',1422508032,1422512127),('PL',1422512128,1422516223),('BY',1422516224,1422520319),('RU',1422520320,1422524415),('NO',1422524416,1422589951),('IE',1422589952,1422655487),('RU',1422655488,1422721023),('PL',1422721024,1422729215),('NO',1422729216,1422737407),('EU',1422737408,1422745599),('EG',1422745600,1422753791),('FR',1422753792,1422761983),('PL',1422761984,1422770175),('GR',1422770176,1422786559),('HU',1422786560,1422852095),('FR',1422852096,1422853119),('DE',1422853120,1422853631),('FR',1422853632,1422853919),('DE',1422853920,1422854143),('FR',1422854144,1422854151),('DE',1422854152,1422856319),('FR',1422856320,1422856575),('DE',1422856576,1422856703),('FR',1422856704,1422857471),('DE',1422857472,1422857727),('FR',1422857728,1422857855),('DE',1422857856,1422857919),('FR',1422857920,1422858143),('DE',1422858144,1422858239),('FR',1422858240,1422858623),('DE',1422858624,1422917631),('NO',1422917632,1423441919),('SE',1423441920,1423704063),('IT',1423704064,1423966207),('HU',1423966208,1424097279),('CH',1424097280,1424228351),('IL',1424228352,1424359423),('FI',1424359424,1424490495),('ES',1424490496,1424523263),('RO',1424523264,1424556031),('EG',1424556032,1424588799),('DE',1424588800,1424588839),('GB',1424588840,1424588847),('DE',1424588848,1424589311),('FR',1424589312,1424589567),('GB',1424589568,1424590719),('SE',1424590720,1424590727),('GB',1424590728,1424590735),('SE',1424590736,1424591423),('GB',1424591424,1424591439),('SE',1424591440,1424591551),('CZ',1424591552,1424591615),('GB',1424591616,1424591743),('MT',1424591744,1424591871),('GB',1424591872,1424592639),('FR',1424592640,1424593407),('DE',1424593408,1424593663),('SK',1424593664,1424593727),('HU',1424593728,1424593791),('DE',1424593792,1424593919),('FR',1424593920,1424593967),('GB',1424593968,1424593983),('FR',1424593984,1424594055),('IT',1424594056,1424594063),('FR',1424594064,1424594175),('GB',1424594176,1424595175),('FR',1424595176,1424595179),('GB',1424595180,1424595455),('IT',1424595456,1424595743),('GB',1424595744,1424595751),('IT',1424595752,1424595839),('GB',1424595840,1424595871),('IT',1424595872,1424596479),('FR',1424596480,1424596991),('CZ',1424596992,1424597503),('FR',1424597504,1424597759),('IT',1424597760,1424598015),('GB',1424598016,1424599039),('DK',1424599040,1424599255),('GB',1424599256,1424599263),('DK',1424599264,1424599279),('GB',1424599280,1424599295),('DK',1424599296,1424599551),('HU',1424599552,1424599855),('GB',1424599856,1424599871),('HU',1424599872,1424599875),('GB',1424599876,1424599879),('HU',1424599880,1424599951),('GB',1424599952,1424600063),('CH',1424600064,1424600319),('GB',1424600320,1424600575),('FR',1424600576,1424600831),('BE',1424600832,1424601087),('GB',1424601088,1424601343),('ES',1424601344,1424601599),('CH',1424601600,1424601855),('GB',1424601856,1424602111),('DE',1424602112,1424602623),('GB',1424602624,1424602879),('US',1424602880,1424602911),('FR',1424602912,1424602927),('US',1424602928,1424603055),('NL',1424603056,1424603063),('GB',1424603064,1424603071),('US',1424603072,1424603087),('GB',1424603088,1424603103),('GU',1424603104,1424603135),('SK',1424603136,1424603391),('DE',1424603392,1424603647),('GB',1424603648,1424603903),('ES',1424603904,1424604159),('NL',1424604160,1424604543),('GB',1424604544,1424604671),('NL',1424604672,1424604799),('GB',1424604800,1424604927),('NL',1424604928,1424605183),('GB',1424605184,1424605439),('BG',1424605440,1424605583),('GB',1424605584,1424605631),('BG',1424605632,1424605695),('NL',1424605696,1424605951),('GB',1424605952,1424606199),('AT',1424606200,1424606207),('GB',1424606208,1424606455),('AT',1424606456,1424606463),('GB',1424606464,1424606711),('AT',1424606712,1424606719),('GB',1424606720,1424606967),('AT',1424606968,1424606975),('GB',1424606976,1424607103),('SK',1424607104,1424607119),('GB',1424607120,1424607135),('SK',1424607136,1424607199),('GB',1424607200,1424607215),('SK',1424607216,1424607231),('GB',1424607232,1424607487),('DE',1424607488,1424607839),('GB',1424607840,1424607855),('DE',1424607856,1424607871),('GB',1424607872,1424608031),('FR',1424608032,1424608127),('GB',1424608128,1424608255),('FR',1424608256,1424608511),('ES',1424608512,1424609023),('DE',1424609024,1424609279),('CH',1424609280,1424609395),('GB',1424609396,1424609399),('CH',1424609400,1424609791),('GB',1424609792,1424610303),('TZ',1424610304,1424610559),('PL',1424610560,1424610655),('GB',1424610656,1424610687),('PL',1424610688,1424610815),('FR',1424610816,1424611071),('BE',1424611072,1424611295),('GB',1424611296,1424611327),('PL',1424611328,1424611583),('GB',1424611584,1424612095),('CZ',1424612096,1424612231),('GB',1424612232,1424612607),('AE',1424612608,1424612671),('GB',1424612672,1424612863),('FR',1424612864,1424613119),('GB',1424613120,1424613375),('ES',1424613376,1424613631),('IT',1424613632,1424614143),('GB',1424614144,1424614399),('FR',1424614400,1424614415),('IT',1424614416,1424614655),('FR',1424614656,1424614911),('RO',1424614912,1424615167),('GB',1424615168,1424615423),('IT',1424615424,1424615935),('FR',1424615936,1424616191),('IT',1424616192,1424616447),('ES',1424616448,1424616495),('IT',1424616496,1424616511),('ES',1424616512,1424616607),('PT',1424616608,1424616615),('ES',1424616616,1424616639),('GB',1424616640,1424616655),('ES',1424616656,1424616703),('US',1424616704,1424616959),('FR',1424616960,1424617215),('IT',1424617216,1424617395),('GB',1424617396,1424617399),('IT',1424617400,1424617407),('ES',1424617408,1424617423),('IT',1424617424,1424617431),('ES',1424617432,1424617439),('IT',1424617440,1424617471),('US',1424617472,1424617727),('IT',1424617728,1424618239),('NL',1424618240,1424618367),('GB',1424618368,1424618751),('FR',1424618752,1424618895),('GB',1424618896,1424618911),('FR',1424618912,1424619007),('IT',1424619008,1424619151),('GB',1424619152,1424619167),('IT',1424619168,1424619775),('BE',1424619776,1424619811),('GB',1424619812,1424619815),('BE',1424619816,1424619839),('GB',1424619840,1424619855),('BE',1424619856,1424620031),('GB',1424620032,1424621055),('IT',1424621056,1424621567),('PL',1424621568,1424625663),('GB',1424625664,1424629759),('PL',1424629760,1424637951),('FI',1424637952,1424642047),('DK',1424642048,1424646143),('RO',1424646144,1424650239),('PL',1424650240,1424654335),('NO',1424654336,1424687103),('SA',1424687104,1424719871),('IE',1424719872,1424722431),('CZ',1424722432,1424723199),('DE',1424723200,1424724735),('IE',1424724736,1424724991),('GB',1424724992,1424727039),('IE',1424727040,1424727295),('SL',1424727296,1424727551),('PL',1424727552,1424728063),('IE',1424728064,1424728319),('FR',1424728320,1424729855),('DE',1424729856,1424730367),('ES',1424730368,1424730623),('GB',1424730624,1424730879),('IE',1424730880,1424733183),('NL',1424733184,1424733951),('SE',1424733952,1424735103),('DE',1424735104,1424736127),('AT',1424736128,1424736383),('FR',1424736384,1424736895),('DE',1424736896,1424737151),('GB',1424737152,1424737279),('DK',1424737280,1424737407),('AT',1424737408,1424737535),('DE',1424737536,1424738815),('SE',1424738816,1424739583),('GB',1424739584,1424739839),('DE',1424739840,1424740511),('GB',1424740512,1424740551),('DE',1424740552,1424741119),('IE',1424741120,1424741375),('DE',1424741376,1424742911),('IE',1424742912,1424743167),('IT',1424743168,1424743423),('DE',1424743424,1424743935),('GB',1424743936,1424744191),('DE',1424744192,1424744703),('GB',1424744704,1424744959),('DE',1424744960,1424746495),('IE',1424746496,1424749055),('SL',1424749056,1424749311),('DE',1424749312,1424750079),('FR',1424750080,1424750335),('GB',1424750336,1424750591),('FR',1424750592,1424750847),('IE',1424750848,1424751103),('DE',1424751104,1424751359),('AT',1424751360,1424751615),('IE',1424751616,1424752127),('DE',1424752128,1424752383),('NL',1424752384,1424752639),('HU',1424752640,1424785407),('NO',1424785408,1424818175),('RU',1424818176,1424850943),('LV',1424850944,1424883711),('DK',1424883712,1424916479),('BG',1424916480,1424949247),('GB',1424949248,1424982015),('FI',1424982016,1425014783),('LT',1425014784,1425031167),('FI',1425031168,1425047551),('IT',1425047552,1425063935),('KZ',1425063936,1425080319),('IR',1425080320,1425096703),('CH',1425096704,1425113087),('NL',1425113088,1425145855),('RU',1425145856,1425162239),('CZ',1425162240,1425178623),('BG',1425178624,1425195007),('RU',1425195008,1425211391),('SE',1425211392,1425227775),('RO',1425227776,1425244159),('NO',1425244160,1425260543),('NL',1425260544,1425276927),('SE',1425276928,1425287167),('DE',1425287168,1425293311),('CZ',1425293312,1425309695),('NL',1425309696,1425326079),('SE',1425326080,1425342463),('NL',1425342464,1425358847),('SK',1425358848,1425375231),('DE',1425375232,1425391615),('LV',1425391616,1425407999),('NL',1425408000,1425424383),('A2',1425424384,1425424543),('DE',1425424544,1425424639),('IR',1425424640,1425424895),('NE',1425424896,1425425151),('DE',1425425152,1425425663),('NE',1425425664,1425425919),('DE',1425425920,1425426303),('IR',1425426304,1425426319),('DE',1425426320,1425426343),('IR',1425426344,1425426352),('DE',1425426353,1425426431),('KW',1425426432,1425428479),('GB',1425428480,1425430527),('SE',1425430528,1425432575),('GB',1425432576,1425434623),('FR',1425434624,1425436671),('GB',1425436672,1425438719),('DE',1425438720,1425439639),('US',1425439640,1425439643),('DE',1425439644,1425439711),('CZ',1425439712,1425439727),('HK',1425439728,1425439743),('DE',1425439744,1425440767),('SE',1425440768,1425442815),('GB',1425442816,1425444863),('IT',1425444864,1425445139),('GB',1425445140,1425445141),('IT',1425445142,1425446911),('GB',1425446912,1425448959),('NL',1425448960,1425451007),('GB',1425451008,1425458271),('US',1425458272,1425458303),('GB',1425458304,1425461247),('ES',1425461248,1425463295),('BE',1425463296,1425465343),('FR',1425465344,1425467135),('ES',1425467136,1425467391),('CH',1425467392,1425469439),('DK',1425469440,1425471487),('DE',1425471488,1425473535),('RO',1425473536,1425506303),('NO',1425506304,1425522687),('IT',1425522688,1425539071),('FI',1425539072,1425801215),('BG',1425801216,1425817599),('DE',1425817600,1425833983),('RU',1425833984,1425850367),('GB',1425850368,1425866751),('CH',1425866752,1425883135),('RU',1425883136,1425899519),('IT',1425899520,1425915903),('FI',1425915904,1425932287),('GR',1425932288,1425948671),('DE',1425948672,1425965055),('ES',1425965056,1425965100),('FR',1425965101,1425965112),('ZA',1425965113,1425965116),('A2',1425965117,1425965120),('IT',1425965121,1425965182),('A2',1425965183,1425965183),('IT',1425965184,1425965503),('FR',1425965504,1425965567),('A2',1425965568,1425965568),('NG',1425965569,1425965572),('US',1425965573,1425965576),('FR',1425965577,1425965580),('BJ',1425965581,1425965584),('ES',1425965585,1425965588),('A2',1425965589,1425965592),('FR',1425965593,1425965631),('A2',1425965632,1425966080),('DE',1425966081,1425966088),('A2',1425966089,1425966104),('DE',1425966105,1425966128),('A2',1425966129,1425966144),('DE',1425966145,1425966152),('A2',1425966153,1425966208),('DE',1425966209,1425966224),('A2',1425966225,1425966239),('IT',1425966240,1425966271),('DE',1425966272,1425966335),('A2',1425966336,1425966463),('IT',1425966464,1425966527),('A2',1425966528,1425966608),('IT',1425966609,1425966624),('A2',1425966625,1425966655),('IT',1425966656,1425966719),('A2',1425966720,1425966720),('BJ',1425966721,1425966728),('A2',1425966729,1425966735),('BJ',1425966736,1425966751),('A2',1425966752,1425966784),('BJ',1425966785,1425966808),('A2',1425966809,1425966815),('BJ',1425966816,1425966847),('A2',1425966848,1425966852),('DE',1425966853,1425966896),('A2',1425966897,1425966911),('DE',1425966912,1425966975),('IT',1425966976,1425967039),('DE',1425967040,1425967103),('A2',1425967104,1425967104),('TR',1425967105,1425967120),('IT',1425967121,1425967359),('A2',1425967360,1425967743),('IT',1425967744,1425967807),('A2',1425967808,1425967876),('DE',1425967877,1425967892),('A2',1425967893,1425967896),('DE',1425967897,1425967904),('A2',1425967905,1425967912),('DE',1425967913,1425967924),('A2',1425967925,1425967928),('DE',1425967929,1425967940),('A2',1425967941,1425967967),('IT',1425967968,1425967999),('DE',1425968000,1425968127),('DZ',1425968128,1425968639),('A2',1425968640,1425968703),('IT',1425968704,1425968831),('A2',1425968832,1425968895),('IT',1425968896,1425969023),('A2',1425969024,1425969199),('IT',1425969200,1425969215),('A2',1425969216,1425969279),('IT',1425969280,1425969343),('A2',1425969344,1425969407),('IT',1425969408,1425969471),('A2',1425969472,1425969663),('FR',1425969664,1425969727),('IT',1425969728,1425969791),('FR',1425969792,1425969855),('A2',1425969856,1425969983),('IT',1425969984,1425970047),('DE',1425970048,1425970111),('A2',1425970112,1425970176),('DE',1425970177,1425970180),('A2',1425970181,1425970184),('GB',1425970185,1425970188),('DE',1425970189,1425970192),('GB',1425970193,1425970239),('A2',1425970240,1425970303),('IT',1425970304,1425970431),('A2',1425970432,1425970495),('IT',1425970496,1425970687),('A2',1425970688,1425970688),('DE',1425970689,1425970751),('A2',1425970752,1425970943),('IT',1425970944,1425971007),('NL',1425971008,1425971071),('A2',1425971072,1425971199),('NL',1425971200,1425971455),('A2',1425971456,1425971519),('IT',1425971520,1425971583),('A2',1425971584,1425971647),('IT',1425971648,1425971711),('AE',1425971712,1425971727),('US',1425971728,1425971743),('A2',1425971744,1425971775),('DE',1425971776,1425971839),('SE',1425971840,1425971903),('A2',1425971904,1425971967),('IT',1425971968,1425972223),('A2',1425972224,1425972671),('IT',1425972672,1425972735),('A2',1425972736,1425973183),('IT',1425973184,1425973247),('A2',1425973248,1425973248),('PL',1425973249,1425973260),('A2',1425973261,1425973264),('DE',1425973265,1425973268),('FR',1425973269,1425973272),('PL',1425973273,1425973276),('A2',1425973277,1425973280),('PL',1425973281,1425973300),('DE',1425973301,1425973308),('PL',1425973309,1425973332),('DE',1425973333,1425973336),('A2',1425973337,1425973439),('PL',1425973440,1425973503),('IT',1425973504,1425973759),('PL',1425973760,1425973823),('IT',1425973824,1425973887),('A2',1425973888,1425974143),('IT',1425974144,1425974207),('A2',1425974208,1425974463),('IT',1425974464,1425974527),('A2',1425974528,1425974783),('IT',1425974784,1425974847),('SE',1425974848,1425974911),('A2',1425974912,1425974975),('IT',1425974976,1425975039),('A2',1425975040,1425975103),('IT',1425975104,1425975167),('A2',1425975168,1425975296),('PE',1425975297,1425975360),('A2',1425975361,1425975487),('IT',1425975488,1425975551),('A2',1425975552,1425975615),('IT',1425975616,1425975743),('A2',1425975744,1425975807),('IT',1425975808,1425976063),('A2',1425976064,1425976064),('FR',1425976065,1425976126),('A2',1425976127,1425976127),('IT',1425976128,1425976191),('FR',1425976192,1425976255),('IT',1425976256,1425976319),('A2',1425976320,1425976320),('FR',1425976321,1425976328),('GB',1425976329,1425976336),('A2',1425976337,1425976344),('FR',1425976345,1425976352),('GB',1425976353,1425976368),('FR',1425976369,1425976372),('GB',1425976373,1425976380),('FR',1425976381,1425976388),('IT',1425976389,1425976392),('FR',1425976393,1425976432),('GB',1425976433,1425976440),('FR',1425976441,1425976448),('GB',1425976449,1425976464),('A2',1425976465,1425976767),('IT',1425976768,1425976831),('A2',1425976832,1425976832),('ES',1425976833,1425976852),('A2',1425976853,1425976896),('ES',1425976897,1425976932),('A2',1425976933,1425976936),('ES',1425976937,1425976944),('A2',1425976945,1425976960),('GB',1425976961,1425977008),('A2',1425977009,1425977016),('GB',1425977017,1425977040),('A2',1425977041,1425977087),('GB',1425977088,1425977088),('A2',1425977089,1425977151),('GB',1425977152,1425977215),('DE',1425977216,1425977279),('GB',1425977280,1425977343),('IT',1425977344,1425977855),('DE',1425977856,1425978111),('BG',1425978112,1425978367),('A2',1425978368,1425978368),('IT',1425978369,1425978388),('A2',1425978389,1425978389),('IT',1425978390,1425978495),('A2',1425978496,1425978559),('IT',1425978560,1425978623),('A2',1425978624,1425978624),('IT',1425978625,1425978879),('A2',1425978880,1425979071),('IT',1425979072,1425979135),('A2',1425979136,1425979327),('IT',1425979328,1425979391),('A2',1425979392,1425979392),('DE',1425979393,1425979400),('A2',1425979401,1425979412),('DE',1425979413,1425979416),('A2',1425979417,1425979436),('DE',1425979437,1425979456),('A2',1425979457,1425979460),('DE',1425979461,1425979464),('A2',1425979465,1425979472),('DE',1425979473,1425979476),('A2',1425979477,1425979480),('DE',1425979481,1425979488),('A2',1425979489,1425979503),('IT',1425979504,1425979519),('DE',1425979520,1425979583),('A2',1425979584,1425979652),('AE',1425979653,1425979656),('A2',1425979657,1425979660),('AE',1425979661,1425979692),('A2',1425979693,1425979704),('AE',1425979705,1425979708),('A2',1425979709,1425979711),('DE',1425979712,1425979775),('US',1425979776,1425979839),('IT',1425979840,1425979903),('A2',1425979904,1425979904),('AE',1425979905,1425979968),('A2',1425979969,1425979976),('FR',1425979977,1425979984),('IT',1425979985,1425979998),('A2',1425979999,1425979999),('US',1425980000,1425980031),('DE',1425980032,1425980095),('AE',1425980096,1425980159),('IT',1425980160,1425980287),('A2',1425980288,1425980351),('IT',1425980352,1425980415),('A2',1425980416,1425981375),('IT',1425981376,1425981439),('RU',1425981440,1425997823),('MT',1425997824,1426014207),('DK',1426014208,1426030591),('BH',1426030592,1426046975),('SI',1426046976,1426063359),('CH',1426063360,1426587647),('SE',1426587648,1426604031),('DE',1426604032,1426620415),('GB',1426620416,1426653183),('RO',1426653184,1426669567),('IR',1426669568,1426685951),('TJ',1426685952,1426702335),('LV',1426702336,1426703103),('RU',1426703104,1426703167),('LV',1426703168,1426718719),('SI',1426718720,1426731007),('HR',1426731008,1426735103),('BE',1426735104,1426751487),('FR',1426751488,1426767871),('DE',1426767872,1426784255),('SE',1426784256,1426800639),('PL',1426800640,1426817023),('BG',1426817024,1426833407),('SE',1426833408,1426849791),('NL',1426849792,1426850303),('SE',1426850304,1426850335),('GB',1426850336,1426850367),('NL',1426850368,1426850463),('GB',1426850464,1426850495),('NL',1426850496,1426851519),('PA',1426851520,1426851583),('NL',1426851584,1426851839),('SE',1426851840,1426852095),('NL',1426852096,1426852352),('RU',1426852353,1426852359),('SE',1426852360,1426852367),('NL',1426852368,1426852375),('US',1426852376,1426852383),('GB',1426852384,1426852543),('NL',1426852544,1426855679),('PA',1426855680,1426855807),('AN',1426855808,1426855935),('NL',1426855936,1426857472),('ES',1426857473,1426857500),('NL',1426857501,1426859263),('RU',1426859264,1426859519),('NL',1426859520,1426864511),('PA',1426864512,1426864639),('FR',1426864640,1426864895),('NL',1426864896,1426865151),('BE',1426865152,1426865407),('NL',1426865408,1426865408),('BE',1426865409,1426865919),('ES',1426865920,1426866175),('GB',1426866176,1426882559),('FR',1426882560,1426898943),('RU',1426898944,1426915327),('AT',1426915328,1426931711),('CZ',1426931712,1426948095),('DE',1426948096,1426964479),('GB',1426964480,1426980863),('BG',1426980864,1426997247),('PL',1426997248,1427013631),('FR',1427013632,1427030015),('DE',1427030016,1427031679),('AT',1427031680,1427031743),('DE',1427031744,1427031807),('AT',1427031808,1427032063),('DE',1427032064,1427035391),('GB',1427035392,1427035519),('DE',1427035520,1427046399),('IR',1427046400,1427062783),('RU',1427062784,1427095551),('LV',1427095552,1427111935),('DE',1427111936,1427177471),('NL',1427177472,1427243007),('IT',1427243008,1427308543),('NO',1427308544,1427374079),('IT',1427374080,1427439615),('RU',1427439616,1427505151),('DE',1427505152,1427570687),('FI',1427570688,1427636223),('DK',1427636224,1427668991),('SE',1427668992,1427701759),('DE',1427701760,1427750911),('NL',1427750912,1427759103),('DE',1427759104,1427767295),('BE',1427767296,1427800063),('RU',1427800064,1427823615),('KG',1427823616,1427824639),('RU',1427824640,1427831807),('MD',1427831808,1427832831),('BE',1427832832,1427865599),('DK',1427865600,1427898367),('RU',1427898368,1427914751),('BE',1427914752,1427931135),('PL',1427931136,1427947519),('RU',1427947520,1427963903),('TR',1427963904,1427980287),('FI',1427980288,1427996671),('KZ',1427996672,1428013055),('EE',1428013056,1428029439),('GR',1428029440,1428045823),('MK',1428045824,1428062207),('SE',1428062208,1428078591),('RU',1428078592,1428094975),('AT',1428094976,1428096031),('CH',1428096032,1428096039),('AT',1428096040,1428103167),('GB',1428103168,1428119551),('RU',1428119552,1428121599),('FR',1428121600,1428123647),('RU',1428123648,1428126975),('TR',1428126976,1428127231),('RU',1428127232,1428127743),('ES',1428127744,1428129791),('GB',1428129792,1428131839),('FR',1428131840,1428133887),('LI',1428133888,1428135935),('IT',1428135936,1428137983),('GB',1428137984,1428140031),('RU',1428140032,1428142079),('DE',1428142080,1428143167),('CH',1428143168,1428143231),('DE',1428143232,1428144127),('FR',1428144128,1428145919),('CH',1428145920,1428146175),('FR',1428146176,1428147359),('IT',1428147360,1428147375),('ES',1428147376,1428147391),('FR',1428147392,1428147775),('CH',1428147776,1428147783),('FR',1428147784,1428147847),('DK',1428147848,1428147855),('US',1428147856,1428147871),('GB',1428147872,1428147903),('FR',1428147904,1428148127),('IL',1428148128,1428148135),('BE',1428148136,1428148143),('DE',1428148144,1428148151),('NL',1428148152,1428148159),('SE',1428148160,1428148167),('FR',1428148168,1428148175),('CH',1428148176,1428148191),('FR',1428148192,1428152319),('PL',1428152320,1428160511),('IT',1428160512,1429209087),('ES',1429209088,1430257663),('IL',1430257664,1430388735),('HU',1430388736,1430519807),('FR',1430519808,1430650879),('CZ',1430650880,1430781951),('GR',1430781952,1431044095),('FI',1431044096,1431306239),('DK',1431306240,1431568383),('ES',1431568384,1431830527),('DE',1431830528,1431832832),('AT',1431832833,1431832846),('DE',1431832847,1431837680),('AT',1431837681,1431837694),('DE',1431837695,1431838719),('BE',1431838720,1431839007),('DE',1431839008,1431839039),('BE',1431839040,1431846911),('NO',1431846912,1431855103),('NL',1431855104,1431863295),('GB',1431863296,1431863551),('PT',1431863552,1431863583),('GB',1431863584,1431863607),('PT',1431863608,1431863767),('GB',1431863768,1431863775),('PT',1431863776,1431863855),('GB',1431863856,1431863887),('PT',1431863888,1431863919),('GB',1431863920,1431863935),('PT',1431863936,1431864135),('GB',1431864136,1431864143),('PT',1431864144,1431864151),('GB',1431864152,1431864159),('PT',1431864160,1431864191),('GB',1431864192,1431864215),('PT',1431864216,1431864287),('GB',1431864288,1431864295),('PT',1431864296,1431864375),('GB',1431864376,1431864383),('PT',1431864384,1431864407),('GB',1431864408,1431864415),('PT',1431864416,1431864455),('GB',1431864456,1431864463),('PT',1431864464,1431864623),('GB',1431864624,1431864631),('PT',1431864632,1431864671),('GB',1431864672,1431864679),('PT',1431864680,1431864743),('GB',1431864744,1431864751),('PT',1431864752,1431864775),('GB',1431864776,1431864799),('PT',1431864800,1431864807),('GB',1431864808,1431864815),('PT',1431864816,1431864887),('GB',1431864888,1431864895),('PT',1431864896,1431864919),('GB',1431864920,1431864927),('PT',1431864928,1431865111),('GB',1431865112,1431865119),('PT',1431865120,1431865263),('GB',1431865264,1431865295),('PT',1431865296,1431865303),('GB',1431865304,1431865335),('ES',1431865336,1431865343),('PT',1431865344,1431865599),('GB',1431865600,1431865631),('ES',1431865632,1431865647),('GB',1431865648,1431865655),('PT',1431865656,1431865663),('ES',1431865664,1431865679),('GB',1431865680,1431865711),('ES',1431865712,1431865719),('GB',1431865720,1431865791),('PT',1431865792,1431865799),('GB',1431865800,1431867391),('PT',1431867392,1431867647),('GB',1431867648,1431871487),('RU',1431871488,1431879679),('IT',1431879680,1431887871),('GB',1431887872,1431896063),('NO',1431896064,1431904255),('EE',1431904256,1431912447),('SE',1431912448,1431920639),('RU',1431920640,1431928831),('IT',1431928832,1431937023),('PL',1431937024,1431945215),('NO',1431945216,1431953407),('DK',1431953408,1431961599),('CH',1431961600,1431969791),('GB',1431969792,1431977983),('NL',1431977984,1431986175),('RU',1431986176,1431994367),('AT',1431994368,1432002559),('HU',1432002560,1432010751),('UA',1432010752,1432018943),('GB',1432018944,1432023551),('BG',1432023552,1432023567),('GB',1432023568,1432027135),('IE',1432027136,1432035327),('GB',1432035328,1432043519),('ES',1432043520,1432051711),('RU',1432051712,1432059903),('BG',1432059904,1432068095),('BE',1432068096,1432076287),('RU',1432076288,1432084479),('GB',1432084480,1432092671),('RU',1432092672,1432100863),('CZ',1432100864,1432109055),('GB',1432109056,1432117247),('CY',1432117248,1432125439),('NL',1432125440,1432127487),('BE',1432127488,1432127551),('NL',1432127552,1432131583),('PH',1432131584,1432133631),('GB',1432133632,1432150015),('BA',1432150016,1432158207),('CH',1432158208,1432158463),('DE',1432158464,1432159743),('PL',1432159744,1432159871),('DE',1432159872,1432160255),('CH',1432160256,1432160511),('DE',1432160512,1432165247),('PL',1432165248,1432165375),('DE',1432165376,1432166143),('CH',1432166144,1432166399),('RU',1432166400,1432174591),('DE',1432174592,1432182783),('CZ',1432182784,1432190975),('RU',1432190976,1432199167),('CZ',1432199168,1432207359),('LU',1432207360,1432215551),('NO',1432215552,1432223743),('RU',1432223744,1432240127),('HR',1432240128,1432248319),('RS',1432248320,1432252415),('ME',1432252416,1432254207),('RS',1432254208,1432254463),('ME',1432254464,1432255487),('AL',1432255488,1432256511),('BA',1432256512,1432264703),('AD',1432264704,1432272895),('IT',1432272896,1432281087),('LU',1432281088,1432289279),('GB',1432289280,1432297471),('NO',1432297472,1432305663),('BG',1432305664,1432313855),('GB',1432313856,1432322047),('RU',1432322048,1432338431),('FR',1432338432,1432346623),('DE',1432346624,1432346879),('AE',1432346880,1432347135),('DE',1432347136,1432352767),('AE',1432352768,1432353279),('DE',1432353280,1432353791),('TR',1432353792,1433403391),('ES',1433403392,1433407711),('NL',1433407712,1433408255),('ES',1433408256,1433411583),('RU',1433411584,1433419775),('LB',1433419776,1433427967),('RU',1433427968,1433436159),('NO',1433436160,1433444351),('SE',1433444352,1433452543),('PL',1433452544,1433460735),('DE',1433460736,1433468927),('KG',1433468928,1433477119),('RU',1433477120,1433485311),('GB',1433485312,1433493503),('PS',1433493504,1433501695),('RU',1433501696,1433509887),('NO',1433509888,1433518079),('RU',1433518080,1433526271),('NL',1433526272,1433534463),('RU',1433534464,1433542655),('HR',1433542656,1433550847),('RU',1433550848,1433559039),('PS',1433559040,1433567231),('DE',1433567232,1433575423),('RU',1433575424,1433583615),('UA',1433583616,1433591807),('GE',1433591808,1433599999),('DE',1433600000,1433602303),('LU',1433602304,1433602319),('DE',1433602320,1433608191),('GB',1433608192,1433608959),('DE',1433608960,1433609215),('GB',1433609216,1433609727),('CH',1433609728,1433610239),('US',1433610240,1433612287),('GB',1433612288,1433614335),('DE',1433614336,1433615359),('FR',1433615360,1433615871),('GB',1433615872,1433616383),('AE',1433616384,1433624575),('LV',1433624576,1433632767),('GI',1433632768,1433640959),('RU',1433640960,1433649151),('KG',1433649152,1433657343),('RU',1433657344,1433665535),('GB',1433665536,1433673727),('FR',1433673728,1433681919),('IS',1433681920,1433690111),('RU',1433690112,1433698303),('IT',1433698304,1433706495),('GB',1433706496,1433714687),('DE',1433714688,1433722879),('IT',1433722880,1433731071),('PL',1433731072,1433739263),('GE',1433739264,1433747455),('RU',1433747456,1433755647),('EE',1433755648,1433763839),('CZ',1433763840,1433765887),('DE',1433765888,1433766911),('RU',1433766912,1433769983),('SK',1433769984,1433771007),('RU',1433771008,1433772031),('SE',1433772032,1433788415),('UZ',1433788416,1433796607),('GB',1433796608,1433804799),('FR',1433804800,1433812991),('BG',1433812992,1433820159),('HR',1433820160,1433821183),('GE',1433821184,1433829375),('RU',1433829376,1433833471),('IT',1433833472,1433835519),('GB',1433835520,1433837567),('DE',1433837568,1433839615),('GB',1433839616,1433841663),('RU',1433841664,1433843711),('SE',1433843712,1433843743),('NL',1433843744,1433843775),('SE',1433843776,1433843839),('NL',1433843840,1433843967),('RS',1433843968,1433843983),('NL',1433843984,1433845759),('BG',1433845760,1433847807),('SE',1433847808,1433849855),('BE',1433849856,1433851903),('CH',1433851904,1433853951),('RU',1433853952,1433855999),('GB',1433856000,1433858047),('ES',1433858048,1433860095),('BA',1433860096,1433862143),('CH',1433862144,1433863039),('US',1433863040,1433863167),('CH',1433863168,1433864191),('HU',1433864192,1433866239),('NL',1433866240,1433866623),('GB',1433866624,1433868287),('MT',1433868288,1433870335),('TR',1433870336,1433872383),('IT',1433872384,1433874431),('NL',1433874432,1433876479),('GB',1433876480,1433878527),('TR',1433878528,1433880575),('RU',1433880576,1433882623),('FR',1433882624,1433884671),('CZ',1433884672,1433886719),('GB',1433886720,1433888767),('SA',1433888768,1433890815),('GB',1433890816,1433892863),('MT',1433892864,1433894911),('SE',1433894912,1433896959),('NO',1433896960,1433899007),('RU',1433899008,1433901055),('DE',1433901056,1433905151),('FR',1433905152,1433907199),('IT',1433907200,1433909247),('BE',1433909248,1433911295),('ES',1433911296,1433913343),('DE',1433913344,1433914879),('NL',1433914880,1433915135),('DE',1433915136,1433917439),('BE',1433917440,1433919487),('GB',1433919488,1433921535),('CH',1433921536,1433923583),('NL',1433923584,1433924479),('BE',1433924480,1433925631),('GB',1433925632,1433927679),('RO',1433927680,1434189823),('AT',1434189824,1434451967),('PL',1434451968,1434517503),('DK',1434517504,1434550271),('SA',1434550272,1434583039),('BG',1434583040,1434615807),('IL',1434615808,1434648575),('FI',1434648576,1434681343),('DE',1434681344,1434714111),('AZ',1434714112,1434746879),('CZ',1434746880,1434779647),('GB',1434779648,1434812415),('IR',1434812416,1434845183),('FI',1434845184,1434877951),('IE',1434877952,1434910719),('CZ',1434910720,1434943487),('SK',1434943488,1434976255),('ES',1434976256,1435107327),('PT',1435107328,1435238399),('RU',1435238400,1435500543),('NL',1435500544,1436024831),('ES',1436024832,1436090367),('TR',1436090368,1436155903),('OM',1436155904,1436221439),('ES',1436221440,1436286975),('FI',1436286976,1436418047),('DE',1436418048,1436420095),('GB',1436420096,1436422143),('FR',1436422144,1436424191),('CH',1436424192,1436426239),('BA',1436426240,1436428287),('GB',1436428288,1436430335),('RU',1436430336,1436432383),('GB',1436432384,1436436479),('LV',1436436480,1436438527),('IT',1436438528,1436440575),('RU',1436440576,1436442623),('TR',1436442624,1436444671),('BE',1436444672,1436446719),('FR',1436446720,1436450815),('BH',1436450816,1436452863),('GB',1436452864,1436454911),('AZ',1436454912,1436456959),('GB',1436456960,1436459007),('NL',1436459008,1436461055),('ES',1436461056,1436463103),('DE',1436463104,1436465151),('RU',1436465152,1436467199),('DE',1436467200,1436469247),('NL',1436469248,1436471295),('BE',1436471296,1436471551),('NL',1436471552,1436471615),('BE',1436471616,1436471743),('BR',1436471744,1436471807),('BE',1436471808,1436473343),('RO',1436473344,1436475391),('AT',1436475392,1436477439),('CH',1436477440,1436481535),('NL',1436481536,1436483583),('UA',1436483584,1436485631),('DE',1436485632,1436487623),('AT',1436487624,1436487631),('DE',1436487632,1436487679),('IE',1436487680,1436489727),('KZ',1436489728,1436491775),('RU',1436491776,1436495871),('HU',1436495872,1436497919),('GB',1436497920,1436499967),('TR',1436499968,1436504063),('GB',1436504064,1436508159),('NL',1436508160,1436510207),('SK',1436510208,1436512255),('NL',1436512256,1436514303),('GI',1436514304,1436516351),('GB',1436516352,1436520447),('SE',1436520448,1436522495),('GB',1436522496,1436524543),('IL',1436524544,1436526591),('GB',1436526592,1436528639),('IT',1436528640,1436530687),('GB',1436530688,1436532735),('IT',1436532736,1436535839),('ET',1436535840,1436535855),('IT',1436535856,1436535943),('ET',1436535944,1436535951),('IT',1436535952,1436535999),('MO',1436536000,1436536007),('IT',1436536008,1436536831),('GB',1436536832,1436538879),('JO',1436538880,1436540927),('RU',1436540928,1436542975),('BA',1436542976,1436545023),('DE',1436545024,1436547071),('GB',1436547072,1436549119),('CZ',1436549120,1436811263),('NO',1436811264,1437073407),('FR',1437073408,1437335551),('RU',1437335552,1437597695),('DE',1437597696,1438121983),('NL',1438121984,1438127103),('GB',1438127104,1438127359),('NL',1438127360,1438142463),('GB',1438142464,1438142719),('NL',1438142720,1438187519),('IR',1438187520,1438253055),('RO',1438253056,1438318591),('BG',1438318592,1438384127),('FI',1438384128,1438400511),('SE',1438400512,1438433279),('GB',1438433280,1438515199),('DE',1438515200,1438519007),('SI',1438519008,1438519039),('DE',1438519040,1438523391),('NL',1438523392,1438524947),('DE',1438524948,1438524951),('NL',1438524952,1438525319),('DE',1438525320,1438525375),('NL',1438525376,1438525439),('DE',1438525440,1438580735),('NL',1438580736,1438646271),('RU',1438646272,1438662655),('ES',1438662656,1438679039),('RU',1438679040,1438695423),('FR',1438695424,1438711807),('CZ',1438711808,1438728191),('RU',1438728192,1438744575),('AT',1438744576,1438760959),('PL',1438760960,1438777343),('SE',1438777344,1438793727),('SA',1438793728,1438810111),('SE',1438810112,1438826495),('FI',1438826496,1438842879),('SE',1438842880,1438859263),('DE',1438859264,1438861823),('CH',1438861824,1438862079),('DE',1438862080,1438873357),('A1',1438873358,1438873359),('DE',1438873360,1438873365),('A1',1438873366,1438873371),('DE',1438873372,1438874389),('A1',1438874390,1438874397),('DE',1438874398,1438874411),('GB',1438874412,1438874413),('DE',1438874414,1438875223),('GB',1438875224,1438875255),('CH',1438875256,1438875257),('DE',1438875258,1438875647),('RU',1438875648,1438876159),('AM',1438876160,1438876415),('RU',1438876416,1438876927),('SE',1438876928,1438877183),('LT',1438877184,1438877439),('RU',1438877440,1438877695),('LT',1438877696,1438877951),('LB',1438877952,1438878719),('LT',1438878720,1438878975),('RU',1438878976,1438880255),('AM',1438880256,1438880511),('LT',1438880512,1438880767),('LB',1438880768,1438881791),('RU',1438881792,1438882303),('LT',1438882304,1438882559),('RU',1438882560,1438883583),('AM',1438883584,1438883839),('RU',1438883840,1438884863),('AM',1438884864,1438885887),('LT',1438885888,1438889983),('LB',1438889984,1438890239),('RU',1438890240,1438890495),('LB',1438890496,1438890751),('RU',1438890752,1438892031),('US',1438892032,1438892287),('AQ',1438892288,1438900223),('US',1438900224,1438904319),('CH',1438904320,1438904575),('US',1438904576,1438908415),('GR',1438908416,1438924799),('NO',1438924800,1438941183),('BG',1438941184,1438957567),('EE',1438957568,1438973951),('DE',1438973952,1438994175),('SE',1438994176,1438994431),('DE',1438994432,1438994619),('SE',1438994620,1438994623),('DE',1438994624,1438994751),('GB',1438994752,1438994759),('SE',1438994760,1438994763),('DE',1438994764,1438995039),('GB',1438995040,1438995047),('DE',1438995048,1438995067),('SE',1438995068,1438995071),('DE',1438995072,1438999099),('CH',1438999100,1438999103),('DE',1438999104,1438999261),('NL',1438999262,1438999295),('DE',1438999296,1438999475),('PT',1438999476,1438999487),('DE',1438999488,1438999517),('CH',1438999518,1438999518),('DE',1438999519,1438999533),('CH',1438999534,1438999534),('DE',1438999535,1438999791),('GB',1438999792,1438999807),('DE',1438999808,1439000575),('NL',1439000576,1439000831),('DE',1439000832,1439000839),('NL',1439000840,1439002623),('DE',1439002624,1439006567),('AT',1439006568,1439006575),('DE',1439006576,1439006671),('PL',1439006672,1439006675),('DE',1439006676,1439006719),('SE',1439006720,1439023103),('IS',1439023104,1439039487),('IR',1439039488,1439055871),('RU',1439055872,1439072255),('UA',1439072256,1439088639),('PL',1439088640,1439105023),('AT',1439105024,1439121407),('DE',1439121408,1439154175),('GB',1439154176,1439170559),('NO',1439170560,1439236095),('BE',1439236096,1439301631),('RU',1439301632,1439305727),('DK',1439305728,1439309823),('PL',1439309824,1439318015),('DK',1439318016,1439322111),('RO',1439322112,1439326207),('PL',1439326208,1439330303),('RU',1439330304,1439338495),('PL',1439338496,1439342591),('UA',1439342592,1439346687),('RU',1439346688,1439350783),('UA',1439350784,1439354879),('PL',1439354880,1439358975),('RU',1439358976,1439367167),('NL',1439367168,1439375375),('DE',1439375376,1439383295),('NL',1439383296,1439432703),('RO',1439432704,1439498239),('DE',1439498240,1439503103),('GB',1439503104,1439504127),('DE',1439504128,1439504383),('GB',1439504384,1439514623),('IT',1439514624,1439516671),('DE',1439516672,1439517439),('GB',1439517440,1439517695),('DE',1439517696,1439518207),('IT',1439518208,1439518719),('GB',1439518720,1439520767),('DE',1439520768,1439522815),('GB',1439522816,1439528959),('DE',1439528960,1439529215),('GB',1439529216,1439529471),('DE',1439529472,1439529599),('GB',1439529600,1439529983),('EG',1439529984,1439530239),('DE',1439530240,1439535103),('IT',1439535104,1439538175),('GB',1439538176,1439538687),('IT',1439538688,1439539199),('DE',1439539200,1439549439),('IT',1439549440,1439551487),('DE',1439551488,1439555839),('GB',1439555840,1439556095),('IT',1439556096,1439556607),('DE',1439556608,1439557119),('GB',1439557120,1439557375),('DE',1439557376,1439557887),('GB',1439557888,1439558143),('IT',1439558144,1439558911),('GB',1439558912,1439559423),('DE',1439559424,1439560191),('IT',1439560192,1439560447),('GB',1439560448,1439560703),('IT',1439560704,1439561215),('DE',1439561216,1439561727),('GB',1439561728,1439562239),('IE',1439562240,1439562751),('DE',1439562752,1439562879),('GB',1439562880,1439563263),('DE',1439563264,1439563775),('LT',1439563776,1439629311),('CZ',1439629312,1439694847),('SA',1439694848,1439825919),('GB',1439825920,1439956991),('DE',1439956992,1440251903),('SK',1440251904,1440284671),('FI',1440284672,1440317439),('BG',1440317440,1440350207),('CH',1440350208,1440382975),('DK',1440382976,1440415743),('ES',1440415744,1440448511),('PL',1440448512,1440481279),('IS',1440481280,1440514047),('DE',1440514048,1440546815),('NO',1440546816,1440579583),('PL',1440579584,1440645119),('RS',1440645120,1440677887),('NL',1440677888,1440710655),('UA',1440710656,1440743423),('SE',1440743424,1441267711),('DE',1441267712,1441275903),('GB',1441275904,1441284095),('AT',1441284096,1441292287),('RU',1441292288,1441300479),('LT',1441300480,1441308671),('CH',1441308672,1441316863),('MT',1441316864,1441325055),('PL',1441325056,1441333247),('DE',1441333248,1441349631),('RU',1441349632,1441357823),('AT',1441357824,1441366015),('RU',1441366016,1441374207),('GB',1441374208,1441382399),('FR',1441382400,1441384511),('US',1441384512,1441384543),('FR',1441384544,1441384583),('TN',1441384584,1441384591),('FR',1441384592,1441384607),('CN',1441384608,1441384639),('FR',1441384640,1441390591),('DK',1441390592,1441398783),('RU',1441398784,1441415167),('GB',1441415168,1441423359),('RU',1441423360,1441431551),('GB',1441431552,1441439743),('LV',1441439744,1441447935),('BE',1441447936,1441456127),('NL',1441456128,1441464319),('SE',1441464320,1441468671),('DK',1441468672,1441470719),('SE',1441470720,1441472511),('RU',1441472512,1441480703),('TR',1441480704,1441488895),('GB',1441488896,1441492223),('BE',1441492224,1441492479),('GB',1441492480,1441497087),('IT',1441497088,1441505279),('RU',1441505280,1441521663),('DK',1441521664,1441529855),('RU',1441529856,1441538047),('DE',1441538048,1441543567),('CH',1441543568,1441543583),('DE',1441543584,1441544063),('TR',1441544064,1441544127),('DE',1441544128,1441544143),('CH',1441544144,1441544159),('DE',1441544160,1441546239),('DK',1441546240,1441554431),('GB',1441554432,1441554687),('NL',1441554688,1441554943),('GB',1441554944,1441557759),('NL',1441557760,1441558015),('GB',1441558016,1441562623),('OM',1441562624,1441564671),('PK',1441564672,1441566719),('IR',1441566720,1441570815),('RU',1441570816,1441579007),('DE',1441579008,1441587199),('AT',1441587200,1441594879),('DE',1441594880,1441595135),('AT',1441595136,1441596159),('SK',1441596160,1441601535),('AT',1441601536,1441603583),('RU',1441603584,1441611775),('DE',1441611776,1441619967),('FR',1441619968,1441620271),('ES',1441620272,1441620287),('FR',1441620288,1441628159),('SA',1441628160,1441636351),('PL',1441636352,1441644543),('GB',1441644544,1441652735),('SK',1441652736,1441660927),('ES',1441660928,1441669119),('GE',1441669120,1441677311),('HU',1441677312,1441685503),('UA',1441685504,1441693695),('BR',1441693696,1441694719),('DE',1441694720,1441695743),('US',1441695744,1441696767),('SG',1441696768,1441697791),('US',1441697792,1441698815),('DE',1441698816,1441701887),('AT',1441701888,1441710079),('SE',1441710080,1441718271),('DE',1441718272,1441726463),('KW',1441726464,1441729023),('SG',1441729024,1441729535),('KW',1441729536,1441734655),('RU',1441734656,1441742847),('CZ',1441742848,1441751039),('DE',1441751040,1441759231),('BG',1441759232,1441767423),('IT',1441767424,1441775615),('ES',1441775616,1441783807),('CZ',1441783808,1441791999),('PT',1441792000,1442316287),('SK',1442316288,1442316583),('DE',1442316584,1442316591),('SK',1442316592,1442321455),('DE',1442321456,1442321463),('SK',1442321464,1442332927),('BE',1442332928,1442333055),('SK',1442333056,1442381823),('RU',1442381824,1442447359),('IL',1442447360,1442512895),('ES',1442512896,1442578431),('NO',1442578432,1442643967),('EE',1442643968,1442709503),('LV',1442709504,1442775039),('PL',1442775040,1442779135),('DE',1442779136,1442783231),('NO',1442783232,1442787327),('LT',1442787328,1442791423),('LV',1442791424,1442795519),('DE',1442795520,1442799615),('LT',1442799616,1442803711),('UA',1442803712,1442807807),('BG',1442807808,1442811903),('AT',1442811904,1442815999),('BG',1442816000,1442820095),('PL',1442820096,1442824191),('BE',1442824192,1442828287),('NL',1442828288,1442832383),('GB',1442832384,1442836479),('PL',1442836480,1442840575),('GB',1442840576,1444937727),('AT',1444937728,1445068799),('RO',1445068800,1445199871),('QA',1445199872,1445330943),('LT',1445330944,1445396479),('NL',1445396480,1445429311),('BE',1445429312,1445430303),('NL',1445430304,1445431551),('BE',1445431552,1445431647),('NL',1445431648,1445431679),('BE',1445431680,1445431807),('NL',1445431808,1445433855),('BE',1445433856,1445433887),('NL',1445433888,1445434367),('BE',1445434368,1445434399),('NL',1445434400,1445434527),('BE',1445434528,1445434559),('NL',1445434560,1445435395),('BE',1445435396,1445435407),('NL',1445435408,1445435423),('BE',1445435424,1445435431),('NL',1445435432,1445435647),('BE',1445435648,1445435903),('NL',1445435904,1445435967),('BE',1445435968,1445435999),('NL',1445436000,1445436031),('BE',1445436032,1445436063),('NL',1445436064,1445436287),('BE',1445436288,1445436431),('NL',1445436432,1445436463),('BE',1445436464,1445436511),('NL',1445436512,1445436799),('BE',1445436800,1445436863),('NL',1445436864,1445436895),('BE',1445436896,1445436927),('NL',1445436928,1445436959),('BE',1445436960,1445437182),('NL',1445437183,1445437311),('BE',1445437312,1445437319),('NL',1445437320,1445462015),('IE',1445462016,1445986303),('DK',1445986304,1446051839),('CZ',1446051840,1446117375),('FI',1446117376,1446182911),('SA',1446182912,1446248447),('DK',1446248448,1446313983),('GB',1446313984,1446445055),('RO',1446445056,1446510591),('DE',1446510592,1446543359),('AT',1446543360,1446576127),('LV',1446576128,1446608895),('BY',1446608896,1446641663),('SI',1446641664,1446674431),('DK',1446674432,1446707199),('AT',1446707200,1446739967),('RU',1446739968,1446763007),('CZ',1446763008,1446763519),('RU',1446763520,1446772735),('SA',1446772736,1446805503),('FI',1446805504,1446838271),('SI',1446838272,1446862079),('HR',1446862080,1446862591),('SI',1446862592,1446871039),('CZ',1446871040,1446903807),('AE',1446903808,1446904063),('A2',1446904064,1446904071),('CY',1446904072,1446904079),('BH',1446904080,1446904095),('SA',1446904096,1446904111),('BH',1446904112,1446904119),('A2',1446904120,1446904127),('SA',1446904128,1446904135),('IQ',1446904136,1446904143),('SA',1446904144,1446904151),('IR',1446904152,1446904159),('ES',1446904160,1446904167),('IQ',1446904168,1446904175),('A2',1446904176,1446904831),('LY',1446904832,1446904835),('A2',1446904836,1446920191),('RU',1446920192,1446936575),('NO',1446936576,1446952959),('QA',1446952960,1446969343),('GB',1446969344,1446985727),('PL',1446985728,1447010303),('LV',1447010304,1447018495),('CZ',1447018496,1447026687),('FR',1447026688,1447169375),('TN',1447169376,1447169391),('FR',1447169392,1448083455),('NL',1448083456,1449132031),('AE',1449132032,1449394175),('LT',1449394176,1449459711),('HU',1449459712,1449525247),('RU',1449525248,1449590783),('DE',1449590784,1449656319),('RO',1449656320,1449717759),('MD',1449717760,1449718783),('RO',1449718784,1449840639),('MD',1449840640,1449852927),('RO',1449852928,1449918463),('JO',1449918464,1449951231),('TR',1449951232,1449983999),('NL',1449984000,1449992191),('IR',1449992192,1450000383),('HU',1450000384,1450008575),('ES',1450008576,1450016767),('IT',1450016768,1450024959),('ES',1450024960,1450033151),('RU',1450033152,1450041343),('DE',1450041344,1450049535),('RU',1450049536,1450057727),('EE',1450057728,1450065919),('DE',1450065920,1450074111),('RU',1450074112,1450082303),('A2',1450082304,1450090495),('RU',1450090496,1450106879),('SK',1450106880,1450115071),('RU',1450115072,1450123263),('AT',1450123264,1450131455),('PL',1450139648,1450147839),('RU',1450147840,1450156031),('GB',1450156032,1450164223),('SA',1450164224,1450166271),('PL',1450166272,1450168319),('EU',1450168320,1450170367),('GB',1450170368,1450172415),('UA',1450172416,1450174463),('DE',1450174464,1450176511),('PL',1450176512,1450178559),('DE',1450178560,1450180607),('GB',1450180608,1450311679),('FI',1450311680,1450442751),('CH',1450442752,1450704895),('RO',1450704896,1450731519),('HU',1450731520,1450732031),('RO',1450732032,1450860543),('HU',1450860544,1450864639),('RO',1450864640,1450872319),('HU',1450872320,1450872831),('RO',1450872832,1451173887),('HU',1451173888,1451175935),('RO',1451175936,1451229183),('GB',1451229184,1455423487),('FR',1455423488,1459617791),('IT',1459617792,1461714943),('IE',1461714944,1462763519),('DK',1462763520,1463812095),('BE',1463812096,1464074239),('IL',1464074240,1464095743),('A2',1464095744,1464111103),('IL',1464111104,1464133119),('A2',1464133120,1464139775),('IL',1464139776,1464172287),('A2',1464172288,1464172543),('IL',1464172544,1464189951),('A2',1464189952,1464195071),('IL',1464195072,1464202239),('A2',1464202240,1464336383),('DK',1464336384,1464467455),('GB',1464467456,1464598527),('DE',1464598528,1464860671),('GB',1464860672,1465384959),('FR',1465384960,1465647103),('FI',1465647104,1465909247),('PL',1465909248,1465942015),('SE',1465942016,1465974783),('HU',1465974784,1466007551),('BG',1466007552,1466040319),('EE',1466040320,1466073087),('FR',1466073088,1466097663),('ES',1466097664,1466099711),('PL',1466099712,1466101759),('DE',1466101760,1466103807),('GB',1466103808,1466104831),('BE',1466104832,1466105343),('FR',1466105344,1466105599),('GB',1466105600,1466105855),('PL',1466105856,1466122239),('LV',1466122240,1466130431),('PL',1466130432,1466138623),('SE',1466138624,1466171391),('FR',1466171392,1466204159),('FI',1466204160,1466236927),('NL',1466236928,1466241023),('PL',1466241024,1466249215),('GR',1466249216,1466253311),('PL',1466253312,1466257407),('GR',1466257408,1466261503),('GB',1466261504,1466265599),('HU',1466265600,1466269695),('SA',1466269696,1466302463),('GB',1466302464,1466335231),('CH',1466335232,1466367999),('PT',1466368000,1466400767),('RU',1466400768,1466433535),('DK',1466433536,1466499071),('PL',1466499072,1466564607),('DE',1466564608,1466589183),('FR',1466589184,1466590207),('GB',1466590208,1466592255),('FR',1466592256,1466593279),('DE',1466593280,1466606847),('FR',1466606848,1466607103),('DE',1466607104,1466613759),('ES',1466613760,1466615807),('GB',1466615808,1466616831),('DE',1466616832,1466630143),('IR',1466630144,1466695679),('FI',1466695680,1466761215),('SA',1466761216,1466826751),('LV',1466826752,1466886399),('LT',1466886400,1466886655),('LV',1466886656,1466892287),('ES',1466892288,1466957823),('GB',1466957824,1467219967),('DK',1467219968,1467236351),('BG',1467236352,1467252735),('RS',1467252736,1467269119),('PL',1467269120,1467285503),('RU',1467285504,1467301887),('GB',1467301888,1467318271),('RU',1467318272,1467334655),('GB',1467334656,1467342143),('US',1467342144,1467342207),('GB',1467342208,1467350783),('US',1467350784,1467351039),('NO',1467351040,1467367423),('DE',1467367424,1467367615),('SE',1467367616,1467367647),('DE',1467367648,1467367679),('IT',1467367680,1467367695),('DE',1467367696,1467367871),('SE',1467367872,1467367903),('DE',1467367904,1467367935),('SI',1467367936,1467368191),('DK',1467368192,1467368447),('RU',1467368448,1467369471),('DE',1467369472,1467369599),('IT',1467369600,1467369663),('DE',1467369664,1467369791),('SE',1467369792,1467369855),('DE',1467369856,1467370495),('IE',1467370496,1467371007),('DE',1467371008,1467383807),('BG',1467383808,1467400191),('RU',1467400192,1467416575),('PL',1467416576,1467432959),('BG',1467432960,1467449343),('SI',1467449344,1467457535),('EE',1467457536,1467465727),('NL',1467465728,1467465759),('AT',1467465760,1467465791),('NL',1467465792,1467465799),('AT',1467465800,1467465807),('NL',1467465808,1467465823),('AT',1467465824,1467465855),('NL',1467465856,1467466015),('DE',1467466016,1467466023),('AT',1467466024,1467466031),('NL',1467466032,1467466111),('DE',1467466112,1467466143),('NL',1467466144,1467466175),('DE',1467466176,1467466191),('NL',1467466192,1467466207),('DE',1467466208,1467466271),('NL',1467466272,1467466751),('DE',1467466752,1467467071),('CH',1467467072,1467467103),('DE',1467467104,1467467903),('CH',1467467904,1467468031),('DE',1467468032,1467468111),('BR',1467468112,1467468119),('DE',1467468120,1467473919),('RU',1467473920,1467482111),('BG',1467482112,1467613183),('DE',1467613184,1467744255),('GB',1467744256,1467875327),('BG',1467875328,1467940863),('GB',1467940864,1468006399),('DE',1468006400,1472200703),('IE',1472200704,1472226463),('GB',1472226464,1472226479),('IE',1472226480,1472259207),('GB',1472259208,1472259231),('IE',1472259232,1472259247),('GB',1472259248,1472259255),('IE',1472259256,1472264799),('GB',1472264800,1472264807),('IE',1472264808,1472266239),('DE',1472266240,1472331775),('GB',1472331776,1472397311),('NL',1472397312,1472462847),('PT',1472462848,1472528383),('SK',1472528384,1472593919),('IE',1472593920,1472659455),('PL',1472659456,1472724991),('AE',1472724992,1472856063),('GR',1472856064,1472987135),('PL',1472987136,1473249279),('NL',1473249280,1473642495),('BE',1473642496,1473740799),('NL',1473740800,1473773567),('ES',1473773568,1474297855),('GB',1474297856,1474330623),('RU',1474330624,1474396159),('DE',1474396160,1474428927),('LV',1474428928,1474461695),('RU',1474461696,1474494463),('SE',1474494464,1474527231),('BG',1474527232,1474559999),('RU',1474560000,1474592767),('CY',1474592768,1474625535),('HU',1474625536,1474658303),('RU',1474658304,1474691071),('DE',1474691072,1474723839),('SA',1474723840,1474756607),('FR',1474756608,1474822143),('IE',1474822144,1474887679),('NL',1474887680,1474888687),('GB',1474888688,1474888703),('NL',1474888704,1474953215),('DE',1474953216,1474966473),('A2',1474966474,1474966474),('DE',1474966475,1475018751),('ES',1475018752,1475084287),('NL',1475084288,1475086335),('RU',1475086336,1475092479),('CY',1475092480,1475094527),('RU',1475094528,1475096575),('BH',1475096576,1475098623),('GB',1475098624,1475102719),('FR',1475102720,1475104767),('RU',1475104768,1475106815),('GB',1475106816,1475108863),('TR',1475108864,1475110911),('DE',1475110912,1475112959),('MT',1475112960,1475115007),('KW',1475115008,1475117055),('GB',1475117056,1475119103),('BH',1475119104,1475121151),('GB',1475121152,1475123199),('FI',1475123200,1475125247),('NO',1475125248,1475127295),('BA',1475127296,1475127551),('SE',1475127552,1475129343),('BE',1475129344,1475131391),('RU',1475131392,1475133439),('CZ',1475133440,1475135487),('CH',1475135488,1475137535),('SE',1475137536,1475139583),('BE',1475139584,1475141631),('UA',1475141632,1475143679),('JO',1475143680,1475145727),('ES',1475145728,1475147775),('GB',1475147776,1475149823),('NL',1475149824,1475151871),('BE',1475151872,1475153919),('GB',1475153920,1475155967),('NL',1475155968,1475158015),('IS',1475158016,1475160063),('RU',1475160064,1475162111),('GB',1475162112,1475170303),('IE',1475170304,1475172351),('DE',1475172352,1475174399),('NL',1475174400,1475175047),('US',1475175048,1475175055),('NL',1475175056,1475176447),('RO',1475176448,1475178495),('RU',1475178496,1475180543),('DE',1475180544,1475184639),('RU',1475184640,1475186687),('ES',1475186688,1475188735),('SE',1475188736,1475190783),('GB',1475190784,1475192831),('CH',1475192832,1475194879),('DE',1475194880,1475196927),('FR',1475196928,1475197071),('DZ',1475197072,1475197079),('FR',1475197080,1475198975),('BH',1475198976,1475201023),('RS',1475201024,1475203071),('SE',1475203072,1475205119),('DE',1475205120,1475205887),('US',1475205888,1475206143),('JP',1475206144,1475206207),('US',1475206208,1475206271),('DE',1475206272,1475206383),('NL',1475206384,1475206399),('HK',1475206400,1475206655),('DE',1475206656,1475206911),('NL',1475206912,1475206927),('FR',1475206928,1475206943),('PT',1475206944,1475206959),('GB',1475206960,1475206975),('IT',1475206976,1475206991),('SE',1475206992,1475207007),('RU',1475207008,1475207023),('ES',1475207024,1475207039),('AU',1475207040,1475207055),('KR',1475207056,1475207071),('CH',1475207072,1475207087),('JP',1475207088,1475207103),('KR',1475207104,1475207135),('DE',1475207136,1475207147),('US',1475207148,1475207167),('AE',1475207168,1475207263),('US',1475207264,1475207295),('AE',1475207296,1475207423),('GR',1475207424,1475207679),('SA',1475207680,1475208191),('AE',1475208192,1475209215),('UZ',1475209216,1475211263),('DE',1475211264,1475213311),('FR',1475213312,1475215359),('IT',1475215360,1475223551),('NO',1475223552,1475233791),('GB',1475233792,1475234303),('IE',1475234304,1475234559),('GB',1475234560,1475235839),('IE',1475235840,1475237887),('ES',1475237888,1475239935),('RU',1475239936,1475241983),('MC',1475241984,1475244031),('DE',1475244032,1475244159),('RU',1475244160,1475244175),('DE',1475244176,1475244191),('A2',1475244192,1475244207),('DE',1475244208,1475244543),('RU',1475244544,1475245055),('IR',1475245056,1475245183),('DE',1475245184,1475245311),('CV',1475245312,1475245567),('SA',1475245568,1475245823),('DE',1475245824,1475246079),('CH',1475246080,1475248127),('JO',1475248128,1475250175),('DE',1475250176,1475252223),('FR',1475252224,1475254271),('UA',1475254272,1475256319),('BE',1475256320,1475257288),('NL',1475257289,1475257289),('BE',1475257290,1475257290),('DE',1475257291,1475257291),('BE',1475257292,1475257295),('GB',1475257296,1475257296),('BE',1475257297,1475257298),('ES',1475257299,1475257300),('BE',1475257301,1475258175),('NL',1475258176,1475258207),('DE',1475258208,1475258239),('BE',1475258240,1475258367),('NL',1475258368,1475260415),('FR',1475260416,1475262463),('DE',1475262464,1475266559),('GB',1475266560,1475268607),('RS',1475268608,1475270655),('GB',1475270656,1475272703),('BE',1475272704,1475274751),('IT',1475274752,1475276799),('ES',1475276800,1475278847),('DK',1475278848,1475280895),('PL',1475280896,1475282943),('NL',1475282944,1475284991),('GB',1475284992,1475287039),('RU',1475287040,1475289087),('UA',1475289088,1475291135),('PL',1475291136,1475293183),('GB',1475293184,1475295231),('PL',1475295232,1475297279),('DK',1475297280,1475299327),('PL',1475299328,1475301375),('LT',1475301376,1475303423),('PL',1475303424,1475305471),('NL',1475305472,1475307519),('RU',1475307520,1475309567),('LT',1475309568,1475311615),('FI',1475311616,1475313663),('DE',1475313664,1475317759),('RU',1475317760,1475319807),('BG',1475319808,1475321855),('RO',1475321856,1475323903),('PL',1475323904,1475327999),('NL',1475328000,1475330047),('PL',1475330048,1475332095),('LI',1475332096,1475334143),('CH',1475334144,1475336191),('PL',1475336192,1475338239),('RO',1475338240,1475340287),('GR',1475340288,1475342335),('PL',1475342336,1475344383),('RO',1475344384,1475346431),('RU',1475346432,1475362815),('FR',1475362816,1475379199),('GB',1475379200,1475395583),('LU',1475395584,1475411967),('IT',1475411968,1475428351),('SE',1475428352,1475444735),('AM',1475444736,1475461119),('RU',1475461120,1475477503),('HU',1475477504,1475493887),('RU',1475493888,1475510271),('GB',1475510272,1475543039),('DE',1475543040,1475559423),('GR',1475559424,1475575807),('AT',1475575808,1475592191),('GB',1475592192,1475608575),('RU',1475608576,1475624959),('GB',1475624960,1475641343),('BE',1475641344,1475657727),('SK',1475657728,1475664263),('UA',1475664264,1475664271),('SK',1475664272,1475674111),('DE',1475674112,1475690495),('CH',1475690496,1475706879),('RU',1475706880,1475723263),('GB',1475723264,1475725823),('RU',1475725824,1475725951),('GB',1475725952,1475729407),('UA',1475729408,1475731455),('GB',1475731456,1475739647),('BG',1475739648,1475756031),('GB',1475756032,1475772415),('LV',1475772416,1475788799),('PL',1475788800,1475805183),('KZ',1475805184,1475821567),('LT',1475821568,1475837951),('GB',1475837952,1475846143),('IR',1475846144,1475854335),('AT',1475854336,1475862527),('IT',1475862528,1475866623),('GB',1475866624,1475868671),('BG',1475868672,1475870719),('NO',1475870720,1475878911),('IT',1475878912,1475887103),('PL',1475887104,1475895295),('GB',1475895296,1475895551),('IE',1475895552,1475897343),('GB',1475897344,1475899903),('IE',1475899904,1475901439),('CH',1475901440,1475903487),('MD',1475911680,1475919871),('NL',1475919872,1475928063),('RU',1475928064,1475952639),('AE',1475952640,1475953151),('GB',1475953152,1475955199),('NG',1475955200,1475955839),('GH',1475955840,1475955967),('GB',1475955968,1475956223),('NG',1475956224,1475956607),('GH',1475956608,1475956735),('GB',1475956736,1475957503),('IN',1475957504,1475957759),('AF',1475957760,1475958015),('GB',1475958016,1475959039),('US',1475959040,1475959047),('GB',1475959048,1475960831),('DE',1475960832,1475961087),('NL',1475961088,1475969023),('CZ',1475969024,1475977215),('SE',1475977216,1475985407),('PL',1475985408,1475993599),('RU',1475993600,1476009983),('RS',1476009984,1476018175),('IT',1476018176,1476026367),('BA',1476026368,1476034559),('NL',1476034560,1476042751),('PL',1476042752,1476050943),('RU',1476050944,1476067327),('TR',1476067328,1476075519),('NL',1476075520,1476083711),('RU',1476083712,1476116479),('SE',1476116480,1476124671),('PL',1476124672,1476132863),('FR',1476132864,1476141055),('GB',1476141056,1476149247),('NO',1476149248,1476157439),('BH',1476157440,1476165375),('JO',1476165376,1476165631),('HR',1476165632,1476173823),('BG',1476173824,1476182015),('IE',1476182016,1476190207),('BY',1476190208,1476198399),('RU',1476198400,1476206591),('GE',1476206592,1476214783),('SE',1476214784,1476222975),('IT',1476222976,1476231167),('NL',1476231168,1476239359),('DE',1476239360,1476247551),('RU',1476247552,1476263935),('GB',1476263936,1476272127),('NO',1476272128,1476280319),('GB',1476280320,1476288511),('LU',1476288512,1476296703),('RU',1476296704,1476304895),('FI',1476313088,1476315135),('US',1476315136,1476316159),('FI',1476316160,1476321279),('MC',1476321280,1476329471),('RU',1476329472,1476337663),('NL',1476337664,1476345855),('MD',1476345856,1476354047),('KE',1476354048,1476357119),('EU',1476357120,1476358143),('KE',1476358144,1476362239),('FR',1476362240,1476370431),('SE',1476370432,1476378623),('KZ',1476378624,1476386815),('RU',1476386816,1476395007),('ES',1476395008,1478492159),('IT',1478492160,1480589311),('DE',1480589312,1481637887),('SE',1481637888,1481646079),('RU',1481646080,1481654271),('IT',1481654272,1481662463),('BG',1481662464,1481678847),('SE',1481678848,1481687039),('DE',1481687040,1481690591),('MA',1481690592,1481690623),('DE',1481690624,1481695231),('SK',1481695232,1481703423),('SA',1481703424,1481711615),('AT',1481711616,1481719807),('CZ',1481719808,1481727999),('IE',1481728000,1481736191),('GB',1481736192,1481744383),('IT',1481744384,1481752575),('RU',1481752576,1481760767),('UA',1481760768,1481768959),('GB',1481768960,1481777151),('BE',1481777152,1481785343),('RU',1481785344,1481793535),('LI',1481793536,1481801727),('GB',1481801728,1481809919),('RU',1481809920,1481818111),('ES',1481818112,1481826303),('DE',1481826304,1481834495),('GL',1481834496,1481842687),('SE',1481842688,1481850879),('DK',1481850880,1481859071),('GB',1481859072,1481867263),('SE',1481867264,1481875455),('CZ',1481875456,1481883647),('RU',1481883648,1481891839),('CZ',1481891840,1481900031),('CH',1481900032,1481908223),('NO',1481908224,1481916415),('ES',1481916416,1481924607),('SA',1481924608,1481932799),('DE',1481932800,1481940991),('NO',1481940992,1481949183),('RU',1481949184,1481957375),('SE',1481957376,1481965567),('CH',1481965568,1481973759),('FO',1481973760,1481981951),('NL',1481981952,1481983999),('DE',1481984000,1481984127),('PA',1481984128,1481984255),('NL',1481984256,1481984383),('GI',1481984384,1481984511),('CY',1481984512,1481984639),('NL',1481984640,1481985023),('MT',1481985024,1481985279),('NL',1481985280,1481987967),('PA',1481987968,1481988031),('NL',1481988032,1481988095),('GI',1481988096,1481988159),('NL',1481988160,1481988351),('GB',1481988352,1481988607),('NL',1481988608,1481990143),('MK',1481990144,1481998335),('FI',1481998336,1482006527),('RU',1482006528,1482022911),('SA',1482022912,1482031103),('SY',1482031104,1482039295),('SE',1482039296,1482047487),('RU',1482047488,1482055679),('CZ',1482055680,1482063871),('FI',1482063872,1482072063),('IT',1482072064,1482076159),('CH',1482076160,1482076223),('IT',1482076224,1482076383),('MT',1482076384,1482076415),('IT',1482076416,1482080255),('RU',1482080256,1482088447),('FR',1482088448,1482096639),('BG',1482096640,1482104831),('NO',1482104832,1482113023),('RU',1482113024,1482121215),('IT',1482121216,1482129407),('ES',1482129408,1482137599),('IE',1482137600,1482145791),('ES',1482145792,1482153983),('HU',1482153984,1482162175),('NO',1482162176,1482686463),('GB',1482686464,1482948607),('CZ',1482948608,1483210751),('GB',1483210752,1483735039),('FI',1483735040,1483997183),('AT',1483997184,1484038223),('A2',1484038224,1484038227),('AT',1484038228,1484038243),('A2',1484038244,1484038247),('AT',1484038248,1484038251),('A2',1484038252,1484038255),('AT',1484038256,1484038391),('A2',1484038392,1484038399),('AT',1484038400,1484128255),('LT',1484128256,1484259327),('FR',1484259328,1484783615),('DE',1484783616,1484849151),('SE',1484849152,1484914687),('DE',1484914688,1484980223),('SE',1484980224,1485045759),('HU',1485045760,1485111295),('DE',1485111296,1485242367),('GB',1485242368,1485307903),('FR',1485307904,1485832191),('GB',1485832192,1485963263),('CZ',1485963264,1486028799),('BE',1486028800,1486061567),('RU',1486061568,1486094335),('ES',1486094336,1486127103),('FI',1486127104,1486159871),('IS',1486159872,1486192639),('IT',1486192640,1486225407),('DE',1486225408,1486258175),('RS',1486258176,1486290943),('IE',1486290944,1486292991),('RU',1486292992,1486295039),('ES',1486295040,1486297087),('IE',1486297088,1486299135),('NL',1486299136,1486301183),('DK',1486301184,1486301951),('SE',1486301952,1486302719),('DK',1486302720,1486302863),('SE',1486302864,1486302879),('DK',1486302880,1486303231),('IS',1486303232,1486305023),('GB',1486305024,1486305279),('NO',1486305280,1486307327),('DE',1486307328,1486309375),('AT',1486309376,1486311423),('IE',1486311424,1486313471),('HU',1486313472,1486317567),('RU',1486317568,1486321663),('EU',1486321664,1486321823),('US',1486321824,1486321855),('NL',1486321856,1486321887),('US',1486321888,1486321919),('EU',1486321920,1486323199),('GU',1486323200,1486323215),('NL',1486323216,1486323231),('GB',1486323232,1486323239),('EU',1486323240,1486323711),('RU',1486323712,1486325759),('SA',1486325760,1486327807),('GB',1486327808,1486329855),('FR',1486329856,1486331903),('NL',1486331904,1486331919),('NO',1486331920,1486333951),('SE',1486333952,1486335999),('KZ',1486336000,1486338047),('RU',1486338048,1486340095),('AZ',1486340096,1486342143),('RU',1486342144,1486344191),('NO',1486344192,1486346239),('GB',1486346240,1486348287),('BH',1486348288,1486350335),('TR',1486350336,1486352383),('BE',1486352384,1486354431),('RU',1486354432,1486356479),('DE',1486356480,1486487551),('UA',1486487552,1486618623),('PL',1486618624,1486684159),('PT',1486684160,1486749695),('RO',1486749696,1486787295),('MD',1486787296,1486787327),('RO',1486787328,1486815231),('NL',1486815232,1486880767),('FR',1486880768,1488977919),('FI',1488977920,1489240063),('EE',1489240064,1489305599),('GR',1489305600,1489338367),('BE',1489338368,1489371135),('DE',1489371136,1489402239),('TR',1489402240,1489402367),('DE',1489402368,1489436671),('PL',1489436672,1489502207),('SI',1489502208,1489534975),('RU',1489534976,1489567743),('BH',1489567744,1489600511),('RU',1489600512,1489633279),('A2',1489633280,1489666047),('GB',1489666048,1489698815),('MT',1489698816,1489731583),('BG',1489731584,1489764351),('RU',1489764352,1489797119),('KZ',1489797120,1489829887),('DE',1489829888,1489862655),('RU',1489862656,1489928191),('SE',1489928192,1489960959),('HR',1489960960,1489993727),('LU',1489993728,1490026495),('US',1490026496,1490028543),('UA',1490028544,1490029055),('NL',1490029056,1490040831),('UA',1490040832,1490042879),('CZ',1490042880,1490049879),('AT',1490049880,1490049887),('CZ',1490049888,1490049919),('PL',1490049920,1490049983),('CZ',1490049984,1490050031),('SK',1490050032,1490050047),('CZ',1490050048,1490053375),('PL',1490053376,1490054143),('CZ',1490054144,1490059263),('DE',1490059264,1490075647),('GB',1490075648,1490092031),('DE',1490092032,1490108415),('MC',1490108416,1490113535),('FR',1490113536,1490114047),('MC',1490114048,1490114559),('FR',1490114560,1490124287),('MC',1490124288,1490124799),('HU',1490124800,1490157567),('RU',1490157568,1490173951),('PT',1490173952,1490190335),('GB',1490190336,1490195455),('IE',1490195456,1490196479),('GB',1490196480,1490205439),('IE',1490205440,1490205471),('GB',1490205472,1490205503),('IT',1490205504,1490205519),('GB',1490205520,1490205535),('IT',1490205536,1490205567),('GB',1490205568,1490206719),('GE',1490206720,1490223103),('GB',1490223104,1490255871),('NL',1490255872,1490272255),('GB',1490272256,1490288639),('SK',1490288640,1490305023),('DK',1490305024,1490321407),('GB',1490321408,1490337791),('RU',1490337792,1490354175),('SA',1490354176,1490386943),('IT',1490386944,1490403327),('BG',1490403328,1490419711),('DE',1490419712,1490436095),('UA',1490436096,1490452479),('PT',1490452480,1490468863),('GB',1490468864,1490472447),('US',1490472448,1490472703),('GB',1490472704,1490473983),('US',1490473984,1490474239),('GB',1490474240,1490484223),('US',1490484224,1490484479),('GB',1490484480,1490501631),('DE',1490501632,1490518015),('RU',1490518016,1490534399),('DE',1490534400,1490550783),('LT',1490550784,1490616319),('DE',1490616320,1490681855),('GR',1490681856,1490747391),('FR',1490747392,1490812927),('PL',1490812928,1490878463),('DE',1490878464,1490879487),('US',1490879488,1490880511),('FR',1490880512,1490881535),('EU',1490881536,1490882559),('US',1490882560,1490883583),('EU',1490883584,1490885631),('US',1490885632,1490886655),('EU',1490886656,1490904063),('US',1490904064,1490905087),('EU',1490905088,1490909183),('US',1490909184,1490910207),('EU',1490910208,1490913279),('US',1490913280,1490915327),('IT',1490915328,1490917375),('IL',1490917376,1490919423),('EU',1490919424,1490927615),('FR',1490927616,1490929663),('EU',1490929664,1490931711),('DE',1490931712,1490933759),('EU',1490933760,1490934527),('IL',1490934528,1490934783),('EU',1490934784,1490935039),('ES',1490935040,1490935295),('EU',1490935296,1490943999),('LT',1490944000,1491075071),('TR',1491075072,1493172223),('IL',1493172224,1493303295),('FR',1493303296,1493434367),('SA',1493434368,1493565439),('ES',1493565440,1493696511),('NO',1493696512,1493958655),('DE',1493958656,1494220799),('FR',1494220800,1494228991),('RU',1494228992,1494237183),('IE',1494237184,1494245375),('RU',1494245376,1494253567),('DE',1494253568,1494261759),('GB',1494261760,1494269951),('AT',1494269952,1494278143),('GB',1494278144,1494286335),('HR',1494286336,1494294527),('RU',1494294528,1494302719),('FI',1494302720,1494310911),('LB',1494310912,1494319103),('MT',1494319104,1494327295),('IT',1494327296,1494335487),('ES',1494335488,1494343679),('PL',1494343680,1494351871),('RO',1494351872,1494360063),('HR',1494360064,1494368255),('IE',1494368256,1494376447),('SE',1494376448,1494384639),('RU',1494384640,1494392831),('NL',1494392832,1494399487),('US',1494399488,1494399743),('NL',1494399744,1494401023),('LV',1494401024,1494409215),('FI',1494409216,1494417407),('TR',1494417408,1494425599),('RU',1494425600,1494433791),('IE',1494433792,1494441983),('UA',1494441984,1494450175),('DK',1494450176,1494458367),('RU',1494458368,1494474751),('DE',1494474752,1494482943),('RU',1494482944,1494499327),('NL',1494499328,1494507519),('RU',1494507520,1494523903),('NL',1494523904,1494532095),('GB',1494532096,1494540287),('NO',1494540288,1494548479),('GB',1494548480,1494556671),('DE',1494556672,1494564863),('UA',1494564864,1494573055),('RO',1494573056,1494581247),('RU',1494581248,1494589439),('NL',1494589440,1494589455),('NA',1494589456,1494589471),('NL',1494589472,1494589511),('NA',1494589512,1494589695),('IQ',1494589696,1494589723),('NA',1494589724,1494596351),('US',1494596352,1494596607),('NA',1494596608,1494597119),('US',1494597120,1494597375),('NA',1494597376,1494597631),('RU',1494597632,1494605823),('GB',1494605824,1494614015),('CZ',1494745088,1494810623),('BG',1494810624,1494843391),('PL',1494843392,1494876159),('AT',1494876160,1494908927),('PT',1494908928,1494941695),('FI',1494941696,1494974463),('DE',1494974464,1495007231),('MD',1495007232,1495039999),('KZ',1495040000,1495042047),('DE',1495042048,1495044095),('FR',1495044096,1495046143),('BH',1495046144,1495048191),('RU',1495048192,1495050239),('GB',1495050240,1495052287),('IE',1495052288,1495054335),('GB',1495054336,1495056383),('RU',1495056384,1495058431),('UA',1495058432,1495060479),('GB',1495060480,1495062527),('JO',1495062528,1495064575),('DE',1495064576,1495066623),('GB',1495066624,1495068671),('DE',1495068672,1495070719),('RU',1495070720,1495072767),('CZ',1495072768,1495105535),('ES',1495105536,1495138303),('FR',1495138304,1495139583),('GB',1495139584,1495139839),('FR',1495139840,1495171071),('NL',1495171072,1495203839),('DE',1495203840,1495205887),('CZ',1495205888,1495207935),('RU',1495207936,1495209983),('KZ',1495209984,1495212031),('DE',1495212032,1495214079),('CZ',1495214080,1495216127),('GB',1495216128,1495218175),('IT',1495218176,1495220223),('PL',1495220224,1495222271),('IT',1495222272,1495224319),('RU',1495224320,1495228415),('GB',1495228416,1495230463),('RU',1495230464,1495234559),('CH',1495234560,1495236607),('AT',1495236608,1495237247),('EU',1495237248,1495237255),('AT',1495237256,1495237271),('EU',1495237272,1495237375),('AT',1495237376,1495237711),('NL',1495237712,1495237727),('AT',1495237728,1495237731),('EU',1495237732,1495237887),('AT',1495237888,1495238655),('DE',1495238656,1495240703),('FR',1495240704,1495242751),('MK',1495242752,1495244799),('CZ',1495244800,1495246847),('IE',1495246848,1495248895),('GR',1495248896,1495250943),('GB',1495250944,1495252991),('BH',1495252992,1495255039),('IT',1495255040,1495257087),('GB',1495257088,1495259135),('BE',1495259136,1495261183),('PT',1495261184,1495263231),('GB',1495263232,1495265279),('DE',1495265280,1495265791),('RU',1495265792,1495267327),('SE',1495267328,1495269375),('RO',1495269376,1495326719),('MD',1495326720,1495330815),('RO',1495330816,1495334911),('MD',1495334912,1495335935),('RO',1495335936,1495399935),('MD',1495399936,1495400191),('RO',1495400192,1495623679),('MD',1495623680,1495623935),('RO',1495623936,1495647743),('MD',1495647744,1495648255),('RO',1495648256,1495752703),('ES',1495752704,1495754751),('RO',1495754752,1495801855),('GB',1495801856,1495802879),('RO',1495802880,1495875583),('MD',1495875584,1495891967),('RO',1495891968,1496078335),('MD',1496078336,1496079359),('RO',1496079360,1496121343),('MD',1496121344,1496122367),('RO',1496122368,1496178943),('AE',1496178944,1496179199),('RO',1496179200,1496317951),('DE',1496317952,1497366527),('PL',1497366528,1498415103),('FR',1498415104,1499463679),('IT',1499463680,1499525951),('A2',1499525952,1499525955),('IT',1499525956,1499594751),('NL',1499594752,1499725823),('IE',1499725824,1499856895),('CZ',1499856896,1499987967),('AT',1499987968,1499996159),('GB',1499996160,1500004351),('RU',1500004352,1500020735),('IS',1500020736,1500028927),('NL',1500028928,1500037119),('DK',1500037120,1500045311),('GB',1500045312,1500061695),('EU',1500061696,1500061951),('NO',1500061952,1500062047),('EU',1500062048,1500065791),('NO',1500065792,1500066303),('EU',1500066304,1500069887),('IT',1500069888,1500078079),('GB',1500078080,1500086271),('RU',1500086272,1500094463),('AT',1500094464,1500102655),('NL',1500102656,1500103935),('VG',1500103936,1500103967),('NL',1500103968,1500110847),('UA',1500110848,1500119039),('TR',1500119040,1500127231),('RU',1500127232,1500135423),('DE',1500135424,1500135555),('CH',1500135556,1500135559),('DE',1500135560,1500143615),('BG',1500143616,1500151807),('GB',1500151808,1500153855),('IE',1500153856,1500155903),('GB',1500155904,1500157951),('DE',1500157952,1500159999),('NL',1500160000,1500162047),('RU',1500162048,1500164095),('GB',1500164096,1500166143),('FR',1500166144,1500168191),('RU',1500168192,1500170239),('LU',1500170240,1500172287),('AT',1500172288,1500174335),('DE',1500174336,1500176383),('GB',1500176384,1500178431),('KZ',1500178432,1500180479),('NL',1500180480,1500180719),('BE',1500180720,1500180727),('NL',1500180728,1500180731),('BE',1500180732,1500180863),('NL',1500180864,1500180927),('BE',1500180928,1500180991),('NL',1500180992,1500182527),('RU',1500182528,1500184575),('GB',1500184576,1500186623),('KW',1500186624,1500188671),('GB',1500188672,1500190719),('RU',1500190720,1500192767),('SI',1500192768,1500194815),('GB',1500194816,1500196863),('ES',1500196864,1500198911),('GB',1500198912,1500200959),('DE',1500200960,1500203007),('GB',1500203008,1500205055),('RU',1500205056,1500207103),('IT',1500207104,1500209151),('KZ',1500209152,1500211199),('RU',1500211200,1500217343),('CZ',1500217344,1500217599),('DE',1500217600,1500218111),('CZ',1500218112,1500218367),('DE',1500218368,1500219391),('RU',1500219392,1500221439),('SK',1500221440,1500223487),('PL',1500223488,1500225535),('DE',1500225536,1500227583),('FR',1500227584,1500229631),('ES',1500229632,1500231679),('DE',1500231680,1500233727),('RU',1500233728,1500237823),('SE',1500237824,1500241919),('TR',1500241920,1500243967),('GB',1500243968,1500246015),('ES',1500246016,1500248063),('GB',1500248064,1500250111),('SA',1500250112,1500266495),('RU',1500266496,1500282879),('LB',1500282880,1500299263),('PL',1500299264,1500315647),('RU',1500315648,1500332031),('PT',1500332032,1500348415),('RU',1500348416,1500413951),('DE',1500413952,1500430335),('RS',1500430336,1500446719),('LV',1500446720,1500463103),('CZ',1500463104,1500479487),('RU',1500479488,1500495871),('BA',1500495872,1500512255),('RU',1500512256,1500643327),('RO',1500643328,1500774399),('LT',1500774400,1500905471),('IT',1500905472,1501036543),('RO',1501036544,1501298687),('IE',1501298688,1501560831),('ES',1501560832,1501822975),('HU',1501822976,1502085119),('RO',1502085120,1502216191),('IL',1502216192,1502347263),('ES',1502347264,1502478335),('SI',1502478336,1502609407),('AT',1502609408,1502610175),('DE',1502610176,1502625791),('SA',1502625792,1502642175),('IR',1502642176,1502658559),('AT',1502658560,1502674943),('DE',1502674944,1502691327),('GB',1502691328,1502692415),('ES',1502692416,1502692479),('GB',1502692480,1502707711),('RU',1502707712,1502724095),('GB',1502724096,1502740479),('NL',1502740480,1502756863),('UZ',1502756864,1502773247),('BA',1502773248,1502789631),('DE',1502789632,1502806015),('SA',1502806016,1502822399),('HU',1502822400,1502838783),('SE',1502838784,1502855167),('AZ',1502855168,1502871551),('BH',1502871552,1502887935),('HU',1502887936,1502904319),('IT',1502904320,1502920703),('RU',1502920704,1502937087),('RO',1502937088,1502953471),('MD',1502953472,1502969855),('US',1502969856,1502975231),('GB',1502975232,1502975247),('IE',1502975248,1502975295),('GB',1502975296,1502975311),('IE',1502975312,1502975319),('GB',1502975320,1502975327),('IE',1502975328,1502975375),('GB',1502975376,1502975383),('ES',1502975384,1502975391),('GB',1502975392,1502975423),('IE',1502975424,1502975487),('ES',1502975488,1502975743),('IE',1502975744,1502975775),('GB',1502975776,1502975999),('US',1502976000,1502977055),('GB',1502977056,1502977279),('US',1502977280,1502978047),('GB',1502978048,1502979103),('ES',1502979104,1502979111),('GB',1502979112,1502979119),('ES',1502979120,1502979215),('GB',1502979216,1502979327),('ES',1502979328,1502980095),('US',1502980096,1502980159),('GB',1502980160,1502980351),('US',1502980352,1502980871),('GB',1502980872,1502981119),('US',1502981120,1502982143),('DE',1502982144,1502982911),('GB',1502982912,1502983679),('DE',1502983680,1502986255),('TR',1502986256,1502986495),('DE',1502986496,1502986511),('PL',1502986512,1502986751),('DE',1502986752,1502987775),('TR',1502987776,1502988031),('DE',1502988032,1502989055),('TR',1502989056,1502989567),('GB',1502989568,1502989823),('DE',1502989824,1502990847),('PL',1502990848,1502991103),('DE',1502991104,1502991359),('PL',1502991360,1502991615),('DE',1502991616,1502991871),('GB',1502991872,1502992127),('DE',1502992128,1502993919),('PL',1502993920,1502994431),('GB',1502994432,1502994687),('PL',1502994688,1502994943),('DE',1502994944,1502995967),('PL',1502995968,1502996479),('GB',1502996480,1502996735),('PL',1502996736,1502997247),('LT',1502997248,1502997503),('ME',1502997504,1502997759),('DE',1502997760,1502998271),('GB',1502998272,1502998783),('DE',1502998784,1503000063),('PL',1503000064,1503000319),('DE',1503000320,1503000831),('PL',1503000832,1503001343),('DE',1503001344,1503002623),('GE',1503002624,1503019007),('DK',1503019008,1503051775),('SE',1503051776,1503068159),('PL',1503068160,1503084543),('GB',1503084544,1503100927),('RU',1503100928,1503117311),('NO',1503117312,1503133695),('PT',1503133696,1503395839),('FR',1503395840,1503657983),('SE',1503657984,1503690751),('IS',1503690752,1503723519),('PL',1503723520,1503789055),('NO',1503789056,1503821823),('UA',1503821824,1503854591),('RU',1503854592,1503887359),('DE',1503887360,1503902975),('FI',1503902976,1503903231),('DE',1503903232,1503908351),('IT',1503908352,1503909375),('DE',1503909376,1503920127),('HR',1503920128,1503985663),('IR',1503985664,1504018431),('RO',1504018432,1504051199),('FI',1504051200,1504083967),('DE',1504083968,1504116735),('PL',1504116736,1504149503),('GB',1504149504,1504151647),('IE',1504151648,1504151679),('GB',1504151680,1504152127),('IE',1504152128,1504152191),('GB',1504152192,1504152447),('IE',1504152448,1504152575),('GB',1504152576,1504153855),('IE',1504153856,1504154111),('GB',1504154112,1504154367),('IE',1504154368,1504154623),('GB',1504154624,1504156927),('IE',1504156928,1504157183),('GB',1504157184,1504160255),('IE',1504160256,1504161023),('GB',1504161024,1504161279),('IE',1504161280,1504161535),('GB',1504161536,1504164607),('IE',1504164608,1504165887),('GB',1504165888,1504169983),('IE',1504169984,1504170239),('GB',1504170240,1504171775),('US',1504171776,1504172031),('GB',1504172032,1504173055),('IE',1504173056,1504173311),('GB',1504173312,1504174591),('IE',1504174592,1504175103),('GB',1504175104,1504175615),('IE',1504175616,1504175871),('GB',1504175872,1504176383),('IE',1504176384,1504176639),('GB',1504176640,1504247807),('RU',1504247808,1504313343),('FR',1504313344,1504378879),('PL',1504378880,1504444415),('HR',1504444416,1504509951),('SK',1504509952,1504575487),('PL',1504575488,1504641023),('RU',1504641024,1504706559),('CZ',1504706560,1504837631),('RU',1504837632,1504968703),('PT',1504968704,1505099775),('DE',1505099776,1505230847),('RU',1505230848,1505239039),('IE',1505239040,1505247231),('LV',1505247232,1505255423),('IT',1505255424,1505263615),('DK',1505263616,1505271807),('NL',1505271808,1505273087),('NZ',1505273088,1505273095),('NL',1505273096,1505279999),('RU',1505280000,1505296383),('UA',1505296384,1505304575),('FR',1505304576,1505312767),('RU',1505312768,1505320959),('AT',1505320960,1505325055),('NL',1505325056,1505327103),('AT',1505327104,1505329151),('GB',1505329152,1505337343),('FR',1505337344,1505345535),('MK',1505345536,1505353727),('CZ',1505353728,1505359663),('SK',1505359664,1505359671),('CZ',1505359672,1505359675),('SK',1505359676,1505359679),('CZ',1505359680,1505359759),('SK',1505359760,1505359775),('CZ',1505359776,1505361919),('PL',1505361920,1505370111),('SM',1505370112,1505378303),('IT',1505378304,1505386495),('HU',1505386496,1505394687),('DE',1505394688,1505402879),('DK',1505402880,1505411071),('BG',1505411072,1505419263),('RU',1505419264,1505427455),('UA',1505427456,1505435647),('MD',1505435648,1505443839),('GB',1505443840,1505453311),('US',1505453312,1505453439),('GB',1505453440,1505453567),('US',1505453568,1505454079),('GB',1505454080,1505454463),('AU',1505454464,1505454495),('GB',1505454496,1505454911),('CZ',1505454912,1505454943),('GB',1505454944,1505460223),('CZ',1505460224,1505476607),('RU',1505476608,1505484799),('PL',1505484800,1505492991),('NL',1505492992,1505501183),('ME',1505501184,1505505279),('RS',1505505280,1505509375),('SA',1505509376,1505517567),('RU',1505517568,1505525759),('IT',1505525760,1505533951),('RU',1505533952,1505542143),('PL',1505542144,1505550335),('RU',1505550336,1505566719),('IT',1505566720,1505574911),('YE',1505574912,1505583103),('HU',1505583104,1505591295),('RU',1505591296,1505607679),('SE',1505607680,1505615871),('SA',1505615872,1505624063),('FI',1505624064,1505632255),('CZ',1505632256,1505648639),('LT',1505648640,1505656831),('BH',1505656832,1505665023),('IT',1505665024,1505673215),('BG',1505673216,1505681407),('RU',1505681408,1505689599),('NO',1505689600,1505697791),('IE',1505697792,1505705983),('DE',1505705984,1505714175),('LV',1505714176,1505722367),('PL',1505722368,1505738751),('GB',1505738752,1505746943),('RU',1505746944,1505755135),('GB',1505755136,1506017279),('DE',1506017280,1506279423),('NL',1506279424,1506312191),('GB',1506312192,1506316287),('PL',1506316288,1506322431),('DE',1506322432,1506324479),('RU',1506324480,1506328575),('FI',1506328576,1506330623),('NL',1506330624,1506332671),('PL',1506332672,1506334719),('GB',1506334720,1506336767),('PL',1506336768,1506338815),('UA',1506338816,1506340863),('RO',1506340864,1506342911),('UA',1506342912,1506344959),('LV',1506344960,1506377727),('HR',1506377728,1506410495),('DE',1506410496,1506440703),('US',1506440704,1506440711),('DE',1506440712,1506440719),('US',1506440720,1506440735),('GB',1506440736,1506440767),('DE',1506440768,1506440959),('FR',1506440960,1506440991),('US',1506440992,1506440999),('GB',1506441000,1506441007),('US',1506441008,1506441023),('HK',1506441024,1506441087),('CA',1506441088,1506441215),('US',1506441216,1506441343),('HK',1506441344,1506441407),('DE',1506441408,1506441495),('GB',1506441496,1506441503),('US',1506441504,1506441535),('DE',1506441536,1506441599),('US',1506441600,1506441631),('DE',1506441632,1506441655),('GB',1506441656,1506441663),('NL',1506441664,1506441671),('CA',1506441672,1506441679),('DE',1506441680,1506441695),('CA',1506441696,1506441727),('MU',1506441728,1506442239),('US',1506442240,1506442367),('DE',1506442368,1506442623),('GB',1506442624,1506442655),('US',1506442656,1506442687),('GB',1506442688,1506442703),('US',1506442704,1506442711),('NL',1506442712,1506442715),('US',1506442716,1506442719),('GB',1506442720,1506442735),('DE',1506442736,1506442743),('US',1506442744,1506442751),('DE',1506442752,1506442879),('GB',1506442880,1506442911),('DE',1506442912,1506442919),('GB',1506442920,1506442923),('NL',1506442924,1506442927),('US',1506442928,1506442975),('DE',1506442976,1506442991),('GB',1506442992,1506442995),('DE',1506442996,1506442999),('IE',1506443000,1506443003),('DE',1506443004,1506443151),('US',1506443152,1506443167),('NL',1506443168,1506443183),('DE',1506443184,1506443199),('US',1506443200,1506443263),('GB',1506443264,1506444287),('DE',1506444288,1506445311),('FR',1506445312,1506445519),('GB',1506445520,1506445527),('FR',1506445528,1506445567),('GB',1506445568,1506445583),('FR',1506445584,1506445703),('NL',1506445704,1506445711),('FR',1506445712,1506446335),('NL',1506446336,1506447359),('IT',1506447360,1506448383),('AT',1506448384,1506448663),('GB',1506448664,1506448671),('AT',1506448672,1506448719),('GB',1506448720,1506448727),('AT',1506448728,1506448735),('GB',1506448736,1506448895),('BE',1506448896,1506449295),('GB',1506449296,1506449407),('NL',1506449408,1506449663),('SK',1506449664,1506449919),('GB',1506449920,1506449935),('CH',1506449936,1506450431),('CZ',1506450432,1506450771),('GB',1506450772,1506450775),('CZ',1506450776,1506450911),('GB',1506450912,1506450943),('DK',1506450944,1506451007),('GB',1506451008,1506451199),('ES',1506451200,1506451899),('GB',1506451900,1506451903),('ES',1506451904,1506452223),('GB',1506452224,1506452479),('US',1506452480,1506452735),('RO',1506452736,1506452767),('GB',1506452768,1506452991),('AT',1506452992,1506453247),('SE',1506453248,1506453415),('GB',1506453416,1506453503),('DE',1506453504,1506453759),('FR',1506453760,1506454015),('SK',1506454016,1506454271),('ES',1506454272,1506454527),('US',1506454528,1506455039),('GB',1506455040,1506455295),('IT',1506455296,1506455551),('US',1506455552,1506455807),('AE',1506455808,1506456063),('HU',1506456064,1506456319),('IT',1506456320,1506456575),('LU',1506456576,1506456831),('IT',1506456832,1506457087),('GB',1506457088,1506458239),('CH',1506458240,1506458623),('GB',1506458624,1506459135),('BE',1506459136,1506459647),('FR',1506459648,1506460339),('GB',1506460340,1506460343),('FR',1506460344,1506460671),('AT',1506460672,1506460927),('IT',1506460928,1506461351),('FR',1506461352,1506461359),('IT',1506461360,1506461695),('FR',1506461696,1506461727),('GB',1506461728,1506461735),('FR',1506461736,1506462207),('ES',1506462208,1506462463),('FR',1506462464,1506462719),('IT',1506462720,1506463231),('SE',1506463232,1506463487),('DE',1506463488,1506463519),('GB',1506463520,1506463527),('DE',1506463528,1506463679),('GB',1506463680,1506463743),('DE',1506463744,1506463999),('GB',1506464000,1506464767),('NL',1506464768,1506465087),('DE',1506465088,1506465151),('NL',1506465152,1506465279),('GB',1506465280,1506465791),('DE',1506465792,1506466047),('BE',1506466048,1506466303),('DE',1506466304,1506466399),('GB',1506466400,1506467071),('DE',1506467072,1506467327),('GB',1506467328,1506467583),('IT',1506467584,1506468351),('GB',1506468352,1506468607),('TZ',1506468608,1506468863),('IT',1506468864,1506470143),('GB',1506470144,1506470399),('DE',1506470400,1506470655),('IT',1506470656,1506471679),('SK',1506471680,1506471935),('NL',1506471936,1506472447),('GB',1506472448,1506472703),('IT',1506472704,1506473215),('GB',1506473216,1506473471),('IT',1506473472,1506474495),('FR',1506474496,1506474751),('IT',1506474752,1506475519),('AT',1506475520,1506476031),('KW',1506476032,1506508799),('CZ',1506508800,1506541567),('RU',1506541568,1506574335),('DE',1506574336,1506582527),('IE',1506582528,1506607103),('MK',1506607104,1506639871),('NL',1506639872,1506672639),('PL',1506672640,1506689023),('CH',1506689024,1506705407),('GB',1506705408,1506740223),('FI',1506740224,1506742271),('SE',1506742272,1506744319),('NL',1506744320,1506746367),('FI',1506746368,1506748415),('RU',1506748416,1506750463),('GB',1506750464,1506752511),('IE',1506752512,1506754559),('RU',1506754560,1506758655),('IT',1506758656,1506760703),('RU',1506760704,1506764799),('IT',1506764800,1506766847),('NO',1506766848,1506766903),('GE',1506766904,1506768895),('AT',1506768896,1506770943),('GB',1506770944,1506775039),('AT',1506775040,1506777087),('GB',1506777088,1506783231),('RU',1506783232,1506785279),('UA',1506785280,1506787327),('KW',1506787328,1506789375),('DE',1506789376,1506791423),('GB',1506791424,1506793471),('RU',1506793472,1506795519),('IE',1506795520,1506797567),('ES',1506797568,1506799615),('LV',1506799616,1506801663),('DE',1506801664,1506803007),('AT',1506803008,1506803071),('DE',1506803072,1506803135),('CH',1506803136,1506803151),('DE',1506803152,1506803711),('RU',1506803712,1506869247),('UA',1506869248,1506934783),('GR',1506934784,1507000319),('QA',1507000320,1507065855),('SI',1507065856,1507131391),('GB',1507131392,1507196927),('PT',1507196928,1507262463),('BG',1507262464,1507327999),('RS',1507328000,1507336703),('SR',1507336704,1507337727),('RS',1507337728,1507390719),('SR',1507390720,1507391487),('RS',1507391488,1507393535),('CH',1507393536,1507459071),('KZ',1507459072,1507524607),('EE',1507524608,1507590143),('NL',1507590144,1507655679),('DE',1507655680,1507659775),('RU',1507659776,1507663871),('IT',1507663872,1507664127),('GR',1507664128,1507664383),('DE',1507664384,1507664767),('US',1507664768,1507664895),('GR',1507664896,1507665663),('US',1507665664,1507666431),('GR',1507666432,1507666559),('FR',1507666560,1507666591),('GR',1507666592,1507666655),('IL',1507666656,1507666671),('GB',1507666672,1507666943),('IT',1507666944,1507667455),('DE',1507667456,1507667711),('US',1507667712,1507667967),('RU',1507667968,1507672063),('EE',1507672064,1507676159),('IR',1507676160,1507680255),('NO',1507680256,1507684351),('LV',1507684352,1507688447),('IT',1507688448,1507696639),('DK',1507696640,1507700735),('NL',1507700736,1507704831),('RU',1507704832,1507708927),('CZ',1507708928,1507713023),('RU',1507713024,1507717119),('SE',1507717120,1507721215),('GB',1507721216,1507753983),('RU',1507753984,1507819519),('HU',1507819520,1507852287),('FR',1507852288,1508114431),('PL',1508114432,1508376575),('GE',1508376576,1508392959),('RU',1508392960,1508442111),('DK',1508442112,1508458495),('RU',1508458496,1508474879),('CZ',1508474880,1508491263),('SE',1508491264,1508507647),('GB',1508507648,1508514063),('A2',1508514064,1508514071),('GB',1508514072,1508515887),('IE',1508515888,1508515895),('GB',1508515896,1508519967),('IE',1508519968,1508519983),('GB',1508519984,1508521535),('IE',1508521536,1508521551),('GB',1508521552,1508524031),('IE',1508524032,1508540415),('FR',1508540416,1508556799),('PL',1508556800,1508573183),('CZ',1508573184,1508589567),('IR',1508589568,1508605951),('RU',1508605952,1508622335),('EE',1508622336,1508638719),('SE',1508638720,1508639231),('DK',1508639232,1508639743),('SE',1508639744,1508640255),('DK',1508640256,1508640767),('SE',1508640768,1508641279),('DK',1508641280,1508641791),('SE',1508641792,1508642175),('DK',1508642176,1508642303),('SE',1508642304,1508642559),('DK',1508642560,1508642815),('SE',1508642816,1508646527),('DK',1508646528,1508646655),('SE',1508646656,1508646911),('DK',1508646912,1508646927),('SE',1508646928,1508655103),('FI',1508655104,1508671487),('CH',1508671488,1508687871),('UZ',1508687872,1508704255),('RU',1508704256,1508720639),('FR',1508720640,1508737023),('SA',1508737024,1508753407),('KG',1508753408,1508769791),('PL',1508769792,1508786175),('DE',1508786176,1508787199),('ES',1508787200,1508787455),('DE',1508787456,1508787647),('LU',1508787648,1508787679),('DE',1508787680,1508788031),('BE',1508788032,1508788063),('DE',1508788064,1508802559),('GB',1508802560,1508803006),('DE',1508803007,1508803007),('GB',1508803008,1508803039),('DE',1508803040,1508803152),('GB',1508803153,1508803167),('DE',1508803168,1508803183),('GB',1508803184,1508803199),('DE',1508803200,1508803207),('GB',1508803208,1508803216),('DE',1508803217,1508803231),('GB',1508803232,1508803262),('DE',1508803263,1508803327),('GB',1508803328,1508803839),('DE',1508803840,1508803840),('GB',1508803841,1508804094),('DE',1508804095,1508804207),('GB',1508804208,1508804222),('DE',1508804223,1508804223),('GB',1508804224,1508804255),('DE',1508804256,1508804271),('GB',1508804272,1508804303),('DE',1508804304,1508804351),('GB',1508804352,1508804607),('DE',1508804608,1508804799),('GB',1508804800,1508804815),('DE',1508804816,1508804831),('GB',1508804832,1508804847),('DE',1508804848,1508804863),('GB',1508804864,1508805119),('NL',1508805120,1508805375),('GB',1508805376,1508809215),('DE',1508809216,1508818943),('RO',1508818944,1508835327),('CZ',1508835328,1508851711),('PL',1508851712,1508868095),('RU',1508868096,1508884479),('DK',1508884480,1508900863),('GB',1508900864,1509163007),('DE',1509163008,1509425151),('NO',1509425152,1509429247),('GB',1509429248,1509433343),('CH',1509433344,1509437439),('IT',1509437440,1509441535),('GB',1509441536,1509445631),('LV',1509445632,1509449727),('ES',1509449728,1509453823),('RU',1509453824,1509457919),('GB',1509457920,1509462015),('LI',1509462016,1509465599),('CH',1509465600,1509466111),('NL',1509466112,1509466879),('IN',1509466880,1509466911),('NL',1509466912,1509467055),('SE',1509467056,1509467103),('NL',1509467104,1509469439),('SE',1509469440,1509469695),('NL',1509469696,1509469823),('IN',1509469824,1509469887),('MY',1509469888,1509469919),('NL',1509469920,1509469951),('RU',1509469952,1509470079),('NL',1509470080,1509470207),('RU',1509470208,1509478399),('FR',1509478400,1509482495),('RU',1509482496,1509486591),('CZ',1509486592,1509490687),('DK',1509490688,1509494783),('RU',1509494784,1509498879),('CH',1509498880,1509499135),('DE',1509499136,1509501151),('GB',1509501152,1509501159),('CH',1509501160,1509502975),('RU',1509502976,1509507071),('GB',1509507072,1509511167),('LT',1509511168,1509515263),('HR',1509515264,1509519359),('RU',1509519360,1509531647),('GB',1509531648,1509535743),('RU',1509535744,1509539839),('AM',1509539840,1509543935),('LB',1509543936,1509548031),('RU',1509548032,1509564415),('GB',1509564416,1509568511),('FI',1509568512,1509572607),('NL',1509572608,1509576703),('KZ',1509576704,1509580799),('CZ',1509580800,1509584895),('NO',1509584896,1509588479),('GB',1509588480,1509588607),('NO',1509588608,1509588751),('GB',1509588752,1509588767),('NO',1509588768,1509588991),('DE',1509588992,1509593087),('RU',1509593088,1509601279),('NL',1509601280,1509605375),('PL',1509605376,1509609471),('RU',1509609472,1509617663),('CZ',1509617664,1509621759),('NL',1509621760,1509625855),('UA',1509625856,1509629951),('HU',1509629952,1509634047),('FR',1509634048,1509638143),('RU',1509638144,1509642239),('KW',1509642240,1509644351),('GB',1509644352,1509644383),('KW',1509644384,1509646335),('RU',1509646336,1509650431),('GB',1509650432,1509654527),('DE',1509654528,1509658623),('RU',1509658624,1509666815),('IT',1509666816,1509670911),('GB',1509670912,1509675007),('NO',1509675008,1509679103),('ES',1509679104,1509683199),('CH',1509683200,1509687295),('UA',1509687296,1509703679),('RU',1509703680,1509720063),('TR',1509720064,1509736447),('BG',1509736448,1509752831),('RU',1509752832,1509769215),('SE',1509769216,1509785599),('BG',1509785600,1509801983),('RU',1509801984,1509818367),('NO',1509818368,1509851135),('LV',1509851136,1509867519),('RU',1509867520,1509883903),('NL',1509883904,1509900287),('RU',1509900288,1509916671),('GB',1509916672,1509933055),('US',1509933056,1509949439),('FR',1509949440,1518338047),('DE',1518338048,1518370815),('NL',1518370816,1518403583),('LU',1518403584,1518419967),('PL',1518419968,1518436351),('BE',1518436352,1518437375),('SE',1518437376,1518452735),('AT',1518452736,1518460927),('PL',1518460928,1518469119),('SE',1518469120,1518501887),('EE',1518501888,1518502911),('SE',1518502912,1518503935),('LT',1518503936,1518504959),('SE',1518504960,1518505983),('LT',1518505984,1518508031),('SE',1518508032,1518510079),('LV',1518510080,1518514175),('SE',1518514176,1518534655),('IT',1518534656,1518731263),('DE',1518731264,1518927871),('RU',1518927872,1518944255),('SE',1518944256,1518961663),('EE',1518961664,1518962175),('LV',1518962176,1518962687),('NO',1518962688,1518964735),('HR',1518964736,1518966783),('SE',1518966784,1518993407),('RU',1518993408,1519058943),('SE',1519058944,1519124479),('PL',1519124480,1519222783),('SE',1519222784,1519386623),('FR',1519386624,1519452159),('NL',1519452160,1519517695),('AT',1519517696,1519583231),('IT',1519583232,1519648767),('SA',1519648768,1519714303),('NO',1519714304,1519779839),('RU',1519779840,1519910911),('GB',1519910912,1519927303),('FR',1519927304,1519927311),('BE',1519927312,1519927319),('GB',1519927320,1519927359),('NL',1519927360,1519927375),('GB',1519927376,1519927471),('NL',1519927472,1519927479),('GB',1519927480,1519927503),('NL',1519927504,1519927511),('GB',1519927512,1519927591),('BE',1519927592,1519927607),('GB',1519927608,1519927615),('NL',1519927616,1519927631),('GB',1519927632,1519927639),('BE',1519927640,1519927647),('GB',1519927648,1519927671),('FI',1519927672,1519927679),('GB',1519927680,1519927695),('NL',1519927696,1519927711),('GB',1519927712,1519927823),('BE',1519927824,1519927831),('GB',1519927832,1519927855),('DK',1519927856,1519927863),('FI',1519927864,1519927871),('NL',1519927872,1519927879),('GB',1519927880,1519927895),('NL',1519927896,1519927903),('GB',1519927904,1519928119),('NO',1519928120,1519928143),('NL',1519928144,1519928151),('DK',1519928152,1519928183),('GB',1519928184,1519928191),('SE',1519928192,1519928199),('GB',1519928200,1519928247),('DK',1519928248,1519928255),('GB',1519928256,1519929343),('NL',1519929344,1519929439),('GB',1519929440,1519929471),('FI',1519929472,1519929503),('NL',1519929504,1519929567),('FI',1519929568,1519929599),('GB',1519929600,1519929727),('NL',1519929728,1519929759),('CZ',1519929760,1519929791),('GB',1519929792,1519929792),('SE',1519929793,1519929823),('DK',1519929824,1519929855),('GB',1519929856,1519929887),('SE',1519929888,1519929951),('BE',1519929952,1519930111),('NL',1519930112,1519930207),('BE',1519930208,1519930239),('NL',1519930240,1519930271),('DK',1519930272,1519930335),('SE',1519930336,1519930367),('DK',1519930368,1519930399),('NL',1519930400,1519930527),('NO',1519930528,1519930559),('GB',1519930560,1519930591),('NO',1519930592,1519930655),('GB',1519930656,1519930751),('BE',1519930752,1519930783),('NL',1519930784,1519930879),('GB',1519930880,1519930911),('CZ',1519930912,1519930943),('BE',1519930944,1519930975),('GB',1519930976,1519935487),('FR',1519935488,1519935615),('NL',1519935616,1519935743),('FI',1519935744,1519935935),('BE',1519935936,1519936191),('DK',1519936192,1519936255),('GB',1519936256,1519936383),('BE',1519936384,1519936447),('NO',1519936448,1519936511),('SK',1519936512,1519936575),('DK',1519936576,1519936767),('GB',1519936768,1519936831),('SE',1519936832,1519936895),('BE',1519936896,1519937023),('DK',1519937024,1519937279),('GB',1519937280,1519937407),('NO',1519937408,1519937471),('GB',1519937472,1519939583),('NO',1519939584,1519939615),('GB',1519939616,1519943679),('AT',1519943680,1519976447),('DE',1519976448,1520009215),('SY',1520009216,1520041983),('RU',1520041984,1520074751),('BG',1520074752,1520099327),('A2',1520099328,1520099583),('BG',1520099584,1520107519),('GB',1520107520,1520140287),('RU',1520140288,1520173055),('PL',1520173056,1520205823),('RU',1520205824,1520271359),('SI',1520271360,1520302079),('HR',1520302080,1520304127),('TR',1520304128,1520435199),('ES',1520435200,1521483775),('CZ',1521483776,1522008063),('DK',1522008064,1522139135),('DE',1522139136,1522270207),('RU',1522270208,1522401279),('EE',1522401280,1522532351),('GB',1522532352,1524629503),('SE',1524629504,1525678079),('GB',1525678080,1526726655),('DE',1526726656,1531183103),('FR',1531183104,1531445247),('AE',1531445248,1531707391),('RU',1531707392,1531969535),('IT',1531969536,1532100607),('HU',1532100608,1532231679),('GB',1532231680,1532362751),('BE',1532362752,1532493823),('FR',1532493824,1532559359),('DE',1532559360,1532624895),('ES',1532624896,1532626943),('UA',1532626944,1532631039),('SE',1532631040,1532633087),('RU',1532633088,1532635135),('NO',1532635136,1532637183),('FI',1532637184,1532639231),('PL',1532639232,1532641279),('NO',1532641280,1532643327),('PL',1532643328,1532645375),('RU',1532645376,1532647423),('PL',1532647424,1532649471),('FR',1532649472,1532651519),('NO',1532651520,1532653567),('PL',1532653568,1532655615),('RO',1532655616,1532657663),('IL',1532657664,1532661759),('DE',1532661760,1532665855),('PL',1532665856,1532674047),('LV',1532682240,1532690431),('FR',1532690432,1532755967),('BG',1532755968,1532821503),('TR',1532821504,1532887039),('PL',1532887040,1532952575),('SE',1532952576,1533018111),('DE',1533018112,1533149183),('IR',1533149184,1533280255),('DK',1533280256,1533411327),('GB',1533411328,1533413375),('NO',1533413376,1533415423),('SA',1533415424,1533417471),('NO',1533417472,1533419519),('KW',1533419520,1533419775),('SA',1533419776,1533420031),('BH',1533420032,1533420287),('AE',1533420288,1533420543),('KW',1533420544,1533421567),('GB',1533421568,1533423615),('IT',1533423616,1533425663),('GB',1533425664,1533428479),('US',1533428480,1533428735),('GB',1533428736,1533429759),('IT',1533429760,1533431807),('IE',1533431808,1533433855),('DK',1533433856,1533435903),('CZ',1533435904,1533437951),('RU',1533437952,1533439999),('PL',1533440000,1533441519),('CH',1533441520,1533441535),('PL',1533441536,1533442047),('AE',1533442048,1533444095),('IT',1533444096,1533446143),('DE',1533446144,1533448191),('KW',1533448192,1533450239),('RU',1533450240,1533452287),('TR',1533452288,1533454335),('RS',1533454336,1533456383),('UA',1533456384,1533458431),('GB',1533458432,1533460479),('NL',1533460480,1533462527),('RU',1533462528,1533464575),('NL',1533464576,1533466623),('RU',1533466624,1533468671),('RS',1533468672,1533470719),('KW',1533470720,1533472767),('ES',1533472768,1533474815),('FR',1533474816,1533476863),('IE',1533476864,1533478911),('RS',1533478912,1533480959),('NL',1533480960,1533483007),('AM',1533483008,1533485055),('GB',1533485056,1533485567),('DE',1533485568,1533485823),('SE',1533485824,1533486335),('NO',1533486336,1533486591),('DK',1533486592,1533486847),('FI',1533486848,1533487103),('FR',1533487104,1533487359),('US',1533487360,1533487615),('JP',1533487616,1533487871),('FR',1533487872,1533489151),('IT',1533489152,1533491199),('AM',1533491200,1533493247),('RU',1533493248,1533499391),('MT',1533499392,1533501439),('LT',1533501440,1533503487),('RU',1533503488,1533505535),('DE',1533505536,1533507583),('UA',1533507584,1533509631),('GB',1533509632,1533511679),('FR',1533511680,1533513727),('KW',1533513728,1533515775),('RU',1533515776,1533517823),('CZ',1533517824,1533519871),('GB',1533519872,1533526015),('RU',1533526016,1533532159),('GB',1533532160,1533534207),('RU',1533534208,1533536255),('FR',1533536256,1533538303),('DE',1533538304,1533540351),('AT',1533540352,1533542399),('GB',1533542400,1534066687),('AT',1534066688,1534129151),('A2',1534129152,1534129407),('AT',1534129408,1534328831),('ES',1534328832,1534459903),('AT',1534459904,1534590975),('HU',1534590976,1534656511),('FR',1534656512,1534713967),('ES',1534713968,1534713983),('FR',1534713984,1534714015),('DE',1534714016,1534714047),('BE',1534714048,1534714111),('ES',1534714112,1534714127),('BE',1534714128,1534714143),('FR',1534714144,1534714207),('BE',1534714208,1534714223),('ES',1534714224,1534714239),('DE',1534714240,1534714255),('FR',1534714256,1534714271),('BE',1534714272,1534714303),('PL',1534714304,1534714319),('FR',1534714320,1534714335),('ES',1534714336,1534714383),('FR',1534714384,1534714399),('ES',1534714400,1534714415),('FR',1534714416,1534714447),('DE',1534714448,1534714463),('GB',1534714464,1534714495),('FR',1534714496,1534714511),('PL',1534714512,1534714527),('FR',1534714528,1534714687),('DE',1534714688,1534714703),('FR',1534714704,1534714719),('BE',1534714720,1534714751),('DE',1534714752,1534714767),('ES',1534714768,1534714783),('CH',1534714784,1534714799),('FR',1534714800,1534714879),('PL',1534714880,1534714895),('FR',1534714896,1534714911),('DE',1534714912,1534714927),('FR',1534714928,1534715135),('PL',1534715136,1534715151),('FR',1534715152,1534715167),('BE',1534715168,1534715183),('FR',1534715184,1534715311),('ES',1534715312,1534715343),('FR',1534715344,1534715375),('ES',1534715376,1534715391),('PL',1534715392,1534715423),('FR',1534715424,1534715487),('DE',1534715488,1534715503),('FR',1534715504,1534715551),('PL',1534715552,1534715583),('FR',1534715584,1534715615),('CH',1534715616,1534715631),('ES',1534715632,1534715647),('FR',1534715648,1534715663),('BE',1534715664,1534715679),('ES',1534715680,1534715711),('CH',1534715712,1534715727),('FR',1534715728,1534715807),('PL',1534715808,1534715839),('FR',1534715840,1534715871),('DE',1534715872,1534715903),('PL',1534715904,1534715919),('FR',1534715920,1534715935),('DE',1534715936,1534715951),('GB',1534715952,1534715967),('FR',1534715968,1534722047),('RU',1534722048,1534787583),('RO',1534787584,1534791679),('RU',1534791680,1534795775),('NO',1534795776,1534803967),('LV',1534803968,1534808063),('RU',1534808064,1534812159),('CH',1534812160,1534816255),('FR',1534816256,1534820351),('FI',1534820352,1534824447),('UA',1534824448,1534828543),('PL',1534828544,1534836735),('SE',1534836736,1534840831),('PL',1534840832,1534844927),('IE',1534844928,1534849023),('NL',1534849024,1534853119),('UA',1534853120,1534918655),('GB',1534918656,1534984191),('SE',1534984192,1535018235),('ES',1535018236,1535018239),('SE',1535018240,1535018491),('ES',1535018492,1535018495),('SE',1535018496,1535018747),('ES',1535018748,1535018751),('SE',1535018752,1535018975),('ES',1535018976,1535019007),('SE',1535019008,1535033343),('ES',1535033344,1535043583),('SE',1535043584,1535049727),('SK',1535049728,1535115263),('AT',1535115264,1535377407),('GR',1535377408,1535442943),('FI',1535442944,1535508479),('BG',1535508480,1535574015),('GB',1535574016,1535578111),('LV',1535578112,1535582207),('NO',1535582208,1535590399),('CH',1535590400,1535594495),('LV',1535594496,1535598591),('IL',1535598592,1535602687),('HU',1535602688,1535606783),('RU',1535610880,1535614975),('AT',1535614976,1535619071),('FR',1535619072,1535623167),('KZ',1535623168,1535627263),('RU',1535627264,1535631359),('GB',1535631360,1535635455),('AZ',1535635456,1535639551),('GB',1535639552,1535672319),('DE',1535672320,1535705087),('CH',1535705088,1535737855),('HU',1535737856,1535770623),('CH',1535770624,1535803391),('GR',1535803392,1535836159),('HU',1535836160,1535868927),('BG',1535868928,1535901695),('GR',1535901696,1535934463),('KW',1535934464,1535967231),('AT',1535967232,1535999999),('NL',1536000000,1536032767),('LV',1536032768,1536036863),('AT',1536036864,1536040959),('GB',1536040960,1536045055),('LU',1536045056,1536045567),('IQ',1536045568,1536046591),('LU',1536046592,1536046975),('SA',1536046976,1536047039),('IQ',1536047040,1536047103),('LB',1536047104,1536047615),('LU',1536047616,1536047999),('SA',1536048000,1536048127),('AE',1536048128,1536048255),('LU',1536048256,1536048639),('FR',1536048640,1536048671),('LU',1536048672,1536048895),('LB',1536048896,1536049151),('NL',1536049152,1536053247),('RU',1536053248,1536057343),('IE',1536057344,1536061439),('SE',1536061440,1536065535),('LU',1536065536,1536069631),('RU',1536069632,1536073727),('UA',1536073728,1536077823),('SE',1536077824,1536081919),('PL',1536081920,1536086015),('ES',1536086016,1536090111),('IE',1536090112,1536094207),('NL',1536094208,1536098303),('RU',1536098304,1536114687),('GB',1536114688,1536118783),('DE',1536118784,1536122879),('AT',1536122880,1536126975),('DK',1536126976,1536131071),('RU',1536131072,1536143359),('GB',1536143360,1536147455),('IT',1536147456,1536151551),('RS',1536151552,1536155647),('IL',1536155648,1536159743),('DE',1536159744,1536163839),('SY',1536163840,1536180223),('HU',1536180224,1536196607),('RU',1536196608,1536212991),('DK',1536212992,1536229375),('SE',1536229376,1536245759),('FI',1536245760,1536262143),('PL',1536262144,1536278527),('UA',1536278528,1536294911),('RU',1536294912,1536327679),('HU',1536327680,1536344063),('PL',1536344064,1536360447),('RU',1536360448,1536376831),('KZ',1536376832,1536393215),('SA',1536393216,1536409599),('HU',1536409600,1536425983),('SK',1536425984,1536442367),('RS',1536442368,1536458751),('BG',1536458752,1536475135),('NL',1536475136,1536491519),('NO',1536491520,1536499711),('SE',1536499712,1536503807),('NO',1536503808,1536507903),('RU',1536507904,1536524287),('BY',1536524288,1536540671),('PL',1536540672,1536557055),('FI',1536557056,1536573439),('RS',1536573440,1536589823),('PL',1536589824,1536614399),('DK',1536614400,1536622591),('GB',1536622592,1536626687),('IT',1536626688,1536630783),('RU',1536630784,1536634879),('FR',1536634880,1536635647),('CH',1536635648,1536635903),('FR',1536635904,1536643071),('TR',1536643072,1536647167),('ES',1536647168,1536647434),('PT',1536647435,1536647435),('ES',1536647436,1536651263),('FR',1536651264,1536655359),('GE',1536655360,1536659455),('DE',1536659456,1536659727),('LB',1536659728,1536659743),('DE',1536659744,1536659751),('ET',1536659752,1536659759),('BI',1536659760,1536659775),('IQ',1536659776,1536659807),('DE',1536659808,1536659935),('MR',1536659936,1536659967),('EG',1536659968,1536659975),('DE',1536659976,1536659991),('EG',1536659992,1536660003),('DE',1536660004,1536660007),('EG',1536660008,1536660015),('DE',1536660016,1536660031),('MR',1536660032,1536660039),('DE',1536660040,1536660735),('SA',1536660736,1536660991),('MR',1536660992,1536662015),('SD',1536662016,1536662271),('SO',1536662272,1536662303),('DE',1536662304,1536662311),('LB',1536662312,1536662319),('SD',1536662320,1536662335),('AE',1536662336,1536662351),('DE',1536662352,1536662359),('IR',1536662360,1536662367),('IQ',1536662368,1536662399),('DE',1536662400,1536662527),('AE',1536662528,1536662783),('SA',1536662784,1536663039),('AE',1536663040,1536663295),('DE',1536663296,1536663551),('SA',1536663552,1536667647),('RU',1536667648,1536675839),('GB',1536675840,1536679935),('LB',1536679936,1536684031),('RU',1536684032,1536688127),('FI',1536688128,1537212415),('FR',1537212416,1538260991),('BE',1538260992,1538785279),('NL',1538785280,1538793471),('DE',1538793472,1538794839),('US',1538794840,1538794847),('DE',1538794848,1538797567),('NL',1538797568,1538799551),('DE',1538799552,1538799615),('NL',1538799616,1538801663),('IR',1538801664,1538809855),('GE',1538809856,1538818047),('NO',1538818048,1538826239),('DE',1538826240,1538834431),('CY',1538834432,1538842623),('RU',1538842624,1538850815),('KZ',1538850816,1538859007),('RU',1538859008,1538867199),('RS',1538875392,1538883583),('BE',1538883584,1538891775),('DE',1538891776,1538899967),('SI',1538899968,1538902063),('NZ',1538902064,1538902079),('SI',1538902080,1538908159),('RU',1538908160,1538916351),('GB',1538916352,1538924543),('DE',1538924544,1538932735),('NO',1538932736,1538940927),('RU',1538940928,1538949119),('AT',1538949120,1538957311),('DE',1538957312,1538961535),('IT',1538961536,1538961599),('DE',1538961600,1538965503),('IR',1538965504,1538973695),('JO',1538973696,1538981887),('BY',1538981888,1538990079),('CZ',1538990080,1538998271),('AD',1538998272,1539006463),('RS',1539006464,1539022847),('LT',1539022848,1539031039),('IT',1539031040,1539039231),('PL',1539039232,1539047423),('IT',1539047424,1539048463),('AT',1539048464,1539048471),('IT',1539048472,1539048511),('LY',1539048512,1539048535),('IT',1539048536,1539048703),('A2',1539048704,1539048959),('IT',1539048960,1539049215),('IQ',1539049216,1539049255),('LY',1539049256,1539049263),('IT',1539049264,1539049279),('LY',1539049280,1539049295),('GL',1539049296,1539049311),('LY',1539049312,1539049343),('IT',1539049344,1539050367),('FR',1539050368,1539050375),('IT',1539050376,1539055615),('LV',1539055616,1539063807),('FR',1539063808,1539071999),('PL',1539072000,1539080191),('UZ',1539080192,1539088383),('RU',1539088384,1539096575),('TR',1539096576,1539112959),('PL',1539112960,1539115007),('CH',1539115008,1539117055),('PL',1539117056,1539123199),('SE',1539123200,1539125247),('RU',1539125248,1539127295),('PL',1539127296,1539129343),('IE',1539129344,1539131391),('PL',1539131392,1539133439),('RU',1539133440,1539135487),('GB',1539135488,1539137535),('NL',1539137536,1539139583),('FR',1539139584,1539141631),('RU',1539141632,1539143679),('NO',1539143680,1539145727),('UA',1539145728,1539147775),('PL',1539147776,1539149823),('GB',1539149824,1539151871),('RU',1539151872,1539155967),('NO',1539155968,1539160063),('RU',1539160064,1539162111),('DE',1539162112,1539164159),('DK',1539164160,1539166207),('FI',1539166208,1539168255),('PL',1539168256,1539170303),('NL',1539170304,1539172351),('RU',1539172352,1539176447),('PL',1539176448,1539178495),('CH',1539178496,1539186687),('LV',1539186688,1539194879),('RU',1539194880,1539203071),('NL',1539203072,1539207167),('RU',1539207168,1539211263),('CZ',1539211264,1539211527),('GB',1539211528,1539211531),('CZ',1539211532,1539211775),('DE',1539211776,1539212031),('CZ',1539212032,1539213311),('SE',1539213312,1539215359),('DE',1539215360,1539219455),('DK',1539219456,1539221503),('FR',1539221504,1539223551),('DE',1539223552,1539225599),('HU',1539225600,1539227647),('KW',1539227648,1539229695),('DE',1539229696,1539231743),('BE',1539231744,1539233791),('GR',1539233792,1539235839),('DE',1539235840,1539237887),('RU',1539237888,1539239935),('DE',1539239936,1539244031),('BA',1539244032,1539260415),('SK',1539260416,1539276799),('SE',1539276800,1539280895),('KZ',1539280896,1539284991),('DE',1539284992,1539287039),('TR',1539287040,1539289087),('RU',1539289088,1539293183),('AZ',1539293184,1539297279),('BG',1539297280,1539301375),('RU',1539301376,1539309567),('PL',1539309568,1539310591),('UA',1539310592,1539311615),('NL',1539311616,1539312639),('DE',1539312640,1539313663),('GB',1539313664,1539314687),('RU',1539314688,1539315711),('UA',1539315712,1539316735),('SE',1539316736,1539317759),('RU',1539317760,1539318783),('NL',1539318784,1539319807),('DE',1539319808,1539320831),('UA',1539320832,1539321855),('EG',1539321856,1539322879),('EU',1539322880,1539323903),('PL',1539323904,1539324927),('RU',1539324928,1539325951),('KG',1539325952,1539326975),('RU',1539326976,1539329023),('PL',1539329024,1539330047),('RU',1539330048,1539331071),('UA',1539331072,1539332095),('PL',1539332096,1539333119),('RU',1539333120,1539335167),('CH',1539335168,1539336191),('UA',1539336192,1539336703),('EE',1539336704,1539337215),('ES',1539337216,1539338239),('RU',1539338240,1539339263),('NL',1539339264,1539340287),('PL',1539340288,1539341311),('IT',1539341312,1539342335),('UA',1539342336,1539345407),('RO',1539345408,1539346431),('PL',1539346432,1539347455),('RU',1539347456,1539348479),('UA',1539348480,1539351551),('PL',1539351552,1539352575),('RU',1539352576,1539354623),('PL',1539354624,1539355647),('UA',1539355648,1539357695),('RU',1539357696,1539358719),('GB',1539358720,1539359743),('PL',1539359744,1539360767),('IL',1539360768,1539361791),('PL',1539361792,1539362815),('GB',1539362816,1539363839),('DK',1539363840,1539364863),('UA',1539364864,1539365887),('NO',1539365888,1539366911),('PL',1539366912,1539368959),('GB',1539368960,1539369983),('BG',1539369984,1539371007),('RU',1539371008,1539373055),('PL',1539373056,1539374079),('SE',1539374080,1539375103),('NO',1539375104,1539376127),('IL',1539376128,1539377151),('UA',1539377152,1539378175),('PL',1539378176,1539379199),('EU',1539379200,1539380223),('CH',1539380224,1539381247),('RS',1539381248,1539382271),('PL',1539382272,1539383295),('UA',1539383296,1539384319),('RU',1539384320,1539385343),('IT',1539386368,1539387391),('IL',1539387392,1539388415),('PL',1539388416,1539389439),('FR',1539389440,1539389951),('RU',1539389952,1539390463),('RO',1539390464,1539391487),('LV',1539391488,1539392511),('UA',1539392512,1539393535),('RU',1539393536,1539394559),('UA',1539394560,1539396607),('PL',1539396608,1539397631),('RU',1539397632,1539398655),('ES',1539398656,1539399679),('PL',1539399680,1539401727),('UA',1539401728,1539402751),('GR',1539403776,1539404799),('LV',1539404800,1539405823),('PL',1539405824,1539406847),('UA',1539406848,1539407871),('DE',1539407872,1539408895),('CZ',1539408896,1539409919),('DK',1539409920,1539410943),('RU',1539410944,1539411967),('PL',1539411968,1539412991),('RU',1539412992,1539414015),('UA',1539414016,1539415039),('BG',1539415040,1539416063),('PL',1539416064,1539417087),('UA',1539417088,1539418111),('RU',1539418112,1539419135),('UA',1539419136,1539420159),('RU',1539420160,1539421183),('GB',1539421184,1539422207),('PL',1539422208,1539423231),('IE',1539423232,1539424255),('RU',1539424256,1539425279),('PL',1539425280,1539426303),('BG',1539426304,1539427327),('UA',1539427328,1539428351),('PL',1539428352,1539429375),('RU',1539429376,1539434495),('UA',1539434496,1539435519),('RU',1539435520,1539437567),('GB',1539437568,1539439615),('UA',1539439616,1539440639),('RU',1539440640,1539441663),('US',1539441664,1539442175),('DE',1539442176,1539442687),('NL',1539442688,1539443199),('RU',1539443200,1539444223),('FR',1539444224,1539444735),('RU',1539444736,1539445247),('PL',1539445248,1539445759),('FI',1539445760,1539446271),('SE',1539446272,1539446783),('RU',1539446784,1539447295),('SE',1539447296,1539447807),('RO',1539447808,1539448831),('AT',1539448832,1539449343),('UA',1539449344,1539449855),('DK',1539449856,1539450367),('SE',1539450368,1539450879),('NL',1539450880,1539451391),('RO',1539451392,1539452415),('GB',1539452416,1539452927),('CH',1539452928,1539453439),('UA',1539453440,1539453951),('GB',1539453952,1539454463),('RU',1539454464,1539454975),('UA',1539454976,1539455487),('RU',1539455488,1539455999),('FR',1539456000,1539456511),('ES',1539456512,1539457023),('RU',1539457024,1539457535),('SE',1539457536,1539458047),('GB',1539458048,1539459071),('UA',1539459072,1539459583),('GB',1539459584,1539460095),('LV',1539460096,1539460607),('UA',1539460608,1539461631),('RS',1539461632,1539462143),('DE',1539462144,1539462655),('BE',1539462656,1539463167),('UA',1539463168,1539463679),('DE',1539463680,1539464191),('RO',1539464192,1539464703),('DK',1539464704,1539465215),('FR',1539465216,1539466751),('KW',1539466752,1539467263),('RU',1539467264,1539467775),('PL',1539467776,1539468287),('DE',1539468288,1539468799),('RU',1539468800,1539469823),('IL',1539469824,1539470335),('GB',1539470336,1539470847),('SE',1539470848,1539471359),('RU',1539471360,1539471871),('PL',1539471872,1539472383),('UA',1539472384,1539472895),('GB',1539472896,1539473407),('FR',1539473408,1539473919),('KW',1539473920,1539474431),('DE',1539474432,1539474943),('UA',1539474944,1539475455),('NL',1539475456,1539475967),('PL',1539475968,1539476479),('CZ',1539476480,1539476991),('IT',1539476992,1539477503),('PL',1539477504,1539478015),('CH',1539478016,1539478527),('RO',1539478528,1539479039),('DK',1539479040,1539479551),('GB',1539479552,1539480063),('DK',1539480064,1539480575),('PL',1539480576,1539481087),('GB',1539481088,1539481599),('RU',1539481600,1539482111),('UA',1539482112,1539482623),('RU',1539482624,1539483135),('ES',1539483136,1539483647),('NL',1539483648,1539484159),('GB',1539484160,1539484671),('RU',1539484672,1539485695),('RO',1539485696,1539486207),('FR',1539486208,1539486719),('DE',1539486720,1539487231),('RU',1539487232,1539488255),('SE',1539488256,1539488767),('PL',1539488768,1539489279),('RU',1539489280,1539490815),('CH',1539490816,1539491327),('AT',1539491328,1539491839),('RU',1539491840,1539492351),('BE',1539492352,1539492863),('KR',1539492864,1539493375),('RU',1539493376,1539493887),('FR',1539493888,1539494399),('PL',1539494400,1539494911),('RU',1539494912,1539495423),('UA',1539495424,1539495935),('RS',1539495936,1539496447),('NL',1539496448,1539496959),('GB',1539496960,1539497471),('DE',1539497472,1539497983),('NL',1539497984,1539498495),('RU',1539498496,1539499007),('PL',1539499008,1539499519),('DE',1539499520,1539500543),('RO',1539500544,1539501055),('BE',1539501056,1539501567),('UA',1539501568,1539502079),('PL',1539502080,1539502591),('HR',1539502592,1539503103),('RU',1539503104,1539504127),('AT',1539504128,1539504639),('UA',1539504640,1539505151),('RU',1539505152,1539506175),('NL',1539506176,1539506687),('IT',1539506688,1539507199),('RO',1539507200,1539508223),('NO',1539508224,1539508735),('UA',1539508736,1539509759),('RO',1539509760,1539510271),('RU',1539510272,1539510783),('LU',1539510784,1539511295),('UA',1539511296,1539511807),('RU',1539511808,1539512319),('BG',1539512320,1539512831),('PL',1539512832,1539513343),('RO',1539513344,1539513855),('RU',1539513856,1539514367),('SE',1539514368,1539514879),('ES',1539514880,1539515391),('FR',1539515392,1539515903),('RS',1539515904,1539516415),('AT',1539516416,1539516927),('PL',1539516928,1539517439),('RO',1539517440,1539517951),('GB',1539517952,1539518463),('DE',1539518464,1539518975),('RU',1539518976,1539519487),('UA',1539519488,1539519999),('DE',1539520000,1539520511),('PL',1539520512,1539521023),('DK',1539521024,1539521535),('RU',1539521536,1539522047),('RO',1539522048,1539522559),('RU',1539522560,1539523071),('RO',1539523072,1539523583),('UA',1539523584,1539524095),('GR',1539524096,1539524607),('FR',1539524608,1539525119),('UA',1539525120,1539525631),('SE',1539525632,1539526143),('DE',1539526144,1539526655),('NL',1539526656,1539527167),('GB',1539527168,1539527679),('RO',1539527680,1539528191),('UA',1539528192,1539528703),('SA',1539528704,1539529215),('UA',1539529216,1539529727),('PL',1539529728,1539530239),('AT',1539530240,1539530751),('UA',1539530752,1539531263),('RO',1539531264,1539531775),('RU',1539531776,1539532799),('DE',1539532800,1539533311),('CZ',1539533312,1539533823),('PL',1539533824,1539534335),('RU',1539534336,1539534847),('GB',1539534848,1539535359),('RU',1539535360,1539535871),('NL',1539536384,1539536895),('UA',1539536896,1539537407),('GB',1539537408,1539537919),('RU',1539537920,1539540479),('PL',1539540480,1539540991),('RU',1539540992,1539541503),('TR',1539541504,1539542015),('DE',1539542016,1539542527),('CH',1539542528,1539543039),('RO',1539543040,1539543551),('SI',1539543552,1539544063),('RU',1539544064,1539544575),('CH',1539544576,1539545087),('GR',1539545088,1539545599),('SE',1539545600,1539546111),('UA',1539546112,1539546623),('PL',1539546624,1539547135),('NL',1539547136,1539547647),('IL',1539547648,1539548159),('FR',1539548160,1539548671),('EU',1539548672,1539549183),('GB',1539549184,1539549695),('RU',1539549696,1539550207),('UA',1539550208,1539550719),('ES',1539550720,1539551231),('RS',1539551232,1539551743),('RU',1539551744,1539552255),('RO',1539552256,1539552767),('GB',1539552768,1539553279),('UA',1539553280,1539553791),('GB',1539553792,1539554303),('CH',1539554304,1539554815),('PL',1539554816,1539555327),('GB',1539555328,1539555839),('RO',1539555840,1539556863),('AT',1539556864,1539557375),('NL',1539557376,1539557887),('CZ',1539557888,1539558399),('RU',1539558400,1539558911),('FR',1539558912,1539559423),('RU',1539559424,1539560447),('GB',1539560448,1539560959),('UA',1539560960,1539561471),('RO',1539561472,1539561983),('DE',1539561984,1539563007),('RU',1539563008,1539563519),('SE',1539563520,1539564031),('KZ',1539564032,1539564543),('GB',1539564544,1539565055),('UA',1539565056,1539565567),('PL',1539565568,1539566079),('NL',1539566080,1539567103),('CH',1539567104,1539567615),('DE',1539567616,1539568127),('NL',1539568128,1539568639),('UA',1539568640,1539569151),('EE',1539569152,1539569663),('UA',1539569664,1539570175),('PL',1539570176,1539570687),('RU',1539570688,1539571711),('UA',1539571712,1539572735),('RU',1539572736,1539573759),('PL',1539573760,1539575807),('GB',1539576832,1539577855),('RU',1539577856,1539578879),('PL',1539578880,1539579903),('RU',1539579904,1539580927),('AM',1539580928,1539581951),('RU',1539581952,1539582975),('RO',1539582976,1539583999),('PL',1539584000,1539585023),('UA',1539585024,1539586047),('PL',1539586048,1539587071),('UA',1539587072,1539588095),('BG',1539588096,1539589119),('GB',1539589120,1539590143),('RU',1539590144,1539591167),('UZ',1539591168,1539592191),('UA',1539592192,1539593215),('IL',1539593216,1539594239),('UA',1539594240,1539598335),('NL',1539598336,1539599359),('PL',1539599360,1539600383),('HU',1539600384,1539601407),('GB',1539601408,1539602431),('UA',1539602432,1539603455),('BG',1539603456,1539604479),('ES',1539604480,1539605503),('UA',1539605504,1539606527),('RU',1539606528,1539607551),('DE',1539607552,1539609599),('UA',1539609600,1539610623),('RU',1539610624,1539611647),('UA',1539611648,1539614719),('NL',1539614720,1539615743),('DK',1539615744,1539616767),('UA',1539616768,1539617791),('FR',1539617792,1539618815),('GB',1539618816,1539619839),('RU',1539619840,1539621887),('UA',1539621888,1539623935),('RU',1539623936,1539625983),('PL',1539625984,1539627007),('RU',1539627008,1539628031),('UA',1539628032,1539629055),('BG',1539629056,1539630079),('UA',1539630080,1539631103),('CN',1539631104,1539632127),('RU',1539632128,1539633151),('SE',1539633152,1539634175),('RU',1539634176,1539638271),('UA',1539638272,1539639295),('RU',1539639296,1539640319),('PL',1539640320,1539641343),('UA',1539641344,1539642367),('RU',1539642368,1539643391),('UA',1539643392,1539644415),('DE',1539644416,1539645439),('GB',1539645440,1539646463),('IE',1539646464,1539647487),('RU',1539647488,1539648511),('UA',1539648512,1539650559),('RU',1539650560,1539651583),('UA',1539651584,1539652607),('IL',1539652608,1539653631),('RU',1539653632,1539655679),('NL',1539655680,1539656703),('RU',1539656704,1539657727),('UA',1539657728,1539658751),('FI',1539658752,1539659775),('PL',1539659776,1539660799),('GB',1539660800,1539661823),('RU',1539661824,1539662847),('IL',1539662848,1539663871),('RU',1539663872,1539664895),('BE',1539664896,1539665919),('RU',1539665920,1539666943),('CZ',1539666944,1539667967),('UA',1539667968,1539668991),('RU',1539668992,1539670015),('UA',1539670016,1539672063),('FR',1539672064,1539673087),('GB',1539673088,1539674111),('UA',1539674112,1539675135),('PL',1539675136,1539677183),('UA',1539677184,1539678207),('RU',1539678208,1539679231),('FR',1539679232,1539680255),('UA',1539680256,1539681279),('RU',1539681280,1539682303),('UA',1539682304,1539683327),('RU',1539683328,1539684351),('UA',1539684352,1539685375),('RU',1539685376,1539688447),('SA',1539688448,1539689471),('RU',1539689472,1539690495),('FI',1539690496,1539691519),('RU',1539691520,1539692543),('UA',1539692544,1539694591),('PL',1539694592,1539695615),('GB',1539695616,1539696639),('RU',1539696640,1539697663),('UA',1539697664,1539698687),('GE',1539698688,1539699711),('RO',1539699712,1539700735),('DK',1539700736,1539701759),('UA',1539701760,1539702783),('SI',1539702784,1539703039),('UA',1539703040,1539703295),('DE',1539703296,1539703551),('GB',1539703552,1539704063),('IL',1539704064,1539704319),('CH',1539704320,1539704575),('HU',1539704576,1539704831),('CH',1539704832,1539705087),('GB',1539705088,1539705343),('UA',1539705344,1539705599),('CH',1539705600,1539706111),('GB',1539706112,1539706367),('RU',1539706368,1539706623),('PL',1539706624,1539707135),('LT',1539707136,1539707391),('GB',1539707392,1539707647),('RO',1539707648,1539707903),('UA',1539707904,1539708159),('DE',1539708160,1539708415),('GB',1539708416,1539708671),('RO',1539708672,1539708927),('IE',1539708928,1539709183),('AT',1539709184,1539709439),('BE',1539709440,1539709695),('NL',1539709696,1539709951),('DE',1539709952,1539710207),('GB',1539710208,1539710463),('FR',1539710464,1539710719),('UA',1539710720,1539710975),('DE',1539710976,1539711231),('RU',1539711232,1539711487),('UA',1539711488,1539711743),('DE',1539711744,1539711999),('UA',1539712000,1539712255),('NL',1539712256,1539712511),('RU',1539712512,1539712767),('RO',1539712768,1539713023),('UA',1539713024,1539713279),('FR',1539713280,1539713535),('NL',1539713536,1539713791),('DE',1539713792,1539714047),('FR',1539714048,1539714303),('AT',1539714304,1539714559),('RU',1539714560,1539714815),('PT',1539714816,1539715071),('SE',1539715072,1539715327),('TR',1539715328,1539715583),('UA',1539715584,1539715839),('RU',1539715840,1539716095),('SI',1539716096,1539716351),('PL',1539716352,1539716607),('RU',1539716608,1539716863),('PL',1539716864,1539717375),('DE',1539717376,1539717631),('CH',1539717632,1539717887),('MK',1539717888,1539718143),('DE',1539718144,1539718399),('TR',1539718400,1539718655),('SA',1539718656,1539718911),('KZ',1539718912,1539719167),('IE',1539719168,1539719423),('PL',1539719424,1539719679),('IE',1539719680,1539719935),('DE',1539719936,1539720191),('RU',1539720192,1539720703),('IL',1539720704,1539720959),('CH',1539721216,1539721727),('PL',1539721728,1539721983),('RU',1539721984,1539722239),('PL',1539722240,1539722495),('GB',1539722496,1539722751),('DE',1539722752,1539723007),('CH',1539723008,1539723263),('PL',1539723264,1539723519),('GB',1539723520,1539723775),('DE',1539723776,1539724031),('UA',1539724032,1539724287),('IT',1539724288,1539724543),('RU',1539724544,1539724799),('UA',1539724800,1539725055),('NL',1539725056,1539725311),('FR',1539725312,1539725567),('PL',1539725568,1539725823),('PT',1539725824,1539726079),('RU',1539726080,1539726335),('SE',1539726336,1539726591),('AT',1539726592,1539726847),('PL',1539726848,1539727103),('SE',1539727104,1539727359),('SI',1539727360,1539727615),('PL',1539727616,1539727871),('RU',1539727872,1539728127),('BE',1539728128,1539728383),('PL',1539728384,1539728639),('UA',1539728640,1539728895),('SA',1539728896,1539729151),('NL',1539729152,1539729407),('RU',1539729408,1539729663),('FR',1539729664,1539729919),('NL',1539729920,1539730175),('GB',1539730176,1539730431),('GR',1539730432,1539730687),('UA',1539730688,1539730943),('PL',1539730944,1539731455),('SI',1539731456,1539731711),('DE',1539731712,1539732223),('FR',1539732224,1539732479),('UA',1539732480,1539732735),('DK',1539732736,1539732991),('PL',1539732992,1539733247),('BG',1539733248,1539733503),('FI',1539733504,1539733759),('PL',1539733760,1539734015),('FR',1539734016,1539734271),('NO',1539734272,1539734527),('TR',1539734528,1539734783),('DE',1539734784,1539735039),('BE',1539735040,1539735295),('DE',1539735296,1539735551),('AT',1539735552,1539735807),('IL',1539735808,1539736063),('RU',1539736064,1539736319),('HU',1539736320,1539736575),('BG',1539736576,1539736831),('UA',1539736832,1539737087),('KW',1539737088,1539737343),('RU',1539737344,1539737599),('RO',1539737600,1539737855),('RU',1539737856,1539738111),('DK',1539738112,1539738367),('DE',1539738368,1539738623),('UA',1539738624,1539738879),('NL',1539738880,1539739135),('AT',1539739136,1539739391),('UA',1539739392,1539739647),('DK',1539739648,1539739903),('PL',1539739904,1539740415),('RO',1539740416,1539740671),('AT',1539740672,1539740927),('RU',1539740928,1539741183),('PL',1539741184,1539741439),('NL',1539741440,1539741695),('DE',1539741696,1539741951),('UA',1539741952,1539742207),('CH',1539742208,1539742463),('RU',1539742464,1539742719),('LV',1539742720,1539742975),('DE',1539742976,1539743231),('GR',1539743232,1539743487),('FR',1539743488,1539743743),('RO',1539743744,1539743999),('HR',1539744000,1539744255),('RO',1539744256,1539744511),('DE',1539744512,1539744767),('SE',1539744768,1539745023),('GB',1539745024,1539745535),('CH',1539745536,1539745791),('DK',1539745792,1539746303),('RU',1539746304,1539746815),('DK',1539746816,1539747071),('CH',1539747072,1539747327),('NL',1539747328,1539747583),('UA',1539747584,1539747839),('NO',1539747840,1539748095),('PL',1539748096,1539748351),('NL',1539748352,1539748607),('PL',1539748608,1539748863),('GB',1539748864,1539749119),('PL',1539749120,1539749375),('PT',1539749376,1539749631),('GR',1539749632,1539749887),('RU',1539749888,1539750143),('TR',1539750144,1539750399),('PL',1539750400,1539750655),('DE',1539750656,1539750911),('UA',1539750912,1539751167),('TR',1539751168,1539751423),('SI',1539751424,1539751679),('FR',1539751680,1539751935),('DE',1539751936,1539752191),('SE',1539752192,1539752447),('PL',1539752448,1539752703),('AT',1539752704,1539752959),('RO',1539752960,1539753215),('DE',1539753216,1539753471),('HU',1539753472,1539753727),('FR',1539753728,1539754239),('NO',1539754240,1539754495),('SE',1539754496,1539754751),('BE',1539754752,1539755007),('DK',1539755008,1539755263),('IL',1539755264,1539755519),('EE',1539755520,1539755775),('MT',1539755776,1539756031),('PL',1539756032,1539756543),('DE',1539756544,1539756799),('BE',1539756800,1539757055),('RU',1539757056,1539757311),('GB',1539757312,1539757567),('SI',1539757568,1539757823),('UA',1539757824,1539758079),('HR',1539758080,1539758335),('DE',1539758336,1539758591),('NL',1539758592,1539758847),('BA',1539758848,1539759103),('DK',1539759104,1539759359),('RU',1539759360,1539759615),('PL',1539759616,1539759871),('SE',1539759872,1539760127),('DE',1539760128,1539760383),('RU',1539760384,1539760639),('PL',1539760640,1539760895),('DK',1539760896,1539761151),('DE',1539761152,1539761407),('CH',1539761408,1539761663),('PL',1539761664,1539761919),('RU',1539761920,1539762175),('PL',1539762176,1539762431),('UA',1539762432,1539762687),('PL',1539762688,1539762943),('UA',1539762944,1539763199),('MD',1539763200,1539763455),('DK',1539763456,1539763711),('DE',1539763712,1539763967),('PT',1539763968,1539764223),('AT',1539764224,1539764479),('GB',1539764480,1539764735),('RO',1539764736,1539764991),('BE',1539764992,1539765247),('IE',1539765248,1539765503),('PL',1539765504,1539766015),('AM',1539766016,1539766271),('PL',1539766272,1539766527),('UA',1539766528,1539766783),('DE',1539766784,1539767039),('SA',1539767040,1539767295),('DK',1539767296,1539767551),('DE',1539767552,1539767807),('IL',1539767808,1539768063),('GB',1539768064,1539768319),('FR',1539768320,1539768575),('GB',1539768576,1539768831),('IT',1539768832,1539769087),('BE',1539769088,1539769599),('AT',1539769600,1539769855),('FR',1539769856,1539770111),('GR',1539770112,1539770367),('DE',1539770368,1539770623),('FR',1539770624,1539770879),('RU',1539770880,1539771135),('FR',1539771136,1539771391),('PL',1539771392,1539771647),('UA',1539771648,1539771903),('RU',1539771904,1539772159),('BE',1539772160,1539772415),('RU',1539772416,1539772671),('RS',1539772672,1539772927),('RU',1539772928,1539773183),('GB',1539773184,1539773439),('KZ',1539773440,1539773695),('DE',1539773696,1539773951),('PL',1539773952,1539774207),('SI',1539774208,1539774463),('RU',1539774464,1539774719),('PL',1539774720,1539774975),('RU',1539774976,1539775231),('CH',1539775232,1539775487),('UA',1539775488,1539775743),('IL',1539775744,1539775999),('PL',1539776000,1539776255),('SK',1539776256,1539776511),('HU',1539776512,1539776767),('UA',1539776768,1539777023),('RU',1539777024,1539777279),('UA',1539777280,1539777535),('BG',1539777536,1539777791),('UA',1539777792,1539778047),('AM',1539778048,1539778303),('LB',1539778304,1539778559),('RU',1539778560,1539778815),('RO',1539778816,1539779071),('GB',1539779072,1539779327),('CH',1539779328,1539779583),('PL',1539779584,1539779839),('NL',1539779840,1539780095),('RU',1539780096,1539780351),('AT',1539780352,1539780607),('PL',1539780608,1539780863),('RO',1539780864,1539781119),('NL',1539781120,1539781375),('GB',1539781376,1539781631),('HU',1539781632,1539781887),('IL',1539781888,1539782143),('UA',1539782144,1539782399),('LT',1539782400,1539782655),('GI',1539782656,1539782911),('PL',1539782912,1539783167),('NL',1539783168,1539783423),('IT',1539783424,1539783679),('DE',1539783680,1539783935),('SI',1539783936,1539784191),('RU',1539784192,1539784447),('NO',1539784448,1539784703),('SE',1539784704,1539784959),('DE',1539784960,1539785215),('CH',1539785216,1539785471),('RU',1539785472,1539785727),('SE',1539785728,1539785983),('IL',1539785984,1539786239),('AT',1539786240,1539786495),('GB',1539786496,1539786751),('HU',1539786752,1539787007),('TR',1539787008,1539787263),('IE',1539787264,1539787519),('UA',1539787520,1539787775),('CH',1539787776,1539788031),('HR',1539788032,1539788287),('GB',1539788288,1539788543),('HR',1539788544,1539788799),('IL',1539788800,1539789055),('RU',1539789056,1539789311),('UA',1539789312,1539789567),('DE',1539789568,1539789823),('NL',1539789824,1539790079),('CH',1539790080,1539790335),('LV',1539790336,1539790591),('PL',1539790592,1539790847),('DE',1539790848,1539791103),('PL',1539791104,1539791359),('RU',1539791360,1539791615),('UA',1539791616,1539792383),('IL',1539792384,1539792639),('PL',1539792640,1539792895),('GR',1539792896,1539793151),('PL',1539793152,1539793407),('CH',1539793408,1539793663),('IL',1539793664,1539794175),('PL',1539794176,1539794431),('DK',1539794432,1539794687),('FR',1539794688,1539794943),('RO',1539794944,1539795199),('PL',1539795200,1539795455),('UA',1539795456,1539795711),('SA',1539795712,1539795967),('NL',1539795968,1539796223),('MC',1539796224,1539796479),('GB',1539796480,1539796735),('TR',1539796736,1539796991),('CY',1539796992,1539797247),('DK',1539797248,1539797503),('RU',1539797504,1539797759),('UA',1539797760,1539798015),('HU',1539798016,1539798271),('PL',1539798272,1539798527),('GB',1539798528,1539798783),('IL',1539798784,1539799039),('ES',1539799040,1539799295),('DK',1539799296,1539799551),('ES',1539799552,1539799807),('RO',1539799808,1539800063),('SI',1539800064,1539800319),('GB',1539800320,1539800575),('LV',1539800576,1539800831),('PL',1539800832,1539801087),('BG',1539801088,1539801343),('GB',1539801344,1539801855),('SI',1539801856,1539802111),('PL',1539802112,1539802367),('RO',1539802368,1539802623),('IS',1539802624,1539802879),('NL',1539802880,1539803135),('GB',1539803136,1539803391),('NL',1539803392,1539803647),('UA',1539803648,1539804159),('PL',1539804160,1539804671),('SI',1539804672,1539804927),('UA',1539804928,1539805439),('AT',1539805440,1539805695),('CH',1539805696,1539805951),('RU',1539805952,1539806207),('FI',1539806208,1539806463),('RU',1539806464,1539806719),('BG',1539806720,1539806975),('GB',1539806976,1539807231),('FR',1539807232,1539807487),('GB',1539807488,1539807999),('HU',1539808000,1539808255),('RU',1539808256,1539808511),('RO',1539808512,1539808767),('DE',1539808768,1539809023),('GB',1539809024,1539809279),('EU',1539809280,1539809535),('SI',1539809536,1539809791),('DE',1539809792,1539810047),('UA',1539810048,1539810303),('CZ',1539810304,1539810559),('DE',1539810560,1539810815),('TR',1539810816,1539811071),('NL',1539811072,1539811327),('CZ',1539811328,1539811583),('DE',1539811584,1539811839),('SE',1539811840,1539812095),('RU',1539812096,1539812351),('CH',1539812352,1539812607),('IT',1539812608,1539812863),('SI',1539812864,1539813119),('AT',1539813120,1539813375),('PL',1539813376,1539813631),('NL',1539813632,1539813887),('RU',1539813888,1539814143),('NL',1539814144,1539814399),('GB',1539814400,1539814911),('UA',1539814912,1539815167),('GB',1539815168,1539815423),('RU',1539815424,1539815935),('CH',1539815936,1539816191),('SA',1539816192,1539816447),('UA',1539816448,1539816703),('RU',1539816704,1539816959),('DK',1539816960,1539817215),('TR',1539817216,1539817471),('DE',1539817472,1539817727),('PL',1539817728,1539817983),('UA',1539817984,1539818239),('NO',1539818240,1539818495),('RU',1539818496,1539819007),('CH',1539819008,1539819263),('RO',1539819264,1539819519),('AT',1539819520,1539819775),('SI',1539819776,1539820031),('VG',1539820032,1539820287),('PL',1539820288,1539820543),('ES',1539820544,1539820799),('RU',1539820800,1539821055),('UA',1539821056,1539821311),('CZ',1539821312,1539821567),('DK',1539821568,1539821823),('DE',1539821824,1539822079),('RO',1539822080,1539822335),('RU',1539822336,1539822591),('GB',1539822592,1539822847),('IE',1539822848,1539823103),('DE',1539823104,1539823359),('CY',1539823360,1539823615),('RO',1539823616,1539823871),('DK',1539823872,1539824127),('CH',1539824128,1539824383),('NL',1539824384,1539824639),('HU',1539824640,1539824895),('UZ',1539824896,1539825151),('UA',1539825152,1539825407),('RU',1539825408,1539825919),('DE',1539825920,1539826175),('AM',1539826176,1539826431),('BE',1539826432,1539826687),('CH',1539826688,1539826943),('DE',1539826944,1539827199),('RU',1539827200,1539827455),('MK',1539827456,1539827711),('FR',1539827712,1539828479),('SI',1539828480,1539828735),('NL',1539828736,1539828991),('BG',1539828992,1539829247),('SE',1539829248,1539829503),('DE',1539829504,1539829759),('PL',1539829760,1539830015),('DE',1539830016,1539830271),('FR',1539830272,1539830527),('RO',1539830528,1539830783),('RU',1539830784,1539831039),('UA',1539831040,1539831295),('PL',1539831296,1539831551),('DE',1539831552,1539831807),('RU',1539831808,1539832063),('GB',1539832064,1539832319),('PL',1539832320,1539832575),('RU',1539832576,1539832831),('GB',1539832832,1539833087),('RU',1539833088,1539833343),('FR',1539833344,1539833855),('UA',1539833856,1539837951),('NL',1539837952,1539838975),('GR',1539838976,1539839999),('PL',1539840000,1539841023),('RU',1539841024,1539842047),('PL',1539842048,1539844095),('UA',1539844096,1539846143),('NL',1539846144,1539847167),('UA',1539847168,1539849215),('RU',1539849216,1539850239),('LV',1539850240,1539851263),('PL',1539851264,1539852287),('UA',1539852288,1539853311),('PL',1539853312,1539854335),('UA',1539854336,1539855359),('RU',1539855360,1539856383),('UA',1539856384,1539857407),('PL',1539857408,1539858431),('RO',1539858432,1539859455),('DE',1539859456,1539860479),('UA',1539860480,1539861503),('DE',1539861504,1539862527),('UA',1539862528,1539863551),('MD',1539863552,1539864575),('RO',1539864576,1539865599),('UA',1539865600,1539866623),('IT',1539866624,1539867647),('UA',1539867648,1539869695),('ES',1539869696,1539870719),('RU',1539870720,1539871743),('ES',1539871744,1539872767),('SE',1539872768,1539873791),('UA',1539873792,1539876863),('ES',1539876864,1539877887),('PL',1539877888,1539878911),('UA',1539878912,1539880959),('PL',1539880960,1539881983),('UA',1539881984,1539883007),('MT',1539884032,1539885055),('UA',1539885056,1539886079),('FR',1539886080,1539887103),('IT',1539887104,1539888127),('UA',1539888128,1539889151),('RU',1539889152,1539890175),('UA',1539890176,1539891199),('RU',1539891200,1539893247),('UA',1539893248,1539894271),('PL',1539894272,1539895295),('UA',1539895296,1539899391),('RU',1539899392,1539900415),('UA',1539900416,1539901439),('RU',1539901440,1539902463),('LV',1539902464,1539903487),('PL',1539903488,1539904511),('CZ',1539904512,1539905535),('UA',1539905536,1539910655),('PL',1539910656,1539911679),('RU',1539911680,1539913727),('CH',1539913728,1539914751),('SE',1539914752,1539915775),('PL',1539915776,1539916799),('UA',1539916800,1539917823),('RU',1539917824,1539918847),('RO',1539918848,1539920895),('UA',1539920896,1539921919),('PL',1539921920,1539922943),('SE',1539922944,1539923967),('RU',1539923968,1539924991),('DE',1539924992,1539926015),('RU',1539926016,1539927039),('UA',1539927040,1539928063),('RU',1539928064,1539930111),('PL',1539930112,1539931135),('UA',1539931136,1539932159),('DE',1539932160,1539933183),('ES',1539933184,1539934207),('RS',1539934208,1539935231),('LV',1539935232,1539936255),('UA',1539936256,1539937279),('CH',1539937280,1539938303),('PL',1539938304,1539939327),('UA',1539939328,1539940351),('GB',1539940352,1539941375),('NL',1539941376,1539942399),('UA',1539942400,1539943423),('BG',1539943424,1539944447),('GB',1539944448,1539945471),('UA',1539945472,1539946495),('RU',1539946496,1539947519),('UA',1539947520,1539948543),('RO',1539948544,1539949567),('UA',1539949568,1539950591),('KZ',1539950592,1539951615),('RU',1539951616,1539953663),('UA',1539953664,1539954687),('RO',1539954688,1539956735),('TR',1539956736,1539957759),('RU',1539957760,1539958783),('UA',1539958784,1539962879),('RU',1539962880,1539964927),('UA',1539964928,1539965951),('RU',1539965952,1539966975),('UA',1539966976,1539967999),('RU',1539968000,1539972095),('GB',1539972096,1539973119),('RU',1539973120,1539975167),('DE',1539975168,1539976191),('RU',1539976192,1539977215),('DE',1539977216,1539978239),('UA',1539978240,1539980287),('VG',1539980288,1539981311),('SI',1539981312,1539982335),('RU',1539982336,1539983359),('UA',1539983360,1539984383),('RU',1539984384,1539985407),('SE',1539985408,1539986431),('RU',1539986432,1539987455),('RO',1539987456,1539988479),('RU',1539988480,1539990527),('PL',1539990528,1539991551),('UA',1539991552,1539993599),('FI',1539993600,1539994623),('AT',1539994624,1539995647),('CH',1539995648,1539996671),('PL',1539996672,1539997695),('UA',1539997696,1539999743),('GB',1539999744,1540000767),('RU',1540000768,1540001791),('UA',1540001792,1540002815),('RU',1540002816,1540003839),('PL',1540003840,1540004863),('SE',1540004864,1540005887),('UA',1540005888,1540006911),('RU',1540006912,1540007935),('IL',1540007936,1540008959),('PL',1540008960,1540011007),('RU',1540011008,1540014079),('PL',1540014080,1540015103),('RU',1540015104,1540016127),('KR',1540016128,1540017151),('RU',1540017152,1540018175),('UA',1540018176,1540020223);
INSERT INTO `ps_geoip_ip` (`cc`, `start`, `end`) VALUES ('RU',1540020224,1540022271),('GB',1540022272,1540023295),('PL',1540023296,1540024319),('RU',1540024320,1540025343),('GB',1540025344,1540026367),('UA',1540026368,1540028415),('ES',1540028416,1540029439),('RU',1540029440,1540030463),('DE',1540030464,1540031487),('UA',1540031488,1540032511),('RU',1540032512,1540033535),('UA',1540033536,1540034559),('PL',1540034560,1540035583),('RU',1540035584,1540036607),('UA',1540036608,1540037631),('EE',1540037632,1540038655),('FR',1540038656,1540039679),('RU',1540039680,1540040703),('SE',1540040704,1540041727),('RU',1540041728,1540042751),('UA',1540042752,1540043775),('PL',1540043776,1540044799),('GB',1540044800,1540045823),('UA',1540045824,1540046847),('RU',1540046848,1540047871),('LV',1540047872,1540048895),('GB',1540048896,1540049919),('UA',1540049920,1540050943),('RU',1540050944,1540052991),('UA',1540052992,1540054015),('EU',1540054016,1540054052),('MD',1540054053,1540054062),('EU',1540054063,1540055039),('NO',1540055040,1540056063),('NL',1540056064,1540057087),('GB',1540057088,1540058111),('DE',1540058112,1540059135),('UA',1540059136,1540060159),('NO',1540060160,1540061183),('A2',1540061184,1540062207),('RU',1540062208,1540063231),('NL',1540063232,1540064255),('PL',1540064256,1540065279),('UA',1540065280,1540068351),('FR',1540068352,1540069375),('RU',1540069376,1540071423),('SE',1540071424,1540072447),('UA',1540072448,1540073471),('RU',1540073472,1540074495),('UZ',1540074496,1540075519),('RU',1540075520,1540077567),('FR',1540077568,1540078591),('RU',1540078592,1540081663),('DE',1540081664,1540082687),('NO',1540082688,1540083711),('RU',1540083712,1540084735),('LU',1540084736,1540085759),('PL',1540085760,1540087807),('RU',1540087808,1540092927),('PL',1540092928,1540094975),('GB',1540094976,1540095999),('SE',1540096000,1540097023),('DE',1540097024,1540098047),('CH',1540098048,1540099071),('UA',1540099072,1540100095),('RU',1540100096,1540103167),('DE',1540103168,1540105215),('UA',1540105216,1540110335),('RU',1540110336,1540111359),('UA',1540111360,1540112383),('LV',1540112384,1540113407),('RU',1540113408,1540114431),('LT',1540114432,1540115455),('UA',1540115456,1540116479),('CH',1540116480,1540117503),('UA',1540117504,1540118527),('PL',1540118528,1540119551),('UA',1540119552,1540120575),('RU',1540120576,1540124671),('NO',1540124672,1540125695),('FR',1540125696,1540126719),('UA',1540126720,1540127743),('GB',1540127744,1540128767),('RU',1540128768,1540129791),('UA',1540129792,1540130815),('RU',1540130816,1540131839),('PL',1540131840,1540132863),('RU',1540132864,1540134911),('PL',1540134912,1540135935),('BG',1540135936,1540136959),('PL',1540136960,1540137983),('RU',1540137984,1540139007),('DE',1540139008,1540140031),('GB',1540140032,1540141055),('RU',1540141056,1540142079),('UA',1540142080,1540143103),('RU',1540143104,1540144127),('AM',1540144128,1540145151),('AT',1540145152,1540146175),('UA',1540146176,1540147199),('RU',1540147200,1540148223),('PL',1540148224,1540149247),('GB',1540149248,1540150271),('UA',1540150272,1540151295),('AT',1540151296,1540152319),('SE',1540152320,1540153343),('RU',1540153344,1540156415),('UZ',1540156416,1540157439),('RU',1540157440,1540158463),('GB',1540158464,1540159487),('UA',1540159488,1540160511),('RU',1540160512,1540162559),('UA',1540162560,1540163583),('RU',1540163584,1540164607),('GB',1540227072,1540227583),('RU',1540227584,1540228095),('UA',1540228096,1540228607),('PL',1540228608,1540229119),('AT',1540229120,1540229631),('NL',1540229632,1540230143),('RU',1540230144,1540232191),('BG',1540232192,1540232703),('RU',1540232704,1540233215),('CH',1540233216,1540233727),('PL',1540233728,1540234239),('DE',1540234240,1540234751),('UA',1540234752,1540235775),('NO',1540235776,1540236287),('RO',1540236288,1540236799),('PL',1540236800,1540237311),('RO',1540237312,1540238847),('DE',1540238848,1540239359),('UA',1540239360,1540239871),('NL',1540239872,1540240383),('CH',1540240384,1540240895),('RU',1540240896,1540242431),('DE',1540242432,1540242943),('RU',1540242944,1540243455),('PL',1540243456,1540243967),('RU',1540243968,1540244479),('CH',1540244480,1540244991),('DE',1540244992,1540245503),('RU',1540245504,1540246015),('IT',1540246016,1540246527),('RO',1540246528,1540247551),('NL',1540247552,1540248063),('RO',1540248064,1540248575),('GB',1540248576,1540249087),('PL',1540249088,1540249599),('KZ',1540249600,1540250111),('DK',1540250112,1540250623),('GB',1540250624,1540251647),('PL',1540251648,1540252159),('DE',1540252160,1540252671),('RU',1540252672,1540253183),('AT',1540253184,1540253695),('CH',1540253696,1540254207),('RU',1540254208,1540254719),('PL',1540254720,1540255231),('UA',1540255232,1540255743),('AT',1540255744,1540256255),('PL',1540256256,1540256767),('RU',1540256768,1540257279),('GB',1540257280,1540257791),('RU',1540257792,1540258303),('IR',1540258304,1540258815),('UA',1540258816,1540259327),('RU',1540259328,1540259839),('IT',1540259840,1540260351),('RU',1540260352,1540260863),('LT',1540260864,1540261375),('SA',1540261376,1540261887),('NL',1540261888,1540262399),('BG',1540262400,1540262911),('RO',1540262912,1540263423),('DE',1540263424,1540263935),('GB',1540263936,1540264447),('RU',1540264448,1540265983),('DE',1540265984,1540266495),('PL',1540266496,1540267007),('FR',1540267008,1540267519),('RO',1540267520,1540268543),('RU',1540358144,1540358399),('GB',1540358400,1540358655),('SE',1540358656,1540358911),('GB',1540358912,1540359167),('SA',1540359168,1540359423),('DE',1540359424,1540359679),('GB',1540359680,1540359935),('AT',1540359936,1540360191),('NO',1540360192,1540360447),('FR',1540360448,1540360703),('PL',1540360704,1540360959),('GB',1540360960,1540361215),('BE',1540361216,1540361471),('DE',1540361472,1540361727),('IT',1540361728,1540361983),('EE',1540361984,1540362239),('DK',1540362240,1540362495),('DE',1540362496,1540363007),('FR',1540363008,1540363263),('RU',1540363264,1540363519),('GB',1540363520,1540363775),('IS',1540363776,1540364031),('RU',1540364032,1540364287),('NO',1540364288,1540364543),('UA',1540364544,1540364799),('EE',1540364800,1540365055),('SI',1540365056,1540365311),('GB',1540365312,1540365567),('RU',1540365568,1540365823),('CH',1540365824,1540366079),('IE',1540366080,1540366335),('PL',1540366336,1540366591),('RU',1540366592,1540366847),('AT',1540366848,1540367103),('UA',1540367104,1540367359),('HU',1540367360,1540367615),('BE',1540367616,1540367871),('DE',1540367872,1540368127),('RU',1540368128,1540368383),('FR',1540368384,1540368639),('SK',1540368640,1540368895),('RU',1540368896,1540369407),('IE',1540369408,1540369663),('DE',1540369664,1540369919),('UA',1540369920,1540370175),('DE',1540370176,1540370431),('LB',1540370432,1540370687),('NL',1540370688,1540370943),('PL',1540370944,1540371199),('BE',1540371200,1540371455),('UA',1540371456,1540371711),('GB',1540371712,1540371967),('NO',1540371968,1540372223),('PL',1540372224,1540372479),('EU',1540372480,1540372735),('GR',1540372736,1540372991),('DE',1540372992,1540373247),('UA',1540373248,1540373503),('NL',1540373504,1540373759),('TR',1540373760,1540374015),('NL',1540374016,1540374271),('HU',1540374272,1540374527),('RU',1540374528,1540374783),('UA',1540374784,1540375039),('DE',1540375040,1540375295),('GB',1540375296,1540375551),('DE',1540375552,1540375807),('NL',1540375808,1540376063),('TR',1540376064,1540376319),('DK',1540376320,1540376575),('PL',1540376576,1540376831),('RU',1540376832,1540377087),('DE',1540377088,1540377343),('RO',1540377344,1540377599),('AM',1540377600,1540377855),('ES',1540377856,1540378111),('RU',1540378112,1540378367),('CH',1540378368,1540378623),('AT',1540378624,1540378879),('SE',1540378880,1540379135),('CH',1540379136,1540379391),('RU',1540379648,1540379903),('EU',1540379904,1540380159),('IL',1540380160,1540380415),('NL',1540380416,1540380671),('SI',1540380672,1540380927),('RS',1540380928,1540381183),('RO',1540381184,1540381439),('AT',1540381440,1540381695),('RO',1540381696,1540381951),('PL',1540381952,1540382207),('UA',1540382208,1540382463),('GB',1543503872,1545601023),('SE',1545601024,1545863167),('RU',1545863168,1545895935),('BA',1545895936,1545928703),('SI',1545928704,1545959423),('HR',1545959424,1545961471),('RU',1545961472,1545994239),('CZ',1545994240,1546027007),('RU',1546027008,1546059775),('SE',1546059776,1546063871),('DE',1546063872,1546067967),('SE',1546067968,1546072063),('MD',1546072064,1546076159),('RU',1546076160,1546080255),('AZ',1546080256,1546084351),('RU',1546084352,1546088447),('SN',1546088448,1546088575),('TM',1546088576,1546088703),('BA',1546088704,1546088831),('TJ',1546088832,1546088959),('SD',1546088960,1546089087),('DE',1546089088,1546089215),('MW',1546089216,1546089343),('ZW',1546089344,1546089471),('BI',1546089472,1546089599),('GW',1546089600,1546089727),('LS',1546089728,1546089855),('NE',1546089856,1546089983),('DE',1546089984,1546090111),('MR',1546090112,1546090239),('ZM',1546090240,1546090367),('MG',1546090368,1546090495),('BW',1546090496,1546090623),('GH',1546090624,1546090751),('ER',1546090752,1546090879),('AO',1546090880,1546091007),('NA',1546091008,1546091135),('KM',1546091136,1546091263),('GN',1546091264,1546091391),('DE',1546091392,1546091519),('AF',1546091520,1546091647),('TD',1546091648,1546091775),('BF',1546091776,1546091903),('DE',1546091904,1546092031),('TG',1546092032,1546092159),('SD',1546092160,1546092287),('RW',1546092288,1546092415),('NG',1546092416,1546092543),('RU',1546092544,1546096639),('IT',1546096640,1546100735),('RU',1546100736,1546104831),('GB',1546108928,1546113023),('RU',1546113024,1546121215),('GR',1546121216,1546125311),('GB',1546125312,1546256383),('RU',1546256384,1546264575),('GB',1546264576,1546266623),('RU',1546266624,1546268671),('IR',1546268672,1546270719),('GB',1546270720,1546272767),('NO',1546272768,1546274815),('SE',1546274816,1546276863),('GB',1546276864,1546278399),('BZ',1546278400,1546278911),('RU',1546278912,1546280959),('IT',1546280960,1546283007),('CH',1546283008,1546285055),('PL',1546285056,1546287103),('GB',1546287104,1546289151),('RU',1546289152,1546291199),('AT',1546291200,1546293247),('GB',1546293248,1546295295),('SE',1546295296,1546297343),('RU',1546297344,1546299391),('GB',1546299392,1546301439),('LU',1546301440,1546303487),('CH',1546303488,1546305535),('DE',1546305536,1546307583),('NL',1546307584,1546307839),('DE',1546307840,1546307855),('NL',1546307856,1546309631),('RU',1546309632,1546311679),('FR',1546311680,1546313727),('DE',1546313728,1546315775),('NL',1546315776,1546317823),('CH',1546317824,1546319871),('RS',1546319872,1546320383),('SR',1546320384,1546320387),('RS',1546320388,1546321919),('RU',1546321920,1546323967),('GE',1546323968,1546324479),('NO',1546324480,1546326015),('ES',1546326016,1546328063),('SE',1546330112,1546332159),('GB',1546332160,1546334207),('DE',1546334208,1546336255),('CZ',1546336256,1546338303),('GB',1546338304,1546340351),('DK',1546340352,1546342399),('TR',1546342400,1546344447),('DK',1546344448,1546346495),('AT',1546346496,1546348543),('DE',1546348544,1546350591),('PL',1546350592,1546352639),('DK',1546352640,1546354687),('FR',1546354688,1546356735),('AM',1546356736,1546358783),('PL',1546358784,1546360831),('RU',1546360832,1546364927),('SA',1546364928,1546366975),('DK',1546366976,1546369023),('RU',1546369024,1546371071),('IS',1546371072,1546373119),('HU',1546373120,1546375167),('GB',1546375168,1546377215),('CH',1546377216,1546379263),('ES',1546379264,1546381311),('DK',1546381312,1546383359),('IT',1546383360,1546385407),('FR',1546385408,1546387455),('TR',1546387456,1546518527),('KZ',1546518528,1546649599),('SA',1546649600,1546665983),('GB',1546665984,1546673823),('RS',1546673824,1546673839),('GB',1546673840,1546677503),('IN',1546677504,1546677759),('GB',1546677760,1546678863),('RS',1546678864,1546678871),('GB',1546678872,1546680831),('RS',1546680832,1546680895),('GB',1546680896,1546681407),('RS',1546681408,1546681439),('GB',1546681440,1546681455),('RS',1546681456,1546681471),('GB',1546681472,1546682367),('BE',1546682368,1546698751),('NL',1546698752,1546715135),('LV',1546715136,1546731519),('FR',1546731520,1546747903),('RU',1546747904,1546764287),('UA',1546764288,1546780671),('IR',1546780672,1546797055),('DE',1546797056,1546813439),('RU',1546813440,1546862591),('GE',1546862592,1546878975),('DE',1546878976,1546895359),('IE',1546895360,1546911743),('SK',1546911744,1546928127),('GB',1546928128,1546944511),('UA',1546944512,1546960895),('HU',1546960896,1546977279),('MK',1546977280,1546993663),('RU',1546993664,1547010047),('SI',1547010048,1547026431),('NL',1547026432,1547042815),('ES',1547042816,1547059199),('RU',1547059200,1547075583),('GB',1547075584,1547091967),('GE',1547091968,1547108351),('RU',1547108352,1547124735),('MK',1547124736,1547141119),('RO',1547141120,1547157503),('PL',1547157504,1547173887),('ES',1547173888,1547436031),('AT',1547436032,1547440127),('AL',1547440128,1547444223),('IT',1547444224,1547448319),('SK',1547448320,1547452415),('IT',1547452416,1547456511),('RU',1547456512,1547460607),('GB',1547460608,1547468799),('PL',1547468800,1547472895),('DK',1547472896,1547476991),('ES',1547476992,1547481087),('UA',1547481088,1547485183),('IE',1547485184,1547489279),('DE',1547489280,1547493375),('RS',1547493376,1547497471),('GB',1547497472,1547501567),('TR',1547501568,1547505663),('RU',1547505664,1547509759),('LT',1547509760,1547513855),('AT',1547513856,1547517951),('RU',1547517952,1547522047),('CZ',1547522048,1547526143),('HU',1547526144,1547534335),('FR',1547534336,1547538431),('DE',1547538432,1547542527),('FR',1547542528,1547546623),('IR',1547546624,1547550719),('IE',1547550720,1547554815),('AT',1547554816,1547558911),('IL',1547558912,1547563007),('NL',1547563008,1547564287),('CH',1547564288,1547564311),('BG',1547564312,1547564315),('NL',1547564316,1547564335),('US',1547564336,1547564415),('NL',1547564416,1547564543),('US',1547564544,1547564799),('NL',1547564800,1547565055),('US',1547565056,1547565823),('NL',1547565824,1547567103),('GB',1547567104,1547571199),('AT',1547571200,1547575295),('NO',1547575296,1547579391),('RU',1547579392,1547583487),('KG',1547583488,1547587583),('IT',1547587584,1547591679),('EE',1547591680,1547595775),('JO',1547595776,1547599871),('LT',1547599872,1547603967),('RU',1547603968,1547608063),('LB',1547608064,1547612159),('IR',1547612160,1547616255),('DK',1547616256,1547620351),('A2',1547620352,1547624447),('CZ',1547624448,1547628543),('BG',1547628544,1547632639),('TR',1547632640,1547636735),('SI',1547636736,1547640831),('LB',1547640832,1547644927),('CZ',1547644928,1547649023),('RU',1547649024,1547653119),('LV',1547653120,1547657215),('RU',1547657216,1547659263),('LU',1547659264,1547660799),('BE',1547660800,1547661311),('LV',1547661312,1547665407),('GB',1547665408,1547669503),('AT',1547669504,1547673599),('RU',1547673600,1547685887),('AT',1547685888,1547689983),('IT',1547689984,1547694079),('HU',1547694080,1547698175),('NL',1547698176,1548222463),('DE',1548222464,1548746751),('RO',1548746752,1549271039),('FR',1549271040,1549795327),('AE',1549795328,1550057471),('RU',1550057472,1550188543),('FR',1550188544,1550319615),('CH',1550319616,1550581759),('NL',1550581760,1550843903),('UA',1550843904,1550974975),('RO',1550974976,1551007743),('MD',1551007744,1551106047),('DE',1551106048,1551237119),('GR',1551237120,1551368191),('NL',1551368192,1551499263),('EU',1551499264,1551503359),('GB',1551503360,1551504383),('FR',1551504384,1551505407),('EU',1551505408,1551507455),('DE',1551507456,1551508479),('IT',1551508480,1551509503),('EU',1551509504,1551511551),('GB',1551511552,1551512575),('EU',1551512576,1551516671),('IT',1551516672,1551517695),('ES',1551517696,1551518719),('EU',1551518720,1551528959),('FR',1551528960,1551529983),('EU',1551529984,1551630335),('RU',1551630336,1551892479),('FR',1551892480,1556086783),('DE',1556086784,1556486729),('A2',1556486730,1556486730),('DE',1556486731,1558708223),('GB',1558708224,1559232511),('IL',1559232512,1559240703),('BA',1559240704,1559248895),('LV',1559248896,1559257087),('UA',1559257088,1559265279),('RU',1559265280,1559273471),('CZ',1559273472,1559281663),('RU',1559281664,1559289855),('SK',1559289856,1559298047),('RU',1559298048,1559306239),('JO',1559306240,1559314431),('GE',1559314432,1559322623),('RU',1559322624,1559330815),('BA',1559330816,1559339007),('RU',1559339008,1559339711),('CY',1559339712,1559339775),('RU',1559339776,1559347199),('SE',1559347200,1559351295),('DK',1559351296,1559355391),('RU',1559355392,1559388159),('UA',1559388160,1559396351),('GB',1559396352,1559404543),('FI',1559404544,1559412735),('IR',1559412736,1559420927),('HR',1559420928,1559429119),('FR',1559429120,1559437311),('AT',1559437312,1559445503),('RU',1559445504,1559461887),('IT',1559461888,1559470079),('RU',1559470080,1559478271),('CZ',1559478272,1559486463),('DK',1559486464,1559494655),('SE',1559494656,1559502847),('PL',1559502848,1559511039),('SI',1559511040,1559519231),('UA',1559519232,1559527423),('RS',1559527424,1559535615),('GB',1559535616,1559543807),('SE',1559543808,1559551999),('RU',1559552000,1559560191),('SK',1559560192,1559568383),('RU',1559568384,1559576575),('HU',1559576576,1559584767),('KG',1559584768,1559592959),('FR',1559592960,1559601151),('IT',1559601152,1559609343),('SK',1559609344,1559617535),('GB',1559617536,1559625727),('DK',1559625728,1559633919),('IT',1559633920,1559642111),('RU',1559642112,1559650303),('IT',1559650304,1559658495),('RU',1559658496,1559674879),('ES',1559674880,1559683071),('CH',1559683072,1559691263),('BG',1559691264,1559756799),('AT',1559756800,1559789567),('RU',1559789568,1559838719),('UA',1559838720,1559855103),('HU',1559855104,1559887871),('PT',1559887872,1559920639),('LU',1559920640,1559937023),('DE',1559937024,1559943167),('LU',1559943168,1559953407),('MT',1559953408,1559986175),('IE',1559986176,1560018943),('DE',1560018944,1560051711),('RU',1560051712,1560084479),('GR',1560084480,1560117247),('CZ',1560117248,1560150015),('NL',1560150016,1560182783),('SE',1560182784,1560215551),('RU',1560215552,1560281087),('FR',1560281088,1562378239),('IT',1562378240,1564999679),('UA',1564999680,1565523967),('RU',1565523968,1565655039),('AT',1565655040,1565786111),('BY',1565786112,1565917183),('RS',1565917184,1566048255),('RU',1566048256,1566056447),('IT',1566056448,1566060543),('UA',1566060544,1566064639),('RU',1566064640,1566068735),('AZ',1566068736,1566072831),('IT',1566072832,1566081023),('RU',1566081024,1566085119),('NL',1566085120,1566089215),('RU',1566089216,1566097407),('GB',1566097408,1566101503),('RU',1566101504,1566105599),('DE',1566105600,1566109695),('CH',1566109696,1566113791),('DE',1566113792,1566117887),('TR',1566117888,1566121983),('NO',1566121984,1566126079),('IT',1566126080,1566130175),('TR',1566130176,1566134271),('GB',1566134272,1566138367),('CZ',1566138368,1566142463),('NO',1566142464,1566146559),('GB',1566146560,1566150655),('CZ',1566150656,1566154751),('HU',1566154752,1566158847),('RU',1566158848,1566162943),('PL',1566162944,1566167039),('UA',1566167040,1566171135),('HU',1566171136,1566175231),('IE',1566175232,1566179327),('DK',1566179328,1566183423),('ES',1566183424,1566187519),('RU',1566187520,1566191615),('FI',1566191616,1566195711),('AL',1566195712,1566199807),('RU',1566199808,1566207999),('DK',1566208000,1566212095),('DE',1566212096,1566216191),('SE',1566216192,1566220287),('CZ',1566220288,1566224383),('DE',1566224384,1566228479),('GB',1566228480,1566232575),('RU',1566232576,1566248959),('GB',1566248960,1566257151),('CZ',1566257152,1566261247),('TR',1566261248,1566265343),('DE',1566265344,1566269439),('NO',1566269440,1566271487),('FI',1566271488,1566271999),('SE',1566272000,1566272511),('DK',1566272512,1566273023),('NO',1566273024,1566273535),('RU',1566273536,1566277631),('IT',1566277632,1566281727),('CZ',1566281728,1566285823),('RU',1566285824,1566289919),('FI',1566289920,1566294015),('IQ',1566294016,1566298111),('PL',1566298112,1566302207),('RU',1566302208,1566306303),('CZ',1566306304,1566310399),('SE',1566310400,1566312447),('IE',1566312448,1566314495),('BE',1566314496,1566316543),('NO',1566316544,1566318591),('RU',1566318592,1566320639),('GB',1566320640,1566321151),('DE',1566321152,1566321407),('UA',1566321408,1566321663),('BZ',1566321664,1566321919),('GB',1566321920,1566322687),('CZ',1566322688,1566324735),('HU',1566324736,1566326783),('RU',1566326784,1566328831),('IT',1566328832,1566330879),('RU',1566330880,1566334975),('NL',1566334976,1566337023),('FR',1566337024,1566339071),('RU',1566339072,1566341119),('GB',1566341120,1566343167),('DE',1566343168,1566345215),('RU',1566345216,1566347263),('DE',1566347264,1566349311),('IT',1566349312,1566351359),('AT',1566351360,1566353407),('ES',1566353408,1566355455),('RU',1566355456,1566357503),('IT',1566357504,1566359551),('RU',1566359552,1566363647),('GB',1566363648,1566365695),('RU',1566365696,1566367743),('ES',1566367744,1566371839),('RU',1566371840,1566373887),('RS',1566373888,1566375935),('DE',1566375936,1566377983),('BG',1566377984,1566380031),('IT',1566380032,1566382079),('TR',1566382080,1566384127),('RU',1566384128,1566386175),('FR',1566386176,1566388223),('HU',1566388224,1566389759),('US',1566389760,1566390271),('LT',1566390272,1566392319),('ES',1566392320,1566394367),('NO',1566394368,1566396415),('GB',1566396416,1566398463),('RU',1566398464,1566400511),('NO',1566400512,1566400959),('US',1566400960,1566400963),('NO',1566400964,1566401023),('US',1566401024,1566401055),('NO',1566401056,1566402559),('IT',1566402560,1566404607),('ES',1566404608,1566406655),('NL',1566406656,1566408703),('GB',1566408704,1566410751),('RU',1566410752,1566414847),('SE',1566414848,1566416895),('IT',1566416896,1566418943),('RU',1566418944,1566420991),('ES',1566420992,1566423039),('FR',1566423040,1566425087),('RS',1566425088,1566427135),('IT',1566427136,1566429183),('GB',1566429184,1566435327),('IT',1566435328,1566437375),('BE',1566437376,1566439423),('DE',1566439424,1566443519),('NO',1566443520,1566445567),('CY',1566445568,1566447615),('IT',1566447616,1566451711),('IL',1566451712,1566453759),('IQ',1566453760,1566455807),('PT',1566455808,1566457855),('CH',1566457856,1566459903),('SK',1566459904,1566461951),('DE',1566461952,1566463999),('IT',1566464000,1566466047),('ES',1566466048,1566468095),('BE',1566468096,1566470143),('GB',1566470144,1566474239),('DE',1566474240,1566476287),('BG',1566476288,1566478335),('RU',1566478336,1566482431),('FR',1566482432,1566484479),('SE',1566484480,1566486527),('RU',1566486528,1566488575),('PL',1566488576,1566490623),('TR',1566490624,1566492671),('NL',1566492672,1566494719),('SE',1566494720,1566496767),('AM',1566496768,1566498815),('NL',1566498816,1566500863),('RU',1566500864,1566502911),('CH',1566502912,1566504959),('TR',1566504960,1566507007),('NL',1566507008,1566509055),('GB',1566509056,1566511103),('FR',1566511104,1566511359),('BE',1566511360,1566513151),('BH',1566513152,1566515199),('CZ',1566515200,1566517247),('RU',1566517248,1566519295),('NL',1566519296,1566521343),('FR',1566521344,1566523391),('MK',1566523392,1566525439),('IS',1566525440,1566527487),('IE',1566527488,1566529535),('DK',1566529536,1566531583),('RU',1566531584,1566533631),('GB',1566533632,1566535679),('NL',1566535680,1566537727),('GB',1566537728,1566539775),('DE',1566539776,1566541823),('RU',1566541824,1566543871),('NL',1566543872,1566545919),('RU',1566545920,1566552063),('TR',1566552064,1566554111),('UA',1566554112,1566556159),('RU',1566556160,1566560255),('IT',1566560256,1566564351),('IS',1566564352,1566566399),('FR',1566566400,1566568447),('KZ',1566568448,1566570495),('NL',1566570496,1566572543),('GB',1566572544,1566703615),('SA',1566703616,1566769151),('CZ',1566769152,1566834687),('RU',1566834688,1566900223),('IT',1566900224,1566965759),('PT',1566965760,1567031295),('SI',1567031296,1567096831),('DE',1567096832,1567162367),('PL',1567162368,1567227903),('FI',1567227904,1567293439),('IE',1567293440,1567358975),('PT',1567358976,1567424511),('CY',1567424512,1567490047),('IR',1567490048,1567555583),('AT',1567555584,1567621119),('RO',1567621120,1568178175),('RU',1568178176,1568243711),('RE',1568243712,1568245759),('FR',1568245760,1568260095),('MQ',1568260096,1568264191),('GP',1568264192,1568268287),('GF',1568268288,1568272383),('RE',1568272384,1568276479),('DE',1568276480,1568309247),('RO',1568309248,1568342015),('BG',1568342016,1568374783),('RU',1568374784,1568440319),('NO',1568440320,1568473087),('BY',1568473088,1568505855),('NL',1568505856,1568538623),('GB',1568538624,1568555007),('RO',1568571392,1568572927),('PL',1568572928,1568573439),('RO',1568573440,1568579583),('BG',1568579584,1568581631),('PL',1568581632,1568604159),('UA',1568604160,1568636927),('DE',1568636928,1568665599),('AT',1568665600,1568665607),('MD',1568665608,1568667647),('AF',1568667648,1568667655),('MD',1568667656,1568669695),('DE',1568669696,1569193983),('HR',1569193984,1569718271),('IT',1569718272,1570242559),('GB',1570242560,1570275327),('BG',1570275328,1570308095),('CZ',1570308096,1570340863),('RU',1570340864,1570439167),('TR',1570439168,1570471935),('BG',1570471936,1570504703),('ES',1570504704,1570570239),('NL',1570570240,1570572287),('UA',1570572288,1570574335),('RU',1570574336,1570576383),('UA',1570576384,1570578431),('CH',1570578432,1570580479),('RU',1570580480,1570582527),('DE',1570582528,1570584575),('RU',1570584576,1570586623),('PL',1570586624,1570590719),('IL',1570590720,1570592767),('PL',1570592768,1570596863),('FR',1570635776,1570652159),('SE',1570652160,1570652543),('FR',1570652544,1570652551),('SE',1570652552,1570668543),('RU',1570668544,1570701311),('PL',1570701312,1570717695),('HR',1570717696,1570725887),('PL',1570734080,1570750463),('NO',1570750464,1570752511),('GB',1570752512,1570754559),('ES',1570754560,1570756607),('RU',1570756608,1570764799),('DE',1570764800,1570766847),('DK',1570766848,1571291135),('RO',1571291136,1571422207),('CZ',1571422208,1571553279),('IL',1571553280,1571684351),('ES',1571684352,1571686399),('GB',1571686400,1571688447),('CH',1571688448,1571690495),('GE',1571690496,1571692543),('FR',1571692544,1571694591),('LU',1571694592,1571696639),('RU',1571696640,1571700735),('IT',1571700736,1571702783),('RU',1571702784,1571704831),('GB',1571704832,1571706879),('NL',1571706880,1571708927),('GB',1571708928,1571709439),('DE',1571709440,1571709567),('GB',1571709568,1571709695),('FR',1571709696,1571709823),('GB',1571709824,1571709951),('NL',1571709952,1571710079),('GB',1571710080,1571710207),('ES',1571710208,1571710335),('GB',1571710336,1571710463),('IT',1571710464,1571710591),('GB',1571710592,1571710975),('NL',1571710976,1571713023),('RU',1571713024,1571715071),('GR',1571715072,1571717119),('RU',1571717120,1571719167),('GB',1571719168,1571721215),('GB',1571723264,1571725311),('RO',1571725312,1571727359),('IE',1571727360,1571729407),('SK',1571729408,1571731455),('CH',1571731456,1571732479),('LI',1571732480,1571732495),('CH',1571732496,1571733503),('FI',1571733504,1571735551),('NL',1571735552,1571737599),('EU',1571737600,1571738111),('NL',1571738112,1571738367),('EU',1571738368,1571739647),('GB',1571739648,1571741695),('RU',1571741696,1571743743),('GB',1571743744,1571745791),('RU',1571745792,1571747839),('GB',1571747840,1571749887),('PL',1571782656,1571786751),('EU',1571786752,1571790847),('PL',1571790848,1571794943),('NL',1571794944,1571799039),('RE',1571815424,1571823615),('FR',1571823616,1571831807),('DK',1571831808,1571848191),('RU',1571848192,1571864575),('PL',1571864576,1571880959),('RU',1571880960,1571897343),('NO',1571897344,1571913727),('GE',1571913728,1571930111),('LV',1571930112,1571946495),('SA',1571946496,1571962879),('RU',1571962880,1571979263),('DK',1571979264,1571995647),('UA',1571995648,1572012031),('SE',1572012032,1572028415),('RU',1572028416,1572044799),('IT',1572044800,1572061183),('PL',1572061184,1572077567),('RU',1572077568,1572093951),('BG',1572093952,1572110335),('RU',1572110336,1572126719),('UA',1572126720,1572143103),('DE',1572143104,1572159487),('CZ',1572159488,1572175871),('PL',1572175872,1572192255),('RU',1572192256,1572225023),('TR',1572225024,1572241407),('SE',1572241408,1572257791),('FR',1572257792,1572274175),('SG',1572274176,1572290559),('RU',1572290560,1572306943),('BG',1572306944,1572323327),('UA',1572323328,1572339711),('PS',1572339712,1572343807),('CH',1572343808,1572347903),('FR',1572347904,1572351999),('DE',1572352000,1572356095),('SK',1572356096,1572360191),('RS',1572360192,1572364287),('NL',1572364288,1572368383),('NO',1572368384,1572372479),('DE',1572372480,1572376575),('TR',1572376576,1572380671),('RU',1572380672,1572384767),('DE',1572384768,1572388863),('DK',1572388864,1572392959),('US',1572392960,1572397055),('AZ',1572397056,1572401151),('GB',1572401152,1572405247),('CZ',1572405248,1572409343),('RU',1572409344,1572413439),('AM',1572413440,1572417535),('CZ',1572417536,1572421631),('KZ',1572421632,1572425727),('LB',1572425728,1572429823),('CZ',1572429824,1572433919),('IT',1572433920,1572438015),('BE',1572438016,1572442111),('RU',1572442112,1572446207),('NO',1572446208,1572450303),('RU',1572450304,1572458495),('UA',1572458496,1572462591),('LB',1572462592,1572466687),('EE',1572466688,1572470783),('DE',1572470784,1572474879),('GB',1572474880,1572483071),('RU',1572483072,1572487167),('RS',1572487168,1572491263),('IT',1572491264,1572495359),('RU',1572495360,1572499455),('TR',1572499456,1572503551),('IT',1572503552,1572507647),('GB',1572507648,1572511743),('DE',1572511744,1572515839),('NL',1572515840,1572519935),('DE',1572519936,1572524031),('GE',1572524032,1572528127),('RU',1572528128,1572532223),('IT',1572532224,1572536319),('GB',1572536320,1572538367),('NL',1572538368,1572540415),('GB',1572540416,1572542463),('IT',1572542464,1572544511),('HR',1572544512,1572546559),('FR',1572546560,1572548607),('GB',1572548608,1572550655),('DE',1572550656,1572552703),('TR',1572552704,1572554751),('CH',1572554752,1572556799),('NO',1572556800,1572558847),('IT',1572558848,1572560895),('RU',1572560896,1572562943),('CZ',1572562944,1572564991),('DE',1572564992,1572567039),('RU',1572567040,1572569087),('NL',1572569088,1572571135),('RO',1572571136,1572573183),('GB',1572573184,1572575231),('RU',1572575232,1572577279),('AM',1572577280,1572579327),('GB',1572579328,1572581375),('RU',1572581376,1572585471),('CH',1572585472,1572587519),('TR',1572587520,1572589567),('CH',1572589568,1572591615),('NL',1572591616,1572593663),('GB',1572593664,1572595711),('DE',1572595712,1572597759),('RS',1572597760,1572599807),('DE',1572599808,1572601855),('SE',1572601856,1572603903),('GE',1572603904,1572605951),('RU',1572605952,1572607999),('DE',1572608000,1572610047),('UA',1572610048,1572612095),('RU',1572612096,1572614143),('ES',1572614144,1572616191),('CH',1572616192,1572618239),('RS',1572618240,1572620287),('CH',1572620288,1572622335),('RU',1572622336,1572624383),('NO',1572624384,1572626431),('RU',1572626432,1572628479),('DE',1572628480,1572630527),('IT',1572630528,1572632575),('RU',1572632576,1572634623),('US',1572634624,1572636671),('ES',1572636672,1572638719),('FR',1572638720,1572640767),('RU',1572640768,1572642815),('UA',1572642816,1572644863),('FR',1572644864,1572646911),('GB',1572646912,1572648959),('RU',1572648960,1572651007),('BH',1572651008,1572653055),('RU',1572653056,1572657151),('DE',1572657152,1572659199),('IT',1572659200,1572661247),('NO',1572661248,1572663295),('DE',1572663296,1572665343),('NL',1572665344,1572667391),('GB',1572667392,1572669439),('RU',1572669440,1572673535),('AT',1572673536,1572675583),('ES',1572675584,1572677631),('RU',1572677632,1572683775),('CH',1572683776,1572685823),('RU',1572685824,1572689919),('ES',1572689920,1572691967),('BG',1572691968,1572694015),('GB',1572694016,1572694214),('US',1572694215,1572694217),('GB',1572694218,1572694655),('SG',1572694656,1572694783),('GB',1572694784,1572696063),('HU',1572696064,1572698111),('RU',1572698112,1572700159),('NL',1572700160,1572702207),('IT',1572702208,1572704255),('RU',1572704256,1572706303),('DE',1572706304,1572708351),('GB',1572708352,1572710399),('DE',1572710400,1572712447),('ES',1572712448,1572714495),('IT',1572714496,1572716543),('SA',1572716544,1572718591),('RU',1572718592,1572720639),('IT',1572720640,1572722687),('RU',1572722688,1572726783),('CH',1572726784,1572728831),('SE',1572728832,1572730879),('RU',1572730880,1572732927),('HU',1572732928,1572734975),('RU',1572734976,1572739071),('IR',1572739072,1572741119),('FI',1572741120,1572743167),('UA',1572743168,1572745215),('CZ',1572745216,1572749311),('DE',1572749312,1572751359),('CH',1572751360,1572753407),('NO',1572753408,1572755455),('DE',1572755456,1572757503),('FI',1572757504,1572759551),('RU',1572759552,1572761599),('GB',1572761600,1572763647),('TR',1572763648,1572765695),('CZ',1572765696,1572767743),('NL',1572767744,1572768521),('TR',1572768522,1572768642),('NL',1572768643,1572769791),('RO',1572769792,1572771839),('ES',1572771840,1572773887),('RS',1572773888,1572775935),('GB',1572775936,1572777983),('UA',1572777984,1572780031),('NL',1572780032,1572782079),('SE',1572782080,1572784127),('RU',1572784128,1572786175),('FR',1572786176,1572788223),('TR',1572788224,1572790271),('RU',1572790272,1572792319),('DE',1572792320,1572794367),('RU',1572794368,1572796415),('DE',1572796416,1572798463),('NL',1572798464,1572800511),('RU',1572800512,1572804607),('GB',1572804608,1572808703),('FR',1572808704,1572810751),('DE',1572810752,1572810815),('GB',1572810816,1572810831),('DE',1572810832,1572812799),('RU',1572812800,1572814847),('KW',1572814848,1572816895),('RU',1572816896,1572818943),('FR',1572818944,1572820991),('GB',1572820992,1572823039),('BY',1572823040,1572825087),('RU',1572825088,1572827135),('NO',1572827136,1572829183),('FI',1572829184,1572831231),('BH',1572831232,1572833279),('ES',1572833280,1572835327),('IE',1572835328,1572837375),('AM',1572837376,1572839423),('DE',1572839424,1572841471),('EU',1572841472,1572843519),('JO',1572843520,1572845567),('FR',1572845568,1572847615),('GI',1572847616,1572849663),('GB',1572849664,1572851711),('DE',1572851712,1572853759),('BE',1572853760,1572855039),('LU',1572855040,1572855807),('KZ',1572855808,1572857855),('SE',1572857856,1572859903),('IT',1572859904,1572861951),('CH',1572861952,1572863999),('DE',1572864000,1577058303),('GB',1577058304,1578106879),('DE',1578106880,1578172415),('MT',1578172416,1578237951),('DK',1578237952,1578303487),('RU',1578303488,1578369023),('AZ',1578369024,1578434559),('HU',1578434560,1578500095),('FI',1578500096,1578565631),('FR',1578565632,1578631167),('RO',1578631168,1578663935),('RU',1578663936,1578762239),('BG',1578762240,1578795007),('RU',1578795008,1578827775),('UA',1578827776,1578860543),('HU',1578860544,1578893311),('RU',1578893312,1578991615),('KW',1578991616,1579024383),('GB',1579024384,1579057151),('LV',1579057152,1579089919),('GB',1579089920,1579122687),('IT',1579155456,1579679743),('PL',1579679744,1579745279),('RU',1579745280,1579810815),('PL',1579810816,1579876351),('GE',1579876352,1579941887),('HU',1579941888,1580007423),('PT',1580072960,1580138495),('IT',1580138496,1580204031),('RO',1580204032,1580335103),('RU',1580335104,1580466175),('RO',1580466176,1580597247),('TR',1580597248,1580728319),('AE',1580728320,1580990463),('RO',1580990464,1581252607),('GR',1581252608,1581776895),('RU',1581776896,1581793279),('PL',1581793280,1581809663),('BG',1581809664,1581826047),('BG',1581842432,1581858815),('IT',1581858816,1581875199),('TR',1581875200,1581891583),('RU',1581891584,1581907967),('IT',1581907968,1581924351),('UA',1581924352,1581940735),('IR',1581940736,1581957119),('CZ',1581957120,1581973503),('RU',1581973504,1581989887),('PL',1581989888,1582006271),('RU',1582006272,1582022655),('NL',1582022656,1582039039),('RU',1582039040,1582055423),('IT',1582301184,1583349759),('SA',1583349760,1583611903),('LV',1583611904,1583615999),('NL',1583616000,1583616383),('PL',1583616384,1583616511),('NL',1583616512,1583616639),('PL',1583616640,1583617023),('NL',1583617024,1583617279),('PL',1583617280,1583618047),('NL',1583618048,1583618303),('PL',1583618304,1583620095),('IT',1583620096,1583624191),('RS',1583624192,1583628287),('DE',1583628288,1583632383),('RU',1583632384,1583636479),('MK',1583636480,1583640575),('NL',1583640576,1583644671),('DE',1583644672,1583648767),('CH',1583648768,1583652863),('FR',1583652864,1583656959),('BE',1583874048,1584398335),('CZ',1584398336,1584660479),('GB',1584660480,1584922623),('PL',1585184768,1585186815),('PL',1585188864,1585190911),('ES',1585190912,1585192959),('IT',1585192960,1585195007),('CZ',1585195008,1585197055),('IT',1585197056,1585199103),('NL',1585199104,1585201151),('IT',1585201152,1585205247),('FR',1585205248,1585207295),('KW',1585446912,1585577983),('UA',1585577984,1585709055),('PT',1585709056,1585840127),('AT',1585971200,1585979391),('GB',1585979392,1585987583),('SE',1585987584,1585995775),('AT',1585995776,1586003967),('DE',1586012160,1586020351),('RU',1586020352,1586028543),('GB',1586028544,1586036735),('RU',1586036736,1586044927),('RU',1586053120,1586061311),('HR',1586061312,1586069503),('DK',1586495488,1587019775),('PL',1587019776,1587085311),('AE',1590165504,1590689791),('NL',1590689792,1591214079),('DE',1591214080,1591738367),('CA',1610678272,1610743807),('US',1610743808,1611923455),('CA',1611923456,1612054527),('US',1612185600,1613758463),('CA',1613758464,1614282751),('US',1614282752,1615855615),('US',1619001344,1649410047),('US',1650458624,1652293631),('CA',1652293632,1652310015),('US',1652310016,1652318207),('US',1652326400,1665138687),('US',1669332992,1674575871),('CA',1674575872,1677721599),('AU',1879048192,1879048447),('AU',1882324992,1882327039),('ES',1883218548,1883218551),('FR',1883218552,1883218555),('BE',1883218580,1883218583),('AU',1895759872,1912602623),('ID',1912602624,1913651199),('JP',1913651200,1913913343),('TW',1914175488,1914437631),('CN',1914437632,1914503167),('KR',1914503168,1914552319),('SG',1914552320,1914560511),('KH',1914560512,1914568703),('KR',1914568704,1914576895),('TW',1914576896,1914580991),('KR',1914580992,1914585087),('AU',1914585088,1914587135),('IN',1914587136,1914589183),('ID',1914589184,1914593279),('AU',1914593280,1914601471),('KR',1914601472,1914634239),('BD',1914634240,1914642431),('KR',1914642432,1914650623),('MN',1914650624,1914652671),('AU',1914652672,1914654719),('JP',1914654720,1914658815),('AU',1914658816,1914660863),('KR',1914662912,1914667007),('IN',1914667008,1914683391),('AU',1914683392,1914687487),('IN',1914691584,1914695679),('ID',1914695680,1914697727),('IN',1914697728,1914699775),('TW',1914699776,1915748351),('JP',1915748352,1916010495),('KR',1916010496,1916141567),('CN',1916141568,1916272639),('ID',1916272640,1916534783),('CN',1916534784,1917124607),('JP',1917124608,1917169663),('NC',1917169664,1917177855),('IN',1917181952,1917190143),('KR',1917190144,1917321215),('AU',1917321216,1917845503),('CN',1917845504,1919680511),('KR',1919680512,1919729663),('PH',1919729664,1919746047),('TH',1919746048,1919811583),('CN',1919811584,1919815679),('ID',1919815680,1919817727),('KR',1919817728,1919819775),('NZ',1919819776,1919821823),('JP',1919823872,1919827967),('CN',1919827968,1919844351),('CN',1919877120,1919885311),('KR',1919885312,1919893503),('JP',1919893504,1919909887),('AU',1919909888,1919913983),('CN',1919918080,1919926271),('KR',1919926272,1919942655),('CN',1919942656,1920466943),('ID',1920466944,1920991231),('TH',1920991232,1921056767),('JP',1921056768,1921058815),('BD',1921058816,1921060863),('ID',1921060864,1921062911),('LA',1921062912,1921064959),('SG',1921064960,1921069055),('JP',1921069056,1921073151),('KR',1921073152,1921089535),('AU',1921089536,1921097727),('KR',1921105920,1921122303),('BD',1921122304,1921187839),('CN',1921253376,1921318911),('MY',1921318912,1921384447),('NZ',1921384448,1921388543),('JP',1921392640,1921400831),('ID',1921400832,1921404927),('HK',1921404928,1921406975),('BD',1921406976,1921409023),('JP',1921409024,1921413119),('JP',1921417216,1921425407),('NZ',1921425408,1921433599),('JP',1921433600,1921449983),('CN',1921449984,1921515519),('TW',1921515520,1921646591),('CN',1921646592,1921777663),('TW',1921777664,1921843199),('KR',1921843200,1921851391),('JP',1921851392,1921853439),('KR',1921853440,1921855487),('ID',1921855488,1921859583),('IN',1921859584,1921861631),('SG',1921861632,1921863679),('BD',1921863680,1921865727),('ID',1921865728,1921867775),('AU',1921867776,1921871871),('CN',1921875968,1921892351),('AU',1921892352,1921896447),('KR',1921900544,1921908735),('JP',1921908736,1921943551),('IN',1921943552,1921945599),('HK',1921945600,1921949695),('AU',1921949696,1921953791),('GU',1921957888,1921966079),('IN',1921974272,1922039807),('JP',1922039808,1925447679),('CN',1925447680,1925578751),('AU',1925578752,1925595135),('PH',1925611520,1925619711),('TW',1925619712,1925627903),('JP',1925627904,1925638143),('SA',1925638144,1925638399),('PK',1925638400,1925638655),('KW',1925638656,1925638911),('EG',1925638912,1925639167),('AE',1925639168,1925639423),('EG',1925639424,1925639679),('KW',1925639680,1925639935),('SA',1925639936,1925640191),('ID',1925640192,1925642239),('AU',1925642240,1925644287),('KR',1925644288,1925660671),('HK',1925660672,1925664767),('ID',1925664768,1925677055),('KR',1925677056,1926234111),('CN',1926234112,1929379839),('KR',1929379840,1930952703),('CN',1930952704,1931345919),('JP',1931345920,1931354111),('AU',1931354112,1931362303),('TW',1931362304,1931378687),('JP',1931378688,1931427839),('PH',1931427840,1931431935),('JP',1931431936,1931433983),('AU',1931433984,1931436031),('KR',1931436032,1931444223),('TH',1931444224,1931460607),('JP',1931460608,1931468799),('SG',1931468800,1931476991),('CN',1931476992,1931739135),('JP',1931739136,1932001279),('KR',1932001280,1932132351),('AU',1932132352,1932148735),('PK',1932148736,1932152831),('JP',1932156928,1932161023),('TW',1932161024,1932163071),('PH',1932163072,1932165119),('SG',1932165120,1932197887),('TW',1932197888,1932263423),('CN',1932263424,1933574143),('AU',1933574144,1933639679),('JP',1933639680,1933705215),('SG',1933705216,1933770751),('TH',1933770752,1933836287),('KR',1933836288,1933901823),('AU',1933901824,1933910015),('KH',1933918208,1933922303),('IN',1933922304,1933926399),('KR',1933926400,1933934591),('IN',1933934592,1933942783),('AU',1933942784,1933950975),('JP',1933950976,1933955071),('BD',1933955072,1933957119),('ID',1933957120,1933959167),('JP',1933959168,1933963263),('IN',1933963264,1933967359),('AU',1933967360,1934032895),('VN',1934098432,1934622719),('TW',1934622720,1934884863),('CN',1934884864,1934901247),('LA',1934901248,1934917631),('MV',1934917632,1934925823),('KR',1934925824,1934927871),('PH',1934927872,1934929919),('VN',1934929920,1934931967),('JP',1934931968,1934934015),('CN',1934934016,1934942207),('PH',1934942208,1934966783),('ID',1934966784,1934974975),('JP',1934974976,1934983167),('AU',1934983168,1934985215),('KR',1935015936,1935081471),('TH',1935081472,1935147007),('KR',1935147008,1935671295),('IN',1935671296,1935933439),('CN',1935933440,1936457727),('IN',1936457728,1937244159),('ID',1946157056,1946159103),('MY',1946159104,1946161151),('AU',1946161152,1946163199),('HK',1946163200,1946165247),('PK',1946165248,1946173439),('MY',1946173440,1946173503),('SG',1946173504,1946173535),('AP',1946173536,1946173567),('HK',1946173568,1946173631),('AP',1946173632,1946173663),('PH',1946173664,1946173679),('TW',1946173680,1946173687),('AP',1946173688,1946173695),('TW',1946173696,1946173951),('AP',1946173952,1946174463),('SG',1946174464,1946174720),('AP',1946174721,1946175487),('SY',1946175488,1946176511),('PH',1946176512,1946176767),('AP',1946176768,1946177535),('SG',1946177536,1946177791),('AP',1946177792,1946181631),('MY',1946181632,1946189823),('JP',1946189824,1946222591),('CN',1946222592,1946943487),('JP',1946943488,1946951679),('BD',1946951680,1946953727),('ID',1946953728,1946955775),('SG',1946955776,1946957823),('LK',1946959872,1946976255),('SG',1946976256,1947009023),('CN',1947009024,1947074559),('SG',1947074560,1947205631),('CN',1947205632,1948254207),('KR',1948254208,1949302783),('HK',1949302784,1949433855),('IN',1949433856,1949435903),('HK',1949435904,1949437951),('AU',1949437952,1949439999),('ID',1949440000,1949442047),('TW',1949442048,1949446143),('JP',1949446144,1949448191),('AU',1949448192,1949450239),('IN',1949450240,1949466623),('PH',1949466624,1949499391),('SG',1949499392,1949564927),('CN',1949564928,1949958143),('PK',1949958144,1949990911),('CN',1949990912,1949995007),('JP',1949995008,1950007295),('ID',1950007296,1950009343),('CN',1950011392,1950015487),('TH',1950015488,1950023679),('TW',1950023680,1950089215),('CN',1950089216,1950351359),('JP',1950351360,1950482431),('CN',1950482432,1950515199),('US',1950515200,1950518271),('IN',1950518272,1950518783),('NL',1950518784,1950519295),('IN',1950519296,1950523391),('AU',1950523392,1950527487),('NP',1950531584,1950533631),('ID',1950533632,1950535679),('HK',1950535680,1950539775),('AU',1950539776,1950541823),('NZ',1950543872,1950545919),('PH',1950545920,1950547967),('KR',1950547968,1950580735),('GU',1950613504,1950617599),('KR',1950621696,1950629887),('IN',1950629888,1950646271),('VN',1950646272,1950648319),('PH',1950648320,1950650367),('TH',1950650368,1950654463),('ID',1950654464,1950658559),('BD',1950662656,1950666751),('NP',1950666752,1950668799),('JP',1950668800,1950670847),('ID',1950670848,1950672895),('KR',1950672896,1950674943),('IN',1950674944,1950676991),('ID',1950676992,1950679039),('CN',1950679040,1950777343),('JP',1950777344,1950793727),('PK',1950810112,1950875647),('IN',1950875648,1951137791),('CN',1951137792,1951399935),('JP',1951399936,1951662079),('KR',1951662080,1951727615),('SG',1951793152,1952022527),('TW',1952022528,1952026623),('CN',1952026624,1952030719),('KR',1952030720,1952038911),('JP',1952038912,1952043007),('NZ',1952047104,1952051199),('HK',1952071680,1952073727),('CN',1952075776,1952079871),('PK',1952079872,1952088063),('NZ',1952088064,1952090111),('JP',1952092160,1952096255),('ID',1952096256,1952102399),('CN',1952102400,1952104447),('JP',1952104448,1952108543),('ID',1952108544,1952110591),('KR',1952110592,1952112639),('NP',1952112640,1952116735),('IN',1952116736,1952120831),('JP',1952120832,1952186367),('HK',1952186368,1952251903),('PH',1952251904,1952284671),('NZ',1952284672,1952288767),('KR',1952301056,1952317439),('JP',1952317440,1952382975),('CN',1952382976,1952448511),('VN',1952448512,1953497087),('CN',1953497088,1953890303),('VN',1953890304,1953923071),('TW',1953923072,1953939455),('JP',1953939456,1953951743),('AU',1953951744,1953955839),('IN',1953955840,1954021375),('KR',1954021376,1954545663),('CN',1954545664,1958805503),('SG',1958805504,1958807551),('MO',1958807552,1958809599),('CN',1958809600,1958821887),('VN',1958821888,1958825983),('KR',1958825984,1958830079),('JP',1958830080,1958838271),('IN',1958838272,1958842367),('NZ',1958842368,1958844415),('IN',1958846464,1958848511),('BD',1958848512,1958850559),('AU',1958850560,1958852607),('AU',1958854656,1958862847),('CN',1958871040,1959067647),('MY',1959067648,1959100415),('ID',1959100416,1959102463),('JP',1959102464,1959104511),('AU',1959104512,1959106559),('NP',1959108608,1959110655),('JP',1959110656,1959112703),('HK',1959112704,1959116799),('SG',1959116800,1959133183),('CN',1959133184,1959239679),('KR',1959239680,1959241727),('JP',1959243776,1959247871),('ID',1959247872,1959251967),('NZ',1959251968,1959254015),('AU',1959256064,1959260159),('KR',1959264256,1959395327),('CN',1959526400,1959657471),('MY',1959657472,1959723007),('CN',1959723008,1960050687),('KR',1960050688,1960058879),('AU',1960067072,1960069119),('ID',1960069120,1960071167),('TW',1960071168,1960075263),('ID',1960075264,1960077311),('BD',1960077312,1960079359),('HK',1960079360,1960080127),('CN',1960080128,1960080383),('HK',1960080384,1960083455),('KH',1960083456,1960091647),('CN',1960091648,1960095743),('IN',1960095744,1960097791),('BD',1960097792,1960099839),('AU',1960099840,1960108031),('AU',1960116224,1960132607),('CN',1960132608,1960181759),('TW',1960181760,1960185855),('JP',1960185856,1960187903),('IN',1960187904,1960189951),('CN',1960189952,1960202239),('JP',1960202240,1960206335),('SG',1960206336,1960207359),('PH',1960207360,1960207615),('SG',1960207616,1960208383),('HK',1960208384,1960208639),('SG',1960208640,1960210431),('ID',1960210432,1960210687),('TH',1960210688,1960210943),('IN',1960210944,1960211455),('AU',1960211456,1960211967),('TH',1960211968,1960212223),('AU',1960212224,1960212479),('CN',1960212480,1960212991),('IN',1960212992,1960213247),('PH',1960213248,1960213503),('CN',1960213504,1960213759),('SG',1960213760,1960214527),('CN',1960214528,1960574975),('JP',1960574976,1960837119),('CN',1960837120,1961885695),('AU',1961885696,1961951231),('CN',1962016768,1962541055),('AU',1962541056,1962606591),('CN',1962672128,1962803199),('JP',1962803200,1962827775),('ID',1962827776,1962829823),('JP',1962829824,1962831871),('ID',1962831872,1962835967),('CN',1962835968,1962868735),('AU',1962868736,1962885119),('CN',1962901504,1962934271),('VN',1962934272,1963458559),('CN',1963458560,1963982847),('KR',1963982848,1964113919),('HK',1964113920,1964118015),('ID',1964118016,1964120063),('JP',1964120064,1964122111),('SG',1964122112,1964126207),('HK',1964126208,1964126463),('SG',1964126464,1964130303),('HK',1964130304,1964134399),('NZ',1964134400,1964136447),('HK',1964138496,1964146687),('JP',1964146688,1964171263),('BD',1964171264,1964173311),('AP',1964173312,1964175359),('PK',1964175360,1964179455),('TW',1964179456,1964244991),('AU',1964244992,1964249087),('PK',1964249088,1964253183),('WF',1964253184,1964255231),('SG',1964255232,1964257279),('ID',1964257280,1964261375),('AU',1964261376,1964263423),('JP',1964263424,1964265471),('KR',1964265472,1964273663),('KH',1964273664,1964275711),('GU',1964275712,1964277759),('SG',1964277760,1964294143),('KR',1964294144,1964310527),('CN',1964310528,1965948927),('JP',1965948928,1966014463),('TH',1966014464,1966079999),('CN',1966080000,1966342143),('AU',1966342144,1966407679),('JP',1966407680,1966417919),('CN',1966419968,1966424063),('KR',1966424064,1966440447),('AU',1966440448,1966444543),('NZ',1966444544,1966446591),('AU',1966448640,1966452735),('CN',1966452736,1966456831),('KR',1966456832,1966473215),('ID',1966473216,1966538751),('JP',1966538752,1966571519),('KR',1966571520,1966587903),('AF',1966587904,1966591999),('JP',1966592000,1966596095),('AU',1966596096,1966600191),('IN',1966600192,1966602239),('KH',1966602240,1966604287),('TW',1966604288,1966669823),('CN',1966669824,1966768127),('KR',1966768128,1966772223),('JP',1966772224,1966776319),('SG',1966776320,1966784511),('PH',1966784512,1966792703),('JP',1966792704,1966796799),('BD',1966796800,1966798847),('AU',1966798848,1966800895),('CN',1966800896,1967783935),('JP',1967783936,1967800319),('CN',1967800320,1967804415),('KH',1967804416,1967808511),('AU',1967808512,1967812607),('ID',1967812608,1967816703),('CN',1967816704,1969225727),('IN',1969225728,1969487871),('CN',1969487872,1969618943),('PK',1969618944,1969635327),('ID',1969635328,1969651711),('AU',1969651712,1969659903),('ID',1969659904,1969661951),('JP',1969661952,1969676287),('ID',1969676288,1969688575),('CN',1969688576,1969692671),('ID',1969692672,1969694719),('PH',1969694720,1969696767),('ID',1969696768,1969702911),('AU',1969702912,1969704959),('BD',1969704960,1969707007),('MH',1969707008,1969709055),('TW',1969709056,1969713151),('AU',1969713152,1969715199),('CN',1969717248,1969721343),('HK',1969721344,1969725439),('JP',1969725440,1969727487),('ID',1969727488,1969729535),('JP',1969729536,1969733631),('VN',1969733632,1969750015),('JP',1969750016,1969790975),('AU',1969790976,1969793023),('AP',1969793024,1969795071),('NZ',1969795072,1969797119),('ID',1969799168,1969807359),('AF',1969807360,1969809407),('IN',1969809408,1969811455),('PH',1969811456,1969815551),('SG',1969815552,1969881087),('CN',1969881088,1970012159),('JP',1970012160,1970143231),('KR',1970143232,1970274303),('CN',1970274304,1970798591),('SG',1970798592,1970800639),('AU',1970800640,1970804735),('KH',1970804736,1970806783),('NZ',1970806784,1970808831),('JP',1970810880,1970812927),('LK',1970812928,1970814975),('CN',1970814976,1970915327),('ID',1970915328,1970917375),('TH',1970917376,1970921471),('NP',1970921472,1970925567),('SG',1970925568,1970926079),('AU',1970926080,1970926335),('US',1970926336,1970926591),('SG',1970926592,1970927615),('AU',1970927616,1970929663),('VN',1970929664,1970962431),('CN',1970962432,1970995199),('KR',1970995200,1971060735),('CN',1971060736,1975517183),('IN',1975517184,1979711487),('JP',1979711488,1981284351),('CN',1981284352,1981808639),('KR',1981808640,1983905791),('CN',1983905792,1984102399),('AU',1984102400,1984118783),('JP',1984118784,1984131071),('CN',1984131072,1984135167),('KR',1984135168,1984151551),('KH',1984153600,1984155647),('AU',1984155648,1984159743),('IN',1984159744,1984167935),('VN',1984167936,1984430079),('CN',1984430080,1985085439),('ID',1985085440,1985093631),('AU',1985093632,1985097727),('JP',1985101824,1985118207),('NZ',1985118208,1985134591),('JP',1985150976,1985216511),('CN',1985216512,1985347583),('JP',1985347584,1985478655),('IN',1985478656,1985480703),('PH',1985480704,1985482751),('AU',1985482752,1985484799),('CN',1985486848,1985609727),('NZ',1985609728,1985675263),('KR',1985675264,1985708031),('NP',1985716224,1985720319),('IN',1985720320,1985724415),('JP',1985724416,1985732607),('ID',1985732608,1985734655),('IN',1985734656,1985736703),('CN',1985736704,1985740799),('NZ',1985740800,1985871871),('IN',1985871872,1986002943),('ID',1986002944,1986265087),('MY',1986265088,1986396159),('VN',1986396160,1986398207),('HK',1986398208,1986400255),('CN',1986400256,1986404351),('PH',1986404352,1986406399),('JP',1986406400,1986412543),('AU',1986412544,1986428927),('IN',1986428928,1986461695),('JP',1986461696,1986496511),('BT',1986496512,1986498559),('HK',1986498560,1986502655),('KH',1986502656,1986510847),('KR',1986510848,1986519039),('PK',1986519040,1986523135),('CN',1986523136,1986525183),('BN',1986525184,1986527231),('JP',1986527232,1986723839),('AU',1986723840,1986740223),('PK',1986756608,1986760703),('AU',1986760704,1986762751),('KR',1986764800,1986768895),('AU',1986768896,1986772991),('MY',1986772992,1986789375),('JP',1986789376,1987051519),('CN',1987051520,1988034559),('AU',1988034560,1988083711),('KR',1988083712,1988362239),('CN',1988362240,1988624383),('ID',1988624384,1988755455),('AU',1988755456,1988886527),('HK',1988886528,1989148671),('CN',1989148672,1989410815),('NZ',1989410816,1989541887),('JP',1989672960,1990197247),('TW',1990197248,1990983679),('TH',1990983680,1991245823),('KR',1991245824,1991311359),('JP',1991311360,1991376895),('CN',1991376896,1991442431),('BD',1991442432,1991507967),('CN',1991507968,1993342975),('AU',1993342976,1993408511),('CN',1993605120,1993736191),('SG',1993736192,1993867263),('KR',1993867264,1994391551),('CN',1994391552,1994850303),('TW',1994850304,1995046911),('KR',1995046912,1995177983),('JP',1995177984,1995374591),('CN',1995374592,1995440127),('JP',1995440128,1995571199),('CN',1995571200,1995636735),('JP',1995636736,1995702271),('CN',1995702272,1996627967),('PH',1996627968,1996630015),('ID',1996630016,1996634111),('NP',1996634112,1996636159),('ID',1996636160,1996644351),('BT',1996644352,1996652543),('CN',1996652544,1997176831),('AU',1997176832,1997180927),('JP',1997185024,1997187071),('HK',1997187072,1997189119),('ID',1997189120,1997191167),('JP',1997193216,1997209599),('AU',1997209600,1997242367),('AU',1997275136,1997406207),('TW',1997406208,1997471743),('NZ',1997471744,1997479935),('AU',1997488128,1997490175),('KH',1997492224,1997496319),('AU',1997496320,1997500415),('ID',1997504512,1997506559),('CN',1997506560,1997508607),('JP',1997508608,1997510655),('BD',1997510656,1997512703),('VN',1997512704,1997520895),('TW',1997520896,1997537279),('CN',1997537280,1997602815),('KR',1997602816,1997635583),('AU',1997635584,1997643775),('VN',1997651968,1997668351),('AU',1997668352,1997684735),('VN',1997701120,1997705215),('BD',1997705216,1997707263),('ID',1997707264,1997709311),('JP',1997709312,1997715455),('VN',1997715456,1997717503),('CN',1997717504,1997723647),('JP',1997723648,1997725695),('CN',1997725696,1998061567),('JP',1998061568,1998258175),('SG',1998258176,1998274559),('CN',1998274560,1998290943),('PH',1998290944,1998299135),('CN',1998299136,1998454783),('AU',1998454784,1998456831),('TW',1998458880,1998462975),('BD',1998462976,1998467071),('CN',1998467072,1998471167),('PK',1998471168,1998487551),('KR',1998487552,1998503935),('JP',1998503936,1998520319),('TH',1998520320,1998553087),('JP',1998553088,1998561279),('IN',1998561280,1998565375),('TW',1998565376,1998569471),('CN',1998569472,1998577663),('AU',1998577664,1998581759),('KR',1998581760,1998585855),('CN',1998585856,1999130623),('BD',1999130624,1999134719),('MN',1999134720,1999136767),('AU',1999136768,1999138815),('MY',1999138816,1999142911),('CN',1999142912,1999249407),('TH',1999257600,1999276031),('CN',1999276032,1999278079),('HK',1999278080,1999280127),('IN',1999280128,1999282175),('KR',1999282176,1999290367),('SG',1999290368,1999298559),('CN',1999298560,1999306751),('IN',1999306752,1999372287),('CN',1999372288,1999503359),('TH',1999503360,1999568895),('JP',1999568896,1999589375),('HK',1999589376,1999591423),('ID',1999591424,1999593471),('JP',1999593472,1999597567),('NZ',1999597568,1999599615),('JP',1999601664,1999634431),('CN',1999634432,2000158719),('SG',2000158720,2000191487),('CN',2000224256,2000355327),('KR',2000355328,2000371711),('JP',2000371712,2000373759),('HK',2000373760,2000375807),('AF',2000375808,2000377855),('JP',2000377856,2000379903),('CN',2000388096,2000617471),('PH',2000617472,2000621567),('JP',2000621568,2000625663),('CN',2000625664,2000633855),('TH',2000633856,2000642047),('HK',2000642048,2000646143),('JP',2000646144,2000650239),('PK',2000650240,2000654335),('JP',2000658432,2000668671),('AU',2000668672,2000674815),('KR',2000674816,2001207295),('JP',2001207296,2001272831),('PK',2001272832,2001305599),('SG',2001305600,2001420287),('KR',2001420288,2001453055),('SG',2001453056,2001457151),('CN',2001457152,2001461247),('JP',2001461248,2001465343),('TW',2001465344,2001469439),('TH',2001469440,2001534975),('AU',2001534976,2001559551),('KR',2001559552,2001567743),('TW',2001567744,2001600511),('CN',2001600512,2001862655),('AU',2001862656,2001864703),('JP',2001866752,2001870847),('KR',2001870848,2001879039),('IN',2001879040,2001895423),('VN',2001895424,2001899519),('AU',2001899520,2001901567),('JP',2001903616,2001915903),('BD',2001915904,2001919999),('ID',2001920000,2001926143),('KH',2001926144,2001928191),('JP',2001928192,2001993727),('CN',2001993728,2002518015),('PH',2002518016,2002780159),('CN',2002780160,2003304447),('JP',2003304448,2003566591),('CN',2003566592,2003697663),('MY',2003697664,2003714047),('ID',2003714048,2003720191),('JP',2003720192,2003722239),('MY',2003722240,2003726335),('ID',2003726336,2003730431),('MY',2003730432,2003763199),('PH',2003763200,2003828735),('CN',2003828736,2006188031),('BD',2006188032,2006204415),('AU',2006204416,2006212607),('TH',2006212608,2006214655),('JP',2006214656,2006216703),('KR',2006216704,2006228991),('CN',2006228992,2006233087),('PH',2006233088,2006237183),('JP',2006237184,2006253567),('KR',2006253568,2006319103),('JP',2006319104,2006384639),('IN',2006384640,2006450175),('PK',2006450176,2007007231),('BN',2007007232,2007023615),('IN',2007023616,2007025663),('ID',2007025664,2007027711),('TH',2007027712,2007031807),('AU',2007031808,2007033855),('TW',2007035904,2007039999),('KR',2007040000,2007048191),('AU',2007048192,2007052287),('AU',2007056384,2007064575),('MY',2007064576,2007066623),('JP',2007066624,2007070719),('US',2007070720,2007072767),('CN',2007072768,2007498751),('JP',2007498752,2008023039),('CN',2008023040,2009071615),('KR',2009071616,2011168767),('NZ',2011168768,2011234303),('AU',2011234304,2011299839),('IN',2011299840,2011430911),('JP',2011430912,2011693055),('CN',2011693056,2011824127),('SG',2011824128,2011889663),('LK',2011889664,2011893759),('ID',2011893760,2011897855),('NZ',2011897856,2011899903),('HK',2011899904,2011901951),('IN',2011901952,2011906047),('FJ',2011906048,2011922431),('CN',2011922432,2011938815),('KR',2011938816,2011942911),('ID',2011942912,2011947007),('JP',2011947008,2011951103),('KR',2011951104,2011953151),('ID',2011953152,2011955199),('HK',2011955200,2012086271),('JP',2012086272,2012610559),('HK',2012610560,2012741631),('CN',2012741632,2013003775),('AU',2013003776,2013036543),('ID',2013036544,2013038591),('HK',2013038592,2013040639),('IN',2013040640,2013044735),('ID',2013044736,2013048831),('AU',2013048832,2013050879),('IN',2013052928,2013061119),('PG',2013061120,2013065215),('CN',2013069312,2014314495),('AU',2014314496,2014838783),('CN',2014838784,2015100927),('PH',2015100928,2015166463),('AU',2015166464,2015182847),('KR',2015199232,2015203327),('JP',2015203328,2015205375),('ID',2015205376,2015207423),('JP',2015207424,2015215615),('HK',2015215616,2015216127),('CA',2015216128,2015217663),('GU',2015217664,2015219456),('CA',2015219457,2015223807),('ID',2015223808,2015225855),('IN',2015225856,2015227903),('AU',2015227904,2015229951),('CN',2015232000,2016542719),('BD',2016542720,2016550911),('SG',2016550912,2016555007),('MY',2016555008,2016559103),('KR',2016559104,2016583679),('JP',2016583680,2016585727),('BD',2016587776,2016589823),('VN',2016589824,2016591871),('JP',2016591872,2016673791),('CN',2016673792,2016935935),('IN',2016935936,2017460223),('CN',2017460224,2017984511),('JP',2017984512,2017988607),('PH',2017988608,2017992703),('CN',2017992704,2018000895),('JP',2018000896,2018004991),('VN',2018004992,2018007039),('IN',2018007040,2018009087),('VN',2018009088,2018017279),('CN',2018017280,2018050047),('KR',2018050048,2018115583),('JP',2018115584,2018246655),('CN',2018246656,2019033087),('AU',2019033088,2019035135),('JP',2019037184,2019041279),('IN',2019041280,2019045375),('AU',2019049472,2019057663),('AU',2019065856,2019082239),('PH',2019098624,2019115007),('US',2019115008,2019117055),('IN',2019117056,2019119103),('NZ',2019119104,2019121151),('NP',2019123200,2019131391),('JP',2019131392,2019164159),('CN',2019164160,2019360767),('JP',2019360768,2019426303),('CN',2019426304,2019557375),('TW',2019557376,2021654527),('CN',2021654528,2022178815),('NZ',2022178816,2022180863),('ID',2022182912,2022184959),('KH',2022184960,2022187007),('HK',2022187008,2022191103),('NZ',2022191104,2022193151),('KR',2022195200,2022211583),('CN',2022211584,2022227967),('JP',2022227968,2022244351),('CN',2022244352,2022277119),('JP',2022277120,2022309887),('PH',2022309888,2022313983),('NZ',2022313984,2022316031),('AU',2022318080,2022326271),('VN',2022326272,2022330367),('MY',2022330368,2022334463),('IN',2022334464,2022342655),('JP',2022342656,2022359039),('IN',2022359040,2022375423),('MY',2022375424,2022572031),('KR',2022572032,2022637567),('JP',2022637568,2022670335),('PH',2022670336,2022678527),('KR',2022678528,2022703103),('AU',2022703104,2023751679),('ID',2023751680,2025848831),('CN',2025848832,2030043135),('AU',2030043136,2030045183),('BD',2030045184,2030047231),('CN',2030047232,2030051327),('JP',2030051328,2030059519),('KR',2030059520,2030108671),('PH',2030108672,2030125055),('KR',2030125056,2030141439),('JP',2030141440,2030305279),('CN',2030305280,2030436351),('SG',2030436352,2030567423),('CN',2030567424,2032926719),('AU',2032926720,2033057791),('CN',2033057792,2033319935),('IN',2033319936,2033321983),('KR',2033324032,2033328127),('ID',2033328128,2033330175),('JP',2033330176,2033336319),('KR',2033336320,2033352703),('ID',2033352704,2033356799),('TW',2033356800,2033358847),('JP',2033358848,2033362943),('TH',2033362944,2033364991),('TW',2033364992,2033369087),('AU',2033369088,2033377279),('PH',2033377280,2033385471),('CN',2033385472,2033451007),('ID',2033451008,2033487871),('PK',2033487872,2033491967),('CN',2033491968,2033500159),('AU',2033500160,2033502207),('SG',2033502208,2033504255),('CN',2033504256,2033516543),('KR',2033516544,2033582079),('PH',2033582080,2033614847),('AU',2033614848,2033623039),('PH',2033623040,2033625087),('HK',2033625088,2033627135),('NZ',2033627136,2033629183),('KR',2033631232,2033647615),('CN',2033647616,2033663999),('KR',2033664000,2033696767),('GU',2033696768,2033713151),('CN',2033713152,2033876991),('JP',2033876992,2033879039),('ID',2033879040,2033881087),('CN',2033881088,2033885183),('AF',2033885184,2033887231),('IN',2033887232,2033889279),('JP',2033889280,2033891327),('ID',2033891328,2033893375),('PH',2033893376,2033909759),('CN',2033909760,2034213775),('FR',2034213776,2034213779),('DE',2034213780,2034213783),('CN',2034213784,2034213787),('SL',2034213788,2034213791),('CN',2034213792,2034237439),('KR',2034237440,2034499583),('CN',2034499584,2034761727),('NZ',2034761728,2035023871),('CN',2035023872,2035154943),('KR',2035154944,2035220479),('AU',2035220480,2035253247),('CN',2035253248,2035269631),('NZ',2035269632,2035277823),('JP',2035286016,2035810303),('KR',2035810304,2035875839),('CN',2035875840,2035941375),('NZ',2035941376,2036006911),('AU',2036006912,2036072447),('JP',2036072448,2036334591),('PH',2036334592,2036465663),('NZ',2036465664,2036531199),('ID',2036596736,2036598783),('JP',2036598784,2036600831),('ID',2036600832,2036604927),('SG',2036604928,2036609023),('AF',2036609024,2036611071),('KR',2036613120,2036629503),('CN',2036629504,2036662271),('AU',2036662272,2036678655),('ID',2036695040,2036697087),('AU',2036697088,2036699135),('IN',2036699136,2036703231),('AU',2036703232,2036705279),('HK',2036705280,2036707327),('MN',2036707328,2036709375),('ID',2036709376,2036711423),('KR',2036711424,2036715519),('CN',2036715520,2036719615),('KR',2036719616,2036727807),('JP',2036727808,2037907455),('MY',2037907456,2038169599),('KR',2038169600,2038366207),('PH',2038366208,2038374399),('AF',2038374400,2038382591),('KR',2038382592,2038415359),('AU',2038415360,2038423551),('HK',2038423552,2038431743),('KR',2038431744,2042626047),('CN',2042626048,2043150335),('AU',2043150336,2043166719),('KR',2043166720,2043183103),('JP',2043183104,2043199487),('BD',2043199488,2043201535),('JP',2043201536,2043203583),('AU',2043203584,2043205631),('AU',2043207680,2043211775),('CN',2043215872,2043281407),('HK',2043281408,2043412479),('CN',2043412480,2043674623),('AU',2043674624,2044723199),('CN',2044723200,2045771775),('IN',2045771776,2046296063),('CN',2046296064,2046558207),('KR',2046558208,2046705663),('TW',2046705664,2046722047),('KR',2046722048,2046754815),('CN',2046754816,2046820351),('TH',2046820352,2046822399),('KR',2046822400,2046824447),('MY',2046824448,2046828543),('KR',2046828544,2046836735),('CN',2046836736,2046885887),('JP',2046885888,2046951423),('PH',2046951424,2047082495),('CN',2047082496,2047868927),('JP',2047868928,2048917503),('KR',2048917504,2049966079),('CN',2049966080,2050047999),('KR',2050048000,2050064383),('AU',2050064384,2050080767),('JP',2050080768,2050082815),('AU',2050082816,2050084863),('PH',2050084864,2050088959),('ID',2050088960,2050091007),('JP',2050091008,2050097151),('SG',2050097152,2050101247),('JP',2050101248,2050113535),('SG',2050113536,2050129919),('IN',2050129920,2050162687),('CN',2050162688,2050228223),('PH',2050228224,2050490367),('NZ',2050490368,2050621439),('CN',2051014656,2053242879),('IN',2053242880,2053308415),('TW',2053308416,2053324799),('AU',2053324800,2053332991),('BD',2053332992,2053335039),('JP',2053335040,2053337087),('AU',2053337088,2053339135),('KR',2053341184,2053373951),('AU',2053373952,2053378047),('JP',2053378048,2053380095),('KR',2053382144,2053390335),('TW',2053390336,2053406719),('MO',2053406720,2053439487),('KR',2053439488,2053505023),('CN',2053505024,2053509119),('AU',2053509120,2053511167),('BD',2053513216,2053515263),('ID',2053517312,2053519359),('BD',2053519360,2053521407),('CN',2053521408,2053529599),('AU',2053529600,2053533695),('JP',2053537792,2053636095),('AU',2053636096,2054160383),('CN',2054160384,2054422527),('TW',2054422528,2054619135),('CN',2054619136,2054684671),('TW',2054684672,2055208959),('JP',2055208960,2055213055),('ID',2055213056,2055217151),('KR',2055217152,2055229439),('TW',2055229440,2055231487),('AU',2055231488,2055233535),('NP',2055233536,2055235583),('HK',2055235584,2055237631),('JP',2055237632,2055239679),('VU',2055239680,2055241727),('KR',2055241728,2055274495),('AU',2055274496,2055290879),('AU',2055307264,2055315455),('ID',2055323648,2055327743),('KR',2055327744,2055329791),('JP',2055331840,2055335935),('KR',2055335936,2055340031),('JP',2055340032,2055733247),('CN',2055733248,2056257535),('ID',2056257536,2056259583),('BD',2056259584,2056261631),('IN',2056261632,2056263679),('TH',2056263680,2056265727),('TW',2056265728,2056273919),('PH',2056273920,2056290303),('CN',2056290304,2056323071),('JP',2056323072,2056388607),('TW',2056388608,2056519679),('AU',2056519680,2056650751),('JP',2056781824,2056794111),('BD',2056794112,2056796159),('JP',2056798208,2056806399),('JP',2056814592,2056815167),('HK',2056815168,2056815195),('JP',2056815196,2056815215),('HK',2056815216,2056815295),('JP',2056815296,2056815335),('HK',2056815336,2056815615),('AU',2056815616,2056816031),('NZ',2056816032,2056816047),('AU',2056816048,2056816095),('JP',2056816096,2056816639),('SG',2056816640,2056816815),('JP',2056816816,2056816831),('SG',2056816832,2056816895),('JP',2056816896,2056817151),('HK',2056817152,2056817407),('JP',2056817408,2056818223),('SG',2056818224,2056818239),('JP',2056818240,2056818303),('SG',2056818304,2056818559),('JP',2056818560,2056819711),('AU',2056819712,2056819759),('JP',2056819760,2056819775),('AU',2056819776,2056819791),('JP',2056819792,2056819807),('AU',2056819808,2056819839),('JP',2056819840,2056826623),('HK',2056826624,2056826879),('JP',2056826880,2056827935),('HK',2056827936,2056827965),('JP',2056827966,2056830271),('HK',2056830272,2056830275),('JP',2056830276,2056830975),('CN',2056830976,2056847359),('KR',2056847360,2056912895),('TH',2056912896,2057043967),('CN',2057043968,2057306111),('IN',2057306112,2059403263),('CN',2059403264,2059665407),('JP',2059665408,2059796479),('CN',2059796480,2059862015),('AU',2059862016,2059878399),('KR',2059878400,2059927551),('ID',2059927552,2059931647),('IN',2059931648,2059933695),('AU',2059933696,2059935743),('JP',2059935744,2059937791),('BD',2059937792,2059939839),('ID',2059939840,2059941887),('AU',2059941888,2059943935),('CN',2059943936,2059960319),('AU',2059960320,2059964415),('ID',2059964416,2059966463),('TW',2059966464,2059968511),('AU',2059968512,2059972607),('JP',2059976704,2059995135),('VN',2059995136,2059997183),('MN',2059997184,2060001279),('HK',2060001280,2060005375),('AU',2060009472,2060017663),('TW',2060025856,2060058623),('JP',2060062720,2060066815),('KR',2060066816,2060075007),('AU',2060075008,2060079103),('KR',2060091392,2060189695),('CN',2060189696,2060451839),('JP',2060451840,2061500415),('CN',2061500416,2063073279),('BD',2063073280,2063077375),('HK',2063077376,2063081471),('BD',2063081472,2063085567),('CN',2063085568,2063089663),('JP',2063089664,2063097855),('SG',2063106048,2063107355),('JP',2063107356,2063107359),('SG',2063107360,2063107423),('JP',2063107424,2063107455),('SG',2063107456,2063107575),('JP',2063107576,2063107583),('SG',2063107584,2063107615),('JP',2063107616,2063108095),('HK',2063108096,2063109119),('JP',2063109120,2063109375),('HK',2063109376,2063109567),('JP',2063109568,2063111167),('AU',2063111168,2063111712),('JP',2063111713,2063112191),('AU',2063112192,2063113239),('JP',2063113240,2063113247),('AU',2063113248,2063113263),('JP',2063113264,2063113343),('AU',2063113344,2063113727),('JP',2063113728,2063114239),('IN',2063114240,2063114327),('JP',2063114328,2063122431),('JP',2063138816,2063335423),('AU',2063335424,2063341567),('AP',2063341568,2063351807),('KR',2063351808,2063368191),('AP',2063368192,2063370239),('JP',2063370240,2063372287),('AP',2063372288,2063374335),('TW',2063376384,2063380479),('KH',2063380480,2063382527),('KR',2063384576,2063392767),('IN',2063392768,2063400959),('JP',2063400960,2063466495),('TW',2063466496,2063482879),('MN',2063482880,2063499263),('KR',2063499264,2063532031),('LK',2063532032,2063548415),('BD',2063548416,2063550463),('IN',2063550464,2063552511),('TW',2063552512,2063556607),('MY',2063556608,2063564799),('JP',2063564800,2063581183),('KR',2063597568,2063601663),('TW',2063605760,2063613951),('JP',2063613952,2063622143),('CN',2063630336,2063646719),('TW',2063646720,2063663103),('JP',2063663104,2063695871),('AU',2063728640,2063859711),('CN',2063859712,2064646143),('VN',2064646144,2065694719),('KR',2065694720,2066743295),('JP',2066743296,2066808831),('BD',2066808832,2066825215),('SG',2066825216,2066841599),('CN',2066841600,2066874367),('JP',2066874368,2066882559),('TW',2066882560,2066890751),('PF',2066890752,2066907135),('AU',2066907136,2066915327),('JP',2066923520,2066939903),('AU',2066939904,2066972671),('CN',2067005440,2070052863),('AU',2070052864,2070056959),('JP',2070056960,2070061055),('KR',2070061056,2070077439),('JP',2070077440,2070085631),('TW',2070085632,2070102015),('KR',2070102016,2070118399),('CN',2070118400,2070159359),('AU',2070159360,2070167551),('NZ',2070167552,2070183935),('AU',2070183936,2070192127),('JP',2070200320,2070208511),('MY',2070208512,2070209023),('SG',2070209024,2070209535),('AU',2070209536,2070210047),('SG',2070210048,2070210559),('CN',2070210560,2070210815),('SG',2070210816,2070211071),('IN',2070211072,2070211327),('SG',2070211328,2070211583),('US',2070211584,2070212607),('SG',2070212608,2070216703),('CN',2070216704,2070282239),('AU',2070282240,2070347775),('CN',2070347776,2070380543),('JP',2070380544,2070677503),('ID',2070677504,2070679551),('KR',2070679552,2070683647),('IN',2070683648,2070691839),('AU',2070691840,2070700031),('CN',2070708224,2070712319),('NZ',2070712320,2070714367),('KR',2070716416,2070724607),('JP',2070724608,2070726655),('IN',2070726656,2070728703),('CN',2070728704,2070732799),('IN',2070732800,2070734847),('JP',2070734848,2070736895),('BD',2070736896,2070738943),('KH',2070738944,2070740991),('KR',2070740992,2070806527),('TW',2070806528,2070872063),('KR',2070872064,2070937599),('CN',2070937600,2072510463),('HK',2072510464,2072514559),('IN',2072514560,2072516607),('BD',2072516608,2072518655),('AU',2072518656,2072522751),('SG',2072526848,2072528895),('PH',2072528896,2072530943),('CN',2072530944,2072535039),('MY',2072535040,2072543231),('IN',2072543232,2072575999),('CN',2072576000,2072772607),('KR',2072772608,2073034751),('CN',2073034752,2075131903),('MV',2075131904,2075140095),('IN',2075140096,2075144191),('PH',2075148288,2075150335),('WS',2075150336,2075152383),('CN',2075152384,2075156479),('HK',2075156480,2075158527),('JP',2075158528,2075160575),('AU',2075160576,2075162623),('ID',2075162624,2075164671),('JP',2075164672,2075197439),('CN',2075197440,2076180479),('TW',2076180480,2076442623),('CN',2076442624,2076573695),('JP',2076573696,2076606463),('KR',2076639232,2076671999),('CN',2076672000,2076704767),('BD',2076704768,2076712959),('JP',2076712960,2076721151),('KR',2076721152,2076737535),('AU',2076737536,2076770303),('IN',2076770304,2076835839),('HK',2076835840,2076966911),('TW',2076966912,2077097983),('CN',2077097984,2077229055),('AU',2077229056,2077491199),('KR',2077491200,2077753343),('JP',2077753344,2078539775),('KR',2078539776,2078670847),('JP',2078670848,2078736383),('LK',2078736384,2078769151),('ID',2078769152,2078801919),('CN',2078801920,2079064063),('IN',2079064064,2079326207),('TW',2079326208,2079457279),('CN',2079457280,2079490047),('TH',2079490048,2079506431),('PH',2079508480,2079510527),('JP',2079510528,2079514623),('HK',2079514624,2079516671),('JP',2079516672,2079518719),('IN',2079518720,2079522815),('AU',2079522816,2079588351),('CN',2079588352,2079850495),('KR',2079850496,2079916031),('CN',2079916032,2079981567),('KR',2079981568,2080112639),('TW',2080112640,2080145407),('IN',2080145408,2080178175),('CN',2080178176,2080243711),('JP',2080243712,2080260095),('KR',2080260096,2080268287),('AP',2080268288,2080270335),('KR',2080276480,2080309247),('NZ',2080309248,2080325631),('KR',2080374784,2080636927),('IN',2080636928,2080702463),('KR',2080702464,2080767999),('TW',2080768000,2080776191),('AP',2080776192,2080784383),('CN',2080784384,2080800767),('PH',2080800768,2080817151),('NZ',2080817152,2080825343),('BD',2080825344,2080829439),('IN',2080833536,2080899071),('TW',2080899072,2081226751),('MY',2081226752,2081292287),('CN',2081292288,2081554431),('JP',2081554432,2081619967),('AU',2081619968,2081652735),('PH',2081652736,2081685503),('CN',2081685504,2081947647),('JP',2081947648,2082209791),('KR',2082209792,2082258943),('CN',2082258944,2082308095),('TW',2082308096,2082324479),('PK',2082324480,2082340863),('IN',2082340864,2082406399),('CN',2082406400,2082471935),('JP',2082471936,2083024895),('CN',2083024896,2083045375),('AU',2083045376,2083053567),('JP',2083061760,2083110911),('NP',2083110912,2083127295),('CN',2083127296,2083192831),('LK',2083192832,2083258367),('JP',2083258368,2083389439),('KR',2083389440,2083454975),('CN',2083454976,2083471359),('JP',2083471360,2083487743),('IN',2083487744,2083504127),('JP',2083504128,2083520511),('KR',2083520512,2083734583),('FR',2083734584,2083734591),('KR',2083734592,2084569087),('CN',2084569088,2084732927),('SG',2084732928,2084741119),('ID',2084741120,2084743167),('KR',2084745216,2084749311),('JP',2084749312,2084765695),('CN',2084765696,2085617663),('KR',2085617664,2085683199),('ID',2085683200,2085748735),('MY',2085748736,2085814271),('PH',2085814272,2085847039),('JP',2085847040,2086141951),('CN',2086141952,2086666239),('JP',2086666240,2087190527),('PH',2087190528,2087452671),('CN',2087454720,2087456767),('BD',2087456768,2087458815),('FJ',2087458816,2087460863),('JP',2087460864,2087462911),('CN',2087462912,2087464959),('KH',2087464960,2087467007),('JP',2087467008,2087469055),('AP',2087469056,2087472639),('SG',2087472640,2087473151),('HK',2087473152,2087474175),('AP',2087474176,2087475711),('JP',2087475712,2087476223),('HK',2087476224,2087477247),('AU',2087477248,2087478271),('AP',2087478272,2087481343),('HK',2087481344,2087485439),('TW',2087485440,2087501823),('JP',2087501824,2087518207),('FM',2087520256,2087522303),('BD',2087522304,2087524351),('TH',2087524352,2087526399),('PK',2087526400,2087534591),('AU',2087534592,2087542783),('AP',2087542784,2087544831),('TW',2087546880,2087550975),('JP',2087550976,2087649279),('KR',2087649280,2087714815),('CN',2087714816,2088239103),('TH',2088239104,2088435711),('IN',2088435712,2088632319),('CN',2088632320,2089287679),('KR',2089287680,2089549823),('JP',2089549824,2089943039),('KR',2089943040,2089959423),('JP',2089959424,2090041343),('CN',2090041344,2090074111),('AU',2090074112,2090336255),('ID',2090401792,2090418175),('IN',2090418176,2090434559),('KR',2090434560,2090467327),('JP',2090467328,2090565631),('TW',2090565632,2090582015),('SG',2090582016,2090590207),('NZ',2090590208,2090594303),('CN',2090598400,2090663935),('AU',2090663936,2090680319),('NZ',2090680320,2090696703),('TH',2090696704,2090729471),('AU',2090733568,2090735615),('PH',2090737664,2090745855),('MN',2090745856,2090762239),('ID',2090762240,2090778623),('HK',2090778624,2090786815),('SG',2090786816,2090795007),('JP',2090795008,2090860543),('CN',2090860544,2091384831),('AU',2091384832,2091646975),('CN',2091646976,2091909119),('AU',2091909120,2092957695),('CN',2092957696,2093088767),('KR',2093088768,2093154303),('ID',2093154304,2093187071),('MY',2093187072,2093191167),('JP',2093191168,2093195263),('KR',2093195264,2093203455),('MV',2093203456,2093211647),('KR',2093211648,2093219839),('CN',2093219840,2093285375),('NZ',2093285376,2093301759),('SG',2093301760,2093318143),('KR',2093318144,2093342719),('MY',2093342720,2093350911),('KR',2093350912,2093383679),('NZ',2093383680,2093400063),('KR',2093416448,2093432831),('TW',2093432832,2093445119),('SG',2093445120,2093449215),('KR',2093449216,2093481983),('CN',2093481984,2094006271),('JP',2094006272,2094530559),('KR',2094530560,2094596095),('PH',2094596096,2094628863),('HK',2094628864,2094645247),('KR',2094645248,2094653439),('MY',2094653440,2094661631),('TW',2094661632,2094759935),('JP',2094759936,2094792703),('CN',2094792704,2096152575),('PG',2096152576,2096160767),('JP',2096168960,2096234495),('CN',2096234496,2096300031),('KR',2096300032,2096332799),('AU',2096332800,2096349183),('CN',2096349184,2096365567),('HK',2096365568,2096431103),('JP',2096431104,2096496639),('AU',2096496640,2096513023),('SG',2096513024,2096529407),('JP',2096529408,2096611327),('IN',2096611328,2096627711),('CN',2096627712,2096660479),('NZ',2096660480,2096664575),('KH',2096668672,2096676863),('HK',2096676864,2096693247),('CN',2096693248,2096889855),('AU',2096889856,2096955391),('IN',2096955392,2097020927),('CN',2097020928,2097037311),('AU',2097037312,2097053695),('KR',2097053696,2097086463),('JP',2097086464,2097479679),('PH',2097479680,2097545215),('JP',2097545216,2097610751),('AU',2097610752,2097643519),('KR',2097643520,2097676287),('JP',2097676288,2098200575),('IN',2098200576,2098724863),('TH',2098724864,2098987007),('JP',2098987008,2099183615),('MO',2099183616,2099199999),('JP',2099200000,2099216383),('KR',2099216384,2099232767),('CN',2099232768,2100297727),('JP',2100297728,2100854783),('US',2100854784,2100887551),('KR',2100887552,2100953087),('AU',2100953088,2100969471),('JP',2100969472,2100985855),('CN',2100985856,2101018623),('HK',2101018624,2101084159),('KR',2101084160,2101116927),('PH',2101116928,2101149695),('KR',2101149696,2101182463),('CN',2101182464,2101231615),('AU',2101231616,2101239807),('IN',2101239808,2101272575),('TW',2101272576,2101276671),('JP',2101276672,2101280767),('AU',2101280768,2101288959),('JP',2101288960,2101293055),('IN',2101297152,2101313535),('AU',2101313536,2101346303),('CN',2101346304,2103640063),('IN',2103640064,2103705599),('JP',2103705600,2103967743),('CN',2103967744,2105540607),('KR',2105540608,2107637759),('ID',2107637760,2108162047),('AU',2108162048,2108227583),('CN',2108227584,2108293119),('JP',2108293120,2108358655),('CN',2108358656,2108424191),('JP',2108424192,2108686335),('KR',2108686336,2109734911),('JP',2109734912,2110783487),('CN',2110783488,2110799871),('KR',2110799872,2110816255),('ID',2110816256,2110832639),('KR',2110832640,2110865407),('PK',2110865408,2110881791),('CN',2110914560,2111045631),('PH',2111045632,2111078399),('VN',2111078400,2111111167),('CN',2111111168,2111143935),('ID',2111143936,2111152127),('AU',2111152128,2111160319),('AF',2111160320,2111168511),('TH',2111168512,2111176703),('VN',2111176704,2111187815),('KH',2111187816,2111187823),('VN',2111187824,2111193087),('AU',2111193088,2111201279),('CN',2111201280,2111209471),('JP',2111209472,2111217663),('LK',2111217664,2111225855),('HK',2111225856,2111242239),('CN',2111242240,2111258623),('JP',2111258624,2111275007),('HK',2111275008,2111307775),('CN',2111307776,2111832063),('TW',2111832064,2112487423),('VN',2112487424,2112618495),('NZ',2112618496,2112880639),('KR',2112880640,2113683455),('AP',2113683456,2113683487),('TW',2113683488,2113683519),('PH',2113683520,2113683583),('AP',2113683584,2113683615),('PH',2113683616,2113683647),('AP',2113683648,2113683679),('TW',2113683680,2113683743),('AP',2113683744,2113683775),('PH',2113683776,2113683967),('AP',2113683968,2113684159),('TW',2113684160,2113684175),('PH',2113684176,2113684255),('TW',2113684256,2113684271),('AP',2113684272,2113684287),('PH',2113684288,2113684431),('TW',2113684432,2113684439),('PH',2113684440,2113684479),('AP',2113684480,2113684543),('PH',2113684544,2113684735),('TW',2113684736,2113684991),('PH',2113684992,2113685007),('AP',2113685008,2113685023),('PH',2113685024,2113685047),('AP',2113685048,2113685119),('PH',2113685120,2113685215),('AP',2113685216,2113685223),('PH',2113685224,2113685231),('TW',2113685232,2113685247),('AP',2113685248,2113685407),('PH',2113685408,2113686015),('AP',2113686016,2113686079),('TW',2113686080,2113686207),('AP',2113686208,2113686527),('TW',2113686528,2113687039),('JP',2113687040,2113687551),('AP',2113687552,2113688319),('PH',2113688320,2113689087),('AP',2113689088,2113689343),('HK',2113689344,2113689599),('JP',2113689600,2113690111),('PH',2113690112,2113690367),('AP',2113690368,2113690623),('AU',2113690624,2113691647),('AP',2113691648,2113691903),('PH',2113691904,2113692031),('AP',2113692032,2113692159),('PH',2113692160,2113692415),('AP',2113692416,2113694207),('JP',2113694208,2113694463),('HK',2113694464,2113694719),('AP',2113694720,2113694975),('PH',2113694976,2113695231),('AP',2113695232,2113699839),('JP',2113699840,2113716223),('AP',2113716224,2113724927),('IN',2113724928,2113725183),('AP',2113725184,2113728511),('JP',2113728512,2113732607),('AU',2113732608,2113765375),('HK',2113765376,2113798143),('AU',2113798144,2113830911),('CN',2113830912,2113863679),('AU',2113863680,2113929215),('JP',2113929216,2130706431),('US',2147483648,2147942399),('DE',2147942400,2148007935),('US',2148007936,2148220515),('AU',2148220516,2148220535),('US',2148220536,2148229151),('CA',2148229152,2148229183),('US',2148229184,2148532223),('GB',2148532224,2148597759),('US',2148597760,2150039551),('NO',2150039552,2150105087),('GB',2150105088,2150236159),('US',2150236160,2150301695),('CA',2150301696,2150367231),('US',2150367232,2151743487),('US',2152726528,2153119743),('GB',2153119744,2153250815),('US',2153250816,2153578495),('FR',2153578496,2153644031),('US',2153644032,2153906175),('GB',2153906176,2153971711),('US',2153971712,2154037247),('CA',2154037248,2154102783),('US',2154102784,2156003327),('AT',2156003328,2156134399),('US',2156134400,2156265471),('KR',2156265472,2156331007),('US',2156331008,2156593151),('IL',2156593152,2156658687),('CH',2156724224,2156855295),('US',2156855296,2156920831),('CA',2156920832,2156986367),('US',2156986368,2159017983),('DE',2159017984,2159083519),('US',2159083520,2159149055),('CH',2159149056,2159280127),('US',2159280128,2159542271),('AU',2159542272,2159607807),('US',2159607808,2159869951),('CA',2159869952,2159935487),('US',2159935488,2160525311),('GB',2160525312,2160590847),('US',2160590848,2160656383),('FR',2160656384,2160721919),('US',2160721920,2161508351),('FI',2161508352,2161573887),('US',2161573888,2162687999),('GB',2162688000,2162753535),('CA',2162753536,2162819071),('US',2162884608,2163212287),('GB',2163212288,2163277823),('US',2163277824,2163288063),('A1',2163288064,2163290111),('US',2163290112,2163304447),('A1',2163304448,2163305983),('US',2163305984,2163408895),('GB',2163408896,2163474431),('US',2163474432,2163605503),('CH',2163605504,2163671039),('US',2163671040,2163867647),('AU',2163867648,2163933183),('US',2163933184,2164981759),('GB',2164981760,2165112831),('DE',2165112832,2165178367),('US',2165178368,2165309439),('SE',2165309440,2165374975),('US',2165374976,2165440511),('US',2165506048,2165571583),('FR',2165571584,2165637119),('US',2165637120,2165964799),('DE',2165964800,2166030335),('AT',2166030336,2166095871),('US',2166095872,2166292479),('GB',2166292480,2166358015),('US',2166358016,2166571007),('GB',2166571008,2166575103),('US',2166575104,2168193023),('JP',2168193024,2168258559),('US',2168258560,2168651775),('GB',2168651776,2168717311),('US',2168717312,2168782847),('DE',2168782848,2168913919),('US',2168913920,2169372671),('AU',2169372672,2169438207),('US',2169438208,2170028031),('FR',2170028032,2170093567),('US',2170093568,2170159103),('VE',2170159104,2170224639),('US',2170224640,2170421247),('AU',2170421248,2170486783),('US',2170486784,2170552319),('AU',2170552320,2170617855),('CA',2170617856,2170683391),('US',2170683392,2170814463),('CA',2170814464,2170879999),('US',2170880000,2170945535),('FR',2170945536,2171011071),('DE',2171011072,2171076607),('FR',2171076608,2171142143),('US',2171142144,2172452863),('NL',2172452864,2172518399),('US',2172518400,2172583935),('AU',2172583936,2172649471),('CA',2172649472,2172715007),('CH',2172715008,2172780543),('US',2172780544,2172911615),('CH',2172911616,2172977151),('US',2172977152,2173173759),('JP',2173173760,2173239295),('US',2173239296,2173435903),('US',2173501440,2173566975),('DK',2173566976,2173632511),('DE',2173632512,2173698047),('US',2173698048,2175336447),('GB',2175336448,2175401983),('US',2175401984,2175598591),('CA',2175598592,2175664127),('US',2175664128,2175729663),('FR',2175729664,2175795199),('US',2175795200,2175860735),('NO',2175860736,2175926271),('SE',2175926272,2175991807),('US',2175991808,2176057343),('AU',2176057344,2176122879),('FR',2176122880,2176450559),('US',2176450560,2176516095),('DE',2176516096,2176581631),('US',2176581632,2176974847),('CH',2176974848,2177105919),('US',2177105920,2177302527),('FR',2177302528,2177368063),('US',2177368064,2177695743),('DE',2177761280,2177826815),('US',2177826816,2177892351),('GB',2177892352,2177957887),('US',2177957888,2178351103),('GB',2178351104,2178416639),('US',2178416640,2178482175),('DE',2178482176,2178547711),('US',2178547712,2179465215),('DE',2179530752,2179596287),('GB',2179596288,2179661823),('US',2179661824,2179989503),('NO',2179989504,2180186111),('US',2180186112,2180448255),('DE',2180448256,2180513791),('US',2180513792,2180579327),('JP',2180579328,2180644863),('US',2180644864,2180907007),('KR',2180907008,2180972543),('US',2180972544,2181824511),('CA',2181824512,2181890047),('US',2181890048,2182021119),('CA',2182021120,2182086655),('US',2182086656,2182610943),('GB',2182610944,2182676479),('US',2182676480,2182873087),('SE',2182873088,2182938623),('US',2182938624,2183135231),('GB',2183135232,2183200767),('US',2183200768,2183266303),('JP',2183266304,2183331839),('US',2183331840,2183462911),('NL',2183462912,2183528447),('US',2183528448,2184577023),('JP',2184577024,2184642559),('US',2184642560,2184708095),('AU',2184708096,2184773631),('US',2184773632,2184904703),('CH',2184904704,2185035775),('US',2185035776,2185166847),('CA',2185166848,2185232383),('US',2185232384,2185363455),('FR',2185363456,2185428991),('NO',2185428992,2185494527),('US',2185494528,2185560063),('JP',2185560064,2185625599),('US',2185625600,2185822207),('DE',2185822208,2185887743),('US',2185887744,2185953279),('DE',2185953280,2186018815),('US',2186018816,2186149887),('NL',2186149888,2186215423),('FR',2186215424,2186280959),('US',2186280960,2186412031),('CH',2186412032,2186477567),('DE',2186477568,2186543103),('FR',2186543104,2186608639),('US',2186608640,2186739711),('JP',2186739712,2186805247),('GB',2186805248,2186870783),('NL',2186870784,2186936319),('US',2186936320,2187067391),('CH',2187067392,2187132927),('US',2187132928,2187225471),('A1',2187225472,2187225599),('US',2187225600,2187225823),('A1',2187225824,2187225855),('US',2187225856,2187225983),('A1',2187225984,2187226111),('US',2187226112,2187229471),('A1',2187229472,2187229479),('US',2187229480,2187229607),('A1',2187229608,2187229615),('US',2187229616,2187229687),('A1',2187229688,2187229695),('US',2187229696,2187230111),('A1',2187230112,2187230143),('US',2187230144,2187232511),('A1',2187232512,2187232639),('US',2187232640,2187232767),('A1',2187232768,2187233023),('US',2187233024,2187263999),('AU',2187264000,2187329535),('US',2187329536,2187460607),('FR',2187460608,2187526143),('US',2187526144,2187591679),('SE',2187591680,2187657215),('US',2187657216,2187722751),('AU',2187722752,2187788287),('US',2187788288,2187853823),('BE',2187853824,2187919359),('US',2187919360,2188378111),('NL',2188378112,2188443647),('CA',2188443648,2188509183),('US',2188509184,2188574719),('NL',2188574720,2188640255),('AU',2188640256,2188705791),('US',2188705792,2188902399),('FR',2188902400,2188967935),('US',2188967936,2189099007),('NZ',2189099008,2189164543),('US',2189164544,2189230079),('CH',2189230080,2189295615),('US',2189295616,2189557759),('AU',2189557760,2189623295),('US',2189623296,2189754367),('DE',2189754368,2189819903),('US',2189819904,2189950975),('IT',2189950976,2190016511),('US',2190016512,2190082047),('NL',2190082048,2190737407),('GB',2190737408,2190802943),('DE',2190802944,2190868479),('US',2190868480,2191065087),('JP',2191065088,2191130623),('US',2191130624,2191196159),('AU',2191196160,2191261695),('US',2191261696,2191392767),('JP',2191392768,2191458303),('GB',2191458304,2191523839),('US',2191523840,2191589375),('NL',2191589376,2191654911),('US',2191654912,2192769023),('CA',2192769024,2192834559),('US',2192900096,2193031167),('DE',2193031168,2193096703),('US',2193096704,2193162239),('IT',2193227776,2193293311),('US',2193293312,2193358847),('FI',2193358848,2193424383),('US',2193424384,2193489919),('FR',2193489920,2193555455),('US',2193555456,2193620991),('IT',2193620992,2193686527),('AU',2193752064,2193817599),('NZ',2193817600,2193883135),('US',2193883136,2194014207),('CH',2194014208,2194079743),('US',2194079744,2194538495),('ES',2194538496,2194604031),('US',2194604032,2194669567),('IS',2194669568,2194735103),('GB',2194735104,2194800639),('US',2194800640,2195193855),('NZ',2195193856,2195324927),('US',2195324928,2195455999),('AU',2195456000,2195521535),('US',2195521536,2195652607),('CH',2195652608,2195718143),('US',2195718144,2195783679),('DK',2195783680,2196045823),('SE',2196045824,2196111359),('FI',2196111360,2196439039),('SE',2196439040,2197094399),('US',2197094400,2197159935),('GB',2197159936,2197225471),('US',2197225472,2197422079),('CA',2197422080,2197487615),('IT',2197487616,2197553151),('US',2197553152,2197815295),('IT',2197880832,2197946367),('US',2197946368,2204172287),('SE',2204172288,2204237823),('US',2204237824,2204303359),('DE',2204303360,2204368895),('US',2204434432,2204499967),('CH',2204499968,2204565503),('US',2204565504,2204631039),('CA',2204631040,2204696575),('US',2204696576,2204893183),('US',2204958720,2205089791),('GB',2205089792,2205155327),('JP',2205155328,2205286399),('IT',2205286400,2205351935),('SE',2205351936,2205483007),('CH',2205483008,2205548543),('US',2205548544,2206269439),('CA',2206269440,2206334975),('AT',2206334976,2206400511),('US',2206400512,2206466047),('CA',2206466048,2207121407),('US',2207121408,2207449087),('CA',2207449088,2207711231),('US',2207711232,2207776767),('CH',2207776768,2207842303),('US',2207842304,2207907839),('IT',2207907840,2207973375),('NL',2207973376,2208038911),('US',2208038912,2208235519),('DE',2208235520,2208301055),('FI',2208301056,2208366591),('US',2208366592,2208432127),('CA',2208432128,2208563199),('DK',2208563200,2208759807),('US',2208759808,2208890879),('DE',2208890880,2208956415),('AU',2208956416,2209021951),('US',2209021952,2209087487),('AU',2209087488,2209153023),('DE',2209153024,2209218559),('NL',2209218560,2209284095),('IT',2209284096,2209349631),('US',2209349632,2209415167),('FI',2209415168,2209480703),('MX',2209480704,2209546239),('US',2209546240,2209611775),('NL',2209611776,2209677311),('AU',2209677312,2209742847),('US',2209742848,2209939455),('AU',2209939456,2210004991),('US',2210004992,2210136063),('DE',2210136064,2210201599),('US',2210201600,2210594815),('CA',2210594816,2210660351),('FR',2210660352,2210725887),('US',2210725888,2211053567),('CA',2211053568,2211119103),('NZ',2211119104,2211184639),('US',2211184640,2211250175),('SE',2211250176,2211315711),('JP',2211315712,2211381247),('FI',2211381248,2211446783),('US',2211446784,2211643391),('NL',2211643392,2211708927),('US',2211708928,2211774463),('CA',2211774464,2211839999),('US',2211840000,2212036607),('AU',2212036608,2212102143),('US',2212102144,2212233215),('DE',2212233216,2212298751),('US',2212364288,2212495359),('NL',2212495360,2212560895),('US',2212560896,2212691967),('GB',2212691968,2212757503),('FI',2212757504,2212823039),('US',2212823040,2212954111),('GB',2212954112,2213019647),('CA',2213019648,2213085183),('US',2213085184,2213150719),('DE',2213150720,2213216255),('CA',2213216256,2213281791),('AU',2213281792,2213347327),('NL',2213347328,2213412863),('US',2213412864,2213675007),('AU',2213675008,2213740543),('US',2213740544,2213806079),('AU',2213806080,2213937151),('DE',2213937152,2214002687),('US',2214002688,2214068223),('JP',2214068224,2214133759),('US',2214133760,2214264831),('GB',2214264832,2214330367),('US',2214330368,2214395903),('CA',2214395904,2214461439),('FR',2214461440,2214526975),('US',2214592512,2215313407),('GR',2215313408,2215378943),('US',2215378944,2218786815),('IL',2218786816,2219769855),('US',2219769856,2224160767),('GB',2224160768,2224226303),('US',2224226304,2224357375),('FR',2224357376,2224422911),('NO',2224422912,2224488447),('US',2224488448,2224619519),('GB',2224619520,2224685055),('US',2224685056,2224750591),('FI',2224750592,2224816127),('CA',2224816128,2224881663),('US',2224947200,2225405951),('FR',2225405952,2225733631),('US',2225733632,2225799167),('FI',2225799168,2225864703),('US',2225864704,2226126847),('DE',2226126848,2226192383),('US',2226192384,2226323455),('JP',2226323456,2226388991),('DE',2226388992,2226454527),('NZ',2226454528,2226520063),('JP',2226520064,2226585599),('US',2226585600,2226651135),('GB',2226716672,2226782207),('AU',2226782208,2226847743),('DE',2226847744,2226913279),('US',2226913280,2227372031),('DE',2227372032,2227437567),('SE',2227437568,2227503103),('US',2227503104,2227634175),('DE',2227634176,2227699711),('US',2227699712,2227830783),('CA',2227830784,2229141503),('JP',2229141504,2229207039),('US',2229207040,2229338111),('CA',2229338112,2229403647),('US',2229403648,2229469183),('FR',2229469184,2229534719),('US',2229534720,2229600255),('NL',2229600256,2229665791),('DE',2229665792,2229796863),('GB',2229796864,2229862399),('US',2229862400,2229927935),('AU',2229927936,2229993471),('US',2229993472,2230583295),('GB',2230583296,2230648831),('US',2230648832,2230714367),('CA',2230714368,2230779903),('MX',2230779904,2230910975),('US',2230910976,2231042047),('DE',2231107584,2231173119),('US',2231173120,2231238655),('MX',2231238656,2231304191),('JP',2231369728,2248146943),('DE',2248146944,2248409087),('US',2248409088,2248605695),('AU',2248605696,2248671231),('US',2248671232,2249326591),('AU',2249326592,2249392127),('US',2249457664,2249523199),('CH',2249523200,2249588735),('CA',2249588736,2249654271),('US',2249654272,2249781247),('FR',2249781248,2249781255),('US',2249781256,2249785343),('SE',2249785344,2249850879),('US',2249850880,2249916415),('NL',2249916416,2249981951),('DE',2249981952,2250047487),('US',2250047488,2250113023),('DE',2250113024,2250178559),('CA',2250178560,2250244095),('US',2250244096,2250375167),('DE',2250375168,2250440703),('US',2250440704,2250506239),('GB',2250506240,2250571775),('FI',2250571776,2250637311),('US',2250637312,2251227135),('NO',2251227136,2251292671),('US',2251292672,2251685887),('BE',2251685888,2251751423),('US',2251751424,2251948031),('BE',2251948032,2252013567),('FR',2252013568,2252079103),('DE',2252079104,2252210175),('US',2252210176,2253062143),('KR',2253062144,2253127679),('DE',2253127680,2253193215),('US',2253193216,2253455359),('DE',2253455360,2253520895),('US',2253520896,2253586431),('GB',2253586432,2253651967),('US',2253651968,2253848575),('CA',2253848576,2253914111),('US',2253914112,2254045183),('DE',2254110720,2255421439),('US',2255421440,2255683583),('AU',2255683584,2255749119),('US',2255749120,2255814655),('CA',2255814656,2255880191),('US',2255880192,2255945727),('NO',2255945728,2256011263),('US',2256011264,2256666623),('DE',2256666624,2256732159),('US',2256732160,2257190911),('SE',2257190912,2257256447),('US',2257256448,2257453055),('GB',2257453056,2257518591),('NL',2257518592,2257584127),('AU',2257584128,2257649663),('NL',2257649664,2257780735),('DE',2257780736,2257846271),('AU',2257846272,2257911807),('US',2257911808,2257977343),('CA',2257977344,2258042879),('GB',2258042880,2258108415),('US',2258108416,2258173951),('CA',2258173952,2258239487),('US',2258239488,2258305023),('DE',2258305024,2258370559),('US',2258370560,2258436095),('FR',2258436096,2258567167),('US',2258567168,2258567679),('HK',2258567680,2258567935),('US',2258567936,2258568191),('HK',2258568192,2258568447),('US',2258568448,2258583551),('GB',2258583552,2258591743),('AU',2258591744,2258591839),('TW',2258591840,2258591847),('JP',2258591848,2258591855),('TW',2258591856,2258591935),('HK',2258591936,2258591967),('AU',2258591968,2258592255),('JP',2258592256,2258592383),('AU',2258592384,2258592439),('JP',2258592440,2258592447),('IN',2258592448,2258592479),('AU',2258592480,2258592495),('JP',2258592496,2258592511),('AU',2258592512,2258593023),('SG',2258593024,2258593151),('AU',2258593152,2258594303),('BD',2258594304,2258594559),('AU',2258594560,2258594623),('HK',2258594624,2258594639),('AU',2258594640,2258594655),('HK',2258594656,2258594687),('AU',2258594688,2258594831),('JP',2258594832,2258594839),('AU',2258594840,2258594847),('JP',2258594848,2258594879),('AU',2258594880,2258594959),('JP',2258594960,2258594967),('AU',2258594968,2258594975),('JP',2258594976,2258594991),('AU',2258594992,2258595007),('TW',2258595008,2258595023),('JP',2258595024,2258595031),('AU',2258595032,2258595135),('SG',2258595136,2258595167),('AU',2258595168,2258595231),('TW',2258595232,2258595263),('AU',2258595264,2258595295),('SG',2258595296,2258595327),('KR',2258595328,2258595335),('TW',2258595336,2258595343),('AU',2258595344,2258595351),('JP',2258595352,2258595359),('AU',2258595360,2258595383),('KR',2258595384,2258595391),('AU',2258595392,2258595463),('TW',2258595464,2258595471),('AU',2258595472,2258595495),('HK',2258595496,2258595503),('AU',2258595504,2258595551),('JP',2258595552,2258595567),('AU',2258595568,2258595583),('TW',2258595584,2258595591),('AU',2258595592,2258595603),('JP',2258595604,2258595607),('AU',2258595608,2258595639),('JP',2258595640,2258595643),('AU',2258595644,2258595655),('IN',2258595656,2258595663),('AU',2258595664,2258595711),('HK',2258595712,2258595775),('SG',2258595776,2258595839),('AU',2258595840,2258596079),('JP',2258596080,2258596087),('AU',2258596088,2258596863),('HK',2258596864,2258596903),('AU',2258596904,2258596927),('HK',2258596928,2258596991),('AU',2258596992,2258597071),('TW',2258597072,2258597087),('AU',2258597088,2258597895),('NZ',2258597896,2258597903),('AU',2258597904,2258597927),('JP',2258597928,2258597935),('AU',2258597936,2258597951),('NZ',2258597952,2258597983),('JP',2258597984,2258597999),('TW',2258598000,2258598015),('AU',2258598016,2258598143),('KR',2258598144,2258598239),('AU',2258598240,2258598255),('KR',2258598256,2258598287),('NZ',2258598288,2258598319),('JP',2258598320,2258598335),('TW',2258598336,2258598351),('AU',2258598352,2258598519),('NZ',2258598520,2258598527),('JP',2258598528,2258598567),('AU',2258598568,2258598591),('TW',2258598592,2258598623),('AU',2258598624,2258598639),('JP',2258598640,2258598647),('KR',2258598648,2258598655),('AU',2258598656,2258600799),('KR',2258600800,2258600831),('AU',2258600832,2258600959),('SG',2258600960,2258601087),('AU',2258601088,2258601199),('JP',2258601200,2258601207),('AU',2258601208,2258601471),('JP',2258601472,2258601983),('AU',2258601984,2258602495),('VN',2258602496,2258602751),('AU',2258602752,2258603263),('IN',2258603264,2258603279),('AU',2258603280,2258603679),('IN',2258603680,2258603711),('AU',2258603712,2258603727),('SG',2258603728,2258603735),('AU',2258603736,2258603743),('TW',2258603744,2258603751),('AU',2258603752,2258603775),('MO',2258603776,2258604031),('AU',2258604032,2258604543),('IN',2258604544,2258604575),('SG',2258604576,2258604591),('IN',2258604592,2258604607),('SG',2258604608,2258604639),('AU',2258604640,2258604671),('SG',2258604672,2258604735),('AU',2258604736,2258604799),('TW',2258604800,2258605055),('AU',2258605056,2258605567),('SG',2258605568,2258605631),('AU',2258605632,2258605967),('NZ',2258605968,2258605991),('AU',2258605992,2258606031),('NZ',2258606032,2258606035),('AU',2258606036,2258606463),('JP',2258606464,2258606471),('AU',2258606472,2258606591),('JP',2258606592,2258606607),('AU',2258606608,2258606687),('JP',2258606688,2258606703),('AU',2258606704,2258607343),('SG',2258607344,2258607351),('AU',2258607352,2258609487),('IN',2258609488,2258609503),('AU',2258609504,2258609511),('IN',2258609512,2258609527),('AU',2258609528,2258610303),('IN',2258610304,2258610431),('AU',2258610432,2258614783),('TW',2258614784,2258614799),('AU',2258614800,2258616319),('HK',2258616320,2258632703),('JP',2258632704,2258698239),('US',2258698240,2259222527),('DE',2259222528,2259288063),('US',2259288064,2259353599),('DE',2259353600,2259419135),('US',2259419136,2259681279),('DE',2259681280,2259746815),('US',2259746816,2259812351),('AU',2259812352,2259877887),('US',2259877888,2259943423),('JP',2259943424,2260008959),('US',2260008960,2260140031),('GB',2260140032,2260205567),('BE',2260205568,2260271103),('US',2260271104,2260467711),('NL',2260467712,2260533247),('US',2260533248,2260598783),('CA',2260598784,2260664319),('GB',2260664320,2260729855),('US',2260729856,2260991999),('CN',2260992000,2261057535),('US',2261057536,2261188607),('CA',2261188608,2261254143),('US',2261254144,2261385215),('PR',2261385216,2261450751),('NL',2261450752,2261516287),('US',2261516288,2261647359),('FR',2261647360,2261712895),('US',2261712896,2261778431),('TW',2261778432,2261843967),('US',2261843968,2261975039),('AU',2261975040,2262040575),('FR',2262040576,2262106111),('IE',2262106112,2262171647),('FR',2262171648,2262237183),('US',2262237184,2262499327),('GB',2262499328,2262630399),('NL',2262630400,2262761471),('US',2262761472,2262892543),('GB',2262892544,2262958079),('IE',2262958080,2263023615),('FR',2263023616,2263089151),('US',2263089152,2263678975),('JP',2263678976,2263744511),('US',2263744512,2263810047),('GB',2263810048,2263875583),('US',2263875584,2264203263),('DE',2264203264,2264268799),('FR',2264268800,2264334335),('DE',2264334336,2264399871),('US',2264399872,2265710591),('CA',2265710592,2265776127),('US',2265776128,2276786175),('CA',2276786176,2276851711),('US',2276851712,2277769215),('GB',2277769216,2277772543),('DE',2277772544,2277772799),('GB',2277772800,2277834751),('US',2277834752,2291204095),('PR',2291204096,2291269631),('CA',2291269632,2291400703),('GB',2291400704,2291466239),('US',2291466240,2291728383),('AU',2291728384,2291859455),('SE',2291859456,2291924991),('GB',2291924992,2291990527),('US',2291990528,2292056063),('NO',2292056064,2292121599),('CA',2292121600,2292187135),('US',2292187136,2292383743),('SE',2292383744,2292449279),('NO',2292449280,2292514815),('US',2292514816,2292776959),('GB',2292842496,2292908031),('US',2292908032,2292973567),('DE',2292973568,2293039103),('LU',2293039104,2293104639),('US',2293104640,2293891071),('AU',2293891072,2293956607),('JP',2293956608,2294022143),('US',2294022144,2294677503),('JP',2294677504,2294743039),('DE',2294743040,2294808575),('US',2294808576,2294874111),('IE',2294874112,2294939647),('US',2294939648,2295201791),('IE',2295201792,2295267327),('US',2295267328,2296446975),('SE',2296446976,2296512511),('US',2296512512,2296774655),('DE',2296774656,2296840191),('NL',2296840192,2296905727),('US',2296905728,2297167871),('AU',2297167872,2297233407),('US',2297233408,2297298943),('CH',2297298944,2297364479),('US',2297364480,2297626623),('DE',2297626624,2297692159),('US',2297692160,2299461631),('CA',2299461632,2299527167),('US',2299527168,2299592703),('NL',2299592704,2299658239),('US',2299658240,2300641279),('FI',2300641280,2300706815),('CH',2300706816,2300772351),('US',2300772352,2301296639),('IE',2301296640,2301362175),('GB',2301362176,2301427711),('US',2301427712,2301558783),('NO',2301558784,2301624319),('US',2301624320,2301755391),('GB',2301755392,2301820927),('US',2301820928,2302083071),('NL',2302083072,2302214143),('US',2302214144,2302279679),('SE',2302279680,2302541823),('CH',2302541824,2302607359),('US',2302672896,2302935039),('KR',2302935040,2303000575),('US',2303000576,2303262719),('GB',2303262720,2303328255),('CA',2303328256,2303393791),('US',2303393792,2303459327),('AU',2303459328,2303524863),('US',2303524864,2303852543),('CA',2303852544,2303918079),('US',2303918080,2304507903),('AU',2304507904,2304573439),('NO',2304573440,2304638975),('CA',2304638976,2304704511),('US',2304704512,2304770047),('SE',2304770048,2304835583),('US',2304835584,2305097727),('GB',2305097728,2305163263),('US',2305163264,2305359871),('GB',2305359872,2305425407),('US',2305425408,2305556479),('GB',2305556480,2305622015),('AU',2305622016,2305687551),('US',2305687552,2305753087),('AU',2305753088,2305818623),('US',2305818624,2306146303),('CA',2306146304,2306211839),('US',2306211840,2306342911),('NL',2306342912,2306408447),('FR',2306408448,2306473983),('CA',2306473984,2306539519),('US',2306539520,2306932735),('FR',2306932736,2306998271),('US',2306998272,2307129343),('SG',2307129344,2307194879),('NO',2307194880,2307260415),('US',2307260416,2307522559),('CH',2307522560,2307588095),('US',2307588096,2308112383),('AU',2308112384,2308177919),('US',2308177920,2308243455),('CA',2308243456,2308308991),('US',2308308992,2308505599),('JP',2308505600,2308571135),('AU',2308571136,2308636671),('US',2308636672,2308702207),('CH',2308702208,2308767743),('AU',2308767744,2308833279),('ZA',2308833280,2308898815),('US',2308898816,2309160959),('FI',2309160960,2309226495),('US',2309226496,2309357567),('AU',2309357568,2309423103),('US',2309423104,2309750783),('AU',2309750784,2309816319),('US',2309816320,2309881855),('NL',2309881856,2309947391),('US',2309947392,2310668287),('CA',2310668288,2310733823),('US',2310733824,2310864895),('HK',2310864896,2310930431),('US',2310930432,2310995967),('IE',2310995968,2311061503),('US',2311061504,2311127039),('DE',2311127040,2311192575),('FR',2311192576,2311258111),('GB',2311258112,2311323647),('US',2311323648,2311847935),('IT',2311847936,2311913471),('GB',2311913472,2311979007),('US',2311979008,2312044543),('CA',2312044544,2312110079),('AT',2312110080,2312175615),('US',2312175616,2312437759),('GB',2312437760,2312503295),('ZA',2312503296,2312634367),('US',2312634368,2312699903),('NO',2312699904,2312765439),('GB',2312765440,2312830975),('AU',2312830976,2312896511),('US',2312896512,2312962047),('GB',2312962048,2313093119),('IE',2313093120,2313158655),('NL',2313158656,2313224191),('US',2313224192,2313289727),('DE',2313289728,2313355263),('US',2313355264,2314731519),('DE',2314731520,2314797055),('US',2314797056,2314862591),('DE',2314862592,2314993663),('US',2314993664,2315059199),('GB',2315059200,2315124735),('US',2315124736,2315190271),('US',2315321344,2315452415),('GB',2315452416,2315517951),('ES',2315517952,2315583487),('US',2315583488,2315649023),('SE',2315649024,2315714559),('AU',2315714560,2315780095),('US',2315780096,2315911167),('CA',2315911168,2316042239),('US',2316042240,2316173311),('SE',2316173312,2316238847),('US',2316238848,2316500991),('AU',2316500992,2316566527),('US',2316566528,2316632063),('FR',2316632064,2316697599),('AT',2316697600,2316763135),('US',2316763136,2316828671),('AU',2316828672,2316959743),('US',2316959744,2317221887),('JP',2317221888,2317287423),('US',2317287424,2317484031),('CA',2317484032,2317549567),('US',2317549568,2317615103),('GB',2317680640,2317811711),('US',2317811712,2317877247),('GB',2317877248,2317942783),('IT',2317942784,2318008319),('US',2318008320,2318139391),('AU',2318139392,2318204927),('US',2318204928,2318401535),('BE',2318401536,2318467071),('US',2318467072,2318598143),('CA',2318598144,2318663679),('US',2318663680,2319253503),('DE',2319253504,2319319039),('NO',2319319040,2319384575),('FR',2319384576,2319450111),('US',2319450112,2319581183),('IT',2319581184,2319646719),('US',2319646720,2319843327),('IT',2319843328,2319908863),('AU',2319908864,2319974399),('US',2319974400,2320039935),('CA',2320039936,2320105471),('US',2320105472,2320171007),('NZ',2320171008,2320236543),('US',2320236544,2320302079),('AU',2320302080,2320367615),('US',2320367616,2320433151),('AU',2320433152,2320564223),('CH',2320564224,2320629759),('CA',2320629760,2320695295),('US',2320695296,2321547263),('FR',2321547264,2321612799),('US',2321678336,2321743871),('ES',2321809408,2321874943),('JP',2321874944,2321940479),('FR',2321940480,2322006015),('SE',2322006016,2322071551),('GB',2322071552,2322137087),('US',2322137088,2322202623),('SE',2322202624,2322268159),('JP',2322268160,2322333695),('US',2322333696,2322923519),('CA',2323054592,2323185663),('US',2323316736,2323382271),('NO',2323382272,2323447807),('US',2323447808,2323775487),('AU',2323775488,2323841023),('CH',2323841024,2323906559),('IT',2323906560,2323972095),('US',2323972096,2324037631),('IL',2324037632,2324103167),('US',2324103168,2327379967),('CH',2327511040,2327838719),('US',2327838720,2327969791),('AU',2327969792,2328035327),('FR',2328035328,2328100863),('US',2328100864,2328231935),('GB',2328231936,2328297471),('EU',2328297472,2328313855),('NL',2328313856,2328317951),('EU',2328317952,2328342527),('DE',2328342528,2328342783),('EU',2328342784,2328362751),('DE',2328362752,2328494079),('US',2328494080,2328559615),('BE',2328559616,2328625151),('BE',2328690688,2328756223),('CH',2328756224,2328821759),('US',2328821760,2329083903),('NZ',2329083904,2329149439),('JP',2329149440,2329280511),('CA',2329280512,2329346047),('SE',2329346048,2329411583),('FI',2329411584,2329477119),('AU',2329477120,2329542655),('CA',2329542656,2329608191),('US',2329673728,2329739263),('CH',2329739264,2329804799),('DE',2329804800,2329870335),('CH',2329870336,2330132479),('SE',2330132480,2330198015),('CH',2330198016,2330263551),('US',2330263552,2330394623),('FR',2330394624,2330460159),('AT',2330460160,2330525695),('SE',2330525696,2330591231),('US',2330591232,2330656767),('NZ',2330656768,2330722303),('US',2330722304,2331181055),('JP',2331181056,2331246591),('DE',2331246592,2331443199),('US',2331443200,2331508735),('GB',2331508736,2331574271),('FI',2331574272,2331639807),('GB',2331639808,2331770879),('AU',2331770880,2331836415),('GB',2331836416,2331901951),('US',2331901952,2331967487),('DE',2332033024,2332622847),('NL',2332688384,2332753919),('DE',2332753920,2334064639),('US',2334064640,2334916607),('AU',2334916608,2334982143),('US',2334982144,2335178751),('CA',2335178752,2335244287),('US',2335244288,2335309823),('DE',2335309824,2335375359),('US',2335375360,2335506431),('ZA',2335506432,2335571967),('FR',2335571968,2335637503),('US',2335637504,2335768575),('CA',2335768576,2335834111),('SE',2335834112,2335899647),('AU',2335899648,2335965183),('US',2335965184,2336161791),('NL',2336161792,2336227327),('US',2336227328,2336358399),('FI',2336358400,2336423935),('US',2336423936,2336882687),('FI',2336882688,2336948223),('DE',2336948224,2337013759),('US',2337013760,2337210367),('CH',2337210368,2337275903),('NZ',2337275904,2337341439),('US',2337341440,2337406975),('BR',2337406976,2337472511),('PT',2337472512,2337538047),('US',2337538048,2337669119),('AU',2337669120,2337734655),('US',2337734656,2337865727),('DE',2337865728,2337931263),('BE',2337931264,2337996799),('GR',2337996800,2338062335),('EU',2338062336,2338075391),('IL',2338075392,2338075647),('EU',2338075648,2338084863),('IL',2338084864,2338085375),('EU',2338085376,2338085631),('IL',2338085632,2338086143),('EU',2338086144,2338087423),('IL',2338087424,2338087679),('EU',2338087680,2338108927),('IL',2338108928,2338109951),('EU',2338109952,2338115071),('IL',2338115072,2338115839),('EU',2338115840,2338126591),('IL',2338126592,2338127615),('EU',2338127616,2338127871),('US',2338127872,2338324479),('SE',2338324480,2338390015),('FI',2338390016,2338455551),('NO',2338455552,2338521087),('US',2338521088,2338586623),('FR',2338586624,2338652159),('US',2338717696,2338783231),('CA',2338783232,2338848767),('US',2338848768,2338914303),('NO',2338914304,2339962879),('US',2339962880,2340028415),('NL',2340028416,2340093951),('FI',2340093952,2340159487),('FR',2340159488,2340225023),('US',2340225024,2340421631),('IT',2340421632,2340487167),('AU',2340552704,2340618239),('US',2340618240,2340683775),('AU',2340683776,2340749311),('GB',2340749312,2340814847),('AU',2340814848,2340880383),('US',2340880384,2341273599),('KW',2341273600,2341339135),('CA',2341339136,2341404671),('GB',2341404672,2341470207),('US',2341470208,2341535743),('NO',2341535744,2341601279),('US',2341601280,2341732351),('GB',2341797888,2341863423),('US',2341928960,2341994495),('JP',2341994496,2342060031),('GB',2342060032,2342125567),('JP',2342125568,2342191103),('NL',2342256640,2342322175),('FI',2342322176,2342387711),('FR',2342387712,2342453247),('FR',2342518784,2342584319),('US',2342584320,2342649855),('NL',2342649856,2342715391),('AU',2342715392,2342780927),('NO',2342780928,2342846463),('BE',2342846464,2342911999),('GB',2342912000,2342977535),('US',2342977536,2343043071),('AU',2343043072,2343108607),('US',2343108608,2343174143),('US',2343239680,2343370751),('CA',2343370752,2343436287),('DE',2343436288,2343501823),('TW',2343501824,2343567359),('US',2343632896,2343698431),('NL',2343698432,2343763967),('TR',2343763968,2343829503),('US',2343829504,2344091647),('GB',2344091648,2344157183),('US',2344157184,2344222719),('US',2344288256,2344353791),('AU',2344353792,2344419327),('EU',2344550400,2344615935),('GB',2346582016,2346647551),('TW',2346647552,2346713087),('US',2346778624,2346844159),('US',2347040768,2347106303),('AU',2347106304,2347171839),('US',2347171840,2353856511),('FR',2353856512,2353922047),('AT',2353922048,2353987583),('AU',2353987584,2354053119),('CA',2354053120,2354118655),('JP',2354118656,2354184191),('US',2354184192,2354249727),('AU',2354249728,2354315263),('DE',2354315264,2354380799),('NL',2354380800,2354446335),('FR',2354446336,2354511871),('CA',2354511872,2354577407),('US',2354577408,2354839551),('TW',2354839552,2354905087),('FR',2354905088,2355036159),('US',2355036160,2355101695),('TW',2355101696,2355167231),('GB',2355167232,2355232767),('US',2355232768,2355305583),('DK',2355305584,2355305591),('US',2355305592,2355691519),('IT',2355691520,2355757055),('US',2355757056,2355953663),('TW',2355953664,2357919743),('US',2357919744,2358509567),('MX',2358509568,2358575103),('SE',2358640640,2358706175),('FI',2358706176,2358771711),('US',2358771712,2359230463),('AU',2359230464,2359295999),('US',2359296000,2359361535),('CA',2359361536,2359427071),('US',2359427072,2359558143),('IT',2359558144,2359623679),('US',2359623680,2359689215),('SE',2359689216,2359754751),('CA',2359754752,2359820287),('AU',2359820288,2359885823),('US',2359885824,2360672255),('DE',2360672256,2360737791),('US',2360737792,2360868863),('CA',2360868864,2360934399),('US',2360934400,2361327615),('AR',2361327616,2361393151),('US',2361393152,2361458687),('CA',2361458688,2361524223),('US',2361524224,2361917439),('NZ',2361917440,2361982975),('US',2361982976,2362114047),('IE',2362114048,2362179583),('GB',2362179584,2362245119),('US',2362441728,2363883519),('CA',2363883520,2363949055),('US',2363949056,2365390847),('AU',2365390848,2365456383),('US',2365456384,2365521919),('DE',2365587456,2367487999),('SI',2367488000,2367553535),('DE',2367553536,2371158015),('RO',2371158016,2371223551),('US',2371223552,2371289087),('DE',2371289088,2371616767),('GB',2371616768,2371682303),('NL',2371682304,2371747839),('GB',2371747840,2371878911),('BE',2371878912,2371944447),('GB',2371944448,2372009983),('CH',2372009984,2372075519),('DE',2372075520,2372206591),('US',2372272128,2372337663),('ID',2372337664,2372403199),('US',2372403200,2372665343),('IT',2372665344,2372730879),('CA',2372730880,2372796415),('US',2372796416,2372993023),('DE',2372993024,2373058559),('US',2373058560,2373124095),('FR',2373124096,2373189631),('US',2373189632,2373255167),('CA',2373255168,2373451775),('AU',2373451776,2373517311),('US',2373517312,2373582847),('CH',2373582848,2373648383),('US',2373648384,2373910527),('FI',2373910528,2373976063),('US',2373976064,2374107135),('DE',2374107136,2374172671),('US',2374172672,2374238207),('AU',2374238208,2374303743),('US',2374303744,2374369279),('SE',2374565888,2374631423),('US',2374696960,2374959103),('BE',2374959104,2375024639),('DK',2375024640,2375090175),('NO',2375090176,2375155711),('FI',2375155712,2375221247),('SE',2375221248,2375286783),('CH',2375286784,2375352319),('US',2375352320,2375642583),('CA',2375642584,2375642591),('US',2375642592,2376269823),('GB',2376269824,2376335359),('US',2376335360,2376597503),('AU',2376597504,2376663039),('DE',2376663040,2376728575),('CH',2376794112,2376859647),('FI',2376859648,2376925183),('US',2376925184,2377056255),('FR',2377056256,2377121791),('NL',2377121792,2377187327),('US',2377187328,2377252863),('JP',2377252864,2377318399),('US',2377318400,2377449471),('FR',2377449472,2377515007),('US',2377515008,2377842687),('GB',2377842688,2377908223),('US',2377908224,2378170367),('FI',2378170368,2378235903),('US',2378235904,2378301439),('FR',2378301440,2378366975),('US',2378366976,2378694655),('DE',2378694656,2378760191),('AT',2378760192,2378825727),('US',2378825728,2378891263),('AT',2378891264,2378956799),('US',2378956800,2379218943),('FI',2379218944,2379284479),('US',2379284480,2380201983),('KR',2380201984,2380267519),('US',2380267520,2380398591),('IL',2380398592,2380464127),('FR',2380464128,2380529663),('GB',2380529664,2380595199),('JP',2380595200,2380660735),('US',2380660736,2380726271),('GB',2380726272,2380791807),('US',2380791808,2381381631),('GB',2381381632,2381447167),('US',2381447168,2381512703),('AU',2381512704,2381578239),('AT',2381578240,2381643775),('GB',2381643776,2381709311),('US',2381709312,2381905919),('CH',2381905920,2381971455),('IT',2381971456,2382036991),('US',2382036992,2382102527),('NL',2382102528,2382168063),('BE',2382168064,2382233599),('US',2382233600,2382299135),('CA',2382364672,2385430319),('US',2385430320,2385430335),('CA',2385430336,2385430655),('US',2385430656,2385430687),('CA',2385430688,2386067455),('US',2386067456,2386083839),('CA',2386083840,2387410943),('US',2387410944,2387476479),('CA',2387476480,2387542015),('US',2387542016,2387607551),('CA',2387607552,2394947583),('US',2394947584,2395013119),('CA',2395013120,2395209727),('CA',2395340800,2399141887),('US',2399141888,2401828863),('GB',2401828864,2401894399),('US',2401894400,2402222079),('IE',2402222080,2402287615),('US',2402287616,2402418687),('AT',2402418688,2402484223),('FI',2402484224,2402549759),('GB',2402549760,2402680831),('BR',2402680832,2402746367),('US',2402746368,2403401727),('GB',2403401728,2403467263),('US',2403467264,2404974591),('HK',2404974592,2405040127),('JP',2405040128,2405105663),('US',2405105664,2405171199),('AU',2405171200,2405236735),('DE',2405236736,2405302271),('JP',2405302272,2405367807),('US',2405367808,2405433343),('NZ',2405433344,2405498879),('NO',2405498880,2405564415),('US',2405564416,2405629951),('CH',2405629952,2405695487),('US',2405695488,2406088703),('BR',2406088704,2406285311),('US',2406285312,2406809599),('GB',2406809600,2406875135),('SE',2406875136,2406940671),('AU',2406940672,2407006207),('US',2407006208,2407071743),('NL',2407071744,2407137279),('US',2407137280,2407333887),('JP',2407333888,2407399423),('FR',2407399424,2407464959),('US',2407464960,2407530495),('ZA',2407530496,2407596031),('BE',2407596032,2407661567),('AT',2407661568,2407727103),('US',2407727104,2408054783),('JP',2408054784,2408120319),('US',2408185856,2409627647),('ZA',2409627648,2409693183),('AT',2409693184,2409758719),('US',2409758720,2409824255),('DE',2409824256,2409955327),('US',2409955328,2410086399),('GB',2410086400,2410151935),('US',2410151936,2410217471),('BE',2410217472,2410283007),('US',2410283008,2410348543),('JP',2410348544,2410414079),('US',2410414080,2410545151),('AU',2410545152,2410610687),('US',2410610688,2410676223),('NL',2410676224,2410938367),('CH',2410938368,2411003903),('US',2411003904,2411462655),('AU',2411462656,2411593727),('US',2411593728,2411986943),('FR',2411986944,2412052479),('US',2412052480,2412314623),('JP',2412314624,2412380159),('US',2412445696,2412576767),('AT',2412576768,2412642303),('US',2412642304,2412773375),('US',2412838912,2412904447),('GB',2412904448,2412969983),('US',2412969984,2413297663),('AU',2413297664,2413363199),('SE',2413363200,2413428735),('AU',2413428736,2413494271),('US',2413494272,2413625343),('JP',2413625344,2413690879),('US',2413690880,2413821951),('AT',2413821952,2413887487),('IT',2413887488,2413953023),('US',2413953024,2414411775),('GR',2414411776,2414477311),('GB',2414477312,2414542847),('US',2414542848,2414673919),('SE',2414673920,2414739455),('AU',2414739456,2414804991),('IE',2414804992,2414870527),('US',2414870528,2415198207),('AT',2415198208,2415263743),('US',2415263744,2415394815),('KR',2415394816,2415460351),('US',2415460352,2415656959),('GB',2415656960,2415722495),('JP',2415722496,2415788031),('US',2415788032,2415853567),('JP',2415984640,2416050175),('NL',2416050176,2416115711),('US',2416115712,2416181247),('FI',2416181248,2416246783),('US',2416246784,2416312319),('AU',2416312320,2416377855),('US',2416443392,2416967679),('IN',2416967680,2417033215),('US',2417033216,2417229823),('ES',2417229824,2417295359),('PT',2417295360,2417360895),('MX',2417360896,2417426431),('BR',2417426432,2417491967),('GR',2417491968,2417557503),('US',2417557504,2417688575),('SE',2417688576,2417754111),('US',2417754112,2418016255),('GB',2418016256,2418081791),('US',2418081792,2418606079),('DE',2418606080,2418671615),('US',2418671616,2418737151),('NL',2418737152,2418868223),('US',2418868224,2419326975),('AU',2419392512,2419458047),('NL',2419458048,2419523583),('AU',2419523584,2419589119),('FR',2419589120,2419654655),('SE',2419654656,2419720191),('US',2419720192,2420047871),('SE',2420047872,2420113407),('PT',2420113408,2420178943),('AT',2420178944,2420244479),('NZ',2420244480,2420310015),('US',2420310016,2420899839),('DE',2420899840,2420965375),('US',2420965376,2421096447),('AU',2421096448,2421161983),('US',2421161984,2421293055),('GB',2421293056,2421358591),('US',2421358592,2421424127),('NO',2421424128,2421489663),('CH',2421489664,2421555199),('US',2421555200,2421620735),('GB',2421620736,2421686271),('US',2421686272,2422145023),('NL',2422145024,2422154239),('US',2422154240,2422155263),('NL',2422155264,2422210559),('US',2422210560,2422276095),('AU',2422276096,2422341631),('GB',2422341632,2422407167),('US',2422407168,2423128063),('AU',2423128064,2423193599),('US',2423193600,2423717887),('NL',2423717888,2423783423),('FJ',2423783424,2423848959),('US',2423848960,2423914495),('TR',2423914496,2423980031),('GB',2424045568,2424111103),('US',2424111104,2424242175),('NO',2424242176,2424307711),('US',2424307712,2424438783),('AU',2424438784,2425159679),('US',2425159680,2425421823),('DE',2425421824,2425487359),('US',2425487360,2426667007),('NO',2426667008,2426732543),('FR',2426732544,2426798079),('US',2426798080,2426929151),('GB',2426929152,2426994687),('US',2426994688,2427256831),('GB',2427256832,2427322367),('US',2427322368,2427453439),('NO',2427453440,2427584511),('GB',2427584512,2427650047),('NO',2427650048,2427846655),('US',2427846656,2428567551),('NO',2428567552,2428633087),('CA',2428633088,2428698623),('US',2428698624,2428960767),('MY',2428960768,2429026303),('CH',2429026304,2429091839),('US',2429091840,2429288447),('FR',2429288448,2429353983),('AU',2429353984,2429419519),('RU',2429419520,2429485055),('US',2429485056,2429616127),('NL',2429616128,2429681663),('US',2429681664,2429878271),('JP',2429878272,2429943807),('HK',2429943808,2430009343),('US',2430009344,2430205951),('AU',2430205952,2430271487),('US',2430271488,2432172031),('BE',2432172032,2432237567),('US',2432237568,2432696319),('NL',2432696320,2433810431),('GB',2433810432,2433875967),('NL',2433875968,2435071999),('US',2435072000,2435088383),('NL',2435088384,2436300799),('GB',2436300800,2436366335),('NL',2436366336,2436759551),('GB',2436759552,2436825087),('NL',2436825088,2447376383),('GB',2447376384,2447441919),('DE',2447441920,2447507455),('FR',2447507456,2447572991),('GB',2447572992,2447638527),('DE',2447638528,2447679819),('IT',2447679820,2447679839),('DE',2447679840,2447704063),('GB',2447704064,2447769599),('DE',2447769600,2447835135),('FR',2447835136,2447900671),('CH',2447900672,2447966207),('GB',2447966208,2448031743),('CH',2448031744,2448097279),('SE',2448097280,2448162815),('HU',2448162816,2448228351),('PL',2448228352,2448293887),('FR',2448293888,2448359423),('GB',2448359424,2448424959),('FR',2448424960,2448490495),('AT',2448490496,2448556031),('FR',2448556032,2448621567),('DE',2448621568,2448687103),('AT',2448687104,2448752639),('CH',2448752640,2448818175),('GB',2448818176,2448883711),('FI',2448883712,2448922367),('NO',2448922368,2448927487),('FI',2448927488,2448949247),('FR',2448949248,2449014783),('RU',2449014784,2449080319),('CH',2449080320,2449145855),('SE',2449145856,2449211391),('CH',2449211392,2449276927),('DE',2449276928,2449407999),('US',2449539072,2449604607),('NO',2449604608,2449670143),('LU',2449670144,2449735679),('CH',2449735680,2449801215),('US',2449801216,2450194431),('AU',2450194432,2450259967),('US',2450259968,2450718719),('FR',2450718720,2450784255),('US',2450784256,2450849791),('SE',2450849792,2450915327),('US',2450915328,2452619263),('IT',2452619264,2452684799),('US',2452684800,2452750335),('NL',2452750336,2452815871),('JP',2452815872,2452881407),('US',2452881408,2453143551),('JP',2453143552,2453209087),('US',2453209088,2453340159),('NO',2453340160,2453405695),('US',2453471232,2453536767),('AU',2453536768,2453602303),('US',2453602304,2453667839),('ZA',2453667840,2453733375),('US',2453733376,2453798911),('CH',2453864448,2453929983),('US',2453929984,2454061055),('GB',2454061056,2454126591),('US',2454126592,2454192127),('NO',2454192128,2454257663),('US',2454257664,2454388735),('SE',2454388736,2454454271),('US',2454454272,2454519807),('GB',2454519808,2454585343),('US',2454585344,2454716415),('GB',2454716416,2454781951),('FI',2454781952,2454847487),('US',2454847488,2454851583),('DK',2454851584,2454851839),('US',2454851840,2454853119),('DK',2454853120,2454853375),('US',2454853376,2454887423),('DK',2454887424,2454887679),('US',2454887680,2454913023),('CL',2454913024,2454978559),('US',2454978560,2455175167),('GB',2455175168,2455240703),('US',2455240704,2455830527),('GB',2455830528,2455896063),('US',2455896064,2456027135),('IT',2456027136,2456092671),('GB',2456092672,2456158207),('CZ',2456158208,2456223743),('BE',2456223744,2456289279),('NL',2456289280,2456354815),('GB',2456354816,2456420351),('EU',2456420352,2456485887),('DE',2456485888,2456551423),('AT',2456551424,2456616959),('CH',2456616960,2456682495),('HU',2456682496,2456748031),('US',2456748032,2456813567),('AT',2456813568,2456879103),('US',2456879104,2457075711),('AU',2457075712,2457141247),('JP',2457141248,2457206783),('AU',2457206784,2457272319),('FI',2457272320,2457337855),('US',2457337856,2457599999),('GR',2457600000,2457665535),('US',2457665536,2458058751),('CA',2458058752,2458124287),('US',2458124288,2458189823),('IT',2458189824,2458255359),('BR',2458255360,2458320895),('US',2458320896,2458386431),('CH',2458386432,2458451967),('US',2458451968,2458648575),('DE',2458648576,2458714111),('ZA',2458714112,2458779647),('US',2458779648,2458910719),('AU',2458910720,2458976255),('US',2458976256,2458995511),('PA',2458995512,2458995519),('US',2458995520,2459631615),('CL',2459631616,2459697151),('US',2459697152,2459828223),('CH',2459893760,2459959295),('US',2459959296,2460024831),('FI',2460024832,2460090367),('GB',2460090368,2460155903),('US',2460155904,2460221439),('BR',2460221440,2460286975),('US',2460286976,2460549119),('GB',2460549120,2460614655),('US',2460614656,2460680191),('NZ',2460680192,2460745727),('NO',2460745728,2460811263),('SE',2460811264,2460876799),('US',2460876800,2460942335),('BE',2460942336,2461007871),('GB',2461007872,2461138943),('AU',2461138944,2461204479),('GB',2461204480,2461270015),('US',2461270016,2461401087),('ZA',2461401088,2461466623),('US',2461466624,2461794303),('GB',2461794304,2461859839),('US',2461859840,2461990911),('GB',2461990912,2462056447),('NO',2462056448,2462121983),('PT',2462121984,2462187519),('GB',2462187520,2462253055),('AU',2462253056,2462384127),('US',2462384128,2463236095),('AT',2463236096,2463301631),('FI',2463301632,2463367167),('NO',2463432704,2463498239),('US',2463498240,2463629311),('CH',2463629312,2463694847),('US',2463694848,2463825919),('ES',2463825920,2463891455),('LU',2463891456,2463911935),('FR',2463911936,2463916031),('LU',2463916032,2463956991),('AU',2463956992,2464022527),('US',2464022528,2464153599),('NO',2464153600,2464219135),('US',2464219136,2464284671),('VI',2464284672,2464350207),('GB',2464350208,2464415743),('CH',2464415744,2464481279),('US',2464481280,2464546815),('ZA',2464546816,2464743423),('US',2464743424,2464808959),('DE',2464808960,2464874495),('US',2464874496,2465726463),('CH',2465726464,2465791999),('FR',2465792000,2465857535),('US',2465857536,2465923071),('US',2465988608,2466054143),('SE',2466054144,2466119679),('DE',2466119680,2466185215),('US',2466250752,2466643967),('KR',2466643968,2466709503),('HU',2466709504,2466775039),('HK',2466775040,2466840575),('US',2466840576,2466906111),('AU',2466906112,2466971647),('US',2466971648,2467037183),('NL',2467037184,2467102719),('SE',2467102720,2467233791),('US',2467233792,2468020223),('GR',2468020224,2468085759),('US',2468085760,2468151295),('DK',2468151296,2468174847),('NO',2468174848,2468175359),('DK',2468175360,2468189663),('GB',2468189664,2468189695),('DK',2468189696,2468216831),('DE',2468216832,2468282367),('US',2468282368,2468347903),('CZ',2468347904,2468478975),('US',2468478976,2468937727),('AU',2468937728,2469003263),('US',2469003264,2469068799),('KR',2469068800,2469134335),('SE',2469134336,2469199871),('RU',2469199872,2469265407),('KR',2469265408,2469396479),('US',2469396480,2469658623),('GR',2469658624,2469724159),('US',2469724160,2469789695),('DE',2469789696,2469855231),('US',2469855232,2470182911),('CH',2470182912,2470248447),('US',2470248448,2470510591),('BR',2470510592,2470576127),('AU',2470576128,2470641663),('LU',2470641664,2470707199),('GB',2470707200,2470772735),('AU',2470772736,2470838271),('US',2470838272,2471165951),('CH',2471165952,2471231487),('AU',2471231488,2471297023),('GB',2471297024,2471362559),('EU',2471362560,2471428095),('US',2471428096,2471690239),('ES',2471690240,2471821311),('CH',2471886848,2472083455),('GB',2472083456,2472148991),('US',2472148992,2472214527),('RS',2472214528,2472280063),('US',2472280064,2472345599),('BE',2472345600,2472411135),('FR',2472411136,2472476671),('GR',2472476672,2472542207),('ES',2472542208,2472607743),('US',2472607744,2472673279),('FR',2472673280,2472869887),('US',2472869888,2472935423),('GR',2472935424,2473000959),('US',2473000960,2473394175),('AU',2473394176,2473459711),('ZA',2473459712,2473525247),('NO',2473525248,2473656319),('US',2473656320,2474049535),('GB',2474049536,2474115071),('US',2474115072,2474246143),('IT',2474246144,2474377215),('US',2474377216,2474442751),('AT',2474442752,2474508287),('US',2474508288,2474573823),('FR',2474573824,2474639359),('US',2474639360,2474901503),('AU',2474901504,2474967039),('US',2474967040,2475556863),('DE',2475556864,2475622399),('GB',2475622400,2475687935),('US',2475687936,2475884543),('GB',2475884544,2476277759),('US',2476277760,2476474367),('ES',2476474368,2476539903),('JP',2476539904,2476605439),('NZ',2476605440,2476670975),('US',2476670976,2476802047),('IL',2476802048,2476867583),('IT',2476867584,2476998655),('US',2476998656,2477195263),('CH',2477195264,2477260799),('US',2477260800,2477457407),('FR',2477457408,2477522943),('DE',2477522944,2477588479),('FR',2477588480,2477654015),('US',2477654016,2477719551),('SK',2477719552,2477785087),('JP',2477785088,2477850623),('US',2477850624,2478047231),('SE',2478047232,2478112767),('NL',2478112768,2478178303),('US',2478178304,2478309375),('GB',2478309376,2478374911),('US',2478374912,2478440447),('SE',2478440448,2478505983),('US',2478505984,2478571519),('GB',2478571520,2478702591),('US',2478702592,2478899199),('GB',2478899200,2478964735),('US',2479030272,2479095807),('FR',2479095808,2479161343),('GB',2479161344,2479226879),('US',2479226880,2479357951),('AU',2479357952,2479423487),('GB',2479423488,2479489023),('US',2479489024,2479620095),('DE',2479620096,2479685631),('US',2479685632,2479947775),('AU',2479947776,2480013311),('FR',2480013312,2480078847),('AU',2480078848,2480209919),('SK',2480209920,2480275455),('SE',2480275456,2480340991),('FR',2480340992,2480406527),('US',2480406528,2480668671),('SE',2480668672,2480734207),('US',2480734208,2481192959),('CZ',2481192960,2481455103),('SK',2481455104,2481520639),('IL',2481520640,2481848319),('US',2481848320,2482175999),('FI',2482176000,2482208767),('US',2482208768,2482216959),('FI',2482216960,2482225151),('SG',2482225152,2482233343),('CN',2482233344,2482241535),('US',2482241536,2482634751),('FR',2482634752,2482700287),('CZ',2482700288,2482765823),('IE',2482765824,2482831359),('US',2482831360,2482962431),('US',2483093504,2483159039),('SE',2483159040,2483224575),('GB',2483224576,2483290111),('US',2483290112,2483421183),('HU',2483421184,2483486719),('US',2483486720,2486566911),('CH',2486566912,2486632447),('US',2486632448,2486697983),('AT',2486697984,2486763519),('US',2486763520,2486960127),('FR',2486960128,2487025663),('US',2487025664,2488205311),('GB',2488205312,2488270847),('US',2488270848,2488336383),('PL',2488336384,2488401919),('NO',2488401920,2488532991),('US',2488532992,2488795135),('GB',2488795136,2488860671),('US',2488860672,2490236927),('LU',2490236928,2490302463),('US',2490302464,2490695679),('CA',2490695680,2490761215),('NO',2490761216,2491154431),('US',2491154432,2491875327),('SE',2491875328,2492006399),('US',2492006400,2492071935),('SE',2492071936,2492137471),('US',2492137472,2492203007),('NO',2492203008,2492268543),('US',2492268544,2492399615),('FR',2492399616,2492465151),('US',2492465152,2492530687),('AU',2492530688,2492596223),('US',2492596224,2492727295),('NL',2492727296,2492792831),('US',2492792832,2492923903),('OM',2492923904,2492989439),('US',2492989440,2493513727),('SE',2493513728,2493579263),('JP',2493579264,2493644799),('US',2493644800,2494103551),('FR',2494103552,2494169087),('US',2494169088,2494562303),('GB',2494562304,2494627839),('US',2494627840,2494889983),('GB',2494889984,2494955519),('AU',2494955520,2495021055),('US',2495021056,2495152127),('EU',2495152128,2495217663),('US',2495217664,2495283199),('CH',2495283200,2495348735),('US',2495348736,2495807487),('AU',2495807488,2495873023),('CH',2495873024,2495938559),('GB',2495938560,2496004095),('AT',2496004096,2496069631),('US',2496069632,2496135167),('NL',2496135168,2496200703),('MX',2496200704,2497682431),('EC',2497682432,2497683455),('MX',2497683456,2498475007),('EC',2498475008,2498476031),('MX',2498476032,2499477503),('DE',2499477504,2499543039),('GB',2499543040,2499674111),('US',2499674112,2499739647),('US',2499805184,2503016447),('IL',2503016448,2503081983),('US',2503081984,2503671807),('NL',2503671808,2503737343),('US',2503737344,2506293247),('CA',2506293248,2506358783),('US',2506358784,2508455935),('IT',2508455936,2508521471),('CH',2508521472,2508587007),('BE',2508587008,2508652543),('AU',2508652544,2508718079),('US',2508718080,2508914687),('IT',2508914688,2508980223),('US',2508980224,2509242367),('AU',2509242368,2509307903),('US',2509307904,2509373439),('NL',2509373440,2509438975),('AT',2509504512,2509570047),('US',2509570048,2509832191),('IE',2509832192,2509897727),('GB',2509963264,2510028799),('PL',2510028800,2510094335),('IE',2510094336,2510159871),('US',2510159872,2510749695),('AU',2510749696,2510815231),('US',2510815232,2510946303),('GB',2510946304,2511011839),('AU',2511011840,2511077375),('US',2511077376,2511339519),('AU',2511339520,2511405055),('GB',2511405056,2512715775),('FI',2512715776,2512781311),('US',2512781312,2512912383),('DE',2512912384,2513502207),('NO',2513502208,2513567743),('EU',2513567744,2513633279),('DE',2513633280,2513698815),('DK',2513698816,2513764351),('DE',2513764352,2514419711),('GB',2514419712,2514485247),('DE',2514485248,2514514431),('NL',2514514432,2514514687),('DE',2514514688,2515599359),('EU',2515599360,2515664895),('DE',2515664896,2515832831),('FR',2515832832,2515833855),('DE',2515833856,2516254719),('FR',2516254720,2516320255),('US',2516320256,2516451327),('GB',2516451328,2516516863),('JP',2516582400,2523201535),('AU',2523201536,2523267071),('US',2523267072,2523529215),('NO',2523529216,2523594751),('AT',2523594752,2523660287),('US',2523660288,2524971007),('ES',2524971008,2525036543),('EU',2525036544,2525102079),('US',2525102080,2525233151),('SE',2525233152,2525298687),('US',2525298688,2525626367),('GR',2525757440,2525822975),('US',2525822976,2526085119),('IT',2526085120,2526216191),('US',2526216192,2526412799),('KR',2526412800,2526478335),('AU',2526478336,2526543871),('US',2526543872,2526937087),('BE',2526937088,2527002623),('US',2527002624,2527133695),('BR',2527133696,2527461375),('US',2527461376,2527920127),('AU',2527920128,2527985663),('US',2527985664,2528051199),('FR',2528051200,2528116735),('US',2528116736,2528247807),('IT',2528247808,2528313343),('US',2528313344,2528575487),('KR',2528575488,2528641023),('US',2528641024,2528706559),('VE',2528706560,2529034239),('US',2529034240,2529099775),('AU',2529099776,2529165311),('US',2529165312,2529492991),('KR',2529492992,2529558527),('US',2529558528,2529886207),('AU',2529886208,2529951743),('GB',2529951744,2530017279),('CH',2530017280,2530082815),('NZ',2530082816,2530148351),('AU',2530148352,2530213887),('US',2530213888,2530541567),('CH',2530541568,2530607103),('ES',2530607104,2530672639),('US',2530672640,2530803711),('IT',2530803712,2530869247),('US',2530869248,2531459071),('SE',2531459072,2531524607),('US',2531524608,2531590143),('AU',2531590144,2531655679),('US',2531655680,2532048895),('SE',2532048896,2532114431),('GB',2532114432,2532179967),('US',2532179968,2532376575),('ES',2532376576,2532442111),('FR',2532442112,2532507647),('US',2532507648,2532573183),('ES',2532573184,2532638719),('US',2532638720,2533031935),('BE',2533031936,2533097471),('US',2533097472,2533228543),('PL',2533228544,2533294079),('IT',2533359616,2539978751),('US',2539978752,2540240895),('FI',2540240896,2540306431),('US',2540306432,2540896255),('GB',2540896256,2540961791),('US',2540961792,2541223935),('CH',2541223936,2541289471),('US',2541289472,2541682687),('CH',2541682688,2541748223),('US',2541748224,2541813759),('GB',2541813760,2541879295),('AU',2541879296,2541944831),('US',2541944832,2542075903),('GB',2542075904,2542141439),('US',2542141440,2542206975),('DE',2542272512,2542338047),('US',2542338048,2543583231),('SE',2543583232,2543648767),('NO',2543648768,2543714303),('JP',2543714304,2543779839),('US',2543779840,2544500735),('GB',2544500736,2544566271),('US',2544566272,2544631807),('JP',2544631808,2544697343),('US',2544697344,2544828415),('EU',2544828416,2544893951),('GB',2544893952,2544959487),('SE',2544959488,2545025023),('AU',2545025024,2545090559),('US',2545090560,2545156095),('GB',2545156096,2545221631),('US',2545221632,2545287167),('GB',2545287168,2545352703),('CH',2545352704,2545418239),('US',2545418240,2545614847),('NO',2545614848,2545680383),('US',2545680384,2545745919),('DE',2545745920,2545811455),('US',2545811456,2547187711),('GB',2547187712,2547318783),('US',2547318784,2547515391),('US',2550136832,2554462207),('HU',2554462208,2554527743),('US',2554527744,2554789887),('GB',2554789888,2554855423),('US',2554855424,2554920959),('DK',2554920960,2554986495),('CL',2554986496,2555052031),('US',2555052032,2555117567),('AU',2555117568,2555183103),('FR',2555183104,2555248639),('GB',2555248640,2555314175),('US',2555314176,2555445247),('FR',2555445248,2555510783),('US',2555510784,2555576319),('AU',2555576320,2555641855),('BR',2555641856,2555707391),('US',2555707392,2555903999),('CH',2555904000,2555969535),('FR',2555969536,2556035071),('NO',2556035072,2556100607),('AU',2556100608,2556166143),('BR',2556166144,2556231679),('NO',2556231680,2556362751),('DK',2556362752,2556428287),('CH',2556428288,2556493823),('US',2556493824,2556559359),('AU',2556559360,2556624895),('KR',2556624896,2556690431),('US',2556690432,2556755967),('HK',2556755968,2557018111),('GB',2557018112,2557083647),('ZA',2557083648,2557542399),('US',2557542400,2557607935),('GB',2557607936,2557673471),('DK',2557673472,2557739007),('US',2557739008,2557870079),('ID',2557870080,2557935615),('US',2557935616,2558918655),('GB',2558918656,2558984191),('US',2558984192,2559246335),('CL',2559246336,2559311871),('US',2559311872,2559508479),('DE',2559508480,2559574015),('US',2559574016,2559770623),('AU',2559770624,2559836159),('US',2559836160,2559901695),('KR',2559901696,2559967231),('GB',2559967232,2560032767),('US',2560032768,2560098303),('BE',2560098304,2560163839),('NZ',2560163840,2560229375),('US',2560229376,2560644607),('CA',2560644608,2560644863),('US',2560644864,2561015807),('US',2561671168,2564947967),('SG',2564947968,2565013503),('US',2565013504,2565210111),('FI',2566979584,2567045119),('US',2567045120,2567110655),('US',2567176192,2567241727),('SI',2567241728,2567307263),('US',2567307264,2567897087),('NO',2567897088,2567962623),('US',2567962624,2568028159),('DE',2568028160,2568093695),('US',2568093696,2568159231),('PL',2568159232,2568224767),('SG',2568224768,2568290303),('US',2568290304,2569601023),('CA',2569601024,2569666559),('US',2569666560,2569797631),('NO',2569797632,2569863167),('US',2569863168,2569928703),('CH',2569928704,2569994239),('US',2569994240,2570125311),('BE',2570125312,2570190847),('US',2570190848,2572681215),('SE',2572681216,2572746751),('US',2572746752,2572943359),('EU',2572943360,2572944639),('DE',2572944640,2572944895),('EU',2572944896,2572945919),('DE',2572945920,2572946175),('EU',2572946176,2573008895),('DE',2573008896,2573402111),('EU',2573402112,2573467647),('DE',2573467648,2573533183),('EU',2573533184,2573598719),('US',2573598720,2573926399),('AU',2573926400,2573991935),('CH',2573991936,2574123007),('NO',2574123008,2574188543),('NZ',2574188544,2574254079),('SE',2574254080,2574319615),('US',2574319616,2574647295),('US',2583691264,2584018943),('CA',2584018944,2584084479),('US',2584084480,2584215551),('GB',2584215552,2584281087),('US',2584281088,2584346623),('KR',2584346624,2584412159),('CA',2584412160,2584477695),('US',2584477696,2584608767),('CH',2584608768,2584805375),('US',2584805376,2585001983),('CA',2585001984,2585067519),('US',2585067520,2585788415),('GB',2585788416,2585853951),('JP',2585853952,2585985023),('US',2585985024,2587951103),('US',2600534016,2600665087),('CA',2600665088,2600730623),('NO',2600730624,2600796159),('US',2600796160,2601123839),('CA',2601123840,2601189375),('US',2601320448,2601451519),('CA',2601451520,2601517055),('US',2601517056,2602565631),('NZ',2602565632,2602631167),('US',2602631168,2604007423),('ES',2604007424,2604072959),('NO',2604072960,2604138495),('DE',2604138496,2604204031),('US',2604204032,2604335103),('NZ',2604335104,2604400639),('AU',2604400640,2604466175),('US',2604466176,2604531711),('CA',2604531712,2604597247),('US',2604597248,2604793855),('CH',2604793856,2604859391),('US',2604859392,2604990463),('SG',2604990464,2605055999),('US',2605056000,2605121535),('AU',2605121536,2605187071),('US',2605187072,2605252607),('AT',2605252608,2605318143),('US',2605318144,2607349759),('CH',2607349760,2607415295),('US',2607415296,2609053695),('GB',2609053696,2609119231),('FR',2609119232,2609184767),('EU',2609184768,2609250303),('US',2609250304,2609381375),('GB',2609381376,2609446911),('DK',2609446912,2609512447),('US',2609512448,2609643519),('GB',2609643520,2609709055),('US',2609709056,2609840127),('AU',2609840128,2609971199),('GB',2609971200,2610036735),('US',2610036736,2610823167),('PL',2610823168,2610888703),('ZA',2610888704,2610954239),('JP',2610954240,2611019775),('US',2611019776,2612592639),('IT',2612592640,2612658175),('US',2612658176,2612723711),('AU',2612723712,2612789247),('US',2612789248,2613051391),('GB',2613051392,2613116927),('US',2613116928,2613182463),('CA',2613182464,2613247999),('US',2613248000,2613313535),('US',2613379072,2613444607),('GB',2613444608,2613510143),('US',2613510144,2613706751),('GB',2613706752,2613772287),('US',2613772288,2613837823),('NL',2613837824,2613903359),('AU',2613903360,2613968895),('US',2613968896,2614034431),('GR',2614034432,2614099967),('US',2614099968,2614165503),('NO',2614165504,2614231039),('ES',2614231040,2614296575),('BR',2614296576,2614362111),('US',2614362112,2615083007),('TR',2615083008,2615148543),('US',2615148544,2615345151),('NO',2615345152,2615410687),('CH',2615410688,2615476223),('US',2615476224,2615541759),('KR',2615541760,2615607295),('GB',2615607296,2615672831),('ZA',2615672832,2616262655),('US',2616262656,2616524799),('GB',2616524800,2616590335),('US',2616590336,2616786943),('GB',2616786944,2616852479),('DE',2616852480,2616918015),('US',2616918016,2617049087),('IT',2617049088,2617114623),('US',2617114624,2617180159),('US',2617245696,2617769983),('ZA',2617769984,2617835519),('US',2617835520,2617901055),('FI',2617901056,2617966591),('CA',2617966592,2618032127),('US',2618032128,2618097663),('NZ',2618097664,2618163199),('IT',2618163200,2618228735),('US',2618228736,2618294271),('AU',2618294272,2618359807),('PL',2618359808,2618425343),('FR',2618425344,2618490879),('US',2618490880,2618687487),('AU',2618687488,2618753023),('US',2618753024,2618884095),('CH',2618884096,2618949631),('US',2618949632,2619080703),('FR',2619080704,2619146239),('US',2619146240,2619277311),('BN',2619277312,2619342847),('US',2619342848,2619473919),('CA',2619473920,2619539455),('ES',2619539456,2619604991),('US',2619604992,2620063743),('GB',2620063744,2620129279),('CA',2620129280,2620194815),('US',2620194816,2620315039),('DE',2620315040,2620315063),('US',2620315064,2620391423),('GB',2620391424,2620456959),('SE',2620456960,2620522495),('AU',2620522496,2620588031),('SE',2620588032,2620653567),('NO',2620653568,2620719103),('US',2620719104,2620784639),('IT',2620784640,2620850175),('US',2620850176,2620981247),('CA',2620981248,2621046783),('AT',2621046784,2621112319),('NZ',2621112320,2621177855),('US',2621177856,2621243391),('GB',2621243392,2621308927),('NZ',2621308928,2621374463),('US',2621374464,2621636607),('DE',2621636608,2621702143),('US',2621702144,2621767679),('NZ',2621767680,2621833215),('US',2621833216,2622423039),('CA',2622423040,2622488575),('US',2622488576,2622685183),('NL',2622685184,2622750719),('US',2622750720,2623602687),('CL',2623602688,2623668223),('US',2623668224,2624192511),('CH',2624192512,2624258047),('US',2624258048,2624585727),('DE',2624585728,2624716799),('NL',2624716800,2624782335),('CH',2624782336,2624847871),('NO',2624847872,2624913407),('US',2624913408,2624978943),('FR',2624978944,2625044479),('US',2625044480,2625961983),('LU',2625961984,2626027519),('US',2626027520,2626093055),('CH',2626093056,2626158591),('US',2626158592,2626879487),('KR',2626879488,2626945023),('IT',2626945024,2627010559),('NZ',2627010560,2627076095),('NL',2627076096,2627141631),('US',2627141632,2627469311),('JP',2634022912,2635399167),('US',2635399168,2635530239),('FR',2635530240,2635595775),('FI',2635595776,2635661311),('PL',2635661312,2635726847),('CH',2635726848,2635792383),('IT',2635792384,2635988991),('US',2635988992,2636120063),('ID',2636120064,2637561855),('US',2637561856,2638020607),('US',2638086144,2638151679),('JP',2638151680,2639462399),('GB',2639462400,2639593471),('AU',2639593472,2639659007),('BR',2639659008,2639724543),('US',2639724544,2639790079),('ES',2639790080,2639855615),('US',2639855616,2640052223),('AR',2640052224,2640117759),('US',2640117760,2640183295),('FI',2640183296,2640248831),('US',2640248832,2640314367),('SE',2640314368,2640379903),('CA',2640379904,2640445439),('US',2640445440,2640510975),('FR',2640510976,2640576511),('EC',2640576512,2640642047),('JP',2640642048,2641952767),('US',2641952768,2642018303),('US',2642083840,2642149375),('FI',2642149376,2642214911),('SE',2642214912,2642280447),('US',2642280448,2642411519),('AU',2642411520,2642477055),('FI',2642477056,2642542591),('US',2642542592,2642935807),('FR',2642935808,2643001343),('US',2643001344,2643066879),('IT',2643066880,2643132415),('US',2643132416,2643197951),('GB',2643197952,2643263487),('US',2643263488,2643460095),('FI',2643460096,2643525631),('US',2643525632,2644180991),('AU',2644180992,2644246527),('IS',2644312064,2644377599),('PL',2644377600,2644443135),('FR',2644443136,2644508671),('US',2644508672,2644574207),('CH',2644574208,2644639743),('DE',2644639744,2644770815),('BE',2644770816,2644836351),('US',2644836352,2644967423),('AT',2644967424,2645098495),('FR',2645098496,2645164031),('US',2645164032,2645229567),('SE',2645229568,2645295103),('FR',2645295104,2645360639),('GB',2645360640,2645426175),('US',2645426176,2645622783),('AT',2645622784,2645688319),('US',2645688320,2645753855),('TH',2645753856,2645819391),('SE',2645819392,2645884927),('HU',2645884928,2645950463),('US',2645950464,2646212607),('RU',2646212608,2646278143),('US',2646278144,2646474751),('IE',2646474752,2646540287),('US',2646540288,2646605823),('JP',2646605824,2646671359),('BE',2646671360,2646736895),('US',2646736896,2646933503),('KR',2646933504,2646999039),('US',2646999040,2647130111),('FI',2647130112,2647195647),('US',2647195648,2647326719),('GB',2647326720,2647392255),('US',2647392256,2647457791),('JP',2647457792,2647523327),('US',2647523328,2647851007),('AU',2647851008,2647916543),('US',2647916544,2648899583),('IN',2648899584,2648965119),('GB',2648965120,2649030655),('US',2649030656,2649489407),('GB',2649489408,2649554943),('NO',2649554944,2649620479),('US',2649620480,2649948159),('FR',2649948160,2650013695),('CA',2650013696,2650079231),('US',2650079232,2650210303),('AT',2650210304,2650275839),('US',2650275840,2650341375),('NO',2650341376,2650406911),('US',2650406912,2650603519),('CO',2650603520,2650669055),('US',2650669056,2650734591),('US',2650800128,2653159423),('NO',2653159424,2653421567),('AU',2653421568,2653487103),('GB',2653487104,2653552639),('ES',2653552640,2653618175),('GB',2653618176,2653683711),('KR',2653683712,2653749247),('AU',2653749248,2653814783),('IT',2653880320,2653945855),('US',2653945856,2654011391),('ES',2654011392,2654076927),('FR',2654076928,2654142463),('CA',2654142464,2654207999),('US',2654208000,2654339071),('AU',2654339072,2654404607),('US',2654404608,2654994431),('LU',2654994432,2655059967),('US',2655059968,2655125503),('EU',2655125504,2655185151),('PL',2655185152,2655186944),('EU',2655186945,2655256575),('US',2655256576,2655715327),('PL',2655715328,2655780863),('US',2655780864,2656632831),('AU',2656632832,2656698367),('FI',2656698368,2656763903),('US',2656763904,2656829439),('SE',2656829440,2656894975),('US',2656894976,2656960511),('GB',2656960512,2657026047),('US',2657026048,2657157119),('MX',2657157120,2657222655),('US',2657222656,2657288191),('ES',2657288192,2657353727),('US',2657353728,2657484799),('IT',2657484800,2657550335),('US',2657550336,2657681407),('SE',2657681408,2657746943),('US',2657746944,2657878015),('TH',2657878016,2657943551),('ES',2657943552,2658009087),('IT',2658009088,2658074623),('US',2658074624,2658140159),('NO',2658140160,2658205695),('US',2658205696,2658598911),('GB',2658598912,2658664447),('US',2658664448,2658926591),('GB',2658926592,2659057663),('SE',2659057664,2659123199),('FI',2659123200,2659188735),('CA',2659188736,2659254271),('LT',2659254272,2659319807),('US',2659319808,2659385343),('FI',2659385344,2659450879),('HK',2659450880,2659516415),('CH',2659516416,2659581951),('US',2659581952,2660040703),('CA',2660040704,2660106239),('US',2660106240,2660171775),('GB',2660171776,2660237311),('IN',2660237312,2660302847),('US',2660302848,2660499455),('NO',2660564992,2660696063),('US',2660696064,2660761599),('GB',2660761600,2660827135),('US',2660827136,2661023743),('FR',2661023744,2661089279),('US',2661089280,2661285887),('VE',2661285888,2661351423),('BN',2661351424,2661416959),('PT',2661416960,2661482495),('CA',2661482496,2661548031),('US',2661548032,2661679103),('LU',2661679104,2661941247),('CL',2661941248,2662006783),('US',2662006784,2662072319),('ES',2662072320,2662137855),('SE',2662137856,2662203391),('GB',2662203392,2662662143),('HK',2662727680,2662793215),('US',2662793216,2663251967),('FR',2663251968,2663448575),('SK',2663448576,2663514111),('CZ',2663514112,2663579647),('SK',2663579648,2663645183),('CZ',2663645184,2663710719),('SK',2663710720,2663776255),('JP',2663776256,2664955903),('CH',2664955904,2665021439),('JP',2665021440,2665086975),('GB',2665086976,2665152511),('US',2665152512,2665218047),('CH',2665218048,2665283583),('US',2665283584,2665414655),('GB',2665414656,2665480191),('US',2665480192,2665545727),('DE',2665545728,2665611263),('CH',2665611264,2665676799),('ES',2665676800,2665742335),('US',2665742336,2665873407),('GB',2665873408,2665938943),('FR',2665938944,2666004479),('CH',2666004480,2666070015),('FI',2666070016,2666135551),('GB',2666135552,2666201087),('US',2666201088,2667053055),('SE',2667053056,2667118591),('HU',2667118592,2667184127),('RU',2667184128,2667249663),('CL',2667249664,2667315199),('US',2667315200,2667970559),('CA',2667970560,2668036095),('SE',2668036096,2668101631),('CH',2668101632,2668167167),('US',2668167168,2668363775),('CH',2668363776,2668429311),('AU',2668429312,2668494847),('US',2668494848,2668560383),('GB',2668560384,2668625919),('MX',2668625920,2668691455),('US',2668691456,2668756991),('CA',2668756992,2668822527),('US',2668822528,2668888063),('US',2668953600,2669019135),('CH',2669019136,2669084671),('ES',2669084672,2669150207),('US',2669150208,2669215743),('DE',2669215744,2669281279),('US',2669281280,2669477887),('CH',2669477888,2669543423),('GB',2669543424,2669608959),('FR',2669608960,2669674495),('CA',2669674496,2669805567),('GB',2669805568,2669871103),('US',2669871104,2670067711),('SE',2670067712,2670133247),('US',2670133248,2670591999),('NL',2670592000,2670657535),('US',2670657536,2670854143),('FR',2670854144,2670919679),('DE',2670919680,2670985215),('AU',2670985216,2671050751),('US',2671050752,2671181823),('CA',2671181824,2671247359),('US',2671247360,2671378431),('NO',2671378432,2671443967),('US',2671443968,2671509503),('NL',2671509504,2671575039),('US',2671575040,2672295935),('SE',2672295936,2672361471),('AU',2672361472,2672427007),('US',2672427008,2672820223),('JP',2672820224,2672885759),('NO',2672885760,2672951295),('US',2672951296,2673082367),('FR',2673082368,2673147903),('US',2673147904,2673213439),('US',2673278976,2673410047),('CA',2673410048,2673475583),('VE',2673475584,2673541119),('US',2673541120,2673606655),('GB',2673606656,2673672191),('RU',2673672192,2673737727),('US',2673737728,2673803263),('FR',2673803264,2673868799),('US',2673868800,2674130943),('GB',2674130944,2674262015),('US',2674262016,2674327551),('CH',2674327552,2674393087),('GB',2674393088,2674458623),('US',2674458624,2674589695),('SE',2674589696,2674655231),('US',2674655232,2674720767),('FR',2674720768,2674786303),('US',2674786304,2674851839),('AU',2674851840,2674917375),('US',2674917376,2675048447),('GB',2675048448,2675113983),('US',2675113984,2675245055),('NZ',2675245056,2675310591),('US',2675310592,2675572735),('CH',2675572736,2675638271),('US',2675638272,2675965951),('CA',2675965952,2676031487),('US',2676031488,2676097023),('NO',2676097024,2676162559),('US',2676162560,2676359167),('IE',2676359168,2676424703),('US',2676424704,2677014527),('CH',2677014528,2677080063),('US',2677080064,2677145599),('GB',2677211136,2677276671),('LV',2677276672,2677342207),('IT',2677342208,2677407743),('US',2677407744,2677473279),('FR',2677473280,2677538815),('FI',2677538816,2677604351),('US',2677604352,2677669887),('DE',2677669888,2677735423),('US',2677735424,2677800959),('CH',2677800960,2677866495),('US',2677866496,2677997567),('CA',2677997568,2678063103),('US',2678128640,2678194175),('NO',2678194176,2678259711),('US',2678259712,2678521855),('GB',2678521856,2678587391),('CH',2678587392,2678652927),('US',2678652928,2678718463),('GB',2678718464,2678783999),('NO',2678784000,2678849535),('US',2678849536,2678915071),('FR',2678915072,2678980607),('US',2678980608,2679046143),('CA',2679046144,2679111679),('US',2679111680,2679177215),('CA',2679177216,2679242751),('US',2679242752,2679308287),('CH',2679308288,2679373823),('GB',2679373824,2679439359),('US',2679439360,2680029183),('SE',2680029184,2680094719),('US',2680094720,2680225791),('SE',2680225792,2680356863),('DK',2680356864,2680422399),('AU',2680422400,2680487935),('GB',2680487936,2680553471),('US',2680553472,2680684543),('SE',2680684544,2680750079),('US',2680750080,2681012223),('CA',2681077760,2681143295),('AU',2681143296,2681208831),('CA',2681208832,2681274367),('US',2681274368,2681339903),('IT',2681339904,2681405439),('JP',2681405440,2681470975),('US',2681470976,2681536511),('IT',2681536512,2681602047),('US',2681602048,2681733119),('NO',2681733120,2681798655),('FR',2681798656,2681864191),('US',2681864192,2681929727),('GB',2681929728,2681995263),('US',2681995264,2682257407),('US',2682322944,2682388479),('CN',2682388480,2682454015),('US',2682454016,2682519551),('JP',2682519552,2682585087),('US',2682585088,2682716159),('CA',2682716160,2682781695),('CH',2682781696,2682847231),('US',2682847232,2683043839),('GB',2683043840,2683109375),('ES',2683109376,2683174911),('US',2683174912,2683240447),('GB',2683240448,2683305983),('US',2683305984,2683371519),('CH',2683371520,2683437055),('US',2683437056,2683568127),('GB',2683568128,2683699199),('US',2683699200,2683830271),('AU',2683830272,2683895807),('US',2683895808,2684157951),('GB',2684223488,2684289023),('US',2684354560,2684616703),('NZ',2684616704,2684682239),('GB',2684682240,2684747775),('IE',2684747776,2684813311),('US',2684813312,2684878847),('SE',2684878848,2684944383),('GB',2684944384,2685009919),('US',2685009920,2685075455),('JP',2685075456,2686386175),('US',2686386176,2686844927),('GB',2686844928,2686910463),('US',2686910464,2686975999),('GR',2686976000,2687041535),('US',2687041536,2687238143),('DE',2687238144,2687762431),('AT',2687762432,2687827967),('CH',2687827968,2687893503),('DE',2687893504,2688221183),('CH',2688221184,2688286719),('DE',2688286720,2688352255),('CH',2688352256,2688420863),('SG',2688420864,2688421311),('CH',2688421312,2688548863),('AU',2688548864,2688614399),('US',2688614400,2688679935),('IT',2688679936,2688745471),('NO',2688745472,2688876543),('US',2688876544,2688942079),('DE',2688942080,2689007615),('FI',2689007616,2689073151),('CA',2689073152,2689138687),('US',2689138688,2689204223),('JP',2689204224,2689269759),('TR',2689269760,2689335295),('US',2689335296,2689400831),('IT',2689466368,2689531903),('US',2689531904,2689581855),('GB',2689581856,2689581887),('US',2689581888,2689597439),('IT',2689597440,2689662975),('US',2689662976,2689925119),('CH',2689925120,2689990655),('US',2689990656,2690383871),('FR',2690383872,2690449407),('US',2690449408,2690646015),('SG',2690646016,2690711551),('IT',2690711552,2690777087),('CH',2690777088,2690842623),('RS',2690842624,2690908159),('GB',2690908160,2690973695),('US',2690973696,2691104767),('FR',2691104768,2691170303),('GB',2691170304,2691235839),('CA',2691301376,2691366911),('US',2691366912,2691760127),('HU',2691825664,2691891199),('ZA',2691891200,2692546559),('US',2692546560,2694840319),('IT',2696151040,2696216575),('JP',2696413184,2697789439),('US',2697789440,2697854975),('AU',2697854976,2697920511),('US',2697920512,2698117119),('IS',2698117120,2698182655),('DE',2698182656,2698248191),('US',2698248192,2698313727),('GB',2698313728,2698379263),('ES',2698379264,2698444799),('JP',2698444800,2698510335),('CZ',2698510336,2698706943),('CH',2698706944,2698772479),('IT',2698772480,2698838015),('BE',2698838016,2698903551),('AU',2698903552,2698969087),('CA',2698969088,2699034623),('US',2699231232,2699296767),('FR',2699296768,2699362303),('US',2699362304,2699624447),('JP',2699624448,2700935167),('US',2700935168,2701066239),('US',2701197312,2701262847),('GB',2701262848,2701328383),('FR',2701328384,2701393919),('NO',2701393920,2701459455),('AT',2701459456,2701524991),('US',2701524992,2701656063),('RU',2701656064,2701721599),('TR',2701721600,2701787135),('US',2701852672,2701918207),('GB',2701918208,2701983743),('US',2701983744,2702245887),('GB',2702245888,2702311423),('CA',2702376960,2702442495),('CH',2702442496,2702508031),('US',2702508032,2702573567),('GB',2702639104,2702704639),('BR',2702704640,2702770175),('CL',2702770176,2702835711),('US',2702835712,2702901247),('IT',2702901248,2702966783),('US',2702966784,2703032319),('NZ',2703032320,2703097855),('GB',2703097856,2703163391),('US',2703163392,2703556607),('ES',2703556608,2703622143),('US',2703622144,2703818751),('FI',2703818752,2703884287),('DE',2703884288,2703949823),('AU',2703949824,2704015359),('US',2704015360,2704277503),('FR',2704277504,2704343039),('US',2704343040,2704408575),('AU',2704408576,2704474111),('US',2704474112,2704539647),('SE',2704539648,2704605183),('HR',2704605184,2704670719),('SE',2704670720,2704736255),('US',2704736256,2704801791),('US',2704867328,2704998399),('BE',2704998400,2705063935),('US',2705063936,2705195007),('CH',2705195008,2705260543),('US',2705260544,2705326079),('MO',2705326080,2705391615),('NZ',2705391616,2705522687),('ES',2705522688,2705588223),('US',2705588224,2705784831),('GB',2705784832,2705850367),('ES',2705850368,2705915903),('GB',2705915904,2706046975),('JP',2706046976,2706112511),('GB',2706112512,2706178047),('US',2706178048,2706243583),('CH',2706243584,2706309119),('BR',2706309120,2706374655),('US',2706374656,2706571263),('NL',2706571264,2706694143),('US',2706694144,2706702335),('NL',2706702336,2706960383),('US',2706960384,2706964479),('NL',2706964480,2707226623),('JP',2707226624,2707488767),('US',2707488768,2707947519),('FR',2707947520,2708144127),('US',2708144128,2708340735),('AT',2708340736,2708406271),('ES',2708406272,2708471807),('GB',2708471808,2708537343),('US',2708537344,2708733951),('ES',2708733952,2708799487),('AU',2708799488,2708865023),('JP',2708865024,2708930559),('US',2708930560,2709127167),('KR',2709127168,2709192703),('BG',2709192704,2709258239),('US',2709258240,2709389311),('SG',2709389312,2709454847),('US',2709454848,2709716991),('CL',2709716992,2709782527),('PE',2709782528,2709848063),('US',2709848064,2710175743),('MY',2710241280,2710306815),('CA',2710372352,2710437887),('MY',2710437888,2710503423),('AU',2710503424,2710568959),('US',2710568960,2710700031),('AU',2710700032,2710765567),('IT',2710765568,2710831103),('BR',2710831104,2710896639),('US',2710896640,2711093247),('AU',2711093248,2711158783),('US',2711158784,2711486463),('NL',2711486464,2711551999),('US',2711552000,2713190399),('CA',2713190400,2713255935),('US',2713255936,2713387007),('CA',2713387008,2713452543),('US',2713452544,2713583615),('AR',2713583616,2713649151),('US',2713649152,2713976831),('VE',2713976832,2714042367),('US',2714042368,2714238975),('TH',2714238976,2714304511),('US',2714304512,2714370047),('CH',2714370048,2714435583),('US',2714435584,2714697727),('CN',2714697728,2714763263),('US',2714763264,2715287551),('CA',2715287552,2715353087),('US',2715353088,2716139519),('SG',2716139520,2716205055),('US',2716205056,2716729343),('CL',2716729344,2716794879),('US',2716794880,2717253631),('TH',2717253632,2717319167),('US',2717319168,2717384703),('JP',2717384704,2717450239),('US',2717450240,2717646847),('KW',2717646848,2717712383),('US',2717712384,2717843455),('US',2717908992,2718171135),('JP',2718171136,2718236671),('US',2718236672,2718629887),('GB',2718629888,2718695423),('US',2718695424,2718760959),('GB',2718760960,2718826495),('US',2718826496,2719285247),('CH',2719285248,2719350783),('US',2719350784,2719416319),('CH',2719416320,2719481855),('US',2719481856,2719547391),('AT',2719547392,2719612927),('CH',2719612928,2719678463),('US',2719678464,2720399359),('FR',2720399360,2720464895),('US',2720464896,2721382399),('CA',2721382400,2721447935),('US',2721447936,2722627583),('CA',2722693120,2722758655),('US',2722758656,2723479551),('CA',2723479552,2723545087),('CH',2723545088,2723610623),('US',2723610624,2724724735),('CN',2724790272,2724855807),('CA',2724855808,2724921343),('US',2724921344,2725249023),('NZ',2725249024,2725314559),('US',2725314560,2725904383),('VE',2725904384,2725969919),('US',2725969920,2727018495),('CA',2727018496,2727084031),('US',2727084032,2727346175),('AU',2727346176,2727608319),('GB',2734751744,2734817279),('US',2734817280,2734882815),('SE',2734882816,2734948351),('US',2734948352,2735013887),('FR',2735013888,2735079423),('US',2735079424,2735144959),('NZ',2735144960,2735210495),('AU',2735210496,2735276031),('FR',2735276032,2735341567),('AR',2735341568,2735407103),('US',2735407104,2735538175),('TW',2735538176,2736848895),('US',2736848896,2736914431),('NO',2736914432,2736979967),('US',2736979968,2737438719),('JP',2737438720,2738749439),('FR',2738749440,2742353919),('ES',2742353920,2742419455),('US',2742419456,2742484991),('GB',2742484992,2742550527),('US',2742550528,2742616063),('EG',2742616064,2742681599),('IN',2742681600,2742747135),('CA',2742747136,2742812671),('US',2742812672,2742878207),('US',2742943744,2743009279),('AU',2743009280,2743140351),('US',2743140352,2743205887),('JP',2743205888,2744516607),('US',2744516608,2744647679),('KR',2744647680,2744713215),('US',2744713216,2744844287),('CA',2744844288,2744909823),('GB',2744909824,2744975359),('SE',2744975360,2745040895),('CH',2745040896,2745106431),('SI',2745106432,2745171967),('GB',2745171968,2745237503),('CH',2745237504,2745303039),('IT',2745303040,2745368575),('BE',2745368576,2745434111),('GB',2745434112,2745499647),('BE',2745499648,2745548799),('DE',2745548800,2745565183),('GB',2745565184,2745696255),('CH',2745696256,2745761791),('GB',2745761792,2746023935),('FR',2746023936,2746089471),('NO',2746089472,2746155007),('NL',2746155008,2746220543),('US',2746220544,2746286079),('CR',2746351616,2746417151),('US',2746417152,2746482687),('KR',2746482688,2746548223),('US',2746548224,2747072511),('AU',2747072512,2747138047),('US',2747138048,2747465727),('ZA',2747465728,2748055551),('US',2748055552,2748317695),('JP',2748317696,2749628415),('US',2749628416,2749890559),('AU',2749890560,2750021631),('US',2750021632,2750349311),('KR',2750349312,2750414847),('US',2750414848,2750873599),('CL',2750873600,2750939135),('US',2750939136,2751070207),('CL',2751070208,2751135743),('US',2751135744,2751463423),('EU',2751463424,2751528959),('FR',2751528960,2751660031),('AT',2751660032,2751725567),('SE',2751725568,2751791103),('FI',2751791104,2751856639),('GB',2751856640,2751922175),('FR',2751922176,2751987711),('SI',2751987712,2752053247),('SE',2752053248,2752184319),('GB',2752184320,2752315391),('FI',2752315392,2752380927),('CH',2752380928,2752446463),('BE',2752446464,2752511999),('DE',2752512000,2753757183),('BE',2753757184,2753822719),('GB',2753822720,2753888255),('SE',2753888256,2753953791),('GB',2753953792,2754084863),('EU',2754084864,2754150399),('BR',2754150400,2754215935),('PR',2754215936,2754281471),('JP',2754281472,2754347007),('US',2754347008,2754478079),('JP',2754478080,2754543615),('US',2754543616,2754609151),('SE',2754609152,2754674687),('US',2754674688,2754936831),('AU',2754936832,2755002367),('US',2755002368,2755330047),('DE',2755330048,2755526655),('US',2755526656,2755985407),('JP',2755985408,2756182015),('US',2756182016,2756247551),('UY',2756247552,2756313087),('US',2756313088,2756378623),('AU',2756378624,2756444159),('US',2756444160,2756509695),('CL',2756509696,2756556543),('PE',2756556544,2756557567),('CL',2756557568,2756575231),('SG',2756575232,2756640767),('US',2756640768,2756706303),('AU',2756706304,2756771839),('FR',2756771840,2756837375),('US',2756837376,2757033983),('BR',2757033984,2757099519),('US',2757099520,2757230591),('ZA',2757230592,2757296127),('US',2757296128,2757754879),('CL',2757754880,2757820415),('AU',2757820416,2757885951),('CL',2757885952,2757951487),('US',2757951488,2758017023),('IN',2758017024,2758082559),('US',2758082560,2758148095),('CA',2758148096,2758213631),('US',2758213632,2758541311),('AU',2758541312,2758606847),('US',2758606848,2758803455),('AU',2758803456,2758868991),('US',2758868992,2759000063),('TH',2759000064,2759065599),('US',2759065600,2759589887),('KR',2759589888,2759720959),('CH',2759852032,2759863127),('DE',2759863128,2759863131),('CH',2759863132,2759870947),('AT',2759870948,2759870951),('CH',2759870952,2759871035),('GB',2759871036,2759871039),('CH',2759871040,2759883039),('LI',2759883040,2759883043),('CH',2759883044,2759883439),('LI',2759883440,2759883443),('CH',2759883444,2759883451),('LI',2759883452,2759883455),('CH',2759883456,2759884111),('GB',2759884112,2759884115),('CH',2759884116,2759894559),('LI',2759894560,2759894563),('CH',2759894564,2759917567),('FR',2759917568,2759983103),('IT',2759983104,2760048639),('FR',2760048640,2760114175),('IT',2760114176,2760179711),('DE',2760179712,2760245247),('GB',2760245248,2760310783),('SE',2760310784,2760376319),('GB',2760376320,2760507391),('FR',2760507392,2760572927),('DE',2760572928,2760638463),('NL',2760638464,2760703999),('FI',2760704000,2760769535),('IT',2760769536,2760835071),('GB',2760835072,2760898559),('US',2760898560,2760899583),('GB',2760899584,2760900607),('US',2760900608,2761031679),('ZA',2761031680,2761424895),('US',2761424896,2761621503),('ZA',2761621504,2761687039),('US',2761687040,2761949183),('JP',2761949184,2762211327),('IN',2762211328,2762276863),('US',2762276864,2762342399),('CA',2762342400,2762407935),('US',2762407936,2763063295),('CA',2763128832,2763194367),('US',2763194368,2768240639),('US',2768306176,2768437247),('ZA',2768437248,2768633855),('US',2768633856,2768764927),('ZA',2768764928,2769027071),('AU',2769027072,2769092607),('US',2769092608,2769158143),('JP',2769158144,2769289215),('JP',2769354752,2769485823),('US',2769485824,2769616895),('SG',2769616896,2769682431),('US',2769682432,2769747967),('CA',2769747968,2769813503),('US',2769813504,2769879039),('ZA',2769879040,2769944575),('US',2769944576,2770272255),('AU',2770272256,2770337791),('US',2770337792,2772631551),('AU',2772631552,2772697087),('US',2772697088,2772762623),('AU',2772762624,2772828159),('US',2772828160,2773221375),('JP',2773221376,2773286911),('US',2773286912,2773352447),('CA',2773352448,2773417983),('US',2773417984,2773745663),('NZ',2773745664,2773811199),('US',2773811200,2773876735),('AU',2773876736,2773942271),('US',2773942272,2774335487),('JP',2774335488,2774401023),('US',2774401024,2774532095),('JP',2774532096,2774597631),('US',2774597632,2774663167),('NI',2774663168,2774728703),('JP',2774728704,2774990847),('US',2774990848,2775318527),('JP',2775318528,2775384063),('US',2775384064,2775711743),('NL',2775711744,2775777279),('CA',2775777280,2775842815),('US',2775842816,2775973887),('AU',2775973888,2776039423),('US',2776039424,2776891391),('KR',2776891392,2777022463),('US',2777022464,2777481215),('KR',2777481216,2777546751),('AU',2777546752,2777612287),('ZA',2777612288,2778071039),('US',2778071040,2778333183),('CA',2778333184,2778398719),('US',2778398720,2779054079),('ZA',2779054080,2779119615),('US',2779119616,2779906047),('CA',2779906048,2779971583),('US',2779971584,2780037119),('ZA',2780037120,2780102655),('US',2780102656,2780168191),('CL',2780168192,2780299263),('US',2780299264,2780364799),('CA',2780364800,2780430335),('KR',2780430336,2780495871),('AU',2780495872,2780561407),('US',2780561408,2780758015),('AU',2780758016,2780823551),('US',2780823552,2780921359),('GB',2780921360,2780921367),('US',2780921368,2780928031),('GB',2780928032,2780928095),('US',2780928096,2780930047),('GB',2780930048,2780930559),('US',2780930560,2780931071),('GB',2780931072,2780932335),('US',2780932336,2780932607),('GB',2780932608,2780933119),('US',2780933120,2780933151),('GB',2780933152,2780933191),('US',2780933192,2780933247),('GB',2780933248,2780933631),('US',2780933632,2780933887),('GB',2780933888,2780934143),('US',2780934144,2780940367),('IL',2780940368,2780940383),('US',2780940384,2780941055),('GB',2780941056,2780941087),('US',2780941088,2780945663),('BM',2780945664,2780945695),('US',2780945696,2780954623),('KR',2780954624,2781020159),('US',2781020160,2781478911),('HK',2781478912,2781544447),('US',2781544448,2781675519),('NZ',2781675520,2781741055),('US',2781741056,2781937663),('TH',2781937664,2782003199),('US',2782134272,2782199807),('KR',2782199808,2782265343),('US',2782265344,2782658559),('PH',2782658560,2782724095),('US',2782724096,2782789631),('CH',2782789632,2782855167),('US',2782855168,2783182847),('AU',2783182848,2783248383),('KR',2783248384,2783313919),('US',2783313920,2783379455),('GN',2783379456,2783444991),('US',2783444992,2783510527),('ZA',2783510528,2783576063),('US',2783576064,2783969279),('AU',2783969280,2784034815),('JP',2784034816,2784165887),('KR',2784165888,2784296959),('US',2784296960,2784362495),('KR',2784362496,2784428031),('US',2784428032,2785542143),('CH',2785542144,2786066431),('US',2786066432,2788163583),('US',2788229120,2788261887),('GB',2788261888,2788294655),('US',2788294656,2789212159),('AU',2789212160,2789277695),('NZ',2789277696,2789343231),('US',2789343232,2789933055),('CL',2789933056,2789998591),('US',2789998592,2790129663),('KR',2790195200,2790260735),('US',2790260736,2790326271),('HK',2790326272,2790391807),('US',2790391808,2790410495),('AQ',2790410496,2790410751),('US',2790410752,2790457343),('NZ',2790457344,2790522879),('US',2790522880,2790588415),('ZA',2790588416,2790653951),('US',2790653952,2790719487),('SA',2790719488,2790785023),('US',2790785024,2791571455),('JP',2791571456,2791636991),('US',2791636992,2791768063),('KR',2791768064,2791899135),('US',2791899136,2791964671),('NZ',2791964672,2792030207),('US',2792030208,2792226815),('CL',2792226816,2792292351),('CN',2792292352,2792357887),('US',2792357888,2792488959),('BO',2792488960,2792554495),('US',2792554496,2792751103),('JP',2792751104,2792882175),('AU',2792882176,2792947711),('SG',2792947712,2793013247),('US',2793013248,2793209855),('KR',2793209856,2793275391),('US',2793275392,2802515967),('CA',2802515968,2802581503),('US',2802581504,2802909183),('CA',2802909184,2802974719),('US',2802974720,2803630079),('CL',2803630080,2803695615),('US',2803695616,2803761151),('AU',2803761152,2803826687),('US',2803826688,2803892223),('CA',2803892224,2805989375),('US',2805989376,2806644735),('CA',2806644736,2806710271),('US',2806710272,2807103487),('NL',2807103488,2807169023),('US',2807169024,2807824383),('CA',2807824384,2807889919),('US',2807889920,2808545279),('AU',2808545280,2808610815),('US',2808610816,2808872959),('US',2808938496,2809069567),('SA',2809069568,2809135103),('US',2809135104,2809855999),('AU',2809856000,2809921535),('US',2809921536,2809987071),('CA',2809987072,2810052607),('US',2810052608,2810249215),('CA',2810249216,2810314751),('AU',2810314752,2810380287),('US',2810380288,2810576895),('VE',2810576896,2810642431),('US',2810642432,2810904575),('CN',2810904576,2810970111),('US',2810970112,2811559935),('CH',2811559936,2811625471),('US',2811625472,2812084223),('BO',2812084224,2812149759),('US',2812149760,2812411903),('AU',2812411904,2812477439),('US',2812477440,2812805119),('CH',2812805120,2812870655),('JP',2812870656,2812936191),('US',2812936192,2813067263),('GB',2813067264,2813132799),('US',2813132800,2813263871),('JP',2813263872,2813329407),('US',2813329408,2813526015),('NZ',2813526016,2813591551),('US',2813591552,2814181375),('AU',2814181376,2814246911),('US',2814246912,2815098879),('GB',2815098880,2815164415),('US',2815164416,2815229951),('ID',2815229952,2815295487),('US',2815295488,2815984639),('IL',2815984640,2815985407),('US',2815985408,2815985663),('IL',2815985664,2815986831),('DE',2815986832,2815986839),('IL',2815986840,2815986879),('GB',2815986880,2815987215),('IL',2815987216,2816000383),('US',2816000384,2816000399),('IL',2816000400,2816000447),('US',2816000448,2816001023),('IL',2816001024,2816001151),('DE',2816001152,2816001183),('IL',2816001184,2816002047),('US',2816002048,2816002079),('IL',2816002080,2816002239),('US',2816002240,2816002247),('IL',2816002248,2816002815),('US',2816002816,2816002879),('IL',2816002880,2816002911),('US',2816002912,2816002927),('IL',2816002928,2816003359),('US',2816003360,2816003391),('IL',2816003392,2816003439),('US',2816003440,2816003455),('IL',2816003456,2816003855),('US',2816003856,2816003871),('IL',2816003872,2816010495),('US',2816010496,2816010751),('IL',2816010752,2816014239),('US',2816014240,2816014271),('IL',2816014272,2816015319),('US',2816015320,2816015327),('IL',2816015328,2816015335),('US',2816015336,2816015343),('IL',2816015344,2816015359),('US',2816015360,2816015423),('IL',2816015424,2816016383),('US',2816016384,2816671743),('CA',2816671744,2816737279),('US',2816737280,2818310143),('AR',2818310144,2818375679),('US',2818375680,2818572287),('CH',2818637824,2818703359),('US',2818703360,2823159807),('HK',2823159808,2823225343),('US',2823225344,2823553023),('ZA',2823553024,2823618559),('PA',2823618560,2823684095),('KR',2823684096,2823749631),('JP',2823749632,2823815167),('ZA',2823815168,2823946239),('US',2823946240,2824011775),('AR',2824011776,2824077311),('US',2824077312,2824404991),('ZA',2824404992,2824470527),('US',2824536064,2824798207),('TW',2824798208,2824863743),('AR',2824863744,2824929279),('US',2824929280,2825191423),('AR',2825191424,2825256959),('US',2825256960,2825519103),('HK',2825519104,2825584639),('US',2825584640,2826108927),('KR',2826108928,2826174463),('US',2826174464,2826436607),('TH',2826436608,2826502143),('US',2826567680,2826633215),('GU',2826633216,2826698751),('US',2826698752,2826829823),('KR',2826829824,2826895359),('US',2826895360,2826960895),('ZA',2826960896,2827026431),('US',2827026432,2827091967),('AU',2827091968,2827157503),('KR',2827157504,2827223039),('AU',2827223040,2827288575),('US',2827288576,2827354111),('AU',2827354112,2827419647),('US',2827419648,2827681791),('TR',2827681792,2827747327),('AU',2827747328,2827812863),('US',2827812864,2827878399),('ZA',2827878400,2827943935),('US',2827943936,2827973119),('A1',2827973120,2827973375),('US',2827973376,2827974015),('A1',2827974016,2827974143),('US',2827974144,2827974655),('A1',2827974656,2827974783),('US',2827974784,2827975487),('A1',2827975488,2827975551),('US',2827975552,2827991471),('A1',2827991472,2827991487),('US',2827991488,2827991503),('A1',2827991504,2827991519),('US',2827991520,2828009471),('CA',2828009472,2828075007),('US',2828075008,2828533759),('AU',2828533760,2828664831),('KR',2828664832,2828730367),('ZA',2828730368,2828795903),('US',2828795904,2829058047),('CN',2829058048,2829123583),('US',2829123584,2829254655),('CH',2829254656,2829320191),('ZA',2829320192,2829385727),('MX',2829385728,2829451263),('US',2829451264,2829516799),('BW',2829516800,2829582335),('US',2829582336,2829844479),('ZA',2829844480,2829910015),('US',2829910016,2830106623),('CO',2830106624,2830172159),('US',2830172160,2830761983),('AU',2830761984,2830827519),('KW',2830827520,2830893055),('KR',2830893056,2830958591),('US',2830958592,2831286271),('AU',2831548416,2831613951),('US',2831613952,2831810559),('IT',2831810560,2831876095),('US',2831876096,2832072703),('ZA',2832072704,2832138239),('US',2832138240,2832269311),('ZA',2832269312,2832400383),('US',2832465920,2832693247),('A2',2832693248,2832693503),('US',2832693504,2832793599),('AU',2832793600,2832859135),('US',2832859136,2832924671),('KR',2832924672,2832990207),('US',2832990208,2833383423),('AR',2833383424,2833448959),('US',2833580032,2833711103),('CL',2833711104,2833776639),('US',2833842176,2833907711),('GT',2833907712,2833973247),('US',2833973248,2834497535),('SV',2834497536,2834563071),('US',2834563072,2834825215),('KR',2834825216,2834956287),('US',2834956288,2835087359),('AU',2835087360,2835152895),('US',2835152896,2835283967),('MX',2835283968,2835349503),('US',2835349504,2837446655),('CH',2837446656,2839543807),('US',2839543808,2840015359),('GB',2840015360,2840015615),('US',2840015616,2843803647),('ZA',2843803648,2843869183),('US',2843869184,2844524543),('KR',2844524544,2844590079),('US',2844590080,2845704191),('CU',2845704192,2845769727),('US',2845835264,2848522239),('AU',2848522240,2848587775),('ZA',2848587776,2848653311),('US',2848653312,2848980991),('JP',2849177600,2849177855),('CN',2849177856,2849178111),('KR',2849178112,2849178367),('TW',2849178368,2849178623),('ID',2849178624,2849178879),('VN',2849178880,2849179135),('AU',2849898496,2849898751),('TW',2849964032,2850029567),('US',2850029568,2853306367),('CL',2853306368,2853371903),('US',2853371904,2853765119),('MX',2853765120,2853830655),('US',2853830656,2854617087),('MY',2854617088,2854682623),('US',2854682624,2855469055),('AR',2855469056,2855534591),('US',2855534592,2856058879),('CH',2856058880,2856124415),('US',2856124416,2856452095),('BR',2856452096,2856517631),('US',2856517632,2856714239),('MX',2856714240,2856779775),('US',2856779776,2857369599),('US',2857631744,2858352639),('SG',2858352640,2858418175),('US',2858418176,2859007999),('JP',2859008000,2859073535),('US',2859073536,2862284799),('AR',2862284800,2862350335),('US',2862350336,2862415871),('AU',2862415872,2862481407),('US',2862481408,2863202303),('MX',2863202304,2863267839),('US',2863267840,2863595519),('CA',2863595520,2863661055),('US',2863661056,2863857663),('SG',2863857664,2863923199),('US',2863923200,2865577983),('BE',2865577984,2865610751),('US',2865610752,2865889279),('AR',2865889280,2865954815),('US',2865954816,2867593215),('CH',2867593216,2867724287),('US',2867855360,2868117503),('US',2868379648,2868772863),('BE',2868838400,2868903935),('FR',2869952512,2870018047),('DE',2870018048,2870083583),('FR',2870083584,2870149119),('HU',2870149120,2870214655),('DK',2870214656,2870280191),('NL',2870280192,2870345727),('GB',2870345728,2870411263),('NO',2870411264,2870476799),('DE',2870476800,2870542335),('CH',2870542336,2870574848),('EU',2870574849,2870575103),('SE',2870575104,2870578944),('EU',2870578945,2870579199),('SE',2870579200,2870583040),('EU',2870583041,2870583295),('NO',2870583296,2870584319),('EU',2870584320,2870607871),('BE',2870607872,2870673407),('CH',2870673408,2870738943),('GB',2870738944,2870935551),('HU',2870935552,2871001087),('SE',2871001088,2871066623),('CH',2871066624,2871083007),('EU',2871083008,2871132159),('US',2873098240,2874146815),('US',2877292544,2885681151),('US',2894069760,2904555519),('US',2919235584,2936012799),('CO',3120562176,3120578559),('UY',3121086464,3121102847),('CL',3121152000,3121184767),('UY',3128948736,3129016319),('BR',3137339392,3139436543),('MX',3145728000,3147825151),('DE',3154182144,3154247679),('BR',3170893824,3179282431),('UY',3179282432,3179282943),('MX',3179282944,3179283199),('UY',3179283200,3179284479),('MX',3179284480,3187671039),('CO',3187671040,3187687423),('DO',3187687424,3187695615),('UY',3187703808,3187711999),('GT',3187720192,3187728383),('AR',3187736576,3187752959),('CO',3187752960,3187761151),('CO',3187769344,3187802111),('AR',3187802112,3187818495),('PY',3187818496,3187822591),('AR',3187826688,3187830783),('AN',3187834880,3187851263),('PY',3187851264,3187855359),('PA',3187859456,3187863551),('AR',3187867648,3187908607),('CO',3187916800,3187933183),('GT',3187933184,3187949567),('AN',3187949568,3187953663),('CL',3187957760,3187961855),('AN',3187965952,3187974143),('CL',3187982336,3187998719),('AR',3187998720,3188006911),('HN',3188015104,3188023295),('SV',3188031488,3188039679),('CO',3188047872,3188051967),('PA',3188056064,3188060159),('VE',3188064256,3188080639),('CU',3188080640,3188084735),('AR',3188088832,3188092927),('DO',3188097024,3188105215),('CO',3188105216,3188113407),('HN',3188113408,3188117503),('TT',3188121600,3188125695),('AR',3188129792,3188146175),('CO',3188146176,3188170751),('CR',3188170752,3188174847),('CR',3188178944,3188187135),('AR',3188187136,3188191231),('AR',3188195328,3188199423),('DO',3188203520,3188207615),('CL',3188211712,3188228095),('PE',3188228096,3188236287),('CO',3188244480,3188252671),('AR',3188260864,3188264959),('VE',3188269056,3188273151),('CO',3188277248,3188293631),('VE',3188293632,3188301823),('EC',3188301824,3188310015),('CO',3188310016,3188318207),('CR',3188326400,3188359167),('EC',3188359168,3188400127),('AR',3188400128,3188404223),('BO',3188408320,3188416511),('AR',3188416512,3188420607),('AR',3188424704,3188432895),('AR',3188441088,3188445183),('HN',3188449280,3188453375),('EC',3188457472,3188473855),('PE',3188473856,3188482047),('AR',3188482048,3188490239),('CO',3188490240,3188498431),('AR',3188506624,3188513279),('US',3188513280,3188513535),('AR',3188513536,3188523007),('CO',3188523008,3188539391),('CL',3188539392,3188543487),('CO',3188547584,3188551679),('CL',3188555776,3188572159),('CO',3188572160,3188576255),('AR',3188580352,3188584447),('AR',3188588544,3188596735),('AR',3188604928,3188606207),('CL',3188606208,3188606463),('AR',3188606464,3188609279),('CL',3188609280,3188609535),('AR',3188609536,3188610047),('CL',3188610048,3188610303),('AR',3188610304,3188612095),('CL',3188612096,3188612351),('AR',3188612352,3188621311),('GT',3188621312,3188625407),('AR',3188629504,3188637695),('PA',3188637696,3188645887),('CO',3188645888,3188662271),('HN',3188670464,3188674559),('AR',3188678656,3188682751),('EC',3188686848,3188690943),('VE',3188695040,3188699135),('AR',3188703232,3188711423),('AR',3188719616,3188981759),('CL',3188981760,3189243903),('CO',3189243904,3189637119),('AR',3189637120,3189768191),('PA',3189768192,3190030335),('VE',3190030336,3190292479),('PE',3190292480,3190554623),('CL',3190554624,3190816767),('AR',3190816768,3191078911),('CO',3191078912,3191087103),('EC',3191095296,3191099391),('CO',3191103488,3191107583),('PY',3191111680,3191119871),('EC',3191128064,3191132159),('DO',3191136256,3191140351),('SV',3191144448,3191153407),('NI',3191153408,3191154687),('SV',3191154688,3191156735),('HN',3191156736,3191169023),('SV',3191169024,3191193599),('HN',3191193600,3191197695),('SV',3191197696,3191209983),('CL',3191209984,3191275519),('AR',3191275520,3191341055),('GT',3191341056,3191406591),('SV',3191406592,3191427071),('GT',3191427072,3191434751),('SV',3191434752,3191435263),('GT',3191435264,3191435775),('SV',3191435776,3191436287),('GT',3191436288,3191438335),('SV',3191438336,3191439359),('TT',3191472128,3191603199),('MX',3191603200,3191608319),('CO',3191608320,3191608831),('MX',3191608832,3191609087),('CO',3191609088,3191635967),('AR',3191635968,3191637503),('CO',3191637504,3191638095),('AR',3191638096,3191638103),('CO',3191638104,3191638271),('AR',3191638272,3191638527),('CO',3191638528,3191638783),('AR',3191638784,3191639039),('CO',3191639040,3191672063),('AR',3191672064,3191672319),('CO',3191672320,3191734271),('UY',3191865344,3191930879),('CO',3191930880,3192389631),('VE',3192389632,3192913919),('GY',3192913920,3192930303),('DO',3192946688,3192979455),('PE',3192979456,3193044991),('CL',3193044992,3193110527),('CO',3193110528,3193143295),('CO',3193176064,3193241599),('SV',3193307136,3193438207),('AN',3193438208,3193569279),('CO',3193569280,3193634815),('HN',3193700352,3193708543),('AR',3193733120,3193765887),('TT',3193765888,3193774079),('CO',3193798656,3193806847),('DO',3193831424,3193864191),('EC',3193864192,3193872383),('CL',3193896960,3193929727),('EC',3193929728,3193962495),('CL',3193962496,3193978879),('CO',3193995264,3194011647),('AR',3194028032,3194036223),('CO',3194044416,3194052607),('TT',3194052608,3194056703),('CO',3194060800,3194093567),('SR',3194093568,3194126335),('GT',3194126336,3194127359),('AR',3194127360,3194134527),('NI',3194159104,3194163199),('GT',3194163200,3194175487),('CO',3194191872,3194224639),('CL',3194224640,3194290175),('AN',3194355712,3194359807),('CR',3194363904,3194367999),('HT',3194372096,3194380287),('CO',3194404864,3194408959),('CL',3194413056,3194417151),('AR',3194421248,3194425343),('VE',3194429440,3194433535),('BO',3194437632,3194441727),('CO',3194445824,3194449919),('AR',3194454016,3194486783),('BO',3194486784,3194494975),('PY',3194519552,3194535935),('AR',3194552320,3194568703),('NI',3194617856,3194626047),('AR',3194650624,3194658815),('CU',3194683392,3194687487),('BO',3194691584,3194695679),('EC',3194699776,3194703871),('UY',3196059648,3196061695),('CO',3196061696,3196092415),('PY',3196092416,3196125183),('BO',3196125184,3196157951),('HN',3196190720,3196207103),('EC',3196256256,3196272639),('UY',3196321792,3196583935),('AR',3196583936,3196690687),('UY',3196690688,3196690943),('AR',3196690944,3196846079),('PA',3196846080,3196977151),('VE',3196977152,3197042687),('CO',3197042688,3197059071),('CO',3197108224,3197370367),('GT',3197370368,3197435903),('EC',3197632512,3197665279),('VE',3197698048,3197730815),('EC',3197763584,3197894655),('CO',3197894656,3198156799),('CL',3198156800,3198287871),('CL',3198418944,3198484479),('CO',3198484480,3198500863),('DO',3198550016,3198615551),('VE',3198681088,3198943231),('AR',3198943232,3199336447),('AR',3199467520,3199533055),('BO',3199533056,3199549439),('CO',3199598592,3199614975),('AR',3199664128,3199696895),('NI',3199729664,3199762431),('AN',3199795200,3199811583),('BO',3199860736,3199893503),('PE',3199926272,3199959039),('AR',3199991808,3200253951),('CL',3200516096,3200548863),('BZ',3200581632,3200598015),('VE',3200647168,3201302527),('CL',3201302528,3201368063),('AR',3201433600,3201449983),('NI',3201564672,3201581055),('TT',3201630208,3201646591),('EC',3201695744,3201728511),('AR',3201826816,3201875967),('CO',3201875968,3201880063),('AR',3201880064,3201888255),('VE',3201888256,3201892351),('AR',3202088960,3202121727),('PE',3202220032,3202285567),('AR',3202351104,3202613247),('PE',3202875392,3203006463),('CO',3203399680,3203416063),('CR',3203465216,3203481599),('NI',3203530752,3203538943),('CO',3203538944,3203596287),('AR',3203661824,3203923967),('CO',3203923968,3204448255),('US',3221225472,3221410411),('FR',3221410412,3221410412),('US',3221410413,3221422079),('US',3221487616,3221560319),('GB',3221560320,3221561343),('US',3221561344,3221562367),('SE',3221562368,3221562623),('US',3221562624,3221565951),('SE',3221565952,3221566207),('US',3221566464,3221567743),('FR',3221568256,3221568511),('FR',3221568768,3221569279),('US',3221569280,3221576191),('KR',3221576192,3221576447),('US',3221576448,3221577727),('CA',3221577728,3221577983),('IT',3221577984,3221578239),('US',3221578240,3221589503),('FR',3221589504,3221589759),('US',3221589760,3221590015),('CA',3221590016,3221590271),('DE',3221590272,3221590527),('US',3221590528,3221594623),('AT',3221594624,3221594879),('US',3221594880,3221605375),('CA',3221605376,3221605887),('US',3221605888,3221608447),('JP',3221608448,3221608703),('US',3221608704,3221614335),('GB',3221614336,3221614591),('AU',3221614592,3221614847),('US',3221615104,3221618175),('GB',3221618176,3221618431),('GB',3221618688,3221618943),('US',3221618944,3221640191),('NL',3221640192,3221640447),('US',3221640448,3221656831),('AU',3221656832,3221657087),('US',3221657088,3222011903),('GB',3222012160,3222012415),('US',3222012672,3222023423),('IT',3222023936,3222024191),('US',3222024192,3222025727),('NL',3222025728,3222025983),('US',3222026240,3222027775),('CA',3222027776,3222028031),('US',3222028032,3222030335),('GB',3222030336,3222030847),('US',3222030848,3222031359),('AU',3222031360,3222031615),('IT',3222031616,3222031871),('US',3222031872,3222032639),('DE',3222032640,3222032895),('US',3222032896,3222036479),('FR',3222036480,3222036735),('US',3222036736,3222036991),('CA',3222036992,3222037247),('GB',3222037248,3222037503),('US',3222037504,3222038527),('US',3222039552,3222044671),('CA',3222044928,3222045183),('US',3222045184,3222055935),('US',3222056192,3222056447),('CA',3222056448,3222059007),('US',3222059008,3222061055),('IT',3222061056,3222061823),('US',3222061824,3222066943),('CA',3222066944,3222067199),('US',3222067200,3222067455),('CH',3222067456,3222067967),('US',3222068224,3222071039),('GB',3222071040,3222071295),('PT',3222071296,3222071551),('US',3222071552,3222072063),('SE',3222072064,3222072319),('US',3222072320,3222075135),('CH',3222075136,3222075391),('US',3222075392,3222075903),('EU',3222075904,3222076159),('US',3222076160,3222274047),('US',3222290432,3222305535),('SE',3222305536,3222309119),('EU',3222309120,3222309375),('SE',3222309376,3222313727),('CH',3222313728,3222316799),('US',3222316800,3222319615),('JP',3222319616,3222320127),('AU',3222320128,3222320383),('US',3222320384,3222320895),('NL',3222320896,3222326015),('US',3222326016,3222326527),('CA',3222326528,3222339583),('US',3222339584,3222455039),('GB',3222455040,3222455295),('US',3222455296,3222868735),('DE',3222868736,3222868991),('US',3222868992,3222869503),('GB',3222869504,3222869759),('US',3222869760,3222872319),('CA',3222872320,3222872575),('US',3222872576,3222890751),('CA',3222890752,3222891007),('US',3222891008,3222936575),('CH',3222936576,3222940927),('GB',3222940928,3222941183),('CH',3222941184,3222941695),('US',3222941696,3222952703),('JP',3222952704,3222952959),('US',3222952960,3222953215),('JP',3222953216,3222953727),('US',3222953728,3222953983),('JP',3222953984,3222954239),('US',3222954240,3222954495),('US',3222955008,3222956031),('FI',3222956032,3222964223),('US',3222964224,3222964479),('US',3222966272,3222968831),('NL',3222968832,3222973951),('DE',3222973952,3222979071),('US',3222979072,3222983167),('CA',3222983168,3222983935),('US',3222983936,3222984447),('AU',3222984448,3222988543),('PT',3222988544,3222988799),('AU',3222988800,3222989055),('US',3222989056,3222989311),('GB',3222989312,3222989567),('CA',3222989568,3222989823),('PT',3222989824,3222990079),('EU',3222990080,3222990335),('AT',3222990336,3222990591),('PT',3222990592,3222990847),('US',3222990848,3223224319),('CA',3223227904,3223228159),('US',3223229184,3223229695),('CA',3223229696,3223229951),('US',3223240448,3223240703),('US',3223242752,3223243007),('CA',3223243264,3223243519),('US',3223244288,3223245311),('CA',3223249408,3223249663),('US',3223252992,3223258623),('CA',3223258624,3223258879),('US',3223258880,3223260671),('DE',3223260672,3223260927),('US',3223261184,3223262975),('BE',3223262976,3223263231),('US',3223263232,3223263743),('GB',3223263744,3223263999),('FR',3223264000,3223264255),('US',3223264256,3223265023),('GB',3223265024,3223265279),('US',3223265280,3223267327),('BE',3223267328,3223267583),('US',3223267584,3223269631),('GB',3223272960,3223273215),('US',3223273216,3223283199),('DE',3223283200,3223283455),('US',3223283712,3223286783),('JP',3223286784,3223289855),('US',3223293952,3223299327),('NL',3223299584,3223301119),('US',3223301120,3223303167),('CA',3223303168,3223303423),('US',3223303424,3223303679),('US',3223305984,3223307519),('JP',3223307520,3223310079),('US',3223310080,3223310335),('US',3223310592,3223311103),('FR',3223311104,3223311359),('US',3223311360,3223314431),('CA',3223314432,3223314687),('US',3223314688,3223315455),('US',3223315712,3223316223),('NL',3223316224,3223316479),('US',3223316480,3223321599),('FR',3223321600,3223321855),('US',3223321856,3223322367),('US',3223322624,3223390719),('ZA',3223390720,3223390975),('US',3223391232,3223391999),('FR',3223392000,3223392255),('GB',3223392256,3223392511),('US',3223393024,3223394303),('US',3223396352,3223397375),('NL',3223397376,3223397631),('US',3223397632,3223410431),('CH',3223410432,3223416831),('US',3223416832,3223417087),('FR',3223417088,3223417599),('US',3223417600,3223418367),('CH',3223418368,3223420927),('US',3223420928,3223421439),('GB',3223421440,3223421695),('NL',3223421696,3223421951),('US',3223422464,3223422719),('JP',3223422720,3223422975),('US',3223422976,3223424767),('FR',3223424768,3223435007),('US',3223435008,3223437311),('CH',3223437312,3223447551),('US',3223447552,3223452671),('US',3223452928,3223453183),('DE',3223453184,3223453439),('GB',3223458560,3223458815),('US',3223460096,3223460351),('US',3223462656,3223462911),('GB',3223466496,3223466751),('CA',3223471616,3223471871),('US',3223471872,3223472383),('US',3223476736,3223476991),('SE',3223481088,3223481343),('NL',3223483392,3223483647),('US',3223490816,3223491071),('US',3223496960,3223497215),('FI',3223499520,3223499775),('CA',3223499776,3223504895),('US',3223507968,3223508991),('US',3223511040,3223519231),('DE',3223519232,3223524351),('US',3223524352,3223534335),('AU',3223534336,3223534591),('US',3223534592,3223534847),('US',3223535104,3223535359),('DE',3223535360,3223537919),('US',3223537920,3223542271),('DE',3223542272,3223542527),('US',3223542528,3223543295),('GB',3223543296,3223543551),('US',3223543552,3223546879),('GB',3223546880,3223547135),('US',3223547136,3223554559),('GB',3223554560,3223554815),('US',3223555072,3223556095),('CA',3223556096,3223556351),('US',3223556352,3223556607),('IT',3223556608,3223556863),('US',3223556864,3223557375),('DE',3223557376,3223558655),('US',3223558656,3223563263),('GB',3223563264,3223563519),('US',3223563520,3223565567),('US',3223565824,3223566079),('NL',3223566080,3223568639),('US',3223568640,3223569663),('GB',3223569664,3223570175),('US',3223571456,3223571711),('GB',3223571712,3223572223),('IE',3223572224,3223572479),('US',3223572480,3223577855),('DE',3223577856,3223578111),('US',3223578112,3223580671),('AT',3223580672,3223581951),('US',3223581952,3223582207),('PT',3223582208,3223582463),('NL',3223582464,3223582719),('AU',3223582720,3223582975),('US',3223583488,3223584767),('SE',3223584768,3223650303),('CH',3223650304,3223715839),('DK',3223715840,3223781375),('US',3223781376,3223823871),('AT',3223823872,3223824127),('US',3223824128,3223863295),('US',3223863552,3223863807),('FI',3223864320,3223867647),('US',3223871488,3223887871),('US',3223898368,3223898623),('CA',3223902464,3223902719),('FI',3223905280,3223905535),('US',3223909376,3223910911),('CA',3223911936,3223912191),('US',3223912448,3223938559),('GB',3223938816,3223946239),('CH',3223946240,3223947519),('US',3223947520,3223947775),('NL',3223948288,3223948543),('CH',3223948544,3223949823),('AU',3223949824,3223950079),('DE',3223950080,3223950335),('CA',3223950336,3223950591),('CH',3223950592,3223953663),('US',3223953664,3223955967),('TH',3223955968,3223956223),('US',3223956224,3223957759),('JP',3223958016,3223963135),('US',3223963136,3223963647),('CA',3223963904,3223964159),('US',3223964160,3223964415),('AU',3223964416,3223964671),('US',3223964672,3223965183),('ID',3223965184,3223965439),('US',3223965440,3223966207),('GB',3223966208,3223966463),('US',3223966464,3223967743),('EU',3223967744,3223967999),('US',3223968000,3223968255),('IT',3223968256,3223968511),('US',3223968512,3223970303),('DE',3223970560,3223970815),('US',3223970816,3223977983),('DE',3223978240,3223978495),('US',3223978752,3223979263),('CA',3223979264,3223979775),('US',3223979776,3223988735),('CH',3223988736,3223990271),('US',3223990272,3223991295),('AU',3223991296,3223991551),('GB',3223991552,3223991807),('CA',3223991808,3223992063),('US',3223992064,3223993343),('AU',3223993344,3223994111),('DE',3223994112,3223994623),('NO',3223994624,3223994879),('US',3223994880,3223995391),('CA',3223995392,3223995647),('US',3223995648,3223996159),('US',3223996416,3223999487),('JP',3223999488,3224000255),('GB',3224000256,3224000511),('US',3224000512,3224001023),('CA',3224001024,3224001279),('US',3224001280,3224002559),('US',3224002816,3224003327),('ZA',3224003328,3224003583),('GB',3224003584,3224003839),('US',3224003840,3224004095),('FR',3224004096,3224004351),('JP',3224004352,3224005631),('US',3224005632,3224006655),('NL',3224006656,3224012031),('US',3224012032,3224014591),('DE',3224014592,3224014847),('US',3224014848,3224016639),('AU',3224016640,3224016895),('US',3224016896,3224023039),('US',3224023808,3224024063),('CH',3224024064,3224029695),('CA',3224029696,3224030463),('CA',3224030720,3224030975),('US',3224030976,3224038655),('JP',3224038656,3224038911),('US',3224038912,3224042751),('DE',3224042752,3224043007),('US',3224043008,3224043263),('US',3224043520,3224084991),('SE',3224084992,3224087551),('US',3224087552,3224088063),('JP',3224088064,3224088319),('US',3224088320,3224090879),('AU',3224090880,3224091135),('US',3224091648,3224091903),('JP',3224091904,3224092159),('US',3224092160,3224092671),('CH',3224092672,3224093951),('US',3224093952,3224094207),('AU',3224094208,3224094463),('US',3224094464,3224094975),('JP',3224094976,3224095487),('US',3224095488,3224096255),('AU',3224096512,3224097279),('NL',3224097280,3224097535),('US',3224097536,3224097791),('NL',3224097792,3224098047),('US',3224098048,3224098559),('US',3224098816,3224099583),('CA',3224099584,3224099839),('US',3224099840,3224100863),('US',3224101120,3224101375),('AU',3224101376,3224102399),('GB',3224103424,3224103679),('US',3224103680,3224104447),('AU',3224104704,3224104959),('US',3224104960,3224109055),('DE',3224109056,3224119551),('FR',3224119552,3224129791),('DE',3224129792,3224132351),('US',3224132352,3224170495),('SE',3224170496,3224173567),('US',3224173568,3224258047),('FI',3224258048,3224258303),('BE',3224258304,3224258559),('US',3224258560,3224305663),('JP',3224305664,3224367615),('US',3224367616,3224368127),('CH',3224368128,3224369663),('US',3224369664,3224379135),('DE',3224379136,3224379391),('US',3224379392,3224396287),('FR',3224396288,3224396543),('US',3224396544,3224397055),('US',3224397824,3224398079),('US',3224398336,3224398591),('DE',3224398592,3224398847),('US',3224398848,3224399103),('AU',3224399104,3224399615),('US',3224399616,3224407039),('CA',3224407296,3224407551),('US',3224407808,3224408319),('DE',3224408320,3224408575),('US',3224408576,3224428543),('DE',3224428544,3224428799),('US',3224428800,3224430079),('DE',3224430336,3224430591),('US',3224430592,3224430847),('CA',3224431104,3224431359),('US',3224431360,3224431615),('US',3224432128,3224432383),('US',3224432640,3224434687),('AU',3224434688,3224434943),('US',3224434944,3224435967),('ZA',3224435968,3224436223),('US',3224436224,3224436479),('FI',3224436736,3224502271),('JP',3224502272,3224567807),('NO',3224567808,3224571903),('JP',3224571904,3224633343),('DE',3224633344,3224646399),('US',3224646400,3224651775),('AU',3224651776,3224652287),('US',3224652800,3224660991),('CA',3224660992,3224661247),('US',3224661504,3224662527),('US',3224663040,3224663551),('JP',3224663808,3224671999),('US',3224672000,3224672255),('NL',3224672256,3224672511),('US',3224672512,3224673791),('DE',3224674048,3224674559),('GB',3224674560,3224674815),('US',3224675072,3224675839),('US',3224676864,3224677119),('AU',3224677120,3224678655),('US',3224678656,3224680703),('AU',3224680704,3224680959),('US',3224680960,3224681471),('US',3224682496,3224683519),('AU',3224683520,3224684031),('US',3224684032,3224689919),('NL',3224689920,3224690687),('US',3224690688,3224692735),('DZ',3224692736,3224692991),('US',3224692992,3224694527),('CA',3224694528,3224694783),('US',3224694784,3224697343),('US',3224697856,3224698111),('GB',3224698112,3224698367),('FR',3224698368,3224698623),('US',3224698880,3224699135),('BE',3224699136,3224699647),('US',3224699648,3224725247),('DE',3224725248,3224725503),('CH',3224725504,3224725759),('US',3224725760,3224739071),('FI',3224739072,3224739327),('US',3224739328,3224772351),('DE',3224772352,3224785151),('US',3224785152,3224791039),('DE',3224791040,3224791295),('AU',3224791296,3224791807),('US',3224791808,3224793343),('DE',3224793344,3224793599),('US',3224793600,3224793855),('DK',3224793856,3224795391),('CA',3224795392,3224795647),('CH',3224795648,3224795903),('US',3224796160,3224796415),('DE',3224796416,3224797439),('US',3224797440,3224797695),('NZ',3224797696,3224797951),('US',3224797952,3224798207),('CH',3224798208,3224798463),('US',3224798464,3224798975),('AU',3224798976,3224799231),('AU',3224799488,3224799743),('US',3224799744,3224799999),('DE',3224800000,3224800255),('FR',3224800256,3224816639),('EU',3224816640,3224816895),('FR',3224816896,3224820735),('AT',3224820736,3224820991),('DE',3224820992,3224821247),('US',3224821248,3224822015),('SE',3224822016,3224822271),('US',3224822272,3224822527),('US',3224822784,3224826367),('CA',3224826368,3224826623),('US',3224826624,3224826879),('CH',3224826880,3224827135),('GB',3224827136,3224827391),('US',3224827392,3224827647),('JP',3224827648,3224827903),('US',3224827904,3224828671),('AU',3224828672,3224828927),('US',3224829184,3224829439),('DE',3224829440,3224829695),('US',3224829952,3224851455),('DE',3224851456,3224851711),('US',3224851968,3224852735),('DE',3224852736,3224852991),('US',3224852992,3224854527),('US',3224854784,3224855039),('AU',3224855040,3224855551),('US',3224855552,3224855807),('IT',3224855808,3224856063),('US',3224856064,3224856575),('NL',3224856832,3224857087),('US',3224857088,3224857855),('EU',3224857856,3224858111),('JP',3224858112,3224858367),('US',3224858368,3224858623),('AU',3224858624,3224858879),('US',3224858880,3224859391),('NL',3224859392,3224859647),('US',3224859648,3224860159),('JP',3224860160,3224860415),('US',3224860672,3224862975),('NL',3224862976,3224863231),('US',3224863488,3224863743),('GB',3224863744,3224863999),('US',3224864000,3224878079),('DE',3224878080,3224878335),('US',3224878336,3224878591),('AU',3224878592,3224878847),('GB',3224879360,3224879615),('CA',3224879616,3224879871),('US',3224879872,3224880383),('DE',3224880384,3224880639),('AU',3224880640,3224880895),('US',3224880896,3224882431),('CA',3224882688,3224882943),('US',3224882944,3224883455),('AU',3224883456,3224883711),('US',3224883712,3224884223),('GB',3224884224,3224884479),('US',3224884480,3224884991),('CA',3224885248,3224885503),('US',3224885760,3224886015),('JP',3224886272,3224886527),('US',3224886528,3224887295),('CA',3224887296,3224887551),('US',3224887808,3224889343),('AU',3224889344,3224889599),('US',3224889600,3224890879),('JP',3224890880,3224891135),('US',3224891136,3224891647),('CA',3224892160,3224892415),('DE',3224892416,3224892671),('US',3224892928,3224893183),('US',3224893440,3224893951),('US',3224895488,3224899071),('AT',3224899072,3224899327),('US',3224899328,3224921087),('FI',3224921088,3224921343),('US',3224921344,3224928255),('FI',3224928256,3224928511),('US',3224928512,3225028863),('JP',3225028864,3225031423),('US',3225031424,3225033727),('LU',3225033728,3225035775),('US',3225035776,3225037055),('FI',3225037056,3225051135),('JP',3225051136,3225052671),('US',3225052672,3225057535),('CA',3225057536,3225057791),('US',3225057792,3225060351),('AU',3225060352,3225061631),('US',3225063424,3225076991),('SE',3225076992,3225077247),('US',3225077504,3225081087),('CA',3225081088,3225081343),('US',3225081600,3225082367),('IT',3225082368,3225082623),('US',3225082880,3225089279),('CA',3225089280,3225089535),('US',3225089536,3225314303),('GB',3225314304,3225314559),('US',3225314560,3225419775),('US',3225420032,3225420287),('US',3225423872,3225424383),('AT',3225426944,3225427199),('CA',3225429504,3225429759),('EU',3225431040,3225431551),('US',3225431552,3225433087),('US',3225436160,3225444607),('BE',3225445376,3225446399),('SE',3225451776,3225452031),('US',3225459968,3225460479),('CA',3225460480,3225462783),('US',3225470464,3225470719),('DE',3225471488,3225471743),('US',3225471744,3225472511),('US',3225477120,3225481215),('US',3225485312,3225498111),('NL',3225498368,3225503487),('US',3225503488,3225506047),('AU',3225506304,3225508863),('CH',3225508864,3225509631),('US',3225509632,3225509887),('NL',3225509888,3225510143),('US',3225510144,3225518591),('AU',3225518592,3225518847),('IT',3225518848,3225519103),('GB',3225519104,3225519359),('US',3225519872,3225520639),('DE',3225520896,3225521151),('US',3225521152,3225522175),('GB',3225522176,3225522943),('US',3225522944,3225524223),('VE',3225524224,3225524479),('GB',3225524480,3225524735),('US',3225528320,3225530367),('PR',3225530368,3225530623),('US',3225530624,3225530879),('US',3225531136,3225531647),('AU',3225531904,3225532159),('CH',3225532160,3225535999),('US',3225536000,3225540863),('AU',3225540864,3225541119),('US',3225541120,3225541375),('GB',3225541376,3225544703),('US',3225547776,3225548799),('NZ',3225548800,3225549055),('US',3225549056,3225549311),('AU',3225549312,3225549567),('US',3225549568,3225550847),('DK',3225550848,3225616383),('AU',3225616640,3225616895),('IE',3225617152,3225617407),('GB',3225617408,3225617663),('US',3225617920,3225618175),('US',3225618432,3225618687),('CA',3225618688,3225618943),('US',3225619200,3225619455),('AU',3225619456,3225619711),('US',3225619712,3225622527),('GB',3225626368,3225626623),('US',3225626880,3225627391),('GB',3225627392,3225627647),('US',3225627648,3225627903),('CA',3225627904,3225628159),('US',3225628160,3225628415),('GB',3225628416,3225628671),('US',3225628672,3225629183),('GB',3225629184,3225629439),('US',3225629440,3225629695),('GB',3225629696,3225629951),('US',3225629952,3225630207),('DE',3225630464,3225630719),('US',3225630720,3225631231),('SE',3225631232,3225631487),('US',3225631488,3225635839),('PT',3225635840,3225636095),('US',3225636096,3225636607),('ES',3225636608,3225636863),('US',3225636864,3225637887),('AU',3225637888,3225638399),('US',3225638400,3225638655),('GB',3225638656,3225638911),('US',3225639424,3225640447),('GB',3225640448,3225640703),('US',3225640704,3225641983),('GB',3225641984,3225643263),('CA',3225643264,3225643775),('US',3225643776,3225650943),('GB',3225650944,3225651199),('US',3225651200,3225657343),('US',3225658624,3225659135),('DE',3225659136,3225659391),('NZ',3225659392,3225659647),('DE',3225659904,3225660159),('AU',3225660160,3225660415),('US',3225660416,3225664511),('DE',3225664512,3225669887),('US',3225669888,3225671935),('AU',3225671936,3225672191),('DE',3225672192,3225672447),('US',3225672448,3225672703),('NL',3225672704,3225673215),('IE',3225673472,3225673727),('US',3225673728,3225675263),('DE',3225675264,3225676287),('US',3225676288,3225679871),('AU',3225679872,3225680127),('GR',3225680128,3225680383),('US',3225680640,3225681919),('DE',3225681920,3225682943),('AT',3225682944,3225683199),('DE',3225683200,3225687039),('US',3225687040,3225687807),('GB',3225687808,3225688063),('US',3225688064,3225689343),('US',3225689600,3225689855),('NL',3225689856,3225694975),('EU',3225694976,3225695231),('US',3225695232,3225695487),('CA',3225695488,3225701119),('US',3225701120,3225701375),('NO',3225701376,3225709567),('US',3225709568,3225710079),('JP',3225710080,3225710591),('US',3225710592,3225714687),('CA',3225715456,3225715711),('AU',3225715712,3225715967),('US',3225715968,3225716991),('CA',3225716992,3225717247),('TN',3225717248,3225717503),('AU',3225717504,3225717759),('US',3225717760,3225720063),('GB',3225720576,3225721343),('US',3225721344,3225723903),('DE',3225723904,3225725439),('GB',3225725440,3225725695),('AU',3225725696,3225726207),('US',3225726208,3225726463),('GB',3225726464,3225726719),('US',3225726720,3225726975),('IT',3225726976,3225727231),('US',3225727232,3225727487),('AU',3225727744,3225727999),('US',3225728000,3225728511),('NL',3225728512,3225728767),('US',3225728768,3225729023),('CA',3225729024,3225729279),('US',3225729280,3225729535),('PT',3225729536,3225729791),('US',3225729792,3225735167),('PT',3225735424,3225735679),('US',3225735680,3225735935),('DE',3225735936,3225737215),('PT',3225737216,3225737471),('US',3225737472,3225738495),('PT',3225738496,3225738751),('US',3225738752,3225739263),('PT',3225739264,3225739519),('US',3225739520,3225740543),('CA',3225740544,3225740799),('NL',3225740800,3225741055),('US',3225741056,3225741823),('JP',3225742080,3225745919),('NL',3225745920,3225746687),('US',3225746688,3225746943),('DE',3225746944,3225747199),('US',3225747456,3225763839),('BE',3225763840,3225764095),('CA',3225766400,3225766655),('US',3225767936,3225769983),('CA',3225773312,3225773567),('US',3225776128,3225776383),('AU',3225777152,3225777407),('US',3225777408,3225777663),('US',3225780224,3225784319),('CA',3225784320,3225788415),('US',3225796096,3225796351),('US',3225805824,3225806847),('DE',3225807360,3225807615),('US',3225810688,3225810943),('FR',3225812992,3225827071),('US',3225827072,3225827327),('FR',3225827328,3225843711),('US',3225843712,3225847039),('TR',3225847040,3225847551),('AU',3225847552,3225847807),('IT',3225847808,3225848063),('US',3225848064,3225848831),('DE',3225848832,3225853951),('US',3225853952,3225857023),('CA',3225857024,3225857279),('US',3225857280,3225857535),('AU',3225857536,3225857791),('US',3225857792,3225858047),('CA',3225858048,3225858559),('US',3225858560,3225858815),('JP',3225858816,3225860095),('US',3225860096,3225868287),('AU',3225868288,3225868543),('US',3225868544,3225869055),('AU',3225869056,3225869311),('US',3225869312,3225870335),('CA',3225870336,3225870591),('US',3225870592,3225873663),('ZA',3225873664,3225873919),('US',3225873920,3225874943),('GB',3225874944,3225875199),('US',3225875456,3225875967),('US',3225876480,3225878527),('SE',3225878528,3225880319),('US',3225880320,3225880575),('SE',3225880576,3225944063),('TW',3225944064,3225977855),('CH',3225977856,3225978111),('TW',3225978112,3226008831),('US',3226008832,3226009343),('US',3226009600,3226010879),('CA',3226010880,3226011135),('US',3226011136,3226012671),('AU',3226012672,3226012927),('US',3226012928,3226014207),('GB',3226014464,3226014975),('NZ',3226014976,3226015231),('AU',3226015232,3226015487),('ID',3226015744,3226016255),('US',3226016256,3226018303),('DE',3226018304,3226018559),('CH',3226018560,3226021119),('US',3226021120,3226026495),('AU',3226026496,3226026751),('US',3226026752,3226067455),('BE',3226067456,3226067711),('US',3226067712,3226068223),('GB',3226068224,3226068479),('US',3226068480,3226068991),('US',3226075136,3226107903),('US',3226110208,3226110719),('AU',3226110720,3226128639),('US',3226128640,3226131455),('CA',3226140672,3226189823),('US',3226191360,3226191615),('CA',3226191872,3226201855),('US',3226201856,3226202111),('CA',3226202112,3226206207),('GB',3226206208,3226215423),('US',3226215424,3226236927),('US',3226237184,3226237439),('AU',3226237440,3226237695),('DE',3226237696,3226241535),('EU',3226241536,3226241791),('DE',3226241792,3226250495),('US',3226250496,3226251263),('DE',3226251264,3226251519),('US',3226251520,3226267903),('DE',3226267904,3226268159),('PT',3226268160,3226268415),('AT',3226268416,3226268927),('DE',3226268928,3226269951),('US',3226269952,3226270719),('JP',3226270720,3226271743),('US',3226271744,3226273791),('AU',3226273792,3226274047),('US',3226274048,3226274559),('CH',3226274560,3226274815),('US',3226274816,3226276095),('AU',3226276096,3226276351),('US',3226276352,3226276863),('US',3226277632,3226283519),('CA',3226283520,3226291199),('US',3226291200,3226300927),('DE',3226300928,3226301439),('US',3226301440,3226302463),('FI',3226302464,3226303487),('US',3226303488,3226305535),('GB',3226305536,3226307327),('US',3226307328,3226307583),('ES',3226307584,3226308095),('US',3226308096,3226365439),('DE',3226365440,3226365951),('US',3226365952,3226366975),('CA',3226366976,3226367231),('US',3226367232,3226374143),('DE',3226374144,3226375423),('US',3226375424,3226376703),('AT',3226376704,3226376959),('US',3226376960,3226384639),('BE',3226384640,3226385407),('US',3226385408,3226468351),('US',3226470400,3226473471),('PT',3226473472,3226473983),('US',3226473984,3226474495),('CL',3226474496,3226474751),('US',3226475264,3226475519),('US',3226475776,3226476287),('CH',3226476288,3226479359),('US',3226479360,3226479871),('GB',3226480128,3226480383),('US',3226480384,3226481407),('DE',3226481408,3226481663),('US',3226481664,3226492927),('US',3226521344,3226521855),('BR',3226521856,3226522111),('US',3226522112,3226533887),('US',3226535936,3226536191),('US',3226546176,3226546431),('BE',3226548992,3226549247),('GB',3226549248,3226550271),('US',3226550272,3226554367),('CA',3226555648,3226555903),('US',3226556416,3226556671),('US',3226558720,3226558975),('NO',3226561792,3226562047),('US',3226563072,3226563327),('DE',3226564864,3226565119),('FI',3226565376,3226565631),('US',3226569984,3226570239),('FI',3226574848,3226575103),('US',3226576384,3226576639),('FI',3226580480,3226581247),('US',3226582528,3226582783),('US',3226583040,3226583295),('SE',3226583552,3226583807),('DE',3226592768,3226593023),('GB',3226593792,3226594047),('US',3226598400,3226598911),('US',3226599424,3226625535),('CA',3226625536,3226625791),('US',3226625792,3226626047),('CA',3226626048,3226626303),('US',3226626304,3226629375),('CA',3226629376,3226629631),('US',3226629632,3226630399),('GB',3226630400,3226630655),('US',3226630912,3226631167),('CH',3226631168,3226631423),('US',3226631424,3226631935),('PT',3226631936,3226632191),('CA',3226632192,3226633215),('JP',3226633216,3226633471),('US',3226635008,3226635263),('AU',3226635264,3226635519),('US',3226635520,3226635775),('ZA',3226635776,3226636031),('AU',3226636032,3226636287),('US',3226637056,3226637823),('CA',3226637824,3226638079),('US',3226638080,3226638335),('GB',3226638592,3226638847),('US',3226638848,3226639615),('AT',3226639616,3226640127),('US',3226640128,3226640639),('AU',3226640640,3226640895),('US',3226640896,3226654207),('PT',3226654208,3226654463),('US',3226654464,3226655743),('IT',3226655744,3226656255),('AU',3226656256,3226656511),('US',3226656512,3226658303),('AU',3226658304,3226658559),('US',3226658560,3226661119),('DE',3226661120,3226661375),('US',3226661888,3226662143),('FI',3226664960,3226690815),('CA',3226690816,3226691071),('GB',3226691072,3226691327),('JP',3226691584,3226691839),('US',3226691840,3226695167),('AU',3226695168,3226695679),('US',3226695680,3226695935),('CA',3226695936,3226696191),('CN',3226696192,3226696447),('AU',3226696448,3226696703),('JP',3226705152,3226705407),('US',3226705408,3226705919),('FR',3226705920,3226706175),('US',3226706176,3226706943),('EU',3226707200,3226707455),('TW',3226707456,3226715391),('US',3226715392,3226715647),('AU',3226715648,3226715903),('US',3226715904,3226716159),('GB',3226716160,3226716415),('GB',3226716672,3226716927),('US',3226716928,3226717439),('US',3226717696,3226717951),('GB',3226717952,3226720511),('JP',3226720512,3226721279),('US',3226721280,3226721791),('CH',3226722048,3226722303),('AU',3226722304,3226722559),('US',3226722560,3226723583),('DE',3226723584,3226723839),('US',3226723840,3226724095),('AU',3226724096,3226724351),('US',3226724352,3226725631),('AU',3226725632,3226726143),('US',3226726144,3226728191),('CA',3226728192,3226728447),('US',3226728448,3226730495),('US',3226731008,3226731519),('GB',3226731776,3226732031),('US',3226732288,3226733567),('MX',3226733568,3226733823),('PT',3226733824,3226734079),('US',3226734080,3226734335),('PT',3226734336,3226734591),('US',3226734592,3226737407),('AT',3226737408,3226737663),('US',3226737664,3226738175),('NL',3226738176,3226738431),('US',3226738432,3226738687),('NO',3226738688,3226739199),('US',3226739200,3226739455),('US',3226740736,3226742783),('US',3226744576,3226746367),('PT',3226746368,3226746623),('US',3226746624,3226748671),('JP',3226748672,3226749439),('US',3226749440,3226749695),('GB',3226749696,3226752255),('US',3226752256,3226752767),('IT',3226752768,3226753023),('US',3226753024,3226753279),('AU',3226753280,3226753535),('SI',3226753536,3226753791),('HR',3226753792,3226754303),('SI',3226754304,3226757375),('HR',3226757376,3226757887),('SI',3226757888,3226758655),('US',3226758912,3226762751),('IT',3226763008,3226770687),('US',3226770688,3226772991),('CH',3226772992,3226773247),('US',3226773248,3226774783),('GB',3226774784,3226775039),('US',3226775040,3226775551),('FI',3226775552,3226783743),('US',3226783744,3226784767),('GB',3226784768,3226785023),('US',3226785024,3226786559),('AU',3226786560,3226786815),('DE',3226786816,3226787071),('AT',3226787072,3226787327),('US',3226787328,3226788095),('HU',3226788352,3226789375),('AU',3226789376,3226789631),('US',3226789632,3226791167),('AU',3226791168,3226791679),('US',3226791680,3226792191),('AU',3226792192,3226792703),('US',3226792704,3226792959),('ZA',3226792960,3226793215),('DE',3226793216,3226793983),('US',3226793984,3226795263),('NZ',3226795264,3226795519),('US',3226795520,3226795775),('US',3226796032,3226861567),('CA',3226861824,3226862079),('US',3226862080,3226864383),('RU',3226864384,3226864639),('NZ',3226864640,3226864895),('US',3226864896,3226865151),('PL',3226865152,3226865407),('US',3226865408,3226866175),('GB',3226866176,3226866431),('US',3226866432,3226867967),('IL',3226867968,3226868223),('US',3226868224,3226868479),('GB',3226868480,3226868735),('US',3226868736,3226884351),('IL',3226884352,3226884607),('US',3226884608,3226886143),('PR',3226886144,3226886399),('US',3226886400,3226893567),('NL',3226893568,3226894079),('GB',3226894080,3226894335),('US',3226894336,3226894591),('AU',3226894592,3226894847),('US',3226895104,3226895359),('SG',3226895360,3226895871),('GB',3226895872,3226896127),('US',3226896128,3226896639),('GB',3226896640,3226896895),('PT',3226896896,3226897151),('US',3226897152,3226902527),('US',3226903040,3226903295),('DE',3226903296,3226903551),('US',3226903552,3226903807),('AU',3226903808,3226904063),('CH',3226904064,3226904319),('FR',3226904320,3226904575),('US',3226904576,3226904831),('GB',3226904832,3226905087),('US',3226905088,3226920447),('PR',3226920448,3226923007),('US',3226923008,3226926591),('SE',3226926592,3226926847),('NL',3226927104,3226992639),('CH',3226992896,3226993151),('US',3226993152,3226993663),('DE',3226993664,3226993919),('US',3226993920,3226994175),('AU',3226994176,3226994687),('US',3226994688,3226994943),('GB',3226994944,3226995455),('US',3226995456,3226996735),('PT',3226996992,3226997247),('US',3226998016,3226998527),('AT',3226998528,3226999039),('US',3226999040,3227013119),('JP',3227013120,3227013375),('US',3227013376,3227013887),('GB',3227013888,3227014399),('NZ',3227014400,3227014655),('FI',3227014656,3227014911),('US',3227014912,3227017215),('DE',3227017216,3227018239),('JP',3227018496,3227019007),('US',3227019008,3227020287),('DE',3227020288,3227020543),('US',3227020800,3227022847),('GB',3227022848,3227023103),('NZ',3227023104,3227023359),('US',3227023360,3227023615),('US',3227023872,3227024127),('PT',3227024128,3227024383),('US',3227024384,3227024895),('GB',3227025408,3227025663),('US',3227025664,3227025919),('GB',3227025920,3227026175),('US',3227026176,3227026687),('GB',3227026688,3227026943),('US',3227027456,3227038207),('US',3227039744,3227040511),('AU',3227040512,3227040767),('US',3227040768,3227041279),('NZ',3227041280,3227041535),('US',3227041536,3227042815),('IT',3227042816,3227043071),('US',3227043072,3227043327),('US',3227043584,3227044863),('DE',3227044864,3227045119),('US',3227045120,3227053567),('GB',3227053568,3227053823),('DE',3227053824,3227054079),('US',3227054080,3227056639),('PT',3227056640,3227058175),('FI',3227058176,3227083519),('ES',3227083520,3227083775),('FI',3227083776,3227123711),('US',3227123712,3227225087),('LU',3227225088,3227225599),('US',3227225600,3227234559),('PT',3227234560,3227234815),('US',3227234816,3227235071),('AU',3227235072,3227235327),('US',3227235328,3227236607),('AU',3227236608,3227236863),('RU',3227236864,3227237119),('US',3227237120,3227237631),('NO',3227237632,3227237887),('US',3227237888,3227238143),('GB',3227238144,3227238399),('US',3227238400,3227239935),('GB',3227240192,3227240447),('BE',3227240448,3227240703),('GB',3227240704,3227240959),('US',3227240960,3227243007),('CA',3227243008,3227243263),('GB',3227243264,3227243519),('US',3227243520,3227243775),('AU',3227243776,3227244031),('SE',3227244032,3227249151),('US',3227249408,3227249663),('CH',3227249664,3227252735),('US',3227252736,3227254271),('HK',3227254272,3227254527),('US',3227256832,3227258623),('NZ',3227258624,3227258879),('US',3227258880,3227273983),('FI',3227273984,3227274239),('US',3227274240,3227274495),('NL',3227274496,3227274751),('US',3227274752,3227276543),('FR',3227276800,3227277055),('US',3227277312,3227278847),('IE',3227278848,3227279103),('US',3227279104,3227281407),('IT',3227281408,3227282175),('US',3227282176,3227282431),('NL',3227282432,3227282687),('GB',3227282688,3227282943),('US',3227282944,3227284479),('FI',3227284480,3227284735),('US',3227284992,3227286783),('AT',3227286784,3227287039),('IT',3227287040,3227287295),('NL',3227287296,3227287551),('CH',3227287552,3227287807),('BG',3227287808,3227288063),('BE',3227288064,3227288319),('NL',3227288320,3227288831),('PT',3227288832,3227289087),('NL',3227289088,3227289343),('PT',3227289344,3227289599),('NL',3227289600,3227290111),('AT',3227290112,3227290367),('CH',3227290368,3227290623),('AT',3227290880,3227291135),('PT',3227291136,3227294463),('GR',3227294464,3227294975),('US',3227295232,3227305983),('US',3227309824,3227310079),('NO',3227310080,3227310335),('US',3227310336,3227312127),('DK',3227312128,3227312383),('US',3227312384,3227315199),('FR',3227320320,3227361791),('US',3227361792,3227362303),('FR',3227362304,3227385855),('US',3227385856,3227391999),('PT',3227392000,3227392255),('US',3227392256,3227393023),('AT',3227393024,3227393279),('US',3227393280,3227396351),('AU',3227396352,3227396607),('US',3227396608,3227400447),('AT',3227400448,3227400703),('GB',3227400704,3227400959),('US',3227400960,3227401471),('ZA',3227401472,3227401727),('AU',3227401728,3227402495),('US',3227402496,3227403007),('GR',3227403008,3227403519),('US',3227403520,3227403775),('US',3227404288,3227405311),('DE',3227405312,3227405567),('US',3227405568,3227414015),('GB',3227414272,3227415551),('US',3227415552,3227415807),('GB',3227415808,3227416063),('US',3227416064,3227417087),('BN',3227417088,3227417343),('US',3227417344,3227417599),('US',3227417856,3227418111),('CA',3227418112,3227418367),('US',3227418368,3227425791),('DK',3227425792,3227427583),('ES',3227427584,3227427839),('US',3227427840,3227429119),('NZ',3227429120,3227429375),('US',3227429376,3227429887),('GB',3227429888,3227430143),('US',3227430144,3227430399),('HK',3227430400,3227430655),('FR',3227430656,3227437055),('AU',3227437056,3227437311),('US',3227437312,3227437823),('US',3227438848,3227439103),('AU',3227439104,3227439615),('ZA',3227439616,3227439871),('US',3227439872,3227440127),('IT',3227440128,3227440383),('US',3227440384,3227442175),('JP',3227442176,3227442431),('RU',3227442432,3227442687),('US',3227442688,3227443711),('EU',3227443712,3227443967),('AU',3227443968,3227444223),('US',3227444224,3227445503),('CH',3227445504,3227445759),('US',3227445760,3227446015),('GB',3227446016,3227446271),('US',3227446272,3227446783),('JP',3227446784,3227447039),('AT',3227447040,3227447295),('ZA',3227447296,3227447807),('US',3227447808,3227448063),('AU',3227448064,3227448575),('US',3227448576,3227448831),('ZA',3227448832,3227449087),('US',3227449088,3227450367),('US',3227468032,3227468287),('ZA',3227516928,3227582463),('US',3227582464,3227638271),('CA',3227638272,3227638527),('US',3227638528,3227647999),('FI',3227648000,3227659775),('JP',3227659776,3227660031),('FI',3227660032,3227660543),('EE',3227660544,3227660799),('FI',3227660800,3227713535),('ZA',3227779328,3227779583),('KR',3227779584,3227779839),('US',3227779840,3227783679),('FR',3227783680,3227783935),('US',3227783936,3227784703),('AU',3227784704,3227784959),('AT',3227784960,3227785727),('US',3227785728,3227792383),('GB',3227792384,3227792639),('NZ',3227792640,3227792895),('US',3227792896,3227794687),('GB',3227794688,3227794943),('US',3227794944,3227795199),('NO',3227795200,3227795455),('US',3227795456,3227797503),('US',3227798528,3227798783),('TH',3227798784,3227799039),('GB',3227799040,3227799295),('US',3227799296,3227799551),('AU',3227799552,3227799807),('US',3227799808,3227800063),('US',3227800320,3227803647),('DE',3227803648,3227804415),('GB',3227804416,3227804671),('US',3227804672,3227804927),('CA',3227804928,3227805183),('FI',3227805184,3227813375),('US',3227813376,3227813631),('GB',3227813632,3227815167),('US',3227815168,3227815935),('GB',3227815936,3227816191),('US',3227816192,3227818495),('GB',3227818496,3227818751),('MX',3227818752,3227844607),('ES',3227844864,3227845119),('US',3227845120,3227845631),('RU',3227845632,3227845887),('US',3227846144,3227846655),('ES',3227846656,3227846911),('GB',3227847424,3227847679),('US',3227847680,3227848703),('NZ',3227848704,3227848959),('US',3227848960,3227851775),('DE',3227851776,3227852031),('US',3227852032,3227853055),('GB',3227853312,3227853567),('US',3227853568,3227860991),('DE',3227863808,3227864063),('US',3227864064,3227865343),('NL',3227865344,3227867903),('TH',3227867904,3227868159),('US',3227868160,3227874815),('PT',3227874816,3227875071),('US',3227875072,3227878911),('AU',3227878912,3227879167),('US',3227879168,3227879679),('GB',3227879680,3227879935),('US',3227880192,3227880959),('EG',3227880960,3227881215),('US',3227881216,3227885567),('ES',3227885568,3227887871),('PR',3227887872,3227888127),('BE',3227888128,3227888383),('US',3227888384,3227889663),('CH',3227889664,3227889919),('US',3227889920,3227890431),('DE',3227890432,3227890943),('US',3227890944,3227891455),('AU',3227891456,3227891711),('US',3227891712,3227893759),('FI',3227893760,3227894015),('US',3227894016,3227895039),('DE',3227895040,3227895551),('US',3227895552,3227909119),('BE',3227909120,3227909375),('US',3227909376,3227909631),('AU',3227909632,3227909887),('AT',3227910400,3227910655),('US',3227910656,3227911679),('HU',3227911680,3227912191),('GB',3227912192,3227912447),('ZA',3227912448,3227912703),('US',3227912704,3227912959),('CA',3227912960,3227913215),('US',3227913216,3227914495),('AT',3227914496,3227914751),('FI',3227914752,3227918591),('US',3227918592,3227918847),('FI',3227918848,3227931135),('US',3227931136,3227931391),('TH',3227931392,3227931647),('PE',3227931648,3227931903),('US',3227932672,3227932927),('DE',3227932928,3227933183),('US',3227933184,3227933695),('NZ',3227933696,3227933951),('US',3227933952,3227934463),('CH',3227934464,3227934719),('US',3227934720,3227947519),('DE',3227947520,3227955711),('US',3227955712,3227964927),('GB',3227964928,3227965183),('US',3227965184,3227967487),('FR',3227967488,3227967743),('PL',3227967744,3227967999),('US',3227968000,3227968255),('GB',3227968256,3227968767),('RU',3227968768,3227969023),('US',3227969024,3227971327),('AU',3227971328,3227971583),('US',3227971584,3227974143),('AU',3227974144,3227974655),('US',3227974656,3227975167),('US',3227975936,3227976191),('LU',3227976192,3227976447),('US',3227976448,3227977471),('FR',3227977472,3227977727),('US',3227977728,3227978751),('US',3227979008,3227979263),('AE',3227979264,3227979519),('US',3227979520,3227980799),('GR',3227980800,3227981055),('US',3227981056,3227981567),('DE',3227981568,3227981823),('US',3227981824,3227982591),('DE',3227982592,3227982847),('GB',3227982848,3227985919),('DE',3227985920,3227986175),('US',3227986176,3227986431),('JP',3227986432,3227986943),('US',3227986944,3227987455),('AU',3227987456,3227987711),('US',3227987712,3227997439),('FI',3227997440,3228005631),('US',3228005632,3228008959),('AU',3228008960,3228009215),('AU',3228009472,3228009727),('US',3228009728,3228010751),('GB',3228010752,3228011519),('US',3228011520,3228013311),('PT',3228013312,3228013567),('US',3228013568,3228045055),('KR',3228045056,3228045311),('US',3228045312,3228046335),('US',3228046592,3228047103),('IT',3228047104,3228047359),('US',3228047360,3228048383),('GB',3228048384,3228048895),('US',3228048896,3228050175),('PT',3228050176,3228050943),('US',3228051200,3228051455),('JP',3228051456,3228051711),('CH',3228051712,3228051967),('US',3228051968,3228052223),('AU',3228052224,3228052991),('US',3228052992,3228053503),('PT',3228053504,3228053759),('US',3228054016,3228054783),('GB',3228054784,3228055039),('US',3228055040,3228055295),('NL',3228055296,3228055807),('NO',3228055808,3228056319),('US',3228056320,3228059647),('CH',3228059648,3228059903),('US',3228060160,3228060927),('DE',3228060928,3228061183),('US',3228061184,3228061695),('JP',3228061696,3228061951),('US',3228061952,3228062207),('GB',3228062208,3228062463),('US',3228062464,3228069887),('US',3228076032,3228077055),('NL',3228077056,3228077311),('US',3228077312,3228077567),('NL',3228077568,3228077823),('US',3228077824,3228078847),('GR',3228078848,3228079103),('US',3228079104,3228080639),('IE',3228080640,3228080895),('FR',3228080896,3228081151),('US',3228081152,3228082175),('US',3228082944,3228083967),('BE',3228083968,3228084479),('US',3228084480,3228085247),('JP',3228085248,3228085503),('US',3228085504,3228100607),('JP',3228100608,3228101119),('US',3228101120,3228102143),('GB',3228102144,3228102399),('US',3228102400,3228103935),('FR',3228103936,3228104191),('JP',3228104192,3228104703),('DK',3228104704,3228104959),('US',3228104960,3228105471),('CH',3228105472,3228105727),('NZ',3228105728,3228105983),('US',3228105984,3228106495),('US',3228106752,3228109311),('NZ',3228109312,3228109567),('US',3228109568,3228125951),('DE',3228125952,3228126207),('US',3228126208,3228133375),('CA',3228133376,3228134655),('US',3228134656,3228150271),('FI',3228150272,3228150527),('US',3228150528,3228156671),('BE',3228156672,3228156927),('US',3228156928,3228171775),('GB',3228171776,3228172031),('US',3228172032,3228172287),('IT',3228172288,3228237823),('NO',3228238080,3228238335),('GB',3228238336,3228238591),('US',3228238592,3228238847),('GB',3228238848,3228239359),('US',3228239616,3228240127),('AU',3228240128,3228240383),('NZ',3228240384,3228240639),('GB',3228240640,3228241407),('US',3228241408,3228250367),('US',3228250624,3228250879),('IT',3228250880,3228263679),('AU',3228263680,3228263935),('US',3228263936,3228264447),('NI',3228264448,3228264703),('US',3228264704,3228265983),('IE',3228265984,3228266239),('NZ',3228266496,3228267007),('NO',3228267008,3228267263),('US',3228267264,3228268543),('PT',3228269056,3228269311),('DE',3228269312,3228269567),('AT',3228269568,3228270079),('GB',3228270080,3228271103),('US',3228271104,3228271359),('CA',3228271360,3228271615),('DE',3228271616,3228271871),('US',3228272128,3228272383),('US',3228274688,3228280831),('GB',3228280832,3228281087),('US',3228281088,3228281599),('NZ',3228281600,3228282111),('US',3228282112,3228282367),('GB',3228282368,3228282623),('US',3228282624,3228283135),('GR',3228283136,3228283391),('GB',3228283392,3228283647),('US',3228283648,3228285695),('SE',3228285696,3228285951),('US',3228285952,3228289023),('FI',3228289024,3228297215),('AT',3228297216,3228297727),('US',3228297728,3228297983),('DE',3228297984,3228298495),('US',3228298496,3228309247),('DE',3228309248,3228327167),('US',3228327168,3228328703),('AU',3228328704,3228328959),('NO',3228328960,3228329471),('US',3228329472,3228330751),('SE',3228330752,3228331263),('US',3228331264,3228332287),('AU',3228332288,3228332543),('GR',3228332544,3228332799),('FR',3228332800,3228334079),('GB',3228334080,3228334335),('AT',3228334336,3228334591),('US',3228334592,3228335359),('SK',3228335360,3228335615),('CZ',3228335616,3228335871),('CZ',3228336128,3228336639),('SK',3228336640,3228337663),('CZ',3228337664,3228338431),('SK',3228338432,3228340735),('CZ',3228340736,3228341247),('SK',3228341248,3228341759),('CZ',3228341760,3228342271),('SK',3228342272,3228342783),('CZ',3228342784,3228343039),('SK',3228343040,3228343295),('CZ',3228343296,3228343551),('SK',3228343552,3228344063),('CZ',3228344064,3228344575),('SK',3228344576,3228347135),('CZ',3228347136,3228347391),('SK',3228347392,3228348159),('US',3228348160,3228353279),('SE',3228353280,3228358399),('US',3228358400,3228362239),('TH',3228362240,3228362495),('US',3228362496,3228362751),('EU',3228362752,3228363007),('US',3228363008,3228363263),('CH',3228363264,3228363519),('US',3228363520,3228364287),('AT',3228364288,3228364543),('US',3228364800,3228368895),('DE',3228368896,3228413183),('SG',3228413184,3228413439),('DE',3228413440,3228417791),('AT',3228417792,3228418559),('IN',3228418560,3228418815),('DE',3228418816,3228421119),('BE',3228421120,3228421375),('DE',3228421376,3228423679),('CH',3228423680,3228424191),('DE',3228424192,3228430847),('ZA',3228430848,3228431103),('DE',3228431104,3228434431),('US',3228434432,3228443903),('CA',3228443904,3228444159),('US',3228444160,3228456191),('CA',3228456192,3228456447),('US',3228456448,3228457471),('CA',3228457472,3228457727),('US',3228457728,3228458751),('CA',3228458752,3228459007),('US',3228459008,3228461567),('CA',3228461568,3228461823),('US',3228461824,3228464127),('CA',3228464128,3228464383),('US',3228464384,3228483583),('US',3228491520,3228496127),('GB',3228496128,3228496383),('US',3228496384,3228508159),('AU',3228508160,3228508415),('NO',3228508416,3228508671),('US',3228508672,3228509439),('IE',3228509952,3228510207),('US',3228510208,3228511231),('CZ',3228511232,3228511487),('US',3228511488,3228511999),('DE',3228512000,3228512255),('CH',3228512256,3228512511),('US',3228512512,3228513791),('US',3228521984,3228522495),('GB',3228522496,3228522751),('US',3228522752,3228525823),('PT',3228525824,3228526079),('NZ',3228526080,3228526335),('CH',3228526336,3228526591),('AT',3228526592,3228526847),('AU',3228526848,3228527103),('US',3228527104,3228531711),('NO',3228531712,3228532223),('US',3228532224,3228532479),('DE',3228532480,3228532735),('US',3228540928,3228558591),('BR',3228558592,3228559103),('US',3228559104,3228564479),('AT',3228564480,3228564735),('US',3228564736,3228565247),('US',3228565504,3228572927),('PT',3228573184,3228573951),('US',3228573952,3228574463),('US',3228574720,3228577023),('PT',3228577024,3228577279),('US',3228577280,3228578047),('GB',3228578048,3228578303),('US',3228578304,3228581119),('AT',3228581120,3228581375),('US',3228581376,3228583167),('ES',3228583424,3228585983),('US',3228585984,3228590591),('GB',3228590592,3228590847),('DK',3228590848,3228591103),('GB',3228591104,3228591359),('US',3228591360,3228617727),('FI',3228617728,3228617983),('US',3228617984,3228618239),('SE',3228618240,3228618495),('US',3228618496,3228618751),('DE',3228618752,3228619007),('US',3228619008,3228620031),('DE',3228620032,3228620287),('CH',3228620288,3228620543),('AU',3228620544,3228620799),('US',3228620800,3228628735),('ES',3228628736,3228628991),('US',3228628992,3228630527),('CH',3228630528,3228630783),('NL',3228631040,3228696575),('IL',3228696576,3228827647),('PS',3228827648,3228828159),('IL',3228828160,3228829183),('PS',3228829184,3228829695),('IL',3228829696,3228830207),('PS',3228830208,3228833791),('IL',3228833792,3228844287),('A2',3228844288,3228845567),('IL',3228845568,3228846335),('A2',3228846336,3228846591),('IL',3228846592,3228847359),('A2',3228847360,3228847615),('IL',3228847616,3228849407),('A2',3228849408,3228849663),('IL',3228849664,3228850175),('A2',3228850176,3228850687),('IL',3228850688,3228851711),('A2',3228851712,3228851967),('IL',3228851968,3228852735),('A2',3228852736,3228853247),('IL',3228853248,3228853567),('A2',3228853568,3228853599),('IL',3228853600,3228854271),('A2',3228854272,3228855295),('IL',3228855296,3228855807),('A2',3228855808,3228856063),('IL',3228856064,3228856319),('A2',3228856320,3228857855),('IL',3228857856,3228858111),('A2',3228858112,3228858367),('IL',3228858368,3228858623),('A2',3228858624,3228859647),('IL',3228859648,3228861695),('A2',3228861696,3228862975),('IL',3228862976,3228863231),('A2',3228863232,3228863487),('IL',3228863488,3228863743),('A2',3228863744,3228863999),('IL',3228864000,3228864255),('A2',3228864256,3228864511),('IL',3228864512,3228866815),('A2',3228866816,3228868095),('IL',3228868096,3229024255),('US',3229024256,3229092095),('AU',3229092096,3229093887),('US',3229093888,3229101823),('FI',3229101824,3229102591),('US',3229102592,3229104895),('ES',3229104896,3229105151),('US',3229105152,3229120511),('SE',3229120512,3229120767),('US',3229120768,3229151487),('SE',3229151488,3229151743),('US',3229151744,3229155327),('SE',3229155328,3229219583),('EE',3229219584,3229219839),('SE',3229219840,3229220863),('GB',3229220864,3229245439),('US',3229245440,3229246719),('GB',3229246720,3229250815),('US',3229250816,3229251071),('GB',3229251072,3229254399),('SG',3229254400,3229256959),('GB',3229256960,3229258495),('US',3229258496,3229259007),('GB',3229259520,3229264639),('NZ',3229264640,3229264895),('US',3229264896,3229265919),('AU',3229265920,3229266175),('US',3229266176,3229266943),('NZ',3229266944,3229267199),('US',3229267200,3229272319),('EU',3229273600,3229273855),('US',3229273856,3229274623),('AU',3229274624,3229274879),('US',3229274880,3229275135),('US',3229275392,3229275647),('GB',3229275648,3229275903),('IE',3229276160,3229281023),('US',3229281024,3229281791),('PT',3229281792,3229283071),('US',3229283072,3229285887),('NO',3229285888,3229286143),('US',3229286400,3229354495),('AU',3229354496,3229355775),('US',3229355776,3229358079),('NZ',3229358080,3229358335),('DE',3229358336,3229359359),('US',3229359872,3229360127),('AT',3229360128,3229360383),('US',3229360384,3229361919),('BE',3229361920,3229362175),('US',3229362176,3229363199),('US',3229363456,3229363711),('GB',3229363712,3229363967),('US',3229363968,3229380607),('DE',3229380608,3229380863),('US',3229380864,3229381375),('DE',3229381376,3229381631),('PL',3229381632,3229381887),('AU',3229381888,3229382143),('US',3229382144,3229382399),('US',3229382656,3229390847),('AU',3229390848,3229391103),('US',3229391104,3229391359),('CN',3229391360,3229391615),('AT',3229391616,3229391871),('US',3229391872,3229394943),('RU',3229394944,3229408255),('US',3229408256,3229412095),('DE',3229412096,3229483007),('FI',3229483008,3229499647),('US',3229499648,3229500671),('US',3229548544,3229679615),('DE',3229679872,3229680383),('RO',3229680384,3229680895),('DE',3229680896,3229693183),('NL',3229693184,3229693439),('DE',3229693440,3229695487),('US',3229695488,3229700095),('AT',3229700096,3229700351),('US',3229700352,3229701887),('TR',3229701888,3229702143),('US',3229702144,3229704703),('DE',3229704704,3229704959),('US',3229704960,3229708287),('FI',3229745152,3229749759),('BE',3229749760,3229750015),('FI',3229750016,3229810687),('US',3229810688,3229814015),('AU',3229814016,3229814271),('US',3229814272,3229815807),('DE',3229815808,3229816063),('US',3229816320,3229817087),('SE',3229817088,3229817599),('AU',3229817600,3229818623),('US',3229818624,3229830911),('GB',3229830912,3229831167),('US',3229831168,3229833215),('GB',3229833472,3229833727),('IN',3229833728,3229834239),('AU',3229834240,3229834495),('US',3229834496,3229834751),('CA',3229834752,3229835007),('US',3229835008,3229835263),('FI',3229835264,3229835519),('CA',3229835520,3229835775),('US',3229835776,3229838335),('GB',3229838336,3229838591),('US',3229838592,3229838847),('US',3229839104,3229844479),('LU',3229844480,3229844735),('US',3229844736,3229844991),('US',3229845248,3229845503),('CA',3229845504,3229847295),('US',3229847296,3229874943),('AU',3229874944,3229875455),('US',3229875456,3229875967),('US',3229876224,3229878271),('GB',3229878528,3229878783),('IT',3229878784,3229879039),('NO',3229879040,3229879295),('US',3229879296,3229880063),('KR',3229880064,3229880319),('US',3229880320,3229881087),('CA',3229881088,3229881343),('US',3229881344,3229883391),('US',3229883648,3229883903),('JP',3229884160,3229884415),('IT',3229884928,3229885183),('BR',3229885184,3229885439),('US',3229885440,3229886719),('AU',3229886720,3229886975),('US',3229886976,3229889791),('PT',3229889792,3229890047),('US',3229890048,3229890303),('PT',3229890304,3229890559),('US',3229890560,3229891583),('CA',3229891584,3229891839),('US',3229892608,3229900031),('AU',3229900032,3229900287),('US',3229900288,3229901567),('GB',3229901568,3229901823),('US',3229901824,3229902335),('AU',3229902336,3229902591),('US',3229902592,3229937407),('GB',3229937408,3229937663),('US',3229937664,3229937919),('CA',3229937920,3229938175),('US',3229938176,3229938431),('IL',3229938688,3229938943),('AT',3229938944,3229939199),('US',3229939200,3229939455),('KR',3229939456,3229940735),('CH',3229940736,3229940991),('AU',3229940992,3229941247),('US',3229941248,3229941503),('US',3229941760,3229944319),('TH',3229944320,3229944575),('US',3229944576,3229945343),('AU',3229945344,3229945599),('PT',3229945600,3229945855),('US',3229945856,3229947135),('AU',3229947136,3229947391),('US',3229947392,3229948927),('IT',3229948928,3229949183),('US',3229949184,3229949695),('NZ',3229949696,3229949951),('NO',3229949952,3229950207),('US',3229950208,3229950975),('IL',3229950976,3229951231),('US',3229951232,3229952255),('AU',3229952256,3229952511),('US',3229952512,3229955327),('NL',3229955328,3229955583),('PT',3229955584,3229956095),('US',3229956096,3229956607),('GB',3229956608,3229956863),('US',3229956864,3229958143),('NO',3229958144,3229958399),('US',3229958400,3229958655),('NZ',3229958656,3229958911),('SG',3229958912,3229959167),('US',3229959168,3229961215),('US',3229962240,3229967615),('US',3229967872,3229968127),('BE',3229968128,3229968383),('US',3229968384,3229968895),('PT',3229969408,3229969663),('AT',3229969664,3229969919),('FI',3229969920,3229970431),('US',3229971456,3229972735),('SE',3229972736,3229972991),('US',3229972992,3229975295),('GB',3229975296,3229975551),('US',3229975552,3229976575),('US',3229978624,3230004223),('GB',3230004224,3230004479),('US',3230004480,3230004991),('ZA',3230005760,3230006015),('US',3230006016,3230007295),('FR',3230007296,3230043903),('CM',3230043904,3230044159),('FR',3230044160,3230072831),('US',3230072832,3230074623),('DE',3230074624,3230074879),('IT',3230074880,3230082559),('US',3230082560,3230082815),('US',3230083072,3230084607),('NO',3230084608,3230084863),('US',3230084864,3230085119),('CA',3230085120,3230085375),('US',3230085376,3230085631),('DE',3230085888,3230086143),('GB',3230086144,3230086655),('AT',3230088960,3230089215),('US',3230089216,3230089727),('GB',3230089728,3230089983),('US',3230089984,3230090239),('GB',3230090240,3230090495),('US',3230090496,3230092543),('CA',3230092544,3230092799),('US',3230092800,3230093823),('NL',3230093824,3230094079),('CA',3230094080,3230094335),('US',3230094336,3230095615),('JP',3230095616,3230101503),('US',3230101504,3230105855),('PT',3230105856,3230106111),('US',3230106112,3230106879),('AT',3230106880,3230107135),('US',3230107136,3230109439),('NO',3230109440,3230109695),('US',3230109696,3230109951),('CH',3230109952,3230115071),('IT',3230115072,3230115327),('GR',3230115328,3230115583),('BE',3230115584,3230116095),('US',3230116096,3230117631),('FR',3230117632,3230117887),('US',3230117888,3230120191),('BE',3230120192,3230120447),('US',3230120448,3230120703),('PT',3230120704,3230120959),('US',3230120960,3230124031),('US',3230125312,3230125567),('AU',3230125824,3230126335),('US',3230126336,3230126591),('AU',3230126592,3230126847),('US',3230126848,3230128639),('PT',3230128896,3230129151),('US',3230129152,3230129663),('JP',3230129664,3230129919),('US',3230130176,3230130431),('IE',3230130432,3230130687),('US',3230130688,3230131967),('GB',3230131968,3230132991),('US',3230132992,3230137599),('NO',3230137600,3230137855),('PL',3230137856,3230138111),('US',3230138368,3230140159),('MT',3230140160,3230140415),('US',3230140416,3230140671),('FI',3230140672,3230140927),('US',3230140928,3230142975),('GB',3230142976,3230143231),('BE',3230143232,3230143487),('US',3230143488,3230144255),('NL',3230144256,3230144511),('US',3230144512,3230145279),('CA',3230145280,3230145535),('US',3230145536,3230145791),('GB',3230145792,3230146047),('FR',3230146048,3230146303),('PT',3230146304,3230146559),('US',3230146560,3230147583),('US',3230147840,3230148351),('AU',3230148352,3230148607),('GB',3230148608,3230148863),('CH',3230148864,3230149119),('NI',3230149120,3230150655),('US',3230150656,3230150911),('PT',3230150912,3230151167),('US',3230151168,3230151423),('NL',3230151424,3230151679),('PT',3230151680,3230151935),('FR',3230152192,3230152447),('BF',3230152448,3230152959),('NE',3230152960,3230153215),('FR',3230153216,3230153471),('PF',3230153472,3230153727),('US',3230153728,3230153983),('RU',3230153984,3230154239),('US',3230154240,3230156543),('FI',3230156544,3230164991),('US',3230164992,3230167295),('CA',3230167552,3230168063),('US',3230168832,3230174463),('IN',3230174464,3230175231),('US',3230175232,3230177791),('GB',3230177792,3230178303),('CH',3230178304,3230178559),('US',3230203904,3230210047),('CA',3230210048,3230210303),('US',3230210304,3230211839),('CN',3230211840,3230212095),('US',3230212096,3230214911),('PR',3230214912,3230215167),('US',3230215168,3230219775),('NL',3230219776,3230220031),('US',3230220032,3230220287),('NL',3230220288,3230222847),('ES',3230222848,3230223103),('GB',3230223104,3230223359),('CH',3230223360,3230223615),('LU',3230223616,3230225919),('AU',3230225920,3230226175),('ES',3230226176,3230226431),('US',3230226432,3230226687),('NO',3230226688,3230226943),('GB',3230226944,3230228223),('ES',3230228224,3230228479),('AU',3230228480,3230228735),('US',3230228736,3230228991),('GB',3230228992,3230229247),('US',3230229248,3230229503),('ES',3230229504,3230229759),('DE',3230229760,3230230015),('US',3230230016,3230236159),('AU',3230236160,3230236415),('GB',3230236416,3230236671),('CA',3230236672,3230236927),('US',3230236928,3230240767),('DK',3230240768,3230241023),('GB',3230241024,3230241791),('CH',3230241792,3230242303),('US',3230242304,3230243839),('HK',3230243840,3230244095),('US',3230244096,3230244351),('CA',3230244352,3230244607),('FR',3230244608,3230245119),('SE',3230245120,3230246143),('US',3230246144,3230246911),('CH',3230246912,3230247167),('US',3230247168,3230247679),('SE',3230247680,3230247935),('AU',3230247936,3230248191),('US',3230248192,3230251007),('CH',3230251008,3230251263),('MX',3230251264,3230251519),('CH',3230251520,3230252031),('US',3230252032,3230254847),('SE',3230254848,3230255359),('ES',3230255360,3230255615),('US',3230255616,3230256127),('GB',3230256128,3230256383),('US',3230256384,3230257919),('CH',3230257920,3230259199),('US',3230259200,3230263807),('SE',3230263808,3230264063),('NL',3230264064,3230264319),('CH',3230264320,3230266111),('US',3230266112,3230267135),('CA',3230267136,3230267903),('US',3230267904,3230269439),('GB',3230269440,3230273535),('US',3230275584,3230291455),('PT',3230291456,3230291711),('US',3230291712,3230295039),('AU',3230295040,3230295295),('US',3230295296,3230296319),('NO',3230296320,3230297343),('SE',3230297344,3230299647),('SG',3230299648,3230301695),('US',3230301696,3230302207),('CA',3230302208,3230302975),('US',3230302976,3230309119),('NO',3230309120,3230309375),('GB',3230309376,3230310143),('US',3230310144,3230316287),('IT',3230316288,3230316543),('US',3230316544,3230316799),('CA',3230316800,3230317311),('US',3230317312,3230317567),('SG',3230317568,3230317823),('US',3230317824,3230318591),('GB',3230318592,3230318847),('US',3230318848,3230321663),('PT',3230321664,3230321919),('US',3230321920,3230322175),('US',3230322432,3230327807),('AT',3230327808,3230328063),('GB',3230328064,3230328319),('CH',3230328320,3230329087),('US',3230329088,3230332927),('GB',3230332928,3230333183),('US',3230333184,3230333695),('NZ',3230333696,3230333951),('US',3230333952,3230334975),('CA',3230334976,3230354943),('FR',3230354944,3230355199),('CA',3230355200,3230368767),('US',3230368768,3230370303),('CA',3230370304,3230370559),('CA',3230370816,3230400511),('FR',3230400512,3230591231),('FI',3230591232,3230591487),('FR',3230591488,3230625791),('FI',3230625792,3230626047),('FR',3230626048,3230654879),('HU',3230654880,3230654895),('FR',3230654896,3230793727),('US',3230793728,3230823679),('DK',3230823680,3230823935),('EU',3230823936,3230824191),('FR',3230824192,3230824447),('US',3230824448,3230825215),('GB',3230825216,3230825471),('ES',3230825472,3230826239),('US',3230826240,3230827007),('AT',3230827520,3230827775),('NZ',3230827776,3230828031),('HU',3230828032,3230828543),('GB',3230828544,3230830079),('US',3230830080,3230832127),('NZ',3230832128,3230832383),('US',3230832384,3230832639),('FI',3230832640,3230832895),('US',3230832896,3230833663),('CA',3230833664,3230833919),('BR',3230833920,3230834175),('US',3230834176,3230835455),('NO',3230835456,3230837503),('US',3230837504,3230837759),('ES',3230837760,3230838015),('IT',3230838016,3230840319),('FR',3230840320,3230840575),('US',3230840576,3230840831),('JP',3230840832,3230841087),('DE',3230841088,3230841343),('US',3230841344,3230841599),('ES',3230841600,3230841855),('US',3230841856,3230842111),('AU',3230842112,3230842367),('US',3230842624,3230843135),('NO',3230843136,3230843391),('US',3230843392,3230844927),('AU',3230844928,3230845183),('US',3230845184,3230845951),('CZ',3230845952,3230846207),('US',3230846208,3230849535),('NZ',3230849536,3230850047),('US',3230850048,3230851839),('NO',3230851840,3230852095),('GB',3230852096,3230852351),('BR',3230852352,3230852607),('AU',3230853120,3230853375),('FR',3230853376,3230853887),('US',3230853888,3230854399),('UY',3230854400,3230854655),('NO',3230854656,3230855167),('US',3230855168,3230855679),('IT',3230855680,3230855935),('US',3230855936,3230857983),('AU',3230857984,3230858751),('US',3230858752,3230859007),('US',3230859264,3230865151),('GB',3230865152,3230865407),('US',3230865408,3230867967),('IS',3230867968,3230868223),('US',3230868224,3230868479),('GB',3230868480,3230868735),('US',3230868992,3230870015),('PL',3230870016,3230870271),('US',3230870272,3230878719),('PT',3230878720,3230879487),('FR',3230879488,3230879743),('US',3230879744,3230888447),('AU',3230888448,3230888703),('US',3230888704,3230895359),('PL',3230895360,3230895615),('US',3230895616,3230897151),('EU',3230897152,3230897407),('US',3230897408,3230897663),('GB',3230897664,3230897919),('NZ',3230897920,3230898687),('US',3230898688,3230898943),('PT',3230898944,3230899199),('US',3230899200,3230913023),('BR',3230913024,3230913279),('US',3230913280,3230913535),('GB',3230913536,3230913791),('CA',3230913792,3230914047),('US',3230914048,3230914303),('FI',3230914304,3230914815),('GB',3230914816,3230915071),('BR',3230915072,3230915327),('GB',3230915328,3230915583),('US',3230915584,3230917631),('GB',3230917632,3230917887),('US',3230917888,3230918399),('US',3230918656,3230919423),('AU',3230919424,3230919679),('US',3230919680,3230922239),('AU',3230922240,3230922495),('IT',3230922496,3230922751),('US',3230922752,3230923519),('EU',3230923520,3230923775),('US',3230923776,3230924031),('AU',3230924032,3230924287),('US',3230924288,3230924543),('US',3230924800,3230933247),('SE',3230933248,3230948607),('US',3230948608,3230951167),('PT',3230951168,3230951423),('US',3230951424,3230953471),('AU',3230953472,3230967295),('RU',3230967296,3230967551),('ES',3230967552,3230967807),('US',3230967808,3230969599),('MX',3230969600,3230969855),('US',3230969856,3230970111),('GB',3230970112,3230972671),('US',3230972672,3230973951),('NL',3230973952,3230974207),('IT',3230974208,3230974463),('GB',3230974464,3230974719),('US',3230974720,3230975487),('GB',3230975488,3230975999),('NL',3230976000,3230976255),('ES',3230976256,3230980095),('GB',3230980096,3230980351),('CA',3230980352,3230980607),('US',3230980608,3230980863),('IT',3230981120,3230981375),('NZ',3230981376,3230981631),('US',3230981632,3230981887),('AU',3230981888,3230983935),('US',3230983936,3230990335),('US',3230990592,3230991103),('PL',3230991104,3230991359),('US',3230991360,3230991615),('FI',3230991616,3230991871),('US',3230991872,3230994175),('GB',3230994176,3230994431),('US',3230994432,3230994687),('US',3230994944,3230995199),('ES',3230995200,3230995455),('AU',3230995456,3230995711),('US',3230995712,3230996223),('US',3230996480,3230997247),('AT',3230997248,3230997503),('US',3230997504,3230997759),('NL',3230997760,3230999039),('US',3230999040,3230999295),('NL',3230999296,3230999551),('AU',3230999552,3230999807),('US',3230999808,3231000319),('US',3231000576,3231000831),('FR',3231000832,3231001087),('US',3231001088,3231003903),('CA',3231003904,3231004159),('AU',3231004160,3231004415),('US',3231004416,3231004927),('GB',3231004928,3231005183),('FR',3231005440,3231005695),('GB',3231005696,3231005951),('US',3231005952,3231007743),('US',3231009280,3231009791),('FR',3231010048,3231010303),('NO',3231010304,3231010815),('CA',3231010816,3231011071),('US',3231011072,3231012863),('US',3231013120,3231013375),('DE',3231013376,3231013631),('US',3231013888,3231014911),('US',3231015168,3231015423),('CA',3231015424,3231015679),('US',3231015680,3231015935),('NO',3231015936,3231016191),('US',3231016192,3231016447),('NO',3231016448,3231016703),('US',3231016704,3231018495),('IT',3231018496,3231018751),('GB',3231018752,3231019007),('US',3231019008,3231020287),('GB',3231020288,3231020543),('NL',3231020544,3231020799),('GB',3231020800,3231021567),('US',3231021568,3231021823),('CA',3231021824,3231022079),('US',3231022080,3231022591),('DE',3231022592,3231022847),('US',3231022848,3231028479),('AU',3231028480,3231028735),('US',3231028736,3231042047),('GU',3231042048,3231042303),('US',3231042304,3231043839),('JP',3231043840,3231044095),('US',3231044352,3231048447),('NL',3231048448,3231048703),('US',3231048704,3231049727),('AT',3231049728,3231049983),('US',3231049984,3231050239),('US',3231050496,3231051263),('GB',3231051264,3231051519),('HK',3231051520,3231051775),('US',3231051776,3231070463),('EU',3231070464,3231070719),('SE',3231070720,3231074559),('EU',3231074560,3231075071),('SE',3231075072,3231075583),('EU',3231075584,3231075839),('SE',3231075840,3231077119),('EU',3231077120,3231077375),('SE',3231077376,3231077631),('EU',3231077632,3231078143),('US',3231078144,3231078655),('GB',3231078656,3231078911),('CA',3231078912,3231079423),('GB',3231079424,3231079679),('US',3231079680,3231079935),('NL',3231079936,3231080191),('US',3231080192,3231080447),('AU',3231080448,3231080703),('US',3231080704,3231082495),('PL',3231082496,3231082751),('US',3231082752,3231083007),('GB',3231083008,3231083263),('AU',3231083264,3231083519),('US',3231083520,3231087615),('NO',3231087616,3231087871),('US',3231087872,3231088127),('GT',3231088128,3231088383),('US',3231088384,3231088895),('AU',3231088896,3231091711),('GB',3231091712,3231091967),('US',3231091968,3231092223),('US',3231092480,3231092735),('NZ',3231092736,3231092991),('US',3231092992,3231093247),('IT',3231093248,3231093503),('US',3231093504,3231094783),('US',3231096832,3231101183),('GB',3231101184,3231103231),('US',3231103488,3231103999),('NO',3231104000,3231104255),('DE',3231104256,3231104767),('US',3231104768,3231105023),('PT',3231105024,3231105535),('IT',3231105536,3231106303),('NO',3231106304,3231106559),('GB',3231106560,3231106815),('US',3231106816,3231107071),('AU',3231107072,3231107327),('US',3231107328,3231107583),('AU',3231107584,3231107839),('AT',3231107840,3231108095),('GB',3231108096,3231108351),('RU',3231108352,3231108607),('US',3231108608,3231108863),('GB',3231109120,3231109375),('NO',3231109376,3231109631),('US',3231109632,3231109887),('US',3231110144,3231110399),('US',3231111168,3231111679),('NZ',3231111680,3231112447),('US',3231112448,3231112959),('NO',3231112960,3231113215),('US',3231113216,3231113983),('GB',3231113984,3231115775),('AU',3231115776,3231116799),('HU',3231116800,3231117055),('US',3231117056,3231118335),('US',3231118592,3231118847),('AU',3231118848,3231119103),('US',3231119104,3231119359),('GB',3231119360,3231119615),('TH',3231119616,3231120383),('NO',3231120384,3231120639),('US',3231120640,3231120895),('NO',3231120896,3231121151),('US',3231121408,3231149311),('CA',3231149312,3231149567),('US',3231149568,3231154431),('IN',3231154432,3231154687),('US',3231186944,3231188479),('NO',3231188480,3231188735),('US',3231188736,3231190527),('GB',3231190528,3231190783),('US',3231190784,3231191295),('GB',3231191296,3231191551),('US',3231191552,3231192575),('DE',3231193600,3231194111),('US',3231194112,3231197695),('FR',3231197696,3231197951),('US',3231197952,3231198207),('GB',3231198208,3231198463),('US',3231198464,3231198975),('PT',3231198976,3231199231),('GB',3231199232,3231199487),('NL',3231199488,3231200255),('US',3231200256,3231200767),('AT',3231200768,3231201023),('US',3231201024,3231202559),('GB',3231202560,3231203071),('AT',3231203072,3231203327),('US',3231203328,3231204351),('FI',3231204352,3231204607),('JP',3231204608,3231204863),('US',3231204864,3231207935),('DE',3231207936,3231208191),('US',3231208192,3231208959),('AU',3231208960,3231209471),('US',3231209472,3231211775),('CA',3231211776,3231212031),('CH',3231212032,3231212287),('US',3231212288,3231214335),('CA',3231214336,3231214591),('US',3231214592,3231215103),('NO',3231215360,3231215615),('GB',3231215616,3231215871),('US',3231215872,3231217151),('AU',3231217408,3231217663),('US',3231217664,3231218175),('GB',3231218176,3231218431),('US',3231218432,3231218687),('BE',3231218688,3231218943),('US',3231218944,3231223039),('IT',3231223040,3231223295),('US',3231223296,3231223807),('AU',3231223808,3231224063),('US',3231224064,3231224319),('AU',3231224320,3231224575),('US',3231224576,3231225599),('DE',3231225600,3231225855),('US',3231226368,3231226879),('GB',3231226880,3231227135),('US',3231227648,3231228927),('PR',3231228928,3231229183),('CA',3231229184,3231229439),('IT',3231229440,3231229695),('FR',3231229696,3231229951),('US',3231229952,3231231487),('PT',3231231488,3231231743),('US',3231231744,3231234047),('GB',3231234048,3231235071),('US',3231235072,3231236095),('US',3231236608,3231236863),('CA',3231236864,3231237119),('US',3231237120,3231237375),('AU',3231237376,3231237631),('US',3231237632,3231241215),('JP',3231241216,3231241471),('US',3231241984,3231248639),('GB',3231248640,3231248895),('US',3231248896,3231249407),('GB',3231249408,3231249663),('US',3231249664,3231250431),('CA',3231250432,3231250687),('US',3231250688,3231251711),('GB',3231251712,3231251967),('AT',3231251968,3231252223),('US',3231252736,3231252991),('GB',3231252992,3231253503),('US',3231253504,3231254783),('AU',3231254784,3231255039),('US',3231255040,3231255551),('GB',3231255552,3231255807),('PT',3231255808,3231256063),('US',3231256064,3231257087),('HU',3231257088,3231257599),('US',3231257600,3231275007),('BR',3231275008,3231275263),('CH',3231275264,3231275519),('US',3231275520,3231276287),('AU',3231276288,3231276543),('US',3231276544,3231276799),('JP',3231276800,3231281919),('US',3231281920,3231282175),('HU',3231282176,3231282431),('US',3231282432,3231282943),('CL',3231282944,3231283199),('BR',3231283200,3231283455),('US',3231283456,3231284991),('PL',3231284992,3231285247),('US',3231285248,3231291647),('GB',3231291648,3231291903),('US',3231291904,3231292159),('BR',3231292160,3231292415),('US',3231292416,3231292927),('AU',3231292928,3231293183),('US',3231293184,3231294975),('GB',3231294976,3231295231),('CR',3231295232,3231295487),('BE',3231295488,3231295743),('US',3231295744,3231296255),('RU',3231296256,3231296511),('US',3231296512,3231296767),('AT',3231296768,3231299327),('US',3231299328,3231299583),('US',3231300352,3231300607),('SE',3231300608,3231300863),('GB',3231300864,3231301119),('US',3231301120,3231302143),('NO',3231302144,3231302399),('US',3231302400,3231302655),('AU',3231302656,3231303167),('US',3231303168,3231307007),('GB',3231307008,3231307263),('US',3231307264,3231308031),('CA',3231308032,3231308287),('US',3231308288,3231308799),('CA',3231308800,3231309055),('PH',3231309056,3231311103),('US',3231311104,3231316735),('NZ',3231316736,3231316991),('US',3231316992,3231322111),('SG',3231322112,3231326207),('US',3231326208,3231351807),('NO',3231383552,3231385599),('US',3231385600,3231401983),('US',3231416320,3231424511),('US',3231449088,3231482879),('BE',3231482880,3231483135),('US',3231483136,3231484927),('JP',3231484928,3231490047),('US',3231490048,3231490559),('GB',3231490560,3231490815),('US',3231490816,3231491071),('NZ',3231491328,3231491583),('US',3231491584,3231491839),('GB',3231491840,3231492095),('US',3231492096,3231493631),('CH',3231493632,3231493887),('US',3231493888,3231499263),('US',3231499520,3231500031),('BM',3231500032,3231500287),('US',3231500288,3231502079),('AU',3231502080,3231502591),('US',3231502592,3231502847),('PT',3231502848,3231503103),('US',3231503104,3231503615),('IT',3231503616,3231503871),('US',3231503872,3231504383),('GB',3231504640,3231504895),('US',3231504896,3231505407),('JP',3231505408,3231505663),('US',3231505664,3231506687),('NZ',3231506688,3231506943),('US',3231506944,3231507199),('BE',3231507200,3231507455),('US',3231507456,3231508479),('US',3231508992,3231509247),('GB',3231510272,3231510527),('US',3231510528,3231511551),('LU',3231512576,3231512831),('AU',3231512832,3231513087),('US',3231513088,3231513343),('US',3231513600,3231514623),('NO',3231514624,3231515647),('US',3231515648,3231516159),('SE',3231516672,3231519231),('US',3231522560,3231524863),('US',3231531008,3231535103),('US',3231547392,3231547647),('NO',3231547648,3231547903),('US',3231547904,3231549951),('JP',3231549952,3231550207),('DE',3231550208,3231550719),('GB',3231550720,3231550975),('US',3231550976,3231551231),('CA',3231551232,3231551999),('US',3231552000,3231553023),('JP',3231553024,3231553791),('CH',3231553792,3231554047),('DE',3231554048,3231555327),('CA',3231555328,3231556095),('HK',3231556096,3231556351),('US',3231556352,3231556607),('CA',3231556608,3231556863),('AT',3231556864,3231557119),('US',3231557120,3231557887),('GB',3231557888,3231558399),('DE',3231558400,3231558655),('GB',3231558656,3231558911),('CA',3231558912,3231559167),('GB',3231559168,3231559423),('US',3231559424,3231559679),('GB',3231559680,3231559935),('US',3231559936,3231561983),('IT',3231561984,3231562239),('US',3231562240,3231562495),('GB',3231562496,3231562751),('US',3231562752,3231563007),('CH',3231563008,3231563263),('ZA',3231563264,3231563519),('HK',3231563520,3231563775),('US',3231580160,3231649791),('SG',3231649792,3231653887),('US',3231653888,3231655935),('FI',3231663616,3231663871),('CA',3231663872,3231664127),('US',3231664128,3231664383),('GB',3231664384,3231664639),('US',3231664640,3231665407),('IT',3231665408,3231665663),('US',3231665664,3231667199),('ES',3231667200,3231667711),('US',3231667712,3231668735),('BE',3231668736,3231668991),('US',3231669248,3231669503),('CA',3231669760,3231670015),('DE',3231670016,3231670271),('US',3231670272,3231671039),('GB',3231671040,3231672319),('US',3231672320,3231672575),('NL',3231672576,3231672831),('US',3231672832,3231673343),('NO',3231673344,3231673599),('IE',3231673600,3231673855),('US',3231673856,3231674111),('CA',3231674112,3231674367),('US',3231674368,3231675391),('BR',3231675392,3231675903),('IE',3231675904,3231676159),('US',3231676416,3231676671),('FR',3231676672,3231676927),('FI',3231676928,3231677183),('US',3231678464,3231682559),('US',3231711232,3231713023),('CA',3231713024,3231713279),('US',3231713280,3231713791),('IE',3231713792,3231714047),('US',3231714048,3231715071),('SI',3231715072,3231715327),('AU',3231715328,3231715583),('US',3231715584,3231716095),('AU',3231716096,3231716351),('US',3231716352,3231716607),('TR',3231716608,3231716863),('LU',3231716864,3231717119),('NO',3231717120,3231717375),('US',3231717632,3231718143),('IT',3231718144,3231718399),('US',3231718400,3231718655),('PG',3231718656,3231718911),('US',3231718912,3231719679),('ES',3231719680,3231719935),('US',3231720192,3231720703),('IT',3231720704,3231720959),('US',3231720960,3231722751),('BR',3231722752,3231723007),('US',3231723008,3231723519),('US',3231723776,3231724031),('BR',3231724032,3231724287),('US',3231724288,3231727871),('DE',3231727872,3231728127),('AT',3231728384,3231728639),('US',3231728640,3231729407),('AU',3231729408,3231729663),('US',3231729664,3231735551),('CH',3231735552,3231736063),('US',3231736064,3231739135),('GB',3231739136,3231739391),('PL',3231739392,3231739647),('BR',3231739648,3231739903),('US',3231739904,3231742719),('FR',3231742720,3231742975),('US',3231742976,3231743487),('NO',3231743488,3231743743),('US',3231743744,3231743999),('BR',3231744000,3231744255),('US',3231744256,3231747583),('DE',3231747584,3231747839),('GB',3231747840,3231748095),('US',3231748096,3231750143),('NL',3231750144,3231750399),('US',3231750400,3231750911),('AU',3231750912,3231751167),('IT',3231751168,3231751423),('US',3231751424,3231752191),('IT',3231752192,3231752447),('JP',3231752448,3231752703),('US',3231752704,3231753983),('CA',3231753984,3231754239),('US',3231754240,3231754495),('AU',3231754496,3231755263),('HU',3231755264,3231755519),('US',3231755520,3231755775),('PR',3231755776,3231756543),('GB',3231756544,3231757311),('US',3231757312,3231759359),('BR',3231759360,3231759615),('US',3231759616,3231760895),('GB',3231760896,3231761407),('US',3231761408,3231763711),('AU',3231763712,3231763967),('US',3231763968,3231768575),('EU',3231768576,3231768831),('NO',3231768832,3231769087),('NZ',3231769088,3231769343),('US',3231769344,3231769855),('AU',3231769856,3231770111),('US',3231770112,3231770367),('AT',3231770368,3231770879),('RU',3231770880,3231771135),('US',3231771136,3231773951),('PT',3231773952,3231775743),('IL',3231775744,3231775999),('US',3231776000,3231776511),('US',3231776768,3231793151),('BE',3231793152,3231793663),('NZ',3231809536,3231810047),('EU',3231842304,3231846399),('RO',3231846400,3231846655),('EU',3231846656,3231907839),('US',3231907840,3231916031),('FI',3231916032,3231948799),('AT',3231973376,3232038911),('SE',3232038912,3232092671),('GB',3232092672,3232093183),('US',3232093184,3232093439),('GB',3232093440,3232094207),('CH',3232094208,3232094719),('US',3232094720,3232095231),('GB',3232095232,3232096255),('SE',3232096256,3232104447),('DE',3232104448,3232107519),('EU',3232107520,3232108543),('DE',3232108544,3232129023),('EU',3232129024,3232131071),('DE',3232131072,3232133119),('EU',3232133120,3232133631),('DE',3232133632,3232134143),('EU',3232134144,3232137215),('DE',3232137216,3232141311),('EU',3232141312,3232141823),('DE',3232141824,3232156159),('EU',3232156160,3232156671),('DE',3232156672,3232159743),('EU',3232159744,3232160767),('DE',3232160768,3232163839),('EU',3232163840,3232165887),('DE',3232165888,3232169727),('EU',3232169728,3232169983),('IT',3232169984,3232235519),('US',3232301056,3232309247),('SG',3232309248,3232313343),('US',3232317440,3232317951),('US',3232366592,3232381439),('AU',3232381440,3232382207),('US',3232382208,3232399615),('EU',3232432128,3232433663),('US',3232433920,3232436735),('US',3232448512,3232464895),('GB',3232464896,3232497663),('US',3232497664,3232555775),('JP',3232555776,3232560895),('US',3232560896,3232561663),('CA',3232561664,3232561919),('US',3232561920,3232562431),('LU',3232562432,3232562687),('CA',3232562688,3232562943),('GB',3232563200,3232565247),('US',3232565248,3232567295),('NZ',3232567296,3232571391),('US',3232571392,3232579583),('GB',3232595968,3232598015),('US',3232628736,3232645119),('AT',3232645120,3232647167),('JP',3232661504,3232694271),('US',3232694272,3232702463),('FI',3232702464,3232706559),('US',3232706560,3232706815),('US',3232710656,3232718847),('US',3232727040,3232759807),('SE',3232759808,3232825343),('US',3233285120,3233285375),('US',3233480704,3233484799),('ES',3233484800,3233488895),('US',3233488896,3233505279),('US',3233513472,3233548287),('PT',3233548800,3233549055),('BR',3233549056,3233549311),('US',3233549312,3233557247),('NZ',3233557248,3233557503),('EC',3233557504,3233561855),('US',3233561856,3233562367),('GB',3233562368,3233562879),('FR',3233562880,3233563135),('US',3233563136,3233563903),('GB',3233563904,3233564159),('US',3233564160,3233564415),('NZ',3233564416,3233564671),('US',3233564672,3233564927),('JP',3233564928,3233570047),('US',3233570048,3233570559),('GB',3233570816,3233571071),('US',3233571072,3233572095),('AU',3233572096,3233572351),('US',3233572352,3233573119),('NO',3233573120,3233573375),('US',3233573376,3233573631),('AU',3233573632,3233573887),('US',3233573888,3233575679),('AU',3233575680,3233575935),('RU',3233575936,3233576191),('GB',3233576192,3233576447),('US',3233576448,3233577215),('AT',3233577216,3233577471),('GB',3233577472,3233577727),('US',3233577984,3233578239),('GB',3233578240,3233578495),('US',3233578496,3233578751),('IE',3233578752,3233579007),('AU',3233579008,3233579263),('GB',3233579264,3233579519),('US',3233579520,3233580031),('GB',3233580032,3233580287),('US',3233580288,3233581055),('DE',3233581056,3233581311),('US',3233581312,3233583359),('GB',3233583360,3233583615),('US',3233583616,3233584895),('AU',3233584896,3233585151),('US',3233585152,3233586431),('GB',3233586432,3233586943),('US',3233586944,3233588223),('GA',3233588224,3233589247),('CA',3233589248,3233589759),('CN',3233589760,3233590015),('TW',3233590016,3233590271),('TH',3233590272,3233590527),('PR',3233590528,3233590783),('PH',3233590784,3233591039),('ID',3233591040,3233591295),('US',3233591296,3233593599),('NZ',3233593600,3233593855),('AU',3233593856,3233594111),('RU',3233594112,3233594367),('US',3233594368,3233594623),('RU',3233594624,3233594879),('US',3233594880,3233595903),('EC',3233595904,3233596927),('US',3233596928,3233605887),('PL',3233605888,3233607167),('US',3233607168,3233607935),('NZ',3233607936,3233608191),('HU',3233608192,3233609727),('BE',3233609728,3233609983),('US',3233609984,3233610495),('US',3233610752,3233611775),('GB',3233612032,3233612287),('US',3233612544,3233613823),('GB',3233613824,3233614847),('US',3233615104,3233615359),('DE',3233615360,3233615615),('US',3233615616,3233617151),('CA',3233617408,3233617663),('GB',3233617664,3233617919),('JP',3233617920,3233618175),('US',3233619456,3233620479),('NZ',3233620480,3233620735),('US',3233620736,3233620991),('GB',3233622272,3233622527),('US',3233622528,3233624831),('AT',3233624832,3233625087),('GB',3233625088,3233625343),('US',3233625344,3233625599),('AU',3233625600,3233625855),('GB',3233625856,3233626111),('US',3233626112,3233628671),('FR',3233628672,3233628927),('CA',3233628928,3233629439),('GB',3233629440,3233629695),('IL',3233629696,3233629951),('US',3233629952,3233630463),('NL',3233630464,3233630719),('US',3233630720,3233630975),('ZA',3233630976,3233631231),('DE',3233631232,3233631487),('US',3233631488,3233631743),('US',3233632000,3233635839),('AU',3233635840,3233636095),('US',3233636096,3233642239),('GB',3233642240,3233642495),('US',3233642496,3233646591),('AU',3233646592,3233646847),('US',3233646848,3233647359),('GA',3233647360,3233647871),('US',3233647872,3233649663),('AU',3233649664,3233649919),('US',3233649920,3233650431),('DE',3233650432,3233650687),('IT',3233651200,3233651455),('US',3233651456,3233651967),('GB',3233651968,3233652223),('US',3233652224,3233652479),('AU',3233652480,3233652735),('GB',3233652736,3233652991),('US',3233652992,3233654271),('GB',3233654272,3233655551),('US',3233655552,3233662975),('GB',3233663488,3233663999),('US',3233664000,3233665023),('AU',3233665024,3233666047),('US',3233666048,3233668863),('PH',3233668864,3233669119),('US',3233669120,3233670399),('AU',3233670400,3233671679),('US',3233671680,3233675263),('US',3233675520,3233676031),('DE',3233676032,3233676287),('US',3233676288,3233684991),('BR',3233684992,3233685503),('US',3233685504,3233688063),('GB',3233688576,3233688831),('US',3233688832,3233692159),('NO',3233692160,3233692671),('US',3233692672,3233692927),('AU',3233692928,3233693183),('US',3233693184,3233693695),('GB',3233693696,3233693951),('US',3233693952,3233694207),('AU',3233694208,3233694463),('GB',3233694464,3233694719),('US',3233694720,3233694975),('FR',3233694976,3233695231),('US',3233695232,3233696511),('CA',3233696512,3233696767),('US',3233696768,3233697791),('NO',3233701632,3233701887),('US',3233701888,3233704959),('NZ',3233704960,3233705215),('US',3233705216,3233710335),('FR',3233710336,3233711359),('US',3233711360,3233721599),('HU',3233721600,3233721855),('PT',3233721856,3233722111),('US',3233722112,3233723391),('AU',3233723392,3233723903),('GB',3233723904,3233724415),('US',3233724416,3233725439),('NO',3233725952,3233726975),('US',3233726976,3233728767),('GB',3233728768,3233729279),('US',3233729280,3233729535),('SG',3233729536,3233730047),('AU',3233730560,3233732607),('US',3233732608,3233733631),('US',3233734656,3233736959),('FR',3233736960,3233737983),('US',3233737984,3233738751),('GB',3233738752,3233739007),('US',3233739008,3233739263),('FR',3233739264,3233739519),('US',3233739520,3233740543),('GB',3233740544,3233741311),('US',3233741312,3233743359),('CA',3233743360,3233743615),('US',3233743616,3233744383),('PR',3233744384,3233744639),('US',3233744640,3233745663),('CA',3233745664,3233745919),('US',3233745920,3233746943),('PR',3233746944,3233747199),('US',3233747200,3233748735),('PR',3233748736,3233748991),('US',3233748992,3233749503),('CA',3233749504,3233750015),('US',3233750016,3233752831),('PR',3233752832,3233753087),('US',3233753088,3233763071),('CA',3233763072,3233763327),('US',3233763328,3233765887),('CA',3233765888,3233766143),('US',3233766144,3233768447),('CA',3233768448,3233768703),('PR',3233768704,3233768959),('US',3233768960,3233778175),('CA',3233778176,3233778431),('US',3233778432,3233779455),('CA',3233779456,3233779711),('US',3233779712,3233781503),('PR',3233781504,3233781759),('US',3233781760,3233783807),('PR',3233783808,3233784063),('CA',3233784064,3233784319),('US',3233784320,3233786111),('PR',3233786112,3233786367),('US',3233786368,3233790207),('PR',3233790208,3233790463),('CA',3233790464,3233790719),('PR',3233790720,3233790975),('CA',3233790976,3233791231),('PR',3233791232,3233791487),('US',3233791488,3233793023),('PR',3233793024,3233793279),('US',3233793280,3233794047),('CA',3233794048,3233794303),('US',3233794304,3233798399),('CA',3233798400,3233798655),('US',3233798656,3233800447),('CA',3233800448,3233800703),('US',3233800704,3233800959),('CA',3233800960,3233801215),('US',3233801216,3233801983),('CA',3233801984,3233802239),('US',3233802240,3233802495),('CA',3233802496,3233802751),('US',3233802752,3233803007),('CA',3233803008,3233803263),('US',3233803264,3233803519),('CA',3233803520,3233803775),('US',3233803776,3233808383),('TW',3233808384,3233873919),('US',3233873920,3233939455),('FI',3233939456,3233980671),('GB',3233980672,3233980927),('FI',3233980928,3233991167),('DE',3233991168,3233991423),('FI',3233991424,3234004991),('GB',3234005248,3234005503),('AU',3234005504,3234005759),('US',3234006528,3234007039),('RU',3234007040,3234007295),('US',3234007296,3234007551),('AU',3234007552,3234007807),('US',3234007808,3234008063),('NZ',3234008064,3234008831),('US',3234008832,3234013183),('US',3234013440,3234013695),('AU',3234013696,3234013951),('US',3234013952,3234014207),('US',3234014464,3234014975),('KR',3234014976,3234015487),('US',3234015488,3234015743),('IE',3234015744,3234015999),('GB',3234016000,3234016255),('AU',3234016256,3234019327),('MX',3234019328,3234019839),('US',3234019840,3234023423),('PL',3234023424,3234023679),('US',3234023680,3234024703),('US',3234025472,3234030079),('DE',3234030080,3234030335),('US',3234030336,3234031103),('AU',3234031104,3234031359),('US',3234031360,3234031871),('GB',3234031872,3234032127),('PL',3234032128,3234032383),('US',3234032384,3234032895),('IT',3234033152,3234033407),('US',3234033408,3234033663),('AU',3234033664,3234033919),('US',3234033920,3234034687),('GB',3234034688,3234035455),('US',3234035456,3234039295),('SE',3234039296,3234043135),('US',3234043136,3234043903),('AU',3234043904,3234044159),('US',3234044160,3234048511),('AU',3234048512,3234048767),('US',3234048768,3234051839),('NL',3234051840,3234052095),('DE',3234052096,3234052351),('US',3234052352,3234052607),('NZ',3234052608,3234052863),('US',3234052864,3234054911),('PT',3234054912,3234055167),('US',3234055168,3234055423),('AU',3234055424,3234055679),('US',3234055680,3234061055),('NZ',3234061056,3234061311),('US',3234061312,3234064639),('AU',3234064640,3234064895),('US',3234064896,3234065407),('GB',3234065408,3234065663),('BR',3234065664,3234065919),('US',3234065920,3234070527),('FR',3234070528,3234136063),('CA',3234136064,3234163455),('US',3234163456,3234163967),('CA',3234163968,3234172927),('US',3234172928,3234173951),('CA',3234173952,3234175999),('US',3234176000,3234177279),('CA',3234177280,3234187007),('US',3234187008,3234187519),('CA',3234187520,3234190591),('A1',3234190592,3234190719),('CA',3234190720,3234192383),('US',3234192384,3234193663),('CA',3234193664,3234201599),('US',3234202624,3234203647),('BR',3234203648,3234205695),('US',3234205696,3234222079),('US',3234234368,3234250751),('US',3234267136,3234271231),('PT',3234271232,3234275327),('AU',3234275328,3234279423),('US',3234283520,3234316287),('US',3234332672,3234349055),('NZ',3234349056,3234353151),('US',3234365440,3234367487),('US',3234398208,3234400679),('NA',3234400680,3234400687),('US',3234400688,3234538751),('AU',3234539008,3234539519),('US',3234539520,3234544639),('AU',3234544640,3234544703),('US',3234544704,3234549759),('RU',3234549760,3234550015),('NZ',3234550016,3234553855),('US',3234553856,3234554367),('NZ',3234554624,3234554879),('US',3234555904,3234556415),('CA',3234556416,3234556927),('FI',3234556928,3234557439),('US',3234557440,3234564607),('KR',3234564608,3234566911),('US',3234566912,3234568703),('NZ',3234568704,3234568959),('US',3234568960,3234569215),('AU',3234569216,3234569727),('CL',3234569728,3234569983),('US',3234569984,3234574335),('AU',3234574336,3234574591),('MX',3234574592,3234574847),('US',3234574848,3234576127),('HK',3234576128,3234576895),('US',3234576896,3234578687),('AU',3234578688,3234578943),('US',3234578944,3234579711),('CA',3234579712,3234579967),('US',3234579968,3234581247),('CA',3234581248,3234581503),('US',3234581504,3234582527),('NZ',3234582528,3234583039),('US',3234583040,3234583807),('AU',3234583808,3234584063),('US',3234584064,3234584575),('NZ',3234584576,3234584831),('US',3234584832,3234585343),('US',3234585600,3234587391),('SA',3234587392,3234587647),('US',3234587648,3234588671),('MO',3234588672,3234588927),('US',3234588928,3234589439),('AU',3234589440,3234589695),('US',3234589696,3234592511),('TH',3234592512,3234592767),('US',3234592768,3234725887),('CA',3234726144,3234726399),('US',3234726400,3234726911),('US',3234727936,3234733055),('CA',3234733056,3234733311),('US',3234733312,3234744319),('US',3234744832,3234745599),('GB',3234745600,3234746879),('US',3234746880,3234747903),('IL',3234747904,3234748159),('US',3234748160,3234749439),('CA',3234749440,3234750463),('US',3234750464,3234751999),('HK',3234752000,3234752255),('US',3234752256,3234753535),('AU',3234753536,3234753791),('US',3234753792,3234754047),('US',3234754560,3234755839),('AU',3234755840,3234756095),('US',3234756096,3234762751),('CA',3234762752,3234764799),('NZ',3234764800,3234766335),('US',3234766336,3234772223),('CA',3234772224,3234772479),('US',3234772480,3234772735),('US',3234772992,3234781439),('CA',3234781440,3234781951),('US',3234781952,3234782719),('IL',3234782720,3234783999),('US',3234784000,3234794495),('US',3234794752,3234795007),('GB',3234795008,3234795263),('US',3234795264,3234799359),('NL',3234799360,3234799615),('US',3234799616,3234799871),('AU',3234799872,3234800127),('AU',3234800640,3234800895),('US',3234800896,3234801663),('EC',3234801664,3234802431),('US',3234802432,3234803711),('PR',3234803712,3234803967),('US',3234804224,3234807807),('TH',3234807808,3234808063),('EC',3234808064,3234809087),('US',3234809088,3234810879),('CA',3234810880,3234811135),('US',3234811136,3234814719),('HK',3234814720,3234814975),('US',3234814976,3234815999),('AU',3234816000,3234816767),('US',3234816768,3234820351),('AU',3234820352,3234820607),('US',3234820608,3234821887),('AU',3234821888,3234822655),('US',3234822656,3234826751),('CA',3234826752,3234827007),('US',3234827008,3234827519),('GB',3234827520,3234827775),('LU',3234827776,3234828031),('NZ',3234828032,3234828287),('US',3234828288,3234828799),('CL',3234828800,3234829055),('US',3234829056,3234830079),('AU',3234830080,3234832127),('US',3234832128,3234832639),('AU',3234832640,3234832895),('US',3234832896,3234833663),('AU',3234833664,3234833919),('US',3234833920,3234838271),('GT',3234838272,3234838527),('US',3234838528,3234839295),('AU',3234839296,3234839551),('US',3234839552,3234841087),('BR',3234841088,3234841599),('PT',3234841600,3234841855),('AU',3234841856,3234842367),('US',3234842368,3234842623),('BR',3234842624,3234844415),('US',3234844416,3234853375),('TH',3234853376,3234853631),('US',3234853632,3234853887),('EC',3234853888,3234854143),('US',3234854144,3234854911),('AU',3234854912,3234855167),('US',3234855168,3234855935),('US',3234856192,3234856447),('TH',3234856448,3234856703),('CA',3234856960,3234861055),('US',3234861056,3234897919),('US',3234922496,3234988031),('CA',3234988032,3234992127),('US',3234996224,3235000319),('CA',3235004416,3235020799),('US',3235053568,3235086335),('US',3235119104,3235184639),('CA',3235184640,3235184895),('US',3235184896,3235389439),('VE',3235389440,3235389951),('US',3235389952,3235417215),('BR',3235417216,3235417223),('US',3235417224,3235512319),('JP',3235512320,3235577855),('CA',3235577856,3235643391),('US',3235643392,3235774463),('CA',3235774464,3235778559),('US',3235778560,3235807231),('US',3235840000,3235856383),('BR',3235856384,3235872767),('US',3235872768,3235906303),('CA',3235906304,3235906559),('US',3235906560,3235908863),('CA',3235908864,3235909119),('US',3235909120,3235912447),('CA',3235912448,3235912703),('US',3235912704,3235914495),('CA',3235914496,3235914751),('US',3235914752,3235916543),('VI',3235916544,3235916799),('US',3235916800,3235917567),('CA',3235917568,3235917823),('US',3235917824,3235919359),('CA',3235919360,3235919615),('US',3235919616,3235921151),('PR',3235921152,3235921407),('US',3235921408,3235925503),('CA',3235925504,3235925759),('US',3235925760,3235926271),('CA',3235926272,3235926527),('US',3235926528,3235927295),('CA',3235927296,3235927807),('US',3235927808,3235928319),('CA',3235928320,3235929343),('US',3235929344,3235929599),('CA',3235929600,3235929855),('US',3235929856,3235932159),('CA',3235932160,3235932927),('US',3235932928,3235936511),('CA',3235936512,3235936767),('US',3235936768,3235937023),('CA',3235937024,3235937535),('US',3235937536,3235937791),('CA',3235937792,3235938047),('US',3235938048,3235941631),('CA',3235941632,3235941887),('US',3235941888,3235945983),('CA',3235945984,3235946239),('US',3235946240,3235946751),('CA',3235946752,3235947263),('US',3235947264,3235949311),('CA',3235949312,3235950335),('US',3235950336,3235950591),('CA',3235950592,3235950847),('US',3235950848,3235951871),('CA',3235951872,3235952127),('US',3235952128,3235957247),('PR',3235957248,3235957503),('US',3235957504,3235957759),('DE',3235957760,3235958015),('US',3235958016,3235959551),('CA',3235959552,3235959807),('US',3235959808,3235960319),('CA',3235960320,3235960575),('US',3235960576,3235961599),('CA',3235961600,3235961855),('US',3235961856,3235962111),('CA',3235962112,3235962367),('US',3235962368,3235963647),('CA',3235963648,3235963903),('US',3235963904,3235966975),('PR',3235966976,3235967231),('US',3235967232,3235967743),('CA',3235967744,3235967999),('US',3235968000,3235968511),('CA',3235968512,3235968767),('US',3235968768,3235970559),('CA',3235970560,3235970815),('US',3235970816,3236044799),('CA',3236044800,3236052991),('US',3236052992,3236069375),('PH',3236102144,3236106239),('US',3236106240,3236134911),('CA',3236167680,3236175871),('US',3236175872,3236192255),('MY',3236200448,3236233215),('US',3236233216,3236249599),('US',3236298752,3236302847),('NZ',3236302848,3236306943),('US',3236364288,3236368127),('NZ',3236368128,3236368383),('US',3236368384,3236372991),('AU',3236372992,3236373247),('US',3236373504,3236379391),('AU',3236379392,3236379647),('US',3236379648,3236380927),('CA',3236381184,3236381439),('AT',3236381440,3236381695),('US',3236381696,3236383999),('AU',3236384000,3236384255),('US',3236384256,3236385279),('DE',3236385280,3236385535),('US',3236385536,3236385791),('US',3236386304,3236387071),('CA',3236387072,3236387327),('US',3236387328,3236387839),('PR',3236387840,3236389375),('US',3236389376,3236392447),('CL',3236392448,3236392703),('US',3236392704,3236393471),('BR',3236393472,3236395519),('US',3236395520,3236396799),('AU',3236396800,3236397055),('US',3236397056,3236398591),('AU',3236398848,3236399615),('US',3236399616,3236400127),('CL',3236400128,3236400383),('US',3236400384,3236401151),('AU',3236401152,3236401407),('US',3236401408,3236406783),('AU',3236406784,3236407551),('SG',3236407552,3236408063),('US',3236408064,3236408319),('CA',3236408320,3236409087),('BR',3236409088,3236409599),('US',3236409600,3236411135),('NZ',3236411136,3236411391),('US',3236411392,3236413695),('AU',3236413696,3236413951),('US',3236413952,3236416255),('AU',3236416256,3236416511),('US',3236416512,3236418303),('AU',3236418304,3236418815),('US',3236418816,3236419583),('AU',3236419584,3236419839),('US',3236419840,3236420095),('AU',3236420096,3236420351),('US',3236420352,3236424959),('MZ',3236424960,3236425215),('US',3236425216,3236427519),('CA',3236427520,3236427775),('NZ',3236427776,3236428031),('US',3236428800,3236429311),('ZA',3236429312,3236429567),('US',3236429824,3236438015),('AU',3236438016,3236446207),('US',3236446208,3236462591),('AU',3236462592,3236470783),('US',3236495360,3236566783),('CA',3236566784,3236567039),('US',3236567040,3236575743),('JP',3236575744,3236575999),('US',3236576000,3236585983),('CA',3236585984,3236586239),('US',3236586240,3236604671),('CA',3236604672,3236604927),('US',3236604928,3236617471),('US',3236617728,3236617983),('CA',3236617984,3236619775),('US',3236619776,3236620031),('AU',3236620032,3236620287),('US',3236620288,3236623615),('AU',3236623616,3236623871),('US',3236623872,3236625919),('CA',3236625920,3236626175),('US',3236626432,3236642815),('US',3236691968,3236708351),('CA',3236757504,3236765695),('US',3236765696,3236774911),('HK',3236774912,3236775423),('NL',3236775424,3236775679),('CA',3236775680,3236776191),('DE',3236776192,3236776447),('US',3236776448,3236776959),('CA',3236776960,3236777215),('US',3236777216,3236777983),('DE',3236777984,3236778239),('GB',3236778240,3236778751),('US',3236778752,3236780287),('FR',3236780288,3236780543),('CH',3236780544,3236780799),('US',3236780800,3236781599),('NL',3236781600,3236781615),('US',3236781616,3236781727),('NL',3236781728,3236781759),('US',3236781760,3236781823),('ES',3236781824,3236782335),('US',3236782336,3236782719),('BE',3236782720,3236782751),('US',3236782752,3236782847),('LU',3236782848,3236782911),('US',3236782912,3236784383),('IT',3236784384,3236784895),('US',3236784896,3236785663),('DE',3236785664,3236785919),('ZA',3236785920,3236786175),('US',3236786176,3236786431),('FR',3236786432,3236786687),('CA',3236786688,3236787199),('US',3236787200,3236787967),('JP',3236787968,3236788223),('US',3236788224,3236788479),('GB',3236788480,3236789503),('US',3236789504,3236790271),('CH',3236823040,3236827135),('US',3236827136,3236829183),('US',3236831232,3236855807),('US',3236888576,3236958207),('AU',3236958208,3236962303),('US',3236962304,3236966399),('US',3236970496,3236978687),('US',3236986880,3236995071),('US',3237019648,3237036031),('US',3237085184,3237154815),('ES',3237154816,3237155839),('AU',3237155840,3237156863),('US',3237158912,3237160959),('US',3237183488,3237216255),('JP',3237216256,3237281791),('US',3237281792,3237284607),('AU',3237284608,3237284863),('US',3237284864,3237285119),('AU',3237285120,3237285631),('US',3237285632,3237287935),('CA',3237287936,3237288191),('US',3237288192,3237290495),('AU',3237290496,3237291007),('NZ',3237291008,3237291263),('US',3237291264,3237294847),('CA',3237294848,3237295103),('US',3237295104,3237296639),('SG',3237296640,3237297151),('CL',3237297152,3237297407),('US',3237297408,3237300479),('NZ',3237300480,3237302527),('US',3237302528,3237305087),('CA',3237305088,3237305343),('US',3237305344,3237305855),('NZ',3237305856,3237306111),('US',3237306112,3237308671),('AU',3237308672,3237310719),('US',3237310720,3237312767),('BO',3237312768,3237313023),('US',3237313024,3237319679),('DZ',3237319680,3237319935),('US',3237319936,3237320703),('UA',3237320704,3237320959),('US',3237320960,3237321471),('HK',3237321472,3237321727),('US',3237321728,3237321983),('US',3237322752,3237325055),('PL',3237325056,3237325311),('US',3237325312,3237325823),('CA',3237325824,3237326079),('US',3237326080,3237328127),('US',3237328384,3237328639),('CA',3237328640,3237328895),('US',3237328896,3237329151),('NZ',3237329152,3237329407),('US',3237329408,3237330943),('AU',3237330944,3237331199),('US',3237331456,3237331967),('HK',3237331968,3237332223),('US',3237332224,3237335039),('HK',3237335040,3237335295),('US',3237335296,3237335551),('AU',3237335552,3237337599),('US',3237337600,3237337855),('AU',3237337856,3237338111),('NZ',3237338112,3237338367),('US',3237338368,3237339391),('GB',3237339392,3237339647),('US',3237339648,3237340159),('CA',3237340160,3237340415),('US',3237340416,3237345535),('KR',3237345536,3237346303),('US',3237346304,3237349119),('AU',3237349120,3237349375),('US',3237349376,3237366015),('AU',3237366016,3237366271),('US',3237366272,3237412863),('GB',3237412864,3237416959),('US',3237416960,3237437439),('US',3237445632,3237478399),('LK',3237478400,3237511167),('US',3237511168,3237548031),('KR',3237548032,3237552127),('US',3237552128,3237560319),('US',3237609472,3237613567),('US',3237615104,3237615615),('CA',3237615616,3237616895),('US',3237617152,3237658623),('US',3237675008,3237681663),('CA',3237681664,3237682943),('US',3237682944,3237684991),('CL',3237684992,3237685247),('US',3237685248,3237688319),('CA',3237688320,3237689343),('US',3237689344,3237690623),('SA',3237690624,3237691903),('US',3237691904,3237698303),('CA',3237698304,3237698559),('US',3237698560,3237712895),('AU',3237712896,3237713151),('US',3237713152,3237716991),('CA',3237716992,3237717247),('US',3237717248,3237717503),('CA',3237717504,3237717759),('US',3237717760,3237724927),('AU',3237724928,3237725183),('CA',3237725184,3237725439),('US',3237725440,3237725695),('AU',3237726464,3237726719),('GH',3237726720,3237726975),('US',3237726976,3237727231),('AU',3237727232,3237728255),('US',3237728256,3237732863),('DE',3237732864,3237733119),('TH',3237733120,3237733631),('AU',3237733632,3237733887),('NZ',3237733888,3237734143),('CA',3237734144,3237734399),('US',3237734400,3237736447),('US',3237740544,3238002687),('NL',3238002688,3238006783),('GB',3238006784,3238007039),('NL',3238007040,3238010879),('CH',3238010880,3238017023),('DK',3238017024,3238018303),('TR',3238018304,3238018559),('CH',3238018560,3238019071),('PL',3238019072,3238035455),('FR',3238035456,3238060031),('CH',3238060032,3238060287),('RO',3238060288,3238060543),('HU',3238060544,3238060799),('UA',3238060800,3238061311),('GB',3238061312,3238061567),('AT',3238061568,3238061823),('CZ',3238061824,3238062079),('CH',3238062080,3238062591),('GB',3238062592,3238062847),('SE',3238062848,3238063103),('PL',3238063104,3238063359),('CH',3238063360,3238063615),('IT',3238063616,3238063871),('GB',3238063872,3238064127),('UA',3238064128,3238064383),('ES',3238064384,3238064639),('PL',3238064640,3238064895),('DK',3238064896,3238065151),('SI',3238065152,3238065407),('FR',3238065408,3238065663),('DE',3238065664,3238065919),('UA',3238065920,3238066175),('DE',3238066176,3238066431),('GB',3238066432,3238066687),('DE',3238066688,3238066943),('LT',3238066944,3238067199),('NO',3238067200,3238067455),('SE',3238067456,3238067711),('AT',3238067712,3238067967),('GB',3238067968,3238068223),('IE',3238068224,3238133759),('SI',3238133760,3238199295),('DK',3238199296,3238201599),('US',3238201600,3238202367),('DK',3238202368,3238239647),('US',3238239648,3238239679),('NL',3238239680,3238239711),('AR',3238239712,3238239743),('DK',3238239744,3238264831),('IS',3238264832,3238330367),('CH',3238330368,3238337023),('LI',3238337024,3238337535),('CH',3238337536,3238395903),('HU',3238395904,3238461439),('DE',3238461440,3238502399),('RU',3238502400,3238504447),('DE',3238504448,3238526975),('CH',3238526976,3238592511),('GB',3238592512,3238592767),('EU',3238592768,3238594559),('BE',3238594560,3238595583),('SI',3238595584,3238595839),('GB',3238595840,3238596607),('DK',3238596608,3238598655),('RO',3238598656,3238598911),('DK',3238598912,3238599167),('HU',3238599168,3238600703),('DE',3238600704,3238604799),('NL',3238604800,3238606335),('SE',3238606336,3238606591),('NL',3238606592,3238607359),('SE',3238607360,3238607871),('NL',3238607872,3238608895),('EU',3238608896,3238621183),('FI',3238621184,3238621439),('FR',3238621440,3238621695),('IT',3238621696,3238621951),('NL',3238621952,3238622207),('NO',3238622208,3238622463),('SE',3238622464,3238622719),('DK',3238622720,3238622975),('GB',3238622976,3238623487),('PL',3238623488,3238623743),('CH',3238623744,3238623999),('PL',3238624000,3238624255),('HU',3238624256,3238625279),('EU',3238625280,3238630399),('GR',3238630400,3238630655),('GB',3238630656,3238632959),('UA',3238632960,3238633215),('DK',3238633216,3238657791),('AT',3238657792,3238658047),('SE',3238658048,3238795263),('IT',3238795264,3238795775),('SE',3238795776,3238801279),('GB',3238801280,3238801343),('SE',3238801344,3239051263),('CH',3239051264,3239051519),('DE',3239051520,3239062271),('ES',3239062272,3239062527),('CH',3239062528,3239062783),('UA',3239062784,3239063551),('DE',3239063552,3239075839),('MT',3239075840,3239076095),('SE',3239076096,3239076351),('DE',3239076352,3239076607),('PL',3239076608,3239076863),('NL',3239076864,3239077119),('UA',3239077120,3239077375),('BG',3239077376,3239077631),('PT',3239077632,3239077887),('CZ',3239077888,3239078143),('UA',3239078144,3239078399),('RU',3239078400,3239078655),('PL',3239078656,3239078911),('GB',3239078912,3239079167),('SI',3239079168,3239079423),('FR',3239079424,3239079679),('MD',3239079680,3239079935),('DE',3239079936,3239088127),('GB',3239088128,3239088639),('DK',3239088640,3239088895),('IL',3239088896,3239089151),('RO',3239089152,3239089407),('GB',3239089408,3239089919),('DE',3239089920,3239090175),('SI',3239090176,3239090431),('ES',3239090432,3239090687),('NL',3239090688,3239090943),('AT',3239090944,3239091199),('FR',3239091200,3239091455),('BG',3239091456,3239091711),('UA',3239091712,3239091967),('FR',3239091968,3239092223),('DE',3239092224,3239104511),('RU',3239104512,3239105279),('CH',3239105280,3239105535),('DE',3239105536,3239105791),('RO',3239105792,3239106047),('AT',3239106048,3239106559),('ES',3239106560,3239106815),('CH',3239106816,3239107071),('RO',3239107072,3239107327),('GR',3239107328,3239107583),('CH',3239107584,3239107839),('RO',3239107840,3239108095),('DE',3239108096,3239109887),('PL',3239109888,3239110143),('DE',3239110144,3239110655),('PL',3239110656,3239110911),('UA',3239110912,3239111167),('NL',3239111168,3239111423),('DE',3239111424,3239111935),('AT',3239111936,3239112191),('UA',3239112192,3239112447),('PL',3239112448,3239112959),('CH',3239112960,3239113215),('DE',3239113216,3239113471),('ES',3239113472,3239113727),('AT',3239113728,3239113983),('DE',3239113984,3239114239),('BG',3239114240,3239114495),('UA',3239114496,3239114751),('DE',3239114752,3239116543),('PL',3239116544,3239116799),('PT',3239116800,3239117055),('DE',3239117312,3239119871),('GB',3239119872,3239120127),('CZ',3239120128,3239120383),('PL',3239120384,3239120639),('FR',3239120640,3239120895),('DE',3239120896,3239121663),('FR',3239121664,3239121919),('DE',3239121920,3239127039),('PT',3239127040,3239127295),('PL',3239127296,3239127551),('IL',3239127552,3239127807),('RU',3239127808,3239128063),('AT',3239128064,3239128319),('IT',3239128320,3239128575),('UA',3239128576,3239128831),('CZ',3239128832,3239129087),('DE',3239129088,3239130111),('RU',3239130112,3239130367),('JO',3239130368,3239130623),('PL',3239130624,3239131135),('DE',3239131136,3239133183),('CH',3239133184,3239133439),('GB',3239133440,3239133695),('ES',3239133696,3239133951),('SE',3239133952,3239134207),('IL',3239134208,3239134463),('UA',3239134464,3239134719),('RO',3239134720,3239134975),('PL',3239134976,3239135231),('SE',3239135232,3239135487),('FR',3239135488,3239135743),('IL',3239135744,3239135999),('UA',3239136000,3239136255),('CH',3239136256,3239136511),('DE',3239136512,3239136767),('MD',3239136768,3239137023),('LI',3239137024,3239137279),('DE',3239137280,3239138303),('PL',3239138304,3239138559),('CH',3239138560,3239138815),('DE',3239138816,3239149567),('GB',3239149568,3239160319),('RU',3239160320,3239160575),('DE',3239160576,3239160831),('PL',3239160832,3239161087),('BY',3239161088,3239161343),('UA',3239161344,3239161599),('HU',3239161600,3239161855),('DE',3239161856,3239162623),('BE',3239162624,3239162879),('DE',3239162880,3239163903),('DE',3239164160,3239164671),('GB',3239164672,3239164927),('DK',3239164928,3239165183),('DE',3239165184,3239165951),('FR',3239165952,3239166207),('DE',3239166208,3239166463),('CH',3239166464,3239166719),('RO',3239166720,3239166975),('FR',3239166976,3239167231),('DE',3239167232,3239167487),('FR',3239167488,3239167743),('CH',3239167744,3239168511),('SE',3239168512,3239168767),('PL',3239168768,3239169023),('DE',3239169024,3239169535),('DK',3239169536,3239169791),('SE',3239169792,3239170047),('UA',3239170048,3239170303),('FR',3239170304,3239170559),('GB',3239170560,3239170815),('SE',3239170816,3239171071),('PL',3239171072,3239171327),('UA',3239171328,3239171583),('PL',3239171584,3239171839),('CM',3239171840,3239172095),('UA',3239172096,3239172607),('SE',3239172608,3239172863),('DE',3239172864,3239173119),('RO',3239173120,3239173375),('DE',3239173376,3239173631),('AT',3239173632,3239173887),('PL',3239173888,3239174143),('DE',3239174144,3239174399),('FR',3239174400,3239174655),('UA',3239174656,3239174911),('SI',3239174912,3239175167),('UA',3239175168,3239175423),('BG',3239175424,3239175679),('DE',3239175680,3239175935),('FI',3239175936,3239176191),('DE',3239176192,3239180287),('AT',3239181312,3239181567),('UA',3239181568,3239181823),('DE',3239181824,3239264255),('NO',3239264256,3239264767),('RU',3239264768,3239266303),('PL',3239266304,3239266815),('UA',3239266816,3239267327),('FR',3239267328,3239267839),('DE',3239267840,3239268351),('SE',3239268352,3239268863),('RU',3239268864,3239269375),('UA',3239269376,3239270399),('GB',3239270400,3239270911),('SA',3239270912,3239271423),('AT',3239271424,3239271935),('CH',3239271936,3239272447),('UA',3239272448,3239272959),('GB',3239272960,3239273471),('UA',3239273472,3239273983),('RU',3239273984,3239274495),('PL',3239274496,3239275007),('ES',3239275008,3239275519),('UA',3239275520,3239276543),('LU',3239276544,3239277055),('DE',3239277056,3239277567),('RU',3239277568,3239278079),('UA',3239278080,3239278591),('AT',3239278592,3239279103),('PL',3239279104,3239280127),('RU',3239280128,3239280639),('IR',3239280640,3239281663),('UA',3239281664,3239282687),('DE',3239282688,3239283711),('PL',3239283712,3239284735),('UA',3239284736,3239285759),('KW',3239285760,3239286783),('UA',3239286784,3239287807),('GB',3239287808,3239288831),('DE',3239288832,3239289855),('PL',3239289856,3239290879),('GB',3239290880,3239291903),('BG',3239291904,3239292927),('CZ',3239292928,3239293951),('DE',3239293952,3239294975),('UA',3239294976,3239295999),('SA',3239296000,3239297023),('RO',3239297024,3239298047),('GB',3239298048,3239299071),('UA',3239299072,3239301119),('FR',3239301120,3239302143),('PL',3239302144,3239303167),('FR',3239303168,3239304191),('SI',3239304192,3239305215),('NL',3239305216,3239306239),('UA',3239306240,3239307263),('EG',3239307264,3239308287),('DE',3239308288,3239309311),('UA',3239309312,3239311359),('FR',3239311360,3239312383),('UA',3239312384,3239313407),('DE',3239313408,3239445759),('PL',3239445760,3239446015),('RU',3239446016,3239446271),('FR',3239446272,3239446527),('DE',3239446528,3239451647),('NO',3239451648,3239451903),('DE',3239451904,3239452159),('CY',3239452160,3239452415),('HR',3239452416,3239452671),('DE',3239452672,3239464959),('IL',3239464960,3239465215),('HR',3239465216,3239465471),('AT',3239465472,3239465727),('PL',3239465728,3239465983),('UA',3239465984,3239466239),('AT',3239466240,3239466495),('FI',3239466496,3239466751),('GB',3239466752,3239467007),('RU',3239467008,3239467263),('GB',3239467264,3239467519),('IT',3239467520,3239467775),('PL',3239467776,3239468031),('FR',3239468032,3239468287),('RO',3239468288,3239468543),('NO',3239468544,3239468799),('RO',3239468800,3239469055),('DE',3239469056,3239470591),('DK',3239470592,3239470847),('BG',3239470848,3239471103),('DE',3239471104,3239471871),('FR',3239471872,3239472127),('DE',3239472128,3239474943),('ES',3239474944,3239475199),('DE',3239475200,3239479295),('DE',3239479552,3239479807),('UA',3239479808,3239480063),('FR',3239480064,3239480319),('UA',3239480320,3239480575),('RO',3239480576,3239480831),('CH',3239480832,3239481087),('FR',3239481088,3239481343),('DE',3239481344,3239486719),('ES',3239486720,3239486975),('DE',3239486976,3239487487),('GB',3239487488,3239487743),('PL',3239487744,3239487999),('AT',3239488000,3239488255),('CH',3239488256,3239488511),('KW',3239488512,3239488767),('RO',3239488768,3239489023),('RU',3239489024,3239489279),('PL',3239489280,3239489535),('DE',3239489536,3239501823),('BE',3239501824,3239505919),('DE',3239505920,3239506431),('RU',3239506432,3239506687),('GB',3239506688,3239507455),('DE',3239507456,3239507967),('BG',3239507968,3239508223),('SA',3239508224,3239508479),('NO',3239508480,3239508735),('DE',3239508736,3239508991),('PL',3239508992,3239509247),('DE',3239509248,3239510015),('UA',3239510016,3239510271),('DE',3239510272,3239522303),('PL',3239522304,3239522559),('SI',3239522560,3239522815),('LT',3239522816,3239523071),('PL',3239523072,3239523327),('BG',3239523328,3239523583),('UA',3239523584,3239523839),('PL',3239523840,3239524095),('SE',3239524096,3239524351),('DE',3239524352,3239524607),('SE',3239524608,3239524863),('UA',3239524864,3239525119),('LT',3239525120,3239525375),('UA',3239525376,3239525631),('PL',3239525632,3239525887),('SI',3239525888,3239526143),('PL',3239526144,3239526399),('DE',3239526400,3239538943),('NL',3239538944,3239539199),('IT',3239539200,3239539455),('BE',3239539456,3239539711),('GB',3239539712,3239539967),('SE',3239539968,3239540223),('GR',3239540224,3239540479),('DE',3239540480,3239540735),('GB',3239540736,3239540991),('FR',3239540992,3239541247),('UA',3239541248,3239541503),('FR',3239541504,3239541759),('GB',3239541760,3239542015),('PL',3239542016,3239542271),('GB',3239542272,3239542527),('FR',3239542528,3239542783),('DE',3239542784,3239544831),('HU',3239544832,3239546879),('DE',3239546880,3239549951),('TR',3239549952,3239550207),('UA',3239550208,3239550463),('FR',3239550464,3239550719),('NO',3239550720,3239550975),('DE',3239550976,3239554047),('SE',3239554048,3239554303),('DK',3239554304,3239554559),('PL',3239554560,3239554815),('UA',3239554816,3239555071),('DE',3239555072,3239556095),('SA',3239556096,3239556351),('UA',3239556352,3239556607),('HR',3239556608,3239556863),('UA',3239556864,3239557119),('DE',3239557120,3239567359),('GB',3239567360,3239567615),('UA',3239567616,3239567871),('DE',3239567872,3239568127),('FR',3239568128,3239568383),('SE',3239568384,3239568639),('NO',3239568640,3239568895),('DE',3239568896,3239575295),('DK',3239575296,3239575551),('RO',3239575552,3239575807),('DE',3239575808,3239578879),('PL',3239579136,3239579391),('DE',3239579392,3239581695),('PL',3239581696,3239581951),('UA',3239581952,3239582207),('GB',3239582208,3239582463),('DE',3239582464,3239582719),('GB',3239582720,3239582975),('IT',3239582976,3239583231),('UA',3239583232,3239583487),('RO',3239583488,3239583743),('DE',3239583744,3239591935),('FI',3239591936,3239593983),('DE',3239593984,3239624703),('CH',3239624704,3239625727),('PL',3239625728,3239628799),('DE',3239628800,3239629823),('FR',3239629824,3239630847),('DE',3239630848,3239631871),('PL',3239631872,3239632895),('DE',3239632896,3239633919),('FR',3239633920,3239634943),('RU',3239634944,3239635967),('DE',3239635968,3239636991),('BG',3239636992,3239638015),('PL',3239638016,3239639039),('SI',3239639040,3239640063),('DE',3239640064,3239641087),('PL',3239641088,3239643135),('RU',3239643136,3239645183),('DE',3239645184,3239665663),('BE',3239665664,3239666175),('AT',3239666176,3239666687),('SE',3239666688,3239667199),('CH',3239667200,3239667711),('RO',3239667712,3239668223),('UA',3239668224,3239668735),('PL',3239668736,3239669247),('RO',3239669248,3239670271),('DE',3239670272,3239670783),('GB',3239670784,3239671295),('DE',3239671296,3239671807),('GB',3239671808,3239672319),('DE',3239672320,3239672831),('TR',3239672832,3239673343),('SE',3239673344,3239673855),('DE',3239673856,3239682047),('PL',3239682048,3239682559),('BG',3239682560,3239683071),('PT',3239683072,3239683583),('PL',3239683584,3239684607),('GB',3239684608,3239685119),('DE',3239685120,3239686143),('UA',3239686144,3239686655),('IT',3239686656,3239687167),('UA',3239687168,3239687679),('DE',3239687680,3239688191),('PL',3239688192,3239688703),('GB',3239688704,3239689727),('RU',3239689728,3239690239),('ES',3239690240,3239690495),('PL',3239690496,3239690751),('FR',3239690752,3239691263),('IT',3239691264,3239691519),('FR',3239691520,3239692031),('AT',3239692032,3239692287),('DE',3239692288,3239697407),('NL',3239697408,3239697663),('RU',3239697664,3239697919),('PL',3239697920,3239698431),('DE',3239698432,3239706367),('UA',3239706368,3239706623),('RU',3239706624,3239706879),('NL',3239706880,3239707135),('RU',3239707136,3239707391),('UA',3239707392,3239707647),('GB',3239707648,3239707903),('DE',3239707904,3239708159),('SE',3239708160,3239708415),('RO',3239708416,3239708671),('AT',3239708672,3239708927),('NL',3239708928,3239709183),('RO',3239709184,3239709439),('FR',3239709440,3239709695),('DE',3239709696,3239709951),('UA',3239709952,3239710207),('BG',3239710208,3239710463),('DE',3239710464,3239710719),('RU',3239710720,3239710975),('SE',3239710976,3239711231),('BY',3239711232,3239711487),('FR',3239711488,3239711743),('UA',3239711744,3239711999),('PL',3239712000,3239712255),('DE',3239712256,3239712511),('GB',3239712512,3239712767),('DK',3239712768,3239713023),('PL',3239713024,3239713279),('SI',3239713280,3239713535),('UA',3239713536,3239713791),('DE',3239713792,3239714047),('FR',3239714048,3239714303),('SE',3239714304,3239714559),('HU',3239714560,3239714815),('DE',3239714816,3239723007),('GB',3239723008,3239731199),('DE',3239731200,3239739391),('IT',3239739392,3239739647),('RO',3239739648,3239739903),('CH',3239739904,3239740159),('PL',3239740160,3239740415),('DK',3239740416,3239740671),('GB',3239740672,3239740927),('UA',3239740928,3239741183),('RU',3239741184,3239741439),('DE',3239741440,3239759871),('RU',3239759872,3239760127),('NL',3239760128,3239760383),('PL',3239760384,3239760895),('RU',3239760896,3239761151),('GB',3239761152,3239761407),('RU',3239761408,3239761663),('PL',3239761664,3239761919),('BG',3239761920,3239762175),('CH',3239762176,3239762431),('DK',3239762432,3239762687),('RO',3239762688,3239762943),('PL',3239762944,3239763199),('SE',3239763200,3239763455),('GB',3239763456,3239763967),('DE',3239763968,3239772159),('UA',3239772160,3239772415),('GB',3239772416,3239772671),('DK',3239772672,3239773183),('FR',3239773184,3239773439),('PL',3239773440,3239773951),('SA',3239773952,3239774207),('PL',3239774208,3239774463),('ES',3239774464,3239774719),('FR',3239774720,3239774975),('PT',3239774976,3239775231),('DE',3239775232,3239782399),('AT',3239782400,3239782655),('RU',3239782656,3239782911),('GB',3239782912,3239783167),('CH',3239783168,3239783423),('DK',3239783424,3239783679),('CH',3239783680,3239783935),('DE',3239783936,3239784191),('UA',3239784192,3239784447),('DE',3239784448,3239788543),('EU',3239788544,3239789055),('RU',3239789056,3239789567),('UA',3239789568,3239790079),('RO',3239790080,3239791103),('DK',3239791104,3239791615),('FR',3239791616,3239792639),('UA',3239792640,3239793151),('PL',3239793152,3239793663),('RO',3239793664,3239794175),('NL',3239794176,3239794687),('GB',3239794688,3239795199),('PL',3239795200,3239795711),('IL',3239795712,3239796223),('NO',3239796224,3239796735),('DE',3239796736,3239821311),('SE',3239821312,3239821823),('FR',3239821824,3239822335),('RU',3239822336,3239822847),('PL',3239822848,3239823359),('SE',3239823360,3239823871),('IT',3239823872,3239824383),('PL',3239824384,3239824895),('UZ',3239824896,3239825407),('UA',3239825408,3239825919),('PL',3239825920,3239826431),('GB',3239826432,3239826943),('RU',3239826944,3239827455),('DK',3239827456,3239827967),('CH',3239827968,3239828479),('DE',3239828480,3239828991),('RU',3239828992,3239830015),('DK',3239830016,3239830527),('SE',3239830528,3239831039),('RU',3239831040,3239832063),('UA',3239832064,3239832575),('RU',3239832576,3239834111),('UA',3239834112,3239834623),('AT',3239834624,3239835135),('RU',3239835136,3239836159),('DK',3239836160,3239836671),('DE',3239836672,3239837183),('SE',3239837184,3239837695),('PL',3239837696,3239837951),('DE',3239837952,3239839743),('SK',3239839744,3239839999),('SA',3239840000,3239840511),('DE',3239840512,3239840767),('AT',3239840768,3239841023),('NL',3239841024,3239841279),('DE',3239841280,3239848447),('DK',3239848448,3239848703),('SE',3239848704,3239848959),('RU',3239848960,3239849215),('GB',3239849216,3239849471),('RU',3239849472,3239849727),('NL',3239849728,3239849983),('DE',3239849984,3239859199),('PL',3239859200,3239859455),('UA',3239859456,3239859711),('HU',3239859712,3239859967),('CA',3239859968,3239860223),('DE',3239860224,3239860479),('GB',3239860480,3239860735),('DE',3239860736,3239861247),('UA',3239861248,3239861503),('PL',3239861504,3239861759),('SA',3239861760,3239862015),('IT',3239862016,3239862271),('DE',3239862272,3239874559),('NL',3239874560,3239874815),('DE',3239874816,3239875071),('SI',3239875072,3239875327),('DK',3239875328,3239875583),('PL',3239875584,3239875839),('DK',3239875840,3239876095),('DE',3239876096,3239876351),('RO',3239876352,3239876607),('NL',3239876608,3239876863),('DE',3239876864,3239877119),('GB',3239877120,3239877375),('IL',3239877376,3239877631),('UA',3239877632,3239877887),('IT',3239877888,3239878143),('PL',3239878144,3239878399),('DE',3239878400,3239882751),('GB',3239882752,3239883007),('UA',3239883008,3239883263),('GB',3239883264,3239883775),('DE',3239883776,3239884031),('CH',3239884032,3239884287),('GB',3239884288,3239884543),('FR',3239884544,3239884799),('UA',3239884800,3239885055),('CH',3239885056,3239885311),('UA',3239885312,3239885567),('PL',3239885568,3239885823),('CH',3239885824,3239886079),('ES',3239886080,3239886335),('RU',3239886336,3239886591),('FR',3239886592,3239886847),('DE',3239886848,3239888895),('UA',3239888896,3239889151),('GB',3239889152,3239889407),('CZ',3239889408,3239889663),('FI',3239889664,3239889919),('AT',3239889920,3239890175),('FR',3239890176,3239890431),('NL',3239890432,3239890687),('DE',3239890688,3239895039),('DK',3239895040,3239895295),('DE',3239895296,3239895551),('PL',3239895552,3239895807),('DK',3239895808,3239896063),('DE',3239896064,3239896575),('PL',3239896576,3239896831),('HU',3239896832,3239897087),('GB',3239897088,3239897343),('FR',3239897344,3239897599),('RU',3239897600,3239897855),('FR',3239897856,3239898111),('NO',3239898112,3239898367),('GB',3239898368,3239898623),('DE',3239898624,3239898879),('PL',3239898880,3239899135),('DE',3239899136,3239901695),('BG',3239901696,3239901951),('DE',3239901952,3239902207),('PL',3239902208,3239902463),('RU',3239902464,3239902719),('EE',3239902720,3239902975),('GB',3239902976,3239903231),('DE',3239903232,3239913215),('LT',3239913216,3239913471),('DE',3239913472,3239915519),('PL',3239915520,3239915775),('HU',3239915776,3239916031),('SA',3239916032,3239916287),('PL',3239916288,3239916543),('FR',3239916544,3239916799),('KZ',3239916800,3239917055),('DE',3239917056,3239917311),('BG',3239917312,3239917567),('DE',3239917568,3239935999),('UA',3239936000,3239936255),('FR',3239936256,3239936511),('DE',3239936512,3239938815),('NL',3239938816,3239939071),('DE',3239939072,3239950335),('DE',3239950848,3239951103),('AT',3239951104,3239951359),('DE',3239951360,3239954431),('HU',3239954432,3239954687),('DK',3239954688,3239954943),('ES',3239954944,3239955199),('UA',3239955200,3239955711),('PL',3239955712,3239955967),('CZ',3239955968,3239956223),('PL',3239956224,3239956479),('DE',3239956480,3239959551),('UA',3239959552,3239959807),('BE',3239959808,3239960063),('FR',3239960064,3239960319),('GB',3239960320,3239960575),('DE',3239960576,3239968511),('PL',3239968512,3239968767),('NO',3239968768,3239969023),('DE',3239969024,3239974911),('GB',3239974912,3239975935),('DE',3239976960,3239978751),('RU',3239978752,3239979007),('UA',3239979008,3239979263),('GB',3239979264,3239979519),('DE',3239979520,3239979775),('SI',3239979776,3239980031),('DE',3239980032,3239993343),('DE',3239995392,3239996415),('GB',3239996416,3239996671),('PL',3239996672,3239996927),('BE',3239996928,3239997183),('GB',3239997184,3239997439),('DE',3239997440,3240004863),('FR',3240004864,3240005119),('SE',3240005120,3240005375),('NL',3240005376,3240005631),('DE',3240005632,3240009727),('PL',3240009728,3240009983),('IL',3240009984,3240010239),('GB',3240010240,3240010495),('AT',3240010496,3240010751),('HU',3240010752,3240011007),('DE',3240011008,3240011263),('GB',3240011264,3240011519),('CH',3240011520,3240011775),('DE',3240011776,3240026111),('FR',3240026112,3240027135),('BG',3240027136,3240028159),('GB',3240028160,3240029183),('RU',3240029184,3240030207),('UA',3240030208,3240032255),('RU',3240032256,3240033279),('DE',3240033280,3240034303),('RU',3240034304,3240034559),('DE',3240034560,3240037375),('AT',3240037888,3240038143),('DK',3240038144,3240038399),('DE',3240038400,3240098815),('CH',3240098816,3240099327),('DE',3240099584,3240099839),('GB',3240099840,3240104703),('NL',3240104704,3240104959),('RU',3240104960,3240105215),('UA',3240105216,3240105471),('GB',3240105472,3240109055),('PL',3240109056,3240109567),('GB',3240109568,3240125439),('RO',3240125440,3240125695),('GB',3240125696,3240165375),('IT',3240165376,3240165887),('ES',3240165888,3240166399),('PL',3240166400,3240166911),('RO',3240166912,3240167423),('MD',3240167424,3240167935),('RU',3240167936,3240168447),('FR',3240168448,3240168959),('CZ',3240168960,3240169471),('IL',3240169472,3240169983),('IT',3240169984,3240170495),('DE',3240170496,3240171007),('RO',3240171008,3240172031),('RU',3240172032,3240173055),('CH',3240173056,3240173567),('RO',3240173568,3240174079),('PL',3240174080,3240174591),('FR',3240174592,3240175103),('RU',3240175104,3240176127),('PL',3240176128,3240176639),('UA',3240176640,3240177151),('FR',3240177152,3240177663),('UA',3240177664,3240178175),('NL',3240178176,3240178687),('BE',3240178688,3240179199),('UA',3240179200,3240179711),('RO',3240179712,3240180223),('PL',3240180224,3240180735),('NL',3240180736,3240181247),('RU',3240181248,3240181759),('UA',3240181760,3240182271),('RO',3240182272,3240182783),('RU',3240182784,3240183295),('NL',3240183296,3240183615),('CR',3240183616,3240183647),('NL',3240183648,3240183807),('GB',3240183808,3240184319),('DE',3240184320,3240184831),('GB',3240184832,3240185343),('FR',3240185344,3240185855),('RU',3240185856,3240187391),('UA',3240187392,3240187903),('RU',3240187904,3240188415),('RO',3240188416,3240188927),('MD',3240188928,3240189439),('RO',3240189440,3240189951),('DE',3240189952,3240190463),('IT',3240190464,3240190975),('RU',3240190976,3240191487),('SE',3240191488,3240191999),('UA',3240192000,3240192511),('RO',3240192512,3240193023),('GB',3240193024,3240193535),('PL',3240193536,3240194047),('GB',3240194048,3240194559),('AT',3240194560,3240195071),('GB',3240195072,3240195583),('RO',3240195584,3240196095),('RU',3240196096,3240197119),('PL',3240197120,3240197631),('CZ',3240197632,3240198143),('CH',3240198144,3240198655),('RO',3240198656,3240199167),('HU',3240199168,3240199679),('NL',3240199680,3240200191),('RO',3240200192,3240200703),('GB',3240200704,3240201215),('RO',3240201216,3240201727),('CH',3240201728,3240202239),('RU',3240202240,3240202751),('UA',3240202752,3240203263),('RO',3240203264,3240203775),('AT',3240203776,3240204799),('RO',3240204800,3240205311),('GB',3240205312,3240205823),('DE',3240205824,3240206335),('RU',3240206336,3240206847),('RO',3240206848,3240207871),('CN',3240207872,3240208383),('FR',3240208384,3240208895),('GB',3240208896,3240209407),('UA',3240209408,3240209919),('PL',3240209920,3240210943),('GB',3240210944,3240211455),('NL',3240211456,3240211967),('BE',3240211968,3240212479),('RU',3240212480,3240212991),('GB',3240212992,3240213503),('SE',3240213504,3240214015),('DK',3240214016,3240214527),('RU',3240215040,3240215551),('UA',3240215552,3240216063),('GB',3240216064,3240216575),('RO',3240216576,3240217087),('UA',3240217088,3240217599),('RU',3240217600,3240218111),('UA',3240218112,3240218623),('NL',3240218624,3240219135),('AT',3240219136,3240219647),('UA',3240219648,3240220159),('NL',3240220160,3240220671),('AT',3240220672,3240221183),('SA',3240221184,3240221695),('NL',3240221696,3240222207),('FR',3240222208,3240222719),('RU',3240223232,3240223743),('MT',3240223744,3240224255),('RU',3240224256,3240225279),('IL',3240225280,3240225791),('UA',3240225792,3240226303),('CH',3240226304,3240226815),('RU',3240226816,3240227839),('GB',3240227840,3240228351),('SE',3240228352,3240228863),('GB',3240228864,3240229375),('RO',3240229376,3240230399),('GB',3240230400,3240230911),('PL',3240230912,3240231935),('NL',3240231936,3240232959),('RU',3240232960,3240235007),('FR',3240235008,3240236031),('UA',3240236032,3240237055),('DE',3240237056,3240238079),('GB',3240238080,3240239103),('FR',3240239104,3240240127),('US',3240240128,3240241151),('FI',3240241152,3240242175),('PL',3240242176,3240243199),('DE',3240243200,3240244223),('PL',3240244224,3240245247),('IL',3240245248,3240246271),('UA',3240246272,3240247295),('RS',3240247296,3240248319),('DE',3240248320,3240249343),('UA',3240249344,3240251391),('IE',3240251392,3240252415),('LT',3240252416,3240253439),('BE',3240253440,3240254463),('UA',3240254464,3240256511),('DE',3240256512,3240257535),('FO',3240257536,3240258559),('RO',3240258560,3240259583),('PL',3240259584,3240260607),('DE',3240260608,3240262655),('RU',3240262656,3240263679),('UA',3240263680,3240264191),('FR',3240264192,3240264703),('TR',3240264704,3240265215),('RU',3240265216,3240265727),('CH',3240265728,3240266239),('PL',3240266240,3240266751),('UA',3240266752,3240267263),('RS',3240267264,3240267775),('DE',3240267776,3240268287),('GB',3240268288,3240269311),('NL',3240269312,3240269823),('SE',3240269824,3240270335),('UA',3240270336,3240270847),('RO',3240270848,3240271359),('PL',3240271360,3240271871),('RU',3240271872,3240272383),('PL',3240272384,3240272895),('RU',3240272896,3240273407),('NL',3240273408,3240273919),('UA',3240273920,3240274431),('GB',3240274432,3240274943),('UA',3240274944,3240275455),('RO',3240275456,3240275967),('GR',3240275968,3240276479),('PL',3240276480,3240276991),('RO',3240276992,3240278015),('RU',3240278016,3240278527),('GB',3240278528,3240279039),('CH',3240279040,3240279551),('RO',3240279552,3240280063),('DE',3240280064,3240280191),('PL',3240280192,3240280447),('UA',3240280448,3240280575),('GB',3240280576,3240280703),('RU',3240280704,3240280831),('GB',3240280832,3240280959),('PL',3240281088,3240281215),('FR',3240281216,3240281343),('PL',3240281344,3240281471),('IR',3240281472,3240281599),('GB',3240288256,3240296447),('RO',3240296448,3240296703),('GB',3240296704,3240302847),('UA',3240302848,3240303103),('GB',3240303104,3240361983),('TR',3240361984,3240362239),('GB',3240362240,3240407039),('IL',3240407040,3240407295),('NL',3240407296,3240407551),('NO',3240407552,3240407807),('NL',3240407808,3240408063),('DE',3240408064,3240408319),('CH',3240408320,3240408575),('FR',3240408576,3240408831),('PL',3240408832,3240409087),('TR',3240409088,3240409343),('GB',3240409344,3240409599),('NL',3240409600,3240409855),('DE',3240409856,3240410111),('CH',3240410112,3240410367),('AT',3240410368,3240410623),('PT',3240410624,3240410879),('NO',3240410880,3240411135),('GB',3240411136,3240419839),('AT',3240419840,3240420095),('DE',3240420096,3240420351),('RO',3240420352,3240420607),('NL',3240420608,3240420863),('GB',3240420864,3240460287),('IL',3240460288,3240461055),('DE',3240461056,3240461567),('UA',3240461568,3240461823),('RU',3240461824,3240462079),('TR',3240462080,3240462335),('RO',3240462336,3240462591),('RU',3240462592,3240462847),('RO',3240462848,3240463103),('PL',3240463104,3240463359),('RU',3240463360,3240463615),('UA',3240463616,3240463871),('GB',3240463872,3240464127),('SA',3240464128,3240464383),('AT',3240464384,3240464639),('FR',3240464640,3240464895),('GB',3240464896,3240465151),('CH',3240465152,3240465407),('DE',3240465408,3240465919),('FR',3240465920,3240466175),('DE',3240466176,3240466687),('PT',3240466688,3240466943),('TR',3240466944,3240467199),('NL',3240467200,3240467455),('UA',3240467456,3240467711),('RU',3240467712,3240467967),('DE',3240467968,3240468223),('CH',3240468224,3240468479),('GB',3240468480,3240487935),('CH',3240487936,3240488191),('GB',3240488192,3240488447),('BG',3240488448,3240488703),('NL',3240488704,3240488959),('GB',3240488960,3240575487),('RO',3240575488,3240575743),('GB',3240575744,3240575999),('DE',3240576000,3240576255),('UA',3240576256,3240576511),('FR',3240576512,3240576767),('PL',3240576768,3240577023),('UA',3240577024,3240577279),('RO',3240577280,3240577535),('DE',3240577536,3240577791),('UA',3240577792,3240578559),('CH',3240578560,3240578815),('IL',3240578816,3240579071),('GB',3240579072,3240587263),('NL',3240587264,3240587519),('RU',3240587520,3240587775),('UA',3240587776,3240588031),('US',3240588032,3240588287),('RU',3240588288,3240588543),('RO',3240588544,3240588799),('UA',3240588800,3240589055),('RO',3240589056,3240589311),('SE',3240589312,3240593407),('GB',3240593408,3240594175),('DK',3240594176,3240594431),('GB',3240594432,3240622079),('RU',3240622080,3240622591),('GB',3240622592,3240624127),('EE',3240624128,3240689663),('GB',3240689664,3240690175),('TR',3240690176,3240690687),('UA',3240690688,3240691199),('IT',3240691200,3240691711),('DE',3240691712,3240692735),('DK',3240692736,3240693247),('ES',3240693248,3240693759),('IE',3240693760,3240695807),('ES',3240695808,3240697855),('SE',3240697856,3240698111),('LV',3240698112,3240698367),('GB',3240698368,3240698623),('SI',3240698624,3240699135),('DE',3240699136,3240699391),('UA',3240699392,3240699647),('NO',3240699648,3240699903),('LT',3240699904,3240700159),('AT',3240700160,3240700415),('BE',3240700416,3240700671),('ES',3240700672,3240700927),('FR',3240700928,3240701183),('LV',3240701184,3240701439),('ES',3240701440,3240701695),('FR',3240701696,3240701951),('UA',3240701952,3240702975),('DE',3240702976,3240703999),('GR',3240704000,3240705023),('UA',3240705024,3240706047),('BG',3240706048,3240707071),('NL',3240707072,3240707839),('FR',3240707840,3240709119),('IT',3240709120,3240710143),('UA',3240710144,3240710399),('LT',3240710400,3240710655),('DE',3240710656,3240710911),('FR',3240710912,3240711167),('IT',3240711168,3240711679),('RU',3240711680,3240711935),('DE',3240711936,3240712191),('UA',3240712192,3240712447),('SI',3240712448,3240712703),('CH',3240712704,3240712959),('IT',3240712960,3240713215),('GB',3240713216,3240713471),('DE',3240713472,3240713727),('AT',3240713728,3240713983),('FR',3240713984,3240714239),('GB',3240714240,3240716287),('CH',3240716288,3240718335),('PL',3240718336,3240718847),('PT',3240718848,3240719359),('DE',3240719360,3240719871),('SE',3240719872,3240720383),('DE',3240720384,3240720895),('RO',3240720896,3240721407),('DE',3240721408,3240721919),('RO',3240721920,3240722431),('UA',3240722432,3240723455),('DE',3240723456,3240724479),('CH',3240724480,3240724991),('AT',3240724992,3240725503),('RU',3240725504,3240726527),('DE',3240726528,3240727039),('DZ',3240727040,3240727551),('CH',3240727552,3240728063),('GR',3240728064,3240728575),('GB',3240728576,3240729599),('DK',3240729600,3240730111),('BE',3240730112,3240730623),('UA',3240730624,3240731647),('GB',3240731648,3240732671),('SE',3240732672,3240733695),('UA',3240733696,3240734719),('IT',3240734720,3240735743),('FR',3240735744,3240736255),('BG',3240736256,3240736767),('UA',3240736768,3240737791),('BG',3240737792,3240738815),('UA',3240738816,3240739071),('CH',3240739072,3240739327),('FR',3240739328,3240739583),('LV',3240739584,3240739839),('US',3240739840,3240740095),('LT',3240740096,3240740351),('IT',3240740352,3240740607),('DE',3240740608,3240741119),('AT',3240741120,3240741375),('IL',3240741376,3240741631),('SK',3240741632,3240741887),('LV',3240741888,3240742143),('IT',3240742144,3240742399),('BG',3240742400,3240742655),('AT',3240742656,3240742911),('IL',3240742912,3240743423),('DK',3240743424,3240743935),('DE',3240743936,3240744447),('SE',3240744448,3240744959),('RO',3240744960,3240745471),('UA',3240745472,3240745983),('GB',3240745984,3240746495),('FR',3240746496,3240747007),('SE',3240747008,3240747263),('US',3240747264,3240747519),('RU',3240747520,3240747775),('ES',3240747776,3240748031),('AT',3240748032,3240748287),('GR',3240748288,3240748543),('PL',3240748544,3240749055),('AT',3240749056,3240749311),('BE',3240749312,3240749567),('ES',3240749568,3240749823),('IT',3240749824,3240750335),('LU',3240750336,3240750591),('FR',3240750592,3240750847),('UA',3240750848,3240751103),('ES',3240751104,3240752127),('RO',3240752128,3240754175),('DE',3240754176,3240755199),('IE',3240755200,3240755455),('IT',3240755456,3240808959),('GB',3240808960,3240809215),('PL',3240809216,3240809471),('NL',3240809472,3240809727),('FR',3240809728,3240809983),('GR',3240809984,3240810239),('SA',3240810240,3240810495),('TR',3240810496,3240810751),('GB',3240810752,3240811007),('PL',3240811008,3240811263),('FR',3240811264,3240811519),('SA',3240811520,3240811775),('DE',3240811776,3240812031),('HU',3240812032,3240812287),('KW',3240812288,3240812543),('IT',3240812544,3240813567),('PL',3240813568,3240814591),('IT',3240814592,3240818687),('NL',3240818688,3240820735),('EU',3240820736,3240820799),('RU',3240820800,3240820831),('IT',3240820832,3240827135),('FR',3240827136,3240827391),('BG',3240827392,3240827647),('CH',3240827648,3240827903),('IT',3240827904,3240828159),('DE',3240828160,3240828415),('IT',3240828416,3240837119),('GB',3240837120,3240837375),('IT',3240837376,3240840447),('PL',3240840448,3240840703),('RO',3240840704,3240840959),('GB',3240840960,3240841215),('IT',3240841216,3240843263),('NL',3240843264,3240843775),('PL',3240843776,3240844031),('NL',3240844032,3240844543),('CH',3240844544,3240844799),('GB',3240844800,3240845055),('UA',3240845056,3240845311),('IT',3240845312,3240846847),('VA',3240846848,3240847359),('IT',3240847360,3240852735),('GB',3240852736,3240852991),('IT',3240852992,3240853247),('RU',3240853248,3240853503),('VA',3240853504,3240855039),('IT',3240855040,3240858623),('UA',3240858624,3240858879),('IT',3240858880,3240859135),('NL',3240859136,3240859391),('SE',3240859392,3240859647),('CH',3240859648,3240861183),('AT',3240861184,3240861695),('IT',3240861696,3240866815),('GB',3240866816,3240867071),('PL',3240867072,3240867327),('RU',3240867328,3240867583),('CH',3240867584,3240867839),('IT',3240867840,3240873983),('RU',3240873984,3240874495),('FR',3240874496,3240875007),('AT',3240875008,3240875519),('FR',3240875520,3240876031),('DK',3240876032,3240876543),('GR',3240876544,3240877055),('DE',3240877056,3240877567),('UA',3240877568,3240879103),('PL',3240879104,3240880127),('ES',3240880128,3240881151),('EU',3240881152,3240882175),('PL',3240882176,3240883199),('IL',3240883200,3240884223),('UA',3240884224,3240886271),('SE',3240886272,3240961791),('FI',3240961792,3240961799),('SE',3240961800,3240968703),('GB',3240968704,3240969039),('SE',3240969040,3240969215),('GB',3240969216,3240969231),('SE',3240969232,3240988159),('PL',3240988160,3240988167),('SE',3240988168,3241017343),('AT',3241017344,3241017855),('DE',3241017856,3241018111),('AT',3241018112,3241029119),('UA',3241029120,3241029375),('PL',3241029376,3241029631),('AT',3241029632,3241032703),('RU',3241032704,3241032959),('GB',3241032960,3241033215),('DE',3241033216,3241033727),('IL',3241033728,3241033983),('RU',3241033984,3241034239),('UA',3241034240,3241034495),('DE',3241034496,3241034751),('PL',3241034752,3241035007),('DK',3241035008,3241035263),('RO',3241035264,3241035519),('SI',3241035520,3241035775),('GB',3241035776,3241036031),('CH',3241036032,3241036287),('RU',3241036288,3241036543),('SI',3241036544,3241036799),('GB',3241036800,3241037055),('RU',3241037056,3241037311),('BE',3241037312,3241037567),('DK',3241037568,3241037823),('NL',3241037824,3241038079),('UA',3241038080,3241038335),('DE',3241038336,3241038591),('LT',3241038592,3241039103),('FR',3241039104,3241039359),('UA',3241039360,3241039615),('GB',3241039616,3241039871),('CH',3241039872,3241040127),('UA',3241040128,3241040383),('GB',3241040384,3241040639),('RO',3241040640,3241040895),('AT',3241040896,3241063423),('IT',3241063424,3241063679),('PL',3241063680,3241063935),('DE',3241063936,3241064703),('PL',3241064704,3241065471),('AT',3241065472,3241068543),('GB',3241068544,3241068799),('UA',3241068800,3241069055),('GB',3241069056,3241069311),('FR',3241069312,3241069567),('GB',3241069568,3241070079),('FR',3241070080,3241070335),('RU',3241070336,3241070847),('AT',3241070848,3241071103),('UA',3241071104,3241071359),('RU',3241071360,3241071615),('MD',3241071616,3241071871),('RU',3241071872,3241072127),('BE',3241072128,3241072383),('DE',3241072384,3241072639),('AT',3241072640,3241073919),('GB',3241073920,3241074175),('AT',3241074176,3241076735),('GR',3241076736,3241076991),('AT',3241076992,3241077759),('LV',3241077760,3241078015),('PL',3241078016,3241078271),('ES',3241078272,3241078527),('DE',3241078528,3241078783),('AT',3241078784,3241082879),('FR',3241082880,3241083135),('CH',3241083136,3241100799),('UA',3241100800,3241101055),('DK',3241101056,3241101311),('RO',3241101312,3241101567),('DE',3241101568,3241101823),('BG',3241101824,3241102079),('RO',3241102080,3241102335),('ES',3241102336,3241102591),('DE',3241102592,3241102847),('NL',3241102848,3241103359),('FR',3241103360,3241103615),('DK',3241103616,3241103871),('DE',3241103872,3241104127),('GB',3241104128,3241104383),('ES',3241104384,3241104639),('UA',3241104640,3241104895),('ES',3241104896,3241105151),('RU',3241105152,3241105407),('CH',3241105408,3241108223),('DE',3241108224,3241108735),('RO',3241108736,3241108991),('SA',3241108992,3241109247),('CH',3241109248,3241117695),('SI',3241117696,3241117951),('UA',3241117952,3241118207),('AT',3241118208,3241118463),('FR',3241118464,3241118719),('CH',3241118720,3241118975),('FR',3241118976,3241119231),('MD',3241119232,3241119487),('BE',3241119488,3241119743),('RO',3241119744,3241119999),('UA',3241120000,3241120255),('CZ',3241120256,3241120511),('GB',3241120512,3241120767),('RU',3241120768,3241121023),('CH',3241121024,3241121279),('FR',3241121280,3241121535),('PL',3241121536,3241121791),('DE',3241121792,3241122047),('CH',3241122048,3241122303),('RU',3241122304,3241122559),('AT',3241122560,3241123327),('PL',3241123328,3241124095),('DE',3241124096,3241124351),('RO',3241124352,3241124607),('PL',3241124608,3241124863),('ES',3241124864,3241125119),('IL',3241125120,3241125375),('UA',3241125376,3241125631),('SE',3241125632,3241125887),('CH',3241125888,3241129983),('FR',3241129984,3241130239),('PT',3241130240,3241130495),('DK',3241130496,3241130751),('DE',3241130752,3241131007),('NL',3241131008,3241131263),('FR',3241131264,3241131519),('CH',3241131520,3241131775),('DK',3241131776,3241132031),('CH',3241132032,3241145855),('HR',3241145856,3241146111),('PL',3241146112,3241146367),('IL',3241146368,3241146623),('RO',3241146624,3241146879),('CH',3241146880,3241148415),('FR',3241148416,3241476095),('CH',3241476096,3241476351),('BE',3241476352,3241481471),('NL',3241481472,3241481727),('PT',3241481728,3241481983),('DE',3241481984,3241482239),('SE',3241482240,3241484799),('BE',3241484800,3241485311),('GB',3241485312,3241485567),('BE',3241485568,3241496575),('AT',3241496576,3241496831),('BE',3241496832,3241497343),('GB',3241497344,3241498111),('BE',3241498112,3241498367),('GB',3241498368,3241499135),('BE',3241499136,3241499903),('DE',3241499904,3241500159),('GB',3241500160,3241500671),('BE',3241500672,3241502975),('GR',3241502976,3241503231),('FR',3241503232,3241503487),('BE',3241503488,3241508095),('NL',3241508096,3241508351),('BE',3241508352,3241541375),('PL',3241541376,3241541631),('FR',3241541632,3241803775),('GB',3241803776,3241803815),('RU',3241803816,3241803823),('EU',3241803824,3241803831),('GB',3241803832,3241803839),('PT',3241803840,3241803903),('UA',3241803904,3241804031),('BE',3241804032,3241820159),('GB',3241820160,3241821695),('GR',3241821696,3241822207),('CZ',3241822208,3241824255),('BE',3241824256,3241843455),('CH',3241843456,3241843711),('BE',3241843712,3241848063),('CH',3241848064,3241851391),('GR',3241851392,3241851903),('GB',3241851904,3241852927),('SK',3241852928,3241854463),('GB',3241854464,3241854975),('DE',3241854976,3241855999),('NL',3241856000,3241857279),('CH',3241857280,3241857535),('AT',3241857536,3241859071),('US',3241859072,3241861119),('BE',3241861120,3241863167),('PL',3241863168,3241863423),('FR',3241863424,3241863679),('GR',3241863680,3241863935),('GB',3241863936,3241864191),('TR',3241864192,3241864447),('RU',3241864448,3241864703),('SE',3241864704,3241864959),('IT',3241864960,3241865215),('DE',3241865216,3241865471),('NO',3241865472,3241865727),('CH',3241865728,3241865983),('RO',3241865984,3241866239),('DE',3241866240,3241866751),('GB',3241866752,3241867007),('FR',3241867008,3241867263),('UA',3241867264,3241867519),('PL',3241867520,3241867775),('CH',3241867776,3241868031),('UA',3241868032,3241868287),('HR',3241868288,3241868543),('DE',3241868544,3241868799),('UA',3241868800,3241869055),('CH',3241869056,3241869311),('PL',3241869312,3241934847),('GB',3241934848,3242196991),('FI',3242196992,3242197975),('NO',3242197976,3242197987),('FI',3242197988,3242207847),('SE',3242207848,3242207855),('FI',3242207856,3242393599),('NL',3242393600,3242423103),('A2',3242423104,3242423135),('NL',3242423136,3242459135),('BG',3242459136,3242467327),('HU',3242467328,3242475519),('LV',3242475520,3242483711),('EU',3242483712,3242487807),('BG',3242487808,3242488831),('EU',3242488832,3242491903),('BG',3242491904,3242492415),('EU',3242492416,3242493951),('BG',3242493952,3242495487),('EU',3242495488,3242498367),('BG',3242498368,3242498399),('EU',3242498400,3242498431),('BG',3242498432,3242498495),('EU',3242498496,3242498559),('BG',3242498560,3242498847),('EU',3242498848,3242499071),('BG',3242499072,3242499327),('EU',3242499328,3242500095),('BG',3242500096,3242501119),('EU',3242501120,3242505215),('BG',3242505216,3242505471),('EU',3242505472,3242506239),('BG',3242506240,3242506495),('EU',3242506496,3242507263),('BG',3242507264,3242508031),('EU',3242508032,3242508799),('BG',3242508800,3242509055),('EU',3242509056,3242510335),('BG',3242510336,3242510655),('EU',3242510656,3242511615),('BG',3242511616,3242511871),('EU',3242511872,3242512383),('BG',3242512384,3242512895),('EU',3242512896,3242516287),('BG',3242516288,3242516303),('EU',3242516304,3242518527),('BG',3242518528,3242519551),('EU',3242519552,3242520575),('BG',3242520576,3242524671),('NO',3242524672,3242590207),('IT',3242590208,3242655743),('NO',3242655744,3242721279),('CH',3242721280,3242779903),('DE',3242779904,3242780159),('CH',3242780160,3242852351),('BE',3242852352,3242911231),('NL',3242911232,3242911743),('BE',3242911744,3242917887),('NO',3242917888,3242950655),('BE',3242950656,3242983423),('IT',3242983424,3243048959),('SI',3243048960,3243114495),('NL',3243114496,3243150847),('IT',3243150848,3243151103),('NL',3243151104,3243216823),('GB',3243216824,3243216831),('NL',3243216832,3243223615),('NO',3243223616,3243223623),('NL',3243223624,3243223695),('PT',3243223696,3243223703),('NL',3243223704,3243245567),('AT',3243245568,3243297791),('SI',3243297792,3243298047),('AT',3243298048,3243376639),('GB',3243376640,3243441919),('MT',3243441920,3243442175),('AT',3243442176,3243444167),('NL',3243444168,3243444183),('AT',3243444184,3243507711),('GB',3243507712,3243507967),('CZ',3243507968,3243509759),('RU',3243509760,3243510015),('NL',3243510016,3243510271),('CZ',3243510272,3243511807),('GB',3243511808,3243512063),('UA',3243512064,3243512319),('FR',3243512320,3243512575),('UA',3243512576,3243512831),('DE',3243512832,3243513087),('GR',3243513088,3243513343),('UA',3243513344,3243513855),('BE',3243513856,3243514111),('CH',3243514112,3243514367),('IE',3243514368,3243514623),('DK',3243514624,3243514879),('AT',3243514880,3243515135),('CH',3243515136,3243515391),('DE',3243515392,3243515647),('RU',3243515648,3243515903),('CZ',3243515904,3243520511),('UA',3243520512,3243520767),('GB',3243520768,3243521023),('AT',3243521024,3243521279),('CZ',3243521280,3243521535),('DE',3243521536,3243521791),('CZ',3243521792,3243524095),('RO',3243524096,3243524351),('AT',3243524352,3243524607),('DE',3243524608,3243524863),('NL',3243524864,3243525119),('CZ',3243525120,3243525375),('RO',3243525376,3243525631),('CZ',3243525632,3243525887),('PL',3243525888,3243526143),('UA',3243526144,3243526399),('FR',3243526400,3243526655),('PL',3243526656,3243526911),('SE',3243526912,3243527167),('UA',3243527168,3243527679),('GB',3243527680,3243527935),('PL',3243527936,3243528191),('CZ',3243528192,3243529215),('BE',3243529216,3243529471),('GB',3243529472,3243529727),('BG',3243529728,3243529983),('GB',3243529984,3243530239),('RU',3243530240,3243530495),('FR',3243530496,3243530751),('UA',3243530752,3243531007),('DE',3243531008,3243531263),('CZ',3243531264,3243531775),('AT',3243531776,3243532031),('DE',3243532032,3243532287),('CZ',3243532288,3243536383),('AT',3243536384,3243536639),('CH',3243536640,3243536895),('CZ',3243536896,3243537151),('RO',3243537152,3243537407),('CZ',3243537408,3243544063),('GB',3243544064,3243544319),('CH',3243544320,3243544575),('CZ',3243544576,3243552767),('NL',3243552768,3243553023),('FR',3243553024,3243553279),('DE',3243553280,3243553535),('PL',3243553536,3243553791),('DE',3243553792,3243554303),('PL',3243554304,3243554559),('MD',3243554560,3243554815),('LV',3243554816,3243555071),('RO',3243555072,3243555327),('CZ',3243555328,3243555583),('FR',3243555584,3243555839),('CZ',3243555840,3243565055),('GB',3243565056,3243569151),('CZ',3243569152,3243570687),('PL',3243570688,3243570943),('CZ',3243570944,3243571711),('GB',3243571712,3243571967),('GR',3243571968,3243572223),('CZ',3243572224,3243572991),('RU',3243572992,3243573247),('CZ',3243573248,3243704319),('SK',3243704320,3243769855),('DK',3243769856,3243900927),('NO',3243900928,3243966463),('PL',3243966464,3243974655),('LU',3243974656,3243978751),('NL',3243978752,3243982847),('HU',3243982848,3243991039),('BE',3243991040,3243999231),('NO',3243999232,3244031999),('GR',3244032000,3244097535),('DE',3244097536,3244098559),('GB',3244098560,3244099583),('FR',3244099584,3244100607),('UA',3244100608,3244102655),('CH',3244102656,3244103679),('BG',3244103680,3244104703),('DE',3244104704,3244105727),('GB',3244105728,3244107775),('RO',3244107776,3244108799),('GB',3244108800,3244109823),('UA',3244109824,3244110847),('PL',3244110848,3244111871),('KZ',3244111872,3244112895),('RU',3244112896,3244113919),('CH',3244113920,3244114943),('PL',3244114944,3244115967),('SK',3244115968,3244116991),('UA',3244116992,3244118015),('GB',3244118016,3244120063),('PL',3244120064,3244122111),('A2',3244122112,3244123135),('UA',3244123136,3244124159),('PL',3244124160,3244125183),('UA',3244125184,3244126207),('BE',3244126208,3244127231),('UA',3244127232,3244128255),('DE',3244128256,3244129279),('FR',3244129280,3244130303),('NO',3244130304,3244131327),('FI',3244131328,3244133375),('RO',3244133376,3244134399),('PL',3244134400,3244135423),('GB',3244135424,3244137471),('PL',3244137472,3244138495),('UA',3244138496,3244139519),('GR',3244139520,3244140543),('SE',3244140544,3244141567),('NL',3244141568,3244142591),('DE',3244142592,3244143615),('FR',3244143616,3244144639),('UA',3244144640,3244147711),('GB',3244147712,3244149759),('PL',3244149760,3244150783),('CH',3244150784,3244151807),('KZ',3244151808,3244152831),('RU',3244152832,3244153855),('NO',3244153856,3244154879),('GB',3244154880,3244155903),('UA',3244155904,3244156927),('RU',3244156928,3244158975),('DE',3244158976,3244159999),('RU',3244160000,3244161023),('NO',3244161024,3244163071),('FI',3244163072,3244228607),('TN',3244228608,3244261375),('IE',3244261376,3244265823),('ES',3244265824,3244265831),('IE',3244265832,3244272575),('US',3244272576,3244272639),('IE',3244272640,3244273687),('US',3244273688,3244273695),('IE',3244273696,3244274279),('US',3244274280,3244274287),('IE',3244274288,3244277359),('GB',3244277360,3244277367),('IE',3244277368,3244277631),('US',3244277632,3244277695),('IE',3244277696,3244277759),('SI',3244277760,3244294143),('DE',3244294144,3244408575),('GB',3244408576,3244408831),('DE',3244408832,3244592127),('CH',3244592128,3244592639),('DE',3244592640,3244794367),('CA',3244794368,3244794879),('DE',3244794880,3244818431),('FR',3244818432,3244875775),('A2',3244875776,3244877119),('FR',3244877120,3244877567),('A2',3244877568,3244877823),('FR',3244877824,3245073919),('A2',3245073920,3245074175),('FR',3245074176,3245080575),('SE',3245080576,3245082623),('DE',3245082624,3245084927),('SE',3245084928,3245085183),('GB',3245085184,3245085439),('DE',3245085440,3245085695),('FR',3245085696,3245086207),('AT',3245086208,3245086463),('GH',3245086464,3245086719),('BG',3245086720,3245086975),('IT',3245086976,3245087231),('CH',3245087232,3245087487),('NL',3245087488,3245087743),('GH',3245087744,3245087999),('LV',3245088000,3245088255),('KW',3245088256,3245088511),('FR',3245088512,3245088767),('BG',3245088768,3245089279),('PL',3245089280,3245089791),('UA',3245089792,3245090815),('AT',3245090816,3245091327),('SE',3245091328,3245091839),('UA',3245091840,3245093887),('RO',3245093888,3245094911),('UA',3245094912,3245095935),('IT',3245095936,3245096959),('CZ',3245096960,3245099007),('GB',3245099008,3245103103),('EU',3245103104,3245105151),('GB',3245105152,3245105663),('NL',3245105664,3245106175),('AT',3245106176,3245106687),('UA',3245106688,3245107711),('CZ',3245107712,3245108735),('FR',3245108736,3245109247),('UA',3245109248,3245114367),('SK',3245114368,3245114879),('JO',3245114880,3245115391),('CH',3245115392,3245115903),('AT',3245115904,3245116415),('FR',3245116416,3245116927),('NL',3245116928,3245117439),('LV',3245117440,3245118463),('GB',3245118464,3245119487),('EU',3245119488,3245120511),('GB',3245120512,3245121535),('GR',3245121536,3245122047),('UA',3245122048,3245122559),('DE',3245122560,3245123071),('FR',3245123072,3245123583),('GB',3245123584,3245124095),('UA',3245124096,3245124607),('DE',3245124608,3245125119),('ES',3245125120,3245125631),('DE',3245125632,3245125887),('PL',3245125888,3245126143),('FR',3245126144,3245126399),('DE',3245126400,3245126655),('FR',3245126656,3245126911),('DE',3245126912,3245127167),('RU',3245127168,3245127423),('AT',3245127424,3245127679),('DE',3245127680,3245127935),('LV',3245127936,3245128191),('IT',3245128192,3245128447),('CH',3245128448,3245128703),('GB',3245128704,3245128959),('DK',3245128960,3245129215),('DE',3245129216,3245129471),('GB',3245129472,3245129983),('DE',3245129984,3245130239),('PL',3245130240,3245130495),('IL',3245130496,3245130751),('SE',3245130752,3245131007),('FR',3245131008,3245131519),('GB',3245131520,3245132031),('BE',3245132032,3245132287),('PL',3245132288,3245132543),('FR',3245132544,3245132799),('IT',3245132800,3245133311),('PL',3245133312,3245133567),('RU',3245133568,3245133823),('NO',3245133824,3245134079),('UA',3245134080,3245134335),('NL',3245134336,3245134591),('IL',3245134592,3245134847),('AT',3245134848,3245135103),('TR',3245135104,3245135359),('UG',3245135360,3245135615),('BE',3245135616,3245135871),('FR',3245135872,3245136127),('DE',3245136128,3245136383),('GB',3245136384,3245136639),('EU',3245136640,3245136895),('PL',3245136896,3245137151),('IT',3245137152,3245137407),('DE',3245137408,3245137663),('SE',3245137664,3245137919),('DK',3245137920,3245138431),('UA',3245138432,3245138943),('PL',3245138944,3245139455),('RU',3245139456,3245139967),('CH',3245139968,3245140479),('RO',3245140480,3245140991),('UA',3245140992,3245141503),('IT',3245141504,3245142015),('UA',3245142016,3245143039),('GB',3245143040,3245144063),('UA',3245144064,3245145087),('UG',3245145088,3245146111),('FR',3245146112,3245147135),('DE',3245147136,3245148159),('UA',3245148160,3245149183),('RU',3245149184,3245150207),('IS',3245150208,3245154303),('IT',3245154304,3245158399),('CH',3245158400,3245158911),('GB',3245158912,3245159423),('CH',3245159424,3245159935),('BG',3245159936,3245160447),('DK',3245160448,3245160959),('LU',3245160960,3245161471),('SE',3245161472,3245161983),('BE',3245161984,3245162495),('DE',3245162496,3245163007),('KE',3245163008,3245163519),('GB',3245163520,3245164031),('RU',3245164032,3245164543),('BE',3245164544,3245165055),('AT',3245165056,3245165567),('RU',3245165568,3245166079),('TZ',3245166080,3245166591),('UA',3245166592,3245166847),('GB',3245166848,3245167103),('IL',3245167104,3245167359),('GB',3245167360,3245167615),('UA',3245167616,3245167871),('LV',3245167872,3245168127),('SE',3245168128,3245168383),('FR',3245168384,3245168639),('AT',3245168640,3245168895),('RU',3245168896,3245169151),('IT',3245169152,3245169407),('PL',3245169408,3245169919),('UA',3245169920,3245170175),('GB',3245170176,3245170431),('CH',3245170432,3245170687),('DE',3245170688,3245171711),('UA',3245171712,3245172735),('IT',3245172736,3245173759),('UA',3245173760,3245174783),('IT',3245174784,3245175039),('DE',3245175040,3245175295),('RU',3245175296,3245175551),('PL',3245175552,3245175807),('GB',3245175808,3245176063),('IT',3245176064,3245176319),('UA',3245176320,3245176575),('FR',3245176576,3245176831),('ES',3245176832,3245177343),('NL',3245177344,3245177599),('PL',3245177600,3245177855),('SI',3245177856,3245178111),('BE',3245178112,3245178623),('PL',3245178624,3245178879),('UA',3245178880,3245179391),('LU',3245179392,3245179903),('DE',3245179904,3245180415),('TR',3245180416,3245180927),('NL',3245180928,3245181439),('DE',3245181440,3245181951),('AT',3245181952,3245182463),('FR',3245182464,3245182975),('UA',3245182976,3245183999),('CH',3245184000,3245185023),('AT',3245185024,3245187071),('UA',3245187072,3245190143),('ES',3245190144,3245191167),('CZ',3245191168,3245193215),('BE',3245193216,3245195263),('GB',3245195264,3245197311),('IT',3245197312,3245199359),('LU',3245199360,3245199615),('SE',3245199616,3245199871),('NO',3245199872,3245200127),('LV',3245200128,3245200383),('PL',3245200384,3245200639),('GR',3245200640,3245200895),('DE',3245200896,3245201151),('GB',3245201152,3245201407),('CH',3245201408,3245201663),('NO',3245201664,3245201919),('SA',3245201920,3245202175),('GB',3245202176,3245202687),('DE',3245202688,3245203199),('PL',3245203200,3245203455),('FR',3245203456,3245203711),('PL',3245203712,3245204223),('SI',3245204224,3245204479),('BE',3245204480,3245204735),('ES',3245204736,3245205247),('DE',3245205248,3245205503),('AT',3245205504,3245205759),('IT',3245205760,3245206015),('BE',3245206016,3245206271),('LT',3245206272,3245206527),('DE',3245206528,3245207551),('UA',3245207552,3245208063),('DE',3245208064,3245208575),('PL',3245208576,3245209087),('RU',3245209088,3245209599),('UA',3245209600,3245210111),('FR',3245210112,3245210623),('HU',3245210624,3245211135),('GB',3245211136,3245211647),('RU',3245211648,3245212159),('NG',3245212160,3245212671),('RU',3245212672,3245213183),('DE',3245213184,3245213695),('LV',3245213696,3245214207),('AT',3245214208,3245214719),('SE',3245214720,3245215231),('SI',3245215232,3245215743),('UA',3245215744,3245217791),('DE',3245217792,3245218815),('AT',3245218816,3245219839),('FI',3245219840,3245221887),('DE',3245221888,3245223935),('IL',3245223936,3245225983),('HU',3245225984,3245228031),('FI',3245228032,3245229055),('DE',3245229056,3245230079),('UA',3245230080,3245232127),('PL',3245232128,3245232383),('BE',3245232384,3245232639),('BG',3245232640,3245232895),('IT',3245232896,3245233151),('DK',3245233152,3245233407),('CH',3245233408,3245233663),('GR',3245233664,3245233919),('DK',3245233920,3245234175),('GB',3245234176,3245234431),('UA',3245234432,3245234687),('DE',3245234688,3245234943),('GB',3245234944,3245235199),('BE',3245235200,3245235455),('GB',3245235456,3245235711),('AT',3245235712,3245235967),('CH',3245235968,3245236223),('PL',3245236224,3245237247),('UA',3245237248,3245237759),('DE',3245237760,3245238271),('CD',3245238272,3245238783),('UA',3245238784,3245239295),('FI',3245239296,3245240319),('UA',3245240320,3245241343),('DE',3245241344,3245242367),('PL',3245242368,3245243391),('UA',3245243392,3245244415),('ES',3245244416,3245244671),('AT',3245244672,3245244927),('BE',3245244928,3245245183),('CH',3245245184,3245245439),('BG',3245245440,3245245695),('DE',3245245696,3245245951),('UA',3245245952,3245246207),('GB',3245246208,3245246463),('AT',3245246464,3245246719),('PL',3245246720,3245246975),('GB',3245246976,3245247231),('DE',3245247232,3245247487),('FR',3245247488,3245247999),('PL',3245248000,3245248255),('GB',3245248256,3245248511),('UA',3245248512,3245248767),('SI',3245248768,3245249023),('FR',3245249024,3245249279),('NL',3245249280,3245249535),('FR',3245249536,3245249791),('GB',3245249792,3245250047),('DE',3245250048,3245250303),('IT',3245250304,3245250559),('FR',3245250560,3245250815),('DE',3245250816,3245251071),('ES',3245251072,3245251327),('MT',3245251328,3245251583),('UA',3245251584,3245251839),('NL',3245251840,3245252095),('BE',3245252096,3245252351),('BG',3245252352,3245252607),('UA',3245252608,3245253631),('LV',3245253632,3245254143),('DK',3245254144,3245254655),('UA',3245254656,3245255167),('TR',3245255168,3245255679),('UA',3245255680,3245257215),('DE',3245257216,3245257727),('GB',3245257728,3245258239),('AT',3245258240,3245258751),('UA',3245258752,3245259263),('SK',3245259264,3245259775),('UA',3245259776,3245260287),('BE',3245260288,3245260799),('DE',3245260800,3245261823),('DK',3245261824,3245262847),('IT',3245262848,3245263871),('DE',3245263872,3245264895),('TR',3245264896,3245266943),('BG',3245266944,3245268991),('FI',3245268992,3245270015),('PL',3245270016,3245271039),('NL',3245271040,3245272063),('RU',3245272064,3245273087),('GB',3245273088,3245275135),('BE',3245275136,3245277183),('UA',3245277184,3245277695),('RU',3245277696,3245278207),('GB',3245278208,3245278719),('UA',3245278720,3245279743),('TJ',3245279744,3245280255),('BE',3245280256,3245280767),('FR',3245280768,3245281279),('RO',3245281280,3245281791),('ES',3245281792,3245282303),('IT',3245282304,3245282815),('PL',3245282816,3245283327),('GB',3245283328,3245283839),('PL',3245283840,3245284351),('GB',3245284352,3245284863),('PL',3245284864,3245285375),('NL',3245285376,3245285631),('GB',3245285632,3245285887),('DE',3245285888,3245286143),('GB',3245286144,3245286399),('PL',3245286400,3245287423),('DE',3245287424,3245287679),('PL',3245287680,3245287935),('PT',3245287936,3245288191),('DE',3245288192,3245288703),('FI',3245288704,3245288959),('IT',3245288960,3245289215),('AT',3245289216,3245289471),('UA',3245289472,3245290495),('LU',3245290496,3245291519),('DE',3245291520,3245292543),('UA',3245292544,3245293567),('FI',3245293568,3245294079),('ES',3245294080,3245294591),('RO',3245294592,3245295103),('IT',3245295104,3245296127),('GB',3245296128,3245296639),('TJ',3245296640,3245297151),('IT',3245297152,3245297663),('FR',3245297664,3245297919),('DK',3245297920,3245298175),('GB',3245298176,3245298431),('UA',3245298432,3245298687),('GB',3245298688,3245298943),('UA',3245298944,3245299199),('GB',3245299200,3245299455),('CY',3245299456,3245299711),('DE',3245299712,3245299967),('BG',3245299968,3245300223),('FR',3245300224,3245300479),('RU',3245300480,3245300991),('FI',3245300992,3245301247),('DK',3245301248,3245301503),('BE',3245301504,3245301759),('SK',3245301760,3245302783),('DE',3245302784,3245303807),('SE',3245303808,3245304831),('DE',3245304832,3245306367),('UA',3245306368,3245306879),('RU',3245306880,3245307391),('FI',3245307392,3245307903),('RO',3245307904,3245308415),('ES',3245308416,3245308927),('SE',3245308928,3245309439),('UA',3245309440,3245309951),('CZ',3245309952,3245311999),('GB',3245312000,3245314047),('PL',3245314048,3245315071),('IT',3245315072,3245316095),('SE',3245316096,3245317119),('UA',3245317120,3245318143),('IT',3245318144,3245318399),('RO',3245318400,3245318655),('DK',3245318656,3245318911),('DE',3245318912,3245319167),('HR',3245319168,3245319423),('SE',3245319424,3245319679),('PL',3245319680,3245319935),('DE',3245319936,3245320191),('GB',3245320192,3245320703),('DE',3245320704,3245320959),('IE',3245320960,3245321215),('NL',3245321216,3245321471),('UA',3245321472,3245321727),('PL',3245321728,3245321983),('DE',3245321984,3245322239),('RU',3245322240,3245323263),('GB',3245323264,3245325311),('UA',3245325312,3245326335),('SI',3245326336,3245326847),('BG',3245326848,3245327359),('CH',3245327360,3245327871),('DE',3245327872,3245328383),('GB',3245328384,3245328895),('CH',3245328896,3245329407),('UA',3245329408,3245329919),('DE',3245329920,3245333503),('SI',3245333504,3245334527),('HU',3245334528,3245334783),('BE',3245334784,3245335039),('GB',3245335040,3245335551),('BE',3245335552,3245335807),('RO',3245335808,3245336063),('GB',3245336064,3245336575),('RO',3245336576,3245336831),('DE',3245336832,3245337087),('GB',3245337088,3245337343),('BE',3245337344,3245337599),('PL',3245337600,3245337855),('DE',3245337856,3245338367),('UA',3245338368,3245339647),('LV',3245339648,3245340671),('UA',3245340672,3245341695),('RU',3245341696,3245342719),('GB',3245342720,3245867007),('IE',3245867008,3245878303),('US',3245878304,3245878335),('IE',3245878336,3245888703),('US',3245888704,3245888767),('IE',3245888768,3245894719),('US',3245894720,3245894751),('IE',3245894752,3245896311),('GB',3245896312,3245896319),('IE',3245896320,3245896991),('US',3245896992,3245897007),('IE',3245897008,3245899343),('GB',3245899344,3245899351),('IE',3245899352,3245901831),('GB',3245901832,3245901839),('IE',3245901840,3245902887),('GB',3245902888,3245902895),('IE',3245902896,3245902903),('GB',3245902904,3245902911),('IE',3245902912,3245903959),('FR',3245903960,3245903967),('IE',3245903968,3245906367),('GB',3245906368,3245906431),('IE',3245906432,3245910831),('GB',3245910832,3245910847),('IE',3245910848,3245931263),('GB',3245931264,3245931519),('IE',3245931520,3245932543),('BE',3245932544,3245998079),('GB',3245998080,3246100351),('DE',3246100352,3246100367),('GB',3246100368,3246128479),('DE',3246128480,3246128495),('GB',3246128496,3246129151),('RU',3246129152,3246141439),('UA',3246141440,3246141695),('RU',3246141696,3246142975),('UA',3246142976,3246143231),('RU',3246143232,3246143743),('UA',3246143744,3246143999),('RU',3246144000,3246144255),('UA',3246144256,3246145023),('RU',3246145024,3246147839),('UA',3246147840,3246148095),('RU',3246148096,3246148607),('UA',3246148608,3246149631),('RU',3246149632,3246260223),('PT',3246260224,3246325759),('ES',3246325760,3246328831),('EU',3246328832,3246329087),('ES',3246329088,3246329855),('EU',3246329856,3246350847),('ES',3246350848,3246351103),('EU',3246351104,3246351615),('ES',3246351616,3246352639),('EU',3246352640,3246375159),('GB',3246375160,3246375423),('EU',3246375424,3246378495),('ES',3246378496,3246379007),('EU',3246379008,3246391295),('GB',3246391296,3246418887),('SE',3246418888,3246418895),('GB',3246418896,3246419455),('IT',3246419456,3246419463),('GB',3246419464,3246475535),('A2',3246475536,3246475551),('GB',3246475552,3246537887),('A2',3246537888,3246537903),('GB',3246537904,3246613503),('HU',3246613504,3246614527),('GB',3246614528,3246784511),('CH',3246784512,3246915583),('PT',3246915584,3247046655),('AT',3247046656,3247046911),('SI',3247046912,3247048703),('EE',3247048704,3247048959),('SI',3247048960,3247049215),('DE',3247049216,3247054079),('CH',3247054080,3247054335),('TR',3247054336,3247054591),('DE',3247054592,3247054847),('SI',3247054848,3247063039),('FR',3247063040,3247063295),('GR',3247063296,3247063551),('DE',3247063552,3247063807),('BG',3247063808,3247064063),('DE',3247064064,3247064319),('CH',3247064320,3247064575),('RU',3247064576,3247064831),('SE',3247064832,3247065087),('US',3247065088,3247065343),('CH',3247065344,3247065599),('SE',3247065600,3247065855),('GB',3247065856,3247066111),('DK',3247066112,3247066367),('UA',3247066368,3247066623),('CZ',3247066624,3247066879),('RU',3247066880,3247067135),('DE',3247067136,3247067647),('RU',3247067648,3247067903),('CH',3247067904,3247068159),('UA',3247068160,3247068415),('RO',3247068416,3247068671),('GB',3247068672,3247068927),('UA',3247068928,3247069183),('DE',3247069184,3247069439),('RU',3247069440,3247069695),('FR',3247069696,3247069951),('DE',3247069952,3247070207),('IL',3247070208,3247070463),('UA',3247070464,3247070719),('AT',3247070720,3247070975),('GB',3247070976,3247071231),('DE',3247071232,3247071487),('RO',3247071488,3247072255),('IE',3247072256,3247072511),('BE',3247072512,3247072767),('SE',3247072768,3247073023),('RO',3247073024,3247073279),('DE',3247073280,3247073535),('AT',3247073536,3247073791),('CZ',3247073792,3247074047),('GB',3247074048,3247074303),('DE',3247074304,3247074559),('SE',3247074560,3247074815),('PL',3247074816,3247075071),('IE',3247075072,3247075327),('DE',3247075328,3247075839),('UA',3247075840,3247076095),('DK',3247076096,3247076351),('RU',3247076352,3247076607),('DE',3247076608,3247076863),('PL',3247076864,3247077119),('DE',3247077120,3247077375),('GB',3247077376,3247077631),('NL',3247077632,3247077887),('UA',3247077888,3247078143),('AT',3247078144,3247078399),('DK',3247078400,3247078655),('HU',3247078656,3247078911),('FI',3247078912,3247079167),('HU',3247079168,3247079423),('RU',3247079424,3247080447),('UA',3247080448,3247081471),('PL',3247081472,3247083519),('UA',3247083520,3247084543),('RU',3247084544,3247086591),('NL',3247086592,3247087615),('IT',3247087616,3247088639),('DE',3247088640,3247089663),('RO',3247089664,3247090687),('LV',3247090688,3247091711),('RU',3247091712,3247092735),('DE',3247092736,3247093759),('UA',3247093760,3247094783),('LV',3247094784,3247095807),('RO',3247095808,3247097855),('FI',3247097856,3247098879),('NL',3247098880,3247099903),('PL',3247099904,3247100927),('CH',3247100928,3247101951),('SE',3247101952,3247102975),('NL',3247102976,3247106047),('RU',3247106048,3247107071),('UA',3247107072,3247108095),('PL',3247108096,3247109119),('UA',3247109120,3247110143),('NL',3247110144,3247111167),('DE',3247111168,3247112191),('FR',3247112192,3247177727),('TR',3247177728,3247243263),('DE',3247243264,3247244287),('NL',3247244288,3247244967),('DE',3247244968,3247244975),('NL',3247244976,3247245343),('DE',3247245344,3247245351),('NL',3247245352,3247245943),('DE',3247245944,3247245951),('NL',3247245952,3247246047),('DE',3247246048,3247246055),('NL',3247246056,3247246959),('DE',3247246960,3247246967),('NL',3247246968,3247247679),('DE',3247247680,3247247687),('NL',3247247688,3247247775),('DE',3247247776,3247247783),('NL',3247247784,3247248383),('DE',3247248384,3247250431),('NL',3247250432,3247250559),('DE',3247250560,3247250567),('NL',3247250568,3247250855),('DE',3247250856,3247250863),('NL',3247250864,3247251511),('DE',3247251512,3247251519),('NL',3247251520,3247251687),('DE',3247251688,3247251695),('NL',3247251696,3247253503),('DE',3247253504,3247255303),('NL',3247255304,3247255927),('DE',3247255928,3247255935),('NL',3247255936,3247256055),('DE',3247256056,3247256063),('NL',3247256064,3247256831),('DE',3247256832,3247260671),('NL',3247260672,3247260991),('DE',3247260992,3247260999),('NL',3247261000,3247261103),('DE',3247261104,3247261111),('NL',3247261112,3247261751),('DE',3247261752,3247261759),('NL',3247261760,3247262015),('DE',3247262016,3247262023),('NL',3247262024,3247262191),('DE',3247262192,3247262199),('NL',3247262200,3247262303),('DE',3247262304,3247262311),('NL',3247262312,3247262351),('DE',3247262352,3247262359),('NL',3247262360,3247262871),('DE',3247262872,3247262879),('NL',3247262880,3247263079),('DE',3247263080,3247263087),('NL',3247263088,3247263119),('DE',3247263120,3247263127),('NL',3247263128,3247263135),('DE',3247263136,3247263143),('NL',3247263144,3247263151),('DE',3247263152,3247263159),('NL',3247263160,3247263423),('DE',3247263424,3247263431),('NL',3247263432,3247263455),('DE',3247263456,3247263463),('NL',3247263464,3247263535),('DE',3247263536,3247263543),('NL',3247263544,3247263975),('DE',3247263976,3247263983),('NL',3247263984,3247264015),('DE',3247264016,3247264023),('NL',3247264024,3247264071),('DE',3247264072,3247264079),('NL',3247264080,3247264127),('DE',3247264128,3247264135),('NL',3247264136,3247264191),('DE',3247264192,3247264199),('NL',3247264200,3247264215),('DE',3247264216,3247264223),('NL',3247264224,3247264591),('DE',3247264592,3247264599),('NL',3247264600,3247265055),('DE',3247265056,3247265063),('NL',3247265064,3247265487),('DE',3247265488,3247265495),('NL',3247265496,3247266047),('DE',3247266048,3247266055),('NL',3247266056,3247266143),('DE',3247266144,3247266151),('NL',3247266152,3247266311),('DE',3247266312,3247266319),('NL',3247266320,3247266559),('DE',3247266560,3247271679),('NL',3247271680,3247271703),('DE',3247271704,3247271711),('NL',3247271712,3247271759),('DE',3247271760,3247271767),('NL',3247271768,3247271903),('DE',3247271904,3247271911),('NL',3247271912,3247272311),('DE',3247272312,3247272319),('NL',3247272320,3247272375),('DE',3247272376,3247272383),('NL',3247272384,3247272503),('DE',3247272504,3247272511),('NL',3247272512,3247273103),('DE',3247273104,3247273111),('NL',3247273112,3247274239),('DE',3247274240,3247274495),('NL',3247274496,3247274743),('DE',3247274744,3247274751),('NL',3247274752,3247274887),('DE',3247274888,3247274895),('NL',3247274896,3247274943),('DE',3247274944,3247274951),('NL',3247274952,3247275263),('DE',3247275264,3247276031),('NL',3247276032,3247276591),('DE',3247276592,3247276599),('NL',3247276600,3247277063),('DE',3247277064,3247277071),('NL',3247277072,3247277215),('DE',3247277216,3247277223),('NL',3247277224,3247277303),('DE',3247277304,3247277311),('NL',3247277312,3247277719),('DE',3247277720,3247277727),('NL',3247277728,3247277903),('DE',3247277904,3247277911),('NL',3247277912,3247278191),('DE',3247278192,3247278199),('NL',3247278200,3247278575),('DE',3247278576,3247278583),('NL',3247278584,3247278687),('DE',3247278688,3247278695),('NL',3247278696,3247278847),('DE',3247278848,3247280127),('NL',3247280128,3247280295),('DE',3247280296,3247280303),('NL',3247280304,3247280327),('DE',3247280328,3247280351),('NL',3247280352,3247280471),('DE',3247280472,3247280479),('NL',3247280480,3247280847),('DE',3247280848,3247280855),('NL',3247280856,3247280951),('DE',3247280952,3247280959),('NL',3247280960,3247281111),('DE',3247281112,3247281119),('NL',3247281120,3247281375),('DE',3247281376,3247281383),('NL',3247281384,3247281431),('DE',3247281432,3247281439),('NL',3247281440,3247281455),('DE',3247281456,3247281463),('NL',3247281464,3247282719),('DE',3247282720,3247282735),('NL',3247282736,3247283055),('DE',3247283056,3247283063),('NL',3247283064,3247283399),('DE',3247283400,3247283407),('NL',3247283408,3247283439),('DE',3247283440,3247283447),('NL',3247283448,3247283567),('DE',3247283568,3247283575),('NL',3247283576,3247283671),('DE',3247283672,3247283679),('NL',3247283680,3247283711),('DE',3247283712,3247283719),('NL',3247283720,3247284167),('DE',3247284168,3247284175),('NL',3247284176,3247284607),('DE',3247284608,3247284615),('NL',3247284616,3247285551),('DE',3247285552,3247285559),('NL',3247285560,3247285663),('DE',3247285664,3247285671),('NL',3247285672,3247285999),('DE',3247286000,3247286007),('NL',3247286008,3247286079),('DE',3247286080,3247286095),('NL',3247286096,3247286703),('DE',3247286704,3247286711),('NL',3247286712,3247287031),('DE',3247287032,3247287039),('NL',3247287040,3247287079),('DE',3247287080,3247287087),('NL',3247287088,3247287183),('DE',3247287184,3247287191),('NL',3247287192,3247287199),('DE',3247287200,3247287207),('NL',3247287208,3247288007),('DE',3247288008,3247288015),('NL',3247288016,3247288215),('DE',3247288216,3247288223),('NL',3247288224,3247288319),('DE',3247288320,3247302655),('NL',3247302656,3247302711),('DE',3247302712,3247302719),('NL',3247302720,3247303127),('DE',3247303128,3247303135),('NL',3247303136,3247303655),('DE',3247303656,3247303663),('NL',3247303664,3247303711),('DE',3247303712,3247303719),('NL',3247303720,3247304183),('DE',3247304184,3247304191),('NL',3247304192,3247304335),('DE',3247304336,3247304343),('NL',3247304344,3247304751),('DE',3247304752,3247304759),('NL',3247304760,3247304855),('DE',3247304856,3247304863),('NL',3247304864,3247305391),('DE',3247305392,3247305399),('NL',3247305400,3247306015),('DE',3247306016,3247306023),('NL',3247306024,3247306199),('DE',3247306200,3247306207),('NL',3247306208,3247306487),('DE',3247306488,3247306495),('NL',3247306496,3247306583),('DE',3247306584,3247306591),('NL',3247306592,3247306759),('DE',3247306760,3247306767),('NL',3247306768,3247306775),('DE',3247306776,3247306783),('NL',3247306784,3247306799),('DE',3247306800,3247306807),('NL',3247306808,3247306975),('DE',3247306976,3247306983),('NL',3247306984,3247306991),('DE',3247306992,3247306999),('NL',3247307000,3247307175),('DE',3247307176,3247307183),('NL',3247307184,3247307543),('DE',3247307544,3247307551),('NL',3247307552,3247308079),('DE',3247308080,3247308087),('NL',3247308088,3247308119),('DE',3247308120,3247308127),('NL',3247308128,3247308311),('DE',3247308312,3247308327),('NL',3247308328,3247308727),('DE',3247308728,3247308735),('NL',3247308736,3247308799),('BG',3247308800,3247309055),('FI',3247309056,3247316479),('NO',3247316480,3247316735),('FI',3247316736,3247322367),('DE',3247322368,3247322623),('FI',3247322624,3247323135),('RU',3247323136,3247323647),('FI',3247323648,3247324415),('AT',3247324416,3247324671),('CH',3247324672,3247324927),('FI',3247324928,3247333631),('DE',3247333632,3247333887),('FI',3247333888,3247334399),('NO',3247334400,3247334655),('FI',3247334656,3247335167),('DK',3247335168,3247335423),('FI',3247335424,3247336447),('NO',3247336448,3247337471),('PL',3247337472,3247337983),('FI',3247337984,3247338239),('PL',3247338240,3247338495),('SI',3247338496,3247338751),('GB',3247338752,3247339519),('FI',3247339520,3247340543),('UA',3247340544,3247340799),('CH',3247340800,3247341055),('FI',3247341056,3247341311),('GB',3247341312,3247341567),('FI',3247341568,3247345919),('HU',3247345920,3247346175),('FI',3247346176,3247346943),('SI',3247346944,3247347199),('FI',3247347200,3247347455),('IL',3247347456,3247347711),('FI',3247347712,3247347967),('HU',3247347968,3247348223),('FI',3247348224,3247348991),('DE',3247348992,3247349247),('FI',3247349248,3247362047),('RO',3247362048,3247362303),('HU',3247362304,3247362559),('PL',3247362560,3247362815),('DK',3247362816,3247363071),('GB',3247363072,3247363327),('UA',3247363328,3247363583),('HU',3247363584,3247363839),('NL',3247363840,3247364095),('GB',3247364096,3247364351),('ES',3247364352,3247364607),('UA',3247364608,3247365119),('GB',3247365120,3247365375),('UA',3247365376,3247365631),('SA',3247365632,3247365887),('DE',3247365888,3247366143),('FI',3247366144,3247371007),('PL',3247371008,3247371263),('LT',3247371264,3247371519),('GB',3247371520,3247371775),('FI',3247371776,3247374335),('RU',3247374336,3247374591),('FI',3247374592,3247394047),('PL',3247394048,3247394303),('FI',3247394304,3247399423),('RU',3247399424,3247399679),('FI',3247399680,3247404799),('RU',3247404800,3247405055),('RO',3247405056,3247405311),('PL',3247405312,3247405567),('DE',3247405568,3247405823),('FI',3247405824,3247432191),('TR',3247432192,3247432447),('FI',3247432448,3247438079),('IT',3247438080,3247438335),('FI',3247438336,3247439871),('ES',3247439872,3247702015),('RO',3247702016,3247702271),('ES',3247702272,3247704831),('GB',3247704832,3247705087),('ES',3247705088,3247705855),('RU',3247705856,3247706111),('ES',3247706112,3247711743),('IT',3247711744,3247712255),('ES',3247712256,3247713279),('RU',3247713280,3247713535),('BE',3247713536,3247713791),('SK',3247713792,3247714047),('RU',3247714048,3247714303),('CH',3247714304,3247716351),('ES',3247716352,3247717887),('CH',3247717888,3247718399),('ES',3247718400,3247769599),('DE',3247769600,3247771647),('ES',3247771648,3247775743),('DE',3247775744,3247779647),('IE',3247779648,3247779839),('DE',3247779840,3247783935),('GB',3247783936,3247792127),('FR',3247792128,3247800319),('DK',3247800320,3247816703),('BE',3247816704,3247817471),('CH',3247817472,3247817727),('BE',3247817728,3247820799),('CH',3247820800,3247822335),('DE',3247822336,3247823103),('AT',3247823104,3247823871),('BE',3247823872,3247825151),('CH',3247825152,3247825919),('BE',3247825920,3247826943),('CH',3247826944,3247828991),('BE',3247828992,3247833087),('RU',3247833088,3247865855),('GB',3247865856,3247871999),('NL',3247872000,3247875327),('TR',3247875328,3247875583),('DE',3247875584,3247876095),('PL',3247876096,3247876351),('FR',3247876352,3247876607),('ES',3247876608,3247876863),('DE',3247876864,3247877119),('GR',3247877120,3247877631),('AT',3247877632,3247879167),('GB',3247879168,3247882239),('SE',3247882240,3247898623),('RU',3247898624,3247899647),('DE',3247899648,3247900671),('PL',3247900672,3247901695),('UA',3247901696,3247902719),('GB',3247902720,3247903743),('BG',3247903744,3247904767),('PL',3247904768,3247905791),('RO',3247905792,3247906815),('DE',3247906816,3247907839),('PL',3247907840,3247908863),('BY',3247908864,3247909887),('DE',3247909888,3247910911),('PL',3247910912,3247912959),('UA',3247912960,3247913983),('DE',3247913984,3247915007),('PL',3247915008,3247917055),('NL',3247917056,3247918079),('PL',3247918080,3247919103),('BG',3247919104,3247920127),('FR',3247920128,3247921151),('RU',3247921152,3247922175),('SE',3247922176,3247923199),('PL',3247923200,3247925247),('UA',3247925248,3247926271),('RU',3247926272,3247927295),('PL',3247927296,3247928319),('HU',3247928320,3247929343),('GB',3247929344,3247931391),('FR',3247931392,3247960063),('UA',3247960064,3247962111),('DE',3247962112,3247963135),('UA',3247963136,3247964159),('ES',3247964160,3248095231),('AT',3248095232,3248095823),('HU',3248095824,3248095831),('AT',3248095832,3248160767),('DE',3248160768,3248226303),('NO',3248226304,3248235007),('PK',3248235008,3248235263),('NO',3248235264,3248357375),('DE',3248357376,3248358367),('LU',3248358368,3248358383),('DE',3248358384,3248370511),('AT',3248370512,3248370519),('DE',3248370520,3248371743),('PL',3248371744,3248371751),('DE',3248371752,3248372239),('AT',3248372240,3248372247),('CH',3248372248,3248372255),('AT',3248372256,3248372263),('NL',3248372264,3248372271),('DE',3248372272,3248372319),('BE',3248372320,3248372327),('DE',3248372328,3248417311),('ES',3248417312,3248417343),('DE',3248417344,3248488447),('NO',3248488448,3248525311),('DE',3248525312,3248525567),('DK',3248525568,3248525823),('NO',3248525824,3248619519),('DK',3248619520,3248638463),('GB',3248638464,3248638719),('DK',3248638720,3248750591),('PT',3248750592,3248750847),('PL',3248750848,3248752383),('NL',3248752384,3248752639),('DE',3248752640,3248752895),('TR',3248752896,3248753151),('GB',3248753152,3248753663),('FR',3248753664,3248753919),('GB',3248753920,3248754431),('AT',3248754432,3248754687),('PL',3248754688,3248758783),('SE',3248758784,3248774143),('UA',3248774144,3248775167),('GB',3248775168,3248783615),('PL',3248783616,3248783871),('UA',3248783872,3248784127),('DE',3248784128,3248785407),('RO',3248785408,3248785663),('SI',3248785664,3248786943),('PL',3248786944,3248787199),('DE',3248787200,3248787455),('NL',3248787456,3248787711),('CH',3248787712,3248787967),('RU',3248787968,3248788223),('ES',3248788224,3248788479),('FR',3248788480,3248788735),('UA',3248788736,3248788991),('FR',3248788992,3248789503),('RO',3248789504,3248789759),('FR',3248789760,3248790015),('DE',3248790016,3248790271),('DK',3248790272,3248790527),('FR',3248790528,3248790783),('PL',3248790784,3248791039),('BE',3248791040,3248791295),('DE',3248791296,3248791551),('GB',3248791552,3248792319),('EU',3248792320,3248796607),('GB',3248796608,3248796863),('EU',3248796864,3248798647),('GB',3248798648,3248798651),('EU',3248798652,3248798975),('GB',3248798976,3248799231),('EU',3248799232,3248799735),('GB',3248799736,3248807935),('AT',3248807936,3248808447),('GR',3248808448,3248808959),('FR',3248808960,3248810079),('UA',3248810080,3248810111),('RU',3248810112,3248810143),('HR',3248810144,3248810175),('FR',3248810176,3248810207),('GB',3248810208,3248810239),('CH',3248810240,3248810495),('AT',3248810496,3248812543),('GB',3248812544,3248813055),('CH',3248813056,3248813567),('DE',3248813568,3248814079),('DK',3248814080,3248815103),('GB',3248815104,3248815615),('CZ',3248816128,3248881663),('FI',3248881664,3249012735),('DE',3249012736,3249012991),('LU',3249012992,3249014271),('EU',3249014272,3249014783),('LU',3249014784,3249025535),('FR',3249025536,3249025791),('LU',3249025792,3249026559),('EU',3249026560,3249026815),('LU',3249026816,3249045503),('DE',3249045504,3249078271),('GB',3249078272,3249143807),('AT',3249143808,3249274879),('NL',3249274880,3249277759),('BG',3249277760,3249277775),('NL',3249277776,3249290143),('BG',3249290144,3249290159),('NL',3249290160,3249330111),('BG',3249330112,3249330143),('NL',3249330144,3249350095),('BG',3249350096,3249350111),('NL',3249350112,3249405951),('DE',3249405952,3249406975),('IT',3249406976,3249407231),('DE',3249407232,3249521279),('UA',3249521280,3249521343),('DE',3249521344,3249537023),('PT',3249537024,3249537279),('NL',3249537280,3249537791),('GB',3249537792,3249538047),('NL',3249538048,3249551359),('GB',3249551360,3249552639),('NL',3249552640,3249668095),('IE',3249668096,3249676799),('UA',3249676800,3249677055),('SE',3249677056,3249677311),('IE',3249677312,3249679103),('CH',3249679104,3249679359),('IE',3249679360,3249683455),('SE',3249683456,3249684479),('IE',3249684480,3249698047),('PL',3249698048,3249698303),('HU',3249698304,3249698815),('GB',3249698816,3249699839),('UA',3249699840,3249700863),('SE',3249700864,3249701631),('GR',3249701632,3249701887),('PL',3249701888,3249702143),('FI',3249702144,3249702399),('FR',3249702400,3249702655),('RU',3249702656,3249702911),('FR',3249702912,3249703679),('GB',3249703680,3249703935),('FR',3249703936,3249704191),('RO',3249704192,3249704447),('DE',3249704448,3249704703),('PL',3249704704,3249704959),('UA',3249704960,3249705983),('AT',3249705984,3249706495),('LV',3249706496,3249707007),('BG',3249707008,3249707519),('FR',3249707520,3249708031),('CH',3249708032,3249708543),('RU',3249708544,3249709055),('AT',3249709056,3249709311),('PL',3249709312,3249709567),('UA',3249709568,3249709823),('DE',3249709824,3249710079),('PL',3249710080,3249710335),('RO',3249710336,3249710591),('BG',3249710592,3249710847),('PL',3249710848,3249711103),('HU',3249711104,3249711359),('DE',3249711360,3249711871),('AT',3249711872,3249712127),('UA',3249712128,3249712383),('GB',3249712384,3249712639),('BE',3249712640,3249712895),('DK',3249712896,3249713151),('LV',3249713152,3249715199),('AT',3249715200,3249715455),('DE',3249715456,3249715711),('FR',3249715712,3249715967),('UA',3249715968,3249716223),('SI',3249716224,3249716479),('NL',3249716480,3249716735),('UA',3249716736,3249717247),('LV',3249717248,3249718271),('DE',3249718272,3249719295),('GB',3249719296,3249720319),('IT',3249720320,3249721343),('AT',3249721344,3249721599),('BE',3249721600,3249721855),('FR',3249721856,3249722623),('PL',3249722624,3249723135),('GB',3249723136,3249723391),('IT',3249723392,3249723647),('GB',3249723648,3249723903),('TR',3249723904,3249724159),('LU',3249724160,3249724415),('IL',3249724416,3249724671),('SE',3249724672,3249724927),('BG',3249724928,3249725183),('GB',3249725184,3249725439),('RO',3249725440,3249725951),('DE',3249725952,3249726463),('UA',3249726464,3249726975),('IT',3249726976,3249727487),('LV',3249727488,3249727999),('IT',3249728000,3249728511),('UA',3249728512,3249729023),('GB',3249729024,3249729535),('PL',3249729536,3249730559),('IT',3249730560,3249731583),('UA',3249731584,3249732607),('IT',3249732608,3249733631),('CZ',3249733632,3249799167),('SE',3249799168,3250061311),('FI',3250061312,3250192383),('AT',3250192384,3250192639),('RU',3250192640,3250192895),('IL',3250192896,3250193151),('DE',3250193152,3250193407),('PL',3250193408,3250193663),('AT',3250193664,3250194175),('DE',3250194176,3250194431),('FR',3250194432,3250194687),('UA',3250194688,3250194943),('RO',3250194944,3250195455),('DE',3250195456,3250195711),('GB',3250195712,3250196223),('UA',3250196224,3250196479),('AT',3250196480,3250200575),('HU',3250200576,3250200831),('RO',3250200832,3250201087),('RU',3250201088,3250201343),('DK',3250201344,3250201599),('AT',3250201600,3250233855),('GB',3250233856,3250234111),('GR',3250234112,3250234367),('AT',3250234368,3250245631),('TR',3250245632,3250245887),('AT',3250245888,3250246143),('GB',3250246144,3250246399),('AT',3250246400,3250257663),('PL',3250257664,3250257919),('DE',3250257920,3250258175),('AT',3250258176,3250323199),('RU',3250323200,3250323455),('PL',3250323456,3250323711),('SA',3250323712,3250324479),('GB',3250324480,3250324991),('AE',3250324992,3250325247),('MA',3250325248,3250325503),('OM',3250325504,3250326527),('BH',3250326528,3250327039),('SA',3250327040,3250331647),('MT',3250331648,3250335743),('KW',3250335744,3250339839),('JO',3250339840,3250348031),('BH',3250348032,3250356223),('LB',3250356224,3250357247),('GB',3250357248,3250357823),('FR',3250357824,3250357855),('EE',3250357856,3250357871),('GB',3250357888,3250357919),('PL',3250357920,3250357927),('CY',3250357928,3250357959),('GB',3250357960,3250358015),('LB',3250358016,3250358527),('HU',3250358528,3250358783),('LB',3250358784,3250359295),('HU',3250359296,3250359807),('KW',3250359808,3250362879),('DE',3250362880,3250363391),('EU',3250363392,3250363903),('DE',3250363904,3250364415),('KW',3250364416,3250372607),('HU',3250372608,3250373375),('GB',3250373376,3250373631),('DE',3250373632,3250374143),('TR',3250374144,3250374655),('SA',3250374656,3250374911),('SE',3250374912,3250375679),('GB',3250375680,3250376703),('AT',3250376704,3250380799),('DK',3250380800,3250381055),('CH',3250381056,3250386943),('SE',3250386944,3250387199),('FR',3250387200,3250387455),('DE',3250387456,3250387711),('FR',3250387712,3250387967),('JO',3250387968,3250388223),('PL',3250388224,3250388479),('UA',3250388480,3250388735),('FR',3250388736,3250388991),('NG',3250388992,3250405887),('IE',3250405888,3250406399),('RU',3250406400,3250406911),('RO',3250406912,3250407423),('PL',3250407424,3250407935),('GB',3250407936,3250408447),('PL',3250408448,3250408959),('DE',3250408960,3250409471),('GB',3250409472,3250409983),('DE',3250409984,3250410495),('AT',3250410496,3250411007),('LT',3250411008,3250411519),('RU',3250411520,3250412031),('FR',3250412032,3250412543),('DK',3250412544,3250413055),('DE',3250413056,3250413567),('UA',3250413568,3250414079),('RO',3250414080,3250414591),('DE',3250414592,3250415103),('NL',3250415104,3250415615),('FR',3250415616,3250416127),('DE',3250416128,3250417663),('IT',3250417664,3250418175),('DE',3250418176,3250418687),('PL',3250418688,3250419199),('NO',3250419200,3250419711),('RU',3250419712,3250420223),('IR',3250420224,3250420735),('FR',3250420736,3250421247),('UA',3250421248,3250421759),('NG',3250421760,3250422015),('GB',3250422016,3250423295),('NL',3250423296,3250423551),('BE',3250423552,3250423807),('AT',3250423808,3250424063),('DE',3250424064,3250424319),('NL',3250424320,3250424831),('GB',3250424832,3250425343),('TR',3250425344,3250425599),('FR',3250425600,3250425855),('LT',3250425856,3250426111),('NO',3250426112,3250426367),('AT',3250426368,3250426623),('BE',3250426624,3250426879),('JO',3250426880,3250427135),('NL',3250427136,3250427391),('DE',3250427392,3250429951),('SI',3250429952,3250438143),('FR',3250438144,3250438207),('CH',3250438208,3250438399),('FR',3250438400,3250438431),('CH',3250438432,3250443519),('DE',3250443520,3250443527),('CH',3250443528,3250443543),('DE',3250443544,3250443551),('CH',3250443552,3250446335),('DE',3250446336,3250451583),('AT',3250451584,3250451599),('DE',3250451600,3250454527),('BE',3250454528,3250585599),('NL',3250585600,3250585855),('PT',3250585856,3250588671),('IE',3250588672,3250588799),('AT',3250588800,3250588927),('GB',3250588928,3250589183),('DE',3250589184,3250589439),('IE',3250589440,3250589471),('NL',3250589472,3250589503),('HR',3250589504,3250589567),('UA',3250589568,3250589631),('NO',3250589632,3250589695),('CH',3250589696,3250593791),('GB',3250593792,3250594815),('UA',3250594816,3250595327),('GR',3250595328,3250595839),('DE',3250595840,3250596351),('RO',3250596352,3250597887),('BG',3250597888,3250598399),('GB',3250598400,3250598911),('RO',3250598912,3250599423),('SE',3250599424,3250599935),('BG',3250599936,3250600447),('DE',3250600448,3250601471),('PL',3250601472,3250601983),('GB',3250601984,3250610175),('TR',3250610176,3250618367),('RU',3250618368,3250626559),('PL',3250626560,3250634751),('GB',3250634752,3250642943),('CH',3250642944,3250651135),('IT',3250651136,3250659327),('EU',3250659328,3250667519),('PL',3250667520,3250675711),('GB',3250675712,3250683903),('CH',3250683904,3250692095),('NO',3250692096,3250692351),('NL',3250692352,3250692607),('BG',3250692608,3250693375),('IE',3250693376,3250694399),('GB',3250694400,3250694655),('SK',3250694656,3250694911),('NL',3250694912,3250695167),('IT',3250695168,3250695679),('DE',3250695680,3250697471),('PL',3250697472,3250697727),('BG',3250697728,3250697983),('IT',3250697984,3250698239),('GR',3250698240,3250698751),('GB',3250698752,3250699775),('DE',3250699776,3250700287),('UA',3250700288,3250708479),('KZ',3250708480,3250716671),('RO',3250716672,3250716927),('MA',3250716928,3250718207),('DE',3250718208,3250720767),('IT',3250720768,3250722047),('RO',3250722048,3250722303),('GB',3250722304,3250724863),('MA',3250724864,3250733055),('DZ',3250733056,3250741247),('EU',3250741248,3250749439),('GH',3250749440,3250749695),('IT',3250749696,3250749951),('RO',3250749952,3250750463),('FR',3250750464,3250751487),('DE',3250751744,3250751999),('CH',3250752000,3250752511),('BG',3250752512,3250753023),('DE',3250753024,3250754047),('AT',3250754048,3250754303),('GB',3250754304,3250754479),('IE',3250754480,3250754495),('GB',3250754496,3250754559),('DE',3250754560,3250755071),('GB',3250755072,3250755583),('FR',3250755584,3250755839),('RU',3250755840,3250756351),('PT',3250756352,3250756607),('BG',3250756608,3250756863),('DE',3250756864,3250757119),('BE',3250757120,3250757375),('HU',3250757376,3250757631),('GH',3250757632,3250765823),('SE',3250765824,3250782207),('GB',3250782208,3250847743),('DE',3250847744,3250978815),('HR',3250978816,3251044351),('FI',3251044352,3251109887),('SI',3251109888,3251110143),('BG',3251110144,3251110655),('IT',3251110656,3251110911),('FR',3251110912,3251111167),('CH',3251111168,3251111423),('AT',3251111424,3251111679),('ES',3251111680,3251111935),('BG',3251111936,3251112191),('SK',3251112192,3251112447),('RU',3251112448,3251112703),('SE',3251112704,3251112959),('BG',3251112960,3251113215),('VG',3251113216,3251113471),('BG',3251113472,3251114495),('RU',3251114496,3251114751),('RO',3251114752,3251115007),('PL',3251115008,3251115263),('RU',3251115264,3251115519),('UA',3251115520,3251115775),('BE',3251115776,3251116031),('BG',3251116032,3251116287),('GB',3251116288,3251116543),('DK',3251116544,3251116799),('GB',3251116800,3251117055),('BG',3251117056,3251117311),('NO',3251117312,3251117567),('IL',3251117568,3251117823),('SE',3251117824,3251118079),('UA',3251118080,3251118591),('RU',3251118592,3251119103),('UA',3251119104,3251120127),('KW',3251120128,3251120639),('FR',3251120640,3251121151),('DK',3251121152,3251121663),('PL',3251121664,3251122175),('CH',3251122176,3251122687),('RO',3251122688,3251123199),('FR',3251123200,3251123711),('RO',3251123712,3251124223),('NL',3251124224,3251124735),('FR',3251124736,3251125247),('BE',3251125248,3251125759),('RU',3251125760,3251126271),('UA',3251126272,3251126783),('PL',3251126784,3251127295),('UA',3251127296,3251127807),('NL',3251127808,3251128319),('DE',3251128320,3251128831),('SE',3251128832,3251129343),('UA',3251129344,3251129855),('CH',3251129856,3251130367),('GB',3251130368,3251130879),('PL',3251130880,3251131391),('UA',3251131392,3251131903),('SE',3251131904,3251132415),('RU',3251132416,3251132927),('DK',3251132928,3251133439),('NO',3251133440,3251133951),('RU',3251133952,3251134463),('DE',3251134464,3251134975),('GB',3251134976,3251135999),('RO',3251136000,3251136511),('DK',3251136512,3251137023),('DE',3251137024,3251137535),('PL',3251137536,3251138047),('FR',3251138048,3251138559),('AT',3251138560,3251139071),('FR',3251139584,3251140095),('PL',3251140096,3251141631),('LT',3251141632,3251142143),('RO',3251142144,3251142655),('DE',3251142656,3251142911),('RU',3251142912,3251143167),('AM',3251143168,3251143423),('LV',3251143424,3251143679),('NL',3251143680,3251143935),('PL',3251143936,3251144191),('TR',3251144192,3251144447),('BE',3251144448,3251144703),('HU',3251144704,3251144959),('DE',3251144960,3251145471),('FR',3251145472,3251145727),('NL',3251145728,3251145983),('RO',3251145984,3251146239),('AT',3251146240,3251146495),('SK',3251146496,3251146751),('CH',3251146752,3251147007),('GB',3251147008,3251147263),('PL',3251147264,3251147519),('NL',3251147520,3251147775),('SE',3251147776,3251148031),('RU',3251148032,3251148287),('A1',3251148288,3251148543),('UA',3251148544,3251148799),('HU',3251148800,3251149055),('NL',3251149056,3251149311),('DE',3251149312,3251149567),('IE',3251149568,3251149823),('DE',3251149824,3251150079),('CH',3251150080,3251150335),('GB',3251150336,3251150591),('CH',3251150592,3251150847),('UA',3251150848,3251151359),('DE',3251151360,3251151615),('PL',3251151616,3251151871),('NL',3251151872,3251152127),('RO',3251152128,3251152639),('UA',3251152640,3251152895),('RU',3251152896,3251153151),('UA',3251153152,3251153407),('TR',3251153408,3251153663),('FR',3251153664,3251153919),('DE',3251153920,3251154175),('UA',3251154176,3251154431),('NL',3251154432,3251154687),('UA',3251154688,3251154943),('GB',3251154944,3251155455),('NL',3251155456,3251155711),('UA',3251155712,3251155967),('TR',3251155968,3251156223),('FR',3251156224,3251156735),('UA',3251156736,3251156991),('FR',3251156992,3251157247),('BE',3251157248,3251157503),('PL',3251157504,3251158015),('TR',3251158016,3251158271),('RU',3251158272,3251158527),('UA',3251158528,3251158783),('GB',3251158784,3251159295),('DE',3251159296,3251159551),('ES',3251159552,3251159807),('DE',3251159808,3251160063),('JO',3251160064,3251160319),('PL',3251160320,3251160575),('NL',3251160576,3251160831),('RU',3251160832,3251161087),('RO',3251161088,3251161343),('LV',3251161344,3251161599),('SE',3251161600,3251161855),('HR',3251161856,3251162111),('DK',3251162112,3251162367),('UA',3251162368,3251162623),('DE',3251162624,3251162879),('SI',3251162880,3251163135),('SE',3251163136,3251163391),('UA',3251163392,3251163647),('DE',3251163648,3251163903),('RU',3251163904,3251164159),('UA',3251164160,3251164415),('IT',3251164416,3251164671),('NL',3251164672,3251164927),('PL',3251164928,3251165439),('CH',3251165440,3251165695),('UA',3251165952,3251166207),('CH',3251166208,3251166463),('RU',3251166464,3251166719),('FR',3251166720,3251166975),('CH',3251166976,3251167231),('LV',3251167232,3251167487),('DK',3251167488,3251167743),('FR',3251167744,3251167999),('PL',3251168000,3251168255),('AT',3251168256,3251168511),('UA',3251168512,3251168767),('DE',3251168768,3251169023),('FR',3251169024,3251169279),('PL',3251169280,3251170047),('NO',3251170048,3251170303),('CH',3251170304,3251170559),('DE',3251170560,3251170815),('RU',3251170816,3251171071),('UA',3251171072,3251171327),('DE',3251171328,3251171839),('RO',3251171840,3251172095),('ES',3251172096,3251172351),('RO',3251172352,3251172607),('GB',3251172608,3251172863),('UA',3251172864,3251173119),('SA',3251173120,3251173375),('UA',3251173376,3251173631),('DE',3251173632,3251173887),('DK',3251173888,3251174143),('RU',3251174144,3251174399),('RO',3251174400,3251174655),('DE',3251174656,3251174911),('AT',3251174912,3251175167),('UA',3251175168,3251175423),('FR',3251175424,3251176703),('IT',3251176704,3251176959),('FR',3251176960,3251177471),('DE',3251177472,3251179519),('SE',3251179520,3251180031),('PL',3251180032,3251180543),('RO',3251180544,3251181055),('GR',3251181056,3251181567),('DE',3251181568,3251182079),('UA',3251182080,3251182591),('IT',3251182592,3251183103),('RU',3251183104,3251183615),('NO',3251183616,3251183871),('CH',3251183872,3251184127),('PL',3251184128,3251184383),('DK',3251184384,3251184639),('PL',3251184640,3251184895),('DE',3251184896,3251185407),('DK',3251185408,3251185663),('IT',3251185664,3251185919),('AT',3251185920,3251186175),('GB',3251186176,3251186431),('SE',3251186432,3251186687),('RO',3251186688,3251186943),('SI',3251186944,3251187199),('GR',3251187200,3251187455),('GB',3251187456,3251187711),('NL',3251187712,3251188735),('DE',3251188736,3251189759),('IT',3251189760,3251190783),('UA',3251190784,3251191807),('GB',3251191808,3251192319),('LV',3251192320,3251192831),('BE',3251192832,3251193343),('GB',3251193344,3251193855),('DE',3251193856,3251194367),('NO',3251194368,3251194879),('FR',3251194880,3251195391),('CZ',3251195392,3251195903),('UA',3251195904,3251196927),('CH',3251196928,3251197951),('RU',3251197952,3251198975),('DE',3251198976,3251199999),('SE',3251200000,3251200511),('UA',3251200512,3251201279),('SI',3251201280,3251201535),('AT',3251201536,3251201791),('FR',3251201792,3251202047),('NL',3251202048,3251202303),('PL',3251202304,3251202559),('AT',3251202560,3251202815),('ES',3251202816,3251203327),('SI',3251203328,3251203583),('CZ',3251203584,3251203839),('SE',3251203840,3251204095),('DE',3251204096,3251204607),('BG',3251204608,3251205119),('UA',3251205120,3251205631),('RU',3251205632,3251206143),('GB',3251206144,3251206655),('CH',3251206656,3251207167),('GB',3251207168,3251207679),('RU',3251207680,3251208191),('CY',3251208192,3251209215),('GB',3251209216,3251210239),('PL',3251210240,3251211263),('UA',3251211264,3251212287),('DE',3251212288,3251212415),('FI',3251212416,3251212543),('SE',3251212672,3251212799),('FR',3251212800,3251212927),('LT',3251212928,3251213055),('SE',3251213056,3251213119),('NL',3251213120,3251213151),('DE',3251213152,3251213183),('UA',3251213184,3251213215),('CH',3251213216,3251213247),('GB',3251213248,3251213311),('DE',3251213312,3251213439),('GB',3251213440,3251213503),('DE',3251213504,3251213567),('FR',3251213568,3251213631),('DE',3251213632,3251213695),('LV',3251213696,3251213759),('TR',3251213760,3251213823),('GB',3251213824,3251213887),('FI',3251213888,3251214015),('UA',3251214016,3251214079),('FR',3251214080,3251214143),('MC',3251214144,3251214207),('RU',3251214208,3251214271),('DE',3251214272,3251214335),('RU',3251214336,3251214463),('UA',3251214464,3251214591),('GB',3251214592,3251214975),('RO',3251214976,3251215103),('SI',3251215104,3251215231),('IL',3251215232,3251215359),('UA',3251215360,3251215487),('SE',3251215488,3251215615),('TR',3251215616,3251215743),('GB',3251215744,3251215871),('CH',3251215872,3251215999),('LI',3251216000,3251216127),('FI',3251216128,3251216255),('RU',3251216256,3251216383),('GB',3251216384,3251216639),('RO',3251216640,3251216895),('BE',3251216896,3251217151),('GB',3251217152,3251217407),('PL',3251217408,3251217663),('SI',3251217664,3251217919),('GR',3251217920,3251218175),('PL',3251218176,3251218431),('DE',3251218432,3251219199),('IT',3251219200,3251219455),('BG',3251219456,3251219711),('AT',3251219712,3251220223),('UA',3251220224,3251220479),('DE',3251220480,3251222527),('GB',3251222528,3251224575),('UA',3251224576,3251225087),('FR',3251225088,3251225599),('GB',3251225600,3251226111),('UA',3251226112,3251226623),('GB',3251226624,3251227135),('DE',3251227136,3251227647),('GB',3251227648,3251228159),('UA',3251228160,3251229695),('SI',3251229696,3251230719),('UA',3251230720,3251231743),('NO',3251231744,3251232767),('UA',3251232768,3251233791),('RU',3251233792,3251234815),('RO',3251234816,3251235839),('DE',3251235840,3251236863),('BG',3251236864,3251237887),('DK',3251237888,3251238911),('FR',3251238912,3251239935),('US',3251239936,3251240959),('DE',3251240960,3251241215),('GB',3251241216,3251243007),('BE',3251243008,3251245055),('DE',3251245056,3251245311),('BE',3251245312,3251245567),('TR',3251245568,3251245823),('UA',3251245824,3251246079),('DE',3251246080,3251246335),('RO',3251246592,3251246847),('NL',3251246848,3251247103),('FR',3251247104,3251247359),('DE',3251247360,3251247871),('GB',3251247872,3251248127),('DE',3251248128,3251248383),('SE',3251248384,3251248639),('DE',3251248640,3251248895),('GB',3251248896,3251249151),('US',3251249152,3251251199),('PT',3251251200,3251251455),('GB',3251251456,3251251711),('CH',3251251712,3251251967),('BG',3251251968,3251252223),('AT',3251252224,3251252479),('NL',3251252480,3251252735),('CH',3251252736,3251256831),('HU',3251256832,3251257343),('BE',3251257344,3251259903),('FR',3251259904,3251260671),('BE',3251260672,3251261183),('PT',3251261184,3251261439),('EU',3251261440,3251261951),('HU',3251261952,3251263999),('EU',3251264000,3251264255),('BG',3251264256,3251264511),('IT',3251264512,3251264767),('GB',3251264768,3251265023),('ES',3251265024,3251265279),('DE',3251265280,3251265535),('NL',3251265536,3251267839),('RU',3251267840,3251268095),('GB',3251268096,3251268351),('NL',3251268352,3251269119),('UA',3251269120,3251269375),('FR',3251269376,3251269631),('NL',3251269632,3251269887),('GB',3251269888,3251270143),('PL',3251270144,3251270399),('NL',3251270400,3251270655),('DE',3251270656,3251270911),('PL',3251270912,3251271167),('UA',3251271168,3251271423),('DE',3251271424,3251271679),('TR',3251271680,3251271935),('FR',3251271936,3251272191),('NL',3251272192,3251272447),('AT',3251272448,3251272703),('DE',3251272704,3251272959),('FR',3251272960,3251273471),('DE',3251273472,3251290111),('GB',3251290112,3251302399),('LI',3251302400,3251306239),('CH',3251306240,3251306495),('AT',3251306496,3251306751),('MK',3251306752,3251307007),('RS',3251307008,3251307519),('MK',3251307520,3251307775),('GB',3251307776,3251308031),('RS',3251308032,3251308543),('EU',3251308544,3251310591),('SI',3251310592,3251311103),('RS',3251311104,3251311615),('EU',3251311616,3251312127),('RS',3251312128,3251312383),('CH',3251312384,3251312639),('RS',3251312640,3251313151),('EU',3251313152,3251313663),('RS',3251313664,3251314175),('CH',3251314176,3251314687),('FR',3251314688,3251315711),('RU',3251315712,3251317759),('PL',3251317760,3251318783),('UA',3251318784,3251319807),('HU',3251319808,3251320831),('PL',3251320832,3251321855),('RU',3251321856,3251322879),('GB',3251322880,3251329535),('FR',3251329536,3251329567),('GB',3251329568,3251329727),('FR',3251329728,3251329791),('GB',3251329792,3251330047),('IT',3251330048,3251330079),('GB',3251330080,3251330239),('IT',3251330240,3251330303),('GB',3251330304,3251331071),('FR',3251331072,3251331583),('PL',3251331584,3251332095),('RU',3251332096,3251333119),('IT',3251333120,3251333631),('PT',3251333632,3251334143),('FR',3251334144,3251334655),('UA',3251334656,3251335167),('RU',3251335168,3251335679),('RO',3251335680,3251336191),('GB',3251336192,3251336703),('ES',3251336704,3251337215),('CH',3251337216,3251337727),('DE',3251337728,3251338239),('RU',3251338240,3251339263),('IE',3251339264,3251347455),('DE',3251347456,3251355647),('GB',3251355648,3251356159),('AT',3251356160,3251356671),('EE',3251356672,3251357183),('IL',3251357184,3251357695),('ES',3251357696,3251358207),('RU',3251358208,3251358719),('RO',3251358720,3251359231),('PL',3251359232,3251360255),('GB',3251360256,3251360767),('FR',3251360768,3251361279),('RO',3251361280,3251361791),('AT',3251361792,3251362303),('UA',3251362304,3251362815),('NL',3251362816,3251363327),('PL',3251363328,3251363839),('MK',3251363840,3251364095),('NL',3251364096,3251364607),('IT',3251364864,3251366911),('UA',3251366912,3251367423),('DE',3251367424,3251367935),('GB',3251367936,3251372031),('IT',3251372032,3251604447),('CH',3251604448,3251604455),('IT',3251604456,3251634175),('FI',3251634176,3251661311),('NO',3251661312,3251661567),('FI',3251661568,3251672575),('NL',3251672576,3251672831),('FI',3251672832,3251674879),('BE',3251674880,3251675135),('FI',3251675136,3251691455),('CH',3251691456,3251691463),('FI',3251691464,3251705343),('DK',3251705344,3251705599),('FI',3251705600,3251707391),('SE',3251707392,3251707647),('FI',3251707648,3251710207),('NL',3251710208,3251710215),('FI',3251710216,3251710223),('NL',3251710224,3251710239),('FI',3251710240,3251734271),('CH',3251734272,3251734527),('NL',3251734528,3251734783),('FI',3251734784,3251765247),('NL',3251765248,3251765503),('FI',3251765504,3251774207),('DE',3251774208,3251774463),('FI',3251774464,3251783423),('GB',3251783424,3251783679),('FI',3251783680,3251795455),('GB',3251795456,3251795711),('FI',3251795712,3251802879),('BE',3251802880,3251803135),('FI',3251803136,3251806207),('BE',3251806208,3251815167),('LU',3251815168,3251815679),('BE',3251815680,3251818495),('FI',3251818496,3251850495),('FR',3251850496,3251850751),('CH',3251850752,3251851007),('FI',3251851008,3251896319),('NO',3251896320,3251927991),('NL',3251927992,3251927999),('NO',3251928000,3252015687),('SE',3252015688,3252015695),('NO',3252015696,3252289535),('GR',3252289536,3252291327),('SK',3252291328,3252291583),('FR',3252291584,3252293631),('DE',3252293632,3252297983),('GR',3252297984,3252313599),('SK',3252313600,3252314111),('GR',3252314112,3252314623),('HU',3252314624,3252314879),('GB',3252314880,3252315135),('CH',3252315136,3252316415),('FR',3252316416,3252316671),('GR',3252316672,3252318463),('TR',3252318464,3252318719),('GP',3252318720,3252318975),('PL',3252318976,3252319231),('AT',3252319232,3252319743),('GR',3252319744,3252321791),('DE',3252321792,3252322303),('NO',3252322304,3252323327),('PL',3252323328,3252324351),('RU',3252324352,3252326399),('UA',3252326400,3252327423),('PL',3252327424,3252329471),('UA',3252329472,3252330495),('GB',3252330496,3252338687),('BE',3252338688,3252340735),('TR',3252340736,3252340991),('GR',3252340992,3252342015),('GB',3252342016,3252342079),('IR',3252342080,3252342143),('GB',3252342208,3252342239),('DE',3252342784,3252346367),('GB',3252346368,3252346623),('GR',3252346624,3252355071),('GB',3252355072,3252355327),('LT',3252355328,3252358911),('GB',3252358912,3252358927),('DE',3252358928,3252359167),('DK',3252359168,3252362239),('PL',3252362240,3252362495),('IT',3252362496,3252362751),('DK',3252362752,3252363263),('LT',3252363264,3252379647),('ES',3252379648,3252379903),('GB',3252379904,3252380159),('BE',3252380160,3252380415),('UA',3252380416,3252380671),('SI',3252380672,3252380927),('RU',3252380928,3252381183),('IT',3252381184,3252381439),('ES',3252381440,3252381695),('RU',3252381696,3252381951),('DE',3252381952,3252382207),('SI',3252382208,3252382463),('PL',3252382464,3252382719),('GB',3252382720,3252382975),('IT',3252382976,3252383231),('GB',3252383232,3252383743),('SE',3252383744,3252383999),('PL',3252384000,3252384511),('CH',3252384512,3252384767),('NL',3252384768,3252385023),('RO',3252385024,3252385279),('GB',3252385280,3252385535),('RO',3252385536,3252385791),('GB',3252385792,3252386047),('SI',3252386048,3252386303),('GB',3252386304,3252386559),('BE',3252386560,3252386815),('UA',3252386816,3252387071),('RU',3252387072,3252387327),('PL',3252387328,3252387583),('RU',3252387584,3252387839),('LT',3252387840,3252404223),('NO',3252404224,3252406271),('A2',3252406272,3252407583),('NG',3252407584,3252407599),('BJ',3252407600,3252407615),('A2',3252407616,3252407679),('NG',3252407680,3252407743),('A2',3252407744,3252407807),('GN',3252407808,3252407999),('A2',3252408000,3252408159),('GQ',3252408160,3252408191),('SL',3252408192,3252408287),('A2',3252408288,3252408319),('TR',3252408320,3252408335),('A2',3252408336,3252408351),('IQ',3252408352,3252408359),('A2',3252408360,3252408543),('AF',3252408544,3252408551),('A2',3252408552,3252408559),('IQ',3252408560,3252408575),('SO',3252408576,3252408607),('A2',3252408608,3252408639),('CF',3252408640,3252408671),('A2',3252408672,3252408687),('SO',3252408688,3252408711),('A2',3252408712,3252408719),('SO',3252408720,3252408735),('NG',3252408736,3252408751),('A2',3252408752,3252408767),('NG',3252408768,3252408783),('A2',3252408784,3252408799),('SO',3252408800,3252408831),('NG',3252408832,3252408839),('KE',3252408840,3252408847),('LR',3252408848,3252408855),('CM',3252408856,3252408863),('LR',3252408864,3252408871),('CI',3252408872,3252408879),('A2',3252408880,3252408975),('IQ',3252408976,3252408983),('A2',3252408984,3252408991),('IQ',3252408992,3252409007),('A2',3252409008,3252409087),('RW',3252409088,3252409095),('A2',3252409096,3252409135),('EG',3252409136,3252409143),('A2',3252409144,3252409167),('GN',3252409168,3252409175),('A2',3252409176,3252409183),('IQ',3252409184,3252409191),('A2',3252409192,3252409215),('SO',3252409216,3252409223),('A2',3252409224,3252409231),('IQ',3252409232,3252409263),('A2',3252409264,3252409279),('SO',3252409280,3252409311),('A2',3252409312,3252409319),('SO',3252409320,3252409335),('A2',3252409336,3252409343),('TD',3252409344,3252409375),('A2',3252409376,3252409407),('BI',3252409408,3252409471),('GN',3252409472,3252409487),('A2',3252409488,3252409519),('NG',3252409520,3252409527),('A2',3252409528,3252409535),('BI',3252409536,3252409543),('A2',3252409544,3252409551),('CG',3252409552,3252409567),('A2',3252409568,3252409599),('NG',3252409600,3252409663),('A2',3252409664,3252409855),('BW',3252409856,3252410383),('A2',3252410384,3252410623),('GH',3252410624,3252410783),('A2',3252410784,3252410879),('IQ',3252410880,3252411007),('A2',3252411008,3252411199),('CD',3252411200,3252411263),('A2',3252411264,3252411327),('UG',3252411328,3252411391),('ML',3252411392,3252411647),('BI',3252411648,3252411663),('SO',3252411664,3252411679),('A2',3252411680,3252411695),('UG',3252411696,3252411711),('NG',3252411712,3252411743),('A2',3252411744,3252411775),('GH',3252411776,3252411783),('A2',3252411784,3252411791),('NG',3252411792,3252411807),('A2',3252411808,3252411839),('NG',3252411840,3252411855),('A2',3252411856,3252411879),('CD',3252411880,3252411903),('NG',3252411904,3252412415),('IQ',3252412416,3252412479),('A2',3252412480,3252412927),('NG',3252412928,3252413439),('ZM',3252413440,3252414223),('A2',3252414224,3252414239),('ZM',3252414240,3252414271),('A2',3252414272,3252414335),('ZM',3252414336,3252414367),('A2',3252414368,3252414399),('ZM',3252414400,3252414415),('A2',3252414416,3252414463),('GH',3252414464,3252414479),('ML',3252414480,3252414495),('A2',3252414496,3252414511),('MR',3252414512,3252414527),('GH',3252414528,3252414607),('TZ',3252414608,3252414639),('GH',3252414640,3252414655),('ER',3252414656,3252414719),('IQ',3252414720,3252414975),('A2',3252414976,3252415487),('SD',3252415488,3252415503),('A2',3252415504,3252415519),('NG',3252415520,3252415535),('A2',3252415536,3252415551),('NG',3252415552,3252415567),('A2',3252415568,3252415679),('SO',3252415680,3252415743),('A2',3252415744,3252415967),('CM',3252415968,3252415999),('BW',3252416000,3252416255),('A2',3252416256,3252416511),('GN',3252416512,3252416639),('A2',3252416640,3252416767),('CD',3252416768,3252416799),('A2',3252416800,3252416831),('GN',3252416832,3252416927),('A2',3252416928,3252416959),('GN',3252416960,3252417023),('SO',3252417024,3252417535),('NG',3252417536,3252417855),('A2',3252417856,3252417919),('MW',3252417920,3252417935),('A2',3252417936,3252418047),('IQ',3252418048,3252418079),('A2',3252418080,3252418239),('JO',3252418240,3252418303),('A2',3252418304,3252418815),('KE',3252418816,3252418847),('A2',3252418848,3252419071),('ZM',3252419072,3252419087),('ER',3252419088,3252419103),('SL',3252419104,3252419119),('GH',3252419120,3252419127),('TZ',3252419128,3252419135),('SL',3252419136,3252419167),('CD',3252419168,3252419199),('GH',3252419200,3252419215),('GN',3252419216,3252419247),('A2',3252419248,3252419263),('TZ',3252419264,3252419279),('SN',3252419280,3252419311),('ZM',3252419312,3252419327),('GH',3252419328,3252419343),('A2',3252419344,3252419359),('GH',3252419360,3252419423),('A2',3252419424,3252419583),('IQ',3252419584,3252419775),('A2',3252419776,3252419839),('IQ',3252419840,3252420031),('A2',3252420032,3252420095),('IQ',3252420096,3252420111),('GB',3252420112,3252420119),('IQ',3252420120,3252420239),('A2',3252420240,3252420247),('IQ',3252420248,3252420255),('A2',3252420256,3252420263),('IQ',3252420264,3252420279),('A2',3252420280,3252420287),('IQ',3252420288,3252420415),('A2',3252420416,3252420431),('IQ',3252420432,3252420463),('A2',3252420464,3252420479),('IQ',3252420480,3252420583),('A2',3252420584,3252420591),('IQ',3252420592,3252420607),('A2',3252420608,3252421119),('NO',3252421120,3252424703),('GN',3252424704,3252424719),('A2',3252424720,3252424735),('MA',3252424736,3252424767),('A2',3252424768,3252424799),('NE',3252424800,3252424815),('CD',3252424816,3252424831),('A2',3252424832,3252424959),('KE',3252424960,3252424967),('A2',3252424968,3252425023),('SO',3252425024,3252425215),('TD',3252425216,3252425343),('A2',3252425344,3252425471),('AO',3252425472,3252425543),('A2',3252425544,3252425727),('ZM',3252425728,3252425855),('A2',3252425856,3252426239),('RW',3252426240,3252426495),('A2',3252426496,3252426751),('MZ',3252426752,3252427263),('NG',3252427264,3252427519),('A2',3252427520,3252427775),('MW',3252427776,3252428287),('NG',3252428288,3252428351),('A2',3252428352,3252428543),('CG',3252428544,3252428671),('A2',3252428672,3252428799),('IQ',3252428800,3252428831),('A2',3252428832,3252428863),('IQ',3252428864,3252428887),('A2',3252428888,3252428895),('IQ',3252428896,3252428911),('A2',3252428912,3252428943),('IQ',3252428944,3252429023),('A2',3252429024,3252429055),('IQ',3252429056,3252429087),('A2',3252429088,3252429103),('IQ',3252429104,3252429167),('A2',3252429168,3252429183),('IQ',3252429184,3252429215),('A2',3252429216,3252429247),('IQ',3252429248,3252429295),('A2',3252429296,3252429615),('AE',3252429616,3252429631),('A2',3252429632,3252429663),('LB',3252429664,3252429679),('IQ',3252429680,3252429711),('A2',3252429712,3252429727),('IQ',3252429728,3252429775),('A2',3252429776,3252429791),('IQ',3252429792,3252429823),('NE',3252429824,3252429951),('A2',3252429952,3252430079),('BJ',3252430080,3252430335),('NE',3252430336,3252430463),('A2',3252430464,3252430527),('BF',3252430528,3252430535),('A2',3252430536,3252430543),('BJ',3252430544,3252430559),('BF',3252430560,3252430591),('GN',3252430592,3252430847),('MW',3252430848,3252431359),('NG',3252431360,3252431871),('SO',3252431872,3252432127),('A2',3252432128,3252432383),('MW',3252432384,3252432399),('A2',3252432400,3252432447),('MW',3252432448,3252432463),('A2',3252432464,3252432511),('MW',3252432512,3252432527),('A2',3252432528,3252432575),('MW',3252432576,3252432591),('A2',3252432592,3252432895),('SO',3252432896,3252433407),('A2',3252433408,3252433663),('SO',3252433664,3252433919),('MZ',3252433920,3252434175),('A2',3252434176,3252434431),('BW',3252434432,3252434687),('GH',3252434688,3252434695),('TZ',3252434696,3252434711),('A2',3252434712,3252435199),('TZ',3252435200,3252435263),('GN',3252435264,3252435295),('TZ',3252435296,3252435311),('EG',3252435312,3252435319),('MZ',3252435320,3252435327),('A2',3252435328,3252435343),('BF',3252435344,3252435359),('CD',3252435360,3252435375),('MZ',3252435376,3252435407),('A2',3252435408,3252435415),('MZ',3252435416,3252435431),('A2',3252435432,3252435439),('GN',3252435440,3252435455),('TZ',3252435456,3252435711),('GH',3252435712,3252435887),('BW',3252435888,3252435919),('BF',3252435920,3252435935),('CF',3252435936,3252435967),('TZ',3252435968,3252436223),('GN',3252436224,3252436239),('NA',3252436240,3252436255),('ML',3252436256,3252436271),('BF',3252436272,3252436287),('ZM',3252436288,3252436319),('GH',3252436320,3252436335),('ZM',3252436336,3252436351),('GN',3252436352,3252436383),('ZM',3252436384,3252436399),('TZ',3252436400,3252436447),('A2',3252436448,3252436479),('NG',3252436480,3252436735),('A2',3252436736,3252436991),('NG',3252436992,3252437247),('A2',3252437248,3252437503),('NG',3252437504,3252437759),('ZM',3252437760,3252438015),('TR',3252438016,3252438271),('MD',3252438272,3252438527),('CM',3252438528,3252438783),('A2',3252438784,3252439039),('CM',3252439040,3252439103),('A2',3252439104,3252439287),('SN',3252439288,3252439295),('SO',3252439296,3252439391),('A2',3252439392,3252439551),('AL',3252439552,3252439583),('A2',3252439584,3252439807),('SO',3252439808,3252439871),('A2',3252439872,3252440063),('MW',3252440064,3252440319),('NG',3252440320,3252440383),('A2',3252440384,3252440575),('NG',3252440576,3252441087),('TZ',3252441088,3252441599),('A2',3252441600,3252442111),('TZ',3252442112,3252442143),('A2',3252442144,3252442175),('TZ',3252442176,3252442191),('A2',3252442192,3252442623),('TZ',3252442624,3252442767),('A2',3252442768,3252442783),('TZ',3252442784,3252443135),('A2',3252443136,3252443327),('TZ',3252443328,3252444159),('A2',3252444160,3252444191),('TZ',3252444192,3252444287),('A2',3252444288,3252444351),('TZ',3252444352,3252445183),('GN',3252445184,3252445263),('A2',3252445264,3252445311),('GN',3252445312,3252445327),('A2',3252445328,3252445431),('GN',3252445432,3252445439),('A2',3252445440,3252446207),('NO',3252446208,3252446591),('A2',3252446592,3252446703),('NO',3252446704,3252446751),('A2',3252446752,3252446815),('NO',3252446816,3252448255),('SE',3252448256,3252448511),('NO',3252448512,3252448767),('SE',3252448768,3252449279),('CN',3252449280,3252449535),('CH',3252449536,3252449615),('DK',3252449616,3252449623),('A2',3252449624,3252449791),('CH',3252449792,3252450047),('A2',3252450048,3252450303),('NO',3252450304,3252450831),('A2',3252450832,3252451071),('CH',3252451072,3252451327),('DK',3252451328,3252451583),('A2',3252451584,3252451839),('NO',3252451840,3252451855),('A2',3252451856,3252451967),('NO',3252451968,3252451999),('A2',3252452000,3252452095),('NO',3252452096,3252452127),('A2',3252452128,3252452135),('NO',3252452136,3252452143),('A2',3252452144,3252452159),('NL',3252452160,3252452175),('NO',3252452176,3252452191),('NL',3252452192,3252452215),('NO',3252452216,3252452223),('NL',3252452224,3252452227),('A2',3252452228,3252452231),('NL',3252452232,3252452239),('A2',3252452240,3252452271),('NO',3252452272,3252452415),('A2',3252452416,3252452479),('KE',3252452480,3252452487),('A2',3252452488,3252452495),('ZM',3252452496,3252452503),('A2',3252452504,3252452599),('UG',3252452600,3252452607),('TD',3252452608,3252452735),('A2',3252452736,3252452863),('KE',3252452864,3252452911),('A2',3252452912,3252453119),('NG',3252453120,3252453151),('A2',3252453152,3252453375),('NO',3252453376,3252454527),('A2',3252454528,3252454655),('IQ',3252454656,3252454911),('GB',3252454912,3252455167),('A2',3252455168,3252455423),('SO',3252455424,3252455552),('A2',3252455553,3252455679),('BI',3252455680,3252455807),('A2',3252455808,3252455935),('MW',3252455936,3252456191),('A2',3252456192,3252456447),('NG',3252456448,3252456703),('A2',3252456704,3252456959),('NG',3252456960,3252457471),('TZ',3252457472,3252459519),('NO',3252459520,3252465663),('GH',3252465664,3252465919),('A2',3252465920,3252465951),('GH',3252465952,3252465983),('A2',3252465984,3252466047),('GH',3252466048,3252466175),('UG',3252466176,3252466431),('A2',3252466432,3252466687),('NE',3252466688,3252467199),('A2',3252467200,3252467455),('CG',3252467456,3252467967),('A2',3252467968,3252468223),('CM',3252468224,3252468231),('A2',3252468232,3252468239),('CM',3252468240,3252468479),('CG',3252468480,3252468735),('A2',3252468736,3252469759),('BW',3252469760,3252472159),('A2',3252472160,3252473343),('CD',3252473344,3252473855),('SO',3252473856,3252474879),('NG',3252474880,3252475407),('A2',3252475408,3252475903),('BW',3252475904,3252476415),('A2',3252476416,3252476671),('NG',3252476672,3252476799),('A2',3252476800,3252476927),('GW',3252476928,3252477183),('NG',3252477184,3252477311),('A2',3252477312,3252477439),('GN',3252477440,3252477951),('KE',3252477952,3252478463),('A2',3252478464,3252478719),('KE',3252478720,3252478975),('A2',3252478976,3252479039),('KE',3252479040,3252479119),('A2',3252479120,3252479135),('KE',3252479136,3252479143),('NO',3252479144,3252479151),('A2',3252479152,3252479215),('KE',3252479216,3252479231),('A2',3252479232,3252479295),('KE',3252479296,3252479343),('A2',3252479344,3252479359),('KE',3252479360,3252479375),('A2',3252479376,3252479487),('KE',3252479488,3252479807),('A2',3252479808,3252479999),('KE',3252480000,3252480255),('A2',3252480256,3252480511),('CG',3252480512,3252480895),('A2',3252480896,3252481023),('MZ',3252481024,3252481535),('A2',3252481536,3252482047),('GW',3252482048,3252483071),('KW',3252483072,3252483583),('A2',3252483584,3252484095),('KW',3252484096,3252486143),('BE',3252486144,3252490239),('SE',3252490240,3252507135),('EU',3252507136,3252507647),('GB',3252507648,3252509951),('HU',3252509952,3252510719),('FR',3252510720,3252514815),('SI',3252514816,3252515071),('GB',3252515072,3252515327),('DE',3252515328,3252515583),('SI',3252515584,3252515839),('CH',3252515840,3252516095),('FR',3252516096,3252516351),('GB',3252516352,3252516607),('SE',3252516608,3252516863),('FR',3252516864,3252517119),('DE',3252517120,3252517375),('PL',3252517376,3252517631),('BE',3252517632,3252517887),('DK',3252517888,3252518143),('NL',3252518144,3252518399),('PL',3252518400,3252518655),('DE',3252518656,3252518911),('NL',3252518912,3252527103),('BE',3252527104,3252535295),('GB',3252535296,3252539391),('EU',3252539392,3252540415),('NL',3252540416,3252541951),('CI',3252541952,3252542207),('BE',3252542208,3252551679),('CH',3252551680,3252567295),('GB',3252567296,3252567551),('ES',3252567552,3252567807),('RO',3252567808,3252568063),('CH',3252568064,3252579327),('FR',3252579328,3252579583),('RU',3252579584,3252579839),('SE',3252579840,3252580095),('UA',3252580096,3252580351),('LI',3252580352,3252584447),('FR',3252584448,3252584703),('IL',3252584704,3252584959),('CZ',3252584960,3252585215),('PL',3252585216,3252585471),('NL',3252585472,3252585727),('FI',3252585728,3252585983),('FR',3252585984,3252586239),('PL',3252586240,3252586495),('IT',3252586496,3252586751),('NL',3252586752,3252587007),('CH',3252587008,3252587263),('AT',3252587264,3252587519),('UA',3252587520,3252587775),('SE',3252587776,3252588031),('CH',3252588032,3252600319),('RU',3252600320,3252600831),('CH',3252600832,3252616703),('ES',3252616704,3252616959),('CH',3252616960,3252617215),('PL',3252617216,3252617471),('CH',3252617472,3252636671),('TR',3252636672,3252636927),('DE',3252636928,3252637183),('GB',3252637184,3252637695),('CH',3252637696,3252642303),('UA',3252642304,3252642559),('DK',3252642560,3252642815),('NL',3252642816,3252643071),('RO',3252643072,3252643327),('CH',3252643328,3252643583),('AT',3252643584,3252643839),('CH',3252643840,3252682751),('HU',3252682752,3252813823),('RO',3252813824,3252830207),('MD',3252830208,3252832255),('RO',3252832256,3252832767),('MD',3252832768,3252834303),('RO',3252834304,3252862975),('HU',3252862976,3252879359),('EG',3252879360,3252895743),('IT',3252895744,3252903935),('UA',3252903936,3252904447),('RU',3252904448,3252904703),('DE',3252904704,3252904959),('PL',3252904960,3252905215),('CH',3252905216,3252905471),('LT',3252905472,3252905727),('BE',3252905728,3252905983),('IT',3252905984,3252906239),('PL',3252906240,3252906495),('GB',3252906496,3252906751),('FR',3252906752,3252907007),('AT',3252907008,3252907263),('RO',3252907264,3252907775),('GB',3252907776,3252908031),('PL',3252908032,3252908287),('AT',3252908288,3252908543),('MT',3252908544,3252908799),('UA',3252908800,3252909055),('PL',3252909056,3252909311),('DE',3252909312,3252909567),('GB',3252909568,3252909823),('UA',3252909824,3252910335),('NL',3252910336,3252910591),('CH',3252910592,3252910847),('PL',3252910848,3252911103),('DE',3252911104,3252911359),('RU',3252911360,3252911615),('SE',3252911616,3252911871),('SA',3252911872,3252912127),('EG',3252912128,3252912383),('HU',3252912384,3252912639),('FR',3252912640,3252912895),('PL',3252912896,3252913151),('ES',3252913152,3252913407),('FR',3252913408,3252913663),('NL',3252913664,3252913919),('NO',3252913920,3252914175),('FR',3252914176,3252916223),('DE',3252916224,3252920319),('LB',3252920320,3252928511),('DE',3252928512,3252929535),('HU',3252929536,3252930559),('GB',3252930560,3252931071),('DE',3252931072,3252931583),('NO',3252931584,3252932095),('UA',3252932096,3252933631),('IT',3252933632,3252934655),('PL',3252934656,3252936703),('CH',3252936704,3252937215),('RO',3252937216,3252937727),('FR',3252937728,3252938239),('UA',3252938240,3252938751),('RU',3252938752,3252939263),('EU',3252939264,3252939775),('RO',3252939776,3252940287),('PT',3252940288,3252940799),('RU',3252940800,3252941311),('RO',3252941312,3252941823),('GB',3252941824,3252942847),('FR',3252942848,3252943359),('UA',3252943360,3252943871),('RU',3252943872,3252944383),('DE',3252944384,3252944895),('AT',3252944896,3252945151),('GB',3252945152,3252945407),('UA',3252945408,3252945663),('AT',3252945664,3252980735),('PL',3252980736,3252980991),('GB',3252980992,3252981247),('RU',3252981248,3252981503),('SE',3252981504,3252981759),('DE',3252981760,3252982015),('RO',3252982016,3252982271),('DE',3252982272,3252982527),('FR',3252982528,3252982783),('UA',3252982784,3252983039),('DE',3252983040,3252983551),('SI',3252983552,3252983807),('BG',3252983808,3252984063),('RO',3252984064,3252984319),('AT',3252984320,3252984575),('GB',3252984576,3252984831),('FR',3252984832,3252985087),('SE',3252985088,3252985343),('AT',3252985344,3252985599),('RU',3252985600,3252985855),('AT',3252985856,3252989439),('PL',3252989440,3252989695),('AT',3252989696,3253004799),('CZ',3253004800,3253005055),('AT',3253005056,3253010431),('FI',3253010432,3253075967),('RO',3253075968,3253207039),('RU',3253207040,3253223679),('UA',3253223680,3253223935),('RU',3253223936,3253230591),('BY',3253230592,3253230847),('UA',3253230848,3253231103),('RU',3253231104,3253247999),('DE',3253248000,3253248255),('UZ',3253248256,3253248511),('RU',3253248512,3253264383),('KZ',3253264384,3253264895),('RU',3253264896,3253265407),('AM',3253265408,3253265919),('RU',3253265920,3253270527),('BY',3253270528,3253271551),('RU',3253271552,3253338111),('SE',3253338112,3253469183),('AO',3253469184,3253471231),('PT',3253471232,3253534719),('GB',3253534720,3253600255),('RO',3253600256,3253601279),('FI',3253601280,3253602303),('DE',3253602304,3253603327),('PL',3253603328,3253605375),('UA',3253605376,3253606399),('NL',3253606400,3253607423),('NG',3253607424,3253608447),('UA',3253608448,3253609471),('RU',3253609472,3253610495),('PL',3253610496,3253611519),('UA',3253611520,3253612543),('RU',3253612544,3253613567),('ES',3253613568,3253614591),('RO',3253614592,3253615615),('DE',3253615616,3253616639),('PL',3253616640,3253617663),('GB',3253617664,3253618687),('PL',3253618688,3253619711),('IT',3253619712,3253620735),('GB',3253620736,3253622783),('DE',3253622784,3253623807),('PL',3253623808,3253624831),('UA',3253624832,3253625855),('IT',3253625856,3253626879),('DE',3253626880,3253627903),('UA',3253627904,3253628927),('GR',3253628928,3253629951),('UA',3253629952,3253630975),('RU',3253630976,3253631999),('DE',3253632000,3253633023),('RU',3253633024,3253635071),('IT',3253635072,3253636095),('CH',3253636096,3253637119),('ES',3253637120,3253638143),('FR',3253638144,3253639167),('UA',3253639168,3253640191),('AT',3253640192,3253641215),('NL',3253641216,3253642239),('GB',3253642240,3253643263),('PL',3253643264,3253645311),('RU',3253645312,3253646335),('PL',3253646336,3253647359),('DK',3253647360,3253648383),('IL',3253648384,3253649407),('UA',3253649408,3253650431),('DE',3253650432,3253651455),('PL',3253651456,3253652479),('LI',3253652480,3253653503),('IL',3253653504,3253654527),('LV',3253654528,3253657599),('UA',3253657600,3253658623),('FR',3253658624,3253659647),('GB',3253659648,3253660671),('NO',3253660672,3253661695),('NL',3253661696,3253662719),('RO',3253662720,3253663743),('NL',3253663744,3253664767),('DE',3253664768,3253665791),('CZ',3253665792,3253666815),('NL',3253666816,3253667839),('GB',3253667840,3253668863),('ES',3253668864,3253669887),('DE',3253669888,3253670911),('CH',3253670912,3253671935),('UA',3253671936,3253672959),('DE',3253672960,3253673983),('GB',3253673984,3253675007),('PL',3253675008,3253676031),('AT',3253676032,3253677055),('PL',3253677056,3253678079),('DK',3253678080,3253679103),('IT',3253679104,3253680127),('PL',3253680128,3253682175),('RO',3253682176,3253683199),('UA',3253683200,3253685247),('FR',3253685248,3253686271),('PL',3253686272,3253687295),('UA',3253687296,3253688319),('NL',3253688320,3253690367),('DK',3253690368,3253691391),('PL',3253691392,3253692415),('DE',3253692416,3253693439),('IL',3253693440,3253694463),('GB',3253694464,3253695487),('NL',3253695488,3253696511),('FR',3253696512,3253697535),('PL',3253697536,3253698559),('UA',3253698560,3253699071),('RO',3253699072,3253699583),('UA',3253699584,3253700095),('RO',3253700096,3253700607),('PL',3253700608,3253701119),('RO',3253701120,3253702143),('UA',3253702144,3253702655),('RO',3253702656,3253703679),('HU',3253703680,3253704191),('RU',3253704192,3253704703),('UA',3253704704,3253705215),('NO',3253705216,3253705727),('DE',3253705728,3253706239),('RO',3253706240,3253706751),('GB',3253706752,3253707263),('FR',3253707264,3253707775),('DE',3253707776,3253708287),('RO',3253708288,3253708799),('DK',3253708800,3253709311),('UA',3253709312,3253709823),('RO',3253709824,3253710335),('GB',3253710336,3253710847),('DK',3253710848,3253711359),('UA',3253711360,3253712383),('MD',3253712384,3253712895),('GR',3253712896,3253713407),('NL',3253713408,3253713919),('AT',3253713920,3253714431),('RO',3253714432,3253714943),('FR',3253714944,3253715455),('RO',3253715456,3253715967),('DE',3253715968,3253716479),('FR',3253716480,3253716991),('CH',3253716992,3253717503),('NL',3253717504,3253718015),('PL',3253718016,3253719551),('BE',3253719552,3253720063),('RO',3253720064,3253720575),('GR',3253720576,3253721087),('UA',3253721088,3253721599),('RO',3253721600,3253722111),('CH',3253722112,3253722623),('NL',3253722624,3253723135),('PL',3253723136,3253723647),('AT',3253723648,3253724159),('UA',3253724160,3253724671),('RO',3253724672,3253725695),('UA',3253725696,3253726207),('RO',3253726208,3253726719),('UA',3253726720,3253727231),('FR',3253727232,3253727743),('RU',3253727744,3253728255),('PL',3253728256,3253728767),('RO',3253728768,3253729279),('AT',3253729280,3253729791),('UA',3253729792,3253730303),('RO',3253730304,3253730815),('UA',3253730816,3253731327),('GB',3253731328,3253796863),('SE',3253796864,3253862399),('GB',3253862400,3253862655),('FR',3253862656,3253882879),('NL',3253882880,3253886975),('GB',3253886976,3253887231),('NL',3253887232,3253887487),('ES',3253887488,3253887743),('GB',3253887744,3253887999),('PL',3253888000,3253888255),('BE',3253888256,3253888511),('GB',3253888512,3253888767),('SE',3253888768,3253889023),('PL',3253889024,3253889279),('CH',3253889280,3253889535),('DE',3253889536,3253889791),('DK',3253889792,3253890047),('NL',3253890048,3253890303),('SE',3253890304,3253890559),('GB',3253890560,3253890815),('IE',3253890816,3253891071),('DE',3253891072,3253891327),('GB',3253891328,3253891583),('UA',3253891584,3253891839),('GB',3253891840,3253892351),('NL',3253892352,3253892607),('AT',3253892608,3253892863),('NL',3253892864,3253893119),('RO',3253893120,3253893375),('DE',3253893376,3253893631),('SE',3253893632,3253893887),('RU',3253893888,3253894143),('PT',3253894144,3253894399),('NL',3253894400,3253894655),('FI',3253894656,3253894911),('RU',3253894912,3253895167),('BE',3253895168,3253911551),('FR',3253911552,3253919743),('GB',3253919744,3253923839),('GR',3253923840,3253927935),('GB',3253927936,3253961727),('MD',3253961728,3253962239),('SE',3253962240,3253962751),('BE',3253962752,3253963263),('RU',3253963264,3253963775),('SI',3253963776,3253964287),('PL',3253964288,3253964799),('SE',3253964800,3253965311),('PL',3253965312,3253966335),('DE',3253966336,3253966847),('UA',3253966848,3253967359),('GR',3253967360,3253967871),('UA',3253967872,3253968895),('DE',3253968896,3253969407),('AT',3253969408,3253969919),('NL',3253969920,3253970431),('DE',3253970432,3253970687),('HU',3253970688,3253970943),('DK',3253970944,3253972991),('GB',3253972992,3253974783),('NO',3253974784,3253974847),('SE',3253974848,3253974911),('IL',3253974912,3253974975),('SE',3253974976,3253975039),('DE',3253975040,3253977087),('TR',3253977088,3253985279),('GB',3253985280,3253993471),('BE',3253993472,3254124543),('CH',3254124544,3254156799),('LI',3254156800,3254157055),('CH',3254157056,3254177279),('LI',3254177280,3254177535),('CH',3254177536,3254255615),('FR',3254255616,3254485503),('CI',3254485504,3254485799),('FR',3254485800,3254485807),('CI',3254485808,3254485819),('FR',3254485820,3254485820),('CI',3254485821,3254485821),('FR',3254485822,3254485822),('CI',3254485823,3254485855),('FR',3254485856,3254485859),('CI',3254485860,3254485887),('FR',3254485888,3254486527),('CH',3254486528,3254486543),('US',3254486544,3254486559),('GB',3254486560,3254486591),('FR',3254486592,3254486655),('CH',3254486656,3254486671),('FR',3254486672,3254486687),('CH',3254486688,3254486719),('FR',3254486720,3254486735),('US',3254486736,3254486767),('HK',3254486768,3254486783),('A2',3254486784,3254487039),('KM',3254487040,3254487199),('FR',3254487200,3254487263),('KM',3254487264,3254487295),('CF',3254487296,3254487419),('FR',3254487420,3254487551),('CI',3254487552,3254487803),('FR',3254487804,3254487807),('LB',3254487808,3254487855),('FR',3254487856,3254487863),('LB',3254487864,3254488063),('MG',3254488064,3254488447),('FR',3254488448,3254488450),('MG',3254488451,3254488515),('FR',3254488516,3254488516),('MG',3254488517,3254488518),('FR',3254488519,3254488521),('MG',3254488522,3254488548),('FR',3254488549,3254488550),('MG',3254488551,3254488831),('DJ',3254488832,3254489087),('DZ',3254489088,3254489343),('FR',3254489344,3254489365),('MR',3254489366,3254489367),('FR',3254489368,3254489369),('MR',3254489370,3254489370),('FR',3254489371,3254489373),('MR',3254489374,3254489375),('FR',3254489376,3254489407),('MR',3254489408,3254489439),('FR',3254489440,3254489443),('MR',3254489444,3254489455),('FR',3254489456,3254489463),('MR',3254489464,3254489519),('FR',3254489520,3254489535),('MR',3254489536,3254489567),('FR',3254489568,3254489599),('MR',3254489600,3254489855),('TD',3254489856,3254490111),('FR',3254490112,3254490367),('CF',3254490368,3254490623),('FR',3254490624,3254491135),('DZ',3254491136,3254491391),('GQ',3254491392,3254491607),('FR',3254491608,3254491615),('GQ',3254491616,3254491647),('FR',3254491648,3254491903),('CM',3254491904,3254492031),('FR',3254492032,3254492159),('LB',3254492160,3254492671),('FR',3254492672,3254492927),('CI',3254492928,3254493183),('GP',3254493184,3254493323),('FR',3254493324,3254493327),('GP',3254493328,3254493335),('FR',3254493336,3254493343),('GP',3254493344,3254493439),('CI',3254493440,3254493695),('GP',3254493696,3254494527),('FR',3254494528,3254494719),('LB',3254494720,3254494735),('FR',3254494736,3254494743),('LB',3254494744,3254494803),('FR',3254494804,3254494807),('LB',3254494808,3254494975),('DJ',3254494976,3254495087),('FR',3254495088,3254495231),('CI',3254495232,3254495487),('DZ',3254495488,3254495743),('LB',3254495744,3254496255),('FR',3254496256,3254496511),('CI',3254496512,3254496527),('FR',3254496528,3254496767),('DZ',3254496768,3254497247),('FR',3254497248,3254508031),('GQ',3254508032,3254508543),('NE',3254508544,3254508799),('MQ',3254508800,3254508831),('FR',3254508832,3254509055),('GQ',3254509056,3254509567),('DJ',3254509568,3254509783),('FR',3254509784,3254510339),('NE',3254510340,3254510359),('FR',3254510360,3254510375),('NE',3254510376,3254510407),('FR',3254510408,3254510420),('NE',3254510421,3254510421),('FR',3254510422,3254510431),('NE',3254510432,3254510432),('FR',3254510433,3254510440),('NE',3254510441,3254510441),('FR',3254510442,3254510443),('NE',3254510444,3254510451),('FR',3254510452,3254510455),('NE',3254510456,3254510519),('FR',3254510520,3254510527),('NE',3254510528,3254510559),('FR',3254510560,3254510563),('NE',3254510564,3254510847),('FR',3254510848,3254521855),('GB',3254521856,3254522367),('FR',3254522368,3254550527),('US',3254550528,3254550783),('IR',3254550784,3254551039),('US',3254551040,3254551295),('IR',3254551296,3254551551),('US',3254551552,3254551807),('FR',3254551808,3254552063),('US',3254552064,3254552319),('IR',3254552320,3254552831),('HK',3254552832,3254553087),('FR',3254553088,3254553343),('HK',3254553344,3254553599),('FR',3254553600,3254554879),('HK',3254554880,3254555135),('FR',3254555136,3254555391),('HK',3254555392,3254555647),('FR',3254555648,3254557439),('AT',3254557440,3254557695),('FR',3254557696,3254576383),('DO',3254576384,3254576543),('FR',3254576544,3254583296),('SG',3254583297,3254583300),('US',3254583301,3254583302),('FR',3254583303,3254583551),('SG',3254583552,3254583567),('US',3254583568,3254583583),('FR',3254583584,3254623743),('US',3254623744,3254624255),('FR',3254624256,3254648831),('DK',3254648832,3254648895),('GB',3254648896,3254649087),('AL',3254649088,3254649855),('SE',3254649856,3254650879),('CH',3254650880,3254653439),('DE',3254653440,3254654847),('DK',3254654848,3254654975),('IT',3254654976,3254655743),('GB',3254655744,3254656255),('BG',3254656256,3254656511),('DE',3254656512,3254656767),('GB',3254656768,3254657023),('RO',3254657024,3254665215),('EU',3254665216,3254676479),('DE',3254676480,3254676735),('EU',3254676736,3254681599),('DE',3254681600,3254697983),('SE',3254697984,3254698495),('GB',3254698496,3254699007),('UA',3254699008,3254699519),('US',3254699520,3254700031),('GR',3254700032,3254700543),('DE',3254700544,3254701055),('RU',3254701056,3254701567),('IL',3254701568,3254702079),('RU',3254702080,3254702591),('GB',3254702592,3254703103),('DE',3254703104,3254703615),('NL',3254703616,3254704127),('UA',3254704128,3254705663),('GR',3254705664,3254706175),('UA',3254706176,3254707199),('TR',3254707200,3254707711),('RO',3254707712,3254708223),('UA',3254708224,3254709247),('DE',3254709248,3254710271),('IT',3254710272,3254710783),('RO',3254710784,3254711295),('FR',3254711296,3254711807),('RU',3254711808,3254712831),('KZ',3254712832,3254713343),('TR',3254713344,3254713855),('NL',3254713856,3254714367),('TR',3254714368,3254779903),('DE',3254779904,3254780159),('GB',3254780160,3254780671),('LT',3254780672,3254780927),('SE',3254796288,3254797311),('RU',3254797312,3254798335),('AT',3254798336,3254799359),('IE',3254799360,3254800383),('FI',3254800384,3254801407),('HR',3254801408,3254802431),('UA',3254802432,3254803455),('DE',3254803456,3254804479),('PL',3254804480,3254806527),('UA',3254806528,3254807551),('KZ',3254807552,3254808575),('PL',3254808576,3254809599),('UA',3254809600,3254810623),('RU',3254810624,3254811647),('RO',3254811648,3254812671),('PL',3254812672,3254812927),('RO',3254812928,3254813183),('TR',3254813184,3254813439),('UA',3254813440,3254813695),('DK',3254813696,3254813951),('IT',3254813952,3254814207),('SE',3254814208,3254814463),('DE',3254814464,3254814719),('RU',3254814720,3254814975),('CH',3254814976,3254815231),('UA',3254815232,3254815487),('GB',3254815488,3254815743),('IT',3254815744,3254815999),('RU',3254816000,3254816255),('TR',3254816256,3254816511),('DE',3254816512,3254816767),('RU',3254816768,3254817279),('CY',3254817280,3254817535),('GB',3254817536,3254817791),('UA',3254817792,3254818047),('DE',3254818048,3254818303),('UA',3254818304,3254818559),('DE',3254818560,3254818815),('FR',3254818816,3254819327),('PL',3254819328,3254819583),('DK',3254819584,3254819839),('GB',3254819840,3254820095),('UA',3254820096,3254820351),('GB',3254820352,3254820863),('LT',3254820864,3254821119),('DK',3254821120,3254821375),('RU',3254821376,3254821631),('DE',3254821632,3254821887),('HU',3254821888,3254822143),('DE',3254822144,3254822399),('FR',3254822400,3254822655),('PL',3254822656,3254822911),('CH',3254822912,3254823167),('NO',3254823168,3254823423),('NL',3254823424,3254823679),('PL',3254823680,3254823935),('CH',3254823936,3254824191),('BE',3254824192,3254824959),('FR',3254824960,3254825215),('RO',3254825216,3254825471),('TR',3254825472,3254825727),('FR',3254825728,3254825983),('DE',3254825984,3254826239),('PL',3254826240,3254826495),('DE',3254826496,3254827263),('GR',3254827264,3254827519),('PL',3254827520,3254827775),('UA',3254827776,3254828031),('DE',3254828032,3254828287),('RO',3254828288,3254828799),('BE',3254828800,3254829055),('NO',3254829056,3254829311),('GB',3254829312,3254829567),('NL',3254829568,3254829823),('FR',3254829824,3254830079),('IE',3254830080,3254830335),('NL',3254830336,3254830591),('CH',3254830592,3254830847),('PL',3254830848,3254831103),('UA',3254831104,3254831359),('DE',3254831360,3254831615),('TR',3254831616,3254831871),('LT',3254831872,3254832127),('RO',3254832128,3254832383),('BE',3254832384,3254832639),('UA',3254832640,3254832895),('LV',3254832896,3254833151),('DE',3254833152,3254833407),('RU',3254833408,3254833663),('GB',3254833664,3254833919),('PL',3254833920,3254834175),('CH',3254834176,3254834687),('GB',3254834688,3254834943),('NO',3254834944,3254835199),('DE',3254835200,3254835455),('SE',3254835456,3254835711),('UA',3254835712,3254835967),('GB',3254835968,3254836223),('PL',3254836224,3254836479),('DE',3254836480,3254836735),('AT',3254836736,3254836991),('GB',3254836992,3254837247),('HR',3254837248,3254837503),('RU',3254837504,3254837759),('IE',3254837760,3254838015),('GE',3254838016,3254838271),('DE',3254838272,3254838527),('CH',3254838528,3254838783),('AT',3254838784,3254839039),('RU',3254839040,3254839295),('DE',3254839296,3254839551),('PL',3254839552,3254839807),('BE',3254839808,3254840063),('BG',3254840064,3254840319),('DK',3254840320,3254840575),('UA',3254840576,3254840831),('GB',3254840832,3254841343),('IT',3254841344,3254841599),('IE',3254841600,3254841855),('LV',3254841856,3254842111),('GB',3254842112,3254842367),('PL',3254842368,3254842623),('RU',3254842624,3254842879),('SE',3254842880,3254843135),('DE',3254843136,3254843647),('FR',3254843648,3254843903),('NL',3254843904,3254844159),('PL',3254844160,3254844415),('GB',3254844416,3254844671),('RO',3254844672,3254844927),('DE',3254844928,3254845183),('FR',3254845184,3254845439),('SK',3254845440,3254882303),('PL',3254882304,3254882559),('IL',3254882560,3254882815),('PL',3254882816,3254883071),('GB',3254883072,3254883583),('AL',3254883584,3254883839),('GB',3254883840,3254884351),('RU',3254884352,3254884607),('PL',3254884608,3254884863),('SE',3254884864,3254885119),('DE',3254885120,3254885375),('SK',3254885376,3254886399),('IT',3254886400,3254886655),('RU',3254886656,3254886911),('CH',3254886912,3254887423),('GB',3254887424,3254888191),('RO',3254888192,3254888447),('SK',3254888448,3254890495),('DE',3254890496,3254890751),('UA',3254890752,3254891007),('RO',3254891008,3254891519),('GB',3254891520,3254891775),('DE',3254891776,3254892031),('GB',3254892032,3254892287),('FR',3254892288,3254892543),('SK',3254892544,3254894591),('DK',3254894592,3254894847),('UA',3254894848,3254895103),('GB',3254895104,3254895359),('UA',3254895360,3254895615),('DK',3254895616,3254895871),('SE',3254895872,3254896127),('RU',3254896128,3254896383),('PL',3254896384,3254896639),('DK',3254896640,3254896895),('PL',3254896896,3254897151),('DE',3254897152,3254897407),('FR',3254897408,3254897663),('NL',3254897664,3254897919),('BE',3254897920,3254898175),('AT',3254898176,3254898431),('DE',3254898432,3254898687),('IT',3254898688,3254898943),('EE',3254898944,3254899199),('GB',3254899200,3254899455),('SE',3254899456,3254899711),('SK',3254899712,3254910975),('FR',3254910976,3254926279),('GB',3254926280,3254926287),('FR',3254926288,3254937999),('GB',3254938000,3254938007),('FR',3254938008,3254959623),('A2',3254959624,3254959631),('FR',3254959632,3254994734),('BE',3254994735,3254994735),('FR',3254994736,3255000053),('A2',3255000054,3255000054),('FR',3255000055,3255006719),('A2',3255006720,3255006975),('FR',3255006976,3255017648),('LB',3255017649,3255017649),('FR',3255017650,3255120639),('DE',3255120640,3255120895),('FR',3255120896,3255123711),('DE',3255123712,3255123967),('FR',3255123968,3255172351),('DE',3255172352,3255172607),('FR',3255172608,3255173119),('GB',3255173120,3255173631),('EU',3255173632,3255173647),('GB',3255173648,3255173711),('EU',3255173712,3255173759),('GB',3255173760,3255173823),('EU',3255173824,3255173839),('GB',3255173840,3255174151),('EU',3255174152,3255174159),('GB',3255174160,3255174167),('EU',3255174168,3255174199),('GB',3255174200,3255174207),('EU',3255174208,3255174215),('GB',3255174216,3255174247),('EU',3255174248,3255174271),('GB',3255174272,3255174279),('EU',3255174280,3255174311),('GB',3255174312,3255174319),('EU',3255174320,3255174327),('GB',3255174328,3255174335),('EU',3255174336,3255174375),('GB',3255174376,3255174383),('EU',3255174384,3255174399),('GB',3255174400,3255175167),('EU',3255175168,3255175199),('GB',3255175200,3255175231),('EU',3255175232,3255175247),('GB',3255175248,3255175263),('EU',3255175264,3255175279),('GB',3255175280,3255175295),('EU',3255175296,3255175311),('GB',3255175312,3255175327),('EU',3255175328,3255175431),('GB',3255175432,3255175447),('EU',3255175448,3255175455),('GB',3255175456,3255175503),('EU',3255175504,3255175511),('GB',3255175512,3255175535),('EU',3255175536,3255175551),('GB',3255175552,3255175559),('EU',3255175560,3255175591),('GB',3255175592,3255175607),('EU',3255175608,3255175679),('GB',3255175680,3255175935),('EU',3255175936,3255176191),('GB',3255176192,3255177215),('EU',3255177216,3255177471),('GB',3255177472,3255177855),('EU',3255177856,3255177983),('GB',3255177984,3255187199),('DE',3255187200,3255187455),('GB',3255187456,3255187711),('EU',3255187712,3255188479),('GB',3255188480,3255191807),('EU',3255191808,3255192319),('GB',3255192320,3255193863),('EU',3255193864,3255193887),('GB',3255193888,3255193959),('EU',3255193960,3255193967),('GB',3255193968,3255193975),('GI',3255193976,3255193983),('GB',3255193984,3255193999),('EU',3255194000,3255194015),('GB',3255194016,3255194039),('EU',3255194040,3255194055),('GB',3255194056,3255194063),('EU',3255194064,3255194071),('GB',3255194072,3255194431),('EU',3255194432,3255194495),('GB',3255194496,3255194559),('EU',3255194560,3255194623),('GB',3255194624,3255194703),('EU',3255194704,3255194719),('GB',3255194720,3255194815),('EU',3255194816,3255194879),('GB',3255194880,3255205887),('FR',3255205888,3255214079),('CH',3255214080,3255222271),('DE',3255222272,3255223295),('UA',3255223296,3255224319),('RO',3255224320,3255225343),('PL',3255225344,3255226367),('DE',3255226368,3255227391),('RO',3255227392,3255228415),('RU',3255228416,3255230463),('MA',3255230464,3255230719),('PS',3255230720,3255230975),('DE',3255230976,3255231231),('BE',3255231232,3255231487),('DE',3255231488,3255231743),('PT',3255231744,3255231999),('RO',3255232000,3255232255),('UA',3255232256,3255233023),('DE',3255233024,3255233279),('GB',3255233280,3255233535),('SE',3255233536,3255233791),('SI',3255233792,3255234047),('NO',3255234048,3255234303),('DE',3255234304,3255234559),('FR',3255234560,3255234815),('PL',3255234816,3255235071),('SI',3255235072,3255235327),('SE',3255235328,3255235583),('GB',3255235584,3255235839),('PL',3255235840,3255236351),('IT',3255236352,3255236607),('GB',3255236608,3255236863),('DE',3255236864,3255237119),('AT',3255237120,3255237375),('SE',3255237376,3255237887),('ES',3255237888,3255238143),('GB',3255238144,3255238399),('QA',3255238400,3255238655),('BE',3255238656,3255240991),('LU',3255240992,3255241007),('BE',3255241008,3255243583),('GB',3255243584,3255243591),('BE',3255243592,3255243679),('LU',3255243680,3255243711),('BE',3255243712,3255245599),('LU',3255245600,3255245631),('BE',3255245632,3255245687),('LU',3255245688,3255245695),('BE',3255245696,3255246591),('LU',3255246592,3255246623),('BE',3255246624,3255247455),('LU',3255247456,3255247487),('BE',3255247488,3255247615),('LU',3255247616,3255247631),('BE',3255247632,3255247647),('LU',3255247648,3255247663),('BE',3255247664,3255248127),('LU',3255248128,3255248383),('BE',3255248384,3255249295),('LU',3255249296,3255249311),('BE',3255249312,3255249383),('LU',3255249384,3255249387),('BE',3255249388,3255249935),('LU',3255249936,3255249951),('BE',3255249952,3255250079),('LU',3255250080,3255250111),('BE',3255250112,3255250231),('LU',3255250232,3255250239),('BE',3255250240,3255252487),('FR',3255252488,3255252495),('BE',3255252496,3255252559),('LU',3255252560,3255252575),('BE',3255252576,3255254847),('LU',3255254848,3255254879),('BE',3255254880,3255254927),('LU',3255254928,3255254943),('BE',3255254944,3255255711),('LU',3255255712,3255255743),('BE',3255255744,3255255775),('LU',3255255776,3255255807),('BE',3255255808,3255259199),('LU',3255259200,3255259215),('BE',3255259216,3255259327),('LU',3255259328,3255259359),('BE',3255259360,3255259919),('LU',3255259920,3255259927),('BE',3255259928,3255260095),('LU',3255260096,3255260127),('BE',3255260128,3255260319),('LU',3255260320,3255260335),('BE',3255260336,3255260343),('LU',3255260344,3255260347),('BE',3255260348,3255261519),('LU',3255261520,3255261535),('BE',3255261536,3255261679),('LU',3255261680,3255261695),('BE',3255261696,3255262799),('LU',3255262800,3255262815),('BE',3255262816,3255263295),('US',3255263296,3255263327),('BE',3255263328,3255264775),('LU',3255264776,3255264783),('BE',3255264784,3255266055),('FR',3255266056,3255266063),('BE',3255266064,3255270431),('FR',3255270432,3255270463),('BE',3255270464,3255271359),('LU',3255271360,3255271391),('BE',3255271392,3255276223),('FR',3255276224,3255276255),('BE',3255276256,3255278855),('DE',3255278856,3255278863),('BE',3255278864,3255279087),('LU',3255279088,3255279103),('BE',3255279104,3255279131),('NL',3255279132,3255279135),('BE',3255279136,3255280047),('LU',3255280048,3255280055),('BE',3255280056,3255283871),('LU',3255283872,3255283903),('BE',3255283904,3255283927),('LU',3255283928,3255283931),('BE',3255283932,3255284239),('LU',3255284240,3255284255),('BE',3255284256,3255285535),('LU',3255285536,3255285567),('BE',3255285568,3255286095),('DK',3255286096,3255286103),('LU',3255286104,3255286111),('BE',3255286112,3255286279),('LU',3255286280,3255286287),('BE',3255286288,3255288735),('LU',3255288736,3255288799),('BE',3255288800,3255288831),('LU',3255288832,3255289087),('BE',3255289088,3255290143),('LU',3255290144,3255290175),('BE',3255290176,3255290271),('LU',3255290272,3255290287),('BE',3255290288,3255290351),('LU',3255290352,3255290367),('BE',3255290368,3255290879),('LU',3255290880,3255291391),('BE',3255291392,3255291399),('LU',3255291400,3255291423),('BE',3255291424,3255291615),('LU',3255291616,3255291623),('BE',3255291624,3255291767),('LU',3255291768,3255291775),('BE',3255291776,3255291871),('LU',3255291872,3255291887),('BE',3255291888,3255291983),('LU',3255291984,3255291999),('BE',3255292000,3255292311),('LU',3255292312,3255292319),('BE',3255292320,3255297015),('HU',3255297016,3255297023),('BE',3255297024,3255300803),('LU',3255300804,3255300807),('BE',3255300808,3255304191),('DE',3255304192,3255304447),('LV',3255304448,3255305215),('EU',3255305216,3255305471),('LV',3255305472,3255307775),('PL',3255307776,3255308031),('CH',3255308032,3255308287),('LV',3255308288,3255311359),('GB',3255311360,3255311615),('SE',3255311616,3255311871),('PT',3255311872,3255312127),('SE',3255312128,3255312383),('LV',3255312384,3255315455),('EU',3255315456,3255315711),('PL',3255315712,3255316223),('RU',3255316224,3255316479),('GB',3255316480,3255316991),('FR',3255316992,3255317247),('UA',3255317248,3255317503),('BE',3255317504,3255317759),('BG',3255317760,3255318015),('GB',3255318016,3255318271),('RU',3255318272,3255318527),('UA',3255318528,3255318783),('DE',3255318784,3255319295),('UA',3255319296,3255319551),('BG',3255319552,3255319807),('AT',3255319808,3255320063),('BE',3255320064,3255320319),('AT',3255320320,3255320575),('UA',3255320576,3255321087),('PL',3255321088,3255321599),('RU',3255321600,3255323135),('GB',3255323136,3255323647),('IL',3255323648,3255324159),('CH',3255324160,3255324671),('RO',3255324672,3255325695),('RU',3255325696,3255326207),('DE',3255326208,3255326719),('IL',3255326720,3255327231),('DE',3255327232,3255327743),('SE',3255327744,3255328255),('SI',3255328256,3255328767),('DE',3255328768,3255336959),('AT',3255336960,3255345151),('RU',3255345152,3255353343),('DE',3255353344,3255361535),('GB',3255361536,3255369727),('UA',3255369728,3255370751),('DE',3255370752,3255371263),('BG',3255371264,3255371775),('RO',3255371776,3255372287),('DE',3255372288,3255372799),('MC',3255372800,3255373311),('UA',3255373312,3255373823),('PL',3255373824,3255374335),('RU',3255374336,3255374847),('CY',3255374848,3255375359),('RO',3255375360,3255375871),('PL',3255375872,3255376383),('UA',3255376384,3255376895),('GB',3255376896,3255377407),('KZ',3255377408,3255377919),('GB',3255377920,3255378431),('CH',3255378432,3255378943),('UA',3255378944,3255379455),('RU',3255379456,3255379967),('GB',3255379968,3255380479),('NL',3255380480,3255380991),('CH',3255380992,3255381503),('PL',3255381504,3255382015),('NL',3255382016,3255382527),('UA',3255382528,3255383039),('PL',3255383040,3255383551),('CH',3255383552,3255384063),('RO',3255384064,3255384575),('AT',3255384576,3255385087),('RO',3255385088,3255385599),('FR',3255385600,3255386111),('KE',3255386112,3255386623),('PL',3255386624,3255387135),('UA',3255387136,3255388159),('DE',3255388160,3255388671),('SE',3255388672,3255389183),('GB',3255389184,3255389695),('PL',3255389696,3255390207),('GB',3255390208,3255390719),('KE',3255390720,3255391231),('NL',3255391232,3255391743),('DE',3255391744,3255392767),('RO',3255392768,3255393791),('SE',3255393792,3255394303),('DK',3255394304,3255399679),('DE',3255399680,3255400447),('CH',3255400448,3255401471),('DE',3255401472,3255412303),('PL',3255412304,3255412339),('EU',3255412340,3255412479),('RO',3255412480,3255412735),('DE',3255412736,3255413247),('LV',3255413248,3255413759),('GB',3255413760,3255414271),('TR',3255414272,3255414527),('LV',3255414528,3255414783),('BE',3255414784,3255415807),('AT',3255415808,3255416319),('DE',3255416320,3255416831),('FR',3255416832,3255417855),('GB',3255417856,3255418879),('DE',3255418880,3255422975),('GB',3255422976,3255426047),('IT',3255426048,3255426559),('FR',3255426560,3255426815),('PL',3255426816,3255427071),('FI',3255427072,3255435263),('GB',3255435264,3255436543),('NL',3255436544,3255436799),('DE',3255436800,3255437055),('GB',3255437056,3255437311),('EU',3255437312,3255446527),('GB',3255446528,3255446783),('EU',3255446784,3255449599),('BE',3255449600,3255450111),('GB',3255450112,3255450367),('FR',3255450368,3255450623),('DE',3255450624,3255451135),('FR',3255451136,3255452671),('EU',3255452672,3255468031),('GB',3255468032,3255468543),('EU',3255468544,3255469055),('GB',3255469056,3255469567),('DE',3255469568,3255469823),('DK',3255469824,3255470079),('AT',3255470080,3255470591),('DE',3255470592,3255470847),('HU',3255470848,3255471103),('BE',3255471104,3255471615),('GB',3255471616,3255471871),('BE',3255471872,3255472127),('GB',3255472128,3255472383),('BE',3255472384,3255472639),('NL',3255472640,3255472895),('BE',3255472896,3255473151),('GB',3255473152,3255473407),('CH',3255473408,3255473663),('BE',3255473664,3255473919),('NO',3255473920,3255474175),('GB',3255474176,3255476735),('IE',3255476736,3255476991),('NL',3255476992,3255477247),('GB',3255477248,3255477503),('CH',3255477504,3255477759),('GB',3255477760,3255478271),('EU',3255478272,3255482367),('GB',3255482368,3255482623),('BE',3255482624,3255482815),('FR',3255482816,3255482831),('BE',3255482832,3255482839),('FR',3255482840,3255482847),('BE',3255482848,3255482871),('EU',3255482872,3255482879),('GB',3255482880,3255483135),('DE',3255483136,3255484415),('PL',3255484416,3255484671),('NL',3255484672,3255484927),('CH',3255484928,3255485183),('AT',3255485184,3255485439),('FR',3255485440,3255486463),('BE',3255486464,3255486719),('EU',3255486720,3255486975),('GB',3255486976,3255487487),('BE',3255487488,3255487743),('GB',3255487744,3255487999),('BE',3255488000,3255488255),('GB',3255488256,3255488511),('AT',3255488512,3255489535),('DE',3255489536,3255489887),('GB',3255489888,3255490047),('DE',3255490048,3255490559),('EU',3255490560,3255492607),('GB',3255492608,3255496703),('EU',3255496704,3255497727),('BE',3255497728,3255497983),('DE',3255497984,3255498239),('FR',3255498240,3255498495),('GB',3255498496,3255498751),('FR',3255498752,3255500799),('CH',3255500800,3255504895),('RU',3255504896,3255505151),('GB',3255505152,3255505919),('RU',3255505920,3255506431),('PL',3255506432,3255506687),('PT',3255506688,3255506943),('PL',3255506944,3255507199),('PT',3255507200,3255507455),('FR',3255507456,3255507711),('AT',3255507712,3255507967),('UA',3255507968,3255508223),('RU',3255508224,3255508479),('CH',3255508480,3255544319),('DE',3255544320,3255544575),('AT',3255544576,3255544831),('CH',3255544832,3255551999),('DE',3255552000,3255552511),('CH',3255552512,3255558143),('BE',3255558144,3255558399),('CH',3255558400,3255564031),('RU',3255564032,3255564287),('CH',3255564288,3255565567),('DE',3255565568,3255566079),('CH',3255566080,3255566335),('SE',3255566336,3255599103),('CH',3255599104,3255615487),('DE',3255615488,3255623679),('BG',3255623680,3255631871),('NL',3255631872,3255660287),('GR',3255660288,3255660543),('NL',3255660544,3255666431),('DE',3255666432,3255666687),('NL',3255666688,3255697407),('SE',3255697408,3255762943),('DE',3255762944,3255799039),('SE',3255799040,3255799295),('DE',3255799296,3255800575),('UA',3255800576,3255800831),('DE',3255800832,3255817215),('SE',3255817216,3255817471),('ES',3255817472,3255817727),('DE',3255817728,3255821311),('CH',3255821312,3255821823),('DE',3255821824,3255822079),('CH',3255822080,3255822335),('DE',3255822336,3255828479),('SE',3255828480,3255909183),('DK',3255909184,3255909191),('SE',3255909192,3256025087),('NO',3256025088,3256057855),('DK',3256057856,3256074751),('SE',3256074752,3256075007),('DK',3256075008,3256076287),('SE',3256076288,3256076799),('DK',3256076800,3256080127),('US',3256080128,3256080383),('DK',3256080384,3256080639),('SE',3256080640,3256080767),('DK',3256080768,3256081919),('SE',3256081920,3256082175),('DK',3256082176,3256082431),('LV',3256082432,3256090623),('IT',3256090624,3256164863),('SE',3256164864,3256165375),('IT',3256165376,3256187391),('SM',3256187392,3256187647),('IT',3256187648,3256221695),('SE',3256221696,3256222207),('NL',3256222208,3256222463),('SE',3256222464,3256223743),('NL',3256223744,3256226047),('SE',3256226048,3256229887),('DE',3256229888,3256233983),('SE',3256233984,3256238079),('NO',3256238080,3256246271),('SE',3256246272,3256345343),('DE',3256345344,3256345599),('SE',3256345600,3256352767),('CH',3256352768,3256385535),('AT',3256385536,3256393727),('DE',3256393728,3256394239),('UA',3256394240,3256394751),('PL',3256394752,3256395263),('GB',3256395264,3256395775),('TR',3256395776,3256396287),('GR',3256396288,3256396799),('DE',3256396800,3256397311),('PL',3256397312,3256397823),('RO',3256397824,3256398847),('PL',3256398848,3256399359),('UA',3256399360,3256400895),('GB',3256400896,3256401407),('UA',3256401408,3256401919),('DE',3256401920,3256410111),('TR',3256410112,3256410623),('GR',3256410624,3256411135),('FR',3256411136,3256411647),('DE',3256411648,3256412159),('GB',3256412160,3256412671),('RO',3256412672,3256413183),('UA',3256413184,3256413695),('PL',3256413696,3256414207),('RU',3256414208,3256414719),('DE',3256414720,3256415231),('PL',3256415232,3256415743),('UA',3256415744,3256416255),('DE',3256416256,3256416767),('GB',3256416768,3256417279),('NO',3256417280,3256417791),('GB',3256417792,3256418303),('DE',3256418304,3256427503),('GB',3256427504,3256427511),('AT',3256427512,3256427519),('DE',3256427520,3256443727),('GB',3256443728,3256443735),('DE',3256443736,3256446855),('US',3256446856,3256446863),('DE',3256446864,3256448575),('ES',3256448576,3256448591),('DE',3256448592,3256448935),('IT',3256448936,3256448943),('DE',3256448944,3256452063),('BE',3256452064,3256452071),('DE',3256452072,3256483839),('NL',3256483840,3256487151),('FR',3256487152,3256487159),('NL',3256487160,3256489471),('GR',3256489472,3256489983),('BE',3256489984,3256490239),('DE',3256490240,3256490495),('NL',3256490496,3256513023),('GB',3256513024,3256513279),('NL',3256513280,3256513791),('GB',3256513792,3256514047),('NL',3256514048,3256524287),('DE',3256524288,3256524799),('NL',3256524800,3256528895),('DE',3256528896,3256530943),('NL',3256530944,3256549375),('TR',3256549376,3256614911),('IT',3256614912,3256680447),('CH',3256680448,3256682415),('IT',3256682416,3256682431),('CH',3256682432,3256688639),('IL',3256688640,3256692735),('GR',3256692736,3256693759),('IT',3256693760,3256694783),('CH',3256694784,3256695807),('UA',3256695808,3256696831),('BE',3256696832,3256697343),('ES',3256697344,3256697855),('IT',3256697856,3256698367),('EU',3256698368,3256698399),('DK',3256698400,3256698407),('EU',3256698408,3256698431),('IT',3256698432,3256698463),('DK',3256698464,3256698471),('NL',3256698472,3256698479),('IE',3256698480,3256698495),('EU',3256698496,3256698623),('GB',3256698624,3256698879),('GR',3256698880,3256700927),('DK',3256700928,3256701183),('BE',3256701184,3256701439),('GB',3256701440,3256701695),('DK',3256701696,3256702719),('EU',3256702720,3256705023),('IR',3256705024,3256705279),('BE',3256705280,3256705791),('AT',3256705792,3256706047),('GR',3256706048,3256707071),('DE',3256707072,3256709119),('AT',3256709120,3256709887),('EU',3256709888,3256710143),('AT',3256710144,3256710655),('SE',3256710656,3256711167),('DE',3256711168,3256711423),('FR',3256711424,3256711679),('DK',3256711680,3256712191),('CH',3256712192,3256713215),('PL',3256713216,3256727551),('UA',3256727552,3256728575),('DE',3256728576,3256729599),('FI',3256729600,3256731647),('NO',3256731648,3256732671),('IT',3256732672,3256732927),('UA',3256732928,3256733183),('FR',3256733184,3256733439),('DK',3256733440,3256733695),('TR',3256733696,3256735743),('GB',3256735744,3256737791),('DE',3256737792,3256745983),('ES',3256745984,3256778751),('CY',3256778752,3256786943),('NL',3256786944,3256787199),('RO',3256787200,3256787455),('DE',3256787456,3256787711),('UA',3256787712,3256787967),('PL',3256787968,3256788223),('RU',3256788224,3256788479),('GB',3256788480,3256788735),('DE',3256788736,3256788991),('UA',3256788992,3256789247),('SE',3256789248,3256789503),('UA',3256789504,3256789759),('GB',3256789760,3256790015),('UA',3256790016,3256790271),('DE',3256790272,3256790783),('NL',3256790784,3256791039),('CH',3256791040,3256791295),('RO',3256791296,3256791551),('DE',3256791552,3256791807),('PL',3256791808,3256792063),('DE',3256792064,3256792319),('CH',3256792320,3256792575),('NL',3256792576,3256792831),('DE',3256792832,3256793087),('GB',3256793088,3256793343),('PL',3256793344,3256793599),('GB',3256793600,3256793855),('SK',3256793856,3256794111),('NL',3256794112,3256794367),('DK',3256794368,3256794623),('RU',3256794624,3256794879),('AT',3256794880,3256795135),('GR',3256795136,3256811519),('DE',3256811520,3256877055),('GB',3256877056,3256915455),('SE',3256915456,3256915967),('GB',3256915968,3256945663),('UA',3256945664,3256945919),('GB',3256945920,3256946175),('RO',3256946176,3256946431),('UA',3256946432,3256946687),('GB',3256946688,3256946943),('DE',3256946944,3256947711),('GB',3256947712,3256988671),('UA',3256988672,3256989183),('FR',3256989184,3256989439),('GB',3256989440,3256989695),('HU',3256989696,3256989951),('PL',3256989952,3256990207),('CH',3256990208,3256990463),('PL',3256990464,3256990719),('UA',3256990720,3256991231),('SE',3256991232,3256991487),('RU',3256991488,3256991743),('GB',3256991744,3257011199),('BG',3257011200,3257011455),('GB',3257011456,3257058815),('PL',3257058816,3257059071),('GB',3257059072,3257139199),('NL',3257139200,3257139455),('GB',3257139456,3257144831),('FR',3257144832,3257145087),('GB',3257145088,3257180159),('TR',3257180160,3257180415),('RU',3257180416,3257180671),('EE',3257180672,3257180927),('GB',3257180928,3257181183),('SA',3257181184,3257181439),('PL',3257181440,3257181695),('FR',3257181696,3257181951),('BG',3257181952,3257182207),('PL',3257182208,3257182463),('GB',3257182464,3257196543),('LU',3257196544,3257200639),('GB',3257200640,3257204735),('AT',3257204736,3257268223),('UA',3257268224,3257268479),('SE',3257268480,3257268735),('AT',3257268736,3257269247),('IT',3257269248,3257269503),('AT',3257269504,3257270015),('DE',3257270016,3257270271),('SE',3257270272,3257286655),('CH',3257286656,3257294847),('HU',3257294848,3257303039),('PT',3257303040,3257311231),('CH',3257311232,3257311903),('ES',3257311904,3257311911),('CH',3257311912,3257335807),('DE',3257335808,3257357311),('PT',3257357312,3257357567),('SI',3257357568,3257357823),('DE',3257357824,3257371903),('BE',3257371904,3257372159),('GB',3257372160,3257372671),('DE',3257372672,3257388799),('FR',3257388800,3257389055),('DE',3257389056,3257401343),('CH',3257401344,3257466879),('GB',3257467136,3257467391),('NL',3257467392,3257467903),('IT',3257467904,3257468927),('EU',3257468928,3257469183),('IT',3257469184,3257469439),('GB',3257469440,3257469951),('BE',3257469952,3257470975),('FI',3257470976,3257475071),('ES',3257475072,3257475327),('FI',3257475328,3257475583),('DE',3257475584,3257476095),('EU',3257476096,3257476351),('DE',3257476352,3257477119),('NL',3257477120,3257477375),('SE',3257477376,3257477887),('GB',3257477888,3257480447),('NL',3257480448,3257480959),('SE',3257480960,3257481215),('GB',3257481216,3257481471),('DE',3257481472,3257481727),('FI',3257481728,3257481983),('FR',3257481984,3257482239),('EU',3257482240,3257482751),('NL',3257482752,3257483007),('CH',3257483008,3257491455),('BE',3257491456,3257495551),('CH',3257495552,3257497855),('NL',3257497856,3257499647),('CH',3257499648,3257525495),('DK',3257525496,3257525503),('CH',3257525504,3257532415),('CY',3257532416,3257542655),('PL',3257542656,3257542911),('IT',3257542912,3257543423),('PT',3257543424,3257543679),('RO',3257543680,3257544191),('DE',3257544192,3257544447),('DK',3257544448,3257544575),('DE',3257544576,3257544703),('CH',3257544704,3257544959),('DK',3257544960,3257545215),('GR',3257545216,3257546495),('DE',3257546496,3257546527),('CH',3257546528,3257546623),('ES',3257546624,3257546655),('SE',3257546656,3257546687),('DE',3257546688,3257546719),('DK',3257546720,3257546751),('IE',3257546752,3257548799),('DE',3257548800,3257556991),('MW',3257556992,3257557503),('LU',3257557504,3257558015),('RO',3257558016,3257559551),('UA',3257559552,3257560063),('DE',3257560064,3257560575),('PL',3257560576,3257561087),('RU',3257561088,3257561599),('DE',3257561600,3257562111),('PL',3257562112,3257563647),('DE',3257563648,3257564159),('GB',3257564160,3257564671),('RO',3257564672,3257565183),('CY',3257565184,3257570303),('GR',3257570304,3257570311),('CY',3257570312,3257570319),('GR',3257570320,3257570327),('CY',3257570328,3257570367),('GR',3257570368,3257570431),('CY',3257570432,3257570495),('GR',3257570496,3257570527),('CY',3257570528,3257573375),('CH',3257573376,3257574015),('BE',3257574016,3257574143),('GB',3257574144,3257574399),('IT',3257574400,3257574655),('BE',3257574656,3257576191),('AT',3257576192,3257577471),('DE',3257577472,3257581567),('UA',3257581568,3257585663),('NL',3257585664,3257586687),('LU',3257586688,3257586943),('ES',3257586944,3257587455),('GB',3257587456,3257587711),('US',3257587712,3257587967),('FR',3257587968,3257588223),('BE',3257588224,3257588735),('NL',3257588736,3257589759),('GB',3257589760,3257663487),('UA',3257663488,3257729023),('DE',3257729024,3257731071),('NL',3257731072,3257731415),('DE',3257731416,3257731423),('NL',3257731424,3257731543),('DE',3257731544,3257731551),('NL',3257731552,3257731591),('DE',3257731592,3257731599),('NL',3257731600,3257731983),('DE',3257731984,3257731991),('NL',3257731992,3257732095),('DE',3257732096,3257732607),('NL',3257732608,3257732935),('DE',3257732936,3257732943),('NL',3257732944,3257733071),('DE',3257733072,3257733079),('NL',3257733080,3257734143),('DE',3257734144,3257736191),('NL',3257736192,3257736215),('DE',3257736216,3257736223),('NL',3257736224,3257737215),('DE',3257737216,3257737223),('NL',3257737224,3257737471),('DE',3257737472,3257743615),('NL',3257743616,3257743647),('DE',3257743648,3257743655),('NL',3257743656,3257743695),('DE',3257743696,3257743703),('NL',3257743704,3257743751),('DE',3257743752,3257743759),('NL',3257743760,3257744543),('DE',3257744544,3257744551),('NL',3257744552,3257745103),('DE',3257745104,3257745111),('NL',3257745112,3257745143),('DE',3257745144,3257745151),('NL',3257745152,3257745479),('DE',3257745480,3257745487),('NL',3257745488,3257745575),('DE',3257745576,3257745583),('NL',3257745584,3257745647),('DE',3257745648,3257745655),('NL',3257745656,3257746063),('DE',3257746064,3257746071),('NL',3257746072,3257746943),('DE',3257746944,3257747455),('NL',3257747456,3257748071),('DE',3257748072,3257748079),('NL',3257748080,3257748423),('DE',3257748424,3257748431),('NL',3257748432,3257748479),('DE',3257748480,3257749503),('NL',3257749504,3257750823),('DE',3257750824,3257750831),('NL',3257750832,3257751103),('DE',3257751104,3257751111),('NL',3257751112,3257751471),('DE',3257751472,3257751487),('NL',3257751488,3257752207),('DE',3257752208,3257752223),('NL',3257752224,3257752271),('DE',3257752272,3257752279),('NL',3257752280,3257753087),('DE',3257753088,3257756671),('NL',3257756672,3257756743),('DE',3257756744,3257756751),('NL',3257756752,3257757183),('DE',3257757184,3257757191),('NL',3257757192,3257757247),('DE',3257757248,3257757255),('NL',3257757256,3257758895),('DE',3257758896,3257758903),('NL',3257758904,3257759039),('DE',3257759040,3257759047),('NL',3257759048,3257759199),('DE',3257759200,3257759207),('NL',3257759208,3257760951),('DE',3257760952,3257760959),('NL',3257760960,3257761119),('DE',3257761120,3257761127),('NL',3257761128,3257761279),('DE',3257761280,3257761791),('NL',3257761792,3257761919),('DE',3257761920,3257761927),('NL',3257761928,3257761943),('DE',3257761944,3257761951),('NL',3257761952,3257762799),('DE',3257762800,3257762807),('NL',3257762808,3257762911),('DE',3257762912,3257762919),('NL',3257762920,3257763327),('DE',3257763328,3257763839),('NL',3257763840,3257764727),('DE',3257764728,3257764735),('NL',3257764736,3257764879),('DE',3257764880,3257764887),('NL',3257764888,3257765375),('DE',3257765376,3257768959),('NL',3257768960,3257769903),('DE',3257769904,3257769911),('NL',3257769912,3257770047),('DE',3257770048,3257770055),('NL',3257770056,3257770391),('DE',3257770392,3257770399),('NL',3257770400,3257770575),('DE',3257770576,3257770583),('NL',3257770584,3257770927),('DE',3257770928,3257770935),('NL',3257770936,3257771007),('DE',3257771008,3257772543),('NL',3257772544,3257773559),('DE',3257773560,3257773567),('NL',3257773568,3257773967),('DE',3257773968,3257773975),('NL',3257773976,3257774271),('DE',3257774272,3257774279),('NL',3257774280,3257774351),('DE',3257774352,3257774359),('NL',3257774360,3257774471),('DE',3257774472,3257774479),('NL',3257774480,3257775103),('DE',3257775104,3257776639),('NL',3257776640,3257776895),('DE',3257776896,3257776911),('NL',3257776912,3257777167),('DE',3257777168,3257777175),('NL',3257777176,3257778039),('DE',3257778040,3257778047),('NL',3257778048,3257779199),('DE',3257779200,3257780735),('NL',3257780736,3257780879),('DE',3257780880,3257780887),('NL',3257780888,3257781071),('DE',3257781072,3257781079),('NL',3257781080,3257781583),('DE',3257781584,3257781591),('NL',3257781592,3257782271),('DE',3257782272,3257784831),('NL',3257784832,3257785807),('DE',3257785808,3257785815),('NL',3257785816,3257786663),('DE',3257786664,3257786671),('NL',3257786672,3257786807),('DE',3257786808,3257786815),('NL',3257786816,3257786879),('DE',3257786880,3257787391),('NL',3257787392,3257787871),('DE',3257787872,3257787879),('NL',3257787880,3257787967),('DE',3257787968,3257787975),('NL',3257787976,3257788007),('DE',3257788008,3257788015),('NL',3257788016,3257788415),('DE',3257788416,3257789951),('NL',3257789952,3257790095),('DE',3257790096,3257790103),('NL',3257790104,3257790415),('DE',3257790416,3257790423),('NL',3257790424,3257790471),('DE',3257790472,3257790479),('NL',3257790480,3257790759),('DE',3257790760,3257790767),('NL',3257790768,3257791383),('DE',3257791384,3257791391),('NL',3257791392,3257791487),('DE',3257791488,3257791495),('NL',3257791496,3257791839),('DE',3257791840,3257791847),('NL',3257791848,3257792135),('DE',3257792136,3257792143),('NL',3257792144,3257792975),('DE',3257792976,3257792983),('NL',3257792984,3257793479),('DE',3257793480,3257793487),('NL',3257793488,3257793735),('DE',3257793736,3257793743),('NL',3257793744,3257793975),('DE',3257793976,3257793983),('NL',3257793984,3257794191),('DE',3257794192,3257794199),('NL',3257794200,3257794559),('GB',3257794560,3257827327),('IE',3257827328,3257827839),('GB',3257827840,3257829375),('IE',3257829376,3257830399),('GB',3257830400,3257835519),('IE',3257835520,3257844223),('GB',3257844224,3257851903),('IE',3257851904,3257860095),('SE',3257860096,3257925631),('AT',3257925632,3257925887),('SE',3257925888,3257926143),('AT',3257926144,3257970431),('UA',3257970432,3257970687),('AT',3257970688,3257977855),('GB',3257977856,3257978111),('SE',3257978112,3257978367),('BG',3257978368,3257978623),('ES',3257978624,3257978879),('FR',3257978880,3257979135),('GB',3257979136,3257979647),('DE',3257979648,3257979903),('UA',3257979904,3257980159),('SE',3257980160,3257980415),('NL',3257980416,3257980671),('CH',3257980672,3257980927),('PL',3257980928,3257981183),('GB',3257981184,3257981439),('RU',3257981440,3257981695),('PL',3257981696,3257981951),('AT',3257981952,3257987327),('CZ',3257987328,3257987583),('AT',3257987584,3257991167),('DE',3257991168,3258056703),('UA',3258056704,3258056959),('CZ',3258056960,3258058239),('RU',3258058240,3258058495),('RO',3258058496,3258059007),('UA',3258059008,3258059263),('RU',3258059264,3258059519),('RO',3258059520,3258059775),('CZ',3258059776,3258063871),('AT',3258063872,3258064127),('FR',3258064128,3258064383),('GB',3258064384,3258065151),('DE',3258065152,3258065407),('LI',3258065408,3258065663),('SA',3258065664,3258065919),('DE',3258065920,3258066175),('PL',3258066176,3258066431),('FR',3258066432,3258066943),('DK',3258066944,3258067199),('GB',3258067200,3258067455),('GR',3258067456,3258067967),('RO',3258067968,3258068223),('CH',3258068224,3258068479),('GB',3258068480,3258068735),('DE',3258068736,3258068991),('NL',3258068992,3258069247),('PL',3258069248,3258069503),('RO',3258069504,3258069759),('UA',3258069760,3258070015),('GB',3258070016,3258070271),('PL',3258070272,3258070527),('GB',3258070528,3258071295),('DK',3258071296,3258071551),('DE',3258071552,3258071807),('GB',3258071808,3258072063),('FR',3258072064,3258072319),('PL',3258072320,3258072575),('BE',3258072576,3258072831),('RO',3258072832,3258073087),('CZ',3258073088,3258074111),('DE',3258074112,3258074879),('IL',3258074880,3258075135),('RO',3258075136,3258075391),('BG',3258075392,3258075647),('FR',3258075648,3258075903),('PL',3258075904,3258076159),('BG',3258076160,3258076415),('FR',3258076416,3258076927),('GB',3258076928,3258077439),('UA',3258077440,3258077695),('NL',3258077696,3258077951),('PL',3258077952,3258078207),('TR',3258078208,3258078463),('UA',3258078464,3258078719),('GB',3258078720,3258078975),('RU',3258078976,3258079231),('GB',3258079232,3258079487),('PL',3258079488,3258079743),('GB',3258079744,3258079999),('BE',3258080000,3258080255),('FR',3258080256,3258080511),('DE',3258080512,3258080767),('GB',3258080768,3258081023),('FR',3258081024,3258081279),('NL',3258081280,3258081535),('BE',3258081536,3258081791),('UA',3258081792,3258082047),('NL',3258082048,3258082303),('CZ',3258082304,3258082559),('HU',3258082560,3258082815),('NL',3258082816,3258083071),('RU',3258083072,3258083583),('LV',3258083584,3258083839),('SE',3258083840,3258084351),('GB',3258084352,3258084607),('AT',3258084608,3258084863),('PL',3258084864,3258085119),('LT',3258085120,3258085375),('NL',3258085376,3258085631),('DE',3258085632,3258085887),('UA',3258085888,3258086143),('AT',3258086144,3258086399),('UA',3258086400,3258086655),('GB',3258086656,3258087167),('UA',3258087168,3258087423),('RU',3258087424,3258087679),('GB',3258087680,3258087935),('BG',3258087936,3258088191),('PL',3258088192,3258088447),('BE',3258088448,3258088703),('UA',3258088704,3258088959),('RO',3258088960,3258089215),('FR',3258089216,3258089471),('CZ',3258089472,3258097663),('DE',3258097664,3258097919),('UA',3258097920,3258098175),('DE',3258098176,3258098431),('NL',3258098432,3258098687),('DE',3258098688,3258098943),('GB',3258098944,3258099199),('SI',3258099200,3258099455),('UA',3258099456,3258099711),('FI',3258099712,3258099967),('UA',3258099968,3258100223),('RO',3258100224,3258100479),('DK',3258100480,3258100735),('CH',3258100736,3258100991),('AT',3258100992,3258101247),('RO',3258101248,3258101503),('IL',3258101504,3258101759),('CH',3258101760,3258102015),('BE',3258102016,3258102271),('CH',3258102272,3258102527),('TR',3258102528,3258102783),('PL',3258102784,3258103039),('SE',3258103040,3258103295),('DE',3258103296,3258103551),('GB',3258103552,3258103807),('SE',3258103808,3258104063),('GB',3258104064,3258104319),('PL',3258104320,3258104575),('DE',3258104576,3258104831),('CZ',3258104832,3258105599),('DE',3258105600,3258105855),('CZ',3258105856,3258109951),('DK',3258109952,3258110207),('CZ',3258110208,3258111487),('PL',3258111488,3258111743),('CZ',3258111744,3258121215),('PL',3258121216,3258121471),('AT',3258121472,3258121727),('UA',3258121728,3258121983),('RU',3258121984,3258122239),('FR',3258122240,3258128895),('MC',3258128896,3258129151),('FR',3258129152,3258163967),('BJ',3258163968,3258164223),('FR',3258164224,3258164479),('MG',3258164480,3258164735),('FR',3258164736,3258167551),('ES',3258167552,3258167807),('FR',3258167808,3258187775),('SE',3258187776,3258231295),('NO',3258231296,3258232831),('SE',3258232832,3258250495),('NO',3258250496,3258250751),('SE',3258250752,3258251007),('NO',3258251008,3258251775),('SE',3258251776,3258253311),('NL',3258253312,3258272767),('FR',3258272768,3258273791),('NL',3258273792,3258297343),('BE',3258297344,3258297599),('NL',3258297600,3258298111),('GB',3258298112,3258298367),('NL',3258298368,3258318847),('DE',3258318848,3258320895),('GB',3258320896,3258321919),('RU',3258321920,3258322943),('PL',3258322944,3258326015),('SE',3258326016,3258327039),('TR',3258327040,3258335231),('RU',3258335232,3258336255),('NO',3258336256,3258337279),('DE',3258337280,3258338303),('UA',3258338304,3258340351),('PL',3258340352,3258341375),('UA',3258341376,3258342399),('DE',3258342400,3258343423),('NO',3258343424,3258351615),('RO',3258351616,3258352639),('RU',3258352640,3258353663),('NO',3258353664,3258354687),('BG',3258354688,3258355711),('NL',3258355712,3258356735),('RU',3258356736,3258357759),('UA',3258357760,3258359807),('RU',3258359808,3258360831),('SE',3258360832,3258361855),('IL',3258361856,3258362879),('IM',3258362880,3258363903),('RU',3258363904,3258364927),('RS',3258364928,3258365951),('UA',3258365952,3258366975),('PL',3258366976,3258367999),('KW',3258368000,3258384383),('DE',3258384384,3258427647),('RO',3258427648,3258427903),('DE',3258427904,3258428159),('DE',3258428416,3258449919),('CH',3258449920,3258502682),('FR',3258502683,3258502683),('CH',3258502684,3258503935),('PL',3258503936,3258504191),('CH',3258504192,3258504703),('DE',3258504704,3258504959),('IL',3258504960,3258505215),('CH',3258505216,3258515455),('FR',3258515456,3258580991),('RU',3258580992,3258601983),('UA',3258601984,3258602495),('RU',3258602496,3258625791),('UA',3258625792,3258626047),('RU',3258626048,3258646527),('DE',3258646528,3258691583),('RU',3258691584,3258691839),('AT',3258691840,3258692351),('DE',3258692352,3258692607),('FR',3258692608,3258692863),('DE',3258692864,3258693119),('SI',3258693120,3258693375),('DE',3258693376,3258693631),('RU',3258693632,3258693887),('SI',3258693888,3258694143),('RU',3258694144,3258694399),('DE',3258694400,3258694655),('GB',3258694656,3258694911),('DE',3258694912,3258712063),('GB',3258712064,3258728447),('FR',3258728448,3258729471),('DE',3258729472,3258729727),('UA',3258729728,3258729983),('CH',3258729984,3258730239),('NL',3258730240,3258730495),('RO',3258730496,3258730751),('TR',3258730752,3258731007),('SI',3258731008,3258731263),('NO',3258731264,3258731519),('ES',3258731520,3258731775),('UA',3258731776,3258732031),('DE',3258732032,3258732287),('PL',3258732288,3258732543),('SE',3258732544,3258732799),('CH',3258732800,3258733055),('RO',3258733056,3258733311),('GB',3258733312,3258746879),('DE',3258746880,3258748927),('GB',3258748928,3258764287),('DE',3258764288,3258764543),('CH',3258764544,3258764799),('BE',3258764800,3258765055),('NL',3258765056,3258765311),('GB',3258765312,3258767615),('CH',3258767616,3258767871),('GB',3258767872,3258818047),('SE',3258818048,3258818303),('GB',3258818304,3258843135),('RU',3258843136,3258843391),('GB',3258843392,3258848767),('RO',3258848768,3258849023),('RU',3258849024,3258849279),('GB',3258849280,3258902783),('RU',3258902784,3258903039),('FR',3258903040,3258903295),('GB',3258903296,3258903551),('DE',3258903552,3258903807),('RU',3258903808,3258904063),('GB',3258904064,3258941439),('PL',3258941440,3258943487),('BG',3258943488,3258944511),('UA',3258944512,3258945535),('RU',3258945536,3258946559),('CH',3258946560,3258947583),('RO',3258947584,3258948607),('DK',3258948608,3258949631),('GR',3258949632,3258972159),('NO',3258972160,3258974207),('DE',3258974208,3259023103),('IT',3259023104,3259023119),('DE',3259023120,3259032551),('IT',3259032552,3259032559),('DE',3259032560,3259032831),('GB',3259032832,3259032879),('DE',3259032880,3259034319),('GB',3259034320,3259034327),('DE',3259034328,3259039743),('PT',3259039744,3259062015),('GW',3259062016,3259062271),('PT',3259062272,3259105279),('GB',3259105280,3259170815),('RU',3259170816,3259219967),('BY',3259219968,3259220479),('RU',3259220480,3259223295),('TM',3259223296,3259223807),('KZ',3259223808,3259224831),('TJ',3259224832,3259225343),('AZ',3259225344,3259226111),('UZ',3259226112,3259226623),('AM',3259226624,3259227135),('RU',3259227136,3259227391),('KZ',3259227392,3259227903),('DE',3259227904,3259228159),('RU',3259228160,3259236351),('SE',3259236352,3259236863),('CH',3259236864,3259237119),('SE',3259237120,3259269375),('FR',3259269376,3259269631),('SE',3259269632,3259301887),('DE',3259301888,3259302143),('AE',3259302144,3259302399),('CH',3259302400,3259303423),('SE',3259303424,3259305983),('NL',3259305984,3259310079),('FR',3259310080,3259310335),('DK',3259310336,3259311103),('DE',3259311104,3259311615),('CH',3259311616,3259311871),('DE',3259311872,3259312639),('GB',3259312640,3259313151),('SE',3259313152,3259313407),('FR',3259313408,3259313663),('DE',3259313664,3259314175),('BE',3259314176,3259316223),('DE',3259316224,3259317247),('CH',3259317248,3259318271),('GB',3259318272,3259318311),('BE',3259318312,3259318319),('GB',3259318320,3259318343),('FR',3259318344,3259318351),('GB',3259318352,3259318367),('BE',3259318368,3259318399),('GB',3259318400,3259318503),('BE',3259318504,3259318511),('GB',3259318512,3259318527),('CH',3259318528,3259318591),('GB',3259318592,3259318599),('AT',3259318600,3259318607),('GB',3259318608,3259318663),('DK',3259318664,3259318671),('GB',3259318672,3259318679),('IT',3259318680,3259318687),('GB',3259318688,3259318727),('FR',3259318728,3259318735),('GB',3259318736,3259319055),('IT',3259319056,3259319071),('GB',3259319072,3259319087),('SE',3259319088,3259319095),('DK',3259319096,3259319103),('FR',3259319104,3259319111),('GB',3259319112,3259319199),('DE',3259319200,3259319215),('GB',3259319216,3259319255),('DK',3259319256,3259319263),('GB',3259319264,3259319287),('BE',3259319288,3259319295),('GB',3259319296,3259319303),('BE',3259319304,3259319311),('DK',3259319312,3259319319),('GB',3259319320,3259319367),('BE',3259319368,3259319375),('GB',3259319376,3259319407),('LU',3259319408,3259319423),('GB',3259319424,3259319439),('CH',3259319440,3259319447),('GB',3259319448,3259319463),('DK',3259319464,3259319471),('GB',3259319472,3259319587),('NL',3259319588,3259319591),('GB',3259319592,3259319663),('FR',3259319664,3259319667),('GB',3259319668,3259319823),('FR',3259319824,3259319831),('GB',3259319832,3259319879),('BY',3259319880,3259319887),('GB',3259319888,3259319987),('NL',3259319988,3259319991),('GB',3259319992,3259320011),('BE',3259320012,3259320015),('GB',3259320016,3259320055),('AT',3259320056,3259320063),('GB',3259320064,3259320575),('FR',3259320576,3259320583),('GB',3259320584,3259320743),('NL',3259320744,3259320751),('GB',3259320752,3259334655),('DE',3259334656,3259338751),('GB',3259338752,3259339519),('JP',3259339520,3259339775),('US',3259339776,3259340031),('GB',3259340032,3259342847),('CH',3259342848,3259344895),('GB',3259344896,3259345151),('IE',3259345152,3259345407),('CH',3259345408,3259345663),('DE',3259345664,3259346943),('SE',3259346944,3259347199),('DE',3259347200,3259347455),('CH',3259347456,3259347967),('SE',3259347968,3259348223),('CH',3259348224,3259348991),('NL',3259348992,3259351039),('IT',3259351040,3259351551),('FR',3259351552,3259352063),('CH',3259352064,3259352575),('IE',3259352576,3259353087),('NO',3259353088,3259353855),('GB',3259353856,3259354111),('NL',3259354112,3259354367),('DE',3259354368,3259354623),('TR',3259354624,3259354879),('PL',3259354880,3259355135),('NO',3259355136,3259359231),('ES',3259359232,3259367423),('GB',3259367424,3259432959),('SE',3259432960,3259498495),('GB',3259498496,3259506943),('ES',3259506944,3259507199),('GB',3259507200,3259507711),('CH',3259507712,3259507967),('GB',3259507968,3259508223),('ES',3259508224,3259508479),('GB',3259508480,3259515647),('ES',3259515648,3259515903),('GB',3259515904,3259518207),('ES',3259518208,3259518463),('GB',3259518464,3259518719),('ES',3259518720,3259518975),('GB',3259518976,3259521023),('NL',3259521024,3259521535),('GB',3259521536,3259524863),('ES',3259524864,3259525119),('GB',3259525120,3259530751),('NL',3259530752,3259531007),('GB',3259531008,3259531263),('CH',3259531264,3259531519),('GB',3259531520,3259531663),('NL',3259531664,3259531679),('GB',3259531680,3259532031),('US',3259532032,3259532047),('GB',3259532048,3259534847),('IE',3259534848,3259534863),('GB',3259534864,3259537407),('ES',3259537408,3259537919),('GB',3259537920,3259538687),('ES',3259538688,3259538943),('GB',3259538944,3259541503),('NL',3259541504,3259543551),('GB',3259543552,3259545599),('LB',3259545600,3259546111),('GB',3259546112,3259555839),('ES',3259555840,3259556095),('GB',3259556096,3259562495),('ES',3259562496,3259562751),('GB',3259562752,3259576351),('ES',3259576352,3259576359),('GB',3259576360,3259576799),('ES',3259576800,3259576831),('GB',3259576832,3259577247),('IR',3259577248,3259577263),('GB',3259577264,3259581439),('ES',3259581440,3259581951),('GB',3259581952,3259587583),('ES',3259587584,3259588095),('IT',3259588096,3259588607),('GB',3259588608,3259596799),('ES',3259596800,3259597055),('GB',3259597056,3259599359),('FR',3259599360,3259599615),('GB',3259599616,3259601151),('IE',3259601152,3259601407),('GB',3259601408,3259614463),('DE',3259614464,3259614719),('GB',3259614720,3259614975),('DE',3259614976,3259615231),('GB',3259615232,3259615743),('FR',3259615744,3259615999),('GB',3259616000,3259620095),('DE',3259620096,3259620351),('GB',3259620352,3259628031),('CH',3259628032,3259628543),('GB',3259628544,3259630335),('ES',3259630336,3259630591),('GB',3259630592,3259633407),('DE',3259633408,3259633663),('GB',3259633664,3259635711),('ES',3259635712,3259635967),('GB',3259635968,3259637759),('ES',3259637760,3259638015),('GB',3259638016,3259638783),('BE',3259638784,3259639039),('GB',3259639040,3259639551),('DE',3259639552,3259639807),('GB',3259639808,3259640319),('ES',3259640320,3259640575),('GB',3259640576,3259640831),('ES',3259640832,3259641343),('GB',3259641344,3259642367),('BE',3259642368,3259642623),('GB',3259642624,3259650047),('NL',3259650048,3259652095),('GB',3259652096,3259656959),('BE',3259656960,3259657215),('GB',3259657216,3259657727),('BE',3259657728,3259657887),('GB',3259657888,3259657919),('BE',3259657920,3259657983),('GB',3259657984,3259660287),('CH',3259660288,3259660295),('GB',3259660296,3259660327),('CH',3259660328,3259660335),('GB',3259660336,3259660543),('CH',3259660544,3259660799),('GB',3259660800,3259695871),('ES',3259695872,3259695903),('GB',3259695904,3259696639),('ES',3259696640,3259696895),('GB',3259696896,3259701759),('DE',3259701760,3259702303),('GB',3259702304,3259751423),('FR',3259751424,3259751431),('GB',3259751432,3259751479),('FR',3259751480,3259751487),('GB',3259751488,3259751551),('FR',3259751552,3259751615),('GB',3259751616,3259752191),('FR',3259752192,3259752447),('GB',3259752448,3259760639),('DE',3259760640,3259814399),('AT',3259814400,3259814655),('DE',3259814656,3259821823),('AT',3259821824,3259822079),('DE',3259822080,3259851823),('GB',3259851824,3259851831),('DE',3259851832,3259891711),('BE',3259891712,3259957247),('DE',3259957248,3259958271),('RU',3259958272,3259959295),('UA',3259959296,3259960319),('BG',3259960320,3259961343),('FI',3259961344,3259962367),('UA',3259962368,3259963391),('PL',3259963392,3259964415),('GB',3259964416,3259965439),('RU',3259965440,3259966463),('DE',3259966464,3259967487),('RS',3259967488,3259968511),('RO',3259968512,3259969535),('FR',3259969536,3259970559),('CZ',3259970560,3259971583),('IT',3259971584,3259972607),('UA',3259972608,3259973631),('PT',3259973632,3259981823),('EG',3259981824,3259990015),('FR',3259990016,3260006399),('IT',3260006400,3260014591),('NL',3260014592,3260018687),('GB',3260018688,3260019711),('DE',3260019712,3260021247),('GB',3260021248,3260021759),('GR',3260021760,3260022271),('NL',3260022272,3260022783),('GB',3260022784,3260237775),('GR',3260237776,3260237791),('GB',3260237792,3260284927),('RU',3260284928,3260288767),('KZ',3260288768,3260289023),('RU',3260289024,3260303935),('BY',3260303936,3260304127),('RU',3260304128,3260322047),('BY',3260322048,3260322303),('RU',3260322304,3260339071),('TJ',3260339072,3260339135),('RU',3260339136,3260353535),('AZ',3260353536,3260353791),('RU',3260353792,3260354559),('KZ',3260354560,3260355839),('RU',3260355840,3260415487),('BY',3260415488,3260415999),('FI',3260416000,3260481535),('RU',3260481536,3260547071),('DE',3260547072,3260547327),('UA',3260547328,3260547583),('NL',3260547584,3260547839),('PL',3260547840,3260548095),('IE',3260548096,3260548351),('DK',3260548352,3260548607),('RO',3260548608,3260548863),('CH',3260548864,3260549119),('AT',3260549120,3260549375),('CH',3260549376,3260549631),('DE',3260549632,3260549887),('RU',3260549888,3260550143),('PL',3260550144,3260550399),('NL',3260550400,3260550655),('RU',3260550656,3260550911),('ES',3260550912,3260551167),('DE',3260551168,3260553983),('GB',3260553984,3260554239),('SE',3260554240,3260555263),('HU',3260555264,3260556703),('SK',3260556704,3260556799),('HU',3260556800,3260559615),('RO',3260559616,3260559647),('HU',3260559648,3260559711),('RO',3260559712,3260559719),('HU',3260559720,3260563455),('GB',3260563456,3260571647),('BE',3260571648,3260579839),('PL',3260579840,3260580351),('HU',3260580352,3260580863),('GB',3260580864,3260581375),('RO',3260581376,3260581887),('IL',3260581888,3260582399),('RU',3260582400,3260583423),('PT',3260583424,3260583935),('NO',3260583936,3260584447),('RO',3260584448,3260585471),('UA',3260585472,3260586495),('PL',3260586496,3260587007),('FR',3260587008,3260587519),('PL',3260587520,3260588031),('DE',3260588032,3260596223),('CH',3260596224,3260596735),('RO',3260596736,3260597247),('CH',3260597248,3260597759),('DE',3260597760,3260598271),('RU',3260598272,3260598783),('RO',3260598784,3260599295),('RU',3260599296,3260599807),('UA',3260599808,3260600319),('RU',3260600320,3260601343),('CH',3260601344,3260601855),('PL',3260601856,3260602367),('AT',3260602368,3260602879),('UA',3260602880,3260603903),('FR',3260603904,3260604415),('PL',3260604416,3260604927),('RO',3260604928,3260605439),('BG',3260605440,3260605951),('NL',3260605952,3260606463),('SE',3260606464,3260607487),('NL',3260607488,3260607999),('RO',3260608000,3260608511),('IE',3260608512,3260609023),('GB',3260609024,3260609535),('PL',3260609536,3260610047),('FR',3260610048,3260610559),('RO',3260610560,3260611071),('BG',3260611072,3260611583),('RU',3260611584,3260612095),('SE',3260612096,3260612607),('FI',3260612608,3260613631),('DE',3260613632,3260613887),('DK',3260613888,3260614143),('FI',3260614144,3260626175),('ES',3260626176,3260626431),('FI',3260626432,3260626943),('SE',3260626944,3260627199),('FI',3260627200,3260668415),('ES',3260668416,3260668671),('GB',3260668672,3260668927),('FI',3260668928,3260669183),('DE',3260669184,3260669695),('IT',3260669696,3260669951),('FI',3260669952,3260678143),('IL',3260678144,3260743679),('IT',3260743680,3260800255),('BE',3260800256,3260800271),('IT',3260800272,3260809215),('PL',3260809216,3260874751),('DK',3260874752,3260875775),('GB',3260875776,3260876031),('DK',3260876032,3260891391),('IT',3260891392,3260891647),('NL',3260891648,3260891903),('ES',3260891904,3260892159),('GB',3260892160,3260892415),('FI',3260892416,3260892671),('PT',3260892672,3260892927),('SE',3260892928,3260893183),('AT',3260893184,3260893439),('SE',3260893440,3260894207),('AT',3260894208,3260895231),('SE',3260895232,3260898303),('ES',3260898304,3260899327),('CH',3260899328,3260900095),('EU',3260900096,3260900607),('NL',3260900608,3260901119),('DE',3260901120,3260903423),('CH',3260903424,3260906239),('DE',3260906240,3260906367),('GB',3260906368,3260906495),('FR',3260906496,3260907519),('GB',3260907520,3260915711),('UA',3260915712,3260923903),('DE',3260923904,3261071359),('AT',3261071360,3261136895),('DE',3261136896,3261150143),('US',3261150144,3261150207),('DE',3261150208,3261173759),('AT',3261173760,3261173767),('DE',3261173768,3261173987),('AT',3261173988,3261173991),('DE',3261173992,3261174007),('AT',3261174008,3261174015),('DE',3261174016,3261202431),('FR',3261202432,3261236527),('GB',3261236528,3261236543),('FR',3261236544,3261236863),('GB',3261236864,3261236991),('FR',3261236992,3261241503),('GB',3261241504,3261241535),('FR',3261241536,3261267967),('DE',3261267968,3261333503),('FI',3261333504,3261399039),('GB',3261399040,3261472767),('RO',3261472768,3261503487),('MD',3261503488,3261503935),('RO',3261503936,3261530111),('SE',3261530112,3261595647),('NL',3261595648,3261661183),('RO',3261661184,3261669375),('MT',3261669376,3261673471),('IT',3261673472,3261675519),('LV',3261675520,3261675775),('IT',3261675776,3261676031),('GB',3261676032,3261676287),('IT',3261676288,3261676543),('DK',3261676544,3261676799),('IT',3261676800,3261677055),('GB',3261677056,3261685759),('DE',3261685760,3261687807),('RO',3261687808,3261689855),('GB',3261689856,3261691903),('EU',3261691904,3261693951),('NL',3261693952,3261694463),('RU',3261694464,3261694975),('PL',3261694976,3261695487),('GB',3261695488,3261695999),('UA',3261696000,3261696511),('NL',3261696512,3261697023),('RO',3261697024,3261698047),('UA',3261698048,3261698559),('DE',3261698560,3261699071),('SA',3261699072,3261699583),('NL',3261699584,3261700095),('FR',3261700096,3261700607),('GB',3261700608,3261701119),('RU',3261701120,3261701631),('CH',3261701632,3261702143),('GB',3261702144,3261710335),('RU',3261710336,3261718527),('IS',3261718528,3261726719),('ES',3261726720,3261734911),('GB',3261734912,3261743103),('MT',3261743104,3261751295),('EE',3261751296,3261759487),('IE',3261759488,3261767679),('RS',3261767680,3261775871),('PL',3261775872,3261776383),('RU',3261776384,3261776895),('PL',3261776896,3261777407),('KZ',3261777408,3261777919),('PL',3261777920,3261778431),('RU',3261778432,3261778943),('RO',3261778944,3261779455),('DE',3261779456,3261779967),('UA',3261779968,3261780479),('PL',3261780480,3261780991),('RO',3261780992,3261781503),('PL',3261781504,3261782015),('UA',3261782016,3261783039),('GB',3261783040,3261784063),('AT',3261784064,3261796351),('GB',3261796352,3261796607),('RU',3261796608,3261796863),('PL',3261796864,3261797119),('KR',3261797120,3261797375),('AT',3261797376,3261797631),('RU',3261797632,3261797887),('TR',3261797888,3261798143),('RU',3261798144,3261798399),('AT',3261798400,3261812735),('RU',3261812736,3261812991),('AT',3261812992,3261816575),('DE',3261816576,3261816831),('AT',3261816832,3261820927),('RO',3261820928,3261821183),('AT',3261821184,3261821439),('NL',3261821440,3261821695),('SI',3261821696,3261821951),('RU',3261821952,3261822207),('UA',3261822208,3261822463),('GB',3261822464,3261822719),('SE',3261822720,3261822975),('PL',3261822976,3261823231),('NL',3261823232,3261823743),('BE',3261823744,3261823999),('PL',3261824000,3261824255),('RU',3261824256,3261824511),('FR',3261824512,3261824767),('PT',3261824768,3261825023),('AT',3261825024,3261857791),('CZ',3261857792,3261867951),('CR',3261867952,3261867955),('CZ',3261867956,3261923327),('NL',3261923328,3261988863),('SE',3261988864,3261989119),('FI',3261989120,3261993471),('RU',3261993472,3261993727),('FI',3261993728,3261995263),('DE',3261995264,3261995519),('PL',3261995520,3261995775),('FI',3261995776,3261996031),('NL',3261996032,3261996287),('FI',3261996288,3262005759),('RU',3262005760,3262006015),('NL',3262006016,3262006271),('RO',3262006272,3262006527),('SE',3262006784,3262007039),('IT',3262007040,3262007295),('SA',3262007296,3262007551),('GR',3262007552,3262007807),('RO',3262007808,3262008063),('GB',3262008064,3262008319),('PT',3262008320,3262008575),('PL',3262008576,3262008831),('AT',3262008832,3262009087),('UA',3262009088,3262009343),('FI',3262009344,3262013439),('SE',3262013440,3262017535),('FI',3262017536,3262018559),('PL',3262018560,3262018815),('FI',3262018816,3262021119),('UA',3262021120,3262021375),('PL',3262021376,3262021631),('CH',3262021632,3262021887),('UA',3262021888,3262022143),('FI',3262022144,3262022911),('DE',3262022912,3262023167),('FI',3262023168,3262023679),('DK',3262023680,3262023935),('FI',3262023936,3262027263),('TR',3262027264,3262027519),('BE',3262027520,3262027775),('FI',3262027776,3262029823),('US',3262029824,3262030847),('FR',3262030848,3262031871),('FI',3262031872,3262034123),('AX',3262034124,3262034127),('FI',3262034128,3262034455),('AX',3262034456,3262034463),('FI',3262034464,3262034527),('AX',3262034528,3262034559),('FI',3262034560,3262034687),('AX',3262034688,3262034719),('FI',3262034720,3262036319),('AX',3262036320,3262036335),('FI',3262036336,3262036367),('AX',3262036368,3262036383),('FI',3262036384,3262036415),('AX',3262036416,3262036431),('FI',3262036432,3262036991),('AX',3262036992,3262038015),('FR',3262038016,3262038271),('RU',3262038272,3262038527),('GB',3262038528,3262038783),('NO',3262038784,3262039039),('DE',3262039040,3262039295),('GB',3262039296,3262039551),('GR',3262039552,3262039807),('SI',3262039808,3262040063),('PL',3262040064,3262040319),('ES',3262040320,3262040575),('RU',3262040576,3262040831),('GB',3262040832,3262041087),('HU',3262041088,3262041343),('BG',3262041344,3262041599),('DK',3262041600,3262041855),('FR',3262041856,3262042367),('GB',3262042368,3262042623),('UA',3262042624,3262042879),('NL',3262042880,3262043135),('RO',3262043136,3262043391),('TR',3262043392,3262043647),('NL',3262043648,3262043903),('GB',3262043904,3262044159),('RS',3262044160,3262044415),('DE',3262044416,3262044671),('GR',3262044672,3262044927),('UA',3262044928,3262045183),('LT',3262045184,3262045439),('NL',3262045440,3262045695),('SI',3262045696,3262045951),('RU',3262045952,3262046207),('FI',3262046208,3262049279),('JO',3262049280,3262049535),('GB',3262049536,3262049791),('PL',3262049792,3262050559),('GB',3262050560,3262050815),('CH',3262050816,3262051071),('GB',3262051072,3262051583),('FR',3262051584,3262051839),('DE',3262051840,3262052351),('UA',3262052352,3262052607),('IL',3262052608,3262052863),('GB',3262052864,3262053119),('RU',3262053120,3262053375),('UA',3262053376,3262053631),('RU',3262053632,3262053887),('UA',3262053888,3262054143),('RU',3262054144,3262054399),('FI',3262054400,3262099199),('NL',3262099200,3262099455),('FI',3262099456,3262108671),('RU',3262108672,3262108927),('FI',3262108928,3262114047),('SE',3262114048,3262114303),('FI',3262114304,3262115071),('RU',3262115072,3262115327),('FI',3262115328,3262119935),('AX',3262119936,3262120447),('FI',3262120448,3262120959),('AX',3262120960,3262121215),('FI',3262121216,3262122143),('AX',3262122144,3262122147),('FI',3262122148,3262122631),('AX',3262122632,3262122639),('FI',3262122640,3262124031),('DE',3262124032,3262128127),('GB',3262128128,3262136319),('EU',3262136320,3262137599),('DE',3262137600,3262137855),('EU',3262137856,3262139391),('GB',3262139392,3262140415),('DE',3262140416,3262140671),('EU',3262140672,3262141183),('DE',3262141184,3262141439),('ES',3262141440,3262142463),('DE',3262142464,3262142719),('EU',3262142720,3262143487),('GB',3262143488,3262143743),('EU',3262143744,3262143999),('DE',3262144000,3262144047),('EU',3262144048,3262145023),('DE',3262145024,3262145279),('EU',3262145280,3262145551),('DE',3262145552,3262145567),('EU',3262145568,3262145615),('DE',3262145616,3262145631),('EU',3262145632,3262145663),('DE',3262145664,3262145791),('EU',3262145792,3262146047),('DE',3262146048,3262146815),('EU',3262146816,3262147071),('DE',3262147072,3262147327),('EU',3262147328,3262147583),('DE',3262147584,3262147839),('EU',3262147840,3262148607),('DE',3262148608,3262148863),('EU',3262148864,3262148879),('DE',3262148880,3262148919),('EU',3262148920,3262148927),('DE',3262148928,3262149119),('FR',3262149120,3262149151),('DE',3262149152,3262149159),('FR',3262149160,3262149247),('EU',3262149248,3262149631),('DE',3262149632,3262149887),('EU',3262149888,3262150911),('DE',3262150912,3262151047),('EU',3262151048,3262151071),('DE',3262151072,3262151103),('EU',3262151104,3262151135),('DE',3262151136,3262151151),('EU',3262151152,3262151167),('DE',3262151168,3262151423),('EU',3262151424,3262151935),('DE',3262151936,3262152191),('EU',3262152192,3262152663),('DE',3262152664,3262152671),('EU',3262152672,3262152703),('AT',3262152704,3262185471),('DE',3262185472,3262224895),('AT',3262224896,3262225151),('DE',3262225152,3262227711),('RO',3262227712,3262227967),('DE',3262227968,3262283775),('RU',3262283776,3262284799),('UA',3262284800,3262286847),('SE',3262286848,3262287871),('PL',3262287872,3262289919),('SE',3262289920,3262316543),('DE',3262316544,3262348799),('NL',3262348800,3262349055),('DE',3262349056,3262382079),('IT',3262382080,3262414847),('DE',3262414848,3262415359),('PL',3262415360,3262416895),('RO',3262416896,3262417407),('PL',3262417408,3262417919),('RU',3262417920,3262418431),('FR',3262418432,3262419455),('NL',3262419456,3262419967),('FR',3262419968,3262420479),('CH',3262420480,3262420991),('ES',3262420992,3262421503),('DE',3262421504,3262422015),('SE',3262422016,3262422527),('AT',3262422528,3262423039),('GB',3262423040,3262423551),('UA',3262423552,3262424063),('IT',3262424064,3262424575),('FR',3262424576,3262425087),('RO',3262425088,3262425599),('UA',3262425600,3262426111),('DE',3262426112,3262426623),('GB',3262426624,3262427135),('FR',3262427136,3262427647),('DK',3262427648,3262428159),('CH',3262428160,3262428671),('PL',3262428672,3262429183),('ES',3262429184,3262429695),('DE',3262429696,3262430207),('EE',3262430208,3262430719),('RO',3262430720,3262431231),('PL',3262431232,3262431743),('UA',3262431744,3262432255),('CH',3262432256,3262432767),('GB',3262432768,3262433279),('RO',3262433280,3262433791),('FR',3262433792,3262434303),('SI',3262434304,3262434815),('DE',3262434816,3262435839),('CH',3262435840,3262436351),('SE',3262436352,3262436863),('GB',3262436864,3262437375),('RO',3262437376,3262437887),('FR',3262437888,3262438399),('NL',3262438400,3262438911),('DK',3262438912,3262439423),('AT',3262439424,3262439935),('IL',3262439936,3262440447),('UA',3262440448,3262440959),('IL',3262440960,3262441471),('UA',3262441472,3262441983),('DE',3262441984,3262442495),('RO',3262442496,3262443007),('UA',3262443008,3262443519),('ES',3262443520,3262444031),('AT',3262444032,3262444543),('UA',3262444544,3262445055),('RO',3262445056,3262445567),('PL',3262445568,3262446079),('RU',3262446080,3262446591),('PL',3262446592,3262447103),('GB',3262447104,3262447615),('PT',3262447616,3262460415),('UA',3262460416,3262460543),('RU',3262460544,3262460671),('DK',3262460672,3262460799),('GB',3262460800,3262460927),('HU',3262460928,3262461055),('DE',3262461056,3262461183),('SN',3262461184,3262461311),('NO',3262461312,3262461439),('DE',3262461440,3262461567),('GB',3262461568,3262461695),('UA',3262461696,3262461823),('RO',3262461824,3262461951),('IQ',3262461952,3262463999),('RU',3262464000,3262472191),('DE',3262472192,3262472207),('FR',3262472208,3262472211),('DE',3262472212,3262472215),('NL',3262472216,3262472219),('AT',3262472220,3262472223),('DE',3262472224,3262472231),('AT',3262472232,3262472235),('DE',3262472236,3262472243),('FR',3262472244,3262472247),('IT',3262472248,3262472251),('DE',3262472252,3262472267),('AT',3262472268,3262472271),('IT',3262472272,3262472275),('BE',3262472276,3262472279),('DE',3262472280,3262472291),('FR',3262472292,3262472295),('DE',3262472296,3262472311),('NL',3262472312,3262472315),('DE',3262472316,3262472331),('SE',3262472332,3262472335),('US',3262472336,3262472339),('DE',3262472340,3262472351),('NL',3262472352,3262472355),('ES',3262472356,3262472359),('NL',3262472360,3262472363),('GB',3262472364,3262472367),('NL',3262472368,3262472371),('FR',3262472372,3262472375),('GB',3262472376,3262472379),('DE',3262472380,3262472387),('FR',3262472388,3262472391),('GB',3262472392,3262472395),('DE',3262472396,3262472399),('NL',3262472400,3262472403),('DE',3262472404,3262472407),('US',3262472408,3262472411),('DE',3262472412,3262472415),('ES',3262472416,3262472419),('DE',3262472420,3262472423),('BE',3262472424,3262472427),('CH',3262472428,3262472431),('AE',3262472432,3262472435),('DE',3262472436,3262472443),('LU',3262472444,3262472447),('DE',3262472448,3262472459),('CH',3262472460,3262472463),('DE',3262472464,3262472467),('FR',3262472468,3262472471),('DE',3262472472,3262472479),('IT',3262472480,3262472483),('DE',3262472484,3262472495),('CH',3262472496,3262472499),('DE',3262472500,3262472511),('CA',3262472512,3262472515),('GB',3262472516,3262472519),('DE',3262472520,3262472527),('CH',3262472528,3262472531),('NL',3262472532,3262472535),('DE',3262472536,3262472539),('US',3262472540,3262472543),('DE',3262472544,3262472547),('NL',3262472548,3262472551),('HU',3262472552,3262472555),('DE',3262472556,3262472563),('DK',3262472564,3262472567),('DE',3262472568,3262472575),('CA',3262472576,3262472579),('AT',3262472580,3262472583),('US',3262472584,3262472591),('DE',3262472592,3262472595),('CH',3262472596,3262472599),('FR',3262472600,3262472603),('CH',3262472604,3262472607),('US',3262472608,3262472615),('CA',3262472616,3262472619),('TR',3262472620,3262472623),('DE',3262472624,3262472631),('ES',3262472632,3262472635),('DE',3262472636,3262472651),('FR',3262472652,3262472655),('GB',3262472656,3262472659),('IT',3262472660,3262472663),('ES',3262472664,3262472667),('DE',3262472668,3262472675),('FR',3262472676,3262472679),('CL',3262472680,3262472683),('US',3262472684,3262472691),('DE',3262472692,3262472695),('IT',3262472696,3262472699),('AT',3262472700,3262472703),('US',3262472704,3262472707),('DE',3262472708,3262472711),('US',3262472712,3262472715),('NL',3262472716,3262472727),('DE',3262472728,3262472735),('IT',3262472736,3262472739),('PT',3262472740,3262472743),('DE',3262472744,3262472747),('GB',3262472748,3262472751),('DE',3262472752,3262472755),('PT',3262472756,3262472759),('DE',3262472760,3262472763),('CA',3262472764,3262472767),('DE',3262472768,3262472771),('US',3262472772,3262472775),('DE',3262472776,3262472779),('US',3262472780,3262472783),('DE',3262472784,3262472791),('GB',3262472792,3262472795),('AT',3262472796,3262472799),('DE',3262472800,3262472807),('CH',3262472808,3262472811),('DE',3262472812,3262472819),('CH',3262472820,3262472823),('US',3262472824,3262472827),('DE',3262472828,3262472835),('DK',3262472836,3262472839),('DE',3262472840,3262472843),('AT',3262472844,3262472847),('DE',3262472848,3262472851),('IT',3262472852,3262472855),('FR',3262472856,3262472859),('US',3262472860,3262472863),('FR',3262472864,3262472867),('GB',3262472868,3262472871),('DE',3262472872,3262472875),('FR',3262472876,3262472879),('DE',3262472880,3262472883),('CA',3262472884,3262472891),('DE',3262472892,3262472899),('AT',3262472900,3262472903),('US',3262472904,3262472907),('DE',3262472908,3262472911),('IT',3262472912,3262472915),('DE',3262472916,3262472923),('IT',3262472924,3262472927),('NL',3262472928,3262472931),('LB',3262472932,3262472935),('DE',3262472936,3262472939),('CH',3262472940,3262472943),('PT',3262472944,3262472947),('LU',3262472948,3262472951),('DE',3262472952,3262472955),('CA',3262472956,3262472959),('DE',3262472960,3262472963),('AT',3262472964,3262472967),('DE',3262472968,3262472975),('LU',3262472976,3262472979),('AT',3262472980,3262472983),('PT',3262472984,3262472987),('US',3262472988,3262472991),('DE',3262472992,3262472995),('FR',3262472996,3262472999),('HU',3262473000,3262473003),('NO',3262473004,3262473007),('US',3262473008,3262473011),('DE',3262473012,3262473015),('AR',3262473016,3262473019),('US',3262473020,3262473023),('ES',3262473024,3262473027),('BM',3262473028,3262473031),('DE',3262473032,3262473035),('IT',3262473036,3262473039),('GB',3262473040,3262473043),('US',3262473044,3262473047),('DE',3262473048,3262473051),('AT',3262473052,3262473055),('DE',3262473056,3262473075),('GB',3262473076,3262473079),('DE',3262473080,3262473083),('US',3262473084,3262473087),('NL',3262473088,3262473091),('DE',3262473092,3262473099),('BE',3262473100,3262473103),('DE',3262473104,3262473107),('ES',3262473108,3262473115),('DE',3262473116,3262473119),('FR',3262473120,3262473127),('DE',3262473128,3262473135),('US',3262473136,3262473139),('ES',3262473140,3262473143),('DE',3262473144,3262473151),('FR',3262473152,3262473155),('IT',3262473156,3262473159),('NL',3262473160,3262473163),('CH',3262473164,3262473167),('DE',3262473168,3262473171),('US',3262473172,3262473175),('DE',3262473176,3262473195),('AT',3262473196,3262473199),('ES',3262473200,3262473203),('US',3262473204,3262473207),('DE',3262473208,3262473211),('FR',3262473212,3262473215),('JP',3262473216,3262473323),('KR',3262473324,3262473327),('JP',3262473328,3262473471),('DE',3262473472,3262473473),('US',3262473474,3262473478),('CA',3262473479,3262473480),('US',3262473481,3262473483),('VE',3262473484,3262473484),('US',3262473485,3262473485),('CA',3262473486,3262473486),('US',3262473487,3262473513),('PR',3262473514,3262473514),('US',3262473515,3262473516),('CN',3262473517,3262473517),('US',3262473518,3262473526),('CN',3262473527,3262473527),('US',3262473528,3262473540),('DE',3262473541,3262473541),('US',3262473542,3262473543),('CA',3262473544,3262473544),('US',3262473545,3262473548),('CA',3262473549,3262473549),('US',3262473550,3262473557),('DE',3262473558,3262473558),('US',3262473559,3262473567),('CA',3262473568,3262473568),('US',3262473569,3262473570),('DE',3262473571,3262473571),('US',3262473572,3262473582),('CA',3262473583,3262473583),('US',3262473584,3262473586),('CA',3262473587,3262473587),('US',3262473588,3262473658),('DE',3262473659,3262473659),('US',3262473660,3262473663),('CA',3262473664,3262473664),('US',3262473665,3262473688),('CA',3262473689,3262473689),('AR',3262473690,3262473691),('CA',3262473692,3262473692),('DE',3262473693,3262473729),('US',3262473730,3262473735),('CA',3262473736,3262473736),('US',3262473737,3262473771),('DE',3262473772,3262473772),('US',3262473773,3262473781),('PR',3262473782,3262473782),('US',3262473783,3262473785),('DE',3262473786,3262473855),('US',3262473856,3262473859),('DE',3262473860,3262473903),('US',3262473904,3262473907),('DE',3262473908,3262473931),('US',3262473932,3262473935),('DE',3262473936,3262473963),('US',3262473964,3262473967),('DE',3262473968,3262473971),('US',3262473972,3262473983),('DE',3262473984,3262473985),('TW',3262473986,3262473986),('IN',3262473987,3262473987),('SG',3262473988,3262473988),('IN',3262473989,3262473989),('SG',3262473990,3262473990),('DE',3262473991,3262473991),('SG',3262473992,3262473992),('IN',3262473993,3262473993),('TW',3262473994,3262473995),('MY',3262473996,3262473996),('ID',3262473997,3262473998),('TW',3262473999,3262473999),('SG',3262474000,3262474000),('TW',3262474001,3262474001),('MY',3262474002,3262474002),('TW',3262474003,3262474003),('SG',3262474004,3262474004),('TW',3262474005,3262474005),('SG',3262474006,3262474007),('TW',3262474008,3262474009),('SG',3262474010,3262474010),('ID',3262474011,3262474011),('SG',3262474012,3262474013),('HK',3262474014,3262474014),('SG',3262474015,3262474016),('MY',3262474017,3262474018),('SG',3262474019,3262474026),('CN',3262474027,3262474027),('SG',3262474028,3262474030),('IN',3262474031,3262474031),('MY',3262474032,3262474032),('SG',3262474033,3262474033),('MY',3262474034,3262474034),('SG',3262474035,3262474035),('MY',3262474036,3262474036),('SG',3262474037,3262474037),('MY',3262474038,3262474038),('TW',3262474039,3262474039),('MY',3262474040,3262474041),('CN',3262474042,3262474042),('SG',3262474043,3262474043),('GB',3262474044,3262474044),('SG',3262474045,3262474048),('IN',3262474049,3262474049),('SG',3262474050,3262474061),('CN',3262474062,3262474063),('TW',3262474064,3262474064),('IN',3262474065,3262474065),('SG',3262474066,3262474066),('MY',3262474067,3262474067),('SG',3262474068,3262474068),('MY',3262474069,3262474069),('SG',3262474070,3262474070),('TW',3262474071,3262474071),('IN',3262474072,3262474072),('SG',3262474073,3262474075),('MY',3262474076,3262474076),('SG',3262474077,3262474077),('IN',3262474078,3262474078),('MY',3262474079,3262474079),('SG',3262474080,3262474083),('TW',3262474084,3262474084),('SG',3262474085,3262474087),('MY',3262474088,3262474088),('SG',3262474089,3262474089),('MY',3262474090,3262474091),('SG',3262474092,3262474094),('HK',3262474095,3262474095),('SG',3262474096,3262474097),('MY',3262474098,3262474098),('SG',3262474099,3262474102),('MY',3262474103,3262474103),('CN',3262474104,3262474104),('IN',3262474105,3262474105),('MY',3262474106,3262474106),('CN',3262474107,3262474107),('HK',3262474108,3262474108),('MY',3262474109,3262474110),('TH',3262474111,3262474111),('SG',3262474112,3262474112),('PH',3262474113,3262474113),('IN',3262474114,3262474114),('SG',3262474115,3262474115),('TW',3262474116,3262474116),('IN',3262474117,3262474117),('TH',3262474118,3262474118),('TW',3262474119,3262474119),('BN',3262474120,3262474120),('TW',3262474121,3262474121),('SG',3262474122,3262474122),('MY',3262474123,3262474125),('IN',3262474126,3262474126),('SG',3262474127,3262474128),('MY',3262474129,3262474130),('IN',3262474131,3262474131),('MY',3262474132,3262474133),('CN',3262474134,3262474134),('SG',3262474135,3262474136),('TW',3262474137,3262474137),('CN',3262474138,3262474139),('TW',3262474140,3262474140),('SG',3262474141,3262474142),('PH',3262474143,3262474143),('SG',3262474144,3262474150),('MY',3262474151,3262474151),('SG',3262474152,3262474152),('IN',3262474153,3262474153),('SG',3262474154,3262474154),('MY',3262474155,3262474155),('IN',3262474156,3262474156),('SG',3262474157,3262474157),('MY',3262474158,3262474159),('SG',3262474160,3262474162),('MY',3262474163,3262474163),('IN',3262474164,3262474164),('CN',3262474165,3262474165),('SG',3262474166,3262474166),('HK',3262474167,3262474167),('TW',3262474168,3262474168),('DE',3262474169,3262474169),('SG',3262474170,3262474170),('MY',3262474171,3262474171),('SG',3262474172,3262474172),('CN',3262474173,3262474173),('TW',3262474174,3262474174),('SG',3262474175,3262474175),('MY',3262474176,3262474176),('SG',3262474177,3262474177),('TW',3262474178,3262474178),('CN',3262474179,3262474179),('MY',3262474180,3262474180),('SG',3262474181,3262474181),('MY',3262474182,3262474182),('SG',3262474183,3262474185),('MY',3262474186,3262474186),('SG',3262474187,3262474187),('MY',3262474188,3262474188),('SG',3262474189,3262474189),('CN',3262474190,3262474190),('SG',3262474191,3262474192),('PH',3262474193,3262474193),('SG',3262474194,3262474194),('MY',3262474195,3262474195),('IN',3262474196,3262474196),('SG',3262474197,3262474198),('CN',3262474199,3262474199),('MY',3262474200,3262474200),('SG',3262474201,3262474201),('CN',3262474202,3262474203),('IN',3262474204,3262474204),('SG',3262474205,3262474205),('IN',3262474206,3262474206),('MY',3262474207,3262474207),('SG',3262474208,3262474208),('MY',3262474209,3262474209),('TW',3262474210,3262474210),('SG',3262474211,3262474211),('MY',3262474212,3262474212),('SG',3262474213,3262474213),('CN',3262474214,3262474214),('IN',3262474215,3262474215),('SG',3262474216,3262474216),('MY',3262474217,3262474217),('SG',3262474218,3262474218),('MY',3262474219,3262474219),('IN',3262474220,3262474222),('SG',3262474223,3262474223),('MY',3262474224,3262474224),('SG',3262474225,3262474225),('MY',3262474226,3262474226),('IN',3262474227,3262474227),('SG',3262474228,3262474228),('IN',3262474229,3262474230),('SG',3262474231,3262474231),('IN',3262474232,3262474234),('MY',3262474235,3262474236),('SG',3262474237,3262474238),('DE',3262474239,3262474239),('AU',3262474240,3262474255),('NZ',3262474256,3262474259),('AU',3262474260,3262474263),('NZ',3262474264,3262474267),('AU',3262474268,3262474271),('NZ',3262474272,3262474275),('AU',3262474276,3262474367),('NZ',3262474368,3262474371),('AU',3262474372,3262474395),('NZ',3262474396,3262474399),('AU',3262474400,3262474463),('NZ',3262474464,3262474467),('AU',3262474468,3262474495),('DE',3262474496,3262474631),('DK',3262474632,3262474635),('DE',3262474636,3262474791),('JP',3262474792,3262474815),('DE',3262474816,3262474895),('JP',3262474896,3262475007),('DE',3262475008,3262475009),('US',3262475010,3262475023),('CO',3262475024,3262475024),('US',3262475025,3262475025),('DE',3262475026,3262475027),('US',3262475028,3262475029),('DE',3262475030,3262475033),('US',3262475034,3262475036),('DE',3262475037,3262475037),('US',3262475038,3262475042),('DE',3262475043,3262475043),('US',3262475044,3262475044),('BR',3262475045,3262475045),('US',3262475046,3262475057),('PR',3262475058,3262475058),('US',3262475059,3262475065),('MX',3262475066,3262475068),('US',3262475069,3262475072),('BR',3262475073,3262475075),('US',3262475076,3262475076),('BR',3262475077,3262475077),('US',3262475078,3262475079),('CA',3262475080,3262475080),('US',3262475081,3262475081),('BR',3262475082,3262475082),('US',3262475083,3262475083),('MX',3262475084,3262475084),('BR',3262475085,3262475085),('US',3262475086,3262475087),('BR',3262475088,3262475088),('US',3262475089,3262475090),('DE',3262475091,3262475092),('BR',3262475093,3262475094),('MX',3262475095,3262475095),('US',3262475096,3262475140),('BR',3262475141,3262475141),('US',3262475142,3262475167),('DE',3262475168,3262475168),('US',3262475169,3262475174),('DE',3262475175,3262475175),('US',3262475176,3262475185),('DE',3262475186,3262475186),('US',3262475187,3262475189),('MX',3262475190,3262475190),('BR',3262475191,3262475191),('MX',3262475192,3262475192),('US',3262475193,3262475201),('BR',3262475202,3262475205),('US',3262475206,3262475209),('BR',3262475210,3262475210),('US',3262475211,3262475213),('DE',3262475214,3262475214),('US',3262475215,3262475222),('DE',3262475223,3262475263),('MU',3262475264,3262475267),('US',3262475268,3262475271),('IT',3262475272,3262475275),('US',3262475276,3262475279),('DE',3262475280,3262475283),('NL',3262475284,3262475287),('DE',3262475288,3262475295),('NL',3262475296,3262475303),('FR',3262475304,3262475307),('AR',3262475308,3262475311),('FR',3262475312,3262475315),('SE',3262475316,3262475319),('DE',3262475320,3262475323),('MX',3262475324,3262475327),('US',3262475328,3262475331),('BR',3262475332,3262475335),('DE',3262475336,3262475339),('FR',3262475340,3262475343),('CH',3262475344,3262475347),('DE',3262475348,3262475351),('ES',3262475352,3262475355),('DE',3262475356,3262475359),('IT',3262475360,3262475363),('DE',3262475364,3262475367),('FR',3262475368,3262475371),('NL',3262475372,3262475375),('DE',3262475376,3262475383),('US',3262475384,3262475387),('AT',3262475388,3262475395),('NL',3262475396,3262475399),('US',3262475400,3262475403),('SE',3262475404,3262475407),('DE',3262475408,3262475415),('CH',3262475416,3262475419),('DE',3262475420,3262475423),('US',3262475424,3262475427),('ES',3262475428,3262475431),('IT',3262475432,3262475435),('GB',3262475436,3262475439),('DE',3262475440,3262475443),('US',3262475444,3262475447),('FR',3262475448,3262475451),('DE',3262475452,3262475459),('FR',3262475460,3262475463),('DE',3262475464,3262475467),('ES',3262475468,3262475471),('DE',3262475472,3262475475),('ES',3262475476,3262475479),('US',3262475480,3262475483),('IT',3262475484,3262475487),('MX',3262475488,3262475491),('CH',3262475492,3262475495),('NL',3262475496,3262475499),('DE',3262475500,3262475503),('FR',3262475504,3262475507),('DE',3262475508,3262475511),('US',3262475512,3262475515),('DE',3262475516,3262475519),('US',3262475520,3262475527),('DE',3262475528,3262475531),('US',3262475532,3262475559),('DE',3262475560,3262475575),('US',3262475576,3262475591),('BR',3262475592,3262475595),('US',3262475596,3262475607),('IE',3262475608,3262475611),('DE',3262475612,3262475631),('US',3262475632,3262475635),('DE',3262475636,3262475639),('US',3262475640,3262475683),('BR',3262475684,3262475687),('DE',3262475688,3262475691),('BR',3262475692,3262475695),('US',3262475696,3262475715),('DE',3262475716,3262475719),('BR',3262475720,3262475723),('US',3262475724,3262475775),('DE',3262475776,3262475783),('BE',3262475784,3262475787),('DE',3262475788,3262475791),('AE',3262475792,3262475807),('US',3262475808,3262475811),('IE',3262475812,3262475815),('FR',3262475816,3262475819),('DE',3262475820,3262475823),('RO',3262475824,3262475839),('DE',3262475840,3262475855),('TR',3262475856,3262475871),('BE',3262475872,3262475875),('NL',3262475876,3262475879),('PL',3262475880,3262475883),('BE',3262475884,3262475887),('DE',3262475888,3262475891),('SA',3262475892,3262475895),('CY',3262475896,3262475903),('GR',3262475904,3262475919),('DE',3262475920,3262475935),('FR',3262475936,3262475951),('US',3262475952,3262475963),('HU',3262475964,3262475967),('DE',3262475968,3262475975),('BG',3262475976,3262475983),('SG',3262475984,3262475991),('DE',3262475992,3262476015),('ES',3262476016,3262476019),('FR',3262476020,3262476023),('DE',3262476024,3262476027),('FR',3262476028,3262476031),('DE',3262476032,3262476039),('CH',3262476040,3262476043),('DE',3262476044,3262476047),('IL',3262476048,3262476055),('PE',3262476056,3262476059),('US',3262476060,3262476063),('DE',3262476064,3262476067),('PL',3262476068,3262476071),('US',3262476072,3262476075),('DE',3262476076,3262476079),('FR',3262476080,3262476083),('DE',3262476084,3262476087),('DK',3262476088,3262476091),('NL',3262476092,3262476095),('US',3262476096,3262476103),('DE',3262476104,3262476107),('BE',3262476108,3262476111),('NL',3262476112,3262476115),('DE',3262476116,3262476119),('FR',3262476120,3262476123),('DE',3262476124,3262476127),('GB',3262476128,3262476131),('AR',3262476132,3262476135),('US',3262476136,3262476139),('BE',3262476140,3262476143),('CH',3262476144,3262476147),('US',3262476148,3262476155),('BE',3262476156,3262476159),('GR',3262476160,3262476163),('DE',3262476164,3262476171),('GB',3262476172,3262476175),('ES',3262476176,3262476179),('DE',3262476180,3262476183),('AT',3262476184,3262476187),('PT',3262476188,3262476191),('DE',3262476192,3262476195),('US',3262476196,3262476199),('GB',3262476200,3262476203),('NA',3262476204,3262476207),('US',3262476208,3262476211),('CL',3262476212,3262476215),('FR',3262476216,3262476223),('GR',3262476224,3262476227),('SE',3262476228,3262476231),('FR',3262476232,3262476235),('US',3262476236,3262476239),('IT',3262476240,3262476243),('ES',3262476244,3262476247),('NL',3262476248,3262476251),('DE',3262476252,3262476255),('US',3262476256,3262476259),('DE',3262476260,3262476267),('US',3262476268,3262476271),('DE',3262476272,3262476275),('CA',3262476276,3262476279),('BE',3262476280,3262476283),('DE',3262476284,3262476291),('ZA',3262476292,3262476295),('US',3262476296,3262476299),('DO',3262476300,3262476303),('US',3262476304,3262476307),('DE',3262476308,3262476315),('BE',3262476316,3262476319),('DE',3262476320,3262476323),('IT',3262476324,3262476327),('NL',3262476328,3262476331),('DE',3262476332,3262476339),('ES',3262476340,3262476343),('DE',3262476344,3262476347),('AT',3262476348,3262476351),('AR',3262476352,3262476355),('US',3262476356,3262476363),('PT',3262476364,3262476367),('US',3262476368,3262476371),('DE',3262476372,3262476375),('US',3262476376,3262476387),('SK',3262476388,3262476391),('DE',3262476392,3262476395),('AT',3262476396,3262476399),('ES',3262476400,3262476403),('DE',3262476404,3262476411),('US',3262476412,3262476415),('DE',3262476416,3262476419),('CH',3262476420,3262476423),('ES',3262476424,3262476427),('US',3262476428,3262476431),('IT',3262476432,3262476435),('AT',3262476436,3262476439),('DE',3262476440,3262476443),('AT',3262476444,3262476447),('DE',3262476448,3262476455),('CA',3262476456,3262476459),('DK',3262476460,3262476463),('SK',3262476464,3262476467),('IT',3262476468,3262476471),('CA',3262476472,3262476475),('US',3262476476,3262476483),('DE',3262476484,3262476487),('US',3262476488,3262476491),('BE',3262476492,3262476495),('US',3262476496,3262476499),('DE',3262476500,3262476503),('CH',3262476504,3262476507),('DE',3262476508,3262476511),('US',3262476512,3262476515),('DE',3262476516,3262476519),('GB',3262476520,3262476523),('MX',3262476524,3262476527),('DE',3262476528,3262476531),('IL',3262476532,3262476535),('US',3262476536,3262476539),('DE',3262476540,3262476543),('DK',3262476544,3262476547),('AR',3262476548,3262476551),('IT',3262476552,3262476555),('FR',3262476556,3262476559),('DE',3262476560,3262476567),('US',3262476568,3262476571),('DE',3262476572,3262476575),('US',3262476576,3262476587),('ES',3262476588,3262476591),('GB',3262476592,3262476595),('DE',3262476596,3262476603),('NL',3262476604,3262476607),('SK',3262476608,3262476611),('GB',3262476612,3262476615),('TR',3262476616,3262476619),('NL',3262476620,3262476623),('US',3262476624,3262476627),('DE',3262476628,3262476635),('DK',3262476636,3262476639),('DE',3262476640,3262476643),('ZA',3262476644,3262476647),('US',3262476648,3262476651),('FR',3262476652,3262476655),('US',3262476656,3262476667),('GB',3262476668,3262476671),('SE',3262476672,3262476675),('AT',3262476676,3262476679),('NL',3262476680,3262476683),('IT',3262476684,3262476687),('DE',3262476688,3262476691),('FR',3262476692,3262476695),('ES',3262476696,3262476699),('DE',3262476700,3262476707),('US',3262476708,3262476715),('FR',3262476716,3262476719),('IT',3262476720,3262476723),('FR',3262476724,3262476727),('US',3262476728,3262476731),('DE',3262476732,3262476735),('CA',3262476736,3262476739),('DE',3262476740,3262476743),('CH',3262476744,3262476747),('BE',3262476748,3262476751),('ES',3262476752,3262476755),('DE',3262476756,3262476759),('US',3262476760,3262476763),('ES',3262476764,3262476767),('DK',3262476768,3262476771),('US',3262476772,3262476779),('DE',3262476780,3262476783),('IT',3262476784,3262476787),('US',3262476788,3262476791),('ES',3262476792,3262476795),('DE',3262476796,3262476799),('CA',3262476800,3262476803),('TR',3262476804,3262476807),('DE',3262476808,3262476827),('LU',3262476828,3262476831),('DE',3262476832,3262476839),('IT',3262476840,3262476843),('DE',3262476844,3262476847),('CH',3262476848,3262476851),('US',3262476852,3262476855),('ES',3262476856,3262476859),('DE',3262476860,3262476863),('US',3262476864,3262476867),('DE',3262476868,3262476883),('FR',3262476884,3262476887),('DE',3262476888,3262476891),('HU',3262476892,3262476895),('SK',3262476896,3262476899),('FR',3262476900,3262476903),('DE',3262476904,3262476907),('NL',3262476908,3262476911),('CH',3262476912,3262476915),('DE',3262476916,3262476919),('US',3262476920,3262476923),('AT',3262476924,3262476927),('DE',3262476928,3262476935),('AT',3262476936,3262476939),('DE',3262476940,3262476951),('NL',3262476952,3262476955),('DE',3262476956,3262476971),('US',3262476972,3262476975),('BE',3262476976,3262476979),('DE',3262476980,3262476983),('FR',3262476984,3262476987),('DE',3262476988,3262476995),('IT',3262476996,3262476999),('GB',3262477000,3262477003),('DE',3262477004,3262477007),('CA',3262477008,3262477011),('DE',3262477012,3262477015),('CH',3262477016,3262477019),('DE',3262477020,3262477023),('FR',3262477024,3262477035),('DK',3262477036,3262477039),('US',3262477040,3262477043),('GB',3262477044,3262477047),('DE',3262477048,3262477059),('US',3262477060,3262477063),('DE',3262477064,3262477067),('AT',3262477068,3262477071),('PT',3262477072,3262477075),('FR',3262477076,3262477083),('NL',3262477084,3262477087),('DE',3262477088,3262477091),('BE',3262477092,3262477095),('DE',3262477096,3262477107),('ES',3262477108,3262477111),('DE',3262477112,3262477131),('SK',3262477132,3262477135),('DE',3262477136,3262477147),('FR',3262477148,3262477151),('CH',3262477152,3262477155),('ES',3262477156,3262477159),('US',3262477160,3262477163),('FR',3262477164,3262477167),('NL',3262477168,3262477171),('DE',3262477172,3262477175),('US',3262477176,3262477187),('IT',3262477188,3262477191),('GB',3262477192,3262477195),('PL',3262477196,3262477199),('GB',3262477200,3262477203),('US',3262477204,3262477207),('ES',3262477208,3262477211),('AT',3262477212,3262477215),('US',3262477216,3262477219),('KW',3262477220,3262477223),('BE',3262477224,3262477227),('GB',3262477228,3262477231),('DE',3262477232,3262477239),('CA',3262477240,3262477243),('US',3262477244,3262477247),('AR',3262477248,3262477251),('ES',3262477252,3262477255),('DE',3262477256,3262477259),('GB',3262477260,3262477263),('GR',3262477264,3262477267),('NL',3262477268,3262477271),('US',3262477272,3262477275),('NL',3262477276,3262477279),('DE',3262477280,3262477283),('FR',3262477284,3262477287),('BM',3262477288,3262477291),('US',3262477292,3262477295),('DK',3262477296,3262477299),('IT',3262477300,3262477303),('FR',3262477304,3262477307),('DE',3262477308,3262477311),('ES',3262477312,3262477315),('HU',3262477316,3262477319),('US',3262477320,3262477327),('HU',3262477328,3262477331),('DE',3262477332,3262477335),('CA',3262477336,3262477339),('US',3262477340,3262477343),('CH',3262477344,3262477347),('DE',3262477348,3262477355),('PL',3262477356,3262477359),('LU',3262477360,3262477363),('ES',3262477364,3262477367),('US',3262477368,3262477371),('FR',3262477372,3262477375),('AT',3262477376,3262477379),('US',3262477380,3262477383),('FR',3262477384,3262477387),('DE',3262477388,3262477399),('CH',3262477400,3262477403),('DE',3262477404,3262477407),('US',3262477408,3262477411),('SA',3262477412,3262477415),('DK',3262477416,3262477419),('DE',3262477420,3262477427),('US',3262477428,3262477431),('DE',3262477432,3262477439),('CH',3262477440,3262477443),('BE',3262477444,3262477447),('AR',3262477448,3262477451),('PT',3262477452,3262477455),('DE',3262477456,3262477467),('AT',3262477468,3262477471),('HU',3262477472,3262477475),('FR',3262477476,3262477479),('SE',3262477480,3262477483),('NL',3262477484,3262477487),('DE',3262477488,3262477499),('ES',3262477500,3262477503),('FR',3262477504,3262477507),('CH',3262477508,3262477511),('US',3262477512,3262477519),('DE',3262477520,3262477523),('IT',3262477524,3262477527),('DE',3262477528,3262477543),('US',3262477544,3262477547),('BE',3262477548,3262477551),('BR',3262477552,3262477555),('US',3262477556,3262477559),('CA',3262477560,3262477563),('BE',3262477564,3262477571),('NL',3262477572,3262477575),('DE',3262477576,3262477579),('NO',3262477580,3262477583),('CA',3262477584,3262477587),('FR',3262477588,3262477591),('GB',3262477592,3262477595),('CH',3262477596,3262477599),('NL',3262477600,3262477603),('IT',3262477604,3262477607),('DE',3262477608,3262477611),('US',3262477612,3262477615),('IT',3262477616,3262477619),('DE',3262477620,3262477623),('FR',3262477624,3262477627),('CH',3262477628,3262477631),('AT',3262477632,3262477635),('VE',3262477636,3262477639),('DE',3262477640,3262477643),('GB',3262477644,3262477647),('DE',3262477648,3262477655),('NL',3262477656,3262477659),('US',3262477660,3262477671),('NL',3262477672,3262477675),('DE',3262477676,3262477687),('FR',3262477688,3262477691),('DE',3262477692,3262477695),('NL',3262477696,3262477699),('FR',3262477700,3262477703),('IT',3262477704,3262477707),('GB',3262477708,3262477711),('DE',3262477712,3262477727),('AT',3262477728,3262477731),('NL',3262477732,3262477735),('BR',3262477736,3262477739),('NL',3262477740,3262477743),('CH',3262477744,3262477751),('DE',3262477752,3262477759),('US',3262477760,3262477763),('VE',3262477764,3262477767),('DE',3262477768,3262477771),('CA',3262477772,3262477775),('CZ',3262477776,3262477779),('GB',3262477780,3262477783),('DE',3262477784,3262477787),('US',3262477788,3262477791),('GB',3262477792,3262477795),('FR',3262477796,3262477799),('BE',3262477800,3262477803),('CH',3262477804,3262477807),('CA',3262477808,3262477811),('US',3262477812,3262477819),('DE',3262477820,3262477823),('GB',3262477824,3262477827),('US',3262477828,3262477831),('CH',3262477832,3262477835),('ES',3262477836,3262477839),('GB',3262477840,3262477843),('DE',3262477844,3262477847),('GB',3262477848,3262477851),('DE',3262477852,3262477855),('CA',3262477856,3262477859),('US',3262477860,3262477863),('TR',3262477864,3262477867),('HU',3262477868,3262477871),('DE',3262477872,3262477883),('US',3262477884,3262477891),('IT',3262477892,3262477895),('US',3262477896,3262477899),('DE',3262477900,3262477903),('GB',3262477904,3262477907),('CH',3262477908,3262477911),('US',3262477912,3262477915),('DE',3262477916,3262477919),('US',3262477920,3262477923),('HU',3262477924,3262477927),('DE',3262477928,3262477931),('US',3262477932,3262477935),('DE',3262477936,3262477939),('CA',3262477940,3262477943),('DE',3262477944,3262477955),('US',3262477956,3262477959),('CA',3262477960,3262477963),('DE',3262477964,3262477967),('IT',3262477968,3262477971),('DE',3262477972,3262477987),('NL',3262477988,3262477991),('DE',3262477992,3262477999),('US',3262478000,3262478003),('FR',3262478004,3262478007),('IT',3262478008,3262478011),('PE',3262478012,3262478015),('CH',3262478016,3262478019),('DE',3262478020,3262478027),('SE',3262478028,3262478031),('AT',3262478032,3262478035),('DE',3262478036,3262478039),('NL',3262478040,3262478043),('IS',3262478044,3262478047),('DE',3262478048,3262478055),('CH',3262478056,3262478063),('DE',3262478064,3262478067),('KE',3262478068,3262478071),('DE',3262478072,3262478081),('ES',3262478082,3262478082),('SA',3262478083,3262478083),('TR',3262478084,3262478084),('FR',3262478085,3262478085),('DE',3262478086,3262478088),('AT',3262478089,3262478089),('DE',3262478090,3262478090),('HU',3262478091,3262478091),('PT',3262478092,3262478092),('SA',3262478093,3262478093),('PT',3262478094,3262478094),('DE',3262478095,3262478095),('PL',3262478096,3262478096),('KE',3262478097,3262478097),('TR',3262478098,3262478098),('DE',3262478099,3262478099),('TR',3262478100,3262478100),('ZW',3262478101,3262478101),('TR',3262478102,3262478102),('DE',3262478103,3262478103),('TR',3262478104,3262478104),('PL',3262478105,3262478105),('IT',3262478106,3262478106),('TR',3262478107,3262478107),('DE',3262478108,3262478108),('AE',3262478109,3262478109),('PT',3262478110,3262478110),('DE',3262478111,3262478113),('TR',3262478114,3262478114),('DE',3262478115,3262478115),('NO',3262478116,3262478116),('NA',3262478117,3262478117),('DE',3262478118,3262478118),('SA',3262478119,3262478119),('NA',3262478120,3262478120),('AO',3262478121,3262478121),('NA',3262478122,3262478122),('CY',3262478123,3262478123),('DE',3262478124,3262478124),('PT',3262478125,3262478125),('CY',3262478126,3262478126),('GR',3262478127,3262478127),('CH',3262478128,3262478128),('HU',3262478129,3262478129),('FR',3262478130,3262478130),('SK',3262478131,3262478131),('ES',3262478132,3262478132),('TR',3262478133,3262478133),('ES',3262478134,3262478134),('TR',3262478135,3262478135),('HU',3262478136,3262478137),('TR',3262478138,3262478138),('MZ',3262478139,3262478139),('FR',3262478140,3262478140),('TR',3262478141,3262478143),('DE',3262478144,3262478145),('GR',3262478146,3262478146),('FR',3262478147,3262478147),('KZ',3262478148,3262478148),('UA',3262478149,3262478149),('SA',3262478150,3262478150),('DE',3262478151,3262478151),('PL',3262478152,3262478152),('TR',3262478153,3262478153),('FR',3262478154,3262478154),('CU',3262478155,3262478155),('TR',3262478156,3262478156),('DE',3262478157,3262478157),('IT',3262478158,3262478158),('IL',3262478159,3262478159),('TR',3262478160,3262478160),('ZW',3262478161,3262478161),('SA',3262478162,3262478162),('FR',3262478163,3262478163),('ZW',3262478164,3262478164),('SK',3262478165,3262478165),('TR',3262478166,3262478166),('KZ',3262478167,3262478167),('ES',3262478168,3262478168),('PL',3262478169,3262478169),('FR',3262478170,3262478171),('GR',3262478172,3262478172),('TR',3262478173,3262478174),('DE',3262478175,3262478175),('TR',3262478176,3262478176),('DE',3262478177,3262478177),('MZ',3262478178,3262478178),('TR',3262478179,3262478180),('CN',3262478181,3262478181),('ES',3262478182,3262478182),('PL',3262478183,3262478183),('MZ',3262478184,3262478184),('PL',3262478185,3262478185),('ES',3262478186,3262478186),('PT',3262478187,3262478187),('TR',3262478188,3262478188),('NA',3262478189,3262478189),('DE',3262478190,3262478190),('ZA',3262478191,3262478192),('NA',3262478193,3262478194),('DE',3262478195,3262478207),('ES',3262478208,3262478211),('NL',3262478212,3262478215),('FR',3262478216,3262478219),('SE',3262478220,3262478223),('GB',3262478224,3262478227),('ES',3262478228,3262478231),('FR',3262478232,3262478235),('IT',3262478236,3262478239),('FR',3262478240,3262478243),('DE',3262478244,3262478247),('IT',3262478248,3262478251),('CH',3262478252,3262478255),('ES',3262478256,3262478259),('DE',3262478260,3262478263),('IT',3262478264,3262478267),('ES',3262478268,3262478271),('CH',3262478272,3262478275),('DE',3262478276,3262478299),('ES',3262478300,3262478303),('PT',3262478304,3262478307),('ES',3262478308,3262478311),('DE',3262478312,3262478315),('BE',3262478316,3262478319),('GB',3262478320,3262478323),('BE',3262478324,3262478327),('ES',3262478328,3262478331),('GB',3262478332,3262478335),('DE',3262478336,3262478337),('PL',3262478338,3262478338),('DE',3262478339,3262478343),('IT',3262478344,3262478344),('CH',3262478345,3262478345),('PT',3262478346,3262478346),('AO',3262478347,3262478347),('DK',3262478348,3262478348),('BE',3262478349,3262478349),('AT',3262478350,3262478350),('TR',3262478351,3262478351),('CH',3262478352,3262478352),('DK',3262478353,3262478353),('FR',3262478354,3262478354),('DE',3262478355,3262478355),('FR',3262478356,3262478356),('DE',3262478357,3262478358),('FR',3262478359,3262478360),('DE',3262478361,3262478361),('FR',3262478362,3262478362),('CH',3262478363,3262478363),('PT',3262478364,3262478364),('DE',3262478365,3262478366),('HU',3262478367,3262478367),('DE',3262478368,3262478368),('NO',3262478369,3262478369),('CH',3262478370,3262478370),('DE',3262478371,3262478371),('CH',3262478372,3262478373),('PT',3262478374,3262478374),('FR',3262478375,3262478376),('DE',3262478377,3262478377),('CH',3262478378,3262478378),('DE',3262478379,3262478379),('FR',3262478380,3262478381),('AE',3262478382,3262478382),('DE',3262478383,3262478383),('AE',3262478384,3262478384),('ZA',3262478385,3262478385),('DE',3262478386,3262478386),('IT',3262478387,3262478387),('GR',3262478388,3262478388),('CH',3262478389,3262478389),('ES',3262478390,3262478390),('HU',3262478391,3262478391),('DE',3262478392,3262478393),('IT',3262478394,3262478394),('DE',3262478395,3262478396),('PT',3262478397,3262478397),('HU',3262478398,3262478398),('DE',3262478399,3262478399),('GB',3262478400,3262478400),('DE',3262478401,3262478401),('IT',3262478402,3262478402),('CZ',3262478403,3262478403),('FI',3262478404,3262478404),('GB',3262478405,3262478406),('DE',3262478407,3262478412),('ES',3262478413,3262478413),('PL',3262478414,3262478414),('SE',3262478415,3262478415),('SA',3262478416,3262478416),('DE',3262478417,3262478417),('AT',3262478418,3262478418),('FR',3262478419,3262478419),('DE',3262478420,3262478421),('CH',3262478422,3262478422),('SA',3262478423,3262478423),('FR',3262478424,3262478424),('IT',3262478425,3262478425),('NO',3262478426,3262478426),('FR',3262478427,3262478428),('PT',3262478429,3262478429),('CH',3262478430,3262478430),('HU',3262478431,3262478431),('RE',3262478432,3262478432),('AT',3262478433,3262478433),('PT',3262478434,3262478434),('IT',3262478435,3262478435),('DE',3262478436,3262478437),('ZA',3262478438,3262478438),('DE',3262478439,3262478439),('SE',3262478440,3262478440),('FR',3262478441,3262478441),('IT',3262478442,3262478442),('DE',3262478443,3262478443),('AT',3262478444,3262478444),('PT',3262478445,3262478445),('DE',3262478446,3262478447),('ZA',3262478448,3262478448),('DE',3262478449,3262478449),('TR',3262478450,3262478450),('FR',3262478451,3262478451),('IL',3262478452,3262478452),('DE',3262478453,3262478453),('SE',3262478454,3262478454),('IT',3262478455,3262478455),('DE',3262478456,3262478456),('GB',3262478457,3262478457),('HU',3262478458,3262478458),('ES',3262478459,3262478459),('CY',3262478460,3262478460),('DE',3262478461,3262478465),('FR',3262478466,3262478466),('HU',3262478467,3262478467),('DE',3262478468,3262478468),('FR',3262478469,3262478469),('DE',3262478470,3262478470),('ES',3262478471,3262478471),('DE',3262478472,3262478472),('FR',3262478473,3262478473),('HU',3262478474,3262478474),('DE',3262478475,3262478476),('CH',3262478477,3262478478),('DK',3262478479,3262478479),('DE',3262478480,3262478480),('DK',3262478481,3262478481),('IT',3262478482,3262478482),('FR',3262478483,3262478483),('DE',3262478484,3262478484),('CH',3262478485,3262478485),('FR',3262478486,3262478487),('HU',3262478488,3262478488),('HR',3262478489,3262478489),('SE',3262478490,3262478490),('DE',3262478491,3262478491),('CH',3262478492,3262478492),('DE',3262478493,3262478493),('FR',3262478494,3262478494),('DE',3262478495,3262478495),('PT',3262478496,3262478496),('DE',3262478497,3262478500),('CH',3262478501,3262478501),('SE',3262478502,3262478502),('ZA',3262478503,3262478503),('FR',3262478504,3262478504),('IT',3262478505,3262478505),('PT',3262478506,3262478506),('IT',3262478507,3262478507),('PT',3262478508,3262478508),('NL',3262478509,3262478509),('DE',3262478510,3262478513),('SE',3262478514,3262478514),('PT',3262478515,3262478515),('ES',3262478516,3262478516),('DE',3262478517,3262478519),('CH',3262478520,3262478520),('NL',3262478521,3262478521),('QA',3262478522,3262478522),('FR',3262478523,3262478523),('ES',3262478524,3262478524),('DE',3262478525,3262478526),('ES',3262478527,3262478527),('NL',3262478528,3262478528),('ES',3262478529,3262478529),('DE',3262478530,3262478530),('FR',3262478531,3262478531),('DE',3262478532,3262478536),('HU',3262478537,3262478537),('DE',3262478538,3262478538),('FI',3262478539,3262478539),('HU',3262478540,3262478540),('DE',3262478541,3262478542),('AT',3262478543,3262478543),('NL',3262478544,3262478544),('DE',3262478545,3262478546),('FR',3262478547,3262478547),('ES',3262478548,3262478548),('FR',3262478549,3262478549),('DE',3262478550,3262478550),('PL',3262478551,3262478551),('HU',3262478552,3262478552),('PL',3262478553,3262478553),('SE',3262478554,3262478554),('DE',3262478555,3262478555),('GB',3262478556,3262478556),('DE',3262478557,3262478557),('IT',3262478558,3262478558),('DE',3262478559,3262478560),('FR',3262478561,3262478562),('DK',3262478563,3262478563),('RU',3262478564,3262478564),('FR',3262478565,3262478566),('HU',3262478567,3262478567),('DE',3262478568,3262478568),('TR',3262478569,3262478569),('FR',3262478570,3262478570),('DE',3262478571,3262478594),('CH',3262478595,3262478595),('PT',3262478596,3262478596),('SE',3262478597,3262478597),('DE',3262478598,3262478599),('IT',3262478600,3262478600),('KW',3262478601,3262478601),('FR',3262478602,3262478602),('DE',3262478603,3262478604),('ES',3262478605,3262478605),('FI',3262478606,3262478606),('GR',3262478607,3262478607),('DE',3262478608,3262478608),('IT',3262478609,3262478609),('ES',3262478610,3262478610),('HU',3262478611,3262478611),('DE',3262478612,3262478620),('SE',3262478621,3262478621),('TR',3262478622,3262478622),('ES',3262478623,3262478623),('FR',3262478624,3262478624),('DE',3262478625,3262478625),('HU',3262478626,3262478626),('DE',3262478627,3262478627),('HU',3262478628,3262478628),('DE',3262478629,3262478629),('FR',3262478630,3262478630),('PL',3262478631,3262478631),('AN',3262478632,3262478632),('AT',3262478633,3262478633),('ES',3262478634,3262478634),('SA',3262478635,3262478635),('CH',3262478636,3262478636),('GB',3262478637,3262478637),('DE',3262478638,3262478639),('PT',3262478640,3262478640),('DE',3262478641,3262478641),('CH',3262478642,3262478642),('DE',3262478643,3262478643),('ES',3262478644,3262478644),('DE',3262478645,3262478645),('AT',3262478646,3262478646),('FR',3262478647,3262478647),('PT',3262478648,3262478648),('CZ',3262478649,3262478649),('ES',3262478650,3262478650),('FR',3262478651,3262478651),('ES',3262478652,3262478653),('DE',3262478654,3262478655),('PL',3262478656,3262478656),('DE',3262478657,3262478657),('ES',3262478658,3262478658),('DE',3262478659,3262478659),('SK',3262478660,3262478660),('BE',3262478661,3262478661),('TR',3262478662,3262478662),('AT',3262478663,3262478663),('ES',3262478664,3262478664),('DK',3262478665,3262478665),('AT',3262478666,3262478666),('DE',3262478667,3262478667),('IT',3262478668,3262478668),('DE',3262478669,3262478670),('FR',3262478671,3262478671),('DE',3262478672,3262478673),('SK',3262478674,3262478674),('PL',3262478675,3262478675),('CH',3262478676,3262478676),('HU',3262478677,3262478677),('IT',3262478678,3262478678),('FR',3262478679,3262478679),('GB',3262478680,3262478680),('ES',3262478681,3262478681),('CH',3262478682,3262478682),('IT',3262478683,3262478683),('BE',3262478684,3262478684),('DE',3262478685,3262478685),('FR',3262478686,3262478686),('ES',3262478687,3262478687),('TR',3262478688,3262478688),('GB',3262478689,3262478689),('AT',3262478690,3262478690),('CH',3262478691,3262478691),('PL',3262478692,3262478692),('TR',3262478693,3262478693),('CH',3262478694,3262478694),('DE',3262478695,3262478695),('LI',3262478696,3262478696),('ES',3262478697,3262478697),('IT',3262478698,3262478698),('ES',3262478699,3262478699),('IT',3262478700,3262478700),('DE',3262478701,3262478701),('CH',3262478702,3262478702),('FR',3262478703,3262478703),('IT',3262478704,3262478704),('PT',3262478705,3262478706),('ES',3262478707,3262478707),('DE',3262478708,3262478721),('FR',3262478722,3262478722),('DE',3262478723,3262478724),('IT',3262478725,3262478725),('FR',3262478726,3262478726),('AT',3262478727,3262478727),('NL',3262478728,3262478728),('SK',3262478729,3262478729),('IT',3262478730,3262478730),('PT',3262478731,3262478731),('PL',3262478732,3262478732),('SK',3262478733,3262478733),('DE',3262478734,3262478734),('FR',3262478735,3262478735),('HU',3262478736,3262478736),('ES',3262478737,3262478737),('SK',3262478738,3262478738),('SE',3262478739,3262478739),('FR',3262478740,3262478740),('DK',3262478741,3262478741),('CH',3262478742,3262478742),('FR',3262478743,3262478743),('GR',3262478744,3262478744),('IT',3262478745,3262478745),('SE',3262478746,3262478746),('FR',3262478747,3262478747),('DE',3262478748,3262478748),('FR',3262478749,3262478751),('PT',3262478752,3262478752),('IE',3262478753,3262478753),('ES',3262478754,3262478754),('DK',3262478755,3262478755),('FR',3262478756,3262478756),('AT',3262478757,3262478757),('FR',3262478758,3262478758),('CH',3262478759,3262478759),('TR',3262478760,3262478760),('HU',3262478761,3262478761),('CY',3262478762,3262478762),('ES',3262478763,3262478763),('DE',3262478764,3262478764),('ES',3262478765,3262478766),('PT',3262478767,3262478767),('PL',3262478768,3262478768),('ES',3262478769,3262478769),('IT',3262478770,3262478770),('SK',3262478771,3262478771),('FR',3262478772,3262478772),('CZ',3262478773,3262478773),('IT',3262478774,3262478774),('CH',3262478775,3262478775),('ES',3262478776,3262478776),('IT',3262478777,3262478778),('ES',3262478779,3262478779),('PT',3262478780,3262478780),('PL',3262478781,3262478781),('MA',3262478782,3262478782),('ES',3262478783,3262478783),('TR',3262478784,3262478785),('DE',3262478786,3262478786),('PT',3262478787,3262478787),('NO',3262478788,3262478788),('GR',3262478789,3262478789),('DE',3262478790,3262478790),('GB',3262478791,3262478791),('PT',3262478792,3262478792),('FR',3262478793,3262478793),('PT',3262478794,3262478794),('PL',3262478795,3262478795),('HU',3262478796,3262478796),('CY',3262478797,3262478797),('IT',3262478798,3262478798),('HU',3262478799,3262478799),('PL',3262478800,3262478800),('DE',3262478801,3262478801),('IT',3262478802,3262478802),('ES',3262478803,3262478803),('SK',3262478804,3262478804),('GR',3262478805,3262478806),('CH',3262478807,3262478807),('HU',3262478808,3262478808),('TR',3262478809,3262478809),('CH',3262478810,3262478810),('FR',3262478811,3262478811),('PL',3262478812,3262478812),('LB',3262478813,3262478813),('DE',3262478814,3262478851),('CH',3262478852,3262478853),('DE',3262478854,3262478855),('FR',3262478856,3262478856),('LI',3262478857,3262478857),('DE',3262478858,3262478860),('FR',3262478861,3262478861),('DE',3262478862,3262478862),('AT',3262478863,3262478863),('NL',3262478864,3262478864),('DE',3262478865,3262478865),('CH',3262478866,3262478866),('GB',3262478867,3262478867),('IT',3262478868,3262478868),('FR',3262478869,3262478870),('DE',3262478871,3262478872),('NL',3262478873,3262478873),('AT',3262478874,3262478874),('DE',3262478875,3262478875),('GB',3262478876,3262478876),('DE',3262478877,3262478877),('AT',3262478878,3262478878),('DE',3262478879,3262478881),('GR',3262478882,3262478882),('DE',3262478883,3262478886),('NL',3262478887,3262478887),('DK',3262478888,3262478888),('FR',3262478889,3262478890),('DE',3262478891,3262478893),('AT',3262478894,3262478894),('DE',3262478895,3262478895),('NL',3262478896,3262478896),('FR',3262478897,3262478897),('GB',3262478898,3262478898),('SE',3262478899,3262478899),('GB',3262478900,3262478900),('DE',3262478901,3262478901),('IT',3262478902,3262478902),('DE',3262478903,3262478904),('SE',3262478905,3262478905),('DE',3262478906,3262478909),('DK',3262478910,3262478910),('BH',3262478911,3262478911),('NL',3262478912,3262478912),('FR',3262478913,3262478913),('DE',3262478914,3262478914),('NL',3262478915,3262478915),('DE',3262478916,3262478919),('ZA',3262478920,3262478920),('AT',3262478921,3262478921),('DE',3262478922,3262478924),('NL',3262478925,3262478925),('AT',3262478926,3262478926),('PT',3262478927,3262478927),('DK',3262478928,3262478928),('GB',3262478929,3262478929),('DE',3262478930,3262478931),('CH',3262478932,3262478932),('DE',3262478933,3262478935),('CH',3262478936,3262478937),('NL',3262478938,3262478938),('GB',3262478939,3262478939),('NL',3262478940,3262478940),('DE',3262478941,3262478941),('BE',3262478942,3262478942),('SI',3262478943,3262478943),('DE',3262478944,3262478945),('IE',3262478946,3262478946),('DE',3262478947,3262478947),('IT',3262478948,3262478948),('SE',3262478949,3262478949),('DE',3262478950,3262478952),('AT',3262478953,3262478953),('DE',3262478954,3262478954),('FR',3262478955,3262478955),('DE',3262478956,3262478956),('PT',3262478957,3262478957),('SE',3262478958,3262478958),('NL',3262478959,3262478961),('DE',3262478962,3262478963),('CH',3262478964,3262478964),('DE',3262478965,3262478966),('NL',3262478967,3262478967),('ES',3262478968,3262478968),('DE',3262478969,3262478969),('BE',3262478970,3262478970),('DE',3262478971,3262478971),('NO',3262478972,3262478972),('CH',3262478973,3262478973),('GB',3262478974,3262478974),('DE',3262478975,3262478980),('IT',3262478981,3262478981),('DE',3262478982,3262478982),('NL',3262478983,3262478983),('CH',3262478984,3262478984),('PT',3262478985,3262478985),('NL',3262478986,3262478986),('GB',3262478987,3262478987),('IE',3262478988,3262478988),('NL',3262478989,3262478989),('DE',3262478990,3262478990),('FR',3262478991,3262478992),('NL',3262478993,3262478993),('DE',3262478994,3262478997),('GB',3262478998,3262478998),('AT',3262478999,3262478999),('CH',3262479000,3262479000),('AT',3262479001,3262479001),('DE',3262479002,3262479002),('FR',3262479003,3262479003),('DE',3262479004,3262479007),('NL',3262479008,3262479008),('NO',3262479009,3262479009),('NL',3262479010,3262479011),('DE',3262479012,3262479012),('NL',3262479013,3262479013),('ES',3262479014,3262479014),('CH',3262479015,3262479015),('SE',3262479016,3262479016),('DK',3262479017,3262479017),('IT',3262479018,3262479018),('DE',3262479019,3262479019),('CH',3262479020,3262479022),('DE',3262479023,3262479024),('NL',3262479025,3262479025),('DE',3262479026,3262479027),('CH',3262479028,3262479028),('DE',3262479029,3262479029),('ES',3262479030,3262479030),('AT',3262479031,3262479031),('DE',3262479032,3262479036),('AT',3262479037,3262479037),('DK',3262479038,3262479038),('DE',3262479039,3262479039),('NL',3262479040,3262479040),('CH',3262479041,3262479041),('DK',3262479042,3262479042),('FR',3262479043,3262479043),('DE',3262479044,3262479044),('IT',3262479045,3262479045),('DE',3262479046,3262479046),('AT',3262479047,3262479047),('NL',3262479048,3262479048),('DE',3262479049,3262479050),('GB',3262479051,3262479051),('DE',3262479052,3262479052),('NL',3262479053,3262479053),('DE',3262479054,3262479055),('AT',3262479056,3262479056),('GB',3262479057,3262479057),('FR',3262479058,3262479058),('IT',3262479059,3262479059),('DE',3262479060,3262479062),('CH',3262479063,3262479063),('FR',3262479064,3262479065),('IT',3262479066,3262479066),('DE',3262479067,3262479067),('ES',3262479068,3262479068),('FR',3262479069,3262479069),('ES',3262479070,3262479070),('DE',3262479071,3262479074),('CH',3262479075,3262479075),('BE',3262479076,3262479076),('DE',3262479077,3262479077),('IT',3262479078,3262479078),('ES',3262479079,3262479079),('LU',3262479080,3262479080),('CH',3262479081,3262479081),('IT',3262479082,3262479082),('NL',3262479083,3262479083),('CH',3262479084,3262479084),('IT',3262479085,3262479085),('FR',3262479086,3262479086),('DE',3262479087,3262479088),('CH',3262479089,3262479089),('FR',3262479090,3262479090),('DE',3262479091,3262479091),('IT',3262479092,3262479092),('FR',3262479093,3262479093),('GB',3262479094,3262479095),('ES',3262479096,3262479096),('FR',3262479097,3262479097),('IT',3262479098,3262479098),('DE',3262479099,3262479099),('DK',3262479100,3262479100),('CH',3262479101,3262479101),('IT',3262479102,3262479102),('DE',3262479103,3262479105),('ES',3262479106,3262479106),('IT',3262479107,3262479107),('AT',3262479108,3262479108),('FR',3262479109,3262479109),('DE',3262479110,3262479110),('LU',3262479111,3262479111),('DE',3262479112,3262479115),('IT',3262479116,3262479116),('CH',3262479117,3262479117),('GR',3262479118,3262479118),('DE',3262479119,3262479120),('ES',3262479121,3262479121),('FR',3262479122,3262479122),('DE',3262479123,3262479123),('FR',3262479124,3262479124),('IL',3262479125,3262479125),('DE',3262479126,3262479130),('NL',3262479131,3262479131),('AT',3262479132,3262479132),('NL',3262479133,3262479133),('ES',3262479134,3262479134),('DE',3262479135,3262479139),('NL',3262479140,3262479140),('DE',3262479141,3262479142),('GB',3262479143,3262479143),('CH',3262479144,3262479144),('NO',3262479145,3262479145),('DE',3262479146,3262479146),('IT',3262479147,3262479147),('ES',3262479148,3262479149),('DE',3262479150,3262479151),('NL',3262479152,3262479152),('DE',3262479153,3262479153),('FR',3262479154,3262479154),('NL',3262479155,3262479155),('DE',3262479156,3262479156),('ES',3262479157,3262479157),('DE',3262479158,3262479158),('FR',3262479159,3262479159),('DE',3262479160,3262479160),('FR',3262479161,3262479161),('DE',3262479162,3262479162),('FR',3262479163,3262479163),('DE',3262479164,3262479164),('CH',3262479165,3262479167),('DE',3262479168,3262479168),('IT',3262479169,3262479169),('CH',3262479170,3262479170),('ES',3262479171,3262479171),('DE',3262479172,3262479174),('FR',3262479175,3262479175),('DE',3262479176,3262479178),('AT',3262479179,3262479179),('NL',3262479180,3262479180),('DE',3262479181,3262479181),('LU',3262479182,3262479182),('DK',3262479183,3262479183),('CH',3262479184,3262479184),('IT',3262479185,3262479185),('ES',3262479186,3262479186),('DE',3262479187,3262479187),('CH',3262479188,3262479188),('ES',3262479189,3262479189),('IT',3262479190,3262479191),('FR',3262479192,3262479192),('GB',3262479193,3262479193),('DE',3262479194,3262479194),('BE',3262479195,3262479195),('DE',3262479196,3262479196),('GB',3262479197,3262479197),('DE',3262479198,3262479199),('NL',3262479200,3262479200),('HU',3262479201,3262479201),('FR',3262479202,3262479202),('DE',3262479203,3262479208),('ES',3262479209,3262479209),('DE',3262479210,3262479212),('NO',3262479213,3262479213),('DE',3262479214,3262479214),('IT',3262479215,3262479215),('DE',3262479216,3262479219),('NL',3262479220,3262479220),('DE',3262479221,3262479223),('BE',3262479224,3262479224),('FR',3262479225,3262479225),('DE',3262479226,3262479226),('NL',3262479227,3262479227),('DK',3262479228,3262479228),('DE',3262479229,3262479233),('GB',3262479234,3262479234),('DE',3262479235,3262479236),('NL',3262479237,3262479238),('FR',3262479239,3262479239),('DE',3262479240,3262479240),('FR',3262479241,3262479242),('NL',3262479243,3262479243),('IT',3262479244,3262479244),('DE',3262479245,3262479249),('AT',3262479250,3262479250),('DE',3262479251,3262479252),('NL',3262479253,3262479253),('FR',3262479254,3262479254),('DE',3262479255,3262479255),('IT',3262479256,3262479256),('US',3262479257,3262479257),('DE',3262479258,3262479261),('CH',3262479262,3262479262),('DE',3262479263,3262479264),('CH',3262479265,3262479265),('FR',3262479266,3262479266),('DE',3262479267,3262479267),('NL',3262479268,3262479268),('DE',3262479269,3262479269),('DK',3262479270,3262479271),('IT',3262479272,3262479272),('DE',3262479273,3262479273),('ES',3262479274,3262479274),('IT',3262479275,3262479275),('DE',3262479276,3262479276),('NL',3262479277,3262479277),('DE',3262479278,3262479278),('ES',3262479279,3262479279),('DE',3262479280,3262479280),('FR',3262479281,3262479281),('AD',3262479282,3262479282),('IT',3262479283,3262479283),('NO',3262479284,3262479284),('DE',3262479285,3262479289),('BE',3262479290,3262479290),('DE',3262479291,3262479293),('FR',3262479294,3262479294),('DE',3262479295,3262479295),('IT',3262479296,3262479296),('DE',3262479297,3262479298),('ES',3262479299,3262479299),('DE',3262479300,3262479300),('ES',3262479301,3262479301),('DE',3262479302,3262479303),('AT',3262479304,3262479304),('DE',3262479305,3262479307),('DK',3262479308,3262479308),('SE',3262479309,3262479309),('DE',3262479310,3262479310),('ES',3262479311,3262479311),('IT',3262479312,3262479312),('FR',3262479313,3262479313),('DE',3262479314,3262479318),('DK',3262479319,3262479319),('DE',3262479320,3262479320),('GR',3262479321,3262479321),('CH',3262479322,3262479323),('NL',3262479324,3262479324),('ES',3262479325,3262479325),('DE',3262479326,3262479327),('DK',3262479328,3262479328),('ES',3262479329,3262479329),('NL',3262479330,3262479330),('FR',3262479331,3262479332),('HU',3262479333,3262479333),('NL',3262479334,3262479334),('DE',3262479335,3262479335),('FR',3262479336,3262479336),('ES',3262479337,3262479337),('DE',3262479338,3262479338),('NL',3262479339,3262479339),('CH',3262479340,3262479340),('DE',3262479341,3262479341),('PT',3262479342,3262479342),('NO',3262479343,3262479343),('NL',3262479344,3262479344),('DE',3262479345,3262479345),('DK',3262479346,3262479346),('NO',3262479347,3262479347),('IT',3262479348,3262479350),('DE',3262479351,3262479351),('IT',3262479352,3262479352),('CH',3262479353,3262479353),('DE',3262479354,3262479355),('CH',3262479356,3262479356),('FR',3262479357,3262479357),('DE',3262479358,3262479361),('PT',3262479362,3262479362),('DE',3262479363,3262479366),('CH',3262479367,3262479367),('DE',3262479368,3262479368),('FR',3262479369,3262479369),('CH',3262479370,3262479370),('GB',3262479371,3262479371),('DE',3262479372,3262479372),('IT',3262479373,3262479373),('DE',3262479374,3262479374),('NL',3262479375,3262479375),('FR',3262479376,3262479377),('DE',3262479378,3262479378),('CH',3262479379,3262479379),('AT',3262479380,3262479380),('FR',3262479381,3262479381),('DE',3262479382,3262479385),('NL',3262479386,3262479386),('DK',3262479387,3262479387),('DE',3262479388,3262479389),('DK',3262479390,3262479390),('NO',3262479391,3262479391),('DE',3262479392,3262479393),('FR',3262479394,3262479394),('NL',3262479395,3262479395),('CH',3262479396,3262479396),('IT',3262479397,3262479397),('DE',3262479398,3262479399),('NL',3262479400,3262479400),('DE',3262479401,3262479402),('GB',3262479403,3262479403),('DE',3262479404,3262479404),('IE',3262479405,3262479405),('GB',3262479406,3262479406),('DE',3262479407,3262479410),('ES',3262479411,3262479411),('DE',3262479412,3262479413),('CH',3262479414,3262479414),('DE',3262479415,3262479415),('DK',3262479416,3262479416),('DE',3262479417,3262479419),('ES',3262479420,3262479420),('DE',3262479421,3262479421),('SE',3262479422,3262479422),('AT',3262479423,3262479423),('DE',3262479424,3262479426),('IT',3262479427,3262479427),('FR',3262479428,3262479429),('GB',3262479430,3262479430),('DE',3262479431,3262479432),('ZA',3262479433,3262479433),('IT',3262479434,3262479434),('DE',3262479435,3262479437),('IT',3262479438,3262479438),('DE',3262479439,3262479439),('AT',3262479440,3262479440),('DK',3262479441,3262479441),('IT',3262479442,3262479442),('GR',3262479443,3262479443),('ES',3262479444,3262479444),('DE',3262479445,3262479445),('IT',3262479446,3262479446),('DE',3262479447,3262479448),('GB',3262479449,3262479449),('DE',3262479450,3262479452),('CH',3262479453,3262479453),('DE',3262479454,3262479455),('IT',3262479456,3262479456),('DE',3262479457,3262479462),('IT',3262479463,3262479463),('NL',3262479464,3262479465),('GB',3262479466,3262479466),('CH',3262479467,3262479467),('DE',3262479468,3262479469),('GB',3262479470,3262479471),('DE',3262479472,3262479472),('CH',3262479473,3262479473),('BE',3262479474,3262479474),('CH',3262479475,3262479475),('GB',3262479476,3262479476),('BE',3262479477,3262479477),('IT',3262479478,3262479478),('DE',3262479479,3262479480),('LI',3262479481,3262479481),('IT',3262479482,3262479482),('DE',3262479483,3262479483),('AT',3262479484,3262479484),('DE',3262479485,3262479489),('IT',3262479490,3262479490),('DE',3262479491,3262479492),('CH',3262479493,3262479493),('DE',3262479494,3262479494),('BE',3262479495,3262479495),('DE',3262479496,3262479498),('ES',3262479499,3262479499),('IT',3262479500,3262479502),('DE',3262479503,3262479503),('GB',3262479504,3262479504),('DE',3262479505,3262479507),('HU',3262479508,3262479508),('FR',3262479509,3262479509),('DE',3262479510,3262479513),('FR',3262479514,3262479514),('ES',3262479515,3262479515),('AT',3262479516,3262479516),('DE',3262479517,3262479517),('GB',3262479518,3262479518),('GR',3262479519,3262479519),('DE',3262479520,3262479521),('CH',3262479522,3262479522),('DE',3262479523,3262479526),('NL',3262479527,3262479528),('DE',3262479529,3262479529),('BE',3262479530,3262479530),('DE',3262479531,3262479535),('GB',3262479536,3262479536),('DE',3262479537,3262479538),('IT',3262479539,3262479539),('DE',3262479540,3262479540),('CH',3262479541,3262479541),('DE',3262479542,3262479543),('IT',3262479544,3262479544),('BE',3262479545,3262479545),('GB',3262479546,3262479546),('AT',3262479547,3262479547),('CH',3262479548,3262479548),('IT',3262479549,3262479549),('DE',3262479550,3262479552),('IL',3262479553,3262479553),('DK',3262479554,3262479554),('FR',3262479555,3262479555),('IE',3262479556,3262479556),('DE',3262479557,3262479558),('SE',3262479559,3262479559),('DE',3262479560,3262479560),('BE',3262479561,3262479561),('GB',3262479562,3262479562),('DE',3262479563,3262479563),('GB',3262479564,3262479564),('SE',3262479565,3262479565),('NL',3262479566,3262479566),('CH',3262479567,3262479567),('NO',3262479568,3262479568),('DE',3262479569,3262479572),('IT',3262479573,3262479573),('CH',3262479574,3262479574),('DE',3262479575,3262479575),('NL',3262479576,3262479576),('FR',3262479577,3262479577),('DE',3262479578,3262479578),('ZA',3262479579,3262479579),('DE',3262479580,3262479580),('IT',3262479581,3262479581),('DE',3262479582,3262479583),('NL',3262479584,3262479584),('DE',3262479585,3262479585),('GR',3262479586,3262479586),('DE',3262479587,3262479588),('IT',3262479589,3262479589),('GB',3262479590,3262479590),('NL',3262479591,3262479591),('DE',3262479592,3262479592),('FR',3262479593,3262479593),('DE',3262479594,3262479594),('FR',3262479595,3262479596),('DE',3262479597,3262479598),('IT',3262479599,3262479600),('DE',3262479601,3262479601),('GB',3262479602,3262479602),('DE',3262479603,3262479604),('SE',3262479605,3262479605),('FR',3262479606,3262479606),('NL',3262479607,3262479607),('DE',3262479608,3262479609),('SI',3262479610,3262479610),('DE',3262479611,3262479611),('ES',3262479612,3262479612),('NL',3262479613,3262479613),('DE',3262479614,3262479617),('NO',3262479618,3262479618),('ES',3262479619,3262479619),('GB',3262479620,3262479620),('DE',3262479621,3262479622),('CH',3262479623,3262479623),('ES',3262479624,3262479624),('NL',3262479625,3262479625),('AT',3262479626,3262479626),('DE',3262479627,3262479628),('SI',3262479629,3262479629),('NL',3262479630,3262479630),('HU',3262479631,3262479631),('DE',3262479632,3262479632),('LU',3262479633,3262479633),('DE',3262479634,3262479634),('GB',3262479635,3262479636),('ES',3262479637,3262479637),('DE',3262479638,3262479638),('AT',3262479639,3262479639),('FR',3262479640,3262479640),('IT',3262479641,3262479641),('GB',3262479642,3262479642),('DE',3262479643,3262479643),('NL',3262479644,3262479644),('DE',3262479645,3262479645),('GB',3262479646,3262479646),('DE',3262479647,3262479647),('NO',3262479648,3262479648),('DE',3262479649,3262479653),('ES',3262479654,3262479654),('NL',3262479655,3262479655),('CH',3262479656,3262479656),('NL',3262479657,3262479657),('DE',3262479658,3262479658),('NL',3262479659,3262479659),('PT',3262479660,3262479660),('FR',3262479661,3262479662),('DE',3262479663,3262479664),('DK',3262479665,3262479665),('DE',3262479666,3262479667),('NL',3262479668,3262479668),('IT',3262479669,3262479669),('DK',3262479670,3262479670),('IT',3262479671,3262479671),('DE',3262479672,3262479673),('BE',3262479674,3262479674),('DE',3262479675,3262479676),('ES',3262479677,3262479677),('IT',3262479678,3262479678),('AT',3262479679,3262479679),('IT',3262479680,3262479680),('DE',3262479681,3262479681),('IT',3262479682,3262479682),('HU',3262479683,3262479683),('DE',3262479684,3262479685),('FR',3262479686,3262479687),('DE',3262479688,3262479688),('NL',3262479689,3262479689),('LU',3262479690,3262479690),('DE',3262479691,3262479691),('LU',3262479692,3262479692),('DE',3262479693,3262479693),('CH',3262479694,3262479694),('ES',3262479695,3262479695),('CH',3262479696,3262479696),('GB',3262479697,3262479697),('FR',3262479698,3262479698),('NL',3262479699,3262479701),('AT',3262479702,3262479702),('FR',3262479703,3262479703),('DE',3262479704,3262479707),('CH',3262479708,3262479708),('NL',3262479709,3262479709),('DE',3262479710,3262479711),('GB',3262479712,3262479712),('DE',3262479713,3262479713),('AT',3262479714,3262479714),('ES',3262479715,3262479715),('DE',3262479716,3262479716),('BE',3262479717,3262479717),('DE',3262479718,3262479720),('AT',3262479721,3262479721),('DE',3262479722,3262479724),('AT',3262479725,3262479725),('DE',3262479726,3262479727),('BE',3262479728,3262479728),('ES',3262479729,3262479730),('CH',3262479731,3262479731),('IT',3262479732,3262479732),('DE',3262479733,3262479734),('CH',3262479735,3262479736),('DE',3262479737,3262479737),('AT',3262479738,3262479738),('DK',3262479739,3262479739),('DE',3262479740,3262479740),('NL',3262479741,3262479741),('FR',3262479742,3262479742),('DE',3262479743,3262479745),('GB',3262479746,3262479746),('CH',3262479747,3262479747),('DE',3262479748,3262479748),('FR',3262479749,3262479749),('AT',3262479750,3262479750),('DE',3262479751,3262479751),('CH',3262479752,3262479752),('DE',3262479753,3262479753),('FR',3262479754,3262479754),('NL',3262479755,3262479755),('FR',3262479756,3262479756),('SE',3262479757,3262479757),('DE',3262479758,3262479762),('NO',3262479763,3262479763),('FR',3262479764,3262479764),('DE',3262479765,3262479765),('CH',3262479766,3262479766),('DE',3262479767,3262479770),('IT',3262479771,3262479771),('DE',3262479772,3262479774),('BE',3262479775,3262479775),('IT',3262479776,3262479776),('BE',3262479777,3262479777),('NL',3262479778,3262479778),('DE',3262479779,3262479782),('GB',3262479783,3262479783),('AT',3262479784,3262479784),('FR',3262479785,3262479785),('CH',3262479786,3262479786),('DE',3262479787,3262479788),('IT',3262479789,3262479789),('DE',3262479790,3262479790),('IT',3262479791,3262479792),('DE',3262479793,3262479793),('FR',3262479794,3262479794),('CH',3262479795,3262479795),('AT',3262479796,3262479797),('GB',3262479798,3262479799),('DE',3262479800,3262479808),('FR',3262479809,3262479809),('NL',3262479810,3262479810),('ES',3262479811,3262479811),('GB',3262479812,3262479812),('DE',3262479813,3262479816),('HU',3262479817,3262479817),('DE',3262479818,3262479818),('NL',3262479819,3262479819),('DE',3262479820,3262479820),('NL',3262479821,3262479822),('ES',3262479823,3262479823),('GB',3262479824,3262479824),('DE',3262479825,3262479825),('BE',3262479826,3262479826),('DE',3262479827,3262479827),('CH',3262479828,3262479829),('GB',3262479830,3262479830),('DE',3262479831,3262479832),('ES',3262479833,3262479833),('DE',3262479834,3262479834),('AT',3262479835,3262479835),('NL',3262479836,3262479836),('HU',3262479837,3262479837),('CH',3262479838,3262479838),('NL',3262479839,3262479839),('DE',3262479840,3262479840),('FR',3262479841,3262479841),('DK',3262479842,3262479842),('GB',3262479843,3262479843),('DE',3262479844,3262479844),('CH',3262479845,3262479845),('DE',3262479846,3262479846),('LU',3262479847,3262479847),('DE',3262479848,3262479852),('IS',3262479853,3262479853),('DE',3262479854,3262479855),('CH',3262479856,3262479856),('DE',3262479857,3262479859),('NL',3262479860,3262479860),('NO',3262479861,3262479861),('BE',3262479862,3262479862),('NL',3262479863,3262479863),('DE',3262479864,3262479864),('FR',3262479865,3262479865),('DE',3262479866,3262479866),('SE',3262479867,3262479867),('DE',3262479868,3262479868),('GB',3262479869,3262479869),('DE',3262479870,3262479873),('FR',3262479874,3262479875),('DE',3262479876,3262479876),('CH',3262479877,3262479877),('DE',3262479878,3262479879),('AT',3262479880,3262479880),('HU',3262479881,3262479881),('DE',3262479882,3262479883),('GB',3262479884,3262479884),('DE',3262479885,3262479886),('GR',3262479887,3262479887),('FR',3262479888,3262479888),('NL',3262479889,3262479889),('DE',3262479890,3262479892),('LU',3262479893,3262479893),('CH',3262479894,3262479894),('ES',3262479895,3262479896),('DE',3262479897,3262479899),('NL',3262479900,3262479900),('AT',3262479901,3262479901),('DE',3262479902,3262479902),('CH',3262479903,3262479903),('DE',3262479904,3262479908),('SE',3262479909,3262479909),('DE',3262479910,3262479912),('NO',3262479913,3262479913),('DE',3262479914,3262479914),('FR',3262479915,3262479915),('DE',3262479916,3262479917),('GB',3262479918,3262479918),('DE',3262479919,3262479922),('AT',3262479923,3262479923),('DE',3262479924,3262479929),('IT',3262479930,3262479930),('DK',3262479931,3262479931),('DE',3262479932,3262479932),('NL',3262479933,3262479933),('DE',3262479934,3262479935),('BE',3262479936,3262479936),('FR',3262479937,3262479937),('DE',3262479938,3262479939),('ES',3262479940,3262479940),('IT',3262479941,3262479941),('DE',3262479942,3262479944),('FR',3262479945,3262479945),('DE',3262479946,3262479946),('HU',3262479947,3262479947),('DE',3262479948,3262479948),('NL',3262479949,3262479949),('CH',3262479950,3262479950),('DE',3262479951,3262479953),('CH',3262479954,3262479954),('DE',3262479955,3262479955),('IT',3262479956,3262479956),('BE',3262479957,3262479957),('DE',3262479958,3262479959),('AT',3262479960,3262479960),('DE',3262479961,3262479961),('GB',3262479962,3262479962),('ES',3262479963,3262479963),('DE',3262479964,3262479964),('ES',3262479965,3262479965),('DE',3262479966,3262479974),('FR',3262479975,3262479975),('NL',3262479976,3262479976),('DE',3262479977,3262479978),('CH',3262479979,3262479979),('AT',3262479980,3262479980),('DE',3262479981,3262479984),('CH',3262479985,3262479985),('DE',3262479986,3262479987),('FR',3262479988,3262479988),('DE',3262479989,3262479989),('NL',3262479990,3262479990),('DE',3262479991,3262479993),('CH',3262479994,3262479994),('DE',3262479995,3262479995),('NL',3262479996,3262479996),('DE',3262479997,3262480001),('BE',3262480002,3262480002),('DE',3262480003,3262480005),('FR',3262480006,3262480006),('DE',3262480007,3262480009),('FR',3262480010,3262480010),('BE',3262480011,3262480011),('NL',3262480012,3262480012),('DE',3262480013,3262480015),('ES',3262480016,3262480016),('DE',3262480017,3262480018),('BE',3262480019,3262480019),('DE',3262480020,3262480020),('DK',3262480021,3262480021),('CH',3262480022,3262480022),('DE',3262480023,3262480029),('GB',3262480030,3262480030),('DE',3262480031,3262480031),('CH',3262480032,3262480032),('GB',3262480033,3262480033),('DE',3262480034,3262480034),('LU',3262480035,3262480035),('DE',3262480036,3262480037),('NL',3262480038,3262480038),('CH',3262480039,3262480039),('DE',3262480040,3262480040),('AT',3262480041,3262480041),('DE',3262480042,3262480042),('GB',3262480043,3262480043),('RS',3262480044,3262480044),('GB',3262480045,3262480045),('DE',3262480046,3262480048),('LU',3262480049,3262480049),('DE',3262480050,3262480051),('NL',3262480052,3262480052),('DE',3262480053,3262480057),('NL',3262480058,3262480058),('CH',3262480059,3262480059),('DE',3262480060,3262480060),('GB',3262480061,3262480062),('SI',3262480063,3262480063),('DE',3262480064,3262480066),('NL',3262480067,3262480067),('DE',3262480068,3262480071),('IT',3262480072,3262480072),('DE',3262480073,3262480073),('AT',3262480074,3262480074),('DE',3262480075,3262480076),('FR',3262480077,3262480078),('DE',3262480079,3262480080),('CH',3262480081,3262480081),('DE',3262480082,3262480082),('NO',3262480083,3262480083),('IT',3262480084,3262480084),('FR',3262480085,3262480085),('DE',3262480086,3262480087),('FR',3262480088,3262480088),('NL',3262480089,3262480089),('CH',3262480090,3262480090),('DE',3262480091,3262480092),('BE',3262480093,3262480093),('DE',3262480094,3262480094),('AT',3262480095,3262480095),('DE',3262480096,3262480097),('GB',3262480098,3262480098),('DE',3262480099,3262480104),('IT',3262480105,3262480105),('DE',3262480106,3262480106),('DK',3262480107,3262480107),('DE',3262480108,3262480109),('GB',3262480110,3262480110),('AT',3262480111,3262480111),('BE',3262480112,3262480112),('DE',3262480113,3262480113),('IT',3262480114,3262480114),('DE',3262480115,3262480116),('BE',3262480117,3262480117),('DE',3262480118,3262480125),('ES',3262480126,3262480126),('DE',3262480127,3262480133),('AT',3262480134,3262480134),('NL',3262480135,3262480135),('FR',3262480136,3262480136),('DE',3262480137,3262480139),('FR',3262480140,3262480140),('AT',3262480141,3262480141),('DE',3262480142,3262480146),('IT',3262480147,3262480147),('GB',3262480148,3262480148),('DE',3262480149,3262480150),('GB',3262480151,3262480151),('DE',3262480152,3262480154),('ES',3262480155,3262480155),('DE',3262480156,3262480158),('IT',3262480159,3262480159),('DE',3262480160,3262480161),('NO',3262480162,3262480162),('DE',3262480163,3262480164),('FR',3262480165,3262480165),('DE',3262480166,3262480172),('NL',3262480173,3262480173),('DE',3262480174,3262480174),('NL',3262480175,3262480175),('DE',3262480176,3262480176),('CH',3262480177,3262480177),('IT',3262480178,3262480178),('DE',3262480179,3262480179),('FR',3262480180,3262480180),('ES',3262480181,3262480181),('DE',3262480182,3262480182),('SE',3262480183,3262480183),('DE',3262480184,3262480184),('FR',3262480185,3262480185),('PT',3262480186,3262480186),('DE',3262480187,3262480187),('FI',3262480188,3262480188),('CH',3262480189,3262480189),('DE',3262480190,3262480190),('NO',3262480191,3262480191),('DE',3262480192,3262480193),('NL',3262480194,3262480194),('GB',3262480195,3262480195),('DE',3262480196,3262480197),('NL',3262480198,3262480198),('GB',3262480199,3262480199),('DE',3262480200,3262480201),('GB',3262480202,3262480202),('DE',3262480203,3262480205),('CH',3262480206,3262480206),('DE',3262480207,3262480212),('FR',3262480213,3262480213),('DE',3262480214,3262480215),('HU',3262480216,3262480216),('DE',3262480217,3262480218),('ES',3262480219,3262480219),('NL',3262480220,3262480220),('BE',3262480221,3262480221),('DE',3262480222,3262480226),('IE',3262480227,3262480227),('DE',3262480228,3262480229),('SE',3262480230,3262480230),('DE',3262480231,3262480232),('SE',3262480233,3262480233),('DE',3262480234,3262480234),('HU',3262480235,3262480235),('DE',3262480236,3262480236),('PL',3262480237,3262480237),('DE',3262480238,3262480238),('NL',3262480239,3262480239),('DE',3262480240,3262480243),('CH',3262480244,3262480244),('DE',3262480245,3262480246),('NL',3262480247,3262480247),('DE',3262480248,3262480248),('NL',3262480249,3262480249),('DE',3262480250,3262480250),('NL',3262480251,3262480251),('DE',3262480252,3262480253),('CH',3262480254,3262480254),('DE',3262480255,3262480259),('NL',3262480260,3262480260),('BE',3262480261,3262480261),('DE',3262480262,3262480264),('GB',3262480265,3262480265),('DE',3262480266,3262480267),('FR',3262480268,3262480268),('NL',3262480269,3262480269),('DE',3262480270,3262480270),('CH',3262480271,3262480271),('DK',3262480272,3262480272),('DE',3262480273,3262480273),('IT',3262480274,3262480274),('BE',3262480275,3262480275),('ES',3262480276,3262480276),('DE',3262480277,3262480277),('CH',3262480278,3262480278),('DE',3262480279,3262480282),('GB',3262480283,3262480283),('DE',3262480284,3262480285),('CH',3262480286,3262480286),('DE',3262480287,3262480293),('FR',3262480294,3262480294),('CH',3262480295,3262480295),('NO',3262480296,3262480296),('DE',3262480297,3262480300),('LU',3262480301,3262480301),('DE',3262480302,3262480302),('IT',3262480303,3262480304),('DE',3262480305,3262480305),('AT',3262480306,3262480306),('DE',3262480307,3262480311),('NL',3262480312,3262480312),('FR',3262480313,3262480313),('NL',3262480314,3262480314),('DE',3262480315,3262480315),('IT',3262480316,3262480316),('NL',3262480317,3262480317),('IT',3262480318,3262480318),('AT',3262480319,3262480319),('DK',3262480320,3262480320),('DE',3262480321,3262480321),('GB',3262480322,3262480322),('DE',3262480323,3262480324),('ES',3262480325,3262480325),('DE',3262480326,3262480329),('FR',3262480330,3262480330),('IT',3262480331,3262480331),('DE',3262480332,3262480332),('CH',3262480333,3262480333),('DE',3262480334,3262480334),('GB',3262480335,3262480335),('DE',3262480336,3262480336),('NL',3262480337,3262480337),('DE',3262480338,3262480340),('CH',3262480341,3262480341),('DE',3262480342,3262480342),('DK',3262480343,3262480343),('DE',3262480344,3262480344),('CH',3262480345,3262480345),('DE',3262480346,3262480346),('NL',3262480347,3262480347),('IS',3262480348,3262480348),('AT',3262480349,3262480349),('DE',3262480350,3262480352),('CH',3262480353,3262480353),('DE',3262480354,3262480354),('GB',3262480355,3262480355),('DE',3262480356,3262480356),('GB',3262480357,3262480357),('CH',3262480358,3262480359),('DE',3262480360,3262480363),('ES',3262480364,3262480364),('DE',3262480365,3262480365),('AT',3262480366,3262480366),('DE',3262480367,3262480367),('GB',3262480368,3262480368),('FR',3262480369,3262480369),('ES',3262480370,3262480370),('GB',3262480371,3262480371),('DE',3262480372,3262480372),('AT',3262480373,3262480373),('ES',3262480374,3262480374),('NL',3262480375,3262480375),('DE',3262480376,3262480376),('IT',3262480377,3262480377),('DE',3262480378,3262480378),('CH',3262480379,3262480379),('GB',3262480380,3262480380),('IT',3262480381,3262480381),('ES',3262480382,3262480382),('DE',3262480383,3262480383),('GB',3262480384,3262488575),('SE',3262488576,3262496767),('FR',3262496768,3262504959),('DE',3262504960,3262505471),('GB',3262505472,3262505983),('PL',3262505984,3262506495),('RO',3262506496,3262507007),('DK',3262507008,3262507519),('RO',3262507520,3262509055),('PL',3262509056,3262509567),('RO',3262509568,3262510079),('FR',3262510080,3262511103),('GB',3262511104,3262511615),('DE',3262511616,3262512127),('GB',3262512128,3262512639),('DE',3262512640,3262513151),('AT',3262513152,3262578687),('FR',3262578688,3262611455),('GB',3262611456,3262627839),('IT',3262627840,3262636031),('BE',3262636032,3262644223),('NL',3262644224,3262648319),('DE',3262648320,3262648831),('NL',3262648832,3262649855),('DE',3262649856,3262650623),('NL',3262650624,3262654463),('DE',3262654464,3262654719),('NL',3262654720,3262655231),('DE',3262655232,3262655487),('NL',3262655488,3262658303),('DE',3262658304,3262658559),('NL',3262658560,3262661119),('DE',3262661120,3262661375),('NL',3262661376,3262664703),('DE',3262664704,3262671359),('NL',3262671360,3262672127),('DE',3262672128,3262672895),('NL',3262672896,3262673919),('DE',3262673920,3262674175),('NL',3262674176,3262674687),('DE',3262674688,3262674943),('NL',3262674944,3262676479),('DE',3262676480,3262676735),('NL',3262676736,3262678271),('DE',3262678272,3262678527),('NL',3262678528,3262681087),('DE',3262681088,3262681343),('NL',3262681344,3262682623),('DE',3262682624,3262682879),('NL',3262682880,3262685951),('DE',3262685952,3262686463),('NL',3262686464,3262687743),('DE',3262687744,3262688255),('NL',3262688256,3262688511),('DE',3262688512,3262688767),('NL',3262688768,3262690815),('DE',3262690816,3262691583),('NL',3262691584,3262692607),('DE',3262692608,3262692863),('NL',3262692864,3262693375),('DE',3262693376,3262701567),('NL',3262701568,3262703103),('DE',3262703104,3262703615),('NL',3262703616,3262704127),('DE',3262704128,3262704383),('NL',3262704384,3262707807),('DE',3262707808,3262707839),('NL',3262707840,3262707967),('DE',3262707968,3262708223),('NL',3262708224,3262709759),('DE',3262709760,3262710015),('NL',3262710016,3262710271),('DE',3262710272,3262710527),('NL',3262710528,3262712575),('DE',3262712576,3262712831),('NL',3262712832,3262715135),('DE',3262715136,3262715391),('NL',3262715392,3262716415),('DE',3262716416,3262716671),('NL',3262716672,3262721535),('DE',3262721536,3262721791),('NL',3262721792,3262722047),('DE',3262722048,3262723071),('NL',3262723072,3262724095),('DE',3262724096,3262724351),('NL',3262724352,3262724863),('DE',3262724864,3262725119),('NL',3262725120,3262725631),('DE',3262725632,3262726143),('NL',3262726144,3262726655),('DE',3262726656,3262726911),('NL',3262726912,3262732799),('DE',3262732800,3262733055),('NL',3262733056,3262736383),('DE',3262736384,3262736895),('NL',3262736896,3262741247),('DE',3262741248,3262741503),('NL',3262741504,3262753791),('DE',3262753792,3262754815),('NL',3262754816,3262761727),('DE',3262761728,3262761983),('NL',3262761984,3262766079),('DE',3262766080,3262766087),('NL',3262766088,3262774783),('DE',3262774784,3262775295),('NL',3262775296,3262789887),('DE',3262789888,3262790143),('NL',3262790144,3262794815),('DE',3262794816,3262795007),('NL',3262795008,3262796799),('DE',3262796800,3262797055),('NL',3262797056,3262806975),('DE',3262806976,3262807007),('NL',3262807008,3262808831),('DE',3262808832,3262809087),('NL',3262809088,3262830343),('DE',3262830344,3262830351),('NL',3262830352,3262832639),('DE',3262832640,3262840319),('NL',3262840320,3262842624),('DE',3262842625,3262842625),('NL',3262842626,3262855951),('DE',3262855952,3262855959),('NL',3262855960,3262872063),('DE',3262872064,3262872127),('NL',3262872128,3262872159),('DE',3262872160,3262872191),('NL',3262872192,3262872255),('DE',3262872256,3262872271),('NL',3262872272,3262872275),('DE',3262872276,3262872279),('NL',3262872280,3262872307),('DE',3262872308,3262872308),('NL',3262872309,3262872309),('DE',3262872310,3262872313),('NL',3262872314,3262877695),('DE',3262877696,3262877951),('NL',3262877952,3262882574),('DE',3262882575,3262882575),('NL',3262882576,3262882815),('DE',3262882816,3262883071),('NL',3262883072,3262900223),('DE',3262900224,3262900479),('NL',3262900480,3262906367),('CH',3262906368,3262964991),('DE',3262964992,3262965247),('CH',3262965248,3262971903),('IE',3262971904,3263029247),('UA',3263029248,3263030271),('GB',3263030272,3263031295),('TR',3263031296,3263032319),('RU',3263032320,3263033343),('LV',3263033344,3263033855),('IT',3263033856,3263034367),('UA',3263034368,3263034879),('GB',3263034880,3263035391),('UA',3263035392,3263035903),('CH',3263035904,3263036415),('GR',3263036416,3263036927),('RU',3263036928,3263037439),('LB',3263037440,3263045631),('KW',3263045632,3263047935),('LB',3263047936,3263048191),('BH',3263048192,3263048447),('KW',3263048448,3263053823),('GB',3263053824,3263062015),('EE',3263062016,3263070207),('NL',3263070720,3263070975),('DE',3263070976,3263071487),('NL',3263071488,3263072255),('LB',3263072256,3263074303),('CH',3263074304,3263074815),('PL',3263074816,3263075327),('GB',3263075328,3263075839),('SE',3263075840,3263076351),('RO',3263076352,3263076863),('IT',3263076864,3263077375),('FR',3263077376,3263077887),('DE',3263077888,3263078399),('RO',3263078400,3263079423),('PL',3263079424,3263080447),('RU',3263080448,3263081471),('NL',3263081472,3263082495),('RO',3263082496,3263083519),('UA',3263083520,3263084543),('RO',3263084544,3263085567),('CH',3263085568,3263086591),('DK',3263086592,3263086847),('NL',3263086848,3263087103),('DE',3263087104,3263087871),('SI',3263087872,3263088127),('DE',3263088128,3263088639),('CH',3263088640,3263089151),('RO',3263089152,3263089407),('RU',3263089408,3263089663),('UA',3263089664,3263089919),('RO',3263089920,3263090175),('DE',3263090176,3263090431),('PL',3263090432,3263090687),('DE',3263090688,3263090943),('GB',3263090944,3263091199),('PL',3263091200,3263091455),('RU',3263091456,3263091711),('FI',3263091712,3263091967),('HR',3263091968,3263092479),('ES',3263092480,3263092735),('PL',3263092736,3263092991),('FR',3263092992,3263093247),('CH',3263093248,3263093503),('RU',3263093504,3263093759),('RO',3263093760,3263094015),('PL',3263094016,3263094527),('DK',3263094528,3263094783),('UA',3263094784,3263095039),('ES',3263095040,3263095295),('FR',3263095296,3263095551),('RO',3263095552,3263095807),('DE',3263095808,3263096063),('PL',3263096064,3263096319),('TR',3263096320,3263096575),('SA',3263096576,3263096831),('NL',3263096832,3263097087),('FR',3263097088,3263097343),('DK',3263097344,3263097599),('NL',3263097600,3263097855),('FR',3263097856,3263098111),('DE',3263098112,3263098367),('PL',3263098368,3263098623),('DE',3263098624,3263098879),('GB',3263098880,3263099135),('NL',3263099136,3263099391),('DE',3263099392,3263099903),('RO',3263099904,3263100159),('FR',3263100160,3263100415),('DE',3263100416,3263100671),('GB',3263100672,3263100927),('AT',3263100928,3263101183),('SE',3263101184,3263101439),('DK',3263101440,3263101695),('DE',3263101696,3263101951),('LT',3263101952,3263102207),('RO',3263102208,3263102463),('DE',3263102464,3263102719),('GR',3263102720,3263102975),('DE',3263102976,3263168511),('GB',3263168512,3263430655),('SE',3263430656,3263477759),('JP',3263477760,3263478015),('SE',3263478016,3263496191),('EU',3263496192,3263497215),('US',3263497216,3263497983),('GB',3263497984,3263498239),('EU',3263498240,3263498495),('ES',3263498496,3263498751),('US',3263498752,3263498879),('GB',3263498880,3263498943),('EU',3263498944,3263498959),('GB',3263498960,3263499007),('MC',3263499008,3263499519),('GB',3263499520,3263499775),('FR',3263499776,3263500031),('GB',3263500032,3263501341),('EU',3263501342,3263501343),('GB',3263501344,3263501439),('US',3263501440,3263501503),('GB',3263501504,3263501519),('IR',3263501520,3263501527),('GB',3263501528,3263501535),('DE',3263501536,3263501551),('GB',3263501552,3263501823),('EG',3263501824,3263502079),('FR',3263502080,3263502335),('GB',3263502336,3263502847),('FR',3263502848,3263503103),('DE',3263503104,3263503167),('EU',3263503168,3263503199),('DE',3263503200,3263503267),('EU',3263503268,3263503271),('DE',3263503272,3263503279),('EU',3263503280,3263503295),('DE',3263503296,3263503359),('FR',3263503360,3263503871),('GB',3263503872,3263504127),('EG',3263504128,3263504255),('EU',3263504256,3263504383),('QA',3263504384,3263506431),('BE',3263506432,3263506687),('DE',3263506688,3263506815),('US',3263506816,3263506943),('BE',3263506944,3263507199),('US',3263507200,3263507455),('GB',3263507456,3263507967),('IE',3263507968,3263508223),('GB',3263508224,3263508735),('SL',3263508736,3263508991),('US',3263508992,3263509503),('SE',3263509504,3263509759),('GB',3263509760,3263509791),('IE',3263509792,3263509807),('GB',3263509808,3263509831),('FR',3263509832,3263509839),('GB',3263509840,3263509847),('US',3263509848,3263509887),('GB',3263509888,3263510023),('BE',3263510024,3263510031),('GB',3263510032,3263510063),('US',3263510064,3263510079),('GB',3263510080,3263510271),('EU',3263510272,3263510527),('GB',3263510528,3263510783),('US',3263510784,3263511039),('EU',3263511040,3263511295),('GB',3263511296,3263511551),('BE',3263511552,3263512063),('GB',3263512064,3263512311),('EU',3263512312,3263512319),('ES',3263512320,3263512831),('TR',3263512832,3263513087),('FR',3263513088,3263513343),('US',3263513344,3263513599),('EU',3263513600,3263513855),('RU',3263513856,3263514111),('GB',3263514112,3263514367),('US',3263514368,3263515391),('ES',3263515392,3263515903),('GB',3263515904,3263516159),('FR',3263516160,3263516415),('LK',3263516416,3263516671),('US',3263516672,3263516927),('GB',3263516928,3263517695),('US',3263517696,3263517951),('GB',3263517952,3263518463),('FR',3263518464,3263518719),('IR',3263518720,3263518751),('EU',3263518752,3263518975),('GB',3263518976,3263519231),('FR',3263519232,3263519743),('GB',3263519744,3263519759),('EU',3263519760,3263519999),('GB',3263520000,3263520255),('FR',3263520256,3263520511),('US',3263520512,3263521279),('FR',3263521280,3263521535),('DE',3263521536,3263521791),('GB',3263521792,3263522047),('IE',3263522048,3263522303),('FR',3263522304,3263522559),('GB',3263522560,3263522815),('ES',3263522816,3263523071),('DE',3263523072,3263523839),('FR',3263523840,3263524095),('GB',3263524096,3263524351),('FR',3263524352,3263524607),('GB',3263524608,3263524863),('FR',3263524864,3263525119),('GB',3263525120,3263525375),('ES',3263525376,3263525631),('EU',3263525632,3263525759),('DE',3263525760,3263525887),('EU',3263525888,3263526399),('IT',3263526400,3263526655),('EU',3263526656,3263526911),('FR',3263526912,3263527167),('EU',3263527168,3263527423),('ZW',3263527424,3263527679),('DE',3263527680,3263527935),('SL',3263527936,3263528191),('FR',3263528192,3263528447),('GB',3263528448,3263528959),('EU',3263528960,3263529983),('GB',3263529984,3263530239),('BE',3263530240,3263530495),('GB',3263530496,3263530751),('IE',3263530752,3263531007),('FR',3263531008,3263531519),('DE',3263531520,3263531535),('EU',3263531536,3263531551),('DE',3263531552,3263531775),('FR',3263531776,3263532031),('GB',3263532032,3263532799),('EU',3263532800,3263536895),('ZW',3263536896,3263537151),('TR',3263537152,3263540479),('GB',3263540480,3263540735),('TR',3263540736,3263541247),('GB',3263541248,3263541535),('EU',3263541536,3263543295),('IL',3263543296,3263545343),('US',3263545344,3263557631),('TR',3263557632,3263558911),('GB',3263558912,3263559679),('TR',3263559680,3263560191),('EU',3263560192,3263560447),('TR',3263560448,3263560703),('EU',3263560704,3263560959),('TR',3263560960,3263561231),('EU',3263561232,3263561471),('TR',3263561472,3263561727),('NL',3263561728,3263627263),('RU',3263627264,3263657471),('KZ',3263657472,3263657727),('RU',3263657728,3263684351),('UA',3263684352,3263684607),('RU',3263684608,3263688959),('UA',3263688960,3263689215),('RU',3263689216,3263689471),('UA',3263689472,3263689727),('RU',3263689728,3263689983),('UA',3263689984,3263690239),('RU',3263690240,3263691007),('UA',3263691008,3263691263),('RU',3263691264,3263691775),('UA',3263691776,3263692031),('RU',3263692032,3263692287),('UA',3263692288,3263692799),('FI',3263692800,3263758335),('SE',3263758336,3263758591),('FI',3263758592,3263760127),('SE',3263760128,3263760383),('FI',3263760384,3263764991),('BE',3263764992,3263765503),('FI',3263765504,3263766975),('RU',3263766976,3263767039),('FI',3263767040,3263773951),('BE',3263773952,3263774207),('FI',3263774208,3263774463),('BE',3263774464,3263774719),('FI',3263774720,3263792351),('SE',3263792352,3263792367),('FI',3263792368,3263793151),('BE',3263793152,3263793407),('FI',3263793408,3263816703),('ES',3263816704,3263816959),('NL',3263816960,3263817215),('FI',3263817216,3263823871),('DE',3263823872,3263954943),('ES',3263954944,3263979519),('DE',3263979520,3263987711),('ES',3263987712,3264004095),('HU',3264004096,3264012287),('AT',3264012288,3264012543),('FR',3264012544,3264012799),('GB',3264012800,3264013055),('TR',3264013056,3264013311),('UA',3264013312,3264013567),('RU',3264013568,3264013823),('NL',3264013824,3264014079),('DE',3264014080,3264014335),('PT',3264014336,3264014591),('PL',3264014592,3264014847),('IE',3264014848,3264015103),('RO',3264015104,3264015359),('DK',3264015360,3264015615),('UA',3264015616,3264015871),('PT',3264015872,3264016127),('DE',3264016128,3264016383),('SE',3264016384,3264016639),('PL',3264016640,3264016895),('GB',3264016896,3264017151),('SE',3264017152,3264017663),('RO',3264017664,3264017919),('NL',3264017920,3264018175),('FR',3264018176,3264018431),('HU',3264018432,3264018687),('GB',3264018688,3264018943),('PL',3264018944,3264019199),('GB',3264019200,3264019967),('AT',3264019968,3264020223),('PL',3264020224,3264020479),('BG',3264020480,3264086015),('FI',3264086016,3264099839),('GB',3264099840,3264100095),('FI',3264100096,3264124927),('DE',3264124928,3264125183),('NL',3264125184,3264125439),('FI',3264125440,3264125695),('BE',3264125696,3264125951),('FI',3264125952,3264133375),('SE',3264133376,3264133631),('FI',3264133632,3264151551),('NO',3264151552,3264184319),('MD',3264184320,3264184831),('NL',3264184832,3264185343),('FR',3264185344,3264185855),('DE',3264185856,3264186367),('UA',3264186368,3264186879),('RU',3264186880,3264187391),('IR',3264187392,3264187903),('IT',3264187904,3264188415),('UA',3264188416,3264189439),('RU',3264189952,3264190463),('LV',3264190464,3264190975),('GB',3264190976,3264191487),('DE',3264191488,3264191999),('GB',3264192000,3264200703),('ES',3264200704,3264208895),('HU',3264208896,3264217087),('IS',3264217088,3264282623),('GB',3264282624,3264290815),('FI',3264290816,3264296191),('FR',3264296192,3264297727),('PT',3264297728,3264298751),('BG',3264298752,3264299007),('DE',3264299008,3264307199),('PL',3264307200,3264311295),('FR',3264311296,3264311551),('IT',3264311552,3264311807),('DE',3264311808,3264312063),('CH',3264312064,3264312319),('PL',3264312320,3264312575),('UA',3264312576,3264312831),('DE',3264312832,3264313343),('RO',3264313344,3264313599),('PT',3264313600,3264313855),('DE',3264313856,3264314623),('SE',3264314624,3264314879),('GR',3264315136,3264315391),('IE',3264315392,3264317439),('SK',3264317440,3264318463),('ES',3264318464,3264318975),('DE',3264318976,3264319487),('FR',3264319488,3264319743),('SE',3264319744,3264319999),('DE',3264320000,3264320255),('GB',3264320256,3264321023),('DE',3264321024,3264321535),('SE',3264321536,3264321791),('RS',3264321792,3264322047),('FR',3264322048,3264322303),('RO',3264322304,3264322559),('HU',3264322560,3264322815),('CH',3264322816,3264323071),('RU',3264323072,3264323327),('RO',3264323328,3264323583),('BG',3264323584,3264324607),('SE',3264324608,3264325631),('RU',3264325632,3264326655),('SE',3264326656,3264327679),('AT',3264327680,3264328703),('CZ',3264328704,3264329727),('PL',3264329728,3264330751),('GB',3264330752,3264331775),('DE',3264331776,3264332287),('NL',3264332288,3264332799),('GB',3264332800,3264333311),('UA',3264333312,3264333823),('NL',3264333824,3264334335),('RO',3264334336,3264334847),('PL',3264334848,3264335359),('SK',3264335360,3264335871),('CY',3264335872,3264336383),('GB',3264336384,3264336895),('RU',3264336896,3264337407),('UA',3264337408,3264338431),('DE',3264338432,3264338943),('UA',3264338944,3264339455),('GB',3264339456,3264339967),('DE',3264339968,3264340223),('PL',3264340224,3264340479),('DE',3264340480,3264340735),('UA',3264340736,3264340991),('PL',3264340992,3264341503),('DE',3264341504,3264341759),('IT',3264341760,3264342015),('DE',3264342016,3264342783),('RU',3264342784,3264343039),('DE',3264343040,3264343295),('GB',3264343296,3264343551),('RO',3264343552,3264343807),('DE',3264343808,3264344063),('GB',3264344064,3264345087),('NL',3264345088,3264346111),('SE',3264346112,3264347135),('DE',3264347136,3264348159),('FR',3264348160,3264375039),('SE',3264375040,3264376063),('HR',3264376064,3264376319),('UA',3264376320,3264376575),('CH',3264376576,3264376831),('UA',3264376832,3264377087),('RU',3264377088,3264377343),('IT',3264377344,3264377599),('RU',3264377600,3264378111),('SE',3264378112,3264378367),('DE',3264378368,3264378623),('RU',3264378624,3264378879),('PL',3264378880,3264379135),('BE',3264379136,3264379391),('RU',3264379392,3264379647),('DE',3264379648,3264380159),('RO',3264380160,3264380415),('CH',3264380416,3264380671),('NL',3264380672,3264380927),('PL',3264380928,3264381951),('UA',3264381952,3264385023),('DE',3264385024,3264386047),('IR',3264386048,3264387071),('LB',3264387072,3264388095),('UA',3264388096,3264389119),('DE',3264389120,3264390143),('IR',3264390144,3264391167),('SE',3264391168,3264392191),('FR',3264392192,3264393215),('DE',3264393216,3264394239),('UA',3264394240,3264395263),('AT',3264395264,3264396287),('UA',3264396288,3264397311),('GB',3264397312,3264398335),('UA',3264398336,3264399359),('RU',3264399360,3264400383),('PA',3264400384,3264401407),('DE',3264401408,3264402431),('CH',3264402432,3264403455),('PL',3264403456,3264404479),('UA',3264404480,3264405503),('FR',3264405504,3264406527),('UA',3264406528,3264407551),('BG',3264407552,3264408575),('AE',3264408576,3264409599),('RU',3264409600,3264410623),('NO',3264410624,3264411647),('PL',3264411648,3264413695),('CH',3264413696,3264431103),('LI',3264431104,3264431615),('CH',3264431616,3264446207),('FR',3264446208,3264446463),('CH',3264446464,3264483071),('LI',3264483072,3264483327),('CH',3264483328,3264486527),('LI',3264486528,3264486559),('CH',3264486560,3264494079),('US',3264494080,3264494335),('CH',3264494336,3264544767),('HU',3264544768,3264561151),('RU',3264561152,3264563199),('ES',3264563200,3264564223),('IE',3264564224,3264565247),('NL',3264565248,3264567295),('PL',3264567296,3264567551),('GB',3264567552,3264567807),('RU',3264567808,3264568319),('DE',3264568320,3264568575),('RU',3264568576,3264568831),('DE',3264568832,3264569087),('RU',3264569088,3264569343),('CZ',3264569344,3264577535),('MK',3264577536,3264585727),('FR',3264585728,3264593919),('ES',3264593920,3264602111),('RU',3264602112,3264603135),('PL',3264603136,3264604159),('IT',3264604160,3264604671),('RU',3264604672,3264605183),('GR',3264605184,3264605695),('DK',3264605696,3264606207),('PL',3264606208,3264606463),('DE',3264606464,3264606719),('FR',3264606720,3264606975),('BE',3264606976,3264607231),('IT',3264607232,3264607487),('DE',3264607488,3264610303),('FR',3264610304,3264626687),('EE',3264626688,3264627711),('GR',3264627712,3264628735),('UA',3264628736,3264630783),('DE',3264630784,3264631807),('RO',3264631808,3264632831),('RU',3264632832,3264633855),('UA',3264633856,3264634879),('PL',3264634880,3264636927),('UA',3264636928,3264637951),('DK',3264637952,3264639999),('BG',3264640000,3264641023),('GB',3264641024,3264642047),('RU',3264642048,3264651263),('CH',3264651264,3264651775),('IT',3264651776,3264652287),('RU',3264652288,3264652799),('PL',3264652800,3264653311),('SE',3264653312,3264653823),('RO',3264653824,3264654335),('DE',3264654336,3264654847),('UA',3264654848,3264655359),('GB',3264655360,3264655871),('RU',3264655872,3264656383),('BG',3264656384,3264656895),('GB',3264656896,3264657407),('PL',3264657408,3264657919),('RO',3264657920,3264658431),('DE',3264658432,3264659455),('UA',3264659456,3264659967),('GB',3264659968,3264660479),('PL',3264660480,3264660991),('CH',3264660992,3264661503),('GB',3264661504,3264662015),('RU',3264662016,3264662527),('UA',3264662528,3264663039),('PL',3264663040,3264663551),('NL',3264663552,3264664063),('DE',3264664064,3264664575),('NO',3264664576,3264665087),('SE',3264665088,3264665599),('RO',3264665600,3264666111),('IL',3264666112,3264666623),('UA',3264666624,3264667135),('SE',3264667136,3264667647),('BE',3264667648,3264668159),('DE',3264668160,3264669183),('PL',3264669184,3264669695),('UA',3264669696,3264670207),('RU',3264670208,3264670719),('FR',3264670720,3264671231),('PL',3264671232,3264671743),('DE',3264671744,3264672255),('RO',3264672256,3264672767),('CH',3264672768,3264673279),('PL',3264673280,3264673791),('CH',3264673792,3264674303),('PL',3264674304,3264674815),('GB',3264674816,3264675327),('RO',3264675328,3264675839),('NL',3264675840,3264687247),('BG',3264687248,3264687263),('NL',3264687264,3264741375),('SI',3264741376,3264749567),('LV',3264749568,3264750079),('RU',3264750080,3264750591),('KG',3264750592,3264751103),('DK',3264751104,3264751615),('GB',3264751616,3264752127),('RO',3264752128,3264752639),('NL',3264752640,3264753151),('PL',3264753152,3264753663),('IT',3264753664,3264754175),('PL',3264754176,3264754687),('RU',3264754688,3264755199),('DE',3264755200,3264755711),('PL',3264755712,3264756223),('FI',3264756224,3264756735),('PL',3264756736,3264757247),('RU',3264757248,3264757759),('GB',3264757760,3264765951),('AT',3264765952,3264774143),('HU',3264774144,3264782335),('AT',3264782336,3264790527),('HR',3264790528,3264806911),('GB',3264806912,3264815103),('SE',3264815104,3264825343),('NO',3264825344,3264825599),('IT',3264825600,3264825855),('ES',3264825856,3264826111),('GB',3264826112,3264826879),('NL',3264826880,3264827135),('LV',3264827136,3264827391),('FR',3264827392,3264827647),('GR',3264827648,3264828159),('DE',3264828160,3264828415),('SE',3264828416,3264828671),('MT',3264828672,3264828927),('DE',3264828928,3264829439),('FR',3264829440,3264830207),('SE',3264830208,3264830463),('FR',3264830464,3264830719),('AT',3264830720,3264830975),('CH',3264830976,3264831231),('PL',3264831232,3264831487),('CH',3264831488,3264831743),('FR',3264831744,3264831999),('AT',3264832000,3264832255),('IT',3264832256,3264832511),('DE',3264832512,3264832767),('IL',3264832768,3264833023),('IT',3264833024,3264833535),('DE',3264833536,3264834047),('GB',3264834048,3264834559),('FR',3264834560,3264835327),('AT',3264835328,3264835583),('RU',3264835584,3264835839),('DE',3264835840,3264836351),('PL',3264836352,3264836607),('DE',3264836608,3264836863),('NL',3264836864,3264837119),('BG',3264837120,3264837375),('PL',3264837376,3264837631),('AT',3264837632,3264839679),('UA',3264839680,3264840191),('DE',3264840192,3264840447),('IT',3264840448,3264840703),('PT',3264840704,3264840959),('PL',3264840960,3264841471),('LV',3264841472,3264841727),('GB',3264841728,3264844031),('BG',3264844032,3264844287),('DE',3264844288,3264844799),('UA',3264844800,3264845311),('DE',3264845312,3264845951),('GB',3264845952,3264846079),('UG',3264846080,3264846207),('PL',3264846208,3264846335),('NO',3264846464,3264846591),('US',3264846592,3264846719),('DK',3264846848,3264846911),('RU',3264846912,3264846975),('DE',3264846976,3264847039),('GB',3264847040,3264847103),('FR',3264847104,3264847135),('ES',3264847136,3264847167),('NL',3264847168,3264847199),('NO',3264847200,3264847231),('NL',3264847232,3264847263),('LI',3264847264,3264847295),('FR',3264847296,3264847327),('NL',3264847328,3264847343),('FR',3264847360,3264847487),('RU',3264847488,3264847615),('PL',3264847616,3264847679),('RU',3264847680,3264847743),('BE',3264847744,3264847807),('SE',3264847808,3264847871),('DE',3264847872,3264849919),('GB',3264849920,3264850431),('PL',3264850432,3264850687),('LV',3264850688,3264850943),('IT',3264850944,3264851967),('CH',3264851968,3264854015),('DE',3264854016,3264854527),('GR',3264854528,3264854783),('IT',3264854784,3264855039),('CH',3264855040,3264855551),('DE',3264855552,3264856063),('IT',3264856064,3264861695),('FR',3264861696,3264862079),('SE',3264862080,3264862207),('PL',3264862208,3264862463),('AT',3264862464,3264862719),('GB',3264862720,3264862975),('DE',3264862976,3264863231),('AT',3264863232,3264864255),('RO',3264864256,3264872447),('GB',3264872448,3264888831),('RU',3264888832,3264897023),('GB',3264897024,3264905215),('CY',3264905216,3264906287),('GR',3264906288,3264906291),('CY',3264906292,3264906299),('GR',3264906300,3264906303),('CY',3264906304,3264906323),('GR',3264906324,3264906327),('CY',3264906328,3264906332),('GR',3264906333,3264906335),('CY',3264906336,3264906339),('GR',3264906340,3264906343),('CY',3264906344,3264906495),('GR',3264906496,3264906623),('CY',3264906624,3264906751),('GR',3264906752,3264906761),('CY',3264906762,3264906879),('GR',3264906880,3264906895),('CY',3264906896,3264906911),('GR',3264906912,3264906919),('CY',3264906920,3264906983),('GR',3264906984,3264906995),('CY',3264906996,3264907135),('GR',3264907136,3264907143),('CY',3264907144,3264907639),('GR',3264907640,3264907647),('CY',3264907648,3264907655),('GR',3264907656,3264907671),('CY',3264907672,3264907687),('GR',3264907688,3264907691),('CY',3264907692,3264907695),('GR',3264907696,3264907703),('CY',3264907704,3264907715),('GR',3264907716,3264907719),('CY',3264907720,3264907723),('GR',3264907724,3264907727),('CY',3264907728,3264907735),('GR',3264907736,3264907739),('CY',3264907740,3264907772),('GR',3264907773,3264907775),('CY',3264907776,3264907919),('GR',3264907920,3264907923),('CY',3264907924,3264907935),('GR',3264907936,3264907939),('CY',3264907940,3264907963),('GR',3264907964,3264907971),('CY',3264907972,3264907987),('GR',3264907988,3264907991),('CY',3264907992,3264908011),('GR',3264908012,3264908019),('CY',3264908020,3264908023),('GR',3264908024,3264908031),('CY',3264908032,3264908095),('GR',3264908096,3264908103),('CY',3264908104,3264908167),('GR',3264908168,3264908175),('CY',3264908176,3264908183),('GR',3264908184,3264908191),('CY',3264908192,3264908286),('GR',3264908287,3264908799),('GB',3264908800,3264909055),('GR',3264909056,3264909311),('CY',3264909312,3264909599),('GR',3264909600,3264909615),('CY',3264909616,3264909639),('GR',3264909640,3264909647),('CY',3264909648,3264909655),('GR',3264909656,3264909663),('CY',3264909664,3264910590),('GR',3264910591,3264910591),('CY',3264910592,3264910607),('GR',3264910608,3264910623),('CY',3264910624,3264910655),('GR',3264910656,3264910671),('CY',3264910672,3264910695),('GR',3264910696,3264910719),('CY',3264910720,3264910815),('GR',3264910816,3264911103),('CY',3264911104,3264911651),('GR',3264911652,3264911655),('CY',3264911656,3264911679),('GR',3264911680,3264911711),('CY',3264911712,3264911743),('GR',3264911744,3264911807),('CY',3264911808,3264912131),('GR',3264912132,3264912135),('CY',3264912136,3264912139),('GR',3264912140,3264912143),('CY',3264912144,3264912147),('GR',3264912148,3264912151),('CY',3264912152,3264912167),('GR',3264912168,3264912219),('CY',3264912220,3264912223),('GR',3264912224,3264912231),('CY',3264912232,3264912235),('GR',3264912236,3264912239),('CY',3264912240,3264912243),('GR',3264912244,3264912251),('CY',3264912252,3264912271),('GR',3264912272,3264912279),('CY',3264912280,3264912283),('GR',3264912284,3264912319),('CY',3264912320,3264912655),('GR',3264912656,3264912663),('CY',3264912664,3264912815),('GR',3264912816,3264912839),('CY',3264912840,3264912843),('GR',3264912844,3264912863),('CY',3264912864,3264912879),('GR',3264912880,3264912895),('CY',3264912896,3264913151),('GR',3264913152,3264913183),('CY',3264913184,3264913191),('GR',3264913192,3264913199),('CY',3264913200,3264913223),('GR',3264913224,3264913231),('CY',3264913232,3264913243),('GR',3264913244,3264913263),('CY',3264913264,3264913279),('GR',3264913280,3264913295),('CY',3264913296,3264913299),('GR',3264913300,3264913303),('CY',3264913304,3264913311),('GR',3264913312,3264913327),('CY',3264913328,3264913375),('GR',3264913376,3264913383),('CY',3264913384,3264913399),('GR',3264913400,3264913407),('GB',3264913408,3264917247),('NL',3264917248,3264917375),('GB',3264917376,3264921599),('LU',3264921600,3264922303),('SA',3264922304,3264922319),('LU',3264922320,3264929791),('SK',3264929792,3264937983),('GB',3264937984,3265003519),('DE',3265003520,3265055231),('FR',3265055232,3265055743),('DE',3265055744,3265069055),('FI',3265069056,3265134591),('CH',3265134592,3265142783),('MT',3265142784,3265150975),('AD',3265150976,3265159167),('FR',3265159168,3265167359),('AT',3265167360,3265175551),('NL',3265175552,3265183743),('BY',3265183744,3265191935),('CH',3265191936,3265200127),('GB',3265200128,3265216511),('DE',3265216512,3265216767),('FR',3265216768,3265217023),('GB',3265217024,3265218559),('NL',3265218560,3265219071),('GB',3265219072,3265244415),('NL',3265244416,3265244671),('GB',3265244672,3265257471),('NL',3265257472,3265259519),('GB',3265259520,3265265663),('SK',3265265664,3265286463),('SR',3265286464,3265286527),('SK',3265286528,3265331199),('GB',3265331200,3265340415),('DE',3265340416,3265340671),('GB',3265340672,3265340927),('CH',3265340928,3265341183),('AT',3265341184,3265341279),('EU',3265341280,3265341311),('FR',3265341312,3265341439),('GB',3265341440,3265341695),('DE',3265341696,3265341951),('GB',3265341952,3265343487),('DE',3265343488,3265347583),('FR',3265347584,3265352703),('BE',3265352704,3265352959),('FR',3265352960,3265353215),('DE',3265353216,3265355263),('FR',3265355264,3265355775),('BE',3265355776,3265357055),('FR',3265357056,3265357311),('DE',3265357312,3265357567),('BE',3265357568,3265357823),('NL',3265357824,3265358847),('BE',3265358848,3265359103),('NL',3265359104,3265359871),('CH',3265359872,3265360127),('GB',3265360128,3265360383),('CH',3265360384,3265360895),('GB',3265360896,3265361919),('IT',3265361920,3265363967),('ES',3265363968,3265366015),('EU',3265366016,3265366079),('BE',3265366080,3265366271),('HU',3265366272,3265366527),('DK',3265366528,3265367039),('AT',3265367040,3265367295),('ES',3265367296,3265367551),('SE',3265367552,3265367807),('DK',3265367808,3265369343),('IL',3265369344,3265369599),('SE',3265369600,3265369855),('DE',3265369856,3265370111),('DK',3265370112,3265370623),('GB',3265370624,3265370879),('DE',3265370880,3265376255),('IT',3265376256,3265376511),('GB',3265376512,3265378303),('NL',3265378304,3265380095),('GB',3265380096,3265382399),('CH',3265382400,3265382911),('GB',3265382912,3265384447),('DE',3265384448,3265386495),('NL',3265386496,3265387519),('EU',3265387520,3265388543),('GB',3265388544,3265396735),('DE',3265396736,3265417919),('A2',3265417920,3265417927),('DE',3265417928,3265418503),('A2',3265418504,3265418511),('DE',3265418512,3265464847),('AT',3265464848,3265464863),('DE',3265464864,3265465343),('AT',3265465344,3265465599),('DE',3265465600,3265527807),('GB',3265527808,3265569279),('AE',3265569280,3265569791),('GB',3265569792,3265582335),('A2',3265582336,3265582591),('GB',3265582592,3265593343),('SE',3265601536,3265601791),('CH',3265601792,3265602047),('NL',3265602048,3265602559),('IT',3265602560,3265602815),('IE',3265602816,3265603071),('DK',3265603072,3265603327),('NL',3265603328,3265603583),('DE',3265603584,3265603839),('PL',3265603840,3265604095),('SA',3265604096,3265604351),('FR',3265604352,3265604607),('CH',3265604608,3265604863),('FR',3265604864,3265605119),('UA',3265605120,3265605375),('CZ',3265605376,3265605631),('PL',3265605632,3265605887),('FR',3265605888,3265606143),('RU',3265606144,3265606399),('DE',3265606400,3265606655),('AT',3265606656,3265606911),('FR',3265606912,3265607167),('PL',3265607168,3265607423),('PT',3265607424,3265607679),('DK',3265607680,3265607935),('CZ',3265607936,3265608191),('RU',3265608192,3265608447),('SE',3265608448,3265608703),('GB',3265608704,3265608959),('RU',3265608960,3265609215),('UA',3265609216,3265609727),('NL',3265609728,3265617919),('SI',3265617920,3265626111),('JO',3265626112,3265634303),('IE',3265634304,3265642495),('GB',3265642496,3265650687),('SE',3265650688,3265658879),('AT',3265658880,3265724415),('FR',3265724416,3265789951),('GB',3265789952,3265824767),('US',3265824768,3265825023),('GB',3265825024,3265887487),('PT',3265887488,3265887743),('PL',3265887744,3265888255),('GB',3265888256,3265902335),('FR',3265902336,3265902591),('GB',3265902592,3265904383),('RO',3265904384,3265904639),('DE',3265904640,3265904895),('UA',3265904896,3265905151),('GB',3265905152,3265905663),('IE',3265905664,3265905919),('GB',3265905920,3265906175),('DE',3265906176,3265906431),('CH',3265906432,3265906687),('AT',3265906688,3265906943),('ES',3265906944,3265907199),('DE',3265907200,3265907455),('FR',3265907456,3265907711),('MD',3265907712,3265907967),('UA',3265907968,3265908735),('NL',3265908736,3265908991),('RO',3265908992,3265909247),('UA',3265909248,3265909503),('DE',3265909504,3265909759),('RO',3265909760,3265910015),('PL',3265910016,3265910271),('RO',3265910272,3265910527),('RU',3265910528,3265910783),('NL',3265910784,3265911039),('GB',3265911040,3265911551),('CH',3265911552,3265911807),('PL',3265911808,3265912063),('GB',3265912064,3265912319),('DE',3265912320,3265912575),('RO',3265912576,3265912831),('CZ',3265912832,3265913087),('SE',3265913088,3265913343),('PL',3265913344,3265914367),('RU',3265914368,3265914623),('BG',3265914624,3265914879),('GR',3265914880,3265915135),('RO',3265915136,3265915391),('GB',3265915392,3265915647),('RO',3265915648,3265915903),('PL',3265915904,3265916415),('UA',3265916416,3265916671),('DE',3265916672,3265916927),('FR',3265916928,3265917183),('PL',3265917184,3265917439),('RU',3265917440,3265917695),('SE',3265917696,3265917951),('GB',3265917952,3265918207),('EU',3265918208,3265918463),('AT',3265918464,3265918719),('RU',3265918720,3265918975),('NL',3265918976,3265919231),('FR',3265919232,3265919487),('RU',3265919488,3265919743),('DK',3265919744,3265919999),('TR',3265920256,3265920511),('GB',3265920512,3265921023),('AE',3265921024,3265986559),('NL',3265986560,3266052095),('DE',3266052096,3266073823),('GB',3266073824,3266073839),('DE',3266073840,3266322431),('LT',3266322432,3266330623),('GB',3266330624,3266338815),('RU',3266338816,3266339071),('UA',3266339072,3266339327),('ES',3266339328,3266339583),('GB',3266339584,3266339839),('RU',3266339840,3266340095),('PL',3266340096,3266340607),('FI',3266340608,3266340863),('CH',3266340864,3266341119),('GB',3266341120,3266341375),('DE',3266341376,3266341631),('GB',3266341632,3266341887),('KW',3266341888,3266342143),('CH',3266342144,3266342399),('BE',3266342400,3266342655),('KG',3266342656,3266342911),('SI',3266342912,3266343167),('GR',3266343168,3266343423),('RU',3266343424,3266343679),('RO',3266343680,3266343935),('CH',3266343936,3266344191),('UA',3266344192,3266344447),('RU',3266344448,3266344703),('ES',3266344704,3266344959),('IE',3266344960,3266345215),('DE',3266345216,3266345727),('DK',3266345728,3266345983),('GB',3266345984,3266346495),('IT',3266346496,3266346751),('FR',3266346752,3266347007),('GB',3266347008,3266347263),('EU',3266347264,3266351359),('GB',3266351360,3266352623),('EU',3266352624,3266352895),('GB',3266352896,3266353567),('EU',3266353568,3266353583),('GB',3266353584,3266353591),('EU',3266353592,3266353663),('GB',3266353664,3266353671),('EU',3266353672,3266353679),('GB',3266353680,3266353687),('EU',3266353688,3266353775),('US',3266353776,3266353783),('EU',3266353784,3266353855),('GB',3266353856,3266353863),('EU',3266353864,3266353879),('GB',3266353880,3266353887),('EU',3266353888,3266353895),('GB',3266353896,3266353903),('EU',3266353904,3266353919),('GB',3266353920,3266355199),('RO',3266355200,3266363391),('GB',3266363392,3266371583),('HU',3266371584,3266379775),('ES',3266379776,3266387967),('LU',3266387968,3266388991),('FR',3266388992,3266389247),('LU',3266389248,3266389327),('FR',3266389328,3266396159),('IT',3266396160,3266412543),('AT',3266412544,3266420735),('GB',3266420736,3266428927),('GR',3266428928,3266437119),('GL',3266437120,3266444911),('GB',3266444912,3266444915),('GL',3266444916,3266445311),('NL',3266445312,3266510847),('ES',3266510848,3266543615),('IT',3266543616,3266576383),('DE',3266576384,3266641919),('PL',3266641920,3266707455),('DK',3266707456,3266767615),('FO',3266767616,3266767871),('DK',3266767872,3266772991),('IT',3266772992,3266781183),('PL',3266781184,3266789375),('SM',3266789376,3266797567),('GB',3266797568,3266797823),('NL',3266797824,3266798079),('GB',3266798080,3266799103),('NL',3266799104,3266799615),('GB',3266799616,3266800127),('NL',3266800128,3266800319),('GB',3266800320,3266800639),('NL',3266800640,3266800703),('GB',3266800704,3266800727),('NL',3266800728,3266800735),('GB',3266800736,3266800895),('NL',3266800896,3266801215),('GB',3266801216,3266801407),('NL',3266801408,3266801471),('GB',3266801472,3266801487),('NL',3266801488,3266801519),('GB',3266801520,3266801535),('NL',3266801536,3266801599),('GB',3266801600,3266801615),('NL',3266801616,3266801647),('GB',3266801648,3266801663),('NL',3266801664,3266801919),('GB',3266801920,3266802943),('NL',3266802944,3266803199),('GB',3266803200,3266803711),('NL',3266803712,3266803839),('GB',3266803840,3266804223),('NL',3266804224,3266804479),('GB',3266804480,3266804735),('NL',3266804736,3266804991),('GB',3266804992,3266805503),('NL',3266805504,3266805759),('AT',3266805760,3266809343),('LI',3266809344,3266809599),('AT',3266809600,3266813951),('UA',3266813952,3266822143),('FR',3266822144,3266830335),('BE',3266830336,3266836479),('LU',3266836480,3266837023),('BE',3266837024,3266838527),('IT',3266838528,3266969599),('RU',3266969600,3266973439),('KZ',3266973440,3266973695),('RU',3266973696,3267008767),('UA',3267008768,3267009023),('RU',3267009024,3267029247),('KZ',3267029248,3267029503),('RU',3267029504,3267030095),('KZ',3267030096,3267030103),('RU',3267030104,3267032575),('KZ',3267032576,3267032831),('RU',3267032832,3267035135),('NO',3267035136,3267039231),('DE',3267039232,3267040255),('RO',3267040256,3267041279),('UA',3267041280,3267043327),('GB',3267043328,3267044351),('RU',3267044352,3267045375),('PL',3267045376,3267046399),('NL',3267046400,3267047423),('UA',3267047424,3267048447),('PL',3267048448,3267049471),('UA',3267049472,3267050495),('SE',3267050496,3267051519),('DE',3267051520,3267052543),('LV',3267052544,3267053567),('PL',3267053568,3267054591),('NL',3267054592,3267055615),('PS',3267055616,3267056639),('US',3267056640,3267057663),('CH',3267057664,3267058687),('AT',3267058688,3267059711),('NL',3267059712,3267060735),('LV',3267060736,3267061759),('UA',3267061760,3267063807),('DE',3267063808,3267064831),('PL',3267064832,3267065855),('RO',3267065856,3267066879),('IT',3267066880,3267067903),('UA',3267067904,3267068927),('BG',3267068928,3267069951),('RO',3267069952,3267070975),('DE',3267070976,3267071999),('PL',3267072000,3267073023),('UA',3267073024,3267075071),('CH',3267075072,3267076095),('DE',3267076096,3267078143),('PL',3267078144,3267079167),('IT',3267079168,3267080191),('AT',3267080192,3267081215),('PL',3267081216,3267082239),('DE',3267082240,3267083263),('RO',3267083264,3267084287),('FR',3267084288,3267085311),('PL',3267086336,3267087359),('RU',3267087360,3267088383),('UA',3267088384,3267089407),('FI',3267089408,3267090431),('UA',3267090432,3267091455),('DE',3267091456,3267092479),('FR',3267092480,3267093503),('UA',3267093504,3267094527),('GB',3267094528,3267095551),('PL',3267095552,3267096575),('DE',3267096576,3267097599),('KZ',3267097600,3267098623),('GB',3267098624,3267099647),('IT',3267099648,3267100671),('FI',3267100672,3267166207),('GB',3267166208,3267231743),('RU',3267231744,3267297279),('CH',3267297280,3267362815),('DK',3267362816,3267426879),('CH',3267426880,3267426943),('DK',3267426944,3267428351),('GB',3267428352,3267493887),('DE',3267493888,3267494143),('GB',3267494144,3267498239),('IE',3267498240,3267498495),('DE',3267498496,3267498751),('GB',3267498752,3267504383),('AT',3267504384,3267504639),('FR',3267504640,3267505151),('DE',3267505152,3267507711),('GB',3267507712,3267507743),('DE',3267507744,3267507775),('GB',3267507776,3267507807),('ZA',3267507808,3267507839),('GB',3267507840,3267508223),('DE',3267508224,3267508735),('IL',3267508736,3267508991),('GB',3267508992,3267509247),('AT',3267509248,3267509503),('CH',3267509504,3267509695),('EU',3267509696,3267509727),('CH',3267509728,3267509759),('GB',3267509760,3267510271),('FR',3267510272,3267512831),('GB',3267512832,3267513343),('FR',3267513344,3267514367),('DE',3267514368,3267517951),('GB',3267517952,3267518463),('DE',3267518464,3267524607),('EU',3267524608,3267526655),('DE',3267526656,3267527679),('FR',3267527680,3267529215),('GB',3267529216,3267529471),('FR',3267529472,3267529727),('AT',3267529728,3267530751),('FR',3267530752,3267534335),('RS',3267534336,3267534527),('EU',3267534528,3267534559),('FR',3267534560,3267534575),('AT',3267534576,3267534591),('FR',3267534592,3267538943),('NL',3267538944,3267540223),('GB',3267540224,3267540479),('NL',3267540480,3267541759),('GB',3267541760,3267542527),('CH',3267542528,3267542783),('DE',3267542784,3267543039),('IT',3267543040,3267543295),('AT',3267543296,3267543551),('GB',3267543552,3267544319),('DE',3267544320,3267544575),('IT',3267544576,3267544703),('DE',3267544704,3267544831),('FR',3267544832,3267545087),('ES',3267545088,3267545855),('DE',3267545856,3267546111),('ES',3267546112,3267546623),('FR',3267546624,3267547135),('BE',3267547136,3267547391),('DE',3267547392,3267547647),('GB',3267547648,3267549183),('DK',3267549184,3267550463),('NL',3267550464,3267550719),('DK',3267550720,3267551231),('AT',3267551232,3267551743),('SE',3267551744,3267551999),('NO',3267552000,3267552255),('AT',3267552256,3267553023),('NL',3267553024,3267553279),('DK',3267553280,3267554303),('DE',3267554304,3267554815),('FR',3267554816,3267555071),('EU',3267555072,3267555199),('ZA',3267555200,3267555327),('FI',3267555328,3267555583),('GB',3267555584,3267556095),('NO',3267556096,3267556351),('GB',3267556352,3267556607),('NO',3267556608,3267556863),('IL',3267556864,3267557375),('NO',3267557376,3267557631),('AT',3267557632,3267557887),('IL',3267557888,3267558399),('CH',3267558400,3267558911),('AT',3267558912,3267559423),('DE',3267559424,3267622527),('GB',3267622528,3267622559),('DE',3267622560,3267624959),('GB',3267624960,3267625471),('FR',3267625472,3267625727),('BE',3267625728,3267625983),('NL',3267625984,3267626239),('BE',3267626240,3267626495),('ES',3267626496,3267626751),('RU',3267626752,3267627007),('DE',3267627008,3267627151),('EU',3267627152,3267627159),('DE',3267627160,3267627343),('EU',3267627344,3267627359),('DE',3267627360,3267627439),('EU',3267627440,3267627455),('DE',3267627456,3267627463),('EU',3267627464,3267627487),('DE',3267627488,3267627503),('EU',3267627504,3267627519),('HU',3267627520,3267627775),('DE',3267627776,3267627807),('EU',3267627808,3267627839),('DE',3267627840,3267628031),('IT',3267628032,3267628287),('EU',3267628288,3267628543),('IT',3267628544,3267628799),('HU',3267628800,3267629055),('CZ',3267629056,3267629311),('DK',3267629312,3267629567),('BE',3267629568,3267629695),('EU',3267629696,3267629711),('BE',3267629712,3267629791),('EU',3267629792,3267629807),('BE',3267629808,3267629815),('EU',3267629816,3267629823),('GR',3267629824,3267630079),('GB',3267630080,3267630591),('SK',3267630592,3267630847),('IT',3267630848,3267630863),('FR',3267630864,3267630943),('IT',3267630944,3267631055),('GB',3267631056,3267631071),('EU',3267631072,3267631087),('IT',3267631088,3267631103),('GB',3267631104,3267631615),('DE',3267631616,3267631935),('EU',3267631936,3267631999),('DE',3267632000,3267632127),('EU',3267632128,3267632383),('BE',3267632384,3267632511),('EU',3267632512,3267632639),('IT',3267632640,3267632895),('BE',3267632896,3267633151),('NO',3267633152,3267633679),('EU',3267633680,3267633695),('NO',3267633696,3267633711),('EU',3267633712,3267633727),('NO',3267633728,3267633855),('EU',3267633856,3267633919),('NO',3267633920,3267634175),('GB',3267634176,3267634431),('IE',3267634432,3267634559),('EU',3267634560,3267634943),('GB',3267634944,3267635711),('EU',3267635712,3267635967),('BE',3267635968,3267636223),('EU',3267636224,3267636735),('ZA',3267636736,3267636991),('AT',3267636992,3267637247),('EU',3267637248,3267637503),('IT',3267637504,3267637575),('EU',3267637576,3267637583),('IT',3267637584,3267637591),('EU',3267637592,3267637599),('IT',3267637600,3267637695),('EU',3267637696,3267637759),('ES',3267637760,3267637887),('EU',3267637888,3267638015),('ES',3267638016,3267638271),('BE',3267638272,3267638527),('DK',3267638528,3267638583),('EU',3267638584,3267638591),('DK',3267638592,3267638783),('CZ',3267638784,3267639295),('NL',3267639296,3267639551),('GB',3267639552,3267639807),('CH',3267639808,3267640063),('GB',3267640064,3267640319),('CH',3267640320,3267640575),('IT',3267640576,3267640831),('GR',3267640832,3267641087),('EU',3267641088,3267641343),('IE',3267641344,3267641599),('EU',3267641600,3267641855),('GB',3267641856,3267642111),('SE',3267642112,3267642367),('GB',3267642368,3267642623),('NO',3267642624,3267642879),('SI',3267642880,3267643135),('BE',3267643136,3267643391),('RU',3267643392,3267643407),('EU',3267643408,3267643423),('RU',3267643424,3267643439),('EU',3267643440,3267643455),('RU',3267643456,3267643487),('EU',3267643488,3267643519),('RU',3267643520,3267643647),('GB',3267643648,3267643903),('EU',3267643904,3267644159),('BE',3267644160,3267644415),('DE',3267644416,3267644671),('SI',3267644672,3267644927),('EU',3267644928,3267644943),('BE',3267644944,3267644959),('FR',3267644960,3267644975),('GB',3267644976,3267644991),('BE',3267644992,3267645055),('GB',3267645056,3267645183),('EU',3267645184,3267645439),('GB',3267645440,3267645695),('DE',3267645696,3267645951),('DK',3267645952,3267646207),('EU',3267646208,3267647487),('GB',3267647488,3267647743),('SI',3267647744,3267647999),('DE',3267648000,3267648255),('GB',3267648256,3267648415),('BE',3267648416,3267648447),('FR',3267648448,3267648479),('GB',3267648480,3267648511),('DE',3267648512,3267648767),('NL',3267648768,3267649023),('RU',3267649024,3267649279),('EU',3267649280,3267649287),('DE',3267649288,3267649359),('EU',3267649360,3267649375),('DE',3267649376,3267649535),('EU',3267649536,3267649791),('NL',3267649792,3267650303),('EU',3267650304,3267650319),('AT',3267650320,3267650367),('EU',3267650368,3267650447),('AT',3267650448,3267650495),('EU',3267650496,3267650527),('AT',3267650528,3267650559),('GB',3267650560,3267651071),('DE',3267651072,3267651327),('EU',3267651328,3267651583),('FR',3267651584,3267651839),('EU',3267651840,3267652095),('GB',3267652096,3267652351),('GR',3267652352,3267652607),('DE',3267652608,3267652863),('PT',3267652864,3267653119),('GB',3267653120,3267653375),('EU',3267653376,3267653887),('GB',3267653888,3267654143),('EU',3267654144,3267654911),('SK',3267654912,3267655167),('GB',3267655168,3267655679),('IT',3267655680,3267656191),('DK',3267656192,3267656447),('EU',3267656448,3267657215),('HU',3267657216,3267657471),('RO',3267657472,3267657487),('EU',3267657488,3267657503),('RO',3267657504,3267657567),('EU',3267657568,3267657663),('RO',3267657664,3267657679),('EU',3267657680,3267657983),('GB',3267657984,3267658239),('IT',3267658240,3267658495),('EU',3267658496,3267658751),('CH',3267658752,3267659263),('EU',3267659264,3267659519),('IT',3267659520,3267659775),('EU',3267659776,3267660287),('CH',3267660288,3267660543),('ES',3267660544,3267660671),('EU',3267660672,3267661311),('SK',3267661312,3267661567),('GB',3267661568,3267661679),('EU',3267661680,3267661695),('GB',3267661696,3267661823),('ES',3267661824,3267661951),('EU',3267661952,3267662023),('ES',3267662024,3267662031),('EU',3267662032,3267662039),('ES',3267662040,3267662047),('EU',3267662048,3267662847),('IE',3267662848,3267662887),('GB',3267662888,3267662895),('IE',3267662896,3267662951),('GB',3267662952,3267662959),('IE',3267662960,3267663071),('EU',3267663072,3267663087),('IE',3267663088,3267663103),('IT',3267663104,3267663327),('EU',3267663328,3267663359),('GB',3267663360,3267663871),('DE',3267663872,3267664127),('EU',3267664128,3267664383),('GB',3267664384,3267664639),('SK',3267664640,3267664671),('EU',3267664672,3267664799),('SK',3267664800,3267664815),('EU',3267664816,3267664831),('SK',3267664832,3267664879),('EU',3267664880,3267664887),('SK',3267664888,3267664895),('EU',3267664896,3267665919),('GB',3267665920,3267666175),('GR',3267666176,3267666207),('EU',3267666208,3267666239),('GR',3267666240,3267666431),('GB',3267666432,3267666447),('EU',3267666448,3267666463),('GB',3267666464,3267666543),('EU',3267666544,3267666575),('GB',3267666576,3267666687),('EU',3267666688,3267666719),('GB',3267666720,3267667199),('NL',3267667200,3267667455),('GB',3267667456,3267667583),('EU',3267667584,3267667711),('GB',3267667712,3267667967),('EU',3267667968,3267670015),('ZA',3267670016,3267671551),('DE',3267671552,3267671807),('NO',3267671808,3267672063),('DE',3267672064,3267672319),('EU',3267672320,3267672575),('AT',3267672576,3267672831),('FR',3267672832,3267672951),('EU',3267672952,3267672959),('FR',3267672960,3267673015),('EU',3267673016,3267673023),('FR',3267673024,3267673087),('DE',3267673088,3267673439),('EU',3267673440,3267673471),('DE',3267673472,3267673503),('EU',3267673504,3267673599),('DE',3267673600,3267673671),('EU',3267673672,3267673695),('DE',3267673696,3267673791),('EU',3267673792,3267673807),('DE',3267673808,3267673855),('EU',3267673856,3267674111),('NL',3267674112,3267674127),('GB',3267674128,3267674159),('BE',3267674160,3267674175),('EU',3267674176,3267674191),('BE',3267674192,3267674207),('EU',3267674208,3267674239),('BE',3267674240,3267674303),('GB',3267674304,3267674367),('BE',3267674368,3267674879),('EU',3267674880,3267675135),('AT',3267675136,3267675391),('CH',3267675392,3267675543),('EU',3267675544,3267675551),('CH',3267675552,3267675647),('CY',3267675648,3267675775),('CH',3267675776,3267675903),('EU',3267675904,3267676159),('GB',3267676160,3267676415),('EU',3267676416,3267676671),('HU',3267676672,3267676679),('EU',3267676680,3267676687),('HU',3267676688,3267676711),('EU',3267676712,3267676735),('HU',3267676736,3267676767),('EU',3267676768,3267676783),('HU',3267676784,3267676799),('EU',3267676800,3267676863),('HU',3267676864,3267676879),('EU',3267676880,3267676919),('HU',3267676920,3267676927),('GB',3267676928,3267677367),('EU',3267677368,3267677375),('GB',3267677376,3267677695),('EU',3267677696,3267678207),('FR',3267678208,3267678719),('EU',3267678720,3267678975),('NL',3267678976,3267679231),('EU',3267679232,3267679487),('BE',3267679488,3267679743),('EU',3267679744,3267679999),('CZ',3267680000,3267680255),('SK',3267680256,3267680767),('EU',3267680768,3267681279),('FR',3267681280,3267681503),('EU',3267681504,3267681511),('FR',3267681512,3267681535),('EU',3267681536,3267681791),('FR',3267681792,3267681975),('EU',3267681976,3267681983),('FR',3267681984,3267682047),('EU',3267682048,3267682303),('BE',3267682304,3267682559),('EU',3267682560,3267683327),('PL',3267683328,3267683359),('EU',3267683360,3267683375),('PL',3267683376,3267683503),('EU',3267683504,3267683511),('PL',3267683512,3267683551),('EU',3267683552,3267683567),('PL',3267683568,3267683575),('EU',3267683576,3267683711),('PL',3267683712,3267683727),('EU',3267683728,3267684383),('GB',3267684384,3267685119),('DE',3267685120,3267685375),('NL',3267685376,3267685887),('GB',3267685888,3267686399),('EU',3267686400,3267687935),('IE',3267687936,3267688191),('DE',3267688192,3267688703),('SE',3267688704,3267688959),('EU',3267688960,3267689215),('CZ',3267689216,3267689247),('EU',3267689248,3267689311),('CZ',3267689312,3267689471),('EU',3267689472,3267689727),('GB',3267689728,3267689983),('FR',3267689984,3267690239),('EU',3267690240,3267690271),('FR',3267690272,3267690495),('FI',3267690496,3267691519),('SE',3267691520,3267692543),('FI',3267692544,3267711999),('SE',3267712000,3267712255),('FI',3267712256,3267741439),('BE',3267741440,3267741695),('FI',3267741696,3267741759),('SE',3267741760,3267741791),('FI',3267741792,3267741855),('SE',3267741856,3267741919),('FI',3267741920,3267743999),('DE',3267744000,3267744255),('BE',3267744256,3267744511),('FI',3267744512,3267746303),('NL',3267746304,3267746559),('FI',3267746560,3267756031),('SE',3267756032,3267760639),('NO',3267760640,3267761151),('SE',3267761152,3267761919),('NO',3267761920,3267762175),('SE',3267762176,3267763711),('NO',3267763712,3267763967),('SE',3267763968,3267764223),('NO',3267764224,3267764479),('SE',3267764480,3267765775),('NO',3267765776,3267765791),('SE',3267765792,3267765823),('NO',3267765824,3267765855),('SE',3267765856,3267766031),('NO',3267766032,3267766047),('SE',3267766048,3267766303),('NO',3267766304,3267766319),('SE',3267766320,3267766351),('NO',3267766352,3267766367),('SE',3267766368,3267766383),('NO',3267766384,3267766415),('SE',3267766416,3267785727),('NO',3267785728,3267785983),('SE',3267785984,3267787007),('NO',3267787008,3267787263),('SE',3267787264,3267787519),('NO',3267787520,3267787775),('SE',3267787776,3267788031),('NO',3267788032,3267788287),('SE',3267788288,3267793919),('DK',3267793920,3267794175),('SE',3267794176,3267821567),('FR',3267821568,3267887103),('GB',3267887104,3268017407),('KE',3268017408,3268017663),('GB',3268017664,3268149247),('EE',3268149248,3268165631),('CH',3268165632,3268173823),('MT',3268173824,3268182015),('PL',3268182016,3268198399),('MA',3268198400,3268214783),('EU',3268214784,3268215583),('GB',3268215584,3268215615),('EU',3268215616,3268215647),('GB',3268215648,3268215679),('EU',3268215680,3268215711),('GB',3268215712,3268215743),('EU',3268215744,3268215775),('GB',3268215776,3268216319),('EU',3268216320,3268218111),('GB',3268218112,3268218367),('EU',3268218368,3268219807),('GB',3268219808,3268219823),('EU',3268219824,3268219855),('GB',3268219856,3268219871),('EU',3268219872,3268221439),('GB',3268221440,3268221599),('EU',3268221600,3268221695),('GB',3268221696,3268221951),('EU',3268221952,3268222975),('GB',3268222976,3268223167),('EU',3268223168,3268223199),('GB',3268223200,3268223231),('EU',3268223232,3268224767),('US',3268224768,3268225023),('EU',3268225024,3268226367),('GB',3268226368,3268226815),('EU',3268226816,3268227327),('GB',3268227328,3268227391),('EU',3268227392,3268227519),('GB',3268227520,3268227615),('EU',3268227616,3268229631),('GB',3268229632,3268229887),('EU',3268229888,3268230655),('GB',3268230656,3268230911),('EU',3268230912,3268231167),('GB',3268231168,3268231199),('EU',3268231200,3268231319),('GB',3268231320,3268231359),('EU',3268231360,3268231391),('GB',3268231392,3268231423),('EU',3268231424,3268231647),('GB',3268231648,3268231679),('EU',3268231680,3268231743),('GB',3268231744,3268231807),('EU',3268231808,3268232223),('GB',3268232224,3268232243),('EU',3268232244,3268232351),('GB',3268232352,3268232367),('EU',3268232368,3268232383),('GB',3268232384,3268232415),('EU',3268232416,3268232479),('GB',3268232480,3268232575),('EU',3268232576,3268232959),('GB',3268232960,3268233087),('EU',3268233088,3268233919),('GB',3268233920,3268234047),('EU',3268234048,3268234111),('GB',3268234112,3268234239),('EU',3268234240,3268234559),('GB',3268234560,3268234623),('EU',3268234624,3268235007),('GB',3268235008,3268235263),('DE',3268235264,3268235519),('GB',3268235520,3268235775),('EU',3268235776,3268235935),('GB',3268235936,3268236031),('EU',3268236032,3268236191),('GB',3268236192,3268236207),('EU',3268236208,3268236543),('GB',3268236544,3268236607),('EU',3268236608,3268236671),('GB',3268236672,3268236799),('EU',3268236800,3268237311),('GB',3268237312,3268237567),('EU',3268237568,3268237823),('GB',3268237824,3268237847),('EU',3268237848,3268237855),('GB',3268237856,3268237887),('EU',3268237888,3268238335),('GB',3268238336,3268238351),('EU',3268238352,3268238367),('GB',3268238368,3268238463),('EU',3268238464,3268239103),('GB',3268239104,3268239359),('EU',3268239360,3268239583),('GB',3268239584,3268240127),('EU',3268240128,3268240159),('GB',3268240160,3268240191),('EU',3268240192,3268240255),('GB',3268240256,3268240399),('EU',3268240400,3268240687),('GB',3268240688,3268240695),('EU',3268240696,3268240711),('GB',3268240712,3268240735),('EU',3268240736,3268240743),('GB',3268240744,3268240751),('EU',3268240752,3268240775),('GB',3268240776,3268240783),('EU',3268240784,3268240975),('GB',3268240976,3268240991),('EU',3268240992,3268241007),('GB',3268241008,3268241023),('EU',3268241024,3268241543),('GB',3268241544,3268241551),('EU',3268241552,3268241639),('GB',3268241640,3268241663),('EU',3268241664,3268242495),('GB',3268242496,3268242523),('EU',3268242524,3268242879),('GB',3268242880,3268243103),('EU',3268243104,3268243327),('GB',3268243328,3268243391),('EU',3268243392,3268243743),('GB',3268243744,3268243775),('EU',3268243776,3268243967),('GB',3268243968,3268244031),('EU',3268244032,3268244775),('GB',3268244776,3268244783),('EU',3268244784,3268244791),('GB',3268244792,3268244799),('EU',3268244800,3268245111),('GB',3268245112,3268245115),('EU',3268245116,3268245503),('GB',3268245504,3268245759),('EU',3268245760,3268246271),('GB',3268246272,3268246783),('EU',3268246784,3268246791),('GB',3268246792,3268246807),('EU',3268246808,3268246911),('GB',3268246912,3268246927),('EU',3268246928,3268246959),('GB',3268246960,3268246991),('EU',3268246992,3268248319),('GB',3268248320,3268248447),('EU',3268248448,3268248511),('GB',3268248512,3268248543),('EU',3268248544,3268248831),('GB',3268248832,3268248959),('EU',3268248960,3268249599),('GB',3268249600,3268251311),('IE',3268251312,3268251327),('GB',3268251328,3268251583),('DE',3268251584,3268251615),('CH',3268251616,3268251631),('GB',3268251632,3268251647),('EU',3268251648,3268253951),('GB',3268253952,3268254015),('EU',3268254016,3268254463),('GB',3268254464,3268254543),('EU',3268254544,3268254591),('GB',3268254592,3268254607),('EU',3268254608,3268254623),('GB',3268254624,3268254639),('EU',3268254640,3268254895),('GB',3268254896,3268254903),('EU',3268254904,3268255807),('GB',3268255808,3268255863),('EU',3268255864,3268255871),('GB',3268255872,3268255887),('EU',3268255888,3268255895),('GB',3268255896,3268255919),('EU',3268255920,3268255951),('GB',3268255952,3268255983),('EU',3268255984,3268256895),('GB',3268256896,3268256959),('EU',3268256960,3268257023),('GB',3268257024,3268257055),('EU',3268257056,3268257087),('GB',3268257088,3268257119),('EU',3268257120,3268257263),('GB',3268257264,3268257271),('EU',3268257272,3268257415),('GB',3268257416,3268257419),('EU',3268257420,3268257423),('GB',3268257424,3268257431),('IT',3268257432,3268257439),('EU',3268257440,3268257455),('GB',3268257456,3268257471),('EU',3268257472,3268257487),('GB',3268257488,3268257527),('EU',3268257528,3268258559),('GB',3268258560,3268258623),('EU',3268258624,3268258687),('GB',3268258688,3268258751),('EU',3268258752,3268259263),('GB',3268259264,3268259327),('EU',3268259328,3268259519),('GB',3268259520,3268259527),('EU',3268259528,3268259543),('GB',3268259544,3268259551),('EU',3268259552,3268259559),('GB',3268259560,3268259575),('EU',3268259576,3268259807),('GB',3268259808,3268259823),('EU',3268259824,3268259831),('GB',3268259832,3268260095),('EU',3268260096,3268260351),('GB',3268260352,3268260383),('EU',3268260384,3268260415),('GB',3268260416,3268260479),('EU',3268260480,3268260511),('GB',3268260512,3268260607),('EU',3268260608,3268260639),('GB',3268260640,3268260647),('EU',3268260648,3268260655),('GB',3268260656,3268260671),('EU',3268260672,3268261935),('GB',3268261936,3268261951),('EU',3268261952,3268262767),('GB',3268262768,3268262783),('EU',3268262784,3268262879),('GB',3268262880,3268262887),('EU',3268262888,3268263231),('GB',3268263232,3268263263),('EU',3268263264,3268263391),('GB',3268263392,3268263423),('EU',3268263424,3268263775),('GB',3268263776,3268263783),('EU',3268263784,3268264735),('GB',3268264736,3268264767),('EU',3268264768,3268265415),('GB',3268265416,3268265431),('EU',3268265432,3268265983),('GB',3268265984,3268266495),('EU',3268266496,3268266983),('GB',3268266984,3268266991),('EU',3268266992,3268267535),('GB',3268267536,3268267551),('EU',3268267552,3268267583),('GB',3268267584,3268267599),('EU',3268267600,3268267615),('GB',3268267616,3268267647),('EU',3268267648,3268267743),('GB',3268267744,3268267775),('EU',3268267776,3268267951),('GB',3268267952,3268267959),('EU',3268267960,3268268543),('GB',3268268544,3268268799),('EU',3268268800,3268270351),('GB',3268270352,3268270367),('EU',3268270368,3268270495),('GB',3268270496,3268270511),('EU',3268270512,3268270847),('GB',3268270848,3268271359),('EU',3268271360,3268271911),('GB',3268271912,3268271919),('EU',3268271920,3268271927),('GB',3268271928,3268271935),('EU',3268271936,3268272703),('GB',3268272704,3268272719),('EU',3268272720,3268272727),('GB',3268272728,3268272743),('EU',3268272744,3268272751),('GB',3268272752,3268272759),('EU',3268272760,3268273023),('GB',3268273024,3268273151),('EU',3268273152,3268273919),('GB',3268273920,3268273983),('EU',3268273984,3268274111),('GB',3268274112,3268274175),('EU',3268274176,3268274455),('GB',3268274456,3268274459),('EU',3268274460,3268274527),('GB',3268274528,3268274543),('EU',3268274544,3268274559),('GB',3268274560,3268274591),('EU',3268274592,3268275983),('GB',3268275984,3268275999),('EU',3268276000,3268276639),('GB',3268276640,3268276655),('EU',3268276656,3268276671),('GB',3268276672,3268276687),('EU',3268276688,3268276767),('GB',3268276768,3268276799),('EU',3268276800,3268276863),('GB',3268276864,3268276895),('EU',3268276896,3268277055),('GB',3268277056,3268277119),('EU',3268277120,3268277759),('GB',3268277760,3268278015),('EU',3268278016,3268278463),('GB',3268278464,3268278495),('EU',3268278496,3268280063),('GB',3268280064,3268280319),('FR',3268280320,3268299007),('CF',3268299008,3268299263),('FR',3268299264,3268335615),('CH',3268335616,3268335871),('FR',3268335872,3268345855),('GB',3268345856,3268411391),('AT',3268411392,3268424959),('CH',3268424960,3268425727),('LI',3268425728,3268425983),('AT',3268425984,3268426495),('CH',3268426496,3268428031),('AT',3268428032,3268428287),('CH',3268428288,3268428543),('AT',3268428544,3268429055),('CH',3268429056,3268429311),('AT',3268429312,3268429567),('CH',3268429568,3268430079),('AT',3268430080,3268430847),('LI',3268430848,3268431103),('AT',3268431104,3268476927),('CH',3268476928,3268542463),('PT',3268542464,3268607999),('FI',3268608000,3268673535),('CZ',3268673536,3268703799),('CR',3268703800,3268703807),('CZ',3268703808,3268728287),('CR',3268728288,3268728299),('CZ',3268728300,3268739071),('NL',3268739072,3268739327),('PL',3268739328,3268739583),('DE',3268739584,3268739839),('CH',3268739840,3268740095),('IL',3268740096,3268740351),('DE',3268740352,3268740607),('UA',3268740608,3268740863),('CH',3268740864,3268741119),('FR',3268741120,3268741375),('LV',3268741376,3268741887),('AT',3268741888,3268742143),('RU',3268742144,3268742399),('CZ',3268742400,3268742655),('BE',3268742656,3268742911),('NL',3268742912,3268743167),('RO',3268743168,3268743423),('PL',3268743424,3268743679),('GR',3268743680,3268743935),('ES',3268743936,3268744191),('DE',3268744192,3268744447),('RU',3268744448,3268744703),('PL',3268744704,3268744959),('UA',3268744960,3268745215),('KZ',3268745216,3268745471),('RU',3268745472,3268745727),('SI',3268745728,3268745983),('DE',3268745984,3268746239),('GB',3268746240,3268746495),('IE',3268746496,3268746751),('FR',3268746752,3268747007),('DE',3268747008,3268747263),('CZ',3268747264,3268755455),('SE',3268755456,3268763647),('IT',3268763648,3268771839),('NO',3268771840,3268788223),('CZ',3268788224,3268804607),('FR',3268804608,3268869375),('PF',3268869376,3268870143),('FI',3268870144,3268876063),('SE',3268876064,3268876127),('FI',3268876128,3268876191),('SE',3268876192,3268876223),('FI',3268876224,3268881151),('SE',3268881152,3268881407),('FI',3268881408,3268881919),('SE',3268881920,3268882175),('FI',3268882176,3268916223),('GB',3268916224,3268916479),('FI',3268916480,3268920575),('SE',3268920576,3268920831),('FI',3268920832,3268932351),('RU',3268932352,3268932607),('FI',3268932608,3268935679),('GB',3268935680,3269057535),('NL',3269057536,3269058047),('GB',3269058048,3269066751),('SE',3269066752,3269131555),('NO',3269131556,3269131559),('SE',3269131560,3269132287),('GR',3269132288,3269197823),('RU',3269197824,3269200639),('UA',3269200640,3269200895),('RU',3269200896,3269212671),('UA',3269212672,3269213183),('RU',3269213184,3269231871),('UA',3269231872,3269232127),('RU',3269232128,3269233407),('UA',3269233408,3269233663),('RU',3269233664,3269239039),('UA',3269239040,3269239295),('RU',3269239296,3269263359),('EU',3269263360,3269264639),('DE',3269264640,3269264895),('EU',3269264896,3269265855),('DE',3269265856,3269265919),('GB',3269265920,3269266175),('EU',3269266176,3269266687),('DE',3269266688,3269266943),('GB',3269266944,3269267455),('EU',3269267456,3269272575),('DE',3269272576,3269272583),('EU',3269272584,3269272703),('DE',3269272704,3269272831),('GB',3269272832,3269272847),('NL',3269272848,3269272959),('EU',3269272960,3269273087),('DE',3269273088,3269273343),('EU',3269273344,3269273599),('GB',3269273600,3269273855),('DE',3269273856,3269275647),('EU',3269275648,3269275903),('DE',3269275904,3269276159),('GB',3269276160,3269276415),('EU',3269276416,3269277183),('FR',3269277184,3269277695),('EU',3269277696,3269279231),('NL',3269279232,3269279487),('EU',3269279488,3269279671),('CH',3269279672,3269279679),('EU',3269279680,3269280767),('GB',3269280768,3269281023),('DE',3269281024,3269281279),('EU',3269281280,3269281535),('DE',3269281536,3269281663),('EU',3269281664,3269282047),('DE',3269282048,3269282303),('GB',3269282304,3269282559),('FR',3269282560,3269282815),('EU',3269282816,3269283327),('DE',3269283328,3269283583),('EU',3269283584,3269283871),('DE',3269283872,3269283903),('EU',3269283904,3269284095),('GB',3269284096,3269284351),('EU',3269284352,3269284991),('FR',3269284992,3269285055),('EU',3269285056,3269285087),('DE',3269285088,3269285135),('EU',3269285136,3269285151),('DE',3269285152,3269285215),('EU',3269285216,3269285239),('FR',3269285240,3269285247),('EU',3269285248,3269285311),('DE',3269285312,3269285327),('EU',3269285328,3269285631),('DE',3269285632,3269285887),('EU',3269285888,3269286399),('DE',3269286400,3269286463),('EU',3269286464,3269288687),('DE',3269288688,3269288959),('EU',3269288960,3269290559),('DE',3269290560,3269290575),('EU',3269290576,3269290591),('DE',3269290592,3269290687),('EU',3269290688,3269290735),('DE',3269290736,3269290743),('EU',3269290744,3269291263),('DE',3269291264,3269291519),('GB',3269291520,3269291551),('EU',3269291552,3269291583),('GB',3269291584,3269291647),('EU',3269291648,3269291775),('ES',3269291776,3269292287),('EU',3269292288,3269293119),('DE',3269293120,3269293151),('EU',3269293152,3269293207),('DE',3269293208,3269293215),('EU',3269293216,3269293247),('DE',3269293248,3269293279),('EU',3269293280,3269293375),('DE',3269293376,3269293383),('EU',3269293384,3269293855),('DE',3269293856,3269293887),('EU',3269293888,3269293919),('DE',3269293920,3269293951),('EU',3269293952,3269296231),('DE',3269296232,3269296235),('EU',3269296236,3269296367),('DE',3269296368,3269296375),('EU',3269296376,3269297151),('GB',3269297152,3269297663),('EU',3269297664,3269298663),('DE',3269298664,3269298671),('EU',3269298672,3269303039),('DE',3269303040,3269303295),('GB',3269303296,3269303423),('EU',3269303424,3269303551),('DE',3269303552,3269303679),('EU',3269303680,3269305343),('DE',3269305344,3269305351),('EU',3269305352,3269305855),('DE',3269305856,3269306879),('EU',3269306880,3269307647),('DE',3269307648,3269307903),('EU',3269307904,3269310655),('DE',3269310656,3269310671),('EU',3269310672,3269310975),('DE',3269310976,3269311231),('EU',3269311232,3269311871),('DE',3269311872,3269311999),('EU',3269312000,3269313791),('DE',3269313792,3269314175),('EU',3269314176,3269314191),('DE',3269314192,3269314199),('EU',3269314200,3269315583),('DE',3269315584,3269315591),('EU',3269315592,3269317631),('GB',3269317632,3269317663),('IE',3269317664,3269317671),('GB',3269317672,3269317887),('DE',3269317888,3269318399),('GB',3269318400,3269318655),('DE',3269318656,3269318983),('EU',3269318984,3269319007),('DE',3269319008,3269319047),('EU',3269319048,3269319055),('DE',3269319056,3269319071),('EU',3269319072,3269319135),('DE',3269319136,3269320447),('EU',3269320448,3269320703),('GB',3269320704,3269321727),('EU',3269321728,3269322239),('DE',3269322240,3269322495),('EU',3269322496,3269322679),('DE',3269322680,3269322683),('EU',3269322684,3269322751),('DE',3269322752,3269323263),('EU',3269323264,3269326847),('DE',3269326848,3269326855),('EU',3269326856,3269326959),('DE',3269326960,3269326971),('EU',3269326972,3269326991),('DE',3269326992,3269326999),('EU',3269327000,3269327023),('DE',3269327024,3269327039),('EU',3269327040,3269327055),('DE',3269327056,3269327103),('EU',3269327104,3269327759),('DE',3269327760,3269327767),('EU',3269327768,3269327863),('DE',3269327864,3269328383),('EU',3269328384,3269328895),('GB',3269328896,3269459967),('ES',3269459968,3269525503),('IR',3269525504,3269591039),('RU',3269591040,3269621759),('BY',3269621760,3269623551),('RU',3269623552,3269623807),('KZ',3269623808,3269625855),('RU',3269625856,3269626367),('KZ',3269626368,3269627135),('RU',3269627136,3269656575),('GB',3269656576,3269722111),('CZ',3269722112,3269731839),('CR',3269731840,3269732095),('CZ',3269732096,3269750799),('CR',3269750800,3269750815),('CZ',3269750816,3269787647),('NL',3269787648,3269853183),('CH',3269853184,3269918719),('DE',3269918720,3269936063),('NL',3269936064,3269936079),('DE',3269936080,3269984255),('AT',3269984256,3270049791),('DE',3270049792,3270115327),('EU',3270115328,3270117503),('DK',3270117504,3270117631),('EU',3270117632,3270118399),('DK',3270118400,3270120703),('EU',3270120704,3270122239),('DK',3270122240,3270122495),('EU',3270122496,3270123715),('DK',3270123716,3270123719),('EU',3270123720,3270123775),('DK',3270123776,3270124031),('EU',3270124032,3270124543),('DK',3270124544,3270124799),('EU',3270124800,3270125055),('DK',3270125056,3270125567),('EU',3270125568,3270126079),('DK',3270126080,3270126335),('EU',3270126336,3270126623),('DK',3270126624,3270126655),('EU',3270126656,3270131967),('NO',3270131968,3270132223),('EU',3270132224,3270132991),('NO',3270132992,3270133023),('EU',3270133024,3270136927),('NO',3270136928,3270136959),('EU',3270136960,3270136991),('NO',3270136992,3270137055),('EU',3270137056,3270137343),('NO',3270137344,3270138111),('EU',3270138112,3270140927),('NO',3270140928,3270141439),('EU',3270141440,3270142207),('NO',3270142208,3270142463),('EU',3270142464,3270143999),('NO',3270144000,3270144767),('EU',3270144768,3270146815),('NO',3270146816,3270147327),('EU',3270147328,3270147583),('NO',3270147584,3270148095),('FI',3270148096,3270151423),('EU',3270151424,3270151935),('FI',3270151936,3270154527),('EU',3270154528,3270155007),('FI',3270155008,3270155775),('EU',3270155776,3270156287),('DK',3270156288,3270156799),('EU',3270156800,3270159615),('DK',3270159616,3270159871),('EU',3270159872,3270164991),('NO',3270164992,3270165247),('EU',3270165248,3270166527),('NO',3270166528,3270167807),('EU',3270167808,3270169087),('NO',3270169088,3270169343),('EU',3270169344,3270170111),('NO',3270170112,3270170623),('EU',3270170624,3270173183),('NO',3270173184,3270173951),('EU',3270173952,3270174719),('NO',3270174720,3270174975),('EU',3270174976,3270175743),('NO',3270175744,3270175999),('EU',3270176000,3270176767),('NO',3270176768,3270177023),('EU',3270177024,3270181119),('CH',3270181120,3270181887),('EU',3270181888,3270182143),('CH',3270182144,3270183679),('EU',3270183680,3270188287),('CH',3270188288,3270188799),('EU',3270188800,3270189055),('BE',3270189056,3270190079),('IT',3270190080,3270190591),('CH',3270190592,3270191359),('EU',3270191360,3270191615),('CH',3270191616,3270192047),('EU',3270192048,3270193151),('CH',3270193152,3270193919),('EU',3270193920,3270194175),('CH',3270194176,3270194431),('EU',3270194432,3270194687),('CH',3270194688,3270194943),('EU',3270194944,3270195455),('CH',3270195456,3270195967),('EU',3270195968,3270196479),('CH',3270196480,3270197247),('EU',3270197248,3270198527),('NL',3270198528,3270199039),('EU',3270199040,3270199807),('NL',3270199808,3270201087),('EU',3270201088,3270201343),('NL',3270201344,3270201599),('EU',3270201600,3270202623),('NL',3270202624,3270203135),('EU',3270203136,3270204415),('NL',3270204416,3270205695),('EU',3270205696,3270205983),('ES',3270205984,3270205999),('EU',3270206000,3270206063),('ES',3270206064,3270206079),('EU',3270206080,3270206975),('ES',3270206976,3270207231),('CH',3270207232,3270207487),('EU',3270207488,3270207743),('IT',3270207744,3270207903),('EU',3270207904,3270207999),('CH',3270208000,3270208255),('LU',3270208256,3270208511),('EU',3270208512,3270208767),('RO',3270208768,3270209023),('NL',3270209024,3270209279),('EU',3270209280,3270210559),('NL',3270210560,3270211071),('EU',3270211072,3270211327),('NL',3270211328,3270211583),('EU',3270211584,3270212351),('NL',3270212352,3270212863),('EU',3270212864,3270213119),('NL',3270213120,3270213631),('EU',3270213632,3270213887),('PT',3270213888,3270214279),('US',3270214280,3270214287),('PT',3270214288,3270214303),('EU',3270214304,3270214319),('PT',3270214320,3270215439),('EU',3270215440,3270215519),('PT',3270215520,3270215935),('EU',3270215936,3270216191),('PT',3270216192,3270216351),('EU',3270216352,3270216383),('PT',3270216384,3270216703),('EU',3270216704,3270216735),('IT',3270216736,3270216751),('EU',3270216752,3270216799),('IT',3270216800,3270216815),('EU',3270216816,3270216831),('IT',3270216832,3270216879),('EU',3270216880,3270217471),('CH',3270217472,3270219775),('EU',3270219776,3270222335),('IT',3270222336,3270223871),('EU',3270223872,3270224639),('CH',3270224640,3270224895),('EU',3270224896,3270225407),('CH',3270225408,3270225663),('EU',3270225664,3270230015),('LU',3270230016,3270230783),('EU',3270230784,3270231295),('LU',3270231296,3270231647),('EU',3270231648,3270231807),('LU',3270231808,3270232831),('EU',3270232832,3270234111),('LU',3270234112,3270234367),('NL',3270234368,3270238719),('EU',3270238720,3270238975),('CH',3270238976,3270239999),('NL',3270240000,3270240255),('EU',3270240256,3270240767),('NL',3270240768,3270241023),('EU',3270241024,3270241279),('NL',3270241280,3270241535),('RO',3270241536,3270242559),('EU',3270242560,3270242815),('AT',3270242816,3270243071),('EU',3270243072,3270243327),('RO',3270243328,3270243839),('NL',3270243840,3270244351),('CH',3270244352,3270245887),('RO',3270245888,3270246143),('CH',3270246144,3270246399),('SE',3270246400,3270247951),('NO',3270247952,3270247955),('SE',3270247956,3270369919),('NO',3270369920,3270369927),('SE',3270369928,3270377471),('GB',3270377472,3270443007),('DK',3270443008,3270508543),('FI',3270508544,3270639615),('IT',3270639616,3270647807),('TR',3270647808,3270648063),('RU',3270648064,3270648319),('CH',3270648320,3270648575),('AT',3270648576,3270648831),('SI',3270648832,3270649087),('AT',3270649088,3270649343),('DK',3270649344,3270649599),('PL',3270649600,3270649855),('DK',3270649856,3270650111),('AT',3270650112,3270650367),('DK',3270650368,3270650623),('FR',3270650624,3270651391),('DE',3270651392,3270651647),('FR',3270651648,3270651903),('IT',3270651904,3270652415),('DK',3270652416,3270652671),('CH',3270652672,3270652927),('PL',3270652928,3270653183),('UA',3270653184,3270653439),('NL',3270653440,3270653695),('GB',3270653696,3270653951),('ES',3270653952,3270654207),('EU',3270654208,3270654463),('BE',3270654464,3270654719),('UA',3270654720,3270655231),('IT',3270655232,3270655487),('PL',3270655488,3270655743),('CH',3270655744,3270655999),('NL',3270656000,3270664191),('UA',3270664192,3270666239),('PL',3270666240,3270667263),('SE',3270667264,3270668287),('FR',3270668288,3270669311),('UA',3270669312,3270670335),('RU',3270670336,3270672383),('GB',3270672384,3270680575),('FR',3270680576,3270688767),('IT',3270688768,3270772079),('NL',3270772080,3270772087),('IT',3270772088,3270781343),('RO',3270781344,3270781359),('IT',3270781360,3270808127),('LU',3270808128,3270808159),('IT',3270808160,3270836223),('DE',3270836224,3270911935),('PL',3270911936,3270911967),('NL',3270911968,3270911999),('DE',3270912000,3270926335),('US',3270926336,3270926591),('CH',3270926592,3270926847),('PL',3270926848,3270927103),('UA',3270927104,3270927359),('CH',3270927360,3270927615),('FR',3270927616,3270927871),('HU',3270927872,3270928127),('RO',3270928128,3270928383),('UA',3270928384,3270928895),('PL',3270928896,3270929407),('GB',3270929408,3270929919),('BG',3270929920,3270930431),('RU',3270930432,3270930943),('NL',3270930944,3270931455),('UA',3270931456,3270931967),('CH',3270931968,3270932479),('UA',3270932480,3270932991),('DE',3270932992,3270933503),('PL',3270933504,3270934015),('IT',3270934016,3270934527),('DE',3270934528,3270967295),('IT',3270967296,3270975487),('GB',3270975488,3270991871),('NL',3270991872,3271000063),('RU',3271000064,3271008255),('IT',3271008256,3271016447),('RS',3271016448,3271022335),('CY',3271022336,3271022463),('RS',3271022464,3271024447),('BA',3271024448,3271024451),('RS',3271024452,3271024639),('GB',3271024640,3271032831),('NO',3271032832,3271098367),('SI',3271098368,3271163903),('FR',3271163904,3271200767),('GB',3271200768,3271200775),('ES',3271200776,3271200783),('FR',3271200784,3271229439),('FI',3271229440,3271249919),('SE',3271249920,3271250175),('FI',3271250176,3271280351),('RU',3271280352,3271280383),('FI',3271280384,3271280687),('SE',3271280688,3271280703),('FI',3271280704,3271280719),('SE',3271280720,3271280735),('FI',3271280736,3271290623),('BE',3271290624,3271290879),('FI',3271290880,3271310079),('DE',3271310080,3271310335),('FI',3271310336,3271341247),('SE',3271341248,3271341311),('FI',3271341312,3271360511),('GB',3271360512,3271363407),('AT',3271363408,3271363415),('GB',3271363416,3271363423),('IT',3271363424,3271363455),('GB',3271363456,3271363471),('ZA',3271363472,3271363487),('IT',3271363488,3271363519),('EU',3271363520,3271363551),('FR',3271363552,3271363583),('GB',3271363584,3271365887),('DE',3271365888,3271366143),('GB',3271366144,3271366399),('NL',3271366400,3271366655),('GB',3271366656,3271371263),('IE',3271371264,3271371519),('ZA',3271371520,3271371679),('DE',3271371680,3271371711),('CH',3271371712,3271371775),('GB',3271371776,3271372031),('BE',3271372032,3271372287),('FR',3271372288,3271372799),('SE',3271372800,3271373055),('BE',3271373056,3271373311),('GB',3271373312,3271373567),('FR',3271373568,3271373823),('DE',3271373824,3271374079),('BE',3271374080,3271374335),('DE',3271374336,3271374847),('GB',3271374848,3271375359),('CH',3271375360,3271375871),('BE',3271375872,3271376383),('GB',3271376384,3271376447),('FR',3271376448,3271376463),('IT',3271376464,3271376479),('FR',3271376480,3271376511),('DE',3271376512,3271376639),('AT',3271376640,3271376895),('ES',3271376896,3271377407),('NL',3271377408,3271377919),('BE',3271377920,3271378687),('SE',3271378688,3271378943),('GB',3271378944,3271380991),('BE',3271380992,3271381247),('NO',3271381248,3271381503),('SE',3271381504,3271381759),('IT',3271381760,3271382527),('IL',3271382528,3271383039),('CH',3271383040,3271383295),('BE',3271383296,3271383551),('GB',3271383552,3271384063),('CH',3271384064,3271384319),('BE',3271384320,3271384575),('GB',3271384576,3271384831),('BE',3271384832,3271385087),('DE',3271385088,3271385159),('GB',3271385160,3271385183),('ES',3271385184,3271385215),('NL',3271385216,3271385343),('DE',3271385344,3271391231),('NL',3271391232,3271391743),('NO',3271391744,3271391999),('DE',3271392000,3271392255),('FR',3271392256,3271392511),('BE',3271392512,3271392767),('FR',3271392768,3271393279),('AT',3271393280,3271393791),('DK',3271393792,3271394047),('DE',3271394048,3271394303),('BE',3271394304,3271394559),('GB',3271394560,3271394815),('DE',3271394816,3271395071),('GB',3271395072,3271395327),('IT',3271395328,3271396863),('GB',3271396864,3271397119),('NL',3271397120,3271397375),('CH',3271397376,3271397887),('FR',3271397888,3271397951),('IT',3271397952,3271397983),('NL',3271397984,3271397999),('FR',3271398000,3271398015),('NL',3271398016,3271398047),('ZA',3271398048,3271398079),('GB',3271398080,3271398143),('NL',3271398144,3271398303),('DE',3271398304,3271398335),('IT',3271398336,3271398399),('DE',3271398400,3271398911),('GB',3271398912,3271399167),('BE',3271399168,3271400959),('CH',3271400960,3271401215),('DE',3271401216,3271401471),('DK',3271401472,3271403263),('DE',3271403264,3271403519),('NL',3271403520,3271403775),('ZA',3271403776,3271403903),('GB',3271403904,3271403919),('IE',3271403920,3271403935),('GB',3271403936,3271403967),('ZA',3271403968,3271403983),('GB',3271403984,3271403991),('ZA',3271403992,3271403999),('DE',3271404000,3271404031),('NL',3271404032,3271405311),('FR',3271405312,3271405567),('ES',3271405568,3271405823),('AT',3271405824,3271406079),('ZA',3271406080,3271406335),('RO',3271406336,3271406591),('GB',3271406592,3271406847),('AT',3271406848,3271407615),('DE',3271407616,3271407871),('AT',3271407872,3271408127),('DE',3271408128,3271408383),('FR',3271408384,3271408639),('BE',3271408640,3271408895),('ES',3271408896,3271409151),('IT',3271409152,3271409407),('GB',3271409408,3271409663),('BE',3271409664,3271417855),('FR',3271417856,3271424071),('IT',3271424072,3271424079),('IE',3271424080,3271424095),('GB',3271424096,3271424111),('BE',3271424112,3271424127),('GB',3271424128,3271424191),('FR',3271424192,3271424511),('GB',3271424512,3271425023),('DE',3271425024,3271425279),('DK',3271425280,3271425535),('DE',3271425536,3271426047),('PF',3271426048,3271426303),('FR',3271426304,3271491583),('DK',3271491584,3271557119),('BE',3271557120,3271589887),('NO',3271589888,3271688191),('EU',3271688192,3271691775),('US',3271691776,3271692031),('GB',3271692032,3271692287),('EU',3271692288,3271696383),('DE',3271696384,3271698431),('EU',3271698432,3271704575),('RU',3271704576,3271712767),('LV',3271712768,3271720959),('GB',3271720960,3271729151),('DE',3271729152,3271737343),('GB',3271745536,3271746047),('IE',3271746048,3271746559),('CH',3271746560,3271747071),('KZ',3271747072,3271747583),('RU',3271747584,3271748095),('GR',3271748096,3271748607),('UA',3271748608,3271749119),('RU',3271749120,3271750143),('UA',3271750144,3271750655),('NL',3271750656,3271750783),('GB',3271750784,3271751167),('RO',3271751168,3271751679),('NL',3271751680,3271752191),('GB',3271752192,3271752703),('RU',3271752704,3271753215),('PL',3271753216,3271753727),('FR',3271753728,3271770111),('AT',3271770112,3271786495),('UA',3271786496,3271788543),('GB',3271788544,3271789567),('RU',3271789568,3271790591),('LV',3271790592,3271791615),('UA',3271791616,3271792639),('PL',3271792640,3271793663),('UA',3271793664,3271794687),('IT',3271794688,3271795711),('NL',3271795712,3271796735),('SK',3271796736,3271797759),('GB',3271797760,3271798783),('NL',3271798784,3271799807),('RU',3271799808,3271800831),('GB',3271800832,3271801855),('PS',3271801856,3271802879),('DE',3271802880,3271803903),('UA',3271803904,3271804927),('PL',3271804928,3271805951),('UA',3271805952,3271806975),('GB',3271806976,3271807999),('DE',3271808000,3271810047),('PL',3271810048,3271811071),('UA',3271811072,3271812095),('ES',3271812096,3271813119),('PL',3271813120,3271814143),('UA',3271814144,3271815167),('RU',3271815168,3271816191),('UA',3271816192,3271817215),('DE',3271817216,3271818239),('RU',3271818240,3271819263),('DE',3271819264,3271821246),('AT',3271821247,3271821247),('DE',3271821248,3271884799),('UA',3271884800,3271901183),('ES',3271901184,3271909375),('RO',3271909376,3271909887),('DE',3271909888,3271910399),('DK',3271910400,3271910911),('LV',3271910912,3271911423),('LI',3271911424,3271911935),('UA',3271911936,3271912959),('NL',3271912960,3271913471),('NO',3271913472,3271913983),('RO',3271913984,3271914495),('EE',3271914496,3271915007),('SE',3271915008,3271915519),('IL',3271915520,3271916031),('GB',3271916032,3271916543),('UA',3271916544,3271917055),('RO',3271917056,3271917567),('RU',3271917568,3271925759),('DE',3271925760,3271926015),('MD',3271926016,3271926271),('RU',3271926272,3271926527),('NL',3271926528,3271926783),('SI',3271926784,3271927295),('NO',3271927296,3271927551),('GB',3271927552,3271927807),('TR',3271927808,3271928063),('GB',3271928064,3271928319),('RU',3271928320,3271928575),('CH',3271928576,3271928831),('IE',3271928832,3271929087),('LB',3271929088,3271929343),('NO',3271929344,3271929599),('GB',3271929600,3271929855),('PL',3271929856,3271930111),('HU',3271930112,3271930367),('RU',3271930368,3271930623),('GB',3271930624,3271930879),('CH',3271930880,3271931135),('PL',3271931136,3271931647),('NO',3271931648,3271931903),('UA',3271931904,3271932159),('SE',3271932160,3271932415),('CZ',3271932416,3271932671),('DE',3271932672,3271932927),('PL',3271932928,3271933183),('GB',3271933184,3271933439),('SE',3271933440,3271933695),('DE',3271933696,3271933951),('FR',3271933952,3271977533),('US',3271977534,3271977534),('FR',3271977535,3272015871),('RO',3272015872,3272019967),('IT',3272019968,3272020991),('DK',3272020992,3272024063),('IE',3272024064,3272032255),('SE',3272032256,3272040447),('FR',3272040448,3272048639),('NL',3272048640,3272056831),('RU',3272056832,3272065023),('NL',3272065024,3272065087),('GB',3272065088,3272065151),('NL',3272065152,3272065183),('GB',3272065184,3272065215),('NL',3272065216,3272065279),('GB',3272065280,3272065343),('NL',3272065344,3272065503),('GB',3272065504,3272065535),('NL',3272065536,3272065551),('GB',3272065552,3272065559),('NL',3272065560,3272065599),('GB',3272065600,3272065615),('NL',3272065616,3272065663),('GB',3272065664,3272065791),('NL',3272065792,3272065823),('GB',3272065824,3272065839),('NL',3272065840,3272065855),('GB',3272065856,3272066303),('NL',3272066304,3272066431),('GB',3272066432,3272066815),('NL',3272066816,3272066879),('GB',3272066880,3272066911),('NL',3272066912,3272066943),('GB',3272066944,3272067055),('NL',3272067056,3272067071),('GB',3272067072,3272067327),('NL',3272067328,3272067647),('GB',3272067648,3272067711),('NL',3272067712,3272067775),('GB',3272067776,3272067807),('NL',3272067808,3272067839),('GB',3272067840,3272067871),('NL',3272067872,3272067895),('GB',3272067896,3272067927),('NL',3272067928,3272067967),('GB',3272067968,3272068095),('NL',3272068096,3272068351),('GB',3272068352,3272068607),('NL',3272068608,3272068863),('GB',3272068864,3272069119),('NL',3272069120,3272069247),('GB',3272069248,3272069343),('IT',3272069344,3272069375),('NL',3272069376,3272069439),('GB',3272069440,3272069503),('NL',3272069504,3272069567),('GB',3272069568,3272069599),('NL',3272069600,3272069603),('GB',3272069604,3272069607),('NL',3272069608,3272069611),('GB',3272069612,3272069615),('NL',3272069616,3272069631),('GB',3272069632,3272070143),('NL',3272070144,3272070255),('GB',3272070256,3272070263),('NL',3272070264,3272070271),('GB',3272070272,3272070399),('NL',3272070400,3272070463),('GB',3272070464,3272070559),('NL',3272070560,3272070591),('GB',3272070592,3272070623),('NL',3272070624,3272070639),('GB',3272070640,3272070647),('NL',3272070648,3272070655),('GB',3272070656,3272070911),('NL',3272070912,3272071167),('GB',3272071168,3272071231),('NL',3272071232,3272071283),('GB',3272071284,3272071287),('NL',3272071288,3272071295),('GB',3272071296,3272071327),('NL',3272071328,3272071551),('GB',3272071552,3272071615),('NL',3272071616,3272071647),('GB',3272071648,3272071935),('NL',3272071936,3272072063),('GB',3272072064,3272072191),('NL',3272072192,3272073215),('GB',3272073216,3272081407),('PT',3272081408,3272081919),('CV',3272081920,3272083455),('ST',3272083456,3272083711),('PT',3272083712,3272084223),('CV',3272084224,3272084991),('GW',3272084992,3272085503),('AO',3272085504,3272086015),('ST',3272086016,3272086527),('AO',3272086528,3272086655),('PT',3272086656,3272086783),('GH',3272086784,3272086807),('RO',3272086808,3272086815),('NI',3272086816,3272086831),('AO',3272086832,3272086879),('PT',3272086880,3272086975),('AN',3272086976,3272087039),('PT',3272087040,3272087295),('AO',3272087296,3272087551),('GH',3272087552,3272087807),('CV',3272087808,3272088063),('GH',3272088064,3272088319),('CV',3272088320,3272088575),('PT',3272088576,3272088831),('GH',3272088832,3272089087),('PT',3272089088,3272089343),('ST',3272089344,3272089479),('PT',3272089480,3272089535),('ST',3272089536,3272089551),('PT',3272089552,3272089599),('GB',3272097792,3272101375),('FR',3272101376,3272101383),('GB',3272101384,3272101391),('IT',3272101392,3272101399),('NL',3272101400,3272101407),('ES',3272101408,3272101415),('PT',3272101416,3272101423),('GB',3272101424,3272106239),('PL',3272106240,3272106495),('SE',3272106496,3272106751),('PL',3272106752,3272107007),('GB',3272107008,3272107263),('PL',3272107264,3272107519),('RU',3272107520,3272107775),('GB',3272107776,3272108031),('DE',3272108032,3272108287),('RO',3272108288,3272108543),('PL',3272108544,3272109055),('CH',3272109056,3272109311),('TR',3272109312,3272109567),('GB',3272109568,3272109823),('FR',3272109824,3272110079),('SE',3272110080,3272110335),('CH',3272110336,3272110591),('AT',3272110592,3272110847),('LV',3272110848,3272111103),('GB',3272111104,3272111871),('RO',3272111872,3272112383),('DE',3272112384,3272113151),('IT',3272113152,3272113407),('PL',3272113408,3272113663),('GB',3272113664,3272113919),('AT',3272113920,3272114175),('PL',3272114176,3272122367),('GB',3272122368,3272131071),('RO',3272131072,3272131583),('GB',3272131584,3272132095),('CH',3272132096,3272132607),('UA',3272132608,3272133119),('GB',3272133120,3272133631),('EE',3272133632,3272134143),('RO',3272134144,3272134655),('NL',3272134656,3272135167),('CH',3272135168,3272135679),('AT',3272135680,3272136191),('FR',3272136192,3272136703),('PL',3272136704,3272137215),('UA',3272137216,3272137727),('PL',3272137728,3272138239),('BG',3272138240,3272138751),('DE',3272138752,3272146943),('RU',3272146944,3272161023),('KZ',3272161024,3272161279),('RU',3272161280,3272169215),('UA',3272169216,3272169471),('RU',3272169472,3272178559),('UA',3272178560,3272178623),('RU',3272178624,3272210175),('UA',3272210176,3272210431),('RU',3272210432,3272212479),('GB',3272212480,3272212991),('BE',3272212992,3272213375),('IT',3272213376,3272213391),('GB',3272213392,3272213399),('EU',3272213400,3272213407),('NL',3272213408,3272213415),('EU',3272213416,3272213423),('NL',3272213424,3272213431),('GB',3272213432,3272213455),('EU',3272213456,3272213471),('CY',3272213472,3272213487),('GB',3272213488,3272213495),('EU',3272213496,3272213503),('IT',3272213504,3272213567),('GB',3272213568,3272213575),('IE',3272213576,3272213583),('DE',3272213584,3272213599),('EU',3272213600,3272213631),('NL',3272213632,3272213639),('EU',3272213640,3272213655),('IT',3272213656,3272213663),('EU',3272213664,3272213671),('IT',3272213672,3272213679),('EU',3272213680,3272213695),('IT',3272213696,3272213735),('EU',3272213736,3272213751),('IT',3272213752,3272213759),('NL',3272213760,3272213823),('DE',3272213824,3272213831),('NL',3272213832,3272213839),('RU',3272213840,3272213855),('NL',3272213856,3272213887),('GB',3272213888,3272214015),('ES',3272214016,3272214271),('GB',3272214272,3272214351),('FR',3272214352,3272214407),('EU',3272214408,3272214431),('SE',3272214432,3272214463),('EU',3272214464,3272214655),('NL',3272214656,3272214671),('GB',3272214672,3272214679),('FR',3272214680,3272214687),('EU',3272214688,3272214815),('CH',3272214816,3272214823),('EU',3272214824,3272214831),('BE',3272214832,3272214847),('NL',3272214848,3272214879),('EU',3272214880,3272214883),('NL',3272214884,3272214887),('FR',3272214888,3272214895),('ES',3272214896,3272214903),('SE',3272214904,3272214911),('EU',3272214912,3272214943),('DE',3272214944,3272214951),('BE',3272214952,3272214959),('NL',3272214960,3272215007),('FR',3272215008,3272215015),('IT',3272215016,3272215023),('EU',3272215024,3272215039),('ES',3272215040,3272215295),('IR',3272215296,3272215551),('CH',3272215552,3272215807),('NL',3272215808,3272215823),('EU',3272215824,3272215871),('BE',3272215872,3272215879),('EU',3272215880,3272215883),('CH',3272215884,3272215919),('NL',3272215920,3272215935),('GB',3272215936,3272215999),('EU',3272216000,3272216015),('DE',3272216016,3272216031),('EU',3272216032,3272216039),('GB',3272216040,3272216047),('EU',3272216048,3272216191),('BE',3272216192,3272216207),('EU',3272216208,3272216215),('FR',3272216216,3272216223),('DE',3272216224,3272216231),('EU',3272216232,3272216239),('NL',3272216240,3272216255),('CH',3272216256,3272216287),('EU',3272216288,3272216303),('ES',3272216304,3272216311),('EU',3272216312,3272216319),('NL',3272216320,3272216351),('DE',3272216352,3272216383),('CH',3272216384,3272216447),('EU',3272216448,3272216451),('NL',3272216452,3272216455),('EU',3272216456,3272216463),('FR',3272216464,3272216479),('IR',3272216480,3272216495),('EU',3272216496,3272216511),('IT',3272216512,3272216575),('GB',3272216576,3272216895),('FR',3272216896,3272216911),('DE',3272216912,3272216927),('EU',3272216928,3272216959),('GB',3272216960,3272217007),('EU',3272217008,3272217215),('BE',3272217216,3272217279),('DE',3272217280,3272217303),('BE',3272217304,3272217311),('EU',3272217312,3272217599),('CH',3272217600,3272217631),('IT',3272217632,3272217639),('EU',3272217640,3272217855),('ES',3272217856,3272217875),('EU',3272217876,3272217879),('IT',3272217880,3272217895),('EU',3272217896,3272217919),('DE',3272217920,3272217983),('ES',3272217984,3272218079),('EU',3272218080,3272218111),('GB',3272218112,3272218623),('RU',3272218624,3272218639),('DE',3272218640,3272218671),('EU',3272218672,3272218687),('DE',3272218688,3272218719),('EU',3272218720,3272218879),('BE',3272218880,3272219135),('NL',3272219136,3272219391),('EU',3272219392,3272219647),('FR',3272219648,3272219903),('DE',3272219904,3272220159),('FR',3272220160,3272220415),('GB',3272220416,3272221183),('NL',3272221184,3272221311),('EU',3272221312,3272221439),('SE',3272221440,3272221447),('EU',3272221448,3272221695),('NL',3272221696,3272221951),('GB',3272221952,3272222207),('ES',3272222208,3272222463),('EU',3272222464,3272222719),('DE',3272222720,3272222975),('GB',3272222976,3272223015),('EU',3272223016,3272223023),('GB',3272223024,3272223039),('EU',3272223040,3272223231),('NL',3272223232,3272223487),('GB',3272223488,3272223743),('GI',3272223744,3272223775),('EU',3272223776,3272223807),('CY',3272223808,3272223815),('EU',3272223816,3272223823),('GB',3272223824,3272223839),('EU',3272223840,3272223999),('GB',3272224000,3272224255),('GI',3272224256,3272224383),('EU',3272224384,3272224511),('GB',3272224512,3272225279),('EU',3272225280,3272226047),('FR',3272226048,3272226815),('GB',3272226816,3272227071),('NL',3272227072,3272227327),('US',3272227328,3272227359),('GB',3272227360,3272227511),('EU',3272227512,3272227519),('GB',3272227520,3272227583),('FR',3272227584,3272227839),('ES',3272227840,3272228095),('GB',3272228096,3272228223),('ES',3272228224,3272228351),('FR',3272228352,3272228607),('NL',3272228608,3272228623),('CY',3272228624,3272228631),('NL',3272228632,3272228639),('IT',3272228640,3272228671),('DE',3272228672,3272228703),('FR',3272228704,3272228735),('NL',3272228736,3272228799),('CH',3272228800,3272228863),('LU',3272228864,3272237055),('GB',3272237056,3272240575),('GH',3272240576,3272240639),('GB',3272240640,3272245247),('FI',3272245248,3272261631),('AT',3272261632,3272261887),('BG',3272261888,3272262143),('IL',3272262144,3272262399),('DE',3272262400,3272262655),('NO',3272262656,3272262911),('SA',3272262912,3272263167),('RU',3272263168,3272263423),('GB',3272263424,3272263935),('ES',3272263936,3272264191),('NL',3272264192,3272264447),('DE',3272264448,3272264703),('LV',3272264704,3272264959),('RU',3272264960,3272265215),('AT',3272265216,3272265471),('DK',3272265472,3272265727),('DE',3272265728,3272265983),('GB',3272265984,3272266239),('UA',3272266240,3272266495),('SE',3272266496,3272266751),('RU',3272266752,3272267007),('GB',3272267008,3272267263),('SE',3272267264,3272267519),('GB',3272267520,3272267775),('LV',3272267776,3272268031),('CH',3272268032,3272268287),('UA',3272268288,3272268543),('RO',3272268544,3272268799),('IL',3272268800,3272269055),('GB',3272269056,3272269311),('IL',3272269312,3272269567),('GB',3272269568,3272335359),('NL',3272335360,3272343551),('GB',3272343552,3272351743),('PL',3272351744,3272352767),('UA',3272352768,3272353791),('CH',3272353792,3272355839),('GB',3272355840,3272356863),('RO',3272356864,3272357887),('FI',3272357888,3272358911),('NL',3272358912,3272359935),('RU',3272359936,3272368127),('KZ',3272368128,3272376319),('SK',3272376320,3272384511),('LT',3272384512,3272392703),('AT',3272392704,3272400895),('GB',3272400896,3272400911),('EU',3272400912,3272400919),('GB',3272400920,3272400935),('EU',3272400936,3272401023),('GB',3272401024,3272401119),('EU',3272401120,3272401183),('GB',3272401184,3272401199),('EU',3272401200,3272401279),('GB',3272401280,3272401407),('EU',3272401408,3272401919),('GB',3272401920,3272401967),('EU',3272401968,3272402031),('GB',3272402032,3272402039),('EU',3272402040,3272402175),('GB',3272402176,3272402191),('EU',3272402192,3272402207),('GB',3272402208,3272402303),('EU',3272402304,3272402439),('GB',3272402440,3272402443),('EU',3272402444,3272402559),('GB',3272402560,3272402623),('EU',3272402624,3272402815),('GB',3272402816,3272403007),('EU',3272403008,3272403071),('FR',3272403072,3272403199),('EU',3272403200,3272409087),('BE',3272409088,3272417279),('FR',3272417280,3272418687),('PL',3272418688,3272419327),('DE',3272419328,3272420863),('PL',3272420864,3272420991),('DK',3272420992,3272421119),('UA',3272421120,3272421375),('RO',3272421376,3272421887),('GB',3272421888,3272422399),('CH',3272422400,3272422911),('SE',3272422912,3272423423),('BE',3272423424,3272423935),('FR',3272423936,3272424447),('DE',3272424448,3272425471),('GB',3272425472,3272426655),('IL',3272426656,3272426671),('GB',3272426672,3272441855),('LV',3272441856,3272474623),('FR',3272474624,3272474879),('NL',3272474880,3272475135),('RU',3272475136,3272475391),('PL',3272475392,3272475903),('FR',3272475904,3272476159),('RO',3272476160,3272476671),('DE',3272476672,3272476927),('GR',3272476928,3272477183),('GB',3272477184,3272477439),('PL',3272477440,3272477695),('RU',3272477696,3272477951),('RO',3272477952,3272478207),('DK',3272478208,3272478463),('FI',3272478464,3272478719),('GB',3272478720,3272478975),('UA',3272478976,3272479231),('GB',3272479232,3272479487),('TR',3272479488,3272479743),('SE',3272479744,3272480255),('FR',3272480256,3272480511),('GB',3272480512,3272480767),('DE',3272480768,3272481023),('SE',3272481024,3272481279),('CH',3272481280,3272481535),('FR',3272481536,3272481791),('IT',3272481792,3272482047),('NL',3272482048,3272482303),('FR',3272482304,3272482559),('BE',3272482560,3272482815),('RU',3272482816,3272491007),('GB',3272491008,3272498815),('FR',3272498816,3272498943),('GB',3272498944,3272499199),('IT',3272499200,3272507391),('CY',3272507392,3272515583),('LT',3272515584,3272523775),('DE',3272523776,3272540159),('CH',3272540160,3272546559),('FR',3272546560,3272546815),('CH',3272546816,3272547387),('FR',3272547388,3272547391),('CH',3272547392,3272552735),('FR',3272552736,3272552743),('CH',3272552744,3272552879),('FR',3272552880,3272552887),('CH',3272552888,3272553471),('FR',3272553472,3272553487),('CH',3272553488,3272554779),('FR',3272554780,3272554783),('CH',3272554784,3272555247),('FR',3272555248,3272555255),('CH',3272555256,3272555407),('FR',3272555408,3272555423),('CH',3272555424,3272556599),('FR',3272556600,3272556607),('CH',3272556608,3272568079),('FR',3272568080,3272568095),('CH',3272568096,3272572879),('FR',3272572880,3272572895),('CH',3272572896,3272605695),('BE',3272605696,3272613887),('RU',3272613888,3272622079),('RO',3272622080,3272623103),('DE',3272623104,3272624127),('RU',3272624128,3272625151),('UA',3272625152,3272626175),('DE',3272626176,3272627199),('NL',3272627200,3272628223),('PL',3272628224,3272629247),('RU',3272630272,3272633343),('KZ',3272633344,3272633599),('RU',3272633600,3272633983),('KZ',3272633984,3272634047),('RU',3272634048,3272638463),('ES',3272638464,3272646655),('GB',3272646656,3272650623),('FR',3272650624,3272650639),('GB',3272650640,3272650655),('DE',3272650656,3272650751),('GB',3272650752,3272651135),('CH',3272651136,3272651151),('GB',3272651152,3272651183),('NL',3272651184,3272651191),('GB',3272651192,3272651231),('UZ',3272651232,3272651239),('GB',3272651240,3272652287),('FR',3272652288,3272652799),('GB',3272652800,3272653055),('CH',3272653056,3272653087),('GB',3272653088,3272653247),('FR',3272653248,3272653279),('GB',3272653280,3272653311),('SE',3272653312,3272653439),('GB',3272653440,3272653447),('IE',3272653448,3272653455),('DE',3272653456,3272653463),('GB',3272653464,3272653543),('NL',3272653544,3272653551),('GB',3272653552,3272653567),('SE',3272653568,3272653631),('FR',3272653632,3272653663),('DE',3272653664,3272653695),('IT',3272653696,3272653727),('NL',3272653728,3272653759),('DK',3272653760,3272653791),('GB',3272653792,3272653823),('FR',3272653824,3272653951),('DE',3272653952,3272654207),('FR',3272654208,3272654335),('ES',3272654336,3272654463),('GB',3272654464,3272654591),('NO',3272654592,3272654719),('IT',3272654720,3272654783),('NL',3272654784,3272654847),('FI',3272654848,3272663039),('AT',3272663040,3272671231),('SE',3272671232,3272704255),('IE',3272704256,3272705279),('SE',3272705280,3272705535),('IE',3272705536,3272707071),('SE',3272707072,3272707327),('IE',3272707328,3272707583),('SE',3272707584,3272712191),('GB',3272712192,3272712447),('SE',3272712448,3272712703),('GB',3272712704,3272712959),('SE',3272712960,3272713215),('GB',3272713216,3272713983),('SE',3272713984,3272714495),('GB',3272714496,3272714751),('SE',3272714752,3272715015),('GB',3272715016,3272715023),('SE',3272715024,3272715135),('GB',3272715136,3272715263),('SE',3272715264,3272733119),('DE',3272733120,3272733135),('SE',3272733136,3272733983),('RU',3272733984,3272733991),('SE',3272733992,3272736767),('IT',3272736768,3272744959),('RU',3272744960,3272753151),('NL',3272753152,3272769535),('NO',3272769536,3272802303),('RU',3272802304,3272867839),('PL',3272867840,3272868863),('UA',3272868864,3272869887),('NL',3272869888,3272870911),('FR',3272870912,3272871935),('FI',3272871936,3272872959),('BG',3272872960,3272875007),('UA',3272875008,3272876031),('NL',3272876032,3272884223),('DE',3272884224,3272892415),('UA',3272892416,3272892927),('DE',3272892928,3272893439),('UA',3272893440,3272894463),('FR',3272894464,3272894975),('RO',3272894976,3272895487),('GB',3272895488,3272895999),('PL',3272896000,3272896511),('DE',3272896512,3272897535),('FI',3272897536,3272898047),('UA',3272898048,3272898559),('DE',3272898560,3272899071),('GB',3272899072,3272899583),('UA',3272899584,3272900095),('LV',3272900096,3272900607),('UA',3272900608,3272908799),('SK',3272908800,3272910847),('NL',3272910848,3272911359),('SK',3272911360,3272911871),('CZ',3272911872,3272912383),('SK',3272912384,3272916991),('MC',3272916992,3272917503),('RU',3272917504,3272918527),('FR',3272918528,3272919039),('GB',3272919040,3272919551),('RO',3272919552,3272920063),('NL',3272920064,3272920575),('SE',3272920576,3272921087),('CH',3272921088,3272921599),('DE',3272921600,3272922111),('PL',3272922112,3272922623),('RO',3272922624,3272923135),('ES',3272923136,3272923647),('PL',3272923648,3272924159),('DE',3272924160,3272924671),('GB',3272924672,3272925183),('DE',3272925184,3272933759),('DK',3272933760,3272933775),('DE',3272933776,3272998911),('PT',3272998912,3273007103),('CZ',3273007104,3273015295),('SE',3273015296,3273023487),('PL',3273023488,3273024511),('NL',3273024512,3273025535),('RU',3273025536,3273027583),('UA',3273027584,3273028607),('PL',3273028608,3273029631),('DK',3273029632,3273030655),('PL',3273030656,3273031679),('GB',3273031680,3273032191),('UA',3273032192,3273033215),('GB',3273033216,3273033727),('DE',3273033728,3273034239),('BE',3273034240,3273034751),('UA',3273034752,3273035263),('DE',3273035264,3273035775),('FR',3273035776,3273036287),('BG',3273036288,3273036799),('IL',3273036800,3273037311),('GB',3273037312,3273037823),('UA',3273037824,3273038335),('GR',3273038336,3273038847),('GB',3273038848,3273039871),('LT',3273039872,3273048063),('IT',3273048064,3273049855),('US',3273049856,3273050111),('IT',3273050112,3273051647),('US',3273051648,3273051903),('IT',3273051904,3273052039),('NL',3273052040,3273052047),('GR',3273052048,3273052063),('IT',3273052064,3273052079),('CU',3273052080,3273052087),('GR',3273052088,3273052095),('FR',3273052096,3273052111),('GB',3273052112,3273052127),('IT',3273052128,3273052415),('GB',3273052416,3273052671),('FR',3273052672,3273052927),('DE',3273052928,3273053183),('CH',3273053184,3273053439),('NL',3273053440,3273053695),('BE',3273053696,3273053951),('AT',3273053952,3273054207),('US',3273054208,3273054463),('ES',3273054464,3273054719),('IT',3273054720,3273054975),('BR',3273054976,3273055231),('AR',3273055232,3273055487),('CL',3273055488,3273055743),('US',3273055744,3273055999),('IT',3273056000,3273056255),('MD',3273056256,3273064447),('PT',3273064448,3273129983),('DK',3273129984,3273138175),('BG',3273138176,3273146367),('RU',3273146368,3273148415),('LU',3273148416,3273150463),('DZ',3273150464,3273152511),('BG',3273152512,3273154559),('DE',3273154560,3273162751),('UA',3273162752,3273170943),('SE',3273170944,3273179135),('CM',3273179136,3273187327),('SE',3273187328,3273187839),('DK',3273187840,3273188351),('RU',3273188352,3273188863),('GB',3273188864,3273189887),('UA',3273189888,3273190399),('RO',3273190400,3273191935),('UA',3273191936,3273192447),('DK',3273192448,3273192959),('FR',3273192960,3273193471),('PL',3273193472,3273193983),('GB',3273193984,3273194495),('UA',3273194496,3273195007),('RU',3273195008,3273195519),('FR',3273195520,3273230983),('DE',3273230984,3273230991),('FR',3273230992,3273240119),('DE',3273240120,3273240127),('FR',3273240128,3273240223),('MC',3273240224,3273240231),('FR',3273240232,3273261055),('NO',3273261056,3273261567),('BE',3273261568,3273262079),('LU',3273262080,3273262591),('RU',3273262592,3273263103),('FR',3273263104,3273263615),('SE',3273263616,3273264127),('PL',3273264128,3273264639),('AT',3273264640,3273265151),('UA',3273265152,3273266175),('LV',3273266176,3273266687),('PL',3273266688,3273267711),('GB',3273267712,3273268223),('SE',3273268224,3273268735),('RU',3273268736,3273269247),('GB',3273269248,3273276119),('US',3273276120,3273276127),('GB',3273276128,3273277439),('UA',3273277440,3273278463),('RU',3273278464,3273279487),('PL',3273279488,3273281535),('UA',3273281536,3273283583),('GB',3273283584,3273284607),('UA',3273284608,3273285631),('GB',3273285632,3273293823),('MK',3273293824,3273302015),('RU',3273302016,3273310207),('AT',3273310208,3273318399),('GB',3273318400,3273326591),('IE',3273326592,3273326847),('EU',3273326848,3273326983),('DE',3273326984,3273326987),('EU',3273326988,3273326991),('DE',3273326992,3273327047),('EU',3273327048,3273327279),('DE',3273327280,3273327287),('EU',3273327288,3273327359),('IE',3273327360,3273327383),('EU',3273327384,3273327391),('IE',3273327392,3273327407),('EU',3273327408,3273327423),('GB',3273327424,3273327487),('EU',3273327488,3273328511),('DE',3273328512,3273328639),('EU',3273328640,3273328767),('GB',3273328768,3273329199),('DE',3273329200,3273329215),('GB',3273329216,3273329311),('EU',3273329312,3273329407),('GB',3273329408,3273329423),('DE',3273329424,3273329439),('GB',3273329440,3273330175),('IR',3273330176,3273330183),('IE',3273330184,3273330191),('GB',3273330192,3273330199),('IE',3273330200,3273330223),('GB',3273330224,3273330271),('IE',3273330272,3273330295),('GB',3273330296,3273330303),('IE',3273330304,3273330431),('GB',3273330432,3273331199),('EU',3273331200,3273331711),('GB',3273331712,3273331967),('DE',3273331968,3273332031),('EU',3273332032,3273332095),('DE',3273332096,3273332223),('EU',3273332224,3273332543),('DE',3273332544,3273332575),('EU',3273332576,3273332607),('DE',3273332608,3273332671),('EU',3273332672,3273333055),('DE',3273333056,3273333119),('EU',3273333120,3273335039),('DE',3273335040,3273335295),('GB',3273335296,3273335807),('EU',3273335808,3273335935),('DE',3273335936,3273335999),('EU',3273336000,3273336847),('DE',3273336848,3273336863),('EU',3273336864,3273336871),('DE',3273336872,3273336879),('EU',3273336880,3273336959),('DE',3273336960,3273337087),('EU',3273337088,3273337855),('DE',3273337856,3273338111),('EU',3273338112,3273338623),('DE',3273338624,3273338879),('EU',3273338880,3273339135),('DE',3273339136,3273339903),('GB',3273339904,3273339919),('DE',3273339920,3273339943),('GB',3273339944,3273339955),('DE',3273339956,3273339959),('GB',3273339960,3273340095),('GI',3273340096,3273340111),('GB',3273340112,3273340143),('DE',3273340144,3273340159),('GB',3273340160,3273340415),('EU',3273340416,3273340927),('FR',3273340928,3273341695),('DE',3273341696,3273341951),('EU',3273341952,3273342463),('DE',3273342464,3273342975),('GB',3273342976,3273343999),('DE',3273344000,3273344767),('EU',3273344768,3273345023),('DE',3273345024,3273345279),('EU',3273345280,3273346815),('DE',3273346816,3273347071),('EU',3273347072,3273347839),('DE',3273347840,3273348351),('EU',3273348352,3273349119),('DE',3273349120,3273349631),('EU',3273349632,3273350271),('DE',3273350272,3273350287),('EU',3273350288,3273350335),('DE',3273350336,3273350351),('EU',3273350352,3273351423),('DE',3273351424,3273351455),('EU',3273351456,3273351503),('DE',3273351504,3273351519),('EU',3273351520,3273351871),('DE',3273351872,3273351903),('EU',3273351904,3273351935),('DE',3273351936,3273352191),('EU',3273352192,3273352927),('DE',3273352928,3273352959),('EU',3273352960,3273352991),('DE',3273352992,3273353023),('EU',3273353024,3273355519),('DE',3273355520,3273356287),('EU',3273356288,3273359887),('DE',3273359888,3273359903),('EU',3273359904,3273360015),('DE',3273360016,3273360079),('EU',3273360080,3273361471),('DE',3273361472,3273361535),('EU',3273361536,3273361631),('DE',3273361632,3273361663),('EU',3273361664,3273361791),('DE',3273361792,3273361823),('EU',3273361824,3273361855),('DE',3273361856,3273361919),('EU',3273361920,3273362047),('DE',3273362048,3273362175),('EU',3273362176,3273362239),('DE',3273362240,3273362255),('EU',3273362256,3273363207),('DE',3273363208,3273363211),('EU',3273363212,3273363327),('DE',3273363328,3273363391),('EU',3273363392,3273364607),('DE',3273364608,3273364735),('EU',3273364736,3273364991),('DE',3273364992,3273365247),('EU',3273365248,3273365503),('NL',3273365504,3273365519),('GB',3273365520,3273365527),('NL',3273365528,3273365759),('GB',3273365760,3273365767),('EU',3273365768,3273365887),('FR',3273365888,3273366015),('DE',3273366016,3273366527),('EU',3273366528,3273367295),('DE',3273367296,3273367423),('EU',3273367424,3273367551),('DE',3273367552,3273367567),('EU',3273367568,3273368063),('DE',3273368064,3273368575),('EU',3273368576,3273369343),('DE',3273369344,3273369855),('EU',3273369856,3273370623),('DE',3273370624,3273371135),('EU',3273371136,3273371519),('DE',3273371520,3273371583),('EU',3273371584,3273371711),('DE',3273371712,3273371743),('EU',3273371744,3273371759),('DE',3273371760,3273371775),('EU',3273371776,3273371807),('DE',3273371808,3273371823),('EU',3273371824,3273371871),('DE',3273371872,3273371875),('EU',3273371876,3273371999),('DE',3273372000,3273372063),('EU',3273372064,3273372143),('DE',3273372144,3273372151),('EU',3273372152,3273372671),('GB',3273372672,3273372927),('NL',3273372928,3273373183),('GB',3273373184,3273373455),('DE',3273373456,3273373695),('EU',3273373696,3273375231),('DE',3273375232,3273375551),('EU',3273375552,3273375743),('DE',3273375744,3273375871),('EU',3273375872,3273375999),('DE',3273376000,3273376255),('EU',3273376256,3273376535),('DE',3273376536,3273376543),('EU',3273376544,3273377791),('DE',3273377792,3273378095),('EU',3273378096,3273378559),('DE',3273378560,3273378815),('EU',3273378816,3273381887),('DE',3273381888,3273382143),('GB',3273382144,3273382399),('DE',3273382400,3273382463),('EU',3273382464,3273382479),('DE',3273382480,3273382591),('EU',3273382592,3273382639),('DE',3273382640,3273382687),('EU',3273382688,3273384191),('DE',3273384192,3273384703),('EU',3273384704,3273384959),('DE',3273384960,3273385215),('EU',3273385216,3273385279),('DE',3273385280,3273385727),('EU',3273385728,3273385759),('DE',3273385760,3273385791),('EU',3273385792,3273385855),('DE',3273385856,3273385919),('EU',3273385920,3273387055),('DE',3273387056,3273387071),('EU',3273387072,3273387215),('DE',3273387216,3273387231),('EU',3273387232,3273387263),('DE',3273387264,3273387519),('EU',3273387520,3273387551),('DE',3273387552,3273387583),('EU',3273387584,3273388159),('DE',3273388160,3273388223),('EU',3273388224,3273388799),('DE',3273388800,3273388807),('EU',3273388808,3273388815),('DE',3273388816,3273388863),('EU',3273388864,3273388871),('DE',3273388872,3273388879),('EU',3273388880,3273388903),('DE',3273388904,3273388911),('EU',3273388912,3273388927),('DE',3273388928,3273389055),('EU',3273389056,3273390079),('DE',3273390080,3273390111),('EU',3273390112,3273390143),('DE',3273390144,3273390207),('EU',3273390208,3273390367),('DE',3273390368,3273390463),('EU',3273390464,3273391295),('DE',3273391296,3273391327),('EU',3273391328,3273391351),('DE',3273391352,3273391359),('EU',3273391360,3273392127),('UA',3273392128,3273392639),('RO',3273392640,3273393663),('BG',3273393664,3273394175),('RO',3273394176,3273394687),('RU',3273394688,3273395199),('DE',3273395200,3273395711),('RU',3273395712,3273396223),('PL',3273396224,3273396735),('RO',3273396736,3273397247),('RU',3273397248,3273398271),('RO',3273398272,3273398783),('LV',3273398784,3273399295),('SE',3273399296,3273399807),('UA',3273399808,3273400319),('RU',3273400320,3273408511),('SK',3273408512,3273433087),('LU',3273433088,3273433599),('RO',3273433600,3273434111),('BE',3273434112,3273434623),('IL',3273434624,3273435135),('GB',3273435136,3273435647),('PL',3273435648,3273436159),('NO',3273436160,3273436671),('DE',3273436672,3273437183),('RO',3273437184,3273437695),('PL',3273437696,3273438207),('IL',3273438208,3273438719),('PL',3273438720,3273439231),('RO',3273439232,3273439743),('UA',3273439744,3273440255),('RO',3273440256,3273440767),('DE',3273440768,3273441279),('FR',3273441280,3273449471),('CH',3273449472,3273457663),('HR',3273457664,3273523199),('DE',3273523200,3273588735),('IT',3273588736,3273687039),('DE',3273687040,3273719807),('GB',3273719808,3273727999),('NL',3273728000,3273728255),('GB',3273728256,3273728511),('NL',3273728512,3273732095),('GB',3273732096,3273736191),('FR',3273736192,3273743359),('JO',3273743360,3273743615),('FR',3273743616,3273744383),('GB',3273744384,3273752575),('NL',3273752576,3273760767),('GB',3273760768,3273768959),('TR',3273768960,3273785343),('RU',3273785344,3273801727),('DE',3273801728,3273802239),('RO',3273802240,3273802751),('SA',3273802752,3273803263),('ES',3273803264,3273803775),('CH',3273803776,3273804287),('UA',3273804288,3273804799),('RO',3273804800,3273805311),('GB',3273805312,3273805823),('PL',3273805824,3273806335),('DE',3273806336,3273806847),('SE',3273806848,3273807359),('LB',3273807360,3273807871),('CH',3273807872,3273808383),('UA',3273808384,3273808895),('GB',3273808896,3273809407),('UA',3273809408,3273809919),('BG',3273809920,3273818111),('AT',3273818112,3273826303),('DE',3273826304,3273834495),('RU',3273834496,3273835519),('UA',3273835520,3273838591),('PL',3273838592,3273839615),('LT',3273839616,3273840639),('PL',3273840640,3273841663),('AT',3273841664,3273842687),('RU',3273842688,3273850879),('DE',3273850880,3273867263),('BE',3273867264,3273867519),('UA',3273867520,3273867775),('PT',3273867776,3273868031),('GB',3273868032,3273868287),('RU',3273868288,3273869311),('DE',3273869312,3273871359),('PL',3273871360,3273871615),('LU',3273871616,3273871871),('SE',3273871872,3273872383),('UA',3273872384,3273872895),('SE',3273872896,3273873151),('DE',3273873152,3273873919),('GB',3273873920,3273874431),('GR',3273874432,3273875455),('PT',3273875456,3273875711),('SE',3273875712,3273875967),('DE',3273875968,3273876223),('IT',3273876224,3273876479),('SE',3273876480,3273876991),('CH',3273876992,3273877247),('DE',3273877248,3273877503),('GB',3273877504,3273877535),('AT',3273877536,3273877567),('IT',3273877568,3273877759),('GR',3273877760,3273878015),('FR',3273878016,3273878271),('LV',3273878272,3273878527),('DE',3273878528,3273879039),('BE',3273879040,3273879551),('GB',3273879552,3273880063),('LV',3273880064,3273880575),('RU',3273880576,3273881087),('RO',3273881088,3273881343),('EU',3273881344,3273881599),('GB',3273881600,3273881855),('CH',3273881856,3273882111),('SI',3273882112,3273882367),('GB',3273882368,3273883135),('GR',3273883136,3273883391),('DE',3273883392,3273883647),('NL',3273883648,3273916415),('IT',3273916416,3273932799),('DE',3273932800,3273949183),('FR',3273949184,3273981951),('DE',3273981952,3274047487),('SE',3274047488,3274049535),('DE',3274049536,3274050559),('PL',3274050560,3274051583),('UA',3274051584,3274052351),('GB',3274052352,3274052607),('DE',3274052608,3274052863),('GB',3274052864,3274053119),('KZ',3274053120,3274053375),('RU',3274053376,3274053631),('DE',3274053632,3274054655),('GB',3274054656,3274055167),('MT',3274055168,3274055423),('PL',3274055424,3274055679),('RU',3274055680,3274063871),('GB',3274063872,3274072063),('HU',3274072064,3274080255),('DE',3274080256,3274088447),('KG',3274088448,3274096639),('NL',3274096640,3274113023),('CZ',3274113024,3274145791),('KW',3274145792,3274162175),('GB',3274162176,3274162687),('DE',3274162688,3274163199),('UA',3274163200,3274163711),('BG',3274163712,3274164223),('AT',3274164224,3274164735),('GB',3274164736,3274165759),('RU',3274165760,3274166271),('RO',3274166272,3274166783),('UA',3274166784,3274167295),('BG',3274167296,3274167807),('UA',3274167808,3274168319),('PL',3274168320,3274168831),('DZ',3274168832,3274169343),('DE',3274169344,3274170367),('TR',3274170368,3274170879),('DE',3274170880,3274171391),('RU',3274171392,3274171903),('DE',3274171904,3274172415),('UA',3274172416,3274172927),('DE',3274172928,3274173439),('GR',3274173440,3274173951),('DE',3274173952,3274174463),('UA',3274174464,3274175487),('BE',3274175488,3274175999),('DE',3274176000,3274176511),('UA',3274176512,3274177023),('FR',3274177024,3274177535),('UA',3274177536,3274178047),('NL',3274178048,3274178559),('GB',3274178560,3274204063),('FR',3274204064,3274204095),('GB',3274204096,3274227199),('A2',3274227200,3274227455),('GB',3274227456,3274244095),('DK',3274244096,3274309631),('FR',3274309632,3274318031),('RU',3274318032,3274318047),('FR',3274318048,3274326015),('RU',3274326016,3274334719),('PL',3274334720,3274335231),('DE',3274335232,3274335743),('NL',3274335744,3274336255),('SE',3274336256,3274336767),('AT',3274336768,3274337279),('DE',3274337280,3274337791),('SE',3274337792,3274338303),('PL',3274338304,3274338815),('DE',3274338816,3274339327),('RO',3274339328,3274339839),('RU',3274339840,3274340351),('ES',3274340352,3274340863),('RU',3274340864,3274341375),('FR',3274341376,3274341887),('UA',3274341888,3274342399),('RO',3274342400,3274342911),('UA',3274342912,3274343423),('US',3274343424,3274343935),('NL',3274343936,3274344447),('UA',3274344448,3274344959),('RO',3274344960,3274345471),('PL',3274345472,3274345983),('BG',3274345984,3274346495),('FR',3274346496,3274347007),('RU',3274347008,3274347519),('IL',3274347520,3274348031),('DK',3274348032,3274348543),('PL',3274348544,3274349055),('RU',3274349056,3274358783),('SE',3274358784,3274366975),('NL',3274366976,3274368511),('AT',3274368512,3274368767),('FR',3274368768,3274369023),('DE',3274369024,3274370047),('GB',3274370048,3274371071),('NL',3274371072,3274373375),('PL',3274373376,3274373631),('FR',3274373632,3274374143),('DE',3274374144,3274375167),('EG',3274375168,3274383359),('RU',3274383360,3274384383),('SE',3274384384,3274385407),('UA',3274385408,3274386431),('GB',3274386432,3274388479),('DE',3274388480,3274389503),('CH',3274389504,3274390527),('NO',3274390528,3274391551),('LT',3274391552,3274399743),('LU',3274399744,3274407935),('IT',3274408192,3274408447),('NL',3274408448,3274408703),('SI',3274408704,3274408959),('GR',3274408960,3274409215),('SI',3274409216,3274409471),('CH',3274409472,3274409727),('RU',3274409728,3274409983),('LT',3274409984,3274410239),('SA',3274410240,3274410495),('NL',3274410496,3274410751),('AT',3274410752,3274411007),('CH',3274411008,3274411263),('LI',3274411264,3274411519),('PL',3274411520,3274412031),('RU',3274412032,3274412287),('NO',3274412288,3274412543),('UA',3274412544,3274412799),('RU',3274412800,3274413055),('UA',3274413056,3274413311),('AT',3274413312,3274413567),('FR',3274413568,3274413823),('SE',3274413824,3274414079),('AT',3274414080,3274414335),('CH',3274414336,3274414591),('NL',3274414592,3274414847),('IE',3274414848,3274415103),('GR',3274415104,3274415359),('GB',3274415360,3274415615),('NL',3274415616,3274415871),('SI',3274415872,3274416127),('IT',3274416128,3274424319),('SE',3274424320,3274435711),('US',3274435712,3274435839),('SE',3274435840,3274440703),('EU',3274440704,3274442751),('GB',3274442752,3274443263),('EU',3274443264,3274443519),('GB',3274443520,3274443647),('EU',3274443648,3274443711),('GB',3274443712,3274443775),('EU',3274443776,3274443807),('GB',3274443808,3274444031),('EU',3274444032,3274446335),('GB',3274446336,3274447871),('EU',3274447872,3274448383),('GB',3274448384,3274448639),('EU',3274448640,3274448895),('GB',3274448896,3274449663),('EU',3274449664,3274449919),('GB',3274449920,3274450231),('EU',3274450232,3274450247),('GB',3274450248,3274450367),('EU',3274450368,3274450375),('GB',3274450376,3274450391),('EU',3274450392,3274450407),('GB',3274450408,3274450415),('EU',3274450416,3274450431),('GB',3274450432,3274450591),('EU',3274450592,3274450655),('GB',3274450656,3274450687),('EU',3274450688,3274451199),('GB',3274451200,3274452255),('EU',3274452256,3274452263),('GB',3274452264,3274452311),('EU',3274452312,3274452319),('GB',3274452320,3274452335),('EU',3274452336,3274452343),('GB',3274452344,3274452367),('EU',3274452368,3274452383),('GB',3274452384,3274452391),('EU',3274452392,3274452399),('GB',3274452400,3274452423),('EU',3274452424,3274452431),('GB',3274452432,3274452439),('EU',3274452440,3274452447),('GB',3274452448,3274452455),('EU',3274452456,3274452463),('GB',3274452464,3274452471),('EU',3274452472,3274452495),('GB',3274452496,3274452543),('EU',3274452544,3274452559),('GB',3274452560,3274452575),('EU',3274452576,3274452655),('GB',3274452656,3274452703),('EU',3274452704,3274452735),('GB',3274452736,3274452927),('EU',3274452928,3274452991),('GB',3274452992,3274453767),('EU',3274453768,3274453783),('GB',3274453784,3274453791),('EU',3274453792,3274453799),('GB',3274453800,3274453847),('EU',3274453848,3274453863),('GB',3274453864,3274453871),('EU',3274453872,3274453887),('GB',3274453888,3274453903),('EU',3274453904,3274453919),('GB',3274453920,3274453935),('EU',3274453936,3274453943),('GB',3274453944,3274453951),('EU',3274453952,3274453959),('GB',3274453960,3274453975),('EU',3274453976,3274453983),('GB',3274453984,3274453991),('EU',3274453992,3274453999),('GB',3274454000,3274454271),('EU',3274454272,3274454655),('GB',3274454656,3274455311),('EU',3274455312,3274455327),('GB',3274455328,3274455335),('EU',3274455336,3274455343),('GB',3274455344,3274455351),('EU',3274455352,3274455359),('GB',3274455360,3274455375),('EU',3274455376,3274455383),('GB',3274455384,3274455391),('EU',3274455392,3274455399),('GB',3274455400,3274455423),('EU',3274455424,3274455431),('GB',3274455432,3274455439),('EU',3274455440,3274455447),('GB',3274455448,3274455503),('EU',3274455504,3274455519),('GB',3274455520,3274455535),('EU',3274455536,3274455743),('GB',3274455744,3274455807),('EU',3274455808,3274455871),('GB',3274455872,3274455935),('EU',3274455936,3274455967),('GB',3274455968,3274456359),('EU',3274456360,3274456367),('GB',3274456368,3274456375),('EU',3274456376,3274456383),('GB',3274456384,3274456391),('EU',3274456392,3274456399),('GB',3274456400,3274456407),('EU',3274456408,3274456415),('GB',3274456416,3274456447),('EU',3274456448,3274456455),('GB',3274456456,3274456511),('EU',3274456512,3274456527),('GB',3274456528,3274456535),('EU',3274456536,3274456543),('GB',3274456544,3274456559),('EU',3274456560,3274456567),('GB',3274456568,3274460223),('EU',3274460224,3274460415),('GB',3274460416,3274462207),('EU',3274462208,3274462463),('GB',3274462464,3274465023),('EU',3274465024,3274465151),('GB',3274465152,3274466351),('EU',3274466352,3274466367),('GB',3274466368,3274466399),('EU',3274466400,3274466415),('GB',3274466416,3274466463),('EU',3274466464,3274466559),('GB',3274466560,3274466735),('EU',3274466736,3274466743),('GB',3274466744,3274466763),('EU',3274466764,3274466767),('GB',3274466768,3274466783),('EU',3274466784,3274466815),('GB',3274466816,3274467099),('EU',3274467100,3274467103),('GB',3274467104,3274467307),('EU',3274467308,3274467327),('GB',3274467328,3274470383),('EU',3274470384,3274470399),('GB',3274470400,3274470535),('EU',3274470536,3274470655),('GB',3274470656,3274471423),('EU',3274471424,3274471535),('GB',3274471536,3274471615),('EU',3274471616,3274471679),('GB',3274471680,3274471935),('EU',3274471936,3274472959),('GB',3274472960,3274483711),('EU',3274483712,3274489599),('GB',3274489600,3274489855),('EU',3274489856,3274490175),('GB',3274490176,3274490895),('EU',3274490896,3274490911),('GB',3274490912,3274491247),('EU',3274491248,3274491255),('GB',3274491256,3274491295),('EU',3274491296,3274491303),('GB',3274491304,3274491319),('EU',3274491320,3274491327),('GB',3274491328,3274491383),('EU',3274491384,3274491391),('GB',3274491392,3274504447),('EU',3274504448,3274505727),('GB',3274505728,3274505791),('EU',3274505792,3274505792),('GB',3274505793,3274505855),('EU',3274505856,3274506239),('IT',3274506240,3274571775),('GR',3274571776,3274579967),('RU',3274579968,3274580991),('NL',3274580992,3274582015),('PL',3274582016,3274583039),('DE',3274583040,3274584063),('GB',3274584064,3274585087),('RS',3274585088,3274586111),('UA',3274586112,3274587135),('GB',3274587136,3274588159),('SK',3274588160,3274596351),('RU',3274596352,3274604543),('TR',3274604544,3274612735),('RU',3274612736,3274620927),('FR',3274620928,3274629119),('LU',3274629120,3274637311),('CZ',3274637312,3274670079),('DK',3274670080,3274686463),('RU',3274686464,3274686719),('BG',3274686720,3274686975),('RO',3274686976,3274687231),('DE',3274687232,3274687487),('RU',3274687488,3274687743),('SI',3274687744,3274687999),('GB',3274688000,3274688255),('IT',3274688256,3274688511),('PT',3274688512,3274688767),('PL',3274688768,3274689023),('UA',3274689024,3274689279),('PL',3274689280,3274689535),('DE',3274689536,3274689791),('SE',3274689792,3274690047),('ES',3274690048,3274690303),('GB',3274690304,3274690559),('GR',3274690560,3274690815),('ES',3274690816,3274691071),('DK',3274691072,3274691327),('SI',3274691328,3274691583),('UA',3274691584,3274691839),('SI',3274691840,3274692095),('RO',3274692096,3274692351),('BE',3274692352,3274692607),('DK',3274692608,3274692863),('AT',3274692864,3274693119),('LT',3274693120,3274693375),('UA',3274693376,3274693631),('NL',3274693632,3274693887),('IT',3274693888,3274694143),('DK',3274694144,3274694399),('GB',3274694400,3274694655),('SI',3274694656,3274694911),('GB',3274694912,3274695167),('SI',3274695168,3274695423),('PL',3274695424,3274695679),('SI',3274695680,3274695935),('DE',3274695936,3274696191),('DK',3274696192,3274696447),('CH',3274696448,3274696703),('IT',3274696704,3274696959),('GR',3274696960,3274697215),('SA',3274697216,3274697471),('CZ',3274697472,3274697727),('ES',3274697728,3274697983),('GB',3274697984,3274698239),('SE',3274698240,3274698495),('PL',3274698496,3274698751),('GB',3274698752,3274699007),('FR',3274699008,3274699263),('RO',3274699264,3274699519),('GB',3274699520,3274700031),('CH',3274700032,3274700287),('PL',3274700288,3274700543),('DK',3274700544,3274700799),('UA',3274700800,3274701055),('DE',3274701056,3274701311),('TJ',3274701312,3274701567),('IT',3274701568,3274702079),('UA',3274702080,3274702335),('SE',3274702336,3274702591),('KZ',3274702592,3274702847),('CH',3274702848,3274801151),('UA',3274801152,3274802175),('FR',3274802176,3274803199),('DE',3274803200,3274804223),('FR',3274804224,3274805247),('GB',3274805248,3274806271),('UA',3274806272,3274807295),('DE',3274807296,3274809343),('SE',3274809344,3274810367),('UA',3274810368,3274811391),('RU',3274811392,3274812415),('DE',3274812416,3274813439),('ES',3274813440,3274814463),('GB',3274814464,3274815487),('RU',3274815488,3274816511),('SK',3274816512,3274817535),('RU',3274817536,3274819583),('UA',3274819584,3274821631),('KZ',3274821632,3274823679),('TR',3274823680,3274825727),('DE',3274825728,3274827775),('RU',3274827776,3274829823),('SE',3274829824,3274831871),('RO',3274831872,3274833919),('BY',3274833920,3274842111),('DK',3274842112,3274850303),('GB',3274850304,3274866687),('DE',3274866688,3274883071),('EE',3274883072,3274891263),('CH',3274891264,3274899455),('DE',3274899456,3274902399),('AT',3274902400,3274902423),('EU',3274902424,3274902527),('DE',3274902528,3274910975),('EU',3274910976,3274911231),('DE',3274911232,3274911743),('FR',3274911744,3274911999),('GB',3274912000,3274912031),('DE',3274912032,3274912063),('FR',3274912064,3274912191),('DE',3274912192,3274912287),('LU',3274912288,3274912295),('GB',3274912296,3274912303),('FR',3274912304,3274912447),('NL',3274912448,3274912511),('FR',3274912512,3274912767),('DE',3274912768,3274912799),('IT',3274912800,3274912831),('FR',3274912832,3274912895),('RO',3274912896,3274913023),('FR',3274913024,3274913279),('DE',3274913280,3274914815),('EU',3274914816,3274915071),('DE',3274915072,3274915839),('NL',3274915840,3274916735),('DE',3274916736,3274916863),('NL',3274916864,3274917215),('GB',3274917216,3274917311),('ZA',3274917312,3274917327),('CH',3274917328,3274917335),('GB',3274917336,3274917343),('SE',3274917344,3274917375),('NL',3274917376,3274917887),('BE',3274917888,3274918911),('CH',3274918912,3274919359),('EU',3274919360,3274919391),('CH',3274919392,3274919423),('GB',3274919424,3274919935),('BE',3274919936,3274921983),('ZA',3274921984,3274922847),('BE',3274922848,3274922863),('GB',3274922864,3274922871),('IT',3274922872,3274922879),('ZA',3274922880,3274922943),('NL',3274922944,3274923007),('EU',3274923008,3274923263),('NL',3274923264,3274924031),('FR',3274924032,3274928127),('ES',3274928128,3274928511),('RU',3274928512,3274928575),('GB',3274928576,3274928639),('ES',3274928640,3274929151),('NL',3274929152,3274929407),('FR',3274929408,3274929663),('BE',3274929664,3274930175),('IT',3274930176,3274932223),('GB',3274932224,3274932991),('DE',3274932992,3274933151),('CH',3274933152,3274933183),('ZA',3274933184,3274933215),('BE',3274933216,3274933247),('GB',3274933248,3274936063),('SE',3274936064,3274936159),('GB',3274936160,3274936175),('EU',3274936176,3274936191),('GB',3274936192,3274936863),('BE',3274936864,3274936871),('CH',3274936872,3274936879),('SE',3274936880,3274936895),('GB',3274936896,3274938367),('EU',3274938368,3274938495),('GB',3274938496,3274938535),('FR',3274938536,3274938543),('GB',3274938544,3274938559),('EU',3274938560,3274938623),('GB',3274938624,3274938879),('DE',3274938880,3274939135),('IT',3274939136,3274939391),('ZA',3274939392,3274940415),('DE',3274940416,3274941055),('NL',3274941056,3274941087),('DE',3274941088,3274941095),('IT',3274941096,3274941103),('DE',3274941104,3274942463),('FR',3274942464,3274944511),('NL',3274944512,3274948607),('DK',3274948608,3274952447),('SE',3274952448,3274952479),('FR',3274952480,3274952511),('GB',3274952512,3274952527),('BE',3274952528,3274952543),('GB',3274952544,3274952575),('IT',3274952576,3274952703),('AT',3274952704,3274954239),('NL',3274954240,3274954399),('BE',3274954400,3274954415),('GB',3274954416,3274954431),('PT',3274954432,3274954495),('AT',3274954496,3274954623),('NL',3274954624,3274954751),('SE',3274954752,3274955007),('EU',3274955008,3274955263),('SE',3274955264,3274956287),('GB',3274956288,3274956543),('BE',3274956544,3274956615),('AT',3274956616,3274956623),('DE',3274956624,3274956639),('GB',3274956640,3274956655),('FR',3274956656,3274956671),('DE',3274956672,3274956735),('DK',3274956736,3274956767),('SE',3274956768,3274956799),('CH',3274956800,3274957055),('AT',3274957056,3274957567),('CH',3274957568,3274957823),('GR',3274957824,3274957831),('EU',3274957832,3274957951),('BE',3274957952,3274957959),('EU',3274957960,3274957967),('FR',3274957968,3274957983),('BE',3274957984,3274957999),('GB',3274958000,3274958007),('BE',3274958008,3274958015),('EU',3274958016,3274958079),('IE',3274958080,3274958279),('EU',3274958280,3274958287),('IE',3274958288,3274958335),('AT',3274958336,3274959231),('IT',3274959232,3274959247),('GB',3274959248,3274959255),('ZA',3274959256,3274959263),('EU',3274959264,3274959271),('GB',3274959272,3274959279),('DE',3274959280,3274959287),('GB',3274959288,3274959295),('ES',3274959296,3274959327),('DE',3274959328,3274959615),('EU',3274959616,3274960383),('BE',3274960384,3274960447),('ES',3274960448,3274960511),('GB',3274960512,3274960575),('IT',3274960576,3274960639),('AT',3274960640,3274961407),('CH',3274961408,3274961503),('DK',3274961504,3274961535),('CH',3274961536,3274961559),('EU',3274961560,3274961567),('CH',3274961568,3274961663),('BY',3274961664,3274961727),('EU',3274961728,3274961919),('AT',3274961920,3274962111),('GB',3274962112,3274962175),('ZA',3274962176,3274962431),('BE',3274962432,3274962687),('GR',3274962688,3274962879),('GB',3274962880,3274963167),('IE',3274963168,3274963183),('GB',3274963184,3274963191),('NL',3274963192,3274963199),('DE',3274963200,3274963455),('CH',3274963456,3274963711),('DE',3274963712,3274963743),('FR',3274963744,3274963775),('GB',3274963776,3274963783),('BE',3274963784,3274963791),('NL',3274963792,3274963807),('IT',3274963808,3274963839),('DE',3274963840,3274963967),('FR',3274963968,3274964223),('BE',3274964224,3274964735),('GB',3274964736,3274964863),('HU',3274964864,3274964879),('FR',3274964880,3274964895),('NL',3274964896,3274964927),('GB',3274964928,3274964991),('DE',3274964992,3275030527),('ES',3275030528,3275096063),('RU',3275096064,3275104255),('IT',3275104256,3275112447),('DK',3275112448,3275120639),('SE',3275120640,3275136639),('DK',3275136640,3275136767),('SE',3275136768,3275137023),('AT',3275137024,3275145215),('RU',3275145216,3275153407),('GB',3275153408,3275161599),('ES',3275161600,3275227135),('HU',3275227136,3275292671),('ES',3275292672,3275358207),('RU',3275358208,3275371775),('TJ',3275371776,3275372031),('RU',3275372032,3275374591),('GB',3275374592,3275382783),('SE',3275382784,3275390975),('GB',3275390976,3275399167),('AT',3275399168,3275407359),('GB',3275407360,3275415551),('UA',3275415552,3275423743),('GB',3275423744,3275423751),('EU',3275423752,3275423775),('GB',3275423776,3275423807),('EU',3275423808,3275423999),('GB',3275424000,3275424255),('EU',3275424256,3275425791),('GB',3275425792,3275426303),('EU',3275426304,3275427839),('GB',3275427840,3275428367),('EU',3275428368,3275429887),('GB',3275429888,3275430143),('EU',3275430144,3275430271),('GB',3275430272,3275430399),('EU',3275430400,3275430591),('GB',3275430592,3275430623),('EU',3275430624,3275431935),('GB',3275431936,3275432447),('EU',3275432448,3275433983),('GB',3275433984,3275437567),('EU',3275437568,3275438079),('GB',3275438080,3275438591),('EU',3275438592,3275440127),('GB',3275440128,3275440639),('EU',3275440640,3275442175),('GB',3275442176,3275442719),('EU',3275442720,3275444223),('GB',3275444224,3275444735),('EU',3275444736,3275446271),('GB',3275446272,3275446783),('EU',3275446784,3275448319),('GB',3275448320,3275449399),('EU',3275449400,3275449407),('GB',3275449408,3275449471),('EU',3275449472,3275450367),('GB',3275450368,3275450879),('EU',3275450880,3275451231),('GB',3275451232,3275451263),('EU',3275451264,3275452415),('GB',3275452416,3275452927),('EU',3275452928,3275454463),('GB',3275454464,3275454975),('EU',3275454976,3275456511),('GB',3275456512,3275457023),('FK',3275457024,3275457535),('GB',3275457536,3275458559),('IE',3275458560,3275459327),('EU',3275459328,3275464703),('GB',3275464704,3275467775),('EU',3275467776,3275469951),('GB',3275469952,3275469983),('EU',3275469984,3275489279),('GB',3275489280,3275497471),('DE',3275497472,3275505663),('PL',3275505664,3275506175),('UA',3275506176,3275506687),('SE',3275506688,3275507199),('UA',3275507200,3275507711),('RO',3275507712,3275509759),('IT',3275509760,3275509855),('PL',3275509856,3275509887),('AM',3275509888,3275509919),('PL',3275509920,3275509951),('GB',3275509952,3275509983),('PT',3275509984,3275510015),('SE',3275510016,3275510079),('ES',3275510080,3275510143),('RU',3275510144,3275510207),('FR',3275510208,3275510271),('RU',3275510784,3275510911),('GB',3275510912,3275511167),('LV',3275511168,3275511295),('GB',3275511296,3275511551),('NL',3275511552,3275511679),('GB',3275511680,3275511807),('CH',3275511808,3275511935),('IT',3275511936,3275512063),('CZ',3275512064,3275512191),('IT',3275512192,3275512319),('DK',3275512448,3275512575),('BE',3275512576,3275512703),('PL',3275512704,3275512831),('SE',3275512832,3275512895),('AT',3275512896,3275512959),('PL',3275512960,3275513023),('UA',3275513024,3275513151),('ES',3275513152,3275513215),('CH',3275513216,3275513279),('DK',3275513280,3275513343),('PL',3275513344,3275513471),('FR',3275513472,3275513599),('GB',3275513728,3275513855),('DE',3275513856,3275514615),('CH',3275514616,3275514623),('DE',3275514624,3275522047),('IT',3275522048,3275530239),('DK',3275530240,3275530751),('AT',3275530752,3275531263),('GB',3275531264,3275531775),('IE',3275531776,3275532287),('FR',3275532288,3275532799),('GB',3275532800,3275533823),('UA',3275533824,3275534335),('IL',3275534336,3275534847),('RO',3275534848,3275535359),('DE',3275535360,3275535871),('SE',3275535872,3275536383),('UA',3275536384,3275536895),('DE',3275536896,3275537407),('FR',3275537408,3275537919),('IT',3275537920,3275538431),('CH',3275538432,3275539455),('GB',3275539456,3275540479),('UA',3275540480,3275542527),('DE',3275542528,3275543551),('NL',3275543552,3275544575),('PL',3275544576,3275545599),('RU',3275545600,3275546623),('UA',3275546624,3275547647),('RU',3275547648,3275548671),('IL',3275548672,3275549695),('SY',3275549696,3275550719),('PL',3275550720,3275551743),('RU',3275551744,3275552767),('LV',3275552768,3275553791),('FI',3275553792,3275554815),('ES',3275554816,3275555071),('EU',3275555072,3275555391),('ES',3275555392,3275555455),('EU',3275555456,3275555591),('ES',3275555592,3275555647),('EU',3275555648,3275555743),('ES',3275555744,3275555759),('EU',3275555760,3275555767),('ES',3275555768,3275555776),('EU',3275555777,3275556607),('ES',3275556608,3275556863),('EU',3275556864,3275560959),('ES',3275560960,3275561215),('EU',3275561216,3275561471),('ES',3275561472,3275561727),('EU',3275561728,3275562495),('ES',3275562496,3275562751),('EU',3275562752,3275563007),('CH',3275563008,3275563519),('EU',3275563520,3275563583),('CH',3275563584,3275563647),('DE',3275563648,3275563775),('CH',3275563776,3275564287),('EU',3275564288,3275564415),('CH',3275564416,3275564495),('EU',3275564496,3275564799),('CH',3275564800,3275565055),('EU',3275565056,3275565311),('CH',3275565312,3275565567),('EU',3275565568,3275565823),('CH',3275565824,3275567487),('EU',3275567488,3275567615),('CH',3275567616,3275568127),('EU',3275568128,3275568383),('CH',3275568384,3275569407),('EU',3275569408,3275569919),('CH',3275569920,3275570687),('EU',3275570688,3275571199),('PT',3275571200,3275572223),('EU',3275572224,3275572767),('PT',3275572768,3275572863),('EU',3275572864,3275572991),('PT',3275572992,3275573055),('EU',3275573056,3275573119),('PT',3275573120,3275574015),('EU',3275574016,3275574031),('PT',3275574032,3275574047),('EU',3275574048,3275574143),('PT',3275574144,3275574147),('EU',3275574148,3275574151),('PT',3275574152,3275574191),('EU',3275574192,3275574783),('PT',3275574784,3275575231),('EU',3275575232,3275575423),('PT',3275575424,3275575727),('EU',3275575728,3275575807),('PT',3275575808,3275575935),('EU',3275575936,3275576063),('PT',3275576064,3275577407),('EU',3275577408,3275577471),('PT',3275577472,3275577495),('EU',3275577496,3275577519),('PT',3275577520,3275577567),('EU',3275577568,3275577599),('PT',3275577600,3275577727),('EU',3275577728,3275577791),('PT',3275577792,3275577807),('EU',3275577808,3275577839),('PT',3275577840,3275578623),('EU',3275578624,3275578879),('PT',3275578880,3275579007),('EU',3275579008,3275579135),('PT',3275579136,3275579391),('FR',3275579392,3275579519),('NL',3275579520,3275579615),('EU',3275579616,3275579647),('NL',3275579648,3275579703),('EU',3275579704,3275579903),('NL',3275579904,3275581311),('EU',3275581312,3275581535),('NL',3275581536,3275581671),('EU',3275581672,3275581679),('NL',3275581680,3275582207),('EU',3275582208,3275582223),('NL',3275582224,3275582247),('EU',3275582248,3275582255),('NL',3275582256,3275582287),('EU',3275582288,3275582463),('NL',3275582464,3275582591),('EU',3275582592,3275582655),('NL',3275582656,3275582719),('EU',3275582720,3275582975),('NL',3275582976,3275583231),('EU',3275583232,3275583743),('NL',3275583744,3275584127),('EU',3275584128,3275584255),('NL',3275584256,3275584287),('EU',3275584288,3275584511),('NL',3275584512,3275584527),('EU',3275584528,3275585023),('NL',3275585024,3275585279),('EU',3275585280,3275585535),('NL',3275585536,3275586047),('EU',3275586048,3275587071),('NL',3275587072,3275587136),('EU',3275587137,3275587583),('BE',3275587584,3275587855),('EU',3275587856,3275588095),('BE',3275588096,3275588287),('NL',3275588288,3275588319),('EU',3275588320,3275588351),('BE',3275588352,3275588711),('CH',3275588712,3275588719),('BE',3275588720,3275588799),('EU',3275588800,3275588847),('BE',3275588848,3275588855),('EU',3275588856,3275588863),('IT',3275588864,3275589119),('EU',3275589120,3275589271),('BE',3275589272,3275589279),('EU',3275589280,3275589375),('BE',3275589376,3275589471),('EU',3275589472,3275589887),('BE',3275589888,3275591167),('EU',3275591168,3275591423),('BE',3275591424,3275591679),('RO',3275591680,3275592063),('EU',3275592064,3275592191),('RO',3275592192,3275592959),('MD',3275592960,3275593215),('EU',3275593216,3275593343),('RO',3275593344,3275593855),('EU',3275593856,3275593983),('RO',3275593984,3275595007),('BE',3275595008,3275595039),('EU',3275595040,3275595263),('US',3275595264,3275595519),('EU',3275595520,3275595775),('AT',3275595776,3275603967),('IT',3275603968,3275604735),('IL',3275604736,3275604767),('EU',3275604768,3275604991),('IT',3275604992,3275606271),('EU',3275606272,3275606527),('IT',3275606528,3275606783),('EU',3275606784,3275607295),('IT',3275607296,3275608319),('EU',3275608320,3275608831),('IT',3275608832,3275610063),('EU',3275610064,3275610111),('IT',3275610112,3275610623),('EU',3275610624,3275612159),('LU',3275612160,3275612287),('EU',3275612288,3275612415),('LU',3275612416,3275612671),('BE',3275612672,3275612927),('LU',3275612928,3275613951),('EU',3275613952,3275620351),('RU',3275620352,3275622399),('GB',3275622400,3275623423),('PL',3275623424,3275623935),('UA',3275623936,3275624447),('SK',3275624448,3275624959),('IL',3275624960,3275625471),('DE',3275625472,3275625983),('BG',3275625984,3275626495),('UA',3275626496,3275627007),('AT',3275627008,3275627519),('GB',3275627520,3275628031),('PL',3275628032,3275628543),('RU',3275628544,3275629567),('UA',3275629568,3275630079),('EU',3275630080,3275630591),('PL',3275630592,3275631103),('FR',3275631104,3275631615),('DE',3275631616,3275632127),('RU',3275632128,3275633151),('FR',3275633152,3275633663),('RU',3275633664,3275634687),('RO',3275634688,3275635199),('RU',3275635200,3275636735),('PL',3275636736,3275637247),('SE',3275637248,3275637759),('BE',3275637760,3275638271),('RU',3275638272,3275638783),('FR',3275638784,3275639807),('SE',3275639808,3275640319),('RU',3275640320,3275640831),('CH',3275640832,3275641343),('NL',3275641344,3275641855),('AT',3275641856,3275642367),('RU',3275642368,3275642879),('RO',3275642880,3275643391),('BE',3275643392,3275643903),('RU',3275643904,3275644415),('RO',3275644416,3275644927),('DE',3275644928,3275653119),('LV',3275653120,3275661311),('IT',3275661312,3275669503),('GB',3275669504,3275677695),('IT',3275677696,3275685887),('DE',3275685888,3275751423),('AT',3275751424,3275759615),('NL',3275759616,3275775999),('DE',3275776000,3275784191),('RO',3275784192,3275784703),('PL',3275784704,3275785215),('RO',3275785216,3275785727),('CH',3275785728,3275786239),('UA',3275786240,3275786751),('CH',3275786752,3275787263),('RU',3275787264,3275787775),('UA',3275787776,3275788287),('SE',3275788288,3275788799),('AT',3275788800,3275789311),('UA',3275789312,3275789823),('PL',3275789824,3275790335),('MD',3275790336,3275790847),('DK',3275790848,3275791359),('RU',3275791360,3275791871),('PL',3275791872,3275792383),('BG',3275792384,3275792895),('RU',3275792896,3275793407),('FR',3275793408,3275793919),('UA',3275793920,3275794431),('IT',3275794432,3275794943),('RS',3275794944,3275795455),('GR',3275795456,3275795967),('PL',3275795968,3275796479),('DE',3275796480,3275796991),('RO',3275796992,3275797503),('DE',3275797504,3275798015),('RO',3275798016,3275799039),('ES',3275799040,3275799551),('IT',3275799552,3275800063),('UA',3275800064,3275800575),('RU',3275800576,3275808767),('UA',3275808768,3275816959),('CH',3275816960,3275818207),('DE',3275818208,3275818215),('CH',3275818216,3275881335),('DE',3275881336,3275881343),('CH',3275881344,3275882495),('DE',3275882496,3275884543),('IT',3275884544,3275886591),('PL',3275886592,3275888639),('GB',3275888640,3275890687),('SE',3275890688,3275898879),('LV',3275898880,3275899135),('UA',3275899136,3275899647),('PL',3275899648,3275900159),('SI',3275900160,3275900415),('DE',3275900416,3275900671),('RU',3275900672,3275901183),('PL',3275901184,3275901439),('DE',3275901440,3275901695),('IE',3275901696,3275901951),('DE',3275901952,3275902207),('RU',3275902208,3275902719),('UA',3275902720,3275902975),('FR',3275902976,3275903231),('GB',3275903232,3275903487),('DE',3275903488,3275903999),('RU',3275904000,3275904255),('CH',3275904256,3275904511),('PL',3275904512,3275904767),('RU',3275904768,3275905023),('PL',3275905024,3275905279),('RU',3275905280,3275905535),('NL',3275905536,3275905791),('AT',3275905792,3275906303),('UA',3275906304,3275906559),('SE',3275906560,3275907071),('RU',3275907072,3275907327),('CH',3275907328,3275907583),('PL',3275907584,3275907839),('DE',3275907840,3275908095),('SA',3275908096,3275908351),('SE',3275908352,3275908607),('DE',3275908608,3275908863),('PL',3275908864,3275909119),('RU',3275909120,3275909375),('UA',3275909376,3275909631),('EE',3275909632,3275909887),('SI',3275909888,3275910143),('RU',3275910144,3275910399),('DK',3275910400,3275910655),('CH',3275910656,3275910911),('DE',3275910912,3275911167),('FR',3275911168,3275911423),('RO',3275911424,3275911679),('UA',3275911680,3275911935),('BE',3275911936,3275912191),('PL',3275912192,3275912447),('RU',3275912448,3275912703),('IL',3275912704,3275912959),('FR',3275912960,3275913215),('UA',3275913216,3275913471),('DE',3275913472,3275913983),('CH',3275913984,3275914239),('RO',3275914240,3275914495),('BG',3275914496,3275914751),('RU',3275914752,3275915007),('PT',3275915008,3275915263),('FR',3275915264,3275915775),('SE',3275915776,3275916287),('NL',3275916288,3275917311),('UA',3275917312,3275918847),('RO',3275918848,3275919359),('PL',3275919360,3275919871),('RO',3275919872,3275920383),('GB',3275920384,3275920895),('ES',3275920896,3275921407),('UA',3275921408,3275921919),('DE',3275921920,3275922431),('UA',3275922432,3275922943),('GR',3275922944,3275923455),('RS',3275923456,3275924319),('ME',3275924320,3275924351),('RS',3275924352,3275925759),('ME',3275925760,3275925775),('RS',3275925776,3275925951),('ME',3275925952,3275926015),('RS',3275926016,3275926303),('ME',3275926304,3275926335),('RS',3275926336,3275926431),('ME',3275926432,3275926463),('RS',3275926464,3275927743),('ME',3275927744,3275927807),('RS',3275927808,3275928063),('ME',3275928064,3275928319),('RS',3275928320,3275928351),('ME',3275928352,3275928383),('RS',3275928384,3275928543),('ME',3275928544,3275928559),('RS',3275928560,3275928847),('ME',3275928848,3275928863),('RS',3275928864,3275928879),('ME',3275928880,3275928927),('RS',3275928928,3275928951),('ME',3275928952,3275928959),('RS',3275928960,3275929023),('ME',3275929024,3275929055),('RS',3275929056,3275929215),('ME',3275929216,3275929295),('RS',3275929296,3275929359),('ME',3275929360,3275929415),('RS',3275929416,3275929423),('ME',3275929424,3275929471),('RS',3275929472,3275929487),('ME',3275929488,3275929495),('RS',3275929496,3275929535),('ME',3275929536,3275929599),('RS',3275929600,3275929663),('ME',3275929664,3275929695),('RS',3275929696,3275929791),('ME',3275929792,3275929855),('RS',3275929856,3275929919),('ME',3275929920,3275929935),('RS',3275929936,3275929983),('ME',3275929984,3275930015),('RS',3275930016,3275930023),('ME',3275930024,3275930047),('RS',3275930048,3275930111),('ME',3275930112,3275930127),('RS',3275930128,3275930143),('ME',3275930144,3275930239),('RS',3275930240,3275930303),('ME',3275930304,3275930335),('RS',3275930336,3275930623),('ME',3275930624,3275930795),('RS',3275930796,3275930799),('ME',3275930800,3275931319),('RS',3275931320,3275931327),('ME',3275931328,3275931647),('UA',3275931648,3275939839),('GB',3275939840,3275948031),('SE',3275948032,3275965267),('FI',3275965268,3275965271),('SE',3275965272,3276013567),('FR',3276013568,3276014191),('GB',3276014192,3276014207),('FR',3276014208,3276014343),('GB',3276014344,3276014351),('FR',3276014352,3276014391),('GB',3276014392,3276014399),('FR',3276014400,3276014415),('GB',3276014416,3276014439),('FR',3276014440,3276014471),('GB',3276014472,3276014495),('FR',3276014496,3276014503),('GB',3276014504,3276014511),('FR',3276014512,3276014607),('GB',3276014608,3276014623),('FR',3276014624,3276014647),('GB',3276014648,3276014655),('FR',3276014656,3276014671),('GB',3276014672,3276014679),('FR',3276014680,3276014695),('GB',3276014696,3276014719),('FR',3276014720,3276014751),('GB',3276014752,3276014799),('FR',3276014800,3276014815),('GB',3276014816,3276014847),('FR',3276014848,3276014879),('GB',3276014880,3276014895),('FR',3276014896,3276014911),('GB',3276014912,3276014935),('FR',3276014936,3276015007),('GB',3276015008,3276015055),('FR',3276015056,3276015199),('GB',3276015200,3276015231),('FR',3276015232,3276015247),('GB',3276015248,3276015263),('FR',3276015264,3276015295),('GB',3276015296,3276015327),('FR',3276015328,3276015407),('GB',3276015408,3276015423),('FR',3276015424,3276015567),('GB',3276015568,3276015583),('FR',3276015584,3276015615),('GB',3276015616,3276015655),('FR',3276015656,3276015815),('GB',3276015816,3276015855),('FR',3276015856,3276015863),('GB',3276015864,3276015871),('FR',3276015872,3276015929),('GB',3276015930,3276015935),('FR',3276015936,3276016095),('GB',3276016096,3276016103),('FR',3276016104,3276016119),('GB',3276016120,3276016127),('FR',3276016128,3276016391),('GB',3276016392,3276016399),('FR',3276016400,3276016415),('GB',3276016416,3276016463),('FR',3276016464,3276016495),('GB',3276016496,3276016511),('FR',3276016512,3276016527),('GB',3276016528,3276016591),('FR',3276016592,3276016703),('GB',3276016704,3276016735),('FR',3276016736,3276016767),('GB',3276016768,3276016783),('FR',3276016784,3276016815),('GB',3276016816,3276016847),('FR',3276016848,3276016863),('GB',3276016864,3276016879),('FR',3276016880,3276016943),('GB',3276016944,3276016959),('FR',3276016960,3276016975),('GB',3276016976,3276016991),('FR',3276016992,3276017055),('GB',3276017056,3276017071),('FR',3276017072,3276017119),('GB',3276017120,3276017151),('FR',3276017152,3276017551),('GB',3276017552,3276017567),('FR',3276017568,3276017607),('GB',3276017608,3276017663),('FR',3276017664,3276018047),('GB',3276018048,3276018063),('FR',3276018064,3276018095),('GB',3276018096,3276018127),('FR',3276018128,3276018143),('GB',3276018144,3276018159),('FR',3276018160,3276018495),('GB',3276018496,3276018527),('FR',3276018528,3276018543),('GB',3276018544,3276018591),('FR',3276018592,3276018943),('GB',3276018944,3276018975),('FR',3276018976,3276018985),('GB',3276018986,3276019007),('FR',3276019008,3276019023),('GB',3276019024,3276019151),('FR',3276019152,3276019455),('GB',3276019456,3276019479),('FR',3276019480,3276019487),('GB',3276019488,3276019511),('FR',3276019512,3276019535),('GB',3276019536,3276019591),('FR',3276019592,3276019639),('GB',3276019640,3276019647),('FR',3276019648,3276019663),('GB',3276019664,3276019671),('FR',3276019672,3276019679),('GB',3276019680,3276019687),('FR',3276019688,3276019695),('GB',3276019696,3276019703),('FR',3276019704,3276019823),('GB',3276019824,3276019831),('FR',3276019832,3276019839),('GB',3276019840,3276019855),('FR',3276019856,3276019863),('GB',3276019864,3276019871),('FR',3276019872,3276019895),('GB',3276019896,3276019903),('FR',3276019904,3276019911),('GB',3276019912,3276019919),('FR',3276019920,3276019967),('GB',3276019968,3276019975),('FR',3276019976,3276020063),('GB',3276020064,3276020079),('FR',3276020080,3276020127),('GB',3276020128,3276020143),('FR',3276020144,3276020399),('GB',3276020400,3276020431),('FR',3276020432,3276020479),('GB',3276020480,3276020511),('FR',3276020512,3276020527),('GB',3276020528,3276020543),('FR',3276020544,3276020679),('GB',3276020680,3276020687),('FR',3276020688,3276020943),('GB',3276020944,3276020991),('FR',3276020992,3276021151),('GB',3276021152,3276021167),('FR',3276021168,3276021215),('GB',3276021216,3276021247),('FR',3276021248,3276021535),('GB',3276021536,3276021543),('FR',3276021544,3276021575),('GB',3276021576,3276021591),('FR',3276021592,3276021599),('GB',3276021600,3276021615),('FR',3276021616,3276021655),('GB',3276021656,3276021663),('FR',3276021664,3276021727),('GB',3276021728,3276021767),('FR',3276021768,3276021791),('GB',3276021792,3276021823),('FR',3276021824,3276021855),('GB',3276021856,3276021887),('FR',3276021888,3276021983),('GB',3276021984,3276021999),('FR',3276022000,3276022031),('GB',3276022032,3276022047),('FR',3276022048,3276022087),('GB',3276022088,3276022095),('FR',3276022096,3276022127),('GB',3276022128,3276022143),('FR',3276022144,3276022247),('GB',3276022248,3276022255),('FR',3276022256,3276022415),('GB',3276022416,3276022431),('FR',3276022432,3276022479),('GB',3276022480,3276022495),('FR',3276022496,3276022519),('GB',3276022520,3276022527),('FR',3276022528,3276022567),('GB',3276022568,3276022575),('FR',3276022576,3276022591),('GB',3276022592,3276022639),('FR',3276022640,3276022751),('GB',3276022752,3276022783),('FR',3276022784,3276022983),('GB',3276022984,3276022991),('FR',3276022992,3276023031),('GB',3276023032,3276023039),('FR',3276023040,3276023103),('GB',3276023104,3276023231),('FR',3276023232,3276023247),('GB',3276023248,3276023279),('FR',3276023280,3276023295),('GB',3276023296,3276023303),('FR',3276023304,3276023311),('GB',3276023312,3276023343),('FR',3276023344,3276023375),('GB',3276023376,3276023423),('FR',3276023424,3276023455),('GB',3276023456,3276023471),('FR',3276023472,3276023487),('GB',3276023488,3276023519),('FR',3276023520,3276023679),('GB',3276023680,3276023711),('FR',3276023712,3276023855),('GB',3276023856,3276023887),('FR',3276023888,3276023895),('GB',3276023896,3276023919),('FR',3276023920,3276023943),('GB',3276023944,3276023951),('FR',3276023952,3276023959),('GB',3276023960,3276024063),('FR',3276024064,3276024239),('GB',3276024240,3276024271),('FR',3276024272,3276025103),('GB',3276025104,3276025135),('FR',3276025136,3276025151),('GB',3276025152,3276025159),('FR',3276025160,3276025167),('GB',3276025168,3276025175),('FR',3276025176,3276025183),('GB',3276025184,3276025191),('FR',3276025192,3276025247),('GB',3276025248,3276025279),('FR',3276025280,3276025295),('GB',3276025296,3276025327),('FR',3276025328,3276026111),('GB',3276026112,3276026127),('FR',3276026128,3276026167),('GB',3276026168,3276026175),('FR',3276026176,3276026399),('GB',3276026400,3276026415),('FR',3276026416,3276026423),('GB',3276026424,3276026431),('FR',3276026432,3276026439),('GB',3276026440,3276026447),('FR',3276026448,3276026543),('GB',3276026544,3276026551),('FR',3276026552,3276026559),('GB',3276026560,3276026575),('FR',3276026576,3276026727),('GB',3276026728,3276026743),('FR',3276026744,3276026815),('GB',3276026816,3276026823),('FR',3276026824,3276026879),('GB',3276026880,3276026927),('FR',3276026928,3276026959),('GB',3276026960,3276026991),('FR',3276026992,3276027311),('GB',3276027312,3276027327),('FR',3276027328,3276027503),('GB',3276027504,3276027535),('FR',3276027536,3276027551),('GB',3276027552,3276027583),('FR',3276027584,3276027646),('GB',3276027647,3276027647),('FR',3276027648,3276027695),('GB',3276027696,3276027743),('FR',3276027744,3276027791),('GB',3276027792,3276027807),('FR',3276027808,3276027855),('GB',3276027856,3276027871),('FR',3276027872,3276027951),('GB',3276027952,3276027967),('FR',3276027968,3276028047),('GB',3276028048,3276028063),('FR',3276028064,3276028079),('GB',3276028080,3276028111),('FR',3276028112,3276028127),('GB',3276028128,3276028143),('FR',3276028144,3276028159),('GB',3276028160,3276028231),('FR',3276028232,3276028247),('GB',3276028248,3276028255),('FR',3276028256,3276028263),('GB',3276028264,3276028287),('FR',3276028288,3276028415),('GB',3276028416,3276028479),('FR',3276028480,3276028511),('GB',3276028512,3276028671),('FR',3276028672,3276028743),('GB',3276028744,3276028751),('FR',3276028752,3276028791),('GB',3276028792,3276028799),('FR',3276028800,3276028895),('GB',3276028896,3276028927),('FR',3276028928,3276029183),('GB',3276029184,3276029199),('FR',3276029200,3276029247),('GB',3276029248,3276029263),('FR',3276029264,3276029343),('GB',3276029344,3276029359),('FR',3276029360,3276029375),('GB',3276029376,3276029407),('FR',3276029408,3276029423),('GB',3276029424,3276029439),('FR',3276029440,3276029567),('GB',3276029568,3276029599),('FR',3276029600,3276029759),('GB',3276029760,3276029791),('FR',3276029792,3276029871),('GB',3276029872,3276029887),('FR',3276029888,3276029935),('GB',3276029936,3276029967),('FR',3276029968,3276030079),('GB',3276030080,3276030095),('FR',3276030096,3276030191),('GB',3276030192,3276030207),('FR',3276030208,3276030215),('GB',3276030216,3276030223),('FR',3276030224,3276030239),('GB',3276030240,3276030247),('FR',3276030248,3276030255),('GB',3276030256,3276030263),('FR',3276030264,3276030271),('GB',3276030272,3276030295),('FR',3276030296,3276030407),('GB',3276030408,3276030415),('FR',3276030416,3276030543),('GB',3276030544,3276030559),('FR',3276030560,3276030607),('GB',3276030608,3276030623),('FR',3276030624,3276031103),('GB',3276031104,3276031231),('FR',3276031232,3276031375),('GB',3276031376,3276031391),('FR',3276031392,3276031423),('GB',3276031424,3276031439),('FR',3276031440,3276031519),('GB',3276031520,3276031535),('FR',3276031536,3276031559),('GB',3276031560,3276031567),('FR',3276031568,3276031575),('GB',3276031576,3276031591),('FR',3276031592,3276031615),('GB',3276031616,3276031679),('FR',3276031680,3276031719),('GB',3276031720,3276031743),('FR',3276031744,3276032007),('GB',3276032008,3276032023),('FR',3276032024,3276032055),('GB',3276032056,3276032079),('FR',3276032080,3276032103),('GB',3276032104,3276032111),('FR',3276032112,3276032287),('GB',3276032288,3276032303),('FR',3276032304,3276032319),('GB',3276032320,3276032343),('FR',3276032344,3276032543),('GB',3276032544,3276032559),('FR',3276032560,3276032591),('GB',3276032592,3276032607),('FR',3276032608,3276032719),('GB',3276032720,3276032735),('FR',3276032736,3276033039),('GB',3276033040,3276033119),('FR',3276033120,3276033151),('GB',3276033152,3276033167),('FR',3276033168,3276033215),('GB',3276033216,3276033231),('FR',3276033232,3276033247),('GB',3276033248,3276033279),('FR',3276033280,3276033535),('GB',3276033536,3276033695),('FR',3276033696,3276033727),('GB',3276033728,3276033895),('FR',3276033896,3276033911),('GB',3276033912,3276033919),('FR',3276033920,3276033927),('GB',3276033928,3276033951),('FR',3276033952,3276033983),('GB',3276033984,3276034015),('FR',3276034016,3276035839),('GB',3276035840,3276036079),('FR',3276036080,3276036103),('GB',3276036104,3276036151),('FR',3276036152,3276036191),('GB',3276036192,3276036207),('FR',3276036208,3276036223),('GB',3276036224,3276036255),('FR',3276036256,3276036271),('GB',3276036272,3276036287),('FR',3276036288,3276036303),('GB',3276036304,3276036335),('FR',3276036336,3276036351),('GB',3276036352,3276036447),('FR',3276036448,3276036479),('GB',3276036480,3276036527),('FR',3276036528,3276036543),('GB',3276036544,3276036607),('FR',3276036608,3276037135),('GB',3276037136,3276037151),('FR',3276037152,3276037199),('GB',3276037200,3276037215),('FR',3276037216,3276037327),('GB',3276037328,3276037343),('FR',3276037344,3276037359),('GB',3276037360,3276037375),('FR',3276037376,3276037695),('GB',3276037696,3276037743),('FR',3276037744,3276037783),('GB',3276037784,3276037791),('FR',3276037792,3276037887),('GB',3276037888,3276037903),('FR',3276037904,3276037959),('GB',3276037960,3276037983),('FR',3276037984,3276038015),('GB',3276038016,3276038031),('FR',3276038032,3276038047),('GB',3276038048,3276038111),('FR',3276038112,3276038127),('GB',3276038128,3276038399),('FR',3276038400,3276038703),('GB',3276038704,3276038719),('FR',3276038720,3276038735),('GB',3276038736,3276038751),('FR',3276038752,3276038799),('GB',3276038800,3276038815),('FR',3276038816,3276038847),('GB',3276038848,3276038911),('FR',3276038912,3276039199),('GB',3276039200,3276039247),('FR',3276039248,3276039279),('GB',3276039280,3276039311),('FR',3276039312,3276039327),('GB',3276039328,3276039423),('FR',3276039424,3276039551),('GB',3276039552,3276039583),('FR',3276039584,3276039647),('GB',3276039648,3276039663),('FR',3276039664,3276039935),('GB',3276039936,3276039951),('FR',3276039952,3276039967),('GB',3276039968,3276040031),('FR',3276040032,3276040063),('GB',3276040064,3276040111),('FR',3276040112,3276040159),('GB',3276040160,3276040175),('FR',3276040176,3276040207),('GB',3276040208,3276040215),('FR',3276040216,3276040231),('GB',3276040232,3276040319),('FR',3276040320,3276040447),('GB',3276040448,3276040463),('FR',3276040464,3276040479),('GB',3276040480,3276040495),('FR',3276040496,3276040591),('GB',3276040592,3276040607),('FR',3276040608,3276040671),('GB',3276040672,3276040687),('FR',3276040688,3276040703),('GB',3276040704,3276040735),('FR',3276040736,3276040927),('GB',3276040928,3276040959),('FR',3276040960,3276040991),('GB',3276040992,3276041007),('FR',3276041008,3276041023),('GB',3276041024,3276041055),('FR',3276041056,3276041071),('GB',3276041072,3276041087),('FR',3276041088,3276041199),('GB',3276041200,3276041215),('FR',3276041216,3276041279),('GB',3276041280,3276041295),('FR',3276041296,3276041343),('GB',3276041344,3276041375),('FR',3276041376,3276041391),('GB',3276041392,3276041407),('FR',3276041408,3276041487),('GB',3276041488,3276041535),('FR',3276041536,3276041551),('GB',3276041552,3276041663),('FR',3276041664,3276041759),('GB',3276041760,3276041775),('FR',3276041776,3276041855),('GB',3276041856,3276041887),('FR',3276041888,3276041919),('GB',3276041920,3276041951),('FR',3276041952,3276041999),('GB',3276042000,3276042007),('FR',3276042008,3276042111),('GB',3276042112,3276042143),('FR',3276042144,3276042175),('GB',3276042176,3276042239),('FR',3276042240,3276042767),('GB',3276042768,3276042815),('FR',3276042816,3276042831),('GB',3276042832,3276042847),('FR',3276042848,3276044303),('GB',3276044304,3276044359),('FR',3276044360,3276044447),('GB',3276044448,3276044463),('FR',3276044464,3276044511),('GB',3276044512,3276044543),('FR',3276044544,3276044607),('GB',3276044608,3276044639),('FR',3276044640,3276044671),('GB',3276044672,3276044735),('FR',3276044736,3276044815),('GB',3276044816,3276044839),('FR',3276044840,3276044863),('GB',3276044864,3276044879),('FR',3276044880,3276044927),('GB',3276044928,3276044943),('FR',3276044944,3276044967),('GB',3276044968,3276044975),('FR',3276044976,3276044991),('GB',3276044992,3276044999),('FR',3276045000,3276045023),('GB',3276045024,3276045039),('FR',3276045040,3276045055),('GB',3276045056,3276045071),('FR',3276045072,3276045079),('GB',3276045080,3276045095),('FR',3276045096,3276045111),('GB',3276045112,3276045119),('FR',3276045120,3276045143),('GB',3276045144,3276045151),('FR',3276045152,3276045183),('GB',3276045184,3276045199),('FR',3276045200,3276045239),('GB',3276045240,3276045255),('FR',3276045256,3276045295),('GB',3276045296,3276045311),('FR',3276045312,3276045567),('GB',3276045568,3276045599),('FR',3276045600,3276045631),('GB',3276045632,3276045647),('FR',3276045648,3276045655),('GB',3276045656,3276045663),('FR',3276045664,3276045767),('GB',3276045768,3276045783),('FR',3276045784,3276045791),('GB',3276045792,3276045807),('FR',3276045808,3276045815),('GB',3276045816,3276045823),('FR',3276045824,3276045919),('GB',3276045920,3276045951),('FR',3276045952,3276045983),('GB',3276045984,3276045991),('FR',3276045992,3276046335),('RU',3276046336,3276062719),('PL',3276062720,3276063231),('FR',3276063232,3276063743),('UA',3276063744,3276064255),('DE',3276064256,3276064767),('BG',3276064768,3276065279),('UA',3276065280,3276065791),('DE',3276065792,3276066303),('GB',3276066304,3276066815),('PS',3276066816,3276067327),('UA',3276067328,3276067839),('AT',3276067840,3276068351),('BG',3276068352,3276068863),('UA',3276068864,3276069887),('GB',3276069888,3276070399),('UA',3276070400,3276070911),('GB',3276070912,3276071423),('PL',3276071424,3276071935),('GB',3276071936,3276072447),('SK',3276072448,3276072959),('PL',3276072960,3276073471),('SK',3276073472,3276073983),('DE',3276073984,3276074495),('GB',3276074496,3276075007),('RU',3276075008,3276075519),('DE',3276075520,3276076031),('GB',3276076032,3276076543),('DE',3276076544,3276077055),('UA',3276077056,3276077567),('FR',3276077568,3276078079),('RU',3276078080,3276078591),('GB',3276078592,3276079103),('NO',3276079104,3276095487),('RU',3276095488,3276096511),('IT',3276096512,3276097535),('NL',3276097536,3276098559),('UA',3276098560,3276099583),('PL',3276099584,3276100607),('UA',3276100608,3276101631),('LV',3276101632,3276102655),('GB',3276102656,3276103679),('SI',3276103680,3276104703),('RU',3276104704,3276105727),('AT',3276105728,3276106751),('BG',3276106752,3276107775),('DE',3276107776,3276108799),('SE',3276108800,3276109823),('BG',3276109824,3276110847),('PL',3276110848,3276111871),('DK',3276111872,3276112895),('UA',3276112896,3276114943),('KW',3276114944,3276115967),('NL',3276115968,3276116991),('RU',3276116992,3276118015),('GB',3276118016,3276119039),('RU',3276119040,3276120063),('LB',3276120064,3276121087),('BG',3276121088,3276122111),('UA',3276122112,3276123135),('AT',3276123136,3276124159),('UA',3276124160,3276125183),('AT',3276125184,3276126207),('UA',3276126208,3276127231),('UZ',3276127232,3276128255),('AT',3276128256,3276129279),('UA',3276129280,3276131327),('DK',3276131328,3276132351),('TR',3276132352,3276133375),('GB',3276133376,3276134399),('RU',3276134400,3276135423),('UA',3276135424,3276136447),('PL',3276136448,3276138495),('NL',3276138496,3276139519),('IL',3276139520,3276140543),('DE',3276140544,3276141567),('UA',3276141568,3276143615),('GB',3276143616,3276144639),('CH',3276144640,3276152831),('HU',3276152832,3276161023),('GB',3276161024,3276169215),('AT',3276169216,3276177407),('CZ',3276177408,3276185599),('NO',3276185600,3276193791),('RU',3276193792,3276201983),('AT',3276201984,3276210175),('DE',3276210176,3276221463),('AT',3276221464,3276221503),('DE',3276221504,3276222255),('CH',3276222256,3276222263),('DE',3276222264,3276234303),('GB',3276234304,3276234367),('DE',3276234368,3276244447),('RO',3276244448,3276244479),('DE',3276244480,3276244515),('CH',3276244516,3276244519),('DE',3276244520,3276244671),('CH',3276244672,3276244703),('DE',3276244704,3276244707),('CH',3276244708,3276244715),('DE',3276244716,3276244831),('AT',3276244832,3276244863),('DE',3276244864,3276244935),('AT',3276244936,3276244967),('DE',3276244968,3276244979),('AT',3276244980,3276244983),('DE',3276244984,3276244987),('AT',3276244988,3276244991),('DE',3276244992,3276249279),('FR',3276249280,3276249287),('DE',3276249288,3276249855),('GB',3276249856,3276249983),('DE',3276249984,3276250079),('FR',3276250080,3276250095),('DE',3276250096,3276275711),('SK',3276275712,3276283903),('GB',3276283904,3276292095),('BE',3276292096,3276292479),('LU',3276292480,3276292511),('BE',3276292512,3276299295),('CH',3276299296,3276299327),('BE',3276299328,3276300287),('DE',3276300288,3276304383),('BG',3276304384,3276304639),('GB',3276304640,3276305407),('IL',3276305408,3276308479),('GB',3276308480,3276309503),('AT',3276309504,3276310527),('PT',3276310528,3276311551),('RU',3276311552,3276312575),('UA',3276312576,3276313599),('PL',3276313600,3276314623),('FR',3276314624,3276315647),('UA',3276315648,3276316671),('GB',3276316672,3276324863),('IT',3276324864,3276333055),('RU',3276333056,3276341247),('NL',3276341248,3276341887),('DE',3276341888,3276341895),('NL',3276341896,3276342423),('DE',3276342424,3276342431),('NL',3276342432,3276343071),('DE',3276343072,3276343079),('NL',3276343080,3276343103),('DE',3276343104,3276343111),('NL',3276343112,3276343439),('DE',3276343440,3276343447),('NL',3276343448,3276343551),('DE',3276343552,3276343807),('NL',3276343808,3276344287),('DE',3276344288,3276344295),('NL',3276344296,3276344471),('DE',3276344472,3276344479),('NL',3276344480,3276345063),('DE',3276345064,3276345071),('NL',3276345072,3276345439),('DE',3276345440,3276345447),('NL',3276345448,3276345775),('DE',3276345776,3276345783),('NL',3276345784,3276345879),('DE',3276345880,3276345887),('NL',3276345888,3276346567),('DE',3276346568,3276346575),('NL',3276346576,3276346751),('DE',3276346752,3276346759),('NL',3276346760,3276346855),('DE',3276346856,3276346863),('NL',3276346864,3276346911),('DE',3276346912,3276346919),('NL',3276346920,3276347431),('DE',3276347432,3276347439),('NL',3276347440,3276347671),('DE',3276347672,3276347679),('NL',3276347680,3276347863),('DE',3276347864,3276347871),('NL',3276347872,3276348671),('DE',3276348672,3276348679),('NL',3276348680,3276348983),('DE',3276348984,3276348991),('NL',3276348992,3276349535),('DE',3276349536,3276349543),('NL',3276349544,3276349743),('DE',3276349744,3276349751),('NL',3276349752,3276349831),('DE',3276349832,3276349839),('NL',3276349840,3276350839),('DE',3276350840,3276350847),('NL',3276350848,3276351071),('DE',3276351072,3276351079),('NL',3276351080,3276351375),('DE',3276351376,3276351383),('NL',3276351384,3276351679),('DE',3276351680,3276351687),('NL',3276351688,3276351703),('DE',3276351704,3276351711),('NL',3276351712,3276352047),('DE',3276352048,3276352055),('NL',3276352056,3276352079),('DE',3276352080,3276352095),('NL',3276352096,3276352231),('DE',3276352232,3276352239),('NL',3276352240,3276352615),('DE',3276352616,3276352623),('NL',3276352624,3276352903),('DE',3276352904,3276352911),('NL',3276352912,3276353135),('DE',3276353136,3276353143),('NL',3276353144,3276353183),('DE',3276353184,3276353191),('NL',3276353192,3276353343),('DE',3276353344,3276353351),('NL',3276353352,3276353455),('DE',3276353456,3276353463),('NL',3276353464,3276353735),('DE',3276353736,3276353743),('NL',3276353744,3276354007),('DE',3276354008,3276354015),('NL',3276354016,3276354423),('DE',3276354424,3276354431),('NL',3276354432,3276354591),('DE',3276354592,3276354599),('NL',3276354600,3276354767),('DE',3276354768,3276354775),('NL',3276354776,3276354839),('DE',3276354840,3276354847),('NL',3276354848,3276355015),('DE',3276355016,3276355023),('NL',3276355024,3276355071),('DE',3276355072,3276355079),('NL',3276355080,3276355143),('DE',3276355144,3276355151),('NL',3276355152,3276355263),('DE',3276355264,3276355271),('NL',3276355272,3276355607),('DE',3276355608,3276355623),('NL',3276355624,3276355839),('DE',3276355840,3276355847),('NL',3276355848,3276355991),('DE',3276355992,3276355999),('NL',3276356000,3276356031),('DE',3276356032,3276356039),('NL',3276356040,3276356079),('DE',3276356080,3276356087),('NL',3276356088,3276356103),('DE',3276356104,3276356111),('NL',3276356112,3276356135),('DE',3276356136,3276356151),('NL',3276356152,3276356167),('DE',3276356168,3276356175),('NL',3276356176,3276356351),('DE',3276356352,3276356607),('NL',3276356608,3276356711),('DE',3276356712,3276356719),('NL',3276356720,3276356767),('DE',3276356768,3276356775),('NL',3276356776,3276356967),('DE',3276356968,3276356975),('NL',3276356976,3276357103),('DE',3276357104,3276357111),('NL',3276357112,3276357495),('DE',3276357496,3276357503),('NL',3276357504,3276357599),('DE',3276357600,3276357607),('NL',3276357608,3276357615),('DE',3276357616,3276357623),('NL',3276357624,3276357991),('DE',3276357992,3276357999),('NL',3276358000,3276358079),('DE',3276358080,3276358087),('NL',3276358088,3276358103),('DE',3276358104,3276358111),('NL',3276358112,3276358151),('DE',3276358152,3276358159),('NL',3276358160,3276358215),('DE',3276358216,3276358223),('NL',3276358224,3276358255),('DE',3276358256,3276358263),('NL',3276358264,3276358599),('DE',3276358600,3276358607),('NL',3276358608,3276358751),('DE',3276358752,3276358759),('NL',3276358760,3276358943),('DE',3276358944,3276358951),('NL',3276358952,3276359039),('DE',3276359040,3276359047),('NL',3276359048,3276359447),('DE',3276359448,3276359455),('NL',3276359456,3276359655),('DE',3276359656,3276359663),('NL',3276359664,3276359687),('DE',3276359688,3276359695),('NL',3276359696,3276359735),('DE',3276359736,3276359743),('NL',3276359744,3276359823),('DE',3276359824,3276359831),('NL',3276359832,3276359903),('DE',3276359904,3276359919),('NL',3276359920,3276359951),('DE',3276359952,3276359959),('NL',3276359960,3276360575),('DE',3276360576,3276360583),('NL',3276360584,3276360687),('DE',3276360688,3276360695),('NL',3276360696,3276360727),('DE',3276360728,3276360735),('NL',3276360736,3276360759),('DE',3276360760,3276360791),('NL',3276360792,3276360831),('DE',3276360832,3276360839),('NL',3276360840,3276361055),('DE',3276361056,3276361063),('NL',3276361064,3276361455),('DE',3276361456,3276361463),('NL',3276361464,3276362167),('DE',3276362168,3276362175),('NL',3276362176,3276362319),('DE',3276362320,3276362327),('NL',3276362328,3276362383),('DE',3276362384,3276362391),('NL',3276362392,3276362679),('DE',3276362680,3276362687),('NL',3276362688,3276362727),('DE',3276362728,3276362735),('NL',3276362736,3276362871),('DE',3276362872,3276362879),('NL',3276362880,3276363319),('DE',3276363320,3276363327),('NL',3276363328,3276363335),('DE',3276363336,3276363343),('NL',3276363344,3276363375),('DE',3276363376,3276363383),('NL',3276363384,3276363423),('DE',3276363424,3276363431),('NL',3276363432,3276363647),('DE',3276363648,3276363655),('NL',3276363656,3276363743),('DE',3276363744,3276363751),('NL',3276363752,3276363759),('DE',3276363760,3276363767),('NL',3276363768,3276364671),('DE',3276364672,3276364679),('NL',3276364680,3276365455),('DE',3276365456,3276365463),('NL',3276365464,3276365999),('DE',3276366000,3276366007),('NL',3276366008,3276366375),('DE',3276366376,3276366383),('NL',3276366384,3276368447),('DE',3276368448,3276368455),('NL',3276368456,3276369167),('DE',3276369168,3276369175),('NL',3276369176,3276369807),('DE',3276369808,3276369815),('NL',3276369816,3276369887),('DE',3276369888,3276369895),('NL',3276369896,3276370463),('DE',3276370464,3276370471),('NL',3276370472,3276371303),('DE',3276371304,3276371311),('NL',3276371312,3276373119),('DE',3276373120,3276373127),('NL',3276373128,3276373487),('DE',3276373488,3276373495),('NL',3276373496,3276375751),('DE',3276375752,3276375759),('NL',3276375760,3276378415),('DE',3276378416,3276378423),('NL',3276378424,3276378575),('DE',3276378576,3276378583),('NL',3276378584,3276379447),('DE',3276379448,3276379455),('NL',3276379456,3276380703),('DE',3276380704,3276380711),('NL',3276380712,3276380775),('DE',3276380776,3276380783),('NL',3276380784,3276381607),('DE',3276381608,3276381615),('NL',3276381616,3276381895),('DE',3276381896,3276381903),('NL',3276381904,3276382551),('DE',3276382552,3276382559),('NL',3276382560,3276382863),('DE',3276382864,3276382871),('NL',3276382872,3276383199),('DE',3276383200,3276383207),('NL',3276383208,3276383623),('DE',3276383624,3276383639),('NL',3276383640,3276383919),('DE',3276383920,3276383927),('NL',3276383928,3276384671),('DE',3276384672,3276384679),('NL',3276384680,3276384919),('DE',3276384920,3276384927),('NL',3276384928,3276385255),('DE',3276385256,3276385263),('NL',3276385264,3276385951),('DE',3276385952,3276385959),('NL',3276385960,3276386063),('DE',3276386064,3276386071),('NL',3276386072,3276386087),('DE',3276386088,3276386095),('NL',3276386096,3276386199),('DE',3276386200,3276386207),('NL',3276386208,3276386431),('DE',3276386432,3276386439),('NL',3276386440,3276386447),('DE',3276386448,3276386455),('NL',3276386456,3276387071),('DE',3276387072,3276387079),('NL',3276387080,3276387519),('DE',3276387520,3276387527),('NL',3276387528,3276387727),('DE',3276387728,3276387735),('NL',3276387736,3276387815),('DE',3276387816,3276387823),('NL',3276387824,3276388031),('DE',3276388032,3276388039),('NL',3276388040,3276388823),('DE',3276388824,3276388831),('NL',3276388832,3276389063),('DE',3276389064,3276389071),('NL',3276389072,3276389247),('DE',3276389248,3276389255),('NL',3276389256,3276389311),('DE',3276389312,3276389319),('NL',3276389320,3276389351),('DE',3276389352,3276389359),('NL',3276389360,3276389439),('DE',3276389440,3276389447),('NL',3276389448,3276389479),('DE',3276389480,3276389487),('NL',3276389488,3276392543),('DE',3276392544,3276392551),('NL',3276392552,3276393391),('DE',3276393392,3276393399),('NL',3276393400,3276394623),('DE',3276394624,3276394631),('NL',3276394632,3276394847),('DE',3276394848,3276394855),('NL',3276394856,3276395631),('DE',3276395632,3276395639),('NL',3276395640,3276396351),('DE',3276396352,3276396359),('NL',3276396360,3276396655),('DE',3276396656,3276396663),('NL',3276396664,3276396847),('DE',3276396848,3276396855),('NL',3276396856,3276396863),('DE',3276396864,3276396871),('NL',3276396872,3276397751),('DE',3276397752,3276397759),('NL',3276397760,3276399015),('DE',3276399016,3276399023),('NL',3276399024,3276400015),('DE',3276400016,3276400023),('NL',3276400024,3276400351),('DE',3276400352,3276400367),('NL',3276400368,3276400519),('DE',3276400520,3276400527),('NL',3276400528,3276401319),('DE',3276401320,3276401327),('NL',3276401328,3276403399),('DE',3276403400,3276403407),('NL',3276403408,3276404103),('DE',3276404104,3276404111),('NL',3276404112,3276404391),('DE',3276404392,3276404399),('NL',3276404400,3276404487),('DE',3276404488,3276404495),('NL',3276404496,3276405663),('DE',3276405664,3276405671),('NL',3276405672,3276406783),('FI',3276406784,3276414975),('DK',3276414976,3276415999),('SE',3276416000,3276417023),('DE',3276417024,3276419071),('PL',3276419072,3276420095),('GB',3276420096,3276421119),('PL',3276421120,3276422143),('GB',3276422144,3276423167),('PL',3276423168,3276423423),('NL',3276423424,3276423679),('SE',3276423680,3276423935),('UA',3276423936,3276424191),('GB',3276424192,3276424447),('PL',3276424448,3276424703),('DE',3276424704,3276424959),('RO',3276424960,3276425215),('UA',3276425216,3276425471),('DE',3276425472,3276425727),('RU',3276425728,3276425983),('IT',3276425984,3276426239),('DK',3276426240,3276426751),('RO',3276426752,3276427007),('PL',3276427008,3276427263),('FR',3276427264,3276427519),('IT',3276427520,3276427775),('RU',3276427776,3276428031),('GB',3276428032,3276428287),('RU',3276428288,3276428543),('BG',3276428544,3276428799),('DE',3276428800,3276429311),('RU',3276429312,3276430079),('PL',3276430080,3276430591),('GB',3276430592,3276430847),('DE',3276430848,3276431103),('RU',3276431104,3276431359),('GB',3276431360,3276447743),('DE',3276447744,3276451583),('EU',3276451584,3276455935),('BE',3276455936,3276464127),('GR',3276464128,3276472319),('EU',3276472320,3276472575),('AT',3276472576,3276472831),('EU',3276472832,3276472863),('AT',3276472864,3276472895),('EU',3276472896,3276473103),('AT',3276473104,3276473111),('EU',3276473112,3276473119),('AT',3276473120,3276473135),('EU',3276473136,3276473143),('AT',3276473144,3276473199),('EU',3276473200,3276473215),('AT',3276473216,3276473279),('EU',3276473280,3276473295),('AT',3276473296,3276473311),('EU',3276473312,3276473343),('AT',3276473344,3276473855),('EU',3276473856,3276474223),('AT',3276474224,3276474239),('EU',3276474240,3276474271),('AT',3276474272,3276474303),('EU',3276474304,3276474319),('AT',3276474320,3276474367),('EU',3276474368,3276475007),('IT',3276475008,3276475391),('EU',3276475392,3276475903),('IT',3276475904,3276476095),('EU',3276476096,3276476111),('GB',3276476112,3276476119),('IT',3276476120,3276476159),('GB',3276476160,3276476287),('IT',3276476288,3276476415),('CH',3276476416,3276476671),('EU',3276476672,3276477439),('CH',3276477440,3276477967),('EU',3276477968,3276477975),('CH',3276477976,3276477983),('EU',3276477984,3276478303),('CH',3276478304,3276478311),('EU',3276478312,3276478319),('CH',3276478320,3276478335),('EU',3276478336,3276478463),('FR',3276478464,3276479023),('EU',3276479024,3276479039),('FR',3276479040,3276479167),('EU',3276479168,3276479199),('FR',3276479200,3276479215),('EU',3276479216,3276479223),('FR',3276479224,3276479343),('GB',3276479344,3276479351),('FR',3276479352,3276479615),('EU',3276479616,3276479647),('FR',3276479648,3276479743),('EU',3276479744,3276479999),('FR',3276480000,3276480031),('EU',3276480032,3276480063),('FR',3276480064,3276480095),('EU',3276480096,3276480111),('FR',3276480112,3276480127),('EU',3276480128,3276480143),('FR',3276480144,3276480263),('EU',3276480264,3276480303),('FR',3276480304,3276480319),('EU',3276480320,3276480351),('FR',3276480352,3276480479),('EU',3276480480,3276480511),('RU',3276480512,3276480767),('EU',3276480768,3276481023),('RU',3276481024,3276481535),('EU',3276481536,3276482559),('GR',3276482560,3276482815),('EU',3276482816,3276483071),('GR',3276483072,3276483359),('EU',3276483360,3276483391),('GR',3276483392,3276483519),('EU',3276483520,3276483583),('GR',3276483584,3276483711),('EU',3276483712,3276483839),('GR',3276483840,3276484351),('EU',3276484352,3276484383),('GR',3276484384,3276484479),('EU',3276484480,3276484607),('SK',3276484608,3276484863),('EU',3276484864,3276485631),('GB',3276485632,3276486655),('EU',3276486656,3276486911),('GR',3276486912,3276487167),('EU',3276487168,3276488959),('CZ',3276488960,3276489215),('EU',3276489216,3276490751),('NL',3276490752,3276491263),('CZ',3276491264,3276491327),('EU',3276491328,3276491391),('CZ',3276491392,3276491775),('GB',3276491776,3276491847),('EU',3276491848,3276491855),('GB',3276491856,3276491903),('EU',3276491904,3276491967),('GB',3276491968,3276492127),('EU',3276492128,3276492295),('GB',3276492296,3276492543),('EU',3276492544,3276492799),('GB',3276492800,3276493183),('EU',3276493184,3276493247),('GB',3276493248,3276494383),('EU',3276494384,3276494415),('GB',3276494416,3276494559),('EU',3276494560,3276494591),('GB',3276494592,3276495679),('EU',3276495680,3276495711),('GB',3276495712,3276495743),('EU',3276495744,3276495775),('GB',3276495776,3276495823),('EU',3276495824,3276495831),('GB',3276495832,3276496639),('DE',3276496640,3276497151),('EU',3276497152,3276497215),('DE',3276497216,3276497271),('EU',3276497272,3276497279),('DE',3276497280,3276497295),('EU',3276497296,3276497303),('DE',3276497304,3276497375),('EU',3276497376,3276497407),('DE',3276497408,3276497567),('EU',3276497568,3276497583),('DE',3276497584,3276497599),('EU',3276497600,3276497615),('DE',3276497616,3276497919),('GB',3276497920,3276498431),('DE',3276498432,3276499199),('EU',3276499200,3276499455),('DE',3276499456,3276499503),('EU',3276499504,3276499511),('DE',3276499512,3276499615),('EU',3276499616,3276499679),('DE',3276499680,3276499695),('EU',3276499696,3276499711),('DE',3276499712,3276499759),('GB',3276499760,3276499775),('DE',3276499776,3276499815),('EU',3276499816,3276499871),('DE',3276499872,3276499903),('EU',3276499904,3276499935),('DE',3276499936,3276499999),('CH',3276500000,3276500031),('DE',3276500032,3276500095),('EU',3276500096,3276500127),('DE',3276500128,3276500159),('EU',3276500160,3276500479),('DE',3276500480,3276500735),('EU',3276500736,3276500991),('DE',3276500992,3276501023),('FR',3276501024,3276501055),('DE',3276501056,3276501087),('EU',3276501088,3276501119),('DE',3276501120,3276501175),('EU',3276501176,3276501247),('DE',3276501248,3276501503),('EU',3276501504,3276502271),('DE',3276502272,3276505087),('ZA',3276505088,3276505599),('EU',3276505600,3276505855),('ZA',3276505856,3276505919),('EU',3276505920,3276505983),('ZA',3276505984,3276506079),('EU',3276506080,3276506095),('ZA',3276506096,3276506191),('EU',3276506192,3276506207),('ZA',3276506208,3276507135),('CH',3276507136,3276507231),('EU',3276507232,3276507391),('CH',3276507392,3276507647),('EU',3276507648,3276508159),('GB',3276508160,3276508327),('EU',3276508328,3276508351),('FR',3276508352,3276508415),('GB',3276508416,3276508671),('EU',3276508672,3276508679),('GB',3276508680,3276509183),('IT',3276509184,3276510207),('EU',3276510208,3276510719),('IT',3276510720,3276510735),('EU',3276510736,3276510783),('IT',3276510784,3276510847),('GB',3276510848,3276510911),('EU',3276510912,3276511487),('ZA',3276511488,3276511775),('EU',3276511776,3276511807),('ZA',3276511808,3276511839),('EU',3276511840,3276511871),('ZA',3276511872,3276511951),('EU',3276511952,3276511967),('ZA',3276511968,3276512223),('EU',3276512224,3276512255),('ZA',3276512256,3276513023),('EU',3276513024,3276513535),('CH',3276513536,3276513599),('EU',3276513600,3276514335),('CH',3276514336,3276514367),('EU',3276514368,3276514559),('CH',3276514560,3276514815),('EU',3276514816,3276515327),('ES',3276515328,3276515583),('EU',3276515584,3276517375),('NL',3276517376,3276517503),('EU',3276517504,3276517631),('NL',3276517632,3276517647),('EU',3276517648,3276517655),('NL',3276517656,3276517759),('EU',3276517760,3276517791),('NL',3276517792,3276517823),('EU',3276517824,3276517831),('NL',3276517832,3276517887),('EU',3276517888,3276517903),('NL',3276517904,3276517951),('EU',3276517952,3276518015),('NL',3276518016,3276518023),('EU',3276518024,3276518055),('NL',3276518056,3276518063),('EU',3276518064,3276518071),('NL',3276518072,3276518095),('EU',3276518096,3276518111),('NL',3276518112,3276518175),('EU',3276518176,3276518183),('NL',3276518184,3276518271),('EU',3276518272,3276518303),('NL',3276518304,3276518335),('EU',3276518336,3276518351),('NL',3276518352,3276518367),('EU',3276518368,3276518399),('BE',3276518400,3276518655),('EU',3276518656,3276518911),('BE',3276518912,3276519423),('DK',3276519424,3276520191),('EU',3276520192,3276520199),('BE',3276520200,3276520223),('GB',3276520224,3276520255),('BE',3276520256,3276520415),('EU',3276520416,3276520431),('BE',3276520432,3276520447),('SE',3276520448,3276520599),('EU',3276520600,3276520607),('SE',3276520608,3276520727),('EU',3276520728,3276520783),('SE',3276520784,3276520815),('EU',3276520816,3276520831),('SE',3276520832,3276520927),('EU',3276520928,3276520935),('SE',3276520936,3276521471),('EU',3276521472,3276521983),('NL',3276521984,3276523519),('EU',3276523520,3276523775),('NO',3276523776,3276523911),('EU',3276523912,3276523927),('NO',3276523928,3276523951),('EU',3276523952,3276523967),('NO',3276523968,3276524031),('EU',3276524032,3276524063),('TR',3276524064,3276524095),('EU',3276524096,3276524159),('TR',3276524160,3276524279),('EU',3276524280,3276524543),('GB',3276524544,3276524799),('PT',3276524800,3276524823),('EU',3276524824,3276524831),('PT',3276524832,3276524847),('EU',3276524848,3276525023),('PT',3276525024,3276525039),('EU',3276525040,3276525055),('FI',3276525056,3276525311),('EU',3276525312,3276525503),('HR',3276525504,3276525527),('PL',3276525528,3276525535),('HR',3276525536,3276525567),('EU',3276525568,3276526079),('CH',3276526080,3276526095),('EU',3276526096,3276526103),('CH',3276526104,3276526111),('EU',3276526112,3276526143),('CH',3276526144,3276526175),('EU',3276526176,3276526335),('CH',3276526336,3276526591),('EU',3276526592,3276527103),('SI',3276527104,3276527135),('EU',3276527136,3276527143),('SI',3276527144,3276527151),('EU',3276527152,3276527167),('SI',3276527168,3276527199),('EU',3276527200,3276527215),('SI',3276527216,3276527231),('EU',3276527232,3276527359),('SI',3276527360,3276527615),('PK',3276527616,3276527743),('EU',3276527744,3276527871),('PK',3276527872,3276527999),('EU',3276528000,3276528127),('BE',3276528128,3276528223),('GB',3276528224,3276528239),('BE',3276528240,3276528247),('GB',3276528248,3276528255),('BE',3276528256,3276528351),('EU',3276528352,3276528367),('BE',3276528368,3276528399),('EU',3276528400,3276528447),('BE',3276528448,3276528503),('EU',3276528504,3276528519),('GB',3276528520,3276528527),('EU',3276528528,3276528543),('BE',3276528544,3276528567),('EU',3276528568,3276528575),('BE',3276528576,3276528671),('EU',3276528672,3276528687),('BE',3276528688,3276528719),('FR',3276528720,3276528727),('BE',3276528728,3276528799),('GB',3276528800,3276528815),('FR',3276528816,3276528831),('BE',3276528832,3276528895),('IE',3276528896,3276528943),('EU',3276528944,3276528959),('IE',3276528960,3276529151),('TR',3276529152,3276529167),('EU',3276529168,3276529183),('TR',3276529184,3276529279),('EU',3276529280,3276529327),('TR',3276529328,3276529375),('EU',3276529376,3276529391),('TR',3276529392,3276529407),('EU',3276529408,3276529663),('NL',3276529664,3276530495),('EU',3276530496,3276530559),('NL',3276530560,3276532735),('TR',3276532736,3276532767),('EU',3276532768,3276532775),('TR',3276532776,3276532791),('EU',3276532792,3276532855),('TR',3276532856,3276532991),('HU',3276532992,3276533023),('EU',3276533024,3276533071),('HU',3276533072,3276533087),('EU',3276533088,3276533103),('HU',3276533104,3276533183),('EU',3276533184,3276533247),('TR',3276533248,3276533391),('EU',3276533392,3276533759),('IE',3276533760,3276533775),('GB',3276533776,3276533791),('EU',3276533792,3276533823),('IE',3276533824,3276533887),('EU',3276533888,3276533919),('IE',3276533920,3276534015),('NL',3276534016,3276534271),('GB',3276534272,3276534415),('NL',3276534416,3276534431),('GB',3276534432,3276534463),('FR',3276534464,3276534495),('EU',3276534496,3276534511),('NL',3276534512,3276534591),('EU',3276534592,3276534607),('NL',3276534608,3276534671),('EU',3276534672,3276534687),('NL',3276534688,3276534719),('EU',3276534720,3276534783),('NL',3276534784,3276534879),('EU',3276534880,3276534887),('NL',3276534888,3276534895),('EU',3276534896,3276534927),('NL',3276534928,3276534975),('EU',3276534976,3276534991),('NL',3276534992,3276535007),('EU',3276535008,3276535015),('GB',3276535016,3276535039),('RU',3276535040,3276535063),('LV',3276535064,3276535071),('RU',3276535072,3276535103),('EU',3276535104,3276535295),('FI',3276535296,3276535311),('EU',3276535312,3276535319),('FI',3276535320,3276535327),('EU',3276535328,3276535335),('FI',3276535336,3276535359),('EU',3276535360,3276535367),('FI',3276535368,3276535423),('EU',3276535424,3276535551),('PK',3276535552,3276535807),('FI',3276535808,3276536063),('EU',3276536064,3276536319),('ES',3276536320,3276536415),('EU',3276536416,3276536447),('ES',3276536448,3276536511),('EU',3276536512,3276536583),('HR',3276536584,3276536591),('EU',3276536592,3276536639),('HU',3276536640,3276536671),('EU',3276536672,3276536687),('HU',3276536688,3276536711),('EU',3276536712,3276536719),('HU',3276536720,3276536743),('EU',3276536744,3276536863),('ES',3276536864,3276536895),('EU',3276536896,3276536927),('ES',3276536928,3276536959),('EU',3276536960,3276536967),('ES',3276536968,3276536991),('EU',3276536992,3276537151),('AT',3276537152,3276537215),('EU',3276537216,3276537343),('AT',3276537344,3276537599),('GR',3276537600,3276537663),('EU',3276537664,3276537855),('ES',3276537856,3276668927),('MC',3276668928,3276677119),('HR',3276677120,3276678143),('SE',3276678144,3276678655),('UA',3276678656,3276679167),('DE',3276679168,3276679679),('RO',3276679680,3276680191),('SK',3276680192,3276680703),('AT',3276680704,3276681215),('PL',3276681216,3276681727),('BE',3276681728,3276682239),('AT',3276682240,3276682751),('GB',3276682752,3276683263),('UA',3276683264,3276684799),('DE',3276684800,3276685311),('RO',3276685312,3276685823),('PL',3276685824,3276686335),('UA',3276686336,3276686847),('FI',3276686848,3276687359),('RU',3276687360,3276687871),('KW',3276687872,3276688383),('DE',3276688384,3276688895),('ES',3276688896,3276689407),('GB',3276689408,3276690431),('NL',3276690432,3276690943),('GR',3276690944,3276691455),('RO',3276691456,3276691967),('RU',3276691968,3276692479),('UA',3276692480,3276692991),('GB',3276692992,3276693503),('FR',3276693504,3276701695),('SE',3276701696,3276709887),('DE',3276709888,3276718079),('IT',3276718080,3276726271),('PK',3276726272,3276727295),('ES',3276727296,3276728319),('UA',3276728320,3276729343),('PL',3276729344,3276730367),('DE',3276730368,3276731391),('UA',3276731392,3276732415),('DE',3276732416,3276733439),('UA',3276733440,3276734463),('AT',3276734464,3276734735),('DK',3276734736,3276734751),('AT',3276734752,3276734815),('DE',3276734816,3276734847),('EU',3276734848,3276734879),('GB',3276734880,3276734895),('NL',3276734896,3276734911),('FR',3276734912,3276734943),('AT',3276734944,3276735455),('NL',3276735456,3276735487),('AT',3276735488,3276735871),('EU',3276735872,3276735935),('ES',3276735936,3276735999),('AT',3276736000,3276736511),('IT',3276736512,3276736575),('GB',3276736576,3276736735),('EU',3276736736,3276736767),('IT',3276736768,3276736799),('DE',3276736800,3276736815),('CZ',3276736816,3276736831),('NL',3276736832,3276736863),('DE',3276736864,3276736871),('NL',3276736872,3276736879),('DK',3276736880,3276736959),('CH',3276736960,3276736991),('GB',3276736992,3276737015),('BE',3276737016,3276737023),('IT',3276737024,3276737343),('DE',3276737344,3276737407),('ES',3276737408,3276737535),('IT',3276737536,3276737615),('DE',3276737616,3276737631),('RU',3276737632,3276737791),('NL',3276737792,3276737935),('DE',3276737936,3276737943),('GB',3276737944,3276737991),('IT',3276737992,3276737999),('GB',3276738000,3276738015),('BE',3276738016,3276738047),('GB',3276738048,3276738079),('ES',3276738080,3276738111),('GB',3276738112,3276738143),('IT',3276738144,3276738175),('GB',3276738176,3276738559),('CH',3276738560,3276738847),('EU',3276738848,3276739071),('CH',3276739072,3276739151),('EU',3276739152,3276739167),('CH',3276739168,3276740127),('GB',3276740128,3276740167),('DE',3276740168,3276740175),('NL',3276740176,3276740191),('EU',3276740192,3276740223),('CH',3276740224,3276740351),('FR',3276740352,3276740703),('IT',3276740704,3276740719),('CZ',3276740720,3276740735),('PT',3276740736,3276740799),('SI',3276740800,3276740815),('SK',3276740816,3276740831),('DE',3276740832,3276740863),('FR',3276740864,3276741375),('EU',3276741376,3276741631),('FR',3276741632,3276742655),('RU',3276742656,3276742735),('NL',3276742736,3276742751),('GR',3276742752,3276742783),('HU',3276742784,3276742911),('AT',3276742912,3276743071),('DE',3276743072,3276743103),('HU',3276743104,3276743135),('NL',3276743136,3276743167),('EU',3276743168,3276743423),('AT',3276743424,3276743903),('BE',3276743904,3276743935),('AT',3276743936,3276744191),('BE',3276744192,3276744703),('IT',3276744704,3276744959),('GR',3276744960,3276745215),('DK',3276745216,3276745295),('NL',3276745296,3276745311),('DK',3276745312,3276745343),('DE',3276745344,3276745407),('DK',3276745408,3276745727),('GB',3276745728,3276746047),('DE',3276746048,3276746111),('IT',3276746112,3276746239),('GB',3276746240,3276746335),('BE',3276746336,3276746351),('NL',3276746352,3276746367),('GB',3276746368,3276746751),('CH',3276746752,3276748287),('GB',3276748288,3276748799),('AT',3276748800,3276748951),('GB',3276748952,3276748959),('AT',3276748960,3276749023),('IT',3276749024,3276749055),('AT',3276749056,3276749087),('FR',3276749088,3276749103),('EU',3276749104,3276749119),('NL',3276749120,3276749183),('DE',3276749184,3276749311),('BE',3276749312,3276749343),('DE',3276749344,3276749375),('BE',3276749376,3276749823),('NL',3276749824,3276750151),('GB',3276750152,3276750159),('FR',3276750160,3276750175),('BE',3276750176,3276750207),('FR',3276750208,3276750335),('GB',3276750336,3276750431),('EU',3276750432,3276750463),('GB',3276750464,3276751039),('FR',3276751040,3276751071),('GB',3276751072,3276751087),('NL',3276751088,3276751103),('GB',3276751104,3276751175),('SE',3276751176,3276751199),('EU',3276751200,3276751231),('IL',3276751232,3276751295),('AT',3276751296,3276751359),('GB',3276751360,3276753055),('NO',3276753056,3276753071),('GB',3276753072,3276753119),('IT',3276753120,3276753151),('GB',3276753152,3276753375),('FI',3276753376,3276753407),('GB',3276753408,3276753951),('HU',3276753952,3276753983),('GB',3276753984,3276754991),('DE',3276754992,3276755007),('HU',3276755008,3276755071),('DE',3276755072,3276755199),('GB',3276755200,3276755775),('NO',3276755776,3276755791),('RU',3276755792,3276755807),('GB',3276755808,3276755839),('ES',3276755840,3276755967),('GB',3276755968,3276756031),('NL',3276756032,3276756063),('BE',3276756064,3276756095),('GB',3276756096,3276756287),('SE',3276756288,3276756319),('FR',3276756320,3276756351),('GB',3276756352,3276756671),('DE',3276756672,3276756735),('GB',3276756736,3276757119),('NO',3276757120,3276757135),('NL',3276757136,3276757151),('GB',3276757152,3276757183),('EU',3276757184,3276757247),('GB',3276757248,3276757503),('EU',3276757504,3276757759),('GB',3276757760,3276757823),('DE',3276757824,3276757839),('ES',3276757840,3276757855),('CH',3276757856,3276757887),('GB',3276757888,3276759039),('DE',3276759040,3276759695),('NL',3276759696,3276759711),('DE',3276759712,3276759743),('CH',3276759744,3276759775),('EU',3276759776,3276759807),('DE',3276759808,3276761215),('ES',3276761216,3276761279),('DE',3276761280,3276761919),('GB',3276761920,3276761983),('DK',3276761984,3276762015),('FR',3276762016,3276762111),('DE',3276762112,3276762623),('EU',3276762624,3276762879),('DE',3276762880,3276762943),('GB',3276762944,3276762959),('IT',3276762960,3276762975),('NO',3276762976,3276763007),('DE',3276763008,3276763327),('SE',3276763328,3276763391),('DE',3276763392,3276763519),('IT',3276763520,3276763551),('CH',3276763552,3276763567),('GR',3276763568,3276763583),('GB',3276763584,3276763647),('DE',3276763648,3276763967),('DK',3276763968,3276763983),('GB',3276763984,3276763991),('BE',3276763992,3276763999),('IT',3276764000,3276764031),('EU',3276764032,3276764159),('DE',3276764160,3276765183),('GB',3276765184,3276766975),('FR',3276766976,3276766983),('EU',3276766984,3276766991),('FR',3276766992,3276767015),('DK',3276767016,3276767023),('BE',3276767024,3276767039),('FR',3276767040,3276767079),('GB',3276767080,3276767087),('NL',3276767088,3276767103),('FR',3276767104,3276767231),('ZA',3276767232,3276767743),('NL',3276767744,3276767807),('DK',3276767808,3276767871),('NL',3276767872,3276767935),('FR',3276767936,3276767967),('AT',3276767968,3276767999),('NL',3276768000,3276768511),('DE',3276768512,3276768767),('ES',3276768768,3276768863),('AT',3276768864,3276768895),('HU',3276768896,3276769023),('DE',3276769024,3276769279),('ES',3276769280,3276769295),('DE',3276769296,3276769311),('CH',3276769312,3276769343),('NL',3276769344,3276769407),('ES',3276769408,3276769919),('EU',3276769920,3276769983),('AT',3276769984,3276770015),('IT',3276770016,3276770031),('CH',3276770032,3276770047),('ES',3276770048,3276770143),('FI',3276770144,3276770175),('ES',3276770176,3276770239),('DK',3276770240,3276770303),('ES',3276770304,3276770815),('EU',3276770816,3276770943),('ES',3276770944,3276771135),('EU',3276771136,3276771199),('ES',3276771200,3276771327),('NL',3276771328,3276771455),('GB',3276771456,3276771583),('NL',3276771584,3276772287),('AT',3276772288,3276772351),('BE',3276772352,3276772567),('EU',3276772568,3276772575),('BE',3276772576,3276773375),('DK',3276773376,3276774047),('FI',3276774048,3276774079),('DK',3276774080,3276774095),('EU',3276774096,3276774111),('IE',3276774112,3276774143),('DK',3276774144,3276774271),('DE',3276774272,3276774303),('FR',3276774304,3276774335),('GB',3276774336,3276774399),('SE',3276774400,3276774543),('GB',3276774544,3276774559),('DE',3276774560,3276774591),('CH',3276774592,3276774655),('SE',3276774656,3276775103),('NL',3276775104,3276775167),('SE',3276775168,3276775295),('FR',3276775296,3276775359),('DK',3276775360,3276775391),('DE',3276775392,3276775423),('NL',3276775424,3276781151),('FR',3276781152,3276781247),('BE',3276781248,3276781311),('NL',3276781312,3276781503),('FR',3276781504,3276781567),('BE',3276781568,3276782719),('EU',3276782720,3276782783),('FR',3276782784,3276782799),('CZ',3276782800,3276782815),('ES',3276782816,3276782847),('BE',3276782848,3276782975),('GR',3276782976,3276783039),('DK',3276783040,3276783055),('GB',3276783056,3276783071),('PT',3276783072,3276783087),('CH',3276783088,3276783103),('IT',3276783104,3276783615),('FR',3276783616,3276784383),('EU',3276784384,3276784639),('FR',3276784640,3276784895),('NO',3276784896,3276785151),('IE',3276785152,3276785407),('PT',3276785408,3276785439),('GR',3276785440,3276785455),('GB',3276785456,3276785463),('IE',3276785464,3276785471),('PT',3276785472,3276785535),('BE',3276785536,3276785567),('PT',3276785568,3276785599),('TR',3276785600,3276785607),('PL',3276785608,3276785615),('CZ',3276785616,3276785631),('IT',3276785632,3276785663),('IL',3276785664,3276785791),('NL',3276785792,3276785823),('EU',3276785824,3276785855),('GB',3276785856,3276785919),('AT',3276785920,3276786175),('NO',3276786176,3276786431),('EU',3276786432,3276786687),('HU',3276786688,3276786815),('SE',3276786816,3276786879),('TR',3276786880,3276786911),('BE',3276786912,3276786943),('AT',3276786944,3276787359),('DE',3276787360,3276787391),('BE',3276787392,3276787455),('FR',3276787456,3276787775),('EU',3276787776,3276787967),('FR',3276787968,3276788735),('IE',3276788736,3276788863),('DE',3276788864,3276788895),('EU',3276788896,3276788927),('NL',3276788928,3276788991),('NO',3276788992,3276789247),('FI',3276789248,3276789439),('EU',3276789440,3276789503),('FR',3276789504,3276789567),('ES',3276789568,3276789583),('FR',3276789584,3276789599),('ES',3276789600,3276789615),('NL',3276789616,3276789631),('FR',3276789632,3276789759),('IT',3276789760,3276790015),('ES',3276790016,3276790111),('FR',3276790112,3276790127),('NL',3276790128,3276790143),('IT',3276790144,3276790175),('NL',3276790176,3276790199),('DE',3276790200,3276790207),('NL',3276790208,3276790223),('GB',3276790224,3276790271),('IE',3276790272,3276790527),('HU',3276790528,3276790783),('PK',3276790784,3276790943),('IT',3276790944,3276791007),('NL',3276791008,3276791039),('GB',3276791040,3276791295),('PT',3276791296,3276791327),('EU',3276791328,3276791551),('GB',3276791552,3276792831),('FR',3276792832,3276793087),('GB',3276793088,3276793279),('IE',3276793280,3276793343),('FR',3276793344,3276793735),('NL',3276793736,3276793743),('BE',3276793744,3276793751),('FR',3276793752,3276793759),('PL',3276793760,3276793791),('FR',3276793792,3276793855),('EU',3276793856,3276794111),('NL',3276794112,3276794255),('DE',3276794256,3276794271),('EU',3276794272,3276794303),('DK',3276794304,3276794335),('NL',3276794336,3276794367),('BE',3276794368,3276795903),('AT',3276795904,3276797951),('EU',3276797952,3276799103),('GB',3276799104,3276799231),('EU',3276799232,3276799295),('GB',3276799296,3276799359),('NL',3276799360,3276799391),('AT',3276799392,3276799455),('PL',3276799456,3276799471),('NL',3276799472,3276799487),('DE',3276799488,3276799743),('NL',3276799744,3276799775),('GB',3276799776,3276799807),('FR',3276799808,3276799839),('ES',3276799840,3276799871),('NL',3276799872,3276799999),('GB',3276800000,3276824575),('EE',3276824576,3276832767),('FR',3276832768,3276840959),('SK',3276840960,3276849151),('DE',3276849152,3276857343),('RU',3276857344,3276857599),('SI',3276857600,3276857855),('NL',3276857856,3276858111),('KW',3276858112,3276858367),('RU',3276858368,3276858623),('PL',3276858624,3276858879),('DE',3276858880,3276859135),('UA',3276859136,3276859647),('CH',3276859648,3276859903),('AT',3276859904,3276860159),('CH',3276860160,3276860415),('PL',3276860416,3276860927),('BE',3276860928,3276861183),('DE',3276861184,3276861439),('DK',3276861440,3276865535),('NL',3276865536,3276866559),('IT',3276866560,3276866815),('DE',3276866816,3276867071),('IT',3276867072,3276868095),('GB',3276868096,3276868607),('NL',3276868608,3276868863),('GB',3276868864,3276869887),('NL',3276869888,3276870143),('GB',3276870144,3276875263),('NL',3276875264,3276875775),('GB',3276875776,3276876799),('AT',3276876800,3276876823),('GB',3276876824,3276877303),('AT',3276877304,3276877311),('GB',3276877312,3276877559),('AT',3276877560,3276877567),('GB',3276877568,3276877815),('AT',3276877816,3276877823),('BG',3276877824,3276877831),('GB',3276877832,3276879871),('DK',3276879872,3276880127),('GB',3276880128,3276883967),('PL',3276883968,3276884223),('GB',3276884224,3276886015),('RO',3276886016,3276886271),('GB',3276886272,3276895999),('CZ',3276896000,3276896255),('BE',3276896256,3276896383),('GB',3276896384,3276896511),('BE',3276896512,3276896767),('GB',3276896768,3276898303),('CH',3276898304,3276898375),('GB',3276898376,3276898383),('CH',3276898384,3276898399),('GB',3276898400,3276898431),('CH',3276898432,3276899071),('GB',3276899072,3276902399),('SE',3276902400,3276902431),('GB',3276902432,3276902463),('SE',3276902464,3276902527),('GB',3276902528,3276906495),('NL',3276906496,3276906583),('GB',3276906584,3276906623),('NL',3276906624,3276906751),('GB',3276906752,3276910847),('IT',3276910848,3276913167),('GB',3276913168,3276913663),('IT',3276913664,3276913919),('US',3276913920,3276913983),('IT',3276913984,3276914079),('GB',3276914080,3276914111),('IT',3276914112,3276914175),('GB',3276914176,3276914431),('IT',3276914432,3276914687),('ES',3276914688,3276916047),('GB',3276916048,3276916223),('ES',3276916224,3276916479),('GB',3276916480,3276918783),('DE',3276918784,3276919367),('GB',3276919368,3276922623),('FR',3276922624,3276923775),('GB',3276923776,3276923791),('FR',3276923792,3276923799),('GB',3276923800,3276923807),('FR',3276923808,3276923839),('GB',3276923840,3276923903),('FR',3276923904,3276923935),('GB',3276923936,3276924159),('FR',3276924160,3276924167),('GB',3276924168,3276924223),('FR',3276924224,3276924287),('GB',3276924288,3276931071),('KZ',3276931072,3276939263),('DE',3276939264,3276955647),('GB',3276955648,3276963839),('IL',3276963840,3276964351),('RO',3276964352,3276965375),('RU',3276965376,3276966399),('BH',3276966400,3276966911),('RU',3276966912,3276968959),('RO',3276968960,3276969471),('UA',3276969472,3276969983),('NL',3276969984,3276970495),('RU',3276970496,3276971519),('DE',3276971520,3276972031),('PL',3276972032,3276980223),('DK',3276980224,3276988415),('AT',3276988416,3276996607),('FR',3276996608,3277062143),('SE',3277062144,3277127679),('DK',3277127680,3277160447),('NL',3277160448,3277176831),('SI',3277176832,3277177087),('GB',3277177088,3277177343),('RO',3277177344,3277177599),('PL',3277177600,3277178111),('UA',3277178112,3277178623),('PL',3277178624,3277178879),('ES',3277178880,3277179135),('RO',3277179136,3277179391),('DE',3277179392,3277179647),('BE',3277179648,3277180159),('NL',3277180160,3277180415),('GB',3277180416,3277180671),('FR',3277180672,3277180927),('DE',3277180928,3277181183),('PL',3277181184,3277181439),('DE',3277181440,3277181695),('RO',3277181696,3277181951),('IT',3277181952,3277182207),('RU',3277182208,3277182463),('UA',3277182464,3277182719),('BG',3277182720,3277182975),('UA',3277182976,3277183231),('DE',3277183232,3277183487),('DK',3277183488,3277183743),('UA',3277183744,3277183999),('DE',3277184000,3277184255),('PT',3277184256,3277184511),('DE',3277184512,3277184767),('UA',3277184768,3277185023),('SA',3277185024,3277185279),('NL',3277185280,3277185535),('DE',3277185536,3277185791),('PL',3277185792,3277186047),('IT',3277186048,3277186303),('DE',3277186304,3277186559),('PL',3277186560,3277186815),('RU',3277186816,3277187071),('GB',3277187072,3277187327),('UA',3277187328,3277187583),('RU',3277187584,3277188351),('GB',3277188352,3277188607),('RU',3277188608,3277188863),('RO',3277188864,3277189119),('DE',3277189120,3277189375),('PL',3277189376,3277189631),('TR',3277189632,3277189887),('PL',3277189888,3277190143),('SE',3277190144,3277190399),('GB',3277190400,3277190655),('BE',3277190656,3277190911),('FR',3277190912,3277191167),('DK',3277191168,3277191423),('PL',3277191424,3277191679),('UA',3277191680,3277191935),('DK',3277191936,3277192191),('PL',3277192192,3277192447),('DK',3277192448,3277192703),('DE',3277192704,3277192959),('TR',3277192960,3277193215),('NL',3277193216,3277254727),('DE',3277254728,3277254735),('NL',3277254736,3277258751),('TR',3277258752,3277324287),('GB',3277389824,3277395951),('IE',3277395952,3277395967),('GB',3277395968,3277452647),('DK',3277452648,3277452655),('GB',3277452656,3277455359),('DE',3277455360,3277463551),('GB',3277463552,3277463807),('US',3277463808,3277464063),('FR',3277464064,3277464575),('BE',3277464576,3277464831),('IL',3277464832,3277465087),('FR',3277465088,3277465599),('EU',3277465600,3277466367),('US',3277466368,3277466495),('EU',3277466496,3277466623),('US',3277466624,3277466879),('EU',3277466880,3277467471),('CA',3277467472,3277467551),('EU',3277467552,3277467647),('US',3277467648,3277467663),('EU',3277467664,3277467903),('US',3277467904,3277467919),('EU',3277467920,3277468095),('US',3277468096,3277468607),('EU',3277468608,3277468671),('US',3277468672,3277468735),('EU',3277468736,3277468927),('US',3277468928,3277469056),('EU',3277469057,3277469183),('US',3277469184,3277469439),('EU',3277469440,3277471743),('NL',3277471744,3277472511),('EU',3277472512,3277472607),('IL',3277472608,3277472623),('EU',3277472624,3277474815),('BE',3277474816,3277475711),('EU',3277475712,3277475839),('NL',3277475840,3277476095),('EU',3277476096,3277476607),('BE',3277476608,3277477631),('EU',3277477632,3277478143),('NL',3277478144,3277478399),('EU',3277478400,3277479935),('GB',3277479936,3277480959),('DK',3277480960,3277481471),('PL',3277481472,3277481983),('SE',3277481984,3277482495),('PL',3277482496,3277483007),('IT',3277483008,3277483519),('RO',3277483520,3277484031),('CH',3277484032,3277484543),('RO',3277484544,3277485055),('CH',3277485056,3277485567),('GB',3277485568,3277486591),('UA',3277486592,3277487103),('RO',3277487104,3277487615),('PL',3277487616,3277488127),('RU',3277488128,3277504511),('DE',3277504512,3277520895),('SK',3277520896,3277553663),('RU',3277553664,3277586431),('GB',3277586432,3277651967),('US',3277651968,3277684735),('RU',3277684736,3277685247),('DE',3277685248,3277685759),('IE',3277685760,3277686271),('PL',3277686272,3277686783),('RO',3277686784,3277687295),('UA',3277687296,3277687807),('RO',3277687808,3277688319),('PL',3277688320,3277688831),('RU',3277688832,3277689343),('AT',3277689344,3277689855),('RU',3277689856,3277691391),('UA',3277691392,3277691903),('GB',3277691904,3277692415),('DE',3277692416,3277692927),('UA',3277692928,3277693439),('PL',3277693440,3277693951),('RU',3277693952,3277694463),('DE',3277694464,3277694975),('IT',3277694976,3277695487),('ES',3277695488,3277695999),('UA',3277696000,3277696511),('AT',3277696512,3277697023),('RO',3277697024,3277697535),('PL',3277697536,3277698047),('RU',3277698048,3277698559),('DE',3277698560,3277699071),('UA',3277699072,3277699583),('RU',3277699584,3277700607),('UA',3277700608,3277701119),('DK',3277701120,3277701631),('AT',3277701632,3277702143),('GB',3277702144,3277702655),('RO',3277702656,3277703167),('DE',3277703168,3277703679),('PL',3277703680,3277704191),('UA',3277704192,3277704703),('RU',3277704704,3277705215),('UA',3277705216,3277705727),('ES',3277705728,3277706239),('UA',3277706240,3277707263),('CZ',3277707264,3277707775),('RU',3277707776,3277708287),('AT',3277708288,3277708799),('PL',3277708800,3277709311),('NL',3277709312,3277709823),('GB',3277709824,3277710335),('RU',3277710336,3277710847),('PL',3277710848,3277711359),('NO',3277711360,3277711871),('IL',3277711872,3277712383),('FR',3277712384,3277712895),('NL',3277712896,3277713407),('RU',3277713408,3277713919),('DE',3277713920,3277714943),('RU',3277714944,3277715967),('PL',3277715968,3277716479),('SE',3277716480,3277716991),('IT',3277716992,3277717503),('YE',3277717504,3277725695),('CH',3277725696,3277728367),('NL',3277728368,3277728383),('CH',3277728384,3277733887),('DE',3277733888,3277742079),('FI',3277742080,3277750271),('IT',3277750272,3277766655),('PL',3277766656,3277774847),('RU',3277774848,3277783039),('BE',3277783040,3277815807),('RO',3277815808,3277816063),('PL',3277816064,3277816319),('CM',3277816320,3277816575),('GB',3277816576,3277816831),('CH',3277816832,3277817087),('GB',3277817088,3277817343),('FR',3277817344,3277817855),('BE',3277817856,3277818111),('DE',3277818112,3277818367),('CY',3277818368,3277818623),('UA',3277818624,3277818879),('SE',3277818880,3277819135),('CH',3277819136,3277819391),('IT',3277819392,3277819647),('GB',3277819648,3277819903),('PL',3277819904,3277820159),('RO',3277820160,3277820415),('DE',3277820416,3277820671),('UA',3277820672,3277820927),('CH',3277820928,3277821183),('TR',3277821184,3277821439),('GB',3277821440,3277821695),('UA',3277821696,3277821951),('RO',3277821952,3277822207),('ES',3277822208,3277822463),('PL',3277822464,3277822719),('GB',3277822720,3277822975),('FR',3277822976,3277823231),('UA',3277823232,3277823487),('SI',3277823488,3277823743),('RU',3277823744,3277823999),('TR',3277824000,3277824255),('AT',3277824256,3277824511),('UA',3277824512,3277824767),('AT',3277824768,3277825023),('PL',3277825024,3277825279),('UA',3277825280,3277825535),('RO',3277825536,3277826047),('FR',3277826048,3277826303),('PL',3277826304,3277826815),('UA',3277826816,3277827071),('DK',3277827072,3277827327),('SI',3277827328,3277827583),('NL',3277827584,3277828095),('AT',3277828096,3277828351),('NL',3277828352,3277828607),('RO',3277828608,3277828863),('TR',3277828864,3277829119),('RO',3277829120,3277829375),('DK',3277829376,3277829631),('PL',3277829632,3277829887),('IL',3277829888,3277830143),('SE',3277830144,3277830399),('UA',3277830400,3277830655),('PL',3277830656,3277830911),('GB',3277830912,3277831167),('PL',3277831168,3277831423),('UA',3277831424,3277831679),('IE',3277831680,3277832191),('EU',3277832192,3277833215),('BE',3277833216,3277833727),('NL',3277833728,3277834239),('RU',3277834240,3277834751),('UA',3277834752,3277835263),('SK',3277835264,3277835775),('UA',3277835776,3277836287),('FI',3277836288,3277836799),('UA',3277836800,3277837311),('RU',3277837312,3277838847),('BY',3277838848,3277839359),('DE',3277839360,3277839871),('UA',3277839872,3277840383),('FR',3277840384,3277840895),('GR',3277840896,3277841407),('RO',3277841408,3277841919),('IL',3277841920,3277842431),('UA',3277842432,3277842943),('PL',3277842944,3277843455),('PT',3277843456,3277843967),('DK',3277843968,3277845503),('NL',3277845504,3277847039),('DK',3277847040,3277847551),('RU',3277847552,3277848063),('RO',3277848064,3277848575),('AT',3277848576,3277856767),('DE',3277856768,3277864959),('RU',3277864960,3277873151),('NL',3277873152,3277881343),('IT',3277881344,3277882111),('AE',3277882112,3277882367),('IQ',3277882368,3277884175),('IR',3277884176,3277884191),('IQ',3277884192,3277886207),('IR',3277886208,3277887103),('IT',3277887104,3277887231),('IR',3277887232,3277889535),('RU',3277889536,3277897727),('IT',3277897728,3277905919),('BG',3277905920,3277914111),('GR',3277914112,3277946879),('DK',3277946880,3277963263),('GB',3277963264,3277979647),('SK',3277979648,3277987839),('RU',3277987840,3278004223),('FR',3278004224,3278012415),('SK',3278012416,3278020607),('RU',3278020608,3278028799),('DE',3278028800,3278036991),('FR',3278036992,3278045183),('GB',3278045184,3278054911),('NL',3278054912,3278055423),('GB',3278055424,3278061567),('NL',3278061568,3278065663),('GB',3278065664,3278067967),('BE',3278067968,3278068223),('GB',3278068224,3278103039),('FR',3278103040,3278103295),('GB',3278103296,3278110719),('SE',3278110720,3278110751),('ES',3278110752,3278110767),('SE',3278110768,3278111239),('ES',3278111240,3278111247),('SE',3278111248,3278119935),('DE',3278119936,3278119943),('SE',3278119944,3278119967),('NO',3278119968,3278119975),('SE',3278119976,3278120151),('DE',3278120152,3278120159),('SE',3278120160,3278160107),('GB',3278160108,3278160111),('SE',3278160112,3278161631),('DE',3278161632,3278161647),('SE',3278161648,3278168063),('DM',3278168064,3278168071),('SE',3278168072,3278168111),('DK',3278168112,3278168119),('SE',3278168120,3278168175),('DK',3278168176,3278168191),('SE',3278168192,3278176255),('FR',3278176256,3278232511),('MC',3278232512,3278232575),('FR',3278232576,3278241791),('GB',3278241792,3278307327),('IT',3278307328,3278372863),('GB',3278372864,3278635007),('NL',3278635008,3278744791),('A2',3278744792,3278744799),('NL',3278744800,3278766079),('RO',3278766080,3278766591),('RU',3278766592,3278767103),('RO',3278767104,3278767615),('UA',3278767616,3278768127),('GB',3278768128,3278769151),('FR',3278769152,3278769663),('DE',3278769664,3278770175),('DK',3278770176,3278770687),('DE',3278770688,3278771199),('GB',3278771200,3278771711),('NL',3278771712,3278772223),('BG',3278772224,3278772735),('DE',3278772736,3278773247),('NO',3278773248,3278773759),('FR',3278773760,3278774271),('HU',3278774272,3278782463),('GB',3278782464,3278782975),('DE',3278782976,3278783231),('GB',3278783232,3278790655),('IT',3278790656,3278807039),('GB',3278807040,3278815231),('AT',3278815232,3278823423),('FR',3278823424,3278831615),('HU',3278831616,3278865663),('SK',3278865664,3278865919),('HU',3278865920,3278897151),('GB',3278897152,3278913535),('CH',3278913536,3278921727),('RU',3278921728,3278929919),('TR',3278929920,3278938111),('DE',3278938112,3278938119),('DK',3278938120,3278938123),('ES',3278938124,3278938127),('TR',3278938128,3278938131),('DE',3278938132,3278938151),('GB',3278938152,3278938155),('DE',3278938156,3278938159),('ES',3278938160,3278938163),('CH',3278938164,3278938167),('DE',3278938168,3278938171),('NL',3278938172,3278938175),('FR',3278938176,3278938179),('NL',3278938180,3278938183),('DE',3278938184,3278938187),('PT',3278938188,3278938191),('ES',3278938192,3278938195),('NL',3278938196,3278938199),('CH',3278938200,3278938203),('DE',3278938204,3278938207),('IT',3278938208,3278938219),('FR',3278938220,3278938223),('DE',3278938224,3278938227),('FR',3278938228,3278938231),('DE',3278938232,3278938235),('FR',3278938236,3278938239),('LI',3278938240,3278938243),('IT',3278938244,3278938247),('AT',3278938248,3278938251),('GR',3278938252,3278938255),('CH',3278938256,3278938263),('PL',3278938264,3278938267),('FR',3278938268,3278938275),('NL',3278938276,3278938279),('AT',3278938280,3278938283),('FR',3278938284,3278938287),('ES',3278938288,3278938291),('DE',3278938292,3278938299),('ES',3278938300,3278938303),('DE',3278938304,3278938307),('GB',3278938308,3278938311),('DE',3278938312,3278938315),('FR',3278938316,3278938323),('DE',3278938324,3278938335),('CH',3278938336,3278938339),('DE',3278938340,3278938343),('NL',3278938344,3278938347),('FR',3278938348,3278938351),('DE',3278938352,3278938355),('ES',3278938356,3278938359),('DK',3278938360,3278938363),('BH',3278938364,3278938367),('FR',3278938368,3278938375),('DE',3278938376,3278938379),('FR',3278938380,3278938383),('ZA',3278938384,3278938387),('DE',3278938388,3278938399),('AT',3278938400,3278938403),('GB',3278938404,3278938407),('CH',3278938408,3278938411),('DE',3278938412,3278938415),('CH',3278938416,3278938419),('GB',3278938420,3278938423),('DE',3278938424,3278938427),('FR',3278938428,3278938431),('SI',3278938432,3278938435),('DE',3278938436,3278938439),('IT',3278938440,3278938443),('DE',3278938444,3278938447),('IT',3278938448,3278938451),('GB',3278938452,3278938455),('ES',3278938456,3278938459),('FR',3278938460,3278938463),('DE',3278938464,3278938467),('NL',3278938468,3278938471),('DE',3278938472,3278938479),('CH',3278938480,3278938483),('DE',3278938484,3278938487),('NL',3278938488,3278938491),('ES',3278938492,3278938495),('NL',3278938496,3278938499),('DE',3278938500,3278938503),('SE',3278938504,3278938507),('IT',3278938508,3278938511),('DE',3278938512,3278938515),('NL',3278938516,3278938523),('FR',3278938524,3278938527),('NO',3278938528,3278938531),('DK',3278938532,3278938535),('DE',3278938536,3278938555),('HU',3278938556,3278938559),('CY',3278938560,3278938563),('FR',3278938564,3278938567),('DE',3278938568,3278938575),('CZ',3278938576,3278938579),('DE',3278938580,3278938583),('GB',3278938584,3278938587),('CH',3278938588,3278938591),('DE',3278938592,3278938595),('DK',3278938596,3278938599),('DE',3278938600,3278938603),('IT',3278938604,3278938607),('AT',3278938608,3278938611),('NL',3278938612,3278938615),('DK',3278938616,3278938619),('FR',3278938620,3278938627),('DE',3278938628,3278938631),('NL',3278938632,3278938635),('GB',3278938636,3278938639),('DE',3278938640,3278938643),('GB',3278938644,3278938647),('DE',3278938648,3278938659),('CH',3278938660,3278938663),('GB',3278938664,3278938667),('AT',3278938668,3278938671),('IT',3278938672,3278938675),('FR',3278938676,3278938679),('NO',3278938680,3278938683),('DE',3278938684,3278938687),('CH',3278938688,3278938691),('DE',3278938692,3278938695),('IT',3278938696,3278938699),('ES',3278938700,3278938703),('FR',3278938704,3278938707),('DE',3278938708,3278938715),('CH',3278938716,3278938719),('NL',3278938720,3278938723),('BE',3278938724,3278938727),('ES',3278938728,3278938731),('CH',3278938732,3278938735),('IT',3278938736,3278938739),('FR',3278938740,3278938743),('DE',3278938744,3278938751),('CH',3278938752,3278938755),('DE',3278938756,3278938759),('GB',3278938760,3278938763),('FR',3278938764,3278938767),('GB',3278938768,3278938771),('SE',3278938772,3278938775),('GB',3278938776,3278938779),('IT',3278938780,3278938783),('BE',3278938784,3278938787),('ES',3278938788,3278938791),('DE',3278938792,3278938795),('GR',3278938796,3278938799),('DE',3278938800,3278938803),('IT',3278938804,3278938807),('GB',3278938808,3278938815),('ES',3278938816,3278938819),('DE',3278938820,3278938827),('GB',3278938828,3278938831),('IT',3278938832,3278938835),('FR',3278938836,3278938839),('DE',3278938840,3278938843),('HU',3278938844,3278938847),('CH',3278938848,3278938851),('DE',3278938852,3278938855),('PT',3278938856,3278938859),('DE',3278938860,3278938863),('IT',3278938864,3278938871),('DE',3278938872,3278938875),('NL',3278938876,3278938879),('FR',3278938880,3278938887),('ES',3278938888,3278938891),('DE',3278938892,3278938895),('FR',3278938896,3278938903),('GB',3278938904,3278938911),('DE',3278938912,3278938919),('SK',3278938920,3278938923),('DE',3278938924,3278938927),('GB',3278938928,3278938935),('CH',3278938936,3278938939),('GR',3278938940,3278938943),('IT',3278938944,3278938947),('DE',3278938948,3278938951),('FR',3278938952,3278938955),('GB',3278938956,3278938959),('DE',3278938960,3278938967),('BE',3278938968,3278938971),('DE',3278938972,3278938975),('NL',3278938976,3278938979),('FR',3278938980,3278938987),('AT',3278938988,3278938991),('FR',3278938992,3278938995),('DE',3278938996,3278938999),('ES',3278939000,3278939003),('NL',3278939004,3278939007),('IE',3278939008,3278939011),('RU',3278939012,3278939015),('ES',3278939016,3278939019),('NL',3278939020,3278939023),('IT',3278939024,3278939027),('CY',3278939028,3278939031),('DE',3278939032,3278939035),('HU',3278939036,3278939039),('DE',3278939040,3278939047),('FR',3278939048,3278939055),('DE',3278939056,3278939063),('ES',3278939064,3278939067),('IT',3278939068,3278939071),('DE',3278939072,3278939075),('CH',3278939076,3278939079),('DE',3278939080,3278939083),('IT',3278939084,3278939087),('IS',3278939088,3278939091),('DE',3278939092,3278939095),('IT',3278939096,3278939099),('DE',3278939100,3278939103),('CH',3278939104,3278939107),('FR',3278939108,3278939111),('DE',3278939112,3278939115),('NL',3278939116,3278939119),('DE',3278939120,3278939131),('NL',3278939132,3278939135),('US',3278939136,3278939147),('AR',3278939148,3278939151),('ES',3278939152,3278939155),('US',3278939156,3278939183),('GU',3278939184,3278939187),('US',3278939188,3278939195),('CL',3278939196,3278939199),('US',3278939200,3278939259),('BR',3278939260,3278939263),('AR',3278939264,3278939271),('US',3278939272,3278939279),('CO',3278939280,3278939283),('US',3278939284,3278939291),('AR',3278939292,3278939295),('US',3278939296,3278939307),('MX',3278939308,3278939311),('US',3278939312,3278939315),('AR',3278939316,3278939319),('US',3278939320,3278939323),('CA',3278939324,3278939327),('US',3278939328,3278939331),('BR',3278939332,3278939335),('CA',3278939336,3278939339),('US',3278939340,3278939351),('BR',3278939352,3278939355),('US',3278939356,3278939379),('BR',3278939380,3278939383),('US',3278939384,3278939391),('DE',3278939392,3278939395),('GB',3278939396,3278939399),('DE',3278939400,3278939403),('CH',3278939404,3278939407),('DE',3278939408,3278939415),('ZW',3278939416,3278939419),('IE',3278939420,3278939423),('GB',3278939424,3278939427),('DE',3278939428,3278939435),('ES',3278939436,3278939439),('IT',3278939440,3278939443),('DE',3278939444,3278939447),('PL',3278939448,3278939451),('DE',3278939452,3278939459),('DK',3278939460,3278939463),('CY',3278939464,3278939467),('DE',3278939468,3278939471),('PL',3278939472,3278939475),('BE',3278939476,3278939479),('IT',3278939480,3278939483),('NL',3278939484,3278939491),('DE',3278939492,3278939495),('CH',3278939496,3278939499),('ES',3278939500,3278939503),('DE',3278939504,3278939511),('LU',3278939512,3278939515),('NL',3278939516,3278939523),('LU',3278939524,3278939527),('FR',3278939528,3278939531),('DE',3278939532,3278939535),('BE',3278939536,3278939539),('DE',3278939540,3278939555),('IT',3278939556,3278939559),('DE',3278939560,3278939563),('FR',3278939564,3278939567),('PT',3278939568,3278939571),('ES',3278939572,3278939575),('DE',3278939576,3278939579),('NL',3278939580,3278939583),('IT',3278939584,3278939587),('LU',3278939588,3278939591),('AO',3278939592,3278939595),('NL',3278939596,3278939599),('GB',3278939600,3278939603),('DE',3278939604,3278939607),('DK',3278939608,3278939611),('FR',3278939612,3278939615),('DE',3278939616,3278939631),('GB',3278939632,3278939635),('DK',3278939636,3278939639),('DE',3278939640,3278939643),('UA',3278939644,3278939647),('FR',3278939648,3278939651),('DE',3278939652,3278939655),('FR',3278939656,3278939659),('TR',3278939660,3278939663),('IT',3278939664,3278939667),('GB',3278939668,3278939671),('FR',3278939672,3278939679),('GR',3278939680,3278939683),('FR',3278939684,3278939687),('DE',3278939688,3278939691),('FR',3278939692,3278939695),('GR',3278939696,3278939699),('TR',3278939700,3278939703),('KE',3278939704,3278939707),('TR',3278939708,3278939711),('CY',3278939712,3278939715),('TR',3278939716,3278939723),('MC',3278939724,3278939727),('TR',3278939728,3278939731),('AT',3278939732,3278939735),('RU',3278939736,3278939739),('HU',3278939740,3278939743),('GB',3278939744,3278939747),('ES',3278939748,3278939751),('GR',3278939752,3278939755),('AO',3278939756,3278939759),('FR',3278939760,3278939763),('GR',3278939764,3278939767),('ES',3278939768,3278939771),('IT',3278939772,3278939775),('GR',3278939776,3278939779),('FR',3278939780,3278939783),('BE',3278939784,3278939787),('DE',3278939788,3278939791),('ES',3278939792,3278939803),('GB',3278939804,3278939807),('DE',3278939808,3278939815),('NL',3278939816,3278939819),('DE',3278939820,3278939823),('HU',3278939824,3278939827),('DE',3278939828,3278939835),('FR',3278939836,3278939839),('IT',3278939840,3278939843),('BE',3278939844,3278939847),('CH',3278939848,3278939851),('HU',3278939852,3278939855),('FR',3278939856,3278939859),('GB',3278939860,3278939863),('IT',3278939864,3278939867),('CH',3278939868,3278939871),('ES',3278939872,3278939875),('IT',3278939876,3278939879),('ES',3278939880,3278939883),('DE',3278939884,3278939887),('PL',3278939888,3278939891),('ES',3278939892,3278939899),('IT',3278939900,3278939903),('HK',3278939904,3278939907),('MY',3278939908,3278939911),('TH',3278939912,3278939915),('SG',3278939916,3278939923),('CN',3278939924,3278939927),('SG',3278939928,3278939931),('IN',3278939932,3278939935),('MY',3278939936,3278939939),('SG',3278939940,3278939943),('TW',3278939944,3278939947),('SG',3278939948,3278939951),('MY',3278939952,3278939955),('SG',3278939956,3278939959),('CN',3278939960,3278939963),('MY',3278939964,3278939967),('TW',3278939968,3278939971),('MY',3278939972,3278939979),('TH',3278939980,3278939983),('DE',3278939984,3278939987),('CN',3278939988,3278939991),('SG',3278939992,3278939995),('MY',3278939996,3278939999),('SG',3278940000,3278940011),('ID',3278940012,3278940015),('SG',3278940016,3278940059),('CN',3278940060,3278940067),('TW',3278940068,3278940071),('SG',3278940072,3278940083),('MY',3278940084,3278940091),('SG',3278940092,3278940095),('IN',3278940096,3278940099),('SG',3278940100,3278940103),('MY',3278940104,3278940107),('SG',3278940108,3278940127),('TW',3278940128,3278940131),('BD',3278940132,3278940135),('SG',3278940136,3278940139),('IN',3278940140,3278940143),('MY',3278940144,3278940151),('IN',3278940152,3278940155),('PH',3278940156,3278940159),('GR',3278940160,3278940163),('CH',3278940164,3278940167),('DK',3278940168,3278940171),('FR',3278940172,3278940175),('GB',3278940176,3278940179),('CH',3278940180,3278940183),('DE',3278940184,3278940187),('GB',3278940188,3278940195),('DE',3278940196,3278940211),('PT',3278940212,3278940215),('NL',3278940216,3278940219),('GB',3278940220,3278940223),('CH',3278940224,3278940227),('DE',3278940228,3278940231),('CH',3278940232,3278940235),('ES',3278940236,3278940239),('CY',3278940240,3278940243),('DE',3278940244,3278940247),('FR',3278940248,3278940251),('IT',3278940252,3278940255),('BE',3278940256,3278940259),('DE',3278940260,3278940263),('ES',3278940264,3278940267),('DE',3278940268,3278940275),('GB',3278940276,3278940279),('CH',3278940280,3278940283),('NL',3278940284,3278940291),('DE',3278940292,3278940295),('IT',3278940296,3278940299),('FR',3278940300,3278940303),('DE',3278940304,3278940307),('CH',3278940308,3278940311),('IT',3278940312,3278940315),('DE',3278940316,3278940319),('NL',3278940320,3278940323),('ES',3278940324,3278940327),('DE',3278940328,3278940335),('NL',3278940336,3278940339),('DE',3278940340,3278940347),('GB',3278940348,3278940355),('NL',3278940356,3278940359),('GR',3278940360,3278940363),('IT',3278940364,3278940367),('FR',3278940368,3278940371),('GB',3278940372,3278940375),('PT',3278940376,3278940379),('FR',3278940380,3278940383),('NL',3278940384,3278940387),('IE',3278940388,3278940391),('FR',3278940392,3278940395),('NL',3278940396,3278940399),('DE',3278940400,3278940403),('FR',3278940404,3278940407),('IT',3278940408,3278940411),('CH',3278940412,3278940412),('DE',3278940413,3278940415),('BE',3278940416,3278940419),('DE',3278940420,3278940423),('CH',3278940424,3278940427),('DE',3278940428,3278940431),('CH',3278940432,3278940443),('DE',3278940444,3278940447),('GB',3278940448,3278940451),('DE',3278940452,3278940455),('GB',3278940456,3278940459),('DE',3278940460,3278940463),('FR',3278940464,3278940467),('DE',3278940468,3278940471),('ES',3278940472,3278940475),('FR',3278940476,3278940479),('CH',3278940480,3278940483),('FR',3278940484,3278940487),('ES',3278940488,3278940491),('IT',3278940492,3278940495),('NL',3278940496,3278940499),('FR',3278940500,3278940503),('DK',3278940504,3278940507),('FR',3278940508,3278940511),('DE',3278940512,3278940515),('CH',3278940516,3278940523),('ES',3278940524,3278940531),('DE',3278940532,3278940535),('CH',3278940536,3278940539),('ES',3278940540,3278940543),('DE',3278940544,3278940551),('GB',3278940552,3278940555),('DE',3278940556,3278940559),('AT',3278940560,3278940563),('FR',3278940564,3278940571),('CH',3278940572,3278940579),('DE',3278940580,3278940587),('IT',3278940588,3278940591),('FR',3278940592,3278940595),('BE',3278940596,3278940599),('DE',3278940600,3278940603),('FR',3278940604,3278940607),('ES',3278940608,3278940611),('PT',3278940612,3278940615),('IT',3278940616,3278940619),('DE',3278940620,3278940623),('IT',3278940624,3278940631),('GB',3278940632,3278940635),('BE',3278940636,3278940639),('CH',3278940640,3278940643),('IT',3278940644,3278940647),('DE',3278940648,3278940651),('FR',3278940652,3278940655),('IT',3278940656,3278940663),('FR',3278940664,3278940671),('DE',3278940672,3278940679),('CH',3278940680,3278940683),('NL',3278940684,3278940691),('SE',3278940692,3278940695),('DE',3278940696,3278940707),('ES',3278940708,3278940711),('BE',3278940712,3278940715),('ES',3278940716,3278940723),('FR',3278940724,3278940727),('DE',3278940728,3278940731),('FR',3278940732,3278940739),('GB',3278940740,3278940743),('ES',3278940744,3278940747),('DE',3278940748,3278940751),('FR',3278940752,3278940759),('NL',3278940760,3278940763),('DE',3278940764,3278940767),('GB',3278940768,3278940771),('DE',3278940772,3278940783),('CH',3278940784,3278940787),('GB',3278940788,3278940791),('NL',3278940792,3278940795),('DE',3278940796,3278940803),('DK',3278940804,3278940807),('DE',3278940808,3278940815),('IT',3278940816,3278940819),('GB',3278940820,3278940823),('IT',3278940824,3278940827),('DE',3278940828,3278940831),('CH',3278940832,3278940835),('IT',3278940836,3278940839),('DE',3278940840,3278940847),('CH',3278940848,3278940851),('DE',3278940852,3278940855),('PT',3278940856,3278940859),('NL',3278940860,3278940863),('CH',3278940864,3278940867),('GB',3278940868,3278940871),('DE',3278940872,3278940875),('IT',3278940876,3278940879),('CH',3278940880,3278940883),('ES',3278940884,3278940887),('BE',3278940888,3278940891),('DE',3278940892,3278940895),('IT',3278940896,3278940899),('FR',3278940900,3278940903),('ES',3278940904,3278940911),('IT',3278940912,3278940915),('DE',3278940916,3278940919),('PT',3278940920,3278940923),('FR',3278940924,3278940927),('DE',3278940928,3278940931),('NL',3278940932,3278940935),('ES',3278940936,3278940939),('FR',3278940940,3278940943),('NL',3278940944,3278940947),('FR',3278940948,3278940951),('IT',3278940952,3278940955),('DK',3278940956,3278940959),('FR',3278940960,3278940963),('IT',3278940964,3278940967),('FR',3278940968,3278940971),('DE',3278940972,3278940983),('IT',3278940984,3278940987),('NL',3278940988,3278940991),('PT',3278940992,3278940995),('DE',3278940996,3278940999),('NL',3278941000,3278941003),('CH',3278941004,3278941007),('ES',3278941008,3278941011),('GB',3278941012,3278941015),('DE',3278941016,3278941023),('IT',3278941024,3278941027),('FR',3278941028,3278941031),('DE',3278941032,3278941035),('IT',3278941036,3278941039),('DE',3278941040,3278941043),('FR',3278941044,3278941047),('ES',3278941048,3278941051),('DE',3278941052,3278941055),('FR',3278941056,3278941059),('GB',3278941060,3278941063),('IT',3278941064,3278941067),('ES',3278941068,3278941071),('IT',3278941072,3278941075),('DE',3278941076,3278941083),('GB',3278941084,3278941087),('BE',3278941088,3278941091),('DK',3278941092,3278941095),('FR',3278941096,3278941099),('DE',3278941100,3278941107),('DK',3278941108,3278941111),('FR',3278941112,3278941119),('DE',3278941120,3278941127),('BE',3278941128,3278941131),('NL',3278941132,3278941135),('GB',3278941136,3278941139),('DE',3278941140,3278941143),('IT',3278941144,3278941151),('PT',3278941152,3278941155),('SE',3278941156,3278941159),('DE',3278941160,3278941167),('GB',3278941168,3278941171),('AT',3278941172,3278941175),('IT',3278941176,3278941179),('FR',3278941180,3278941183),('US',3278941184,3278941191),('BR',3278941192,3278941195),('US',3278941196,3278941211),('GU',3278941212,3278941215),('BR',3278941216,3278941219),('US',3278941220,3278941243),('CO',3278941244,3278941247),('US',3278941248,3278941255),('MX',3278941256,3278941259),('US',3278941260,3278941279),('BR',3278941280,3278941283),('AR',3278941284,3278941287),('US',3278941288,3278941303),('CO',3278941304,3278941307),('US',3278941308,3278941319),('CA',3278941320,3278941323),('US',3278941324,3278941331),('BR',3278941332,3278941335),('US',3278941336,3278941343),('AR',3278941344,3278941347),('US',3278941348,3278941371),('CA',3278941372,3278941375),('US',3278941376,3278941399),('VE',3278941400,3278941403),('BR',3278941404,3278941407),('US',3278941408,3278941419),('DE',3278941420,3278941423),('CL',3278941424,3278941427),('PE',3278941428,3278941431),('US',3278941432,3278941439),('AR',3278941440,3278941443),('US',3278941444,3278941455),('JM',3278941456,3278941459),('US',3278941460,3278941475),('BR',3278941476,3278941479),('US',3278941480,3278941491),('MX',3278941492,3278941495),('US',3278941496,3278941499),('CA',3278941500,3278941503),('US',3278941504,3278941587),('DE',3278941588,3278941591),('US',3278941592,3278941595),('PE',3278941596,3278941599),('US',3278941600,3278941615),('CA',3278941616,3278941619),('US',3278941620,3278941639),('BR',3278941640,3278941643),('US',3278941644,3278941651),('VE',3278941652,3278941655),('US',3278941656,3278941659),('BR',3278941660,3278941663),('CA',3278941664,3278941667),('US',3278941668,3278941671),('VE',3278941672,3278941675),('US',3278941676,3278941691),('MX',3278941692,3278941695),('US',3278941696,3278941735),('CA',3278941736,3278941739),('US',3278941740,3278941743),('CA',3278941744,3278941747),('US',3278941748,3278941819),('CL',3278941820,3278941823),('US',3278941824,3278941847),('AR',3278941848,3278941855),('US',3278941856,3278941891),('CA',3278941892,3278941895),('US',3278941896,3278941911),('MX',3278941912,3278941915),('US',3278941916,3278941943),('CO',3278941944,3278941947),('US',3278941948,3278941951),('GB',3278941952,3278941955),('FR',3278941956,3278941959),('DE',3278941960,3278941963),('GB',3278941964,3278941971),('DE',3278941972,3278941979),('ES',3278941980,3278941987),('FR',3278941988,3278941995),('ES',3278941996,3278941999),('DE',3278942000,3278942003),('IT',3278942004,3278942011),('DE',3278942012,3278942015),('FR',3278942016,3278942019),('DE',3278942020,3278942023),('FR',3278942024,3278942027),('CH',3278942028,3278942031),('GR',3278942032,3278942035),('CH',3278942036,3278942039),('ES',3278942040,3278942043),('FR',3278942044,3278942047),('DE',3278942048,3278942051),('CH',3278942052,3278942055),('ES',3278942056,3278942059),('DE',3278942060,3278942063),('ES',3278942064,3278942071),('FR',3278942072,3278942075),('DE',3278942076,3278942079),('ES',3278942080,3278942083),('BE',3278942084,3278942087),('ES',3278942088,3278942091),('BE',3278942092,3278942095),('PL',3278942096,3278942099),('GB',3278942100,3278942103),('CH',3278942104,3278942107),('DE',3278942108,3278942111),('FR',3278942112,3278942115),('DE',3278942116,3278942119),('GB',3278942120,3278942123),('AT',3278942124,3278942127),('DE',3278942128,3278942131),('GB',3278942132,3278942135),('UA',3278942136,3278942139),('NL',3278942140,3278942143),('GB',3278942144,3278942147),('DE',3278942148,3278942155),('FR',3278942156,3278942159),('DE',3278942160,3278942163),('IT',3278942164,3278942167),('CH',3278942168,3278942171),('GB',3278942172,3278942175),('DE',3278942176,3278942179),('FR',3278942180,3278942183),('DK',3278942184,3278942187),('IT',3278942188,3278942191),('DE',3278942192,3278942199),('GB',3278942200,3278942203),('CH',3278942204,3278942207),('TW',3278942208,3278942211),('AU',3278942212,3278942227),('NZ',3278942228,3278942231),('AU',3278942232,3278942243),('NZ',3278942244,3278942247),('AU',3278942248,3278942255),('NZ',3278942256,3278942259),('AU',3278942260,3278942271),('NZ',3278942272,3278942275),('AU',3278942276,3278942291),('NZ',3278942292,3278942295),('PG',3278942296,3278942299),('AU',3278942300,3278942355),('NZ',3278942356,3278942359),('AU',3278942360,3278942383),('NZ',3278942384,3278942387),('AU',3278942388,3278942399),('NZ',3278942400,3278942403),('AU',3278942404,3278942435),('DE',3278942436,3278942439),('AU',3278942440,3278942443),('NZ',3278942444,3278942447),('AU',3278942448,3278942455),('DE',3278942456,3278942463),('SG',3278942464,3278942467),('MY',3278942468,3278942471),('IN',3278942472,3278942475),('SG',3278942476,3278942483),('CN',3278942484,3278942487),('IN',3278942488,3278942491),('MY',3278942492,3278942495),('CN',3278942496,3278942499),('MY',3278942500,3278942507),('TH',3278942508,3278942511),('SG',3278942512,3278942515),('PH',3278942516,3278942519),('IN',3278942520,3278942539),('TW',3278942540,3278942543),('PK',3278942544,3278942547),('MY',3278942548,3278942551),('TW',3278942552,3278942555),('IN',3278942556,3278942559),('MY',3278942560,3278942571),('IN',3278942572,3278942575),('MY',3278942576,3278942579),('TW',3278942580,3278942583),('SG',3278942584,3278942587),('CN',3278942588,3278942591),('TW',3278942592,3278942595),('IN',3278942596,3278942599),('SG',3278942600,3278942603),('TW',3278942604,3278942607),('TH',3278942608,3278942611),('PH',3278942612,3278942615),('SG',3278942616,3278942627),('MY',3278942628,3278942635),('SG',3278942636,3278942643),('MY',3278942644,3278942647),('IN',3278942648,3278942651),('MY',3278942652,3278942655),('SG',3278942656,3278942667),('MY',3278942668,3278942671),('SG',3278942672,3278942675),('HK',3278942676,3278942679),('TW',3278942680,3278942683),('DE',3278942684,3278942687),('SG',3278942688,3278942691),('IN',3278942692,3278942695),('SG',3278942696,3278942699),('TW',3278942700,3278942703),('MY',3278942704,3278942707),('SG',3278942708,3278942719),('DE',3278942720,3278942721),('GB',3278942722,3278942722),('DE',3278942723,3278942724),('GB',3278942725,3278942725),('IT',3278942726,3278942726),('DE',3278942727,3278942727),('CH',3278942728,3278942728),('BE',3278942729,3278942730),('DE',3278942731,3278942731),('ES',3278942732,3278942732),('LU',3278942733,3278942733),('GB',3278942734,3278942734),('DE',3278942735,3278942735),('IT',3278942736,3278942736),('GB',3278942737,3278942737),('DE',3278942738,3278942739),('NL',3278942740,3278942740),('GB',3278942741,3278942741),('SE',3278942742,3278942742),('ES',3278942743,3278942743),('DE',3278942744,3278942748),('GB',3278942749,3278942749),('IT',3278942750,3278942750),('FR',3278942751,3278942751),('CH',3278942752,3278942753),('DE',3278942754,3278942754),('GB',3278942755,3278942755),('DE',3278942756,3278942756),('GB',3278942757,3278942757),('IT',3278942758,3278942759),('ES',3278942760,3278942760),('DE',3278942761,3278942761),('GB',3278942762,3278942762),('NL',3278942763,3278942763),('FR',3278942764,3278942764),('CH',3278942765,3278942765),('PL',3278942766,3278942766),('FR',3278942767,3278942767),('NO',3278942768,3278942768),('GB',3278942769,3278942769),('DE',3278942770,3278942771),('BE',3278942772,3278942772),('DE',3278942773,3278942773),('CH',3278942774,3278942774),('FR',3278942775,3278942775),('DE',3278942776,3278942776),('GB',3278942777,3278942778),('SE',3278942779,3278942779),('DE',3278942780,3278942781),('ES',3278942782,3278942782),('DE',3278942783,3278942784),('GR',3278942785,3278942785),('SI',3278942786,3278942786),('IT',3278942787,3278942787),('DE',3278942788,3278942789),('ES',3278942790,3278942790),('IT',3278942791,3278942791),('US',3278942792,3278942792),('CH',3278942793,3278942793),('DE',3278942794,3278942794),('GB',3278942795,3278942795),('IT',3278942796,3278942796),('GB',3278942797,3278942797),('DE',3278942798,3278942798),('IT',3278942799,3278942799),('FR',3278942800,3278942800),('GB',3278942801,3278942801),('DE',3278942802,3278942803),('IT',3278942804,3278942804),('DE',3278942805,3278942805),('BE',3278942806,3278942806),('AT',3278942807,3278942807),('DE',3278942808,3278942809),('ES',3278942810,3278942810),('NL',3278942811,3278942811),('DE',3278942812,3278942813),('CH',3278942814,3278942814),('DE',3278942815,3278942815),('AT',3278942816,3278942816),('FR',3278942817,3278942817),('DK',3278942818,3278942818),('DE',3278942819,3278942819),('IT',3278942820,3278942820),('NL',3278942821,3278942821),('DE',3278942822,3278942824),('NL',3278942825,3278942825),('RU',3278942826,3278942826),('FR',3278942827,3278942827),('ES',3278942828,3278942828),('NL',3278942829,3278942829),('IT',3278942830,3278942830),('CH',3278942831,3278942831),('IT',3278942832,3278942832),('DE',3278942833,3278942833),('NL',3278942834,3278942834),('AT',3278942835,3278942835),('DE',3278942836,3278942836),('IT',3278942837,3278942837),('ES',3278942838,3278942838),('FR',3278942839,3278942839),('DE',3278942840,3278942841),('IT',3278942842,3278942843),('ES',3278942844,3278942844),('DE',3278942845,3278942850),('HU',3278942851,3278942851),('DE',3278942852,3278942852),('ES',3278942853,3278942853),('GB',3278942854,3278942854),('ES',3278942855,3278942855),('NO',3278942856,3278942856),('DE',3278942857,3278942857),('IT',3278942858,3278942858),('DE',3278942859,3278942859),('IT',3278942860,3278942860),('FR',3278942861,3278942861),('DE',3278942862,3278942863),('ES',3278942864,3278942864),('GB',3278942865,3278942865),('NL',3278942866,3278942867),('DE',3278942868,3278942868),('IT',3278942869,3278942869),('CH',3278942870,3278942870),('IS',3278942871,3278942871),('ES',3278942872,3278942872),('IT',3278942873,3278942873),('DE',3278942874,3278942875),('PL',3278942876,3278942876),('DE',3278942877,3278942877),('NL',3278942878,3278942878),('DK',3278942879,3278942879),('DE',3278942880,3278942881),('CH',3278942882,3278942882),('GB',3278942883,3278942883),('DE',3278942884,3278942884),('NL',3278942885,3278942885),('DE',3278942886,3278942886),('IT',3278942887,3278942887),('DE',3278942888,3278942889),('ES',3278942890,3278942890),('DE',3278942891,3278942894),('NL',3278942895,3278942895),('GB',3278942896,3278942896),('CH',3278942897,3278942897),('NL',3278942898,3278942899),('DE',3278942900,3278942903),('BE',3278942904,3278942904),('IE',3278942905,3278942905),('DE',3278942906,3278942907),('GB',3278942908,3278942908),('DE',3278942909,3278942910),('IT',3278942911,3278942911),('DE',3278942912,3278942913),('CH',3278942914,3278942914),('DE',3278942915,3278942915),('CH',3278942916,3278942916),('DE',3278942917,3278942922),('NL',3278942923,3278942923),('DE',3278942924,3278942924),('GB',3278942925,3278942925),('DE',3278942926,3278942930),('CH',3278942931,3278942931),('NL',3278942932,3278942932),('BE',3278942933,3278942933),('IT',3278942934,3278942934),('NL',3278942935,3278942936),('DE',3278942937,3278942937),('CH',3278942938,3278942938),('ES',3278942939,3278942939),('DE',3278942940,3278942940),('IT',3278942941,3278942941),('DE',3278942942,3278942942),('NL',3278942943,3278942944),('DE',3278942945,3278942946),('BE',3278942947,3278942947),('AT',3278942948,3278942948),('CH',3278942949,3278942949),('DE',3278942950,3278942950),('IT',3278942951,3278942951),('DE',3278942952,3278942953),('AT',3278942954,3278942954),('DE',3278942955,3278942955),('IT',3278942956,3278942956),('DE',3278942957,3278942957),('CH',3278942958,3278942958),('DE',3278942959,3278942959),('FR',3278942960,3278942960),('PT',3278942961,3278942961),('NL',3278942962,3278942963),('DE',3278942964,3278942966),('NO',3278942967,3278942967),('NL',3278942968,3278942968),('AT',3278942969,3278942969),('ES',3278942970,3278942970),('IT',3278942971,3278942972),('DE',3278942973,3278942977),('BE',3278942978,3278942978),('FR',3278942979,3278942979),('IT',3278942980,3278942980),('DE',3278942981,3278942983),('IT',3278942984,3278942984),('ES',3278942985,3278942985),('CH',3278942986,3278942986),('BE',3278942987,3278942987),('CH',3278942988,3278942990),('GB',3278942991,3278942991),('DE',3278942992,3278942992),('GB',3278942993,3278942993),('CH',3278942994,3278942994),('DE',3278942995,3278942997),('CH',3278942998,3278942998),('GB',3278942999,3278942999),('DE',3278943000,3278943002),('CH',3278943003,3278943003),('DE',3278943004,3278943005),('FR',3278943006,3278943006),('DE',3278943007,3278943007),('IT',3278943008,3278943008),('DE',3278943009,3278943009),('NL',3278943010,3278943010),('DE',3278943011,3278943011),('CZ',3278943012,3278943012),('IT',3278943013,3278943013),('AT',3278943014,3278943014),('ES',3278943015,3278943016),('FR',3278943017,3278943017),('CH',3278943018,3278943018),('DE',3278943019,3278943019),('CH',3278943020,3278943020),('BE',3278943021,3278943021),('ES',3278943022,3278943022),('BE',3278943023,3278943023),('FR',3278943024,3278943024),('DE',3278943025,3278943025),('DK',3278943026,3278943026),('DE',3278943027,3278943027),('GB',3278943028,3278943029),('ES',3278943030,3278943030),('NL',3278943031,3278943031),('FR',3278943032,3278943032),('IT',3278943033,3278943033),('DE',3278943034,3278943034),('ES',3278943035,3278943035),('DE',3278943036,3278943036),('FR',3278943037,3278943037),('DE',3278943038,3278943038),('CH',3278943039,3278943039),('IT',3278943040,3278943040),('DE',3278943041,3278943041),('BE',3278943042,3278943042),('SI',3278943043,3278943043),('FR',3278943044,3278943044),('DE',3278943045,3278943048),('GB',3278943049,3278943049),('IT',3278943050,3278943050),('AT',3278943051,3278943051),('IT',3278943052,3278943053),('DE',3278943054,3278943056),('CH',3278943057,3278943057),('FR',3278943058,3278943058),('CH',3278943059,3278943059),('DE',3278943060,3278943065),('GB',3278943066,3278943066),('DE',3278943067,3278943069),('PL',3278943070,3278943070),('DE',3278943071,3278943072),('AT',3278943073,3278943073),('ES',3278943074,3278943074),('FR',3278943075,3278943076),('DE',3278943077,3278943077),('CH',3278943078,3278943079),('BE',3278943080,3278943080),('FR',3278943081,3278943081),('CH',3278943082,3278943082),('DE',3278943083,3278943084),('NL',3278943085,3278943085),('DE',3278943086,3278943087),('NL',3278943088,3278943088),('DE',3278943089,3278943090),('IT',3278943091,3278943091),('ES',3278943092,3278943092),('DE',3278943093,3278943096),('BE',3278943097,3278943097),('DE',3278943098,3278943098),('AT',3278943099,3278943099),('SE',3278943100,3278943100),('AT',3278943101,3278943101),('ZA',3278943102,3278943102),('DE',3278943103,3278943105),('FR',3278943106,3278943106),('DE',3278943107,3278943107),('FR',3278943108,3278943108),('IT',3278943109,3278943109),('DK',3278943110,3278943110),('GB',3278943111,3278943111),('PT',3278943112,3278943112),('ES',3278943113,3278943113),('CH',3278943114,3278943114),('PT',3278943115,3278943115),('CH',3278943116,3278943116),('DE',3278943117,3278943117),('IT',3278943118,3278943119),('FR',3278943120,3278943120),('AT',3278943121,3278943121),('GB',3278943122,3278943122),('FR',3278943123,3278943123),('BE',3278943124,3278943124),('CH',3278943125,3278943125),('IT',3278943126,3278943126),('DE',3278943127,3278943127),('GB',3278943128,3278943128),('DE',3278943129,3278943130),('BE',3278943131,3278943131),('FR',3278943132,3278943132),('IT',3278943133,3278943133),('NL',3278943134,3278943135),('FR',3278943136,3278943136),('CH',3278943137,3278943137),('BE',3278943138,3278943138),('IT',3278943139,3278943139),('ES',3278943140,3278943140),('NL',3278943141,3278943141),('FR',3278943142,3278943142),('ES',3278943143,3278943143),('DE',3278943144,3278943145),('CH',3278943146,3278943146),('NL',3278943147,3278943147),('FR',3278943148,3278943148),('BE',3278943149,3278943149),('DE',3278943150,3278943150),('NL',3278943151,3278943151),('DE',3278943152,3278943153),('SE',3278943154,3278943154),('DE',3278943155,3278943159),('ES',3278943160,3278943160),('BE',3278943161,3278943161),('ES',3278943162,3278943162),('DE',3278943163,3278943163),('NL',3278943164,3278943164),('SE',3278943165,3278943165),('DE',3278943166,3278943168),('BE',3278943169,3278943169),('FR',3278943170,3278943172),('NL',3278943173,3278943173),('DE',3278943174,3278943174),('ES',3278943175,3278943177),('DE',3278943178,3278943178),('CH',3278943179,3278943179),('DE',3278943180,3278943181),('SE',3278943182,3278943182),('FR',3278943183,3278943183),('DE',3278943184,3278943184),('BE',3278943185,3278943185),('NL',3278943186,3278943186),('DE',3278943187,3278943187),('GB',3278943188,3278943188),('DE',3278943189,3278943191),('LU',3278943192,3278943192),('DE',3278943193,3278943193),('IT',3278943194,3278943194),('DE',3278943195,3278943195),('CH',3278943196,3278943196),('NL',3278943197,3278943197),('GR',3278943198,3278943198),('GB',3278943199,3278943199),('DE',3278943200,3278943200),('CH',3278943201,3278943202),('SE',3278943203,3278943203),('DE',3278943204,3278943206),('IT',3278943207,3278943207),('GB',3278943208,3278943208),('ES',3278943209,3278943209),('IT',3278943210,3278943212),('DE',3278943213,3278943213),('IT',3278943214,3278943214),('GB',3278943215,3278943215),('CH',3278943216,3278943216),('GB',3278943217,3278943217),('IT',3278943218,3278943218),('DE',3278943219,3278943220),('CH',3278943221,3278943221),('DE',3278943222,3278943222),('NL',3278943223,3278943223),('DE',3278943224,3278943225),('FR',3278943226,3278943226),('GB',3278943227,3278943227),('ES',3278943228,3278943228),('DE',3278943229,3278943235),('ES',3278943236,3278943236),('FR',3278943237,3278943237),('DE',3278943238,3278943239),('NL',3278943240,3278943240),('FR',3278943241,3278943241),('DE',3278943242,3278943242),('ES',3278943243,3278943243),('FR',3278943244,3278943244),('DE',3278943245,3278943245),('NL',3278943246,3278943246),('CH',3278943247,3278943247),('DE',3278943248,3278943248),('ES',3278943249,3278943249),('FR',3278943250,3278943251),('IT',3278943252,3278943252),('DE',3278943253,3278943253),('DK',3278943254,3278943254),('DE',3278943255,3278943255),('FR',3278943256,3278943256),('IT',3278943257,3278943257),('DE',3278943258,3278943260),('ES',3278943261,3278943261),('NL',3278943262,3278943262),('FR',3278943263,3278943263),('DE',3278943264,3278943265),('FR',3278943266,3278943266),('NL',3278943267,3278943267),('DE',3278943268,3278943268),('CH',3278943269,3278943270),('ES',3278943271,3278943271),('DE',3278943272,3278943274),('IT',3278943275,3278943275),('DE',3278943276,3278943277),('GB',3278943278,3278943278),('DE',3278943279,3278943279),('FR',3278943280,3278943280),('IT',3278943281,3278943281),('DE',3278943282,3278943283),('IT',3278943284,3278943284),('DE',3278943285,3278943287),('FR',3278943288,3278943288),('DE',3278943289,3278943289),('IT',3278943290,3278943290),('DE',3278943291,3278943292),('GB',3278943293,3278943293),('IT',3278943294,3278943294),('ES',3278943295,3278943296),('IT',3278943297,3278943297),('PT',3278943298,3278943298),('DK',3278943299,3278943299),('GB',3278943300,3278943300),('CH',3278943301,3278943301),('BE',3278943302,3278943302),('DK',3278943303,3278943303),('FR',3278943304,3278943304),('LU',3278943305,3278943305),('AT',3278943306,3278943306),('DE',3278943307,3278943308),('PT',3278943309,3278943309),('ES',3278943310,3278943310),('BE',3278943311,3278943311),('DE',3278943312,3278943314),('FR',3278943315,3278943316),('DE',3278943317,3278943318),('NL',3278943319,3278943319),('BE',3278943320,3278943320),('DE',3278943321,3278943321),('NL',3278943322,3278943322),('FR',3278943323,3278943323),('GB',3278943324,3278943324),('DE',3278943325,3278943326),('IT',3278943327,3278943328),('PT',3278943329,3278943329),('ES',3278943330,3278943330),('PL',3278943331,3278943331),('DE',3278943332,3278943333),('FR',3278943334,3278943334),('AT',3278943335,3278943335),('IT',3278943336,3278943337),('DE',3278943338,3278943338),('PT',3278943339,3278943339),('ES',3278943340,3278943340),('CH',3278943341,3278943341),('DE',3278943342,3278943343),('GB',3278943344,3278943344),('DE',3278943345,3278943345),('FR',3278943346,3278943346),('DE',3278943347,3278943347),('GB',3278943348,3278943349),('DE',3278943350,3278943351),('NL',3278943352,3278943352),('DE',3278943353,3278943353),('ES',3278943354,3278943355),('FR',3278943356,3278943356),('ES',3278943357,3278943357),('FR',3278943358,3278943358),('ES',3278943359,3278943359),('CH',3278943360,3278943360),('DE',3278943361,3278943361),('IT',3278943362,3278943362),('DE',3278943363,3278943363),('IT',3278943364,3278943364),('DE',3278943365,3278943366),('FR',3278943367,3278943367),('DE',3278943368,3278943369),('FR',3278943370,3278943370),('DE',3278943371,3278943371),('CH',3278943372,3278943372),('GR',3278943373,3278943374),('ES',3278943375,3278943375),('NO',3278943376,3278943376),('IT',3278943377,3278943377),('DE',3278943378,3278943378),('CH',3278943379,3278943379),('ES',3278943380,3278943380),('GB',3278943381,3278943381),('ES',3278943382,3278943382),('PL',3278943383,3278943383),('IT',3278943384,3278943384),('DE',3278943385,3278943385),('FR',3278943386,3278943387),('ES',3278943388,3278943388),('BE',3278943389,3278943389),('ES',3278943390,3278943390),('FR',3278943391,3278943391),('PL',3278943392,3278943392),('CH',3278943393,3278943393),('FR',3278943394,3278943394),('IT',3278943395,3278943395),('NL',3278943396,3278943396),('DE',3278943397,3278943399),('FR',3278943400,3278943400),('DE',3278943401,3278943401),('FR',3278943402,3278943402),('GB',3278943403,3278943403),('DE',3278943404,3278943404),('GB',3278943405,3278943405),('AT',3278943406,3278943406),('DE',3278943407,3278943407),('FR',3278943408,3278943408),('IT',3278943409,3278943409),('NL',3278943410,3278943410),('ES',3278943411,3278943411),('GB',3278943412,3278943412),('NL',3278943413,3278943413),('ES',3278943414,3278943414),('UA',3278943415,3278943415),('NL',3278943416,3278943416),('DE',3278943417,3278943417),('GB',3278943418,3278943418),('ES',3278943419,3278943419),('BE',3278943420,3278943420),('DE',3278943421,3278943422),('IT',3278943423,3278943423),('DE',3278943424,3278943424),('GB',3278943425,3278943425),('DE',3278943426,3278943426),('AT',3278943427,3278943427),('DE',3278943428,3278943428),('IT',3278943429,3278943430),('CH',3278943431,3278943431),('DE',3278943432,3278943432),('GB',3278943433,3278943433),('DE',3278943434,3278943435),('ES',3278943436,3278943436),('FR',3278943437,3278943437),('DE',3278943438,3278943438),('SE',3278943439,3278943439),('DK',3278943440,3278943440),('IT',3278943441,3278943441),('FR',3278943442,3278943442),('DE',3278943443,3278943443),('GB',3278943444,3278943444),('DE',3278943445,3278943445),('CH',3278943446,3278943446),('DE',3278943447,3278943447),('FR',3278943448,3278943448),('DE',3278943449,3278943449),('CH',3278943450,3278943450),('AT',3278943451,3278943451),('DE',3278943452,3278943452),('PT',3278943453,3278943453),('DE',3278943454,3278943455),('IT',3278943456,3278943456),('GB',3278943457,3278943457),('DE',3278943458,3278943459),('FR',3278943460,3278943460),('DE',3278943461,3278943462),('IT',3278943463,3278943463),('DE',3278943464,3278943464),('ES',3278943465,3278943465),('DE',3278943466,3278943466),('ES',3278943467,3278943467),('DE',3278943468,3278943468),('NL',3278943469,3278943469),('ES',3278943470,3278943471),('BE',3278943472,3278943472),('DE',3278943473,3278943473),('BE',3278943474,3278943474),('DE',3278943475,3278943477),('NL',3278943478,3278943478),('DE',3278943479,3278943481),('IT',3278943482,3278943482),('DE',3278943483,3278943489),('BE',3278943490,3278943490),('DK',3278943491,3278943491),('CH',3278943492,3278943492),('DE',3278943493,3278943494),('FR',3278943495,3278943495),('GB',3278943496,3278943496),('AT',3278943497,3278943497),('DE',3278943498,3278943499),('IT',3278943500,3278943500),('FR',3278943501,3278943501),('DE',3278943502,3278943504),('LI',3278943505,3278943505),('AT',3278943506,3278943506),('FR',3278943507,3278943507),('IT',3278943508,3278943509),('DE',3278943510,3278943510),('IT',3278943511,3278943512),('ES',3278943513,3278943513),('BE',3278943514,3278943514),('DE',3278943515,3278943515),('ES',3278943516,3278943517),('FR',3278943518,3278943518),('HU',3278943519,3278943519),('AT',3278943520,3278943520),('ES',3278943521,3278943521),('DE',3278943522,3278943523),('AT',3278943524,3278943524),('BE',3278943525,3278943525),('FR',3278943526,3278943526),('DE',3278943527,3278943527),('CH',3278943528,3278943528),('AT',3278943529,3278943530),('DE',3278943531,3278943531),('NL',3278943532,3278943532),('ES',3278943533,3278943533),('GB',3278943534,3278943534),('BR',3278943535,3278943535),('ES',3278943536,3278943537),('RE',3278943538,3278943538),('IT',3278943539,3278943539),('ES',3278943540,3278943540),('DE',3278943541,3278943542),('IT',3278943543,3278943543),('DE',3278943544,3278943545),('NL',3278943546,3278943546),('CH',3278943547,3278943547),('GB',3278943548,3278943548),('IL',3278943549,3278943549),('IT',3278943550,3278943550),('DE',3278943551,3278943551),('IT',3278943552,3278943552),('DE',3278943553,3278943553),('FR',3278943554,3278943554),('DE',3278943555,3278943555),('FR',3278943556,3278943556),('DE',3278943557,3278943557),('AT',3278943558,3278943558),('DE',3278943559,3278943559),('CH',3278943560,3278943560),('FR',3278943561,3278943561),('DE',3278943562,3278943564),('GB',3278943565,3278943565),('BE',3278943566,3278943566),('AE',3278943567,3278943567),('NL',3278943568,3278943568),('ES',3278943569,3278943569),('DE',3278943570,3278943570),('BE',3278943571,3278943571),('GB',3278943572,3278943572),('DE',3278943573,3278943573),('DK',3278943574,3278943574),('BE',3278943575,3278943575),('NL',3278943576,3278943576),('FR',3278943577,3278943577),('DE',3278943578,3278943578),('BE',3278943579,3278943579),('IT',3278943580,3278943580),('CH',3278943581,3278943581),('DE',3278943582,3278943582),('NL',3278943583,3278943583),('DE',3278943584,3278943585),('NL',3278943586,3278943586),('ES',3278943587,3278943587),('DE',3278943588,3278943588),('IT',3278943589,3278943589),('DE',3278943590,3278943590),('NL',3278943591,3278943591),('DE',3278943592,3278943592),('PL',3278943593,3278943593),('ES',3278943594,3278943594),('GB',3278943595,3278943595),('GR',3278943596,3278943596),('DE',3278943597,3278943598),('ES',3278943599,3278943599),('DE',3278943600,3278943601),('PL',3278943602,3278943602),('FR',3278943603,3278943603),('ES',3278943604,3278943604),('DE',3278943605,3278943605),('AT',3278943606,3278943606),('DE',3278943607,3278943607),('ES',3278943608,3278943608),('DE',3278943609,3278943609),('BE',3278943610,3278943610),('NL',3278943611,3278943611),('DE',3278943612,3278943613),('IT',3278943614,3278943614),('CH',3278943615,3278943615),('DE',3278943616,3278943616),('ES',3278943617,3278943617),('DE',3278943618,3278943619),('IT',3278943620,3278943620),('CH',3278943621,3278943621),('IT',3278943622,3278943622),('DK',3278943623,3278943623),('PL',3278943624,3278943624),('FR',3278943625,3278943625),('DE',3278943626,3278943628),('FR',3278943629,3278943630),('CH',3278943631,3278943631),('DE',3278943632,3278943632),('GB',3278943633,3278943633),('DE',3278943634,3278943634),('IT',3278943635,3278943635),('CH',3278943636,3278943636),('IT',3278943637,3278943638),('HU',3278943639,3278943639),('DE',3278943640,3278943641),('FR',3278943642,3278943642),('NL',3278943643,3278943643),('FR',3278943644,3278943645),('IT',3278943646,3278943646),('DE',3278943647,3278943647),('DK',3278943648,3278943648),('DE',3278943649,3278943649),('ES',3278943650,3278943650),('FR',3278943651,3278943651),('IT',3278943652,3278943653),('BE',3278943654,3278943654),('FR',3278943655,3278943655),('AT',3278943656,3278943656),('DE',3278943657,3278943658),('NL',3278943659,3278943659),('CY',3278943660,3278943660),('DE',3278943661,3278943661),('ES',3278943662,3278943662),('CH',3278943663,3278943663),('ES',3278943664,3278943666),('IT',3278943667,3278943667),('DE',3278943668,3278943669),('IT',3278943670,3278943670),('DE',3278943671,3278943672),('ES',3278943673,3278943673),('DE',3278943674,3278943675),('LU',3278943676,3278943676),('IT',3278943677,3278943677),('BE',3278943678,3278943678),('FR',3278943679,3278943679),('GB',3278943680,3278943680),('CH',3278943681,3278943681),('DE',3278943682,3278943682),('PT',3278943683,3278943683),('AD',3278943684,3278943684),('DE',3278943685,3278943686),('CH',3278943687,3278943687),('IT',3278943688,3278943689),('ES',3278943690,3278943690),('DE',3278943691,3278943692),('PL',3278943693,3278943693),('GB',3278943694,3278943694),('DE',3278943695,3278943695),('GB',3278943696,3278943696),('AT',3278943697,3278943697),('IT',3278943698,3278943698),('FR',3278943699,3278943699),('CH',3278943700,3278943700),('AT',3278943701,3278943701),('FR',3278943702,3278943702),('PL',3278943703,3278943703),('DE',3278943704,3278943705),('ES',3278943706,3278943706),('CH',3278943707,3278943707),('DE',3278943708,3278943710),('IT',3278943711,3278943711),('DE',3278943712,3278943713),('ES',3278943714,3278943714),('DE',3278943715,3278943715),('ES',3278943716,3278943716),('DE',3278943717,3278943719),('CH',3278943720,3278943720),('DE',3278943721,3278943726),('PL',3278943727,3278943727),('DE',3278943728,3278943729),('FR',3278943730,3278943730),('DK',3278943731,3278943731),('CH',3278943732,3278943733),('DE',3278943734,3278943734),('AD',3278943735,3278943735),('DE',3278943736,3278943736),('ES',3278943737,3278943737),('DE',3278943738,3278943740),('PT',3278943741,3278943741),('IL',3278943742,3278943742),('DE',3278943743,3278943745),('CH',3278943746,3278943746),('DE',3278943747,3278943747),('ES',3278943748,3278943749),('DE',3278943750,3278943751),('GR',3278943752,3278943752),('DE',3278943753,3278943753),('FR',3278943754,3278943754),('SL',3278943755,3278943755),('DE',3278943756,3278943756),('FR',3278943757,3278943757),('DE',3278943758,3278943758),('NL',3278943759,3278943759),('DE',3278943760,3278943761),('CY',3278943762,3278943762),('DE',3278943763,3278943763),('FR',3278943764,3278943764),('CH',3278943765,3278943765),('BE',3278943766,3278943766),('ES',3278943767,3278943767),('DE',3278943768,3278943768),('CZ',3278943769,3278943769),('FR',3278943770,3278943770),('CH',3278943771,3278943771),('ES',3278943772,3278943772),('IT',3278943773,3278943773),('DE',3278943774,3278943774),('PT',3278943775,3278943776),('FR',3278943777,3278943777),('CH',3278943778,3278943778),('DE',3278943779,3278943780),('GB',3278943781,3278943781),('IT',3278943782,3278943782),('DE',3278943783,3278943786),('IT',3278943787,3278943787),('DE',3278943788,3278943788),('ES',3278943789,3278943789),('DE',3278943790,3278943790),('IT',3278943791,3278943791),('FR',3278943792,3278943792),('IT',3278943793,3278943793),('HU',3278943794,3278943794),('DE',3278943795,3278943796),('ES',3278943797,3278943797),('DE',3278943798,3278943798),('IE',3278943799,3278943799),('DE',3278943800,3278943800),('LU',3278943801,3278943801),('DE',3278943802,3278943802),('GB',3278943803,3278943803),('DE',3278943804,3278943804),('DK',3278943805,3278943805),('ES',3278943806,3278943806),('DE',3278943807,3278943807),('IT',3278943808,3278943808),('FR',3278943809,3278943809),('DE',3278943810,3278943810),('GR',3278943811,3278943811),('IT',3278943812,3278943812),('IN',3278943813,3278943813),('ES',3278943814,3278943814),('MA',3278943815,3278943815),('GB',3278943816,3278943816),('FR',3278943817,3278943817),('DE',3278943818,3278943818),('AT',3278943819,3278943819),('DE',3278943820,3278943820),('SM',3278943821,3278943821),('PL',3278943822,3278943822),('DE',3278943823,3278943823),('CH',3278943824,3278943824),('DE',3278943825,3278943826),('AT',3278943827,3278943827),('ES',3278943828,3278943828),('CH',3278943829,3278943829),('ES',3278943830,3278943830),('US',3278943831,3278943831),('BE',3278943832,3278943832),('IT',3278943833,3278943833),('GB',3278943834,3278943835),('DE',3278943836,3278943836),('ES',3278943837,3278943837),('DE',3278943838,3278943838),('IT',3278943839,3278943839),('DE',3278943840,3278943845),('GB',3278943846,3278943846),('FR',3278943847,3278943847),('IT',3278943848,3278943848),('DE',3278943849,3278943849),('FR',3278943850,3278943851),('BE',3278943852,3278943852),('GB',3278943853,3278943853),('ES',3278943854,3278943854),('BE',3278943855,3278943855),('DE',3278943856,3278943856),('PL',3278943857,3278943857),('NL',3278943858,3278943858),('DE',3278943859,3278943859),('FR',3278943860,3278943860),('DE',3278943861,3278943862),('IT',3278943863,3278943863),('DK',3278943864,3278943864),('GB',3278943865,3278943865),('IT',3278943866,3278943866),('ES',3278943867,3278943867),('IT',3278943868,3278943868),('IE',3278943869,3278943869),('NL',3278943870,3278943870),('FR',3278943871,3278943871),('DE',3278943872,3278943872),('IT',3278943873,3278943873),('CH',3278943874,3278943874),('IL',3278943875,3278943875),('DE',3278943876,3278943881),('PL',3278943882,3278943882),('CH',3278943883,3278943883),('DE',3278943884,3278943884),('IT',3278943885,3278943885),('DE',3278943886,3278943888),('BE',3278943889,3278943889),('NL',3278943890,3278943890),('ES',3278943891,3278943891),('BE',3278943892,3278943892),('DE',3278943893,3278943893),('IT',3278943894,3278943894),('DE',3278943895,3278943895),('PL',3278943896,3278943896),('ES',3278943897,3278943897),('IT',3278943898,3278943898),('GB',3278943899,3278943899),('ES',3278943900,3278943900),('DE',3278943901,3278943901),('GB',3278943902,3278943902),('IT',3278943903,3278943903),('DE',3278943904,3278943904),('FR',3278943905,3278943905),('IT',3278943906,3278943907),('GB',3278943908,3278943908),('HU',3278943909,3278943909),('FR',3278943910,3278943910),('DE',3278943911,3278943911),('IT',3278943912,3278943913),('DE',3278943914,3278943914),('PL',3278943915,3278943915),('IT',3278943916,3278943916),('FR',3278943917,3278943917),('ES',3278943918,3278943918),('FR',3278943919,3278943920),('DE',3278943921,3278943921),('ES',3278943922,3278943922),('FR',3278943923,3278943923),('IT',3278943924,3278943924),('ES',3278943925,3278943926),('GB',3278943927,3278943927),('DE',3278943928,3278943928),('PT',3278943929,3278943929),('IT',3278943930,3278943930),('DE',3278943931,3278943932),('ES',3278943933,3278943933),('DE',3278943934,3278943934),('GR',3278943935,3278943935),('DE',3278943936,3278943939),('DK',3278943940,3278943940),('GB',3278943941,3278943941),('NL',3278943942,3278943942),('AT',3278943943,3278943943),('IT',3278943944,3278943944),('NL',3278943945,3278943945),('LU',3278943946,3278943946),('DE',3278943947,3278943947),('ES',3278943948,3278943948),('DE',3278943949,3278943949),('BE',3278943950,3278943950),('LU',3278943951,3278943951),('DE',3278943952,3278943953),('FR',3278943954,3278943954),('DE',3278943955,3278943956),('GB',3278943957,3278943957),('DK',3278943958,3278943958),('DE',3278943959,3278943959),('FR',3278943960,3278943960),('DE',3278943961,3278943964),('CH',3278943965,3278943965),('DE',3278943966,3278943967),('ES',3278943968,3278943968),('PL',3278943969,3278943969),('ES',3278943970,3278943970),('BE',3278943971,3278943971),('IT',3278943972,3278943972),('DE',3278943973,3278943973),('GR',3278943974,3278943974),('CH',3278943975,3278943976),('DK',3278943977,3278943977),('DE',3278943978,3278943978),('ES',3278943979,3278943979),('GB',3278943980,3278943980),('DE',3278943981,3278943981),('ES',3278943982,3278943982),('DE',3278943983,3278943983),('AT',3278943984,3278943984),('NL',3278943985,3278943985),('IT',3278943986,3278943987),('ES',3278943988,3278943988),('DE',3278943989,3278943990),('NL',3278943991,3278943991),('IT',3278943992,3278943992),('AT',3278943993,3278943994),('DE',3278943995,3278943995),('CH',3278943996,3278943997),('FR',3278943998,3278943998),('DE',3278943999,3278944001),('GB',3278944002,3278944002),('LU',3278944003,3278944003),('PT',3278944004,3278944004),('DE',3278944005,3278944006),('NL',3278944007,3278944007),('IT',3278944008,3278944008),('CH',3278944009,3278944009),('NL',3278944010,3278944010),('DE',3278944011,3278944012),('DK',3278944013,3278944013),('IT',3278944014,3278944014),('IS',3278944015,3278944015),('PL',3278944016,3278944016),('DE',3278944017,3278944017),('BE',3278944018,3278944018),('FR',3278944019,3278944019),('DE',3278944020,3278944020),('IT',3278944021,3278944021),('FR',3278944022,3278944022),('AT',3278944023,3278944023),('CH',3278944024,3278944025),('FR',3278944026,3278944027),('DE',3278944028,3278944028),('IT',3278944029,3278944029),('DE',3278944030,3278944030),('FR',3278944031,3278944031),('DE',3278944032,3278944033),('GR',3278944034,3278944034),('FR',3278944035,3278944035),('US',3278944036,3278944036),('FR',3278944037,3278944037),('GB',3278944038,3278944038),('ES',3278944039,3278944039),('FR',3278944040,3278944040),('DE',3278944041,3278944041),('FR',3278944042,3278944042),('DE',3278944043,3278944043),('FR',3278944044,3278944045),('NL',3278944046,3278944046),('GB',3278944047,3278944047),('BE',3278944048,3278944048),('IT',3278944049,3278944049),('DE',3278944050,3278944050),('BE',3278944051,3278944051),('AT',3278944052,3278944052),('IT',3278944053,3278944053),('DE',3278944054,3278944054),('IT',3278944055,3278944055),('DE',3278944056,3278944058),('ES',3278944059,3278944059),('BE',3278944060,3278944060),('FR',3278944061,3278944061),('NL',3278944062,3278944062),('DE',3278944063,3278944063),('FR',3278944064,3278944064),('IT',3278944065,3278944065),('GB',3278944066,3278944066),('DE',3278944067,3278944067),('ES',3278944068,3278944068),('PL',3278944069,3278944069),('DE',3278944070,3278944070),('DK',3278944071,3278944071),('AT',3278944072,3278944072),('FR',3278944073,3278944073),('ES',3278944074,3278944075),('DE',3278944076,3278944076),('GB',3278944077,3278944077),('DE',3278944078,3278944078),('GB',3278944079,3278944079),('DE',3278944080,3278944080),('GB',3278944081,3278944081),('IT',3278944082,3278944082),('ES',3278944083,3278944084),('PT',3278944085,3278944085),('NL',3278944086,3278944086),('CH',3278944087,3278944087),('IT',3278944088,3278944088),('DE',3278944089,3278944089),('IT',3278944090,3278944090),('MA',3278944091,3278944091),('GR',3278944092,3278944092),('DE',3278944093,3278944094),('AT',3278944095,3278944095),('GB',3278944096,3278944096),('DE',3278944097,3278944097),('SE',3278944098,3278944098),('GB',3278944099,3278944099),('DE',3278944100,3278944102),('IT',3278944103,3278944104),('FR',3278944105,3278944105),('AT',3278944106,3278944106),('DE',3278944107,3278944108),('ES',3278944109,3278944109),('DE',3278944110,3278944111),('NL',3278944112,3278944112),('DE',3278944113,3278944113),('IT',3278944114,3278944114),('ES',3278944115,3278944116),('IT',3278944117,3278944118),('ES',3278944119,3278944119),('DE',3278944120,3278944121),('FR',3278944122,3278944122),('IT',3278944123,3278944123),('DE',3278944124,3278944124),('SE',3278944125,3278944125),('ES',3278944126,3278944126),('IT',3278944127,3278944127),('PT',3278944128,3278944128),('BE',3278944129,3278944129),('DE',3278944130,3278944130),('FR',3278944131,3278944131),('IE',3278944132,3278944132),('IT',3278944133,3278944133),('ES',3278944134,3278944134),('NL',3278944135,3278944135),('DE',3278944136,3278944137),('GB',3278944138,3278944138),('FR',3278944139,3278944139),('PT',3278944140,3278944140),('FR',3278944141,3278944141),('GB',3278944142,3278944142),('AT',3278944143,3278944143),('DE',3278944144,3278944144),('SE',3278944145,3278944145),('DE',3278944146,3278944147),('ES',3278944148,3278944148),('DE',3278944149,3278944149),('IE',3278944150,3278944150),('IT',3278944151,3278944151),('IS',3278944152,3278944152),('DE',3278944153,3278944156),('FR',3278944157,3278944157),('DE',3278944158,3278944158),('CH',3278944159,3278944159),('FR',3278944160,3278944160),('DE',3278944161,3278944161),('GB',3278944162,3278944162),('HU',3278944163,3278944163),('IT',3278944164,3278944164),('DE',3278944165,3278944166),('IT',3278944167,3278944167),('CH',3278944168,3278944168),('DE',3278944169,3278944169),('CH',3278944170,3278944171),('DE',3278944172,3278944172),('FR',3278944173,3278944173),('GB',3278944174,3278944174),('DE',3278944175,3278944175),('ES',3278944176,3278944176),('LU',3278944177,3278944177),('DE',3278944178,3278944179),('GB',3278944180,3278944180),('IT',3278944181,3278944181),('FR',3278944182,3278944182),('ES',3278944183,3278944184),('NL',3278944185,3278944185),('DE',3278944186,3278944192),('FR',3278944193,3278944193),('GB',3278944194,3278944194),('IT',3278944195,3278944195),('DE',3278944196,3278944197),('IT',3278944198,3278944198),('AT',3278944199,3278944199),('DE',3278944200,3278944200),('SE',3278944201,3278944201),('NO',3278944202,3278944202),('NL',3278944203,3278944203),('DE',3278944204,3278944207),('NL',3278944208,3278944208),('PL',3278944209,3278944209),('AT',3278944210,3278944210),('DE',3278944211,3278944211),('FR',3278944212,3278944212),('DK',3278944213,3278944213),('GB',3278944214,3278944214),('IT',3278944215,3278944215),('DE',3278944216,3278944216),('IT',3278944217,3278944217),('ES',3278944218,3278944218),('DE',3278944219,3278944219),('GB',3278944220,3278944220),('GR',3278944221,3278944221),('IT',3278944222,3278944222),('DE',3278944223,3278944224),('NL',3278944225,3278944225),('RU',3278944226,3278944226),('IT',3278944227,3278944227),('DE',3278944228,3278944230),('CH',3278944231,3278944231),('NL',3278944232,3278944232),('GB',3278944233,3278944233),('AT',3278944234,3278944234),('DE',3278944235,3278944235),('IT',3278944236,3278944236),('DE',3278944237,3278944238),('SE',3278944239,3278944239),('FR',3278944240,3278944240),('IT',3278944241,3278944241),('ES',3278944242,3278944242),('DE',3278944243,3278944243),('ES',3278944244,3278944244),('BE',3278944245,3278944245),('NL',3278944246,3278944246),('ES',3278944247,3278944247),('NL',3278944248,3278944248),('ES',3278944249,3278944249),('IT',3278944250,3278944250),('AT',3278944251,3278944251),('IT',3278944252,3278944252),('GB',3278944253,3278944254),('DE',3278944255,3278944256),('US',3278944257,3278944272),('CA',3278944273,3278944273),('US',3278944274,3278944274),('CA',3278944275,3278944275),('US',3278944276,3278944277),('VE',3278944278,3278944278),('DE',3278944279,3278944279),('US',3278944280,3278944284),('DE',3278944285,3278944285),('US',3278944286,3278944286),('CA',3278944287,3278944288),('US',3278944289,3278944293),('CA',3278944294,3278944294),('US',3278944295,3278944346),('AR',3278944347,3278944347),('US',3278944348,3278944360),('AR',3278944361,3278944361),('US',3278944362,3278944365),('MX',3278944366,3278944366),('US',3278944367,3278944367),('CA',3278944368,3278944368),('US',3278944369,3278944373),('PR',3278944374,3278944374),('US',3278944375,3278944379),('DE',3278944380,3278944380),('US',3278944381,3278944385),('DE',3278944386,3278944386),('US',3278944387,3278944388),('CA',3278944389,3278944389),('AR',3278944390,3278944390),('CA',3278944391,3278944391),('US',3278944392,3278944395),('CA',3278944396,3278944396),('US',3278944397,3278944399),('BR',3278944400,3278944400),('US',3278944401,3278944401),('CA',3278944402,3278944402),('US',3278944403,3278944412),('CA',3278944413,3278944413),('US',3278944414,3278944418),('DE',3278944419,3278944419),('CA',3278944420,3278944420),('DE',3278944421,3278944421),('US',3278944422,3278944432),('DE',3278944433,3278944433),('US',3278944434,3278944444),('DE',3278944445,3278944449),('CA',3278944450,3278944451),('DE',3278944452,3278944460),('US',3278944461,3278944461),('DE',3278944462,3278944470),('US',3278944471,3278944471),('DE',3278944472,3278944513),('US',3278944514,3278944517),('DE',3278944518,3278944518),('US',3278944519,3278944520),('CA',3278944521,3278944521),('US',3278944522,3278944522),('CA',3278944523,3278944523),('US',3278944524,3278944524),('CL',3278944525,3278944525),('US',3278944526,3278944526),('CA',3278944527,3278944527),('US',3278944528,3278944528),('CA',3278944529,3278944529),('US',3278944530,3278944535),('GU',3278944536,3278944536),('US',3278944537,3278944537),('AR',3278944538,3278944538),('US',3278944539,3278944544),('CA',3278944545,3278944545),('US',3278944546,3278944555),('CL',3278944556,3278944556),('US',3278944557,3278944559),('AR',3278944560,3278944560),('US',3278944561,3278944561),('CA',3278944562,3278944562),('US',3278944563,3278944563),('CA',3278944564,3278944564),('US',3278944565,3278944569),('DE',3278944570,3278944570),('US',3278944571,3278944572),('DE',3278944573,3278944573),('US',3278944574,3278944574),('DE',3278944575,3278944575),('US',3278944576,3278944578),('DE',3278944579,3278944579),('AR',3278944580,3278944580),('US',3278944581,3278944581),('DE',3278944582,3278944583),('US',3278944584,3278944586),('PR',3278944587,3278944587),('US',3278944588,3278944588),('DE',3278944589,3278944589),('US',3278944590,3278944599),('SA',3278944600,3278944600),('US',3278944601,3278944606),('DE',3278944607,3278944608),('US',3278944609,3278944611),('DE',3278944612,3278944612),('US',3278944613,3278944633),('DE',3278944634,3278944634),('US',3278944635,3278944638),('DE',3278944639,3278944640),('US',3278944641,3278944642),('CL',3278944643,3278944643),('US',3278944644,3278944650),('DE',3278944651,3278944651),('US',3278944652,3278944654),('AR',3278944655,3278944657),('US',3278944658,3278944659),('AR',3278944660,3278944660),('US',3278944661,3278944661),('DE',3278944662,3278944663),('AR',3278944664,3278944665),('US',3278944666,3278944667),('AR',3278944668,3278944668),('US',3278944669,3278944670),('CL',3278944671,3278944671),('DE',3278944672,3278944672),('PE',3278944673,3278944673),('DE',3278944674,3278944674),('US',3278944675,3278944677),('CA',3278944678,3278944678),('US',3278944679,3278944679),('CA',3278944680,3278944680),('US',3278944681,3278944683),('DE',3278944684,3278944686),('US',3278944687,3278944687),('AR',3278944688,3278944688),('US',3278944689,3278944693),('DE',3278944694,3278944695),('AS',3278944696,3278944696),('CA',3278944697,3278944697),('US',3278944698,3278944706),('DE',3278944707,3278944707),('PE',3278944708,3278944708),('US',3278944709,3278944709),('DE',3278944710,3278944710),('CL',3278944711,3278944712),('DE',3278944713,3278944713),('JM',3278944714,3278944714),('CA',3278944715,3278944715),('DE',3278944716,3278944716),('US',3278944717,3278944718),('CA',3278944719,3278944719),('US',3278944720,3278944720),('CA',3278944721,3278944721),('US',3278944722,3278944727),('DE',3278944728,3278944728),('US',3278944729,3278944730),('DE',3278944731,3278944731),('US',3278944732,3278944734),('DE',3278944735,3278944735),('AR',3278944736,3278944736),('US',3278944737,3278944739),('CA',3278944740,3278944740),('DE',3278944741,3278944741),('US',3278944742,3278944743),('DE',3278944744,3278944745),('US',3278944746,3278944749),('DE',3278944750,3278944750),('US',3278944751,3278944751),('DE',3278944752,3278944752),('US',3278944753,3278944753),('BR',3278944754,3278944754),('AR',3278944755,3278944755),('US',3278944756,3278944758),('DE',3278944759,3278944760),('UY',3278944761,3278944761),('DE',3278944762,3278944763),('AR',3278944764,3278944764),('US',3278944765,3278944765),('DE',3278944766,3278944767),('DO',3278944768,3278944771),('US',3278944772,3278944819),('AR',3278944820,3278944823),('BR',3278944824,3278944827),('US',3278944828,3278944851),('CA',3278944852,3278944855),('US',3278944856,3278944863),('MX',3278944864,3278944867),('US',3278944868,3278944871),('DE',3278944872,3278944875),('US',3278944876,3278944887),('CO',3278944888,3278944891),('US',3278944892,3278944903),('BR',3278944904,3278944907),('US',3278944908,3278944919),('CO',3278944920,3278944923),('US',3278944924,3278944935),('BR',3278944936,3278944939),('US',3278944940,3278944947),('CO',3278944948,3278944951),('US',3278944952,3278944963),('CA',3278944964,3278944971),('US',3278944972,3278944975),('CA',3278944976,3278944995),('CO',3278944996,3278944999),('US',3278945000,3278945007),('CO',3278945008,3278945011),('PE',3278945012,3278945015),('US',3278945016,3278945023),('BR',3278945024,3278945027),('AN',3278945028,3278945031),('US',3278945032,3278945087),('BR',3278945088,3278945091),('US',3278945092,3278945099),('BR',3278945100,3278945107),('DO',3278945108,3278945111),('US',3278945112,3278945127),('AR',3278945128,3278945131),('BR',3278945132,3278945135),('US',3278945136,3278945151),('CA',3278945152,3278945155),('BR',3278945156,3278945159),('US',3278945160,3278945171),('AR',3278945172,3278945175),('US',3278945176,3278945191),('CA',3278945192,3278945199),('US',3278945200,3278945203),('AR',3278945204,3278945207),('US',3278945208,3278945227),('CA',3278945228,3278945235),('US',3278945236,3278945247),('CA',3278945248,3278945255),('US',3278945256,3278945267),('AR',3278945268,3278945271),('US',3278945272,3278945275),('CL',3278945276,3278945279),('CA',3278945280,3278945283),('US',3278945284,3278945299),('DE',3278945300,3278945303),('CO',3278945304,3278945307),('CA',3278945308,3278945311),('US',3278945312,3278945319),('MX',3278945320,3278945323),('AR',3278945324,3278945327),('CA',3278945328,3278945331),('US',3278945332,3278945335),('CA',3278945336,3278945339),('US',3278945340,3278945343),('BR',3278945344,3278945347),('US',3278945348,3278945363),('PR',3278945364,3278945367),('US',3278945368,3278945395),('AR',3278945396,3278945399),('MX',3278945400,3278945403),('US',3278945404,3278945427),('CA',3278945428,3278945431),('AR',3278945432,3278945435),('MX',3278945436,3278945439),('US',3278945440,3278945451),('BR',3278945452,3278945455),('US',3278945456,3278945459),('MX',3278945460,3278945463),('US',3278945464,3278945479),('CL',3278945480,3278945483),('BR',3278945484,3278945491),('US',3278945492,3278945503),('MX',3278945504,3278945507),('AR',3278945508,3278945515),('BR',3278945516,3278945519),('US',3278945520,3278945523),('CA',3278945524,3278945527),('US',3278945528,3278945531),('AN',3278945532,3278945535),('AR',3278945536,3278945539),('US',3278945540,3278945579),('AR',3278945580,3278945583),('US',3278945584,3278945587),('DO',3278945588,3278945591),('US',3278945592,3278945659),('AR',3278945660,3278945663),('US',3278945664,3278945667),('UY',3278945668,3278945671),('DE',3278945672,3278945675),('US',3278945676,3278945687),('BR',3278945688,3278945691),('US',3278945692,3278945699),('AR',3278945700,3278945703),('US',3278945704,3278945715),('CO',3278945716,3278945719),('US',3278945720,3278945723),('AR',3278945724,3278945727),('US',3278945728,3278945743),('MX',3278945744,3278945747),('US',3278945748,3278945763),('MX',3278945764,3278945767),('CO',3278945768,3278945771),('US',3278945772,3278945779),('PE',3278945780,3278945783),('US',3278945784,3278945791),('DE',3278945792,3278945794),('CH',3278945795,3278945795),('DE',3278945796,3278945796),('BE',3278945797,3278945797),('NL',3278945798,3278945798),('LU',3278945799,3278945799),('SE',3278945800,3278945800),('NL',3278945801,3278945801),('PT',3278945802,3278945802),('GB',3278945803,3278945803),('NL',3278945804,3278945804),('DK',3278945805,3278945805),('FR',3278945806,3278945806),('DE',3278945807,3278945807),('RU',3278945808,3278945808),('DE',3278945809,3278945809),('CH',3278945810,3278945810),('DE',3278945811,3278945815),('GB',3278945816,3278945816),('DE',3278945817,3278945821),('GR',3278945822,3278945822),('CH',3278945823,3278945823),('DE',3278945824,3278945826),('DK',3278945827,3278945827),('FR',3278945828,3278945828),('DE',3278945829,3278945829),('NL',3278945830,3278945831),('DE',3278945832,3278945832),('GB',3278945833,3278945833),('NL',3278945834,3278945834),('CH',3278945835,3278945835),('DE',3278945836,3278945838),('CZ',3278945839,3278945839),('DE',3278945840,3278945840),('CH',3278945841,3278945841),('DE',3278945842,3278945844),('ES',3278945845,3278945845),('CH',3278945846,3278945846),('DE',3278945847,3278945847),('GB',3278945848,3278945848),('DE',3278945849,3278945849),('NL',3278945850,3278945850),('DE',3278945851,3278945852),('CH',3278945853,3278945853),('FR',3278945854,3278945854),('DE',3278945855,3278945855),('DK',3278945856,3278945856),('DE',3278945857,3278945858),('GB',3278945859,3278945859),('FR',3278945860,3278945860),('IT',3278945861,3278945861),('BE',3278945862,3278945862),('ES',3278945863,3278945863),('IE',3278945864,3278945864),('DE',3278945865,3278945866),('FR',3278945867,3278945867),('NO',3278945868,3278945868),('DE',3278945869,3278945870),('IT',3278945871,3278945871),('FR',3278945872,3278945872),('DE',3278945873,3278945873),('IT',3278945874,3278945874),('ES',3278945875,3278945875),('NL',3278945876,3278945876),('SE',3278945877,3278945877),('FR',3278945878,3278945879),('DE',3278945880,3278945880),('BE',3278945881,3278945881),('DE',3278945882,3278945886),('IT',3278945887,3278945888),('DE',3278945889,3278945890),('CH',3278945891,3278945891),('BE',3278945892,3278945892),('DE',3278945893,3278945893),('AT',3278945894,3278945894),('ES',3278945895,3278945895),('GB',3278945896,3278945896),('IT',3278945897,3278945897),('ES',3278945898,3278945898),('DE',3278945899,3278945899),('FR',3278945900,3278945900),('DE',3278945901,3278945904),('PT',3278945905,3278945905),('FR',3278945906,3278945906),('GB',3278945907,3278945907),('DE',3278945908,3278945908),('FR',3278945909,3278945909),('DE',3278945910,3278945910),('NL',3278945911,3278945911),('DE',3278945912,3278945917),('IT',3278945918,3278945918),('DE',3278945919,3278946049),('US',3278946050,3278946054),('CA',3278946055,3278946055),('US',3278946056,3278946059),('CN',3278946060,3278946060),('US',3278946061,3278946061),('DE',3278946062,3278946062),('US',3278946063,3278946067),('DE',3278946068,3278946068),('US',3278946069,3278946084),('DE',3278946085,3278946085),('US',3278946086,3278946091),('DE',3278946092,3278946092),('US',3278946093,3278946108),('GB',3278946109,3278946109),('US',3278946110,3278946166),('DE',3278946167,3278946167),('US',3278946168,3278946190),('PR',3278946191,3278946191),('US',3278946192,3278946208),('DE',3278946209,3278946213),('US',3278946214,3278946214),('DE',3278946215,3278946221),('US',3278946222,3278946222),('DE',3278946223,3278946224),('US',3278946225,3278946225),('DE',3278946226,3278946229),('US',3278946230,3278946231),('DE',3278946232,3278946239),('US',3278946240,3278946263),('DE',3278946264,3278946267),('US',3278946268,3278946271),('SV',3278946272,3278946275),('DO',3278946276,3278946279),('DE',3278946280,3278946283),('US',3278946284,3278946287),('DE',3278946288,3278946291),('PR',3278946292,3278946295),('US',3278946296,3278946299),('DE',3278946300,3278946303),('LB',3278946304,3278954495),('RU',3278954496,3278962687),('CZ',3278962688,3279028223),('PL',3279028224,3279028735),('RU',3279028736,3279029247),('UA',3279029248,3279030271),('RU',3279030272,3279030783),('DE',3279030784,3279031295),('NL',3279031296,3279031807),('RO',3279031808,3279032319),('RU',3279032320,3279032831),('FR',3279032832,3279033343),('RU',3279033344,3279033855),('DE',3279033856,3279034367),('FR',3279034368,3279035391),('PS',3279035392,3279035903),('UA',3279035904,3279036415),('LV',3279036416,3279044607),('FR',3279044608,3279050455),('A2',3279050456,3279050463),('FR',3279050464,3279052799),('UA',3279052800,3279053311),('DE',3279053312,3279053823),('NL',3279053824,3279054335),('GB',3279054336,3279054847),('PL',3279054848,3279055359),('SA',3279055360,3279055871),('TR',3279055872,3279056383),('GB',3279056384,3279056895),('BG',3279056896,3279057407),('FR',3279057408,3279057919),('RO',3279057920,3279058431),('RU',3279058432,3279058943),('UA',3279058944,3279059455),('RU',3279059456,3279059967),('RO',3279059968,3279060479),('PL',3279060480,3279060991),('UA',3279060992,3279069183),('PL',3279069184,3279077375),('ES',3279077376,3279078399),('IT',3279078400,3279078655),('FR',3279078656,3279078911),('ES',3279078912,3279081215),('DE',3279081216,3279081231),('ES',3279081232,3279083583),('NL',3279083584,3279083599),('ES',3279083600,3279083807),('NL',3279083808,3279083839),('ES',3279083840,3279084543),('IT',3279084544,3279085567),('NL',3279085568,3279093759),('FR',3279093760,3279103103),('GB',3279103104,3279103135),('FR',3279103136,3279119295),('GB',3279119296,3279119327),('FR',3279119328,3279159295),('PL',3279159296,3279169279),('GB',3279169280,3279169535),('PL',3279169536,3279290367),('NL',3279290368,3279291391),('GB',3279291392,3279291647),('NL',3279291648,3279294463),('EU',3279294464,3279294719),('IE',3279294720,3279294975),('SE',3279294976,3279295231),('ES',3279295232,3279295487),('PT',3279295488,3279295743),('IL',3279295744,3279295999),('ZA',3279296000,3279296511),('ES',3279296512,3279297279),('ZA',3279297280,3279297535),('SE',3279297536,3279298047),('ZA',3279298048,3279298559),('DE',3279298560,3279305471),('EU',3279305472,3279305487),('DE',3279305488,3279305503),('GB',3279305504,3279305535),('DE',3279305536,3279305631),('GB',3279305632,3279305663),('ES',3279305664,3279305727),('DE',3279305728,3279306751),('FR',3279306752,3279310847),('DE',3279310848,3279311871),('EU',3279311872,3279312895),('DE',3279312896,3279313415),('EU',3279313416,3279313423),('DE',3279313424,3279313919),('GB',3279313920,3279314943),('CH',3279314944,3279315711),('BE',3279315712,3279315967),('DE',3279315968,3279316223),('BE',3279316224,3279316479),('IT',3279316480,3279317759),('DE',3279317760,3279317887),('IT',3279317888,3279317951),('DE',3279317952,3279317967),('IT',3279317968,3279317983),('NL',3279317984,3279318015),('DE',3279318016,3279318271),('GB',3279318272,3279318527),('CZ',3279318528,3279318559),('FR',3279318560,3279318655),('CZ',3279318656,3279318687),('FR',3279318688,3279318719),('ZA',3279318720,3279318751),('GB',3279318752,3279318783),('NL',3279318784,3279319039),('AT',3279319040,3279320063),('FR',3279320064,3279321087),('DK',3279321088,3279322623),('NL',3279322624,3279322663),('AT',3279322664,3279322671),('GB',3279322672,3279322687),('DE',3279322688,3279322879),('NL',3279322880,3279322975),('DE',3279322976,3279323071),('GB',3279323072,3279330079),('DK',3279330080,3279330111),('GB',3279330112,3279330815),('EU',3279330816,3279331071),('GB',3279331072,3279335295),('BE',3279335296,3279335423),('GB',3279335424,3279339519),('ES',3279339520,3279340031),('IT',3279340032,3279340543),('FR',3279340544,3279340671),('EU',3279340672,3279340799),('FR',3279340800,3279341055),('IT',3279341056,3279341567),('SE',3279341568,3279341823),('ZA',3279341824,3279342079),('IT',3279342080,3279342335),('ZA',3279342336,3279342591),('SE',3279342592,3279342847),('HR',3279342848,3279343103),('SI',3279343104,3279343359),('ZA',3279343360,3279343615),('BE',3279343616,3279345151),('SE',3279345152,3279345663),('GB',3279345664,3279346943),('FR',3279346944,3279347711),('SE',3279347712,3279348223),('IT',3279348224,3279348735),('GB',3279348736,3279348991),('ES',3279348992,3279349247),('IT',3279349248,3279349503),('FR',3279349504,3279349759),('DE',3279349760,3279351039),('FR',3279351040,3279351295),('GB',3279351296,3279351807),('DK',3279351808,3279352319),('GB',3279352320,3279352575),('BE',3279352576,3279352831),('SE',3279352832,3279352855),('EU',3279352856,3279353087),('GB',3279353088,3279353343),('DK',3279353344,3279354879),('AT',3279354880,3279355647),('BE',3279355648,3279355903),('EU',3279355904,3279356039),('NO',3279356040,3279356047),('EU',3279356048,3279356063),('NO',3279356064,3279356127),('EU',3279356128,3279356159),('NO',3279356160,3279356415),('EU',3279356416,3279356927),('NO',3279356928,3279357439),('EU',3279357440,3279372287),('FI',3279372288,3279372799),('EU',3279372800,3279373055),('FI',3279373056,3279375359),('EU',3279375360,3279380479),('CH',3279380480,3279380991),('EU',3279380992,3279382783),('CH',3279382784,3279383807),('EU',3279383808,3279384063),('CH',3279384064,3279385343),('EU',3279385344,3279386367),('CH',3279386368,3279386495),('EU',3279386496,3279387135),('CH',3279387136,3279387391),('EU',3279387392,3279388671),('GR',3279388672,3279388927),('EU',3279388928,3279389183),('GR',3279389184,3279389243),('EU',3279389244,3279389247),('GR',3279389248,3279389255),('EU',3279389256,3279389259),('GR',3279389260,3279389275),('EU',3279389276,3279389279),('GR',3279389280,3279389359),('EU',3279389360,3279389363),('GR',3279389364,3279389379),('EU',3279389380,3279389383),('GR',3279389384,3279389439),('EU',3279389440,3279389711),('GR',3279389712,3279389727),('EU',3279389728,3279390015),('GR',3279390016,3279390143),('EU',3279390144,3279393791),('GR',3279393792,3279394047),('EU',3279394048,3279394303),('GR',3279394304,3279394559),('EU',3279394560,3279402751),('CZ',3279402752,3279403007),('EU',3279403008,3279403263),('CZ',3279403264,3279403903),('EU',3279403904,3279404287),('CZ',3279404288,3279404415),('EU',3279404416,3279404799),('CZ',3279404800,3279405055),('EU',3279405056,3279421439),('IT',3279421440,3279486975),('NL',3279486976,3279552511),('LV',3279552512,3279560703),('GB',3279560704,3279568895),('IT',3279568896,3279577087),('BE',3279577088,3279585279),('DE',3279585280,3279585991),('GB',3279585992,3279585999),('DE',3279586000,3279586015),('GB',3279586016,3279586047),('DE',3279586048,3279586303),('GB',3279586304,3279586559),('DE',3279586560,3279588095),('GB',3279588096,3279588607),('DE',3279588608,3279588863),('GB',3279588864,3279589375),('DE',3279589376,3279590399),('GB',3279590400,3279590655),('DE',3279590656,3279590927),('GB',3279590928,3279592959),('DE',3279592960,3279593215),('GB',3279593216,3279593247),('DE',3279593248,3279593267),('GB',3279593268,3279593271),('DE',3279593272,3279593275),('GB',3279593276,3279593407),('DE',3279593408,3279593440),('GB',3279593441,3279593471),('DE',3279593472,3279593487),('GB',3279593488,3279595903),('DE',3279595904,3279595999),('GB',3279596000,3279596023),('DE',3279596024,3279596031),('GB',3279596032,3279600383),('DE',3279600384,3279600479),('GB',3279600480,3279600487),('DE',3279600488,3279600639),('GB',3279600640,3279601663),('CZ',3279601664,3279609855),('RU',3279609856,3279618047),('UA',3279618048,3279683583),('DE',3279683584,3279752959),('CH',3279752960,3279753215),('DE',3279753216,3279897583),('GB',3279897584,3279897591),('DE',3279897592,3279946751),('SE',3279946752,3279947775),('NL',3279947776,3279948799),('GB',3279948800,3279949823),('UA',3279949824,3279950847),('DE',3279950848,3279951871),('CY',3279951872,3279952895),('PL',3279952896,3279953919),('TR',3279953920,3279955967),('DE',3279955968,3279958015),('RU',3279958016,3279972351),('AT',3279972352,3279974399),('PL',3279974400,3279976447),('RU',3279976448,3279986687),('NL',3279986688,3279987199),('RU',3279987200,3279987711),('RO',3279987712,3279988223),('RU',3279988224,3279988735),('RO',3279988736,3279989247),('AT',3279989248,3279989759),('PL',3279989760,3279990271),('DK',3279990272,3279990783),('IL',3279990784,3279991295),('UA',3279991296,3279991807),('PL',3279991808,3279992319),('UA',3279992320,3279992831),('NL',3279992832,3279993855),('RO',3279993856,3279994367),('GB',3279994368,3279994879),('CZ',3279994880,3280003071),('BG',3280003072,3280003583),('UA',3280003584,3280004095),('PL',3280004096,3280004607),('UA',3280004608,3280005119),('HU',3280005120,3280005631),('IT',3280005632,3280006143),('DK',3280006144,3280006655),('GB',3280006656,3280007167),('SE',3280007168,3280007679),('PL',3280007680,3280008191),('RU',3280008192,3280009215),('UA',3280009216,3280009727),('GB',3280009728,3280010239),('UA',3280010240,3280010751),('TR',3280010752,3280011263),('DE',3280011264,3280011327),('NL',3280011328,3280011391),('EU',3280011392,3280011407),('GB',3280011408,3280011415),('EU',3280011416,3280011551),('GB',3280011552,3280011567),('EU',3280011568,3280011647),('IT',3280011648,3280011775),('NL',3280011776,3280011783),('BE',3280011784,3280011791),('EU',3280011792,3280011903),('BE',3280011904,3280011951),('EU',3280011952,3280014591),('FR',3280014592,3280015103),('GB',3280015104,3280015359),('EU',3280015360,3280015871),('GB',3280015872,3280016383),('EU',3280016384,3280016447),('BE',3280016448,3280016463),('EU',3280016464,3280016543),('BE',3280016544,3280016559),('GR',3280016560,3280016575),('NO',3280016576,3280016607),('CH',3280016608,3280016623),('EU',3280016624,3280016959),('BE',3280016960,3280016991),('FR',3280016992,3280017023),('IT',3280017024,3280017055),('EU',3280017056,3280017087),('IE',3280017088,3280017151),('EU',3280017152,3280017919),('IT',3280017920,3280018431),('GB',3280018432,3280019455),('EU',3280019456,3280019711),('CH',3280019712,3280020479),('IE',3280020480,3280020735),('BE',3280020736,3280020991),('GB',3280020992,3280021087),('EU',3280021088,3280021119),('NL',3280021120,3280021183),('EU',3280021184,3280021247),('CH',3280021248,3280021503),('EU',3280021504,3280021759),('BE',3280021760,3280021823),('EU',3280021824,3280022783),('IT',3280022784,3280023039),('EU',3280023040,3280023551),('IT',3280023552,3280024575),('SE',3280024576,3280024831),('EU',3280024832,3280027135),('IE',3280027136,3280027391),('EU',3280027392,3280027647),('CH',3280027648,3280027903),('EU',3280027904,3280028159),('IT',3280028160,3280028415),('BE',3280028416,3280028671),('EU',3280028672,3280030207),('CH',3280030208,3280030463),('EU',3280030464,3280031743),('IE',3280031744,3280031999),('EU',3280032000,3280032127),('CH',3280032128,3280032255),('EU',3280032256,3280035327),('CH',3280035328,3280035583),('EU',3280035584,3280036607),('CH',3280036608,3280036863),('EU',3280036864,3280037887),('CH',3280037888,3280038399),('EU',3280038400,3280041471),('CH',3280041472,3280041727),('EU',3280041728,3280076799),('GB',3280076800,3280084991),('BA',3280084992,3280093183),('GR',3280093184,3280109567),('BE',3280109568,3280117759),('CH',3280117760,3280125951),('IT',3280125952,3280142335),('RU',3280142336,3280144815),('RO',3280144816,3280144823),('RU',3280144824,3280207871),('FR',3280207872,3280273407),('RU',3280273408,3280338943),('GB',3280338944,3280347135),('NO',3280347136,3280355327),('GR',3280355328,3280371711),('CH',3280371712,3280379903),('FR',3280379904,3280392127),('CH',3280392128,3280392191),('FR',3280392192,3280396287),('FI',3280396288,3280404479),('IT',3280404480,3280437247),('DE',3280437248,3280453631),('ES',3280453632,3280454655),('UA',3280454656,3280455679),('IT',3280455680,3280456703),('RU',3280456704,3280457727),('GB',3280457728,3280458751),('RU',3280458752,3280459775),('DK',3280459776,3280460799),('DE',3280460800,3280462847),('DK',3280462848,3280463871),('RU',3280463872,3280466943),('UA',3280466944,3280467967),('GB',3280467968,3280468991),('CY',3280468992,3280470015),('PL',3280470016,3280535551),('GB',3280535552,3280568319),('IT',3280568320,3280576511),('BY',3280576512,3280576767),('PL',3280576768,3280577279),('DE',3280577280,3280577535),('IL',3280577536,3280577791),('NL',3280577792,3280578047),('RO',3280578048,3280578303),('UA',3280578304,3280578559),('PL',3280578560,3280578815),('NL',3280578816,3280579071),('DE',3280579072,3280579327),('RU',3280579328,3280579583),('CH',3280579584,3280579839),('HR',3280579840,3280580095),('KW',3280580096,3280580351),('CH',3280580352,3280580607),('GB',3280580608,3280580863),('DE',3280580864,3280581119),('DK',3280581120,3280581375),('EE',3280581376,3280581631),('BY',3280581632,3280581887),('FR',3280581888,3280582143),('CZ',3280582144,3280582399),('DK',3280582400,3280582655),('FR',3280582656,3280582911),('UA',3280582912,3280583167),('RO',3280583168,3280583423),('RU',3280583424,3280583679),('PS',3280583680,3280583935),('PL',3280583936,3280584191),('RO',3280584192,3280584447),('DE',3280584448,3280584703),('UA',3280584704,3280585215),('DK',3280585216,3280585727),('UA',3280585728,3280586239),('DE',3280586240,3280586751),('RU',3280586752,3280587263),('UA',3280587264,3280587775),('RO',3280587776,3280588287),('UA',3280588288,3280588799),('PL',3280588800,3280589311),('DE',3280589312,3280590335),('NL',3280590336,3280590847),('DE',3280590848,3280591359),('GB',3280591360,3280592383),('TR',3280592384,3280592895),('DE',3280592896,3280593407),('UA',3280593408,3280593919),('LU',3280593920,3280594431),('NL',3280594432,3280594943),('UA',3280594944,3280595455),('DE',3280595456,3280595967),('DK',3280595968,3280596479),('AT',3280596480,3280596991),('UA',3280596992,3280597503),('FR',3280597504,3280598015),('UA',3280598016,3280598527),('PL',3280598528,3280599039),('FR',3280599040,3280599551),('UA',3280599552,3280600063),('BG',3280600064,3280600575),('UA',3280600576,3280601087),('PT',3280601088,3280609279),('DE',3280609280,3280617471),('UA',3280617472,3280625663),('MD',3280625664,3280633855),('BG',3280633856,3280635807),('DE',3280635808,3280635815),('BG',3280635816,3280638207),('A2',3280638208,3280638463),('BG',3280638464,3280642047),('UA',3280642048,3280650239),('RO',3280650240,3280650495),('UA',3280650496,3280650751),('GB',3280650752,3280651263),('SI',3280651264,3280651519),('FR',3280651520,3280651775),('UA',3280651776,3280652031),('NO',3280652032,3280652287),('PL',3280652288,3280652543),('SI',3280652544,3280652799),('FR',3280652800,3280653055),('CH',3280653056,3280653311),('GB',3280653312,3280653823),('RU',3280653824,3280654079),('CH',3280654080,3280654335),('PL',3280654336,3280654591),('ES',3280654592,3280654847),('RU',3280654848,3280655103),('PL',3280655104,3280655359),('SE',3280655360,3280655615),('RU',3280655616,3280655871),('RO',3280655872,3280656127),('CH',3280656128,3280656639),('UA',3280656640,3280657407),('RU',3280657408,3280657663),('SE',3280657664,3280657919),('RO',3280657920,3280658175),('DE',3280658176,3280658431),('GB',3280658432,3280666623),('NO',3280666624,3280732159),('DE',3280732160,3280764927),('RU',3280764928,3280765951),('DK',3280765952,3280766975),('AT',3280766976,3280767999),('FR',3280768000,3280769023),('NL',3280769024,3280770047),('FR',3280770048,3280771071),('PL',3280771072,3280772095),('ES',3280772096,3280773119),('UA',3280773120,3280774143),('RS',3280774144,3280775167),('UA',3280775168,3280776191),('SE',3280776192,3280777215),('UA',3280777216,3280778239),('RU',3280778240,3280779263),('DE',3280779264,3280780287),('PL',3280780288,3280781311),('FI',3280781312,3280782335),('TR',3280782336,3280783359),('SE',3280783360,3280784383),('RU',3280784384,3280785407),('DE',3280785408,3280787455),('GB',3280787456,3280788479),('PL',3280788480,3280789503),('UA',3280789504,3280790527),('NL',3280790528,3280791551),('DE',3280791552,3280792575),('PL',3280792576,3280793599),('NL',3280793600,3280794623),('UA',3280794624,3280795647),('MZ',3280795648,3280796671),('CZ',3280796672,3280797695),('CH',3280797696,3280810783),('DE',3280810784,3280810799),('CH',3280810800,3280844292),('GB',3280844293,3280844295),('CH',3280844296,3280863231),('TR',3280863232,3280928767),('DE',3280928768,3280994303),('GB',3280994304,3280994559),('RU',3280994560,3280994815),('NL',3280994816,3280995071),('DE',3280995072,3280995327),('SE',3280995328,3280995583),('GB',3280995584,3280995839),('RU',3280995840,3280996095),('CH',3280996096,3280996351),('GB',3280996352,3280996607),('PL',3280996608,3280996863),('NL',3280996864,3280997119),('FR',3280997120,3280997375),('BE',3280997376,3280997631),('SE',3280997632,3280997887),('DE',3280997888,3280998399),('GR',3280998400,3280998655),('GB',3280998656,3280999423),('HU',3280999424,3280999679),('UA',3280999680,3280999935),('DE',3280999936,3281000447),('FR',3281000448,3281000703),('UA',3281000704,3281000959),('RU',3281000960,3281001215),('RO',3281001216,3281001471),('UA',3281001472,3281001727),('RU',3281001728,3281001983),('CH',3281001984,3281002239),('DE',3281002240,3281002495),('CH',3281002496,3281010687),('BE',3281010688,3281018879),('CZ',3281018880,3281027071),('EU',3281027072,3281027079),('GB',3281027080,3281027087),('EU',3281027088,3281027135),('GB',3281027136,3281027151),('EU',3281027152,3281027199),('GB',3281027200,3281027215),('EU',3281027216,3281027279),('GB',3281027280,3281027287),('EU',3281027288,3281027303),('GB',3281027304,3281027311),('EU',3281027312,3281027319),('GB',3281027320,3281027327),('EU',3281027328,3281027583),('GB',3281027584,3281027615),('EU',3281027616,3281027631),('GB',3281027632,3281027679),('EU',3281027680,3281027695),('GB',3281027696,3281027743),('EU',3281027744,3281027775),('GB',3281027776,3281027807),('EU',3281027808,3281027839),('GB',3281027840,3281027903),('EU',3281027904,3281028063),('GB',3281028064,3281028223),('EU',3281028224,3281028991),('GB',3281028992,3281029055),('EU',3281029056,3281030399),('GB',3281030400,3281035263),('CH',3281035264,3281043455),('RU',3281043456,3281059839),('DE',3281059840,3281074671),('ES',3281074672,3281074679),('DE',3281074680,3281103935),('AT',3281103936,3281103943),('DE',3281103944,3281110015),('BE',3281110016,3281110023),('DE',3281110024,3281113703),('BE',3281113704,3281113711),('DE',3281113712,3281125375),('SK',3281125376,3281133567),('IR',3281133568,3281141759),('RU',3281141760,3281149951),('CZ',3281149952,3281158143),('SK',3281158144,3281166335),('GB',3281166336,3281174527),('FR',3281174528,3281190911),('GB',3281190912,3281256447),('FI',3281256448,3281321983),('GB',3281321984,3281338367),('PL',3281338368,3281338623),('SA',3281338624,3281338879),('FR',3281338880,3281339135),('RO',3281339136,3281339391),('PL',3281339392,3281339647),('GB',3281339648,3281339903),('UA',3281339904,3281340159),('SA',3281340160,3281340415),('RO',3281340416,3281340927),('DE',3281340928,3281341183),('AT',3281341184,3281341439),('DE',3281341440,3281341695),('PL',3281341696,3281341951),('DK',3281341952,3281342207),('GB',3281342208,3281342463),('DE',3281342464,3281343231),('FI',3281343232,3281343487),('GB',3281343488,3281343743),('TR',3281343744,3281343999),('PL',3281344000,3281344255),('RU',3281344256,3281344511),('UA',3281344512,3281344767),('RU',3281344768,3281345023),('UA',3281345024,3281345279),('SA',3281345280,3281345535),('CH',3281345536,3281345791),('RU',3281345792,3281346047),('SI',3281346048,3281346303),('PL',3281346304,3281346559),('UA',3281346560,3281346815),('DE',3281346816,3281347071),('PL',3281347072,3281347327),('DE',3281347328,3281347583),('PL',3281347584,3281347839),('SE',3281347840,3281348095),('DE',3281348096,3281348351),('GB',3281348352,3281348607),('RU',3281348608,3281349119),('UA',3281349120,3281349375),('NL',3281349376,3281349631),('UA',3281349632,3281350143),('RU',3281350144,3281350655),('UA',3281350656,3281350911),('ES',3281350912,3281351167),('UA',3281351168,3281351423),('AT',3281351424,3281351679),('TR',3281351680,3281351935),('DE',3281351936,3281352191),('PL',3281352192,3281352447),('RO',3281352448,3281352703),('DE',3281352704,3281352959),('GB',3281352960,3281353215),('DE',3281353216,3281353471),('SE',3281353472,3281353727),('PL',3281353728,3281353983),('UA',3281353984,3281354239),('GB',3281354240,3281354751),('SE',3281354752,3281359071),('AN',3281359072,3281359103),('SE',3281359104,3281371135),('AT',3281371136,3281373183),('RU',3281373184,3281375231),('ES',3281375232,3281377279),('AT',3281377280,3281379327),('PL',3281379328,3281383423),('AT',3281383424,3281385471),('BG',3281385472,3281387519),('PL',3281387520,3281453055),('RU',3281453056,3281470975),('UZ',3281470976,3281471231),('RU',3281471232,3281518591),('GB',3281518592,3281578431),('IE',3281578432,3281578447),('GB',3281578448,3281599183),('BE',3281599184,3281599199),('GB',3281599200,3281640959),('SE',3281640960,3281640983),('GB',3281640984,3281641023),('SE',3281641024,3281641039),('GB',3281641040,3281641087),('SE',3281641088,3281641119),('GB',3281641120,3281649663),('FR',3281649664,3281699999),('US',3281700000,3281700031),('FR',3281700032,3281703551),('US',3281703552,3281703615),('FR',3281703616,3281710799),('US',3281710800,3281710815),('FR',3281710816,3281711487),('BE',3281711488,3281711519),('FR',3281711520,3281712127),('US',3281712128,3281712159),('FR',3281712160,3281712191),('US',3281712192,3281712255),('FR',3281712256,3281715199),('TR',3281715200,3281780735),('FI',3281780736,3281846271),('GB',3281846272,3281911807),('UZ',3281911808,3281919999),('DE',3281920000,3281928191),('MT',3281928192,3281944575),('DE',3281944576,3281960959),('JO',3281960960,3281969151),('RU',3281969152,3281969663),('PL',3281969664,3281970175),('RU',3281970176,3281970687),('LI',3281970688,3281971199),('RU',3281971200,3281971711),('RO',3281971712,3281972223),('DE',3281972224,3281972735),('RU',3281972736,3281973247),('FR',3281973248,3281973759),('DK',3281973760,3281974271),('RU',3281974272,3281974783),('PL',3281974784,3281975295),('RU',3281975296,3281976319),('DE',3281976320,3281976831),('RU',3281976832,3281977343),('NO',3281977344,3281999095),('US',3281999096,3281999103),('NO',3281999104,3282042879),('CH',3282042880,3282083839),('DE',3282083840,3282084351),('RO',3282084352,3282085375),('BE',3282085376,3282085887),('DE',3282085888,3282086399),('LV',3282086400,3282086911),('DE',3282086912,3282087423),('PL',3282087424,3282087935),('SE',3282087936,3282088447),('PL',3282088448,3282089471),('SK',3282089472,3282089983),('PL',3282089984,3282090495),('GB',3282090496,3282091007),('FR',3282091008,3282091519),('CH',3282091520,3282092031),('UA',3282092032,3282093055),('DE',3282093056,3282095103),('RO',3282095104,3282096127),('IT',3282096128,3282097151),('GB',3282097152,3282098175),('NL',3282098176,3282099199),('UA',3282099200,3282100223),('ES',3282100224,3282101247),('DE',3282101248,3282102271),('UA',3282102272,3282103295),('GB',3282103296,3282104319),('IL',3282104320,3282105343),('RU',3282105344,3282106367),('DE',3282106368,3282107391),('NL',3282107392,3282108415),('RU',3282108416,3282119423),('KZ',3282119424,3282119679),('RU',3282119680,3282149455),('KG',3282149456,3282149471),('RU',3282149472,3282149599),('GB',3282149600,3282149631),('RU',3282149632,3282173951),('RU',3282182144,3282190335),('SE',3282190336,3282194431),('GB',3282198528,3282206719),('CH',3282206720,3282223103),('BE',3282223104,3282231295),('DE',3282231296,3282239487),('SE',3282239488,3282242223),('NO',3282242224,3282242227),('SE',3282242228,3282284543),('FI',3282284544,3282284559),('SE',3282284560,3282284579),('FI',3282284580,3282284591),('SE',3282284592,3282284671),('FI',3282284672,3282284703),('SE',3282284704,3282284783),('FI',3282284784,3282284927),('SE',3282284928,3282286975),('FI',3282286976,3282287007),('SE',3282287008,3282287615),('FI',3282287616,3282287759),('SE',3282287760,3282305023),('PL',3282305024,3282370559),('FI',3282370560,3282388175),('SE',3282388176,3282388191),('FI',3282388192,3282390015),('NL',3282390016,3282390271),('FI',3282390272,3282416383),('RU',3282416384,3282416511),('FI',3282416512,3282429279),('SE',3282429280,3282429311),('NO',3282429312,3282429343),('FI',3282429344,3282436095),('GB',3282436096,3282444159),('US',3282444160,3282444223),('GB',3282444224,3282449023),('NL',3282449024,3282449151),('GB',3282449152,3282452479),('DE',3282452480,3282452735),('GB',3282452736,3282456023),('IT',3282456024,3282456031),('GB',3282456032,3282461439),('CH',3282461440,3282461695),('GB',3282461696,3282464767),('SE',3282464768,3282465023),('DE',3282465024,3282465279),('IT',3282465280,3282465535),('GB',3282465536,3282466047),('US',3282466048,3282466111),('GB',3282466112,3282466643),('IT',3282466644,3282466655),('GB',3282466656,3282466687),('IT',3282466688,3282466727),('GB',3282466728,3282466815),('US',3282466816,3282467071),('GB',3282467072,3282467327),('DE',3282467328,3282467359),('GB',3282467360,3282477055),('RU',3282477056,3282485247),('GI',3282485248,3282493439),('NG',3282493440,3282501631),('GR',3282501632,3282534399),('GB',3282534400,3282550783),('FR',3282550784,3282554879),('DE',3282554880,3282558975),('FR',3282558976,3282563071),('GB',3282563072,3282567167),('SK',3282567168,3282632703),('NL',3282632704,3282698239),('GR',3282698240,3282706431),('RU',3282706432,3282714623),('AT',3282714624,3282722815),('DE',3282722816,3282731007),('FI',3282731008,3282739199),('CH',3282739200,3282739455),('RO',3282739456,3282739711),('FR',3282739712,3282739967),('UA',3282739968,3282740223),('FR',3282740224,3282740479),('AT',3282740480,3282740735),('BG',3282740736,3282740991),('DE',3282740992,3282741247),('PT',3282741248,3282741503),('GB',3282741504,3282741759),('ES',3282741760,3282742015),('RO',3282742016,3282742527),('GB',3282742528,3282742783),('CH',3282743040,3282743295),('CY',3282743296,3282743551),('SI',3282743552,3282743807),('MD',3282743808,3282744063),('UA',3282744064,3282744319),('SA',3282744320,3282744575),('PL',3282744576,3282745087),('RS',3282745088,3282745343),('HU',3282745344,3282745599),('DE',3282745600,3282746111),('SE',3282746112,3282746367),('PL',3282746368,3282746623),('SE',3282746624,3282746879),('RO',3282746880,3282747135),('PL',3282747136,3282747391),('RU',3282747392,3282749183),('AM',3282749184,3282749439),('RU',3282749440,3282763775),('GB',3282763776,3282772991),('BE',3282772992,3282773119),('GB',3282773120,3282805727),('IE',3282805728,3282805759),('GB',3282805760,3282844855),('A2',3282844856,3282844863),('GB',3282844864,3282952191),('NL',3282952192,3282960383),('TR',3282960384,3283091455),('CH',3283091456,3283156991),('DE',3283156992,3283158215),('EE',3283158216,3283158219),('DE',3283158220,3283158547),('AT',3283158548,3283158551),('DE',3283158552,3283160171),('BE',3283160172,3283160175),('DE',3283160176,3283173375),('PL',3283173376,3283174399),('UA',3283174400,3283176447),('GB',3283176448,3283177471),('BE',3283177472,3283178495),('PL',3283178496,3283179519),('LU',3283179520,3283180543),('UA',3283180544,3283181567),('NO',3283181568,3283182591),('PL',3283182592,3283183615),('RU',3283183616,3283184639),('IL',3283184640,3283185663),('UA',3283185664,3283187711),('RU',3283187712,3283188735),('UA',3283188736,3283189759),('DE',3283189760,3283206143),('GB',3283206144,3283206655),('SA',3283206656,3283207167),('PL',3283207168,3283207679),('AT',3283207680,3283208191),('DE',3283208192,3283208703),('NO',3283208704,3283209215),('RU',3283209216,3283209727),('TR',3283209728,3283210239),('UA',3283210240,3283210751),('PL',3283210752,3283211263),('GB',3283211264,3283211775),('NL',3283211776,3283212287),('RU',3283212288,3283212799),('BG',3283212800,3283213311),('ES',3283213312,3283213823),('UA',3283213824,3283214335),('RO',3283214336,3283214847),('RU',3283214848,3283215359),('SE',3283215360,3283215871),('TR',3283215872,3283216383),('DE',3283216384,3283216895),('CH',3283216896,3283217407),('UA',3283217408,3283218943),('NL',3283218944,3283219455),('GB',3283219456,3283219967),('BE',3283219968,3283220479),('BG',3283220480,3283220991),('AT',3283220992,3283221503),('GB',3283221504,3283222015),('DE',3283222016,3283230719),('RS',3283230720,3283238911),('CZ',3283238912,3283247103),('LV',3283247104,3283247615),('BG',3283247616,3283248127),('DE',3283248128,3283248639),('RO',3283248640,3283249151),('UA',3283249152,3283249663),('GB',3283249664,3283250175),('RU',3283250176,3283250687),('RO',3283250688,3283251199),('FR',3283251200,3283251711),('PL',3283251712,3283252223),('SE',3283252224,3283252735),('SI',3283252736,3283253247),('RO',3283253248,3283253759),('PL',3283253760,3283254271),('RO',3283254272,3283255295),('UA',3283255296,3283263487),('SE',3283263488,3283271679),('RU',3283271680,3283279871),('SE',3283279872,3283288063),('DE',3283288064,3283288575),('BE',3283288576,3283288579),('DE',3283288580,3283305087),('FR',3283305088,3283305127),('DE',3283305128,3283321087),('GB',3283321088,3283321119),('DE',3283321120,3283321167),('AT',3283321168,3283321175),('DE',3283321176,3283355735),('AT',3283355736,3283355743),('DE',3283355744,3283419135),('DK',3283419136,3283484671),('UA',3283484672,3283484927),('NL',3283484928,3283485183),('DE',3283485184,3283485439),('UA',3283485440,3283485695),('GB',3283485696,3283485951),('SE',3283485952,3283486207),('AT',3283486208,3283486463),('UA',3283486464,3283486719),('RU',3283486720,3283486975),('PL',3283486976,3283487231),('RU',3283487232,3283487487),('DE',3283487488,3283487743),('CH',3283487744,3283488255),('PL',3283488256,3283488511),('RU',3283488512,3283488767),('FR',3283488768,3283489279),('DE',3283489280,3283489535),('PL',3283489536,3283490047),('UA',3283490048,3283490559),('PL',3283490560,3283490815),('CH',3283490816,3283491071),('TR',3283491072,3283491327),('AT',3283491328,3283491583),('RO',3283491584,3283491839),('RU',3283491840,3283492095),('AT',3283492096,3283492351),('ES',3283492352,3283492607),('SA',3283492608,3283492863),('DK',3283492864,3283493119),('IL',3283493120,3283493375),('PL',3283493376,3283493887),('DK',3283493888,3283494143),('GB',3283494144,3283494399),('PL',3283494400,3283494655),('DK',3283494656,3283494911),('PL',3283494912,3283495167),('BG',3283495168,3283495423),('TR',3283495424,3283495679),('NL',3283495680,3283495935),('BG',3283495936,3283496191),('DE',3283496192,3283496447),('FR',3283496448,3283496703),('LV',3283496704,3283496959),('DE',3283496960,3283497215),('GB',3283497216,3283497471),('DE',3283497472,3283497727),('PL',3283497728,3283498239),('CH',3283498240,3283498495),('PL',3283498496,3283498751),('AT',3283498752,3283499007),('DE',3283499008,3283499263),('GB',3283499264,3283499519),('DE',3283499520,3283499775),('GB',3283499776,3283500031),('DE',3283500032,3283500287),('SI',3283500288,3283500543),('GB',3283500544,3283500799),('UA',3283500800,3283501055),('LT',3283501056,3283509247),('DE',3283509248,3283513375),('EU',3283513376,3283513407),('DE',3283513408,3283513415),('EU',3283513416,3283513431),('DE',3283513432,3283513435),('EU',3283513436,3283513447),('DE',3283513448,3283514095),('EU',3283514096,3283514111),('DE',3283514112,3283514495),('EU',3283514496,3283514527),('DE',3283514528,3283514547),('EU',3283514548,3283514551),('DE',3283514552,3283516415),('EU',3283516416,3283516735),('DE',3283516736,3283516863),('EU',3283516864,3283516991),('DE',3283516992,3283517055),('EU',3283517056,3283517183),('DE',3283517184,3283517439),('RU',3283517440,3283525631),('GB',3283525632,3283533823),('UA',3283533824,3283534847),('DE',3283534848,3283535359),('RO',3283535360,3283535871),('GI',3283535872,3283536383),('UA',3283536384,3283536895),('DK',3283536896,3283537407),('UA',3283537408,3283537919),('RO',3283537920,3283538431),('IT',3283538432,3283538943),('RO',3283538944,3283539967),('DK',3283539968,3283540479),('PL',3283540480,3283540991),('RO',3283540992,3283541503),('CH',3283541504,3283542015),('IT',3283542016,3283550207),('AT',3283550208,3283550239),('EU',3283550240,3283550271),('AT',3283550272,3283550335),('EU',3283550336,3283550463),('AT',3283550464,3283550623),('FR',3283550624,3283550655),('GB',3283550656,3283550719),('AT',3283550720,3283552255),('IT',3283552256,3283552319),('EU',3283552320,3283552351),('IT',3283552352,3283552415),('EU',3283552416,3283552447),('IT',3283552448,3283552575),('DE',3283552576,3283552639),('IT',3283552640,3283552671),('CH',3283552672,3283552703),('DE',3283552704,3283552735),('FR',3283552736,3283552751),('IT',3283552752,3283553047),('GB',3283553048,3283553055),('ZA',3283553056,3283553071),('SE',3283553072,3283553079),('DE',3283553080,3283553119),('GR',3283553120,3283553151),('GB',3283553152,3283553279),('IT',3283553280,3283553535),('EU',3283553536,3283553791),('GB',3283553792,3283554047),('IT',3283554048,3283554079),('ES',3283554080,3283554095),('NL',3283554096,3283554111),('IT',3283554112,3283554175),('FR',3283554176,3283554239),('ZA',3283554240,3283554255),('RU',3283554256,3283554271),('GB',3283554272,3283554303),('CH',3283554304,3283554327),('EU',3283554328,3283554335),('CH',3283554336,3283554367),('EU',3283554368,3283554431),('CH',3283554432,3283555743),('SE',3283555744,3283555759),('DE',3283555760,3283555775),('NL',3283555776,3283555807),('DE',3283555808,3283555839),('CH',3283555840,3283556351),('FR',3283556352,3283556623),('EU',3283556624,3283556671),('FR',3283556672,3283556735),('EU',3283556736,3283556863),('FR',3283556864,3283558303),('DE',3283558304,3283558335),('IT',3283558336,3283558367),('ZA',3283558368,3283558383),('GB',3283558384,3283558399),('RU',3283558400,3283558431),('DE',3283558432,3283558463),('RU',3283558464,3283558535),('EU',3283558536,3283558655),('FR',3283558656,3283558751),('BE',3283558752,3283558783),('GB',3283558784,3283558799),('BE',3283558800,3283558815),('NL',3283558816,3283558847),('ZA',3283558848,3283558863),('GB',3283558864,3283558871),('ZA',3283558872,3283558879),('GB',3283558880,3283558895),('BE',3283558896,3283558911),('DE',3283558912,3283559039),('IE',3283559040,3283559167),('DE',3283559168,3283559231),('GB',3283559232,3283559263),('ZA',3283559264,3283559295),('DE',3283559296,3283559423),('NL',3283559424,3283559679),('IT',3283559680,3283559935),('GB',3283559936,3283560191),('NO',3283560192,3283560447),('EU',3283560448,3283560703),('ZA',3283560704,3283560847),('EU',3283560848,3283560863),('SE',3283560864,3283560895),('GB',3283560896,3283560959),('BE',3283560960,3283561215),('EU',3283561216,3283561375),('GB',3283561376,3283561407),('ES',3283561408,3283561471),('GB',3283561472,3283562495),('DE',3283562496,3283562751),('GB',3283562752,3283562895),('NL',3283562896,3283562903),('CH',3283562904,3283562911),('DE',3283562912,3283562943),('IT',3283562944,3283563007),('GB',3283563008,3283566015),('ZA',3283566016,3283566079),('GB',3283566080,3283566591),('PL',3283566592,3283566719),('EU',3283566720,3283566847),('NO',3283566848,3283567103),('GB',3283567104,3283567423),('DE',3283567424,3283567455),('GB',3283567456,3283567471),('ES',3283567472,3283567487),('ZA',3283567488,3283567615),('GB',3283567616,3283567967),('IT',3283567968,3283567999),('GB',3283568000,3283568031),('DE',3283568032,3283568063),('NL',3283568064,3283568079),('ZA',3283568080,3283568095),('DK',3283568096,3283568127),('GB',3283568128,3283569991),('SE',3283569992,3283570015),('DK',3283570016,3283570047),('DE',3283570048,3283570175),('GB',3283570176,3283570439),('SE',3283570440,3283570447),('IT',3283570448,3283570463),('GB',3283570464,3283570495),('DE',3283570496,3283570559),('FR',3283570560,3283570623),('GB',3283570624,3283571167),('DE',3283571168,3283571199),('GB',3283571200,3283571711),('HU',3283571712,3283571719),('EU',3283571720,3283571743),('DE',3283571744,3283571775),('GB',3283571776,3283571839),('SE',3283571840,3283571903),('DE',3283571904,3283571967),('GB',3283571968,3283572111),('BE',3283572112,3283572127),('SE',3283572128,3283572159),('GB',3283572160,3283572175),('ZA',3283572176,3283572191),('CH',3283572192,3283572223),('GB',3283572224,3283572615),('FR',3283572616,3283572623),('GB',3283572624,3283572631),('CH',3283572632,3283572639),('GB',3283572640,3283572671),('DE',3283572672,3283572735),('EU',3283572736,3283573247),('GB',3283573248,3283574527),('EU',3283574528,3283574591),('GB',3283574592,3283574607),('NL',3283574608,3283574615),('GB',3283574616,3283574623),('ZA',3283574624,3283574639),('GB',3283574640,3283574655),('DE',3283574656,3283575039),('EU',3283575040,3283575071),('NL',3283575072,3283575087),('DE',3283575088,3283575679),('EU',3283575680,3283575807),('DE',3283575808,3283576415),('ZA',3283576416,3283576447),('DE',3283576448,3283580159),('EU',3283580160,3283580415),('DE',3283580416,3283580455),('EU',3283580456,3283580463),('DE',3283580464,3283582975),('ZA',3283582976,3283583039),('EU',3283583040,3283583071),('ZA',3283583072,3283583359),('EU',3283583360,3283583487),('ZA',3283583488,3283583503),('EU',3283583504,3283583519),('ZA',3283583520,3283583615),('EU',3283583616,3283583743),('ZA',3283583744,3283583839),('IT',3283583840,3283583847),('GB',3283583848,3283583871),('BE',3283583872,3283583999),('ZA',3283584000,3283584031),('DE',3283584032,3283584063),('IE',3283584064,3283584127),('ZA',3283584128,3283585023),('EU',3283585024,3283585031),('ES',3283585032,3283585039),('EU',3283585040,3283585055),('ES',3283585056,3283585279),('ZA',3283585280,3283585535),('ES',3283585536,3283585679),('IE',3283585680,3283585695),('FR',3283585696,3283585727),('ES',3283585728,3283585791),('IE',3283585792,3283586047),('ES',3283586048,3283586335),('EU',3283586336,3283586343),('ES',3283586344,3283586351),('EU',3283586352,3283586367),('ES',3283586368,3283586407),('EU',3283586408,3283586415),('ES',3283586416,3283586503),('EU',3283586504,3283586559),('FR',3283586560,3283586815),('DE',3283586816,3283587071),('NL',3283587072,3283587231),('EU',3283587232,3283587327),('NL',3283587328,3283587335),('GB',3283587336,3283587343),('NL',3283587344,3283587359),('SE',3283587360,3283587391),('NL',3283587392,3283587423),('SE',3283587424,3283587431),('EU',3283587432,3283587439),('GB',3283587440,3283587447),('DE',3283587448,3283587455),('CH',3283587456,3283587487),('EU',3283587488,3283587519),('CH',3283587520,3283587551),('EU',3283587552,3283587583),('NL',3283587584,3283587647),('DE',3283587648,3283587679),('CH',3283587680,3283587711),('DE',3283587712,3283587839),('NL',3283587840,3283587871),('ZA',3283587872,3283587887),('SE',3283587888,3283587895),('CH',3283587896,3283587903),('IE',3283587904,3283587967),('DE',3283587968,3283588095),('BE',3283588096,3283588191),('EU',3283588192,3283588223),('BE',3283588224,3283588479),('AT',3283588480,3283588543),('GB',3283588544,3283588607),('BE',3283588608,3283589119),('EU',3283589120,3283589151),('DK',3283589152,3283589791),('DE',3283589792,3283589823),('EU',3283589824,3283589839),('DE',3283589840,3283589887),('DK',3283589888,3283590143),('SE',3283590144,3283590151),('EU',3283590152,3283590159),('SE',3283590160,3283590167),('EU',3283590168,3283590175),('SE',3283590176,3283590207),('EU',3283590208,3283590223),('SE',3283590224,3283590231),('EU',3283590232,3283590271),('SE',3283590272,3283590311),('EU',3283590312,3283590335),('SE',3283590336,3283590351),('EU',3283590352,3283590367),('SE',3283590368,3283590527),('ZA',3283590528,3283590543),('DE',3283590544,3283590591),('CH',3283590592,3283590623),('GB',3283590624,3283590655),('SE',3283590656,3283590847),('ZA',3283590848,3283590879),('DE',3283590880,3283590911),('SE',3283590912,3283591167),('DE',3283591168,3283591359),('GB',3283591360,3283591367),('ZA',3283591368,3283591375),('CH',3283591376,3283591423),('DE',3283591424,3283592191),('CH',3283592192,3283592847),('GB',3283592848,3283592863),('DE',3283592864,3283592895),('SE',3283592896,3283592903),('GB',3283592904,3283592911),('ZA',3283592912,3283592927),('CH',3283592928,3283593023),('BE',3283593024,3283593055),('IT',3283593056,3283593087),('CH',3283593088,3283593215),('IT',3283593216,3283595263),('DE',3283595264,3283596287),('GB',3283596288,3283598127),('NL',3283598128,3283598143),('DE',3283598144,3283598175),('EU',3283598176,3283598207),('DE',3283598208,3283598335),('GB',3283598336,3283598639),('CH',3283598640,3283598655),('IE',3283598656,3283598687),('SE',3283598688,3283598719),('DE',3283598720,3283598735),('DK',3283598736,3283598743),('DE',3283598744,3283598847),('GB',3283598848,3283598879),('CH',3283598880,3283598911),('GB',3283598912,3283598975),('DK',3283598976,3283599103),('GB',3283599104,3283599295),('DE',3283599296,3283599311),('NL',3283599312,3283599327),('GB',3283599328,3283599359),('SE',3283599360,3283599615),('IE',3283599616,3283599871),('ZA',3283599872,3283600527),('FR',3283600528,3283600543),('DE',3283600544,3283600575),('IT',3283600576,3283600607),('EU',3283600608,3283600639),('ZA',3283600640,3283600671),('DE',3283600672,3283600703),('IT',3283600704,3283600767),('ZA',3283600768,3283600895),('AT',3283600896,3283601343),('IT',3283601344,3283601375),('IE',3283601376,3283601391),('NL',3283601392,3283601399),('AT',3283601400,3283601919),('ZA',3283601920,3283602239),('GB',3283602240,3283602271),('IT',3283602272,3283602287),('ZA',3283602288,3283602303),('GB',3283602304,3283602367),('BE',3283602368,3283602431),('ZA',3283602432,3283602943),('CH',3283602944,3283603007),('IT',3283603008,3283603071),('CH',3283603072,3283603199),('EU',3283603200,3283603455),('GB',3283603456,3283604479),('EU',3283604480,3283604735),('GB',3283604736,3283605503),('DE',3283605504,3283606783),('BE',3283606784,3283607359),('NO',3283607360,3283607423),('AT',3283607424,3283607551),('BE',3283607552,3283608575),('DE',3283608576,3283608831),('EU',3283608832,3283608895),('DE',3283608896,3283608959),('IT',3283608960,3283609087),('DE',3283609088,3283610783),('CH',3283610784,3283610815),('TR',3283610816,3283610879),('DE',3283610880,3283611903),('IT',3283611904,3283613247),('DE',3283613248,3283613311),('IT',3283613312,3283613695),('CH',3283613696,3283614079),('FR',3283614080,3283614207),('CH',3283614208,3283614975),('EU',3283614976,3283615231),('CH',3283615232,3283615743),('HU',3283615744,3283623935),('DK',3283623936,3283632127),('NL',3283632128,3283632639),('GB',3283632640,3283633151),('SE',3283633152,3283633663),('UA',3283633664,3283634175),('RU',3283634176,3283635199),('GB',3283635200,3283635711),('RU',3283635712,3283636223),('UA',3283636224,3283636735),('PL',3283636736,3283637247),('FR',3283637248,3283637759),('UA',3283637760,3283638271),('PL',3283638272,3283638783),('RU',3283638784,3283639295),('CH',3283639296,3283639807),('DE',3283639808,3283640319),('DK',3283640320,3283648511),('BE',3283648512,3283649023),('GB',3283649024,3283649535),('DE',3283649536,3283649791),('FR',3283649792,3283650047),('DE',3283650048,3283650559),('SE',3283650560,3283650687),('CH',3283650688,3283650815),('SE',3283650816,3283650879),('GB',3283650880,3283650911),('SE',3283650912,3283650927),('GB',3283650928,3283650943),('RU',3283650944,3283650959),('CH',3283650960,3283650975),('GB',3283650976,3283651071),('IT',3283651072,3283651135),('EU',3283651136,3283651167),('ES',3283651168,3283651183),('EU',3283651184,3283651199),('HU',3283651200,3283651263),('ZA',3283651264,3283651327),('EU',3283651328,3283651423),('DE',3283651424,3283651439),('EU',3283651440,3283651463),('DE',3283651464,3283651471),('EU',3283651472,3283651487),('FR',3283651488,3283651519),('IL',3283651520,3283651583),('GB',3283651584,3283651591),('EU',3283651592,3283651599),('DE',3283651600,3283651615),('EU',3283651616,3283651647),('SE',3283651648,3283651663),('RO',3283651664,3283651671),('BE',3283651672,3283651679),('EU',3283651680,3283651687),('IT',3283651688,3283651695),('GB',3283651696,3283651711),('CH',3283651712,3283651727),('FR',3283651728,3283651735),('CH',3283651736,3283651743),('FR',3283651744,3283651775),('SE',3283651776,3283651839),('NL',3283651840,3283651967),('DK',3283651968,3283652031),('DE',3283652032,3283652063),('EU',3283652064,3283652071),('GB',3283652072,3283652079),('EU',3283652080,3283652095),('GB',3283652096,3283652351),('IT',3283652352,3283652479),('EU',3283652480,3283652519),('SE',3283652520,3283652527),('EU',3283652528,3283652543),('FR',3283652544,3283652575),('DE',3283652576,3283652607),('NO',3283652608,3283652863),('BE',3283652864,3283653055),('DE',3283653056,3283653087),('GR',3283653088,3283653103),('DE',3283653104,3283653119),('EU',3283653120,3283653247),('NO',3283653248,3283653311),('EU',3283653312,3283653503),('GB',3283653504,3283653631),('FR',3283653632,3283653887),('SE',3283653888,3283654015),('FR',3283654016,3283654143),('DE',3283654144,3283654399),('CH',3283654400,3283654655),('DK',3283654656,3283654911),('EU',3283654912,3283655039),('DK',3283655040,3283655167),('DE',3283655168,3283655295),('BE',3283655296,3283655423),('FR',3283655424,3283655679),('ES',3283655680,3283655935),('ZA',3283655936,3283656191),('GB',3283656192,3283656223),('EU',3283656224,3283656255),('GB',3283656256,3283656271),('EU',3283656272,3283656303),('GB',3283656304,3283656311),('EU',3283656312,3283656447),('ES',3283656448,3283656559),('FR',3283656560,3283656575),('EU',3283656576,3283656591),('FR',3283656592,3283656599),('EU',3283656600,3283656703),('HU',3283656704,3283664895),('UA',3283664896,3283673087),('GB',3283673088,3283681279),('DE',3283681280,3283729023),('US',3283729024,3283729151),('DE',3283729152,3283746815),('CH',3283746816,3283812351),('PL',3283812352,3283877887),('GB',3283877888,3283943423),('CZ',3283943424,3283944447),('AT',3283944448,3283945471),('UA',3283945472,3283946495),('GB',3283946496,3283947519),('UA',3283947520,3283948543),('NL',3283948544,3283949567),('SE',3283949568,3283950591),('KZ',3283950592,3283951615),('PL',3283951616,3283952639),('UA',3283952640,3283953663),('PL',3283953664,3283954687),('UA',3283954688,3283956735),('PL',3283956736,3283957759),('GR',3283957760,3283958783),('UA',3283958784,3283959807),('FR',3283959808,3283960831),('KZ',3283960832,3283961855),('RU',3283961856,3283962879),('PL',3283962880,3283963903),('RU',3283963904,3283964927),('FR',3283964928,3283965951),('RU',3283965952,3283966975),('DE',3283966976,3283967999),('UA',3283968000,3283969023),('RU',3283969024,3283970047),('UA',3283970048,3283971071),('RU',3283971072,3283972095),('SE',3283972096,3283973119),('NL',3283973120,3283974143),('RU',3283974144,3283975167),('NL',3283975168,3283976191),('IE',3283976192,3283976703),('DK',3283976704,3283977215),('UA',3283977216,3283977727),('RU',3283977728,3283978751),('RO',3283978752,3283979263),('IL',3283979264,3283979775),('NO',3283979776,3283980287),('RO',3283980288,3283980799),('CH',3283980800,3283981823),('RO',3283981824,3283983359),('CY',3283983360,3283983871),('GB',3283983872,3283984383),('SE',3283984384,3283984895),('GR',3283984896,3283985407),('RO',3283985408,3283985919),('PL',3283985920,3283986431),('RU',3283986432,3283986943),('AT',3283986944,3283987455),('GB',3283987456,3283987967),('RO',3283987968,3283988991),('FR',3283988992,3283989503),('IE',3283989504,3283990015),('SE',3283990016,3283990527),('RO',3283990528,3283991551),('SE',3283991552,3283992063),('RO',3283992064,3283992575),('RU',3283992576,3283993087),('RO',3283993088,3283993599),('UA',3283993600,3283994111),('AT',3283994112,3283994623),('UA',3283994624,3283995135),('BE',3283995136,3283995647),('CH',3283995648,3283996159),('MK',3283996160,3283996671),('RO',3283996672,3283997183),('PS',3283997184,3283997695),('SA',3283997696,3283998207),('UA',3283998208,3283998719),('NL',3283998720,3283999231),('RU',3283999232,3283999743),('GB',3283999744,3284000255),('RU',3284000256,3284000767),('BG',3284000768,3284001279),('UA',3284001280,3284002303),('PL',3284002304,3284002815),('DK',3284002816,3284003327),('UA',3284003328,3284003839),('DE',3284003840,3284004351),('RU',3284004352,3284004863),('UA',3284004864,3284005375),('NL',3284005376,3284005887),('DE',3284005888,3284006399),('UA',3284006400,3284007423),('RO',3284007424,3284007935),('CH',3284007936,3284008447),('NO',3284008448,3284008959),('NL',3284008960,3284009215),('PL',3284009216,3284009471),('DE',3284009472,3284009727),('FR',3284009728,3284009983),('CH',3284009984,3284010239),('FR',3284010240,3284010751),('DE',3284010752,3284011519),('HR',3284011520,3284011775),('DE',3284011776,3284012031),('RU',3284012032,3284012287),('UA',3284012288,3284012543),('RU',3284012544,3284012799),('AT',3284012800,3284013311),('PL',3284013312,3284013567),('DK',3284013568,3284013823),('IL',3284013824,3284014079),('TR',3284014080,3284014335),('IT',3284014336,3284014591),('GB',3284014592,3284014847),('IL',3284014848,3284015103),('PL',3284015104,3284015359),('DK',3284015360,3284015615),('AT',3284015616,3284015871),('FR',3284015872,3284016127),('NL',3284016128,3284016383),('CH',3284016384,3284016639),('DK',3284016640,3284017151),('GR',3284017152,3284025343),('DE',3284025344,3284033535),('RU',3284033536,3284041727),('DK',3284041728,3284041983),('SI',3284041984,3284042239),('GB',3284042240,3284042495),('AT',3284042496,3284042751),('GB',3284042752,3284043007),('DE',3284043008,3284043263),('EE',3284043264,3284043519),('DE',3284043520,3284043775),('HR',3284043776,3284044031),('FR',3284044032,3284044287),('DE',3284044288,3284044799),('CH',3284044800,3284045055),('LT',3284045056,3284045311),('DE',3284045312,3284045567),('AT',3284045568,3284045823),('UA',3284045824,3284046079),('DE',3284046080,3284046335),('DK',3284046336,3284046591),('SE',3284046592,3284046847),('DE',3284046848,3284047103),('DK',3284047104,3284047359),('DE',3284047360,3284047615),('NL',3284047616,3284047871),('HU',3284047872,3284048127),('DK',3284048128,3284048383),('GB',3284048384,3284048639),('FR',3284048640,3284049151),('UA',3284049152,3284049407),('SI',3284049408,3284049663),('RO',3284049664,3284049919),('CH',3284049920,3284058111),('SE',3284058112,3284066303),('NL',3284066304,3284074495),('IT',3284074496,3284140031),('DK',3284140032,3284205567),('NL',3284205568,3284271103),('GB',3284271104,3284402175),('SE',3284402176,3284467711),('FI',3284467712,3284531775),('NL',3284531776,3284531779),('FI',3284531780,3284533247),('SE',3284533248,3284598783),('HU',3284598784,3284664319),('GB',3284664320,3284672511),('DE',3284672512,3284680703),('UA',3284680704,3284681215),('RO',3284681216,3284681727),('FI',3284681728,3284682239),('DE',3284682240,3284682751),('SE',3284682752,3284683263),('KZ',3284683264,3284683775),('GB',3284683776,3284684287),('FR',3284684288,3284684799),('DE',3284684800,3284685311),('NL',3284685312,3284685823),('US',3284685824,3284686335),('RO',3284686336,3284686847),('PL',3284686848,3284687359),('UA',3284687360,3284687871),('A2',3284687872,3284688383),('RU',3284688384,3284688895),('FR',3284688896,3284697087),('GB',3284697088,3284697215),('FR',3284697216,3284697279),('GB',3284697280,3284705279),('FR',3284705280,3284713471),('DE',3284713472,3284713727),('GR',3284713728,3284713983),('DE',3284713984,3284714239),('FR',3284714240,3284714495),('UA',3284714496,3284714751),('AT',3284714752,3284715007),('GB',3284715008,3284715263),('PL',3284715264,3284715519),('RO',3284715520,3284715775),('BE',3284715776,3284716031),('IT',3284716032,3284716287),('RU',3284716288,3284716543),('GR',3284716544,3284716799),('IL',3284716800,3284717055),('PL',3284717056,3284717311),('DE',3284717312,3284717567),('FR',3284717568,3284717823),('RU',3284717824,3284718079),('GB',3284718080,3284718591),('PL',3284718592,3284718847),('RU',3284718848,3284719103),('PL',3284719104,3284719359),('DE',3284719360,3284719615),('RU',3284719616,3284719871),('FR',3284719872,3284720127),('CH',3284720128,3284720383),('SE',3284720384,3284720895),('UA',3284720896,3284721151),('TR',3284721152,3284721407),('NL',3284721408,3284721663),('CA',3284721664,3284721919),('IR',3284721920,3284722943),('CA',3284722944,3284729855),('RU',3284729856,3284795391),('FR',3284795392,3284803583),('DE',3284803584,3284811775),('KE',3284811776,3284819967),('DE',3284819968,3284828159),('AT',3284828160,3284844543),('CH',3284844544,3284860927),('DE',3284860928,3284863743),('FR',3284863744,3284863999),('DE',3284864000,3284868863),('FR',3284868864,3284869375),('DE',3284869376,3284869631),('IT',3284869632,3284869887),('DE',3284869888,3284872959),('IT',3284872960,3284873471),('DE',3284873472,3284926463),('NO',3284926464,3284991999),('PL',3284992000,3285057535),('IT',3285057536,3285065727),('RU',3285065728,3285073919),('NL',3285073920,3285075199),('EU',3285075200,3285076607),('BE',3285076608,3285076767),('EU',3285076768,3285078111),('GB',3285078112,3285078143),('EU',3285078144,3285078175),('GB',3285078176,3285078191),('EU',3285078192,3285079423),('DE',3285079424,3285079551),('EU',3285079552,3285079807),('NL',3285079808,3285079935),('EU',3285079936,3285079967),('DE',3285079968,3285079999),('EU',3285080000,3285082111),('AT',3285082112,3285084159),('LU',3285084160,3285085183),('GB',3285085184,3285086207),('PL',3285086208,3285088255),('RU',3285088256,3285089279),('PL',3285089280,3285090303),('DE',3285090304,3285098495),('GB',3285098496,3285114879),('UA',3285114880,3285123071),('BE',3285123072,3285158639),('FR',3285158640,3285158647),('BE',3285158648,3285164367),('NL',3285164368,3285164375),('BE',3285164376,3285188607),('RU',3285188608,3285265999),('CH',3285266000,3285266007),('RU',3285266008,3285319679),('CH',3285319680,3285327871),('RU',3285327872,3285328383),('PL',3285328384,3285328895),('SE',3285328896,3285329407),('GB',3285329408,3285329919),('RO',3285329920,3285330431),('FR',3285330432,3285330943),('RO',3285330944,3285331455),('IT',3285331456,3285331967),('DE',3285331968,3285332991),('SE',3285332992,3285333503),('GB',3285333504,3285334015),('NL',3285334016,3285334527),('DE',3285334528,3285335551),('SE',3285335552,3285336063),('IT',3285336064,3285352447),('RU',3285352448,3285368831),('SI',3285368832,3285385215),('DE',3285385216,3285450751),('GB',3285450752,3285453055),('EU',3285453056,3285453119),('GB',3285453120,3285453327),('EU',3285453328,3285453343),('GB',3285453344,3285454047),('EU',3285454048,3285454079),('GB',3285454080,3285454175),('EU',3285454176,3285454207),('GB',3285454208,3285454847),('DE',3285454848,3285455687),('EU',3285455688,3285455695),('DE',3285455696,3285455887),('GB',3285455888,3285455903),('DE',3285455904,3285456255),('EU',3285456256,3285456287),('DE',3285456288,3285456351),('EU',3285456352,3285456383),('DE',3285456384,3285456639),('DK',3285456640,3285456703),('DE',3285456704,3285456711),('EU',3285456712,3285456719),('DK',3285456720,3285456743),('EU',3285456744,3285456759),('DK',3285456760,3285456871),('EU',3285456872,3285456879),('DK',3285456880,3285456895),('GB',3285456896,3285456959),('EU',3285456960,3285456975),('GB',3285456976,3285456991),('EU',3285456992,3285457055),('GB',3285457056,3285457151),('SE',3285457152,3285457183),('EU',3285457184,3285457215),('SE',3285457216,3285457223),('EU',3285457224,3285457231),('SE',3285457232,3285457407),('GB',3285457408,3285457663),('IT',3285457664,3285457759),('EU',3285457760,3285457791),('IT',3285457792,3285457919),('GB',3285457920,3285458943),('DK',3285458944,3285459071),('EU',3285459072,3285459103),('DK',3285459104,3285459535),('EU',3285459536,3285459543),('DK',3285459544,3285459711),('NO',3285459712,3285459967),('FI',3285459968,3285460479),('DK',3285460480,3285460991),('NL',3285460992,3285461007),('EU',3285461008,3285461055),('NL',3285461056,3285461087),('EU',3285461088,3285461103),('NL',3285461104,3285461111),('EU',3285461112,3285461119),('NL',3285461120,3285461263),('BE',3285461264,3285461279),('EU',3285461280,3285461311),('CH',3285461312,3285461375),('NL',3285461376,3285461447),('DE',3285461448,3285461455),('NL',3285461456,3285461535),('EU',3285461536,3285461567),('NL',3285461568,3285461807),('EU',3285461808,3285461855),('NL',3285461856,3285461877),('EU',3285461878,3285461879),('NL',3285461880,3285461951),('EU',3285461952,3285461959),('NL',3285461960,3285461991),('GB',3285461992,3285461999),('NL',3285462000,3285462007),('EU',3285462008,3285462015),('DE',3285462016,3285462175),('EU',3285462176,3285462191),('DE',3285462192,3285462207),('GB',3285462208,3285462223),('DE',3285462224,3285462287),('EU',3285462288,3285462295),('DE',3285462296,3285462383),('EU',3285462384,3285462399),('DE',3285462400,3285462527),('EU',3285462528,3285462543),('DE',3285462544,3285462655),('EU',3285462656,3285462783),('AT',3285462784,3285462831),('EU',3285462832,3285462839),('AT',3285462840,3285462847),('EU',3285462848,3285462879),('AT',3285462880,3285462911),('EU',3285462912,3285462951),('AT',3285462952,3285462975),('EU',3285462976,3285463007),('AT',3285463008,3285463039),('LU',3285463040,3285463071),('EU',3285463072,3285463079),('LU',3285463080,3285463087),('EU',3285463088,3285463295),('FR',3285463296,3285463311),('EU',3285463312,3285463319),('FR',3285463320,3285463359),('BE',3285463360,3285463423),('EU',3285463424,3285463487),('GB',3285463488,3285463519),('BE',3285463520,3285463615),('FR',3285463616,3285463647),('EU',3285463648,3285463663),('GB',3285463664,3285463671),('BE',3285463672,3285463839),('EU',3285463840,3285463855),('BE',3285463856,3285463935),('EU',3285463936,3285463943),('BE',3285463944,3285463991),('EU',3285463992,3285463999),('BE',3285464000,3285464095),('GB',3285464096,3285464127),('EU',3285464128,3285464319),('BE',3285464320,3285464383),('GB',3285464384,3285464415),('BE',3285464416,3285464431),('DE',3285464432,3285464447),('BE',3285464448,3285465087),('DK',3285465088,3285465103),('EU',3285465104,3285465119),('DK',3285465120,3285465135),('EU',3285465136,3285465151),('DK',3285465152,3285465343),('EU',3285465344,3285465663),('DE',3285465664,3285465727),('EU',3285465728,3285465855),('DE',3285465856,3285466367),('CH',3285466368,3285466463),('EU',3285466464,3285466527),('CH',3285466528,3285466551),('EU',3285466552,3285466623),('AT',3285466624,3285466879),('BG',3285466880,3285466895),('EU',3285466896,3285466911),('BG',3285466912,3285466935),('EU',3285466936,3285466951),('BG',3285466952,3285466967),('EU',3285466968,3285466983),('BG',3285466984,3285467015),('EU',3285467016,3285467135),('DE',3285467136,3285467391),('EU',3285467392,3285467663),('DE',3285467664,3285467671),('EU',3285467672,3285467831),('DE',3285467832,3285467871),('EU',3285467872,3285467903),('DE',3285467904,3285467919),('EU',3285467920,3285467927),('DE',3285467928,3285467951),('GB',3285467952,3285467959),('EU',3285467960,3285467967),('DE',3285467968,3285468511),('EU',3285468512,3285468575),('DE',3285468576,3285468591),('EU',3285468592,3285468599),('DE',3285468600,3285468615),('GB',3285468616,3285468623),('EU',3285468624,3285468639),('DE',3285468640,3285468647),('EU',3285468648,3285468655),('DE',3285468656,3285471007),('EU',3285471008,3285471039),('DE',3285471040,3285471055),('EU',3285471056,3285471103),('DE',3285471104,3285471743),('EU',3285471744,3285471807),('DE',3285471808,3285471903),('EU',3285471904,3285471935),('DE',3285471936,3285471951),('EU',3285471952,3285471999),('DE',3285472000,3285472127),('EU',3285472128,3285472151),('DE',3285472152,3285472175),('EU',3285472176,3285472191),('DE',3285472192,3285472223),('EU',3285472224,3285472255),('DE',3285472256,3285472271),('EU',3285472272,3285472359),('DE',3285472360,3285472383),('EU',3285472384,3285472767),('DE',3285472768,3285473023),('EU',3285473024,3285473279),('DE',3285473280,3285473343),('EU',3285473344,3285473375),('DE',3285473376,3285473407),('EU',3285473408,3285473439),('DE',3285473440,3285473527),('EU',3285473528,3285473535),('DE',3285473536,3285473583),('GB',3285473584,3285473591),('DE',3285473592,3285473599),('EU',3285473600,3285473631),('DE',3285473632,3285473663),('EU',3285473664,3285473791),('DE',3285473792,3285474047),('EU',3285474048,3285474079),('DE',3285474080,3285474095),('EU',3285474096,3285474111),('DE',3285474112,3285474143),('EU',3285474144,3285474175),('DE',3285474176,3285474231),('EU',3285474232,3285474239),('DE',3285474240,3285474271),('EU',3285474272,3285474303),('DE',3285474304,3285474367),('EU',3285474368,3285474383),('DE',3285474384,3285474559),('EU',3285474560,3285474815),('DE',3285474816,3285475135),('EU',3285475136,3285475143),('DE',3285475144,3285475207),('EU',3285475208,3285475231),('DE',3285475232,3285475327),('EU',3285475328,3285475583),('AT',3285475584,3285475615),('EU',3285475616,3285475623),('AT',3285475624,3285475647),('EU',3285475648,3285475679),('AT',3285475680,3285475711),('EU',3285475712,3285475775),('AT',3285475776,3285475791),('EU',3285475792,3285475807),('AT',3285475808,3285475839),('EU',3285475840,3285475903),('AT',3285475904,3285475951),('EU',3285475952,3285475967),('AT',3285475968,3285476095),('EU',3285476096,3285476351),('DE',3285476352,3285476735),('GB',3285476736,3285476863),('AT',3285476864,3285476895),('EU',3285476896,3285477023),('AT',3285477024,3285477087),('EU',3285477088,3285477119),('IT',3285477120,3285477343),('FR',3285477344,3285477359),('IT',3285477360,3285477375),('FR',3285477376,3285477631),('EU',3285477632,3285477887),('FR',3285477888,3285477919),('EU',3285477920,3285477951),('FR',3285477952,3285477983),('EU',3285477984,3285477999),('FR',3285478000,3285479399),('GB',3285479400,3285479407),('FR',3285479408,3285479423),('CH',3285479424,3285479807),('EU',3285479808,3285480447),('CH',3285480448,3285480575),('EU',3285480576,3285480703),('CH',3285480704,3285480831),('EU',3285480832,3285480863),('CH',3285480864,3285480895),('EU',3285480896,3285480959),('CH',3285480960,3285481215),('EU',3285481216,3285481471),('IT',3285481472,3285481727),('EU',3285481728,3285481743),('CH',3285481744,3285481775),('EU',3285481776,3285481783),('CH',3285481784,3285481791),('EU',3285481792,3285481919),('CH',3285481920,3285481983),('FR',3285481984,3285481999),('CY',3285482000,3285482007),('EU',3285482008,3285482015),('FR',3285482016,3285482239),('EU',3285482240,3285482495),('CH',3285482496,3285482527),('EU',3285482528,3285482751),('CH',3285482752,3285482783),('EU',3285482784,3285483007),('CH',3285483008,3285483519),('EU',3285483520,3285485103),('SK',3285485104,3285485119),('EU',3285485120,3285485639),('SK',3285485640,3285485647),('EU',3285485648,3285485727),('SK',3285485728,3285485743),('EU',3285485744,3285485767),('SK',3285485768,3285485775),('EU',3285485776,3285485783),('SK',3285485784,3285485791),('EU',3285485792,3285485799),('SK',3285485800,3285485815),('EU',3285485816,3285486591),('IT',3285486592,3285487103),('HU',3285487104,3285487359),('NL',3285487360,3285487423),('GB',3285487424,3285487487),('NL',3285487488,3285488127),('EU',3285488128,3285488639),('GB',3285488640,3285489663),('EU',3285489664,3285490175),('RU',3285490176,3285490319),('EU',3285490320,3285490335),('RU',3285490336,3285490463),('EU',3285490464,3285490495),('RU',3285490496,3285490511),('EU',3285490512,3285490519),('LT',3285490520,3285490527),('LV',3285490528,3285490535),('RU',3285490536,3285490543),('EU',3285490544,3285490551),('RU',3285490552,3285490687),('EU',3285490688,3285490943),('RU',3285490944,3285491007),('EU',3285491008,3285491455),('RU',3285491456,3285491711),('EU',3285491712,3285492223),('FR',3285492224,3285492479),('GB',3285492480,3285492687),('EU',3285492688,3285492695),('GB',3285492696,3285492735),('EU',3285492736,3285493759),('ES',3285493760,3285493791),('EU',3285493792,3285493799),('ES',3285493800,3285493887),('EU',3285493888,3285493951),('ES',3285493952,3285493983),('GB',3285493984,3285493991),('EU',3285493992,3285493999),('ES',3285494000,3285494015),('IT',3285494016,3285494783),('EU',3285494784,3285495807),('DE',3285495808,3285496319),('ES',3285496320,3285496335),('EU',3285496336,3285496351),('ES',3285496352,3285496383),('EU',3285496384,3285496399),('ES',3285496400,3285496407),('EU',3285496408,3285496415),('ES',3285496416,3285496463),('EU',3285496464,3285496479),('ES',3285496480,3285496495),('FR',3285496496,3285496527),('EU',3285496528,3285496543),('FR',3285496544,3285496575),('GB',3285496576,3285496607),('DE',3285496608,3285496783),('EU',3285496784,3285496799),('DE',3285496800,3285496815),('EU',3285496816,3285496831),('DE',3285496832,3285497087),('EU',3285497088,3285497343),('DE',3285497344,3285497855),('EU',3285497856,3285497887),('DE',3285497888,3285498039),('EU',3285498040,3285498095),('DE',3285498096,3285498111),('IT',3285498112,3285498367),('DE',3285498368,3285498623),('CH',3285498624,3285498639),('EU',3285498640,3285498655),('CY',3285498656,3285498671),('EU',3285498672,3285499391),('FR',3285499392,3285499455),('EU',3285499456,3285499487),('FR',3285499488,3285499647),('DE',3285499648,3285499903),('CZ',3285499904,3285500159),('EU',3285500160,3285500287),('CZ',3285500288,3285500415),('GB',3285500416,3285500927),('DK',3285500928,3285501183),('CZ',3285501184,3285501311),('EU',3285501312,3285501319),('CZ',3285501320,3285501327),('EU',3285501328,3285501335),('CZ',3285501336,3285501343),('GB',3285501344,3285501375),('CZ',3285501376,3285501407),('EU',3285501408,3285501439),('CZ',3285501440,3285501567),('EU',3285501568,3285501727),('GB',3285501728,3285501759),('CZ',3285501760,3285501767),('EU',3285501768,3285502207),('CZ',3285502208,3285502463),('EU',3285502464,3285502495),('CY',3285502496,3285502503),('EU',3285502504,3285502511),('CY',3285502512,3285502527),('BY',3285502528,3285502591),('GB',3285502592,3285502655),('EU',3285502656,3285502671),('IL',3285502672,3285502703),('EU',3285502704,3285503391),('CZ',3285503392,3285503423),('EU',3285503424,3285503487),('ES',3285503488,3285503615),('EU',3285503616,3285503743),('FI',3285503744,3285503999),('EU',3285504000,3285504511),('CZ',3285504512,3285504607),('EU',3285504608,3285505215),('CZ',3285505216,3285505279),('EU',3285505280,3285505439),('CZ',3285505440,3285505471),('EU',3285505472,3285506047),('CZ',3285506048,3285506079),('EU',3285506080,3285507327),('GR',3285507328,3285507391),('EU',3285507392,3285507655),('CZ',3285507656,3285507711),('EU',3285507712,3285507839),('CZ',3285507840,3285508095),('DE',3285508096,3285508607),('RU',3285508608,3285508671),('EU',3285508672,3285508735),('RU',3285508736,3285508863),('EU',3285508864,3285508879),('PT',3285508880,3285508927),('EU',3285508928,3285509119),('SE',3285509120,3285509247),('EU',3285509248,3285509279),('SE',3285509280,3285509375),('EU',3285509376,3285509631),('TR',3285509632,3285509887),('EU',3285509888,3285510015),('HU',3285510016,3285510047),('EU',3285510048,3285510079),('HU',3285510080,3285510143),('GB',3285510144,3285512191),('GR',3285512192,3285512511),('EU',3285512512,3285512575),('GR',3285512576,3285512719),('EU',3285512720,3285512727),('GR',3285512728,3285512735),('EU',3285512736,3285512767),('GR',3285512768,3285512831),('EU',3285512832,3285513215),('GB',3285513216,3285513223),('EU',3285513224,3285513231),('GR',3285513232,3285513247),('EU',3285513248,3285513279),('GR',3285513280,3285513471),('EU',3285513472,3285513727),('GR',3285513728,3285514239),('EU',3285514240,3285515263),('AT',3285515264,3285515519),('EU',3285515520,3285515791),('GR',3285515792,3285515799),('EU',3285515800,3285516159),('GR',3285516160,3285516191),('EU',3285516192,3285516223),('GR',3285516224,3285516287),('DK',3285516288,3285516543),('NO',3285516544,3285516671),('EU',3285516672,3285516687),('NL',3285516688,3285516691),('IT',3285516692,3285516695),('NL',3285516696,3285516703),('GB',3285516704,3285516719),('IL',3285516720,3285516735),('DE',3285516736,3285516799),('GB',3285516800,3285516927),('PL',3285516928,3285516991),('EU',3285516992,3285517023),('SE',3285517024,3285517055),('GB',3285517056,3285517215),('AT',3285517216,3285517247),('GB',3285517248,3285518335),('NL',3285518336,3285518351),('ES',3285518352,3285518367),('EU',3285518368,3285518463),('ES',3285518464,3285518591),('CH',3285518592,3285518847),('EU',3285518848,3285519103),('FR',3285519104,3285519359),('DE',3285519360,3285519615),('GB',3285519616,3285520127),('NL',3285520128,3285520383),('GB',3285520384,3285520527),('CH',3285520528,3285520543),('GB',3285520544,3285520575),('DE',3285520576,3285520639),('NL',3285520640,3285520767),('GB',3285520768,3285520895),('EU',3285520896,3285521167),('GB',3285521168,3285521407),('BE',3285521408,3285521535),('EU',3285521536,3285521695),('GB',3285521696,3285521791),('EU',3285521792,3285522175),('GB',3285522176,3285523071),('EU',3285523072,3285523079),('ES',3285523080,3285523087),('CH',3285523088,3285523199),('ZA',3285523200,3285523231),('EU',3285523232,3285523327),('FI',3285523328,3285523335),('EU',3285523336,3285523359),('GB',3285523360,3285523391),('EU',3285523392,3285523455),('FR',3285523456,3285523711),('CH',3285523712,3285523967),('GB',3285523968,3285524063),('LU',3285524064,3285524095),('ZA',3285524096,3285524159),('GB',3285524160,3285524175),('CH',3285524176,3285524191),('BE',3285524192,3285524223),('GB',3285524224,3285524351),('EU',3285524352,3285524479),('DK',3285524480,3285524735),('GB',3285524736,3285524863),('EU',3285524864,3285524879),('BE',3285524880,3285524895),('ES',3285524896,3285524927),('GB',3285524928,3285524991),('EU',3285524992,3285525247),('CH',3285525248,3285525503),('EU',3285525504,3285525759),('BE',3285525760,3285526015),('IL',3285526016,3285526023),('EU',3285526024,3285526035),('FR',3285526036,3285526039),('EU',3285526040,3285526047),('CZ',3285526048,3285526079),('EU',3285526080,3285526143),('HU',3285526144,3285526175),('EU',3285526176,3285526271),('BE',3285526272,3285526335),('EU',3285526336,3285526383),('PT',3285526384,3285526399),('CH',3285526400,3285526527),('ES',3285526528,3285526783),('CH',3285526784,3285526815),('EU',3285526816,3285526823),('BE',3285526824,3285526847),('CH',3285526848,3285526911),('GB',3285526912,3285527295),('EU',3285527296,3285527423),('GB',3285527424,3285527427),('EU',3285527428,3285527431),('FR',3285527432,3285527439),('LU',3285527440,3285527455),('IL',3285527456,3285527487),('EU',3285527488,3285527551),('IL',3285527552,3285527615),('GB',3285527616,3285527679),('EU',3285527680,3285527807),('GB',3285527808,3285527811),('PL',3285527812,3285527815),('EU',3285527816,3285527855),('FR',3285527856,3285527871),('EU',3285527872,3285527967),('DE',3285527968,3285527999),('EU',3285528000,3285528319),('DE',3285528320,3285528447),('FR',3285528448,3285528575),('BE',3285528576,3285528703),('EU',3285528704,3285528735),('BE',3285528736,3285528799),('GB',3285528800,3285528831),('BE',3285528832,3285528839),('EU',3285528840,3285528847),('ZA',3285528848,3285528863),('EU',3285528864,3285528883),('FR',3285528884,3285528887),('EU',3285528888,3285528895),('GB',3285528896,3285528911),('BE',3285528912,3285528927),('EU',3285528928,3285528931),('FR',3285528932,3285528935),('EU',3285528936,3285528943),('GB',3285528944,3285529071),('EU',3285529072,3285529087),('BE',3285529088,3285529151),('DE',3285529152,3285529183),('NL',3285529184,3285529199),('IL',3285529200,3285529215),('CH',3285529216,3285529247),('GB',3285529248,3285529263),('EU',3285529264,3285529279),('BE',3285529280,3285529311),('EU',3285529312,3285529343),('IT',3285529344,3285529599),('NO',3285529600,3285529631),('IE',3285529632,3285529663),('LI',3285529664,3285529679),('FI',3285529680,3285529687),('IT',3285529688,3285529695),('BE',3285529696,3285529711),('EU',3285529712,3285529727),('GB',3285529728,3285529855),('LU',3285529856,3285529951),('GR',3285529952,3285529983),('CZ',3285529984,3285529999),('EU',3285530000,3285530143),('GB',3285530144,3285530175),('NL',3285530176,3285530183),('EU',3285530184,3285530211),('BE',3285530212,3285530215),('GB',3285530216,3285530223),('FR',3285530224,3285530271),('EU',3285530272,3285530303),('BE',3285530304,3285530335),('EU',3285530336,3285530367),('BE',3285530368,3285530399),('NL',3285530400,3285530431),('IT',3285530432,3285530463),('DE',3285530464,3285530495),('AT',3285530496,3285530559),('BE',3285530560,3285530575),('GB',3285530576,3285530583),('BE',3285530584,3285530591),('GB',3285530592,3285530607),('BE',3285530608,3285530623),('EU',3285530624,3285530655),('ZA',3285530656,3285530687),('GB',3285530688,3285530719),('EU',3285530720,3285530723),('GB',3285530724,3285530727),('DE',3285530728,3285530735),('GB',3285530736,3285530739),('EU',3285530740,3285530743),('GB',3285530744,3285530751),('IT',3285530752,3285530767),('DE',3285530768,3285530783),('EU',3285530784,3285530815),('GB',3285530816,3285530831),('EU',3285530832,3285530879),('CH',3285530880,3285530911),('GB',3285530912,3285530975),('EU',3285530976,3285530983),('IE',3285530984,3285530991),('GB',3285530992,3285531007),('FR',3285531008,3285531023),('LU',3285531024,3285531039),('ES',3285531040,3285531071),('NL',3285531072,3285531103),('FR',3285531104,3285531119),('BE',3285531120,3285531127),('EU',3285531128,3285531135),('BE',3285531136,3285531263),('GB',3285531264,3285531295),('BE',3285531296,3285531303),('GB',3285531304,3285531311),('DK',3285531312,3285531327),('GB',3285531328,3285531391),('BE',3285531392,3285531423),('DE',3285531424,3285531455),('BE',3285531456,3285531487),('EU',3285531488,3285531495),('NL',3285531496,3285531503),('FR',3285531504,3285531519),('EU',3285531520,3285531535),('DE',3285531536,3285531551),('IL',3285531552,3285531567),('EU',3285531568,3285531615),('NL',3285531616,3285531647),('BE',3285531648,3285531903),('GB',3285531904,3285532159),('BE',3285532160,3285532223),('ES',3285532224,3285532231),('EU',3285532232,3285532287),('BE',3285532288,3285532415),('IT',3285532416,3285532687),('DE',3285532688,3285532703),('EU',3285532704,3285532711),('RU',3285532712,3285532719),('IT',3285532720,3285532735),('CH',3285532736,3285532799),('DE',3285532800,3285532831),('FI',3285532832,3285532847),('IT',3285532848,3285532863),('GB',3285532864,3285532895),('IT',3285532896,3285532959),('BE',3285532960,3285532975),('EU',3285532976,3285533055),('NL',3285533056,3285533059),('EU',3285533060,3285533087),('IT',3285533088,3285533103),('LU',3285533104,3285533119),('EU',3285533120,3285533127),('SE',3285533128,3285533135),('GB',3285533136,3285533151),('EU',3285533152,3285533183),('IT',3285533184,3285533311),('SE',3285533312,3285533343),('EU',3285533344,3285533367),('CH',3285533368,3285533375),('GB',3285533376,3285533471),('BE',3285533472,3285533503),('GB',3285533504,3285533519),('SE',3285533520,3285533535),('BE',3285533536,3285533543),('DE',3285533544,3285533551),('GB',3285533552,3285533567),('IT',3285533568,3285533951),('IL',3285533952,3285534079),('IT',3285534080,3285534095),('TR',3285534096,3285534111),('EU',3285534112,3285534143),('IT',3285534144,3285534207),('PT',3285534208,3285534463),('NL',3285534464,3285534479),('BE',3285534480,3285534495),('EU',3285534496,3285534527),('FR',3285534528,3285534559),('IT',3285534560,3285534591),('GB',3285534592,3285534627),('EU',3285534628,3285534631),('BE',3285534632,3285534639),('GB',3285534640,3285534655),('IT',3285534656,3285534719),('GB',3285534720,3285534751),('BE',3285534752,3285534767),('GB',3285534768,3285534783),('DK',3285534784,3285534799),('ES',3285534800,3285534815),('HU',3285534816,3285534831),('IE',3285534832,3285534927),('GB',3285534928,3285534943),('EU',3285534944,3285534975),('IT',3285534976,3285535103),('BE',3285535104,3285535119),('EU',3285535120,3285535123),('ES',3285535124,3285535127),('EU',3285535128,3285535131),('NL',3285535132,3285535135),('FR',3285535136,3285535139),('EU',3285535140,3285535143),('GR',3285535144,3285535147),('CZ',3285535148,3285535151),('SE',3285535152,3285535155),('EU',3285535156,3285535231),('NO',3285535232,3285535743),('IT',3285535744,3285535871),('FR',3285535872,3285535903),('DK',3285535904,3285535907),('NO',3285535908,3285535911),('EU',3285535912,3285535919),('NL',3285535920,3285535927),('EU',3285535928,3285535951),('GB',3285535952,3285535967),('EU',3285535968,3285535999),('GB',3285536000,3285536063),('EU',3285536064,3285536079),('IT',3285536080,3285536095),('GB',3285536096,3285536111),('EU',3285536112,3285536255),('GB',3285536256,3285536511),('LU',3285536512,3285536543),('DE',3285536544,3285536575),('IL',3285536576,3285536607),('EU',3285536608,3285536703),('GB',3285536704,3285536735),('IT',3285536736,3285536739),('GB',3285536740,3285536743),('DE',3285536744,3285536747),('AT',3285536748,3285536751),('EU',3285536752,3285536755),('IL',3285536756,3285536759),('EU',3285536760,3285536767),('DK',3285536768,3285536959),('ES',3285536960,3285536991),('GB',3285536992,3285537023),('IL',3285537024,3285537087),('GB',3285537088,3285537127),('EU',3285537128,3285537135),('DK',3285537136,3285537143),('GB',3285537144,3285537151),('DK',3285537152,3285537167),('CH',3285537168,3285537175),('EU',3285537176,3285537183),('DE',3285537184,3285537215),('GB',3285537216,3285537231),('EU',3285537232,3285537535),('RU',3285537536,3285537599),('FR',3285537600,3285537615),('BE',3285537616,3285537631),('SE',3285537632,3285537663),('DE',3285537664,3285537727),('IT',3285537728,3285537759),('LU',3285537760,3285537791),('NL',3285537792,3285537919),('LU',3285537920,3285538047),('NL',3285538048,3285538175),('DE',3285538176,3285538183),('LU',3285538184,3285538187),('EU',3285538188,3285538207),('LU',3285538208,3285538239),('NO',3285538240,3285538271),('FI',3285538272,3285538287),('CH',3285538288,3285538295),('BE',3285538296,3285538299),('GB',3285538300,3285538319),('LU',3285538320,3285538327),('BE',3285538328,3285538335),('GB',3285538336,3285538351),('LU',3285538352,3285538367),('EU',3285538368,3285538375),('AT',3285538376,3285538383),('EU',3285538384,3285538399),('DK',3285538400,3285538431),('EU',3285538432,3285538559),('BE',3285538560,3285538623),('LU',3285538624,3285538687),('EU',3285538688,3285538719),('DE',3285538720,3285538751),('IT',3285538752,3285538755),('FR',3285538756,3285538759),('IE',3285538760,3285538763),('BE',3285538764,3285538767),('CZ',3285538768,3285538783),('BE',3285538784,3285538815),('CH',3285538816,3285538847),('EU',3285538848,3285538879),('ES',3285538880,3285539071),('NL',3285539072,3285539327),('EU',3285539328,3285539583),('IE',3285539584,3285539711),('GB',3285539712,3285539839),('IT',3285539840,3285539967),('GB',3285539968,3285540031),('ZA',3285540032,3285540095),('GB',3285540096,3285540103),('IT',3285540104,3285540107),('EU',3285540108,3285540111),('IL',3285540112,3285540127),('ZA',3285540128,3285540159),('FI',3285540160,3285540191),('CH',3285540192,3285540207),('IE',3285540208,3285540215),('EU',3285540216,3285540219),('ZA',3285540220,3285540223),('CZ',3285540224,3285540351),('PT',3285540352,3285540415),('ZA',3285540416,3285540423),('EU',3285540424,3285540447),('DE',3285540448,3285540479),('NL',3285540480,3285540607),('FI',3285540608,3285540623),('EU',3285540624,3285540671),('DE',3285540672,3285540735),('EU',3285540736,3285540863),('FR',3285540864,3285540871),('EU',3285540872,3285540879),('FR',3285540880,3285541375),('GB',3285541376,3285541391),('FR',3285541392,3285541439),('GB',3285541440,3285541519),('BG',3285541520,3285541527),('EU',3285541528,3285541535),('FR',3285541536,3285541551),('EU',3285541552,3285541567),('GB',3285541568,3285541599),('EU',3285541600,3285541631),('ES',3285541632,3285541663),('FR',3285541664,3285541695),('EU',3285541696,3285541759),('FR',3285541760,3285541887),('GB',3285541888,3285541919),('FR',3285541920,3285541951),('DE',3285541952,3285542079),('FR',3285542080,3285542143),('BE',3285542144,3285542399),('GB',3285542400,3285542655),('ZA',3285542656,3285542911),('IT',3285542912,3285543167),('NL',3285543168,3285543423),('SE',3285543424,3285543679),('AT',3285543680,3285543743),('FR',3285543744,3285543759),('EU',3285543760,3285543775),('IT',3285543776,3285543791),('ES',3285543792,3285543795),('EU',3285543796,3285543799),('FR',3285543800,3285543807),('NL',3285543808,3285543871),('FR',3285543872,3285543935),('EU',3285543936,3285544191),('IL',3285544192,3285544255),('DE',3285544256,3285544319),('ES',3285544320,3285544335),('NL',3285544336,3285544351),('EU',3285544352,3285544383),('FR',3285544384,3285544479),('ES',3285544480,3285544511),('FR',3285544512,3285544639),('BE',3285544640,3285544703),('FR',3285544704,3285544959),('GB',3285544960,3285545215),('EU',3285545216,3285545343),('GB',3285545344,3285545379),('EU',3285545380,3285545471),('SE',3285545472,3285545727),('FI',3285545728,3285545983),('IT',3285545984,3285545999),('EU',3285546000,3285546007),('IT',3285546008,3285546015),('ES',3285546016,3285546063),('IT',3285546064,3285546071),('ES',3285546072,3285546111),('AT',3285546112,3285546239),('ZA',3285546240,3285546367),('FR',3285546368,3285546495),('NL',3285546496,3285546559),('EU',3285546560,3285546623),('FR',3285546624,3285546671),('SE',3285546672,3285546687),('GB',3285546688,3285546751),('DK',3285546752,3285547007),('AT',3285547008,3285547023),('FR',3285547024,3285547039),('AT',3285547040,3285547071),('AU',3285547072,3285547135),('RU',3285547136,3285547167),('LU',3285547168,3285547199),('SE',3285547200,3285547263),('LU',3285547264,3285547519),('NL',3285547520,3285547775),('ES',3285547776,3285547903),('EU',3285547904,3285548031),('FR',3285548032,3285548287),('DE',3285548288,3285548543),('FR',3285548544,3285548607),('LI',3285548608,3285548639),('EU',3285548640,3285548647),('LI',3285548648,3285548655),('GB',3285548656,3285548735),('EU',3285548736,3285548767),('LU',3285548768,3285548799),('IT',3285548800,3285548831),('GB',3285548832,3285548839),('IL',3285548840,3285548847),('IT',3285548848,3285548959),('FR',3285548960,3285549023),('PT',3285549024,3285549039),('FR',3285549040,3285549055),('DE',3285549056,3285549183),('EU',3285549184,3285549215),('CH',3285549216,3285549247),('DE',3285549248,3285549279),('GB',3285549280,3285549311),('DE',3285549312,3285549695),('EU',3285549696,3285549719),('GB',3285549720,3285549727),('SE',3285549728,3285549735),('EU',3285549736,3285549767),('FI',3285549768,3285549775),('DE',3285549776,3285549791),('LU',3285549792,3285549823),('DE',3285549824,3285549871),('DK',3285549872,3285549887),('DE',3285549888,3285549951),('EU',3285549952,3285550335),('GB',3285550336,3285550463),('DE',3285550464,3285550527),('IT',3285550528,3285550591),('FR',3285550592,3285550847),('IT',3285550848,3285550943),('NL',3285550944,3285550975),('EU',3285550976,3285551007),('CH',3285551008,3285551039),('DE',3285551040,3285551071),('EU',3285551072,3285551103),('DE',3285551104,3285551359),('BE',3285551360,3285551375),('EU',3285551376,3285551391),('DE',3285551392,3285551423),('DK',3285551424,3285551487),('BE',3285551488,3285551519),('EU',3285551520,3285551551),('DE',3285551552,3285551615),('GB',3285551616,3285551647),('FR',3285551648,3285551679),('GB',3285551680,3285551807),('RU',3285551808,3285551839),('EU',3285551840,3285551871),('BE',3285551872,3285552127),('DE',3285552128,3285552191),('ZA',3285552192,3285552255),('CZ',3285552256,3285552287),('HU',3285552288,3285552319),('GB',3285552320,3285552383),('DE',3285552384,3285552511),('GB',3285552512,3285552639),('DE',3285552640,3285552927),('EU',3285552928,3285552959),('FR',3285552960,3285553023),('EU',3285553024,3285553039),('EG',3285553040,3285553055),('EU',3285553056,3285553087),('IT',3285553088,3285553151),('DE',3285553152,3285553215),('EU',3285553216,3285553247),('PL',3285553248,3285553263),('DE',3285553264,3285553727),('CH',3285553728,3285553759),('GB',3285553760,3285553767),('ZA',3285553768,3285553775),('FR',3285553776,3285553791),('EU',3285553792,3285553855),('ZA',3285553856,3285553887),('DE',3285553888,3285553919),('CH',3285553920,3285554047),('DE',3285554048,3285554127),('EU',3285554128,3285554143),('GB',3285554144,3285554175),('AT',3285554176,3285554431),('EU',3285554432,3285554687),('DE',3285554688,3285554703),('EU',3285554704,3285554719),('FR',3285554720,3285554751),('EU',3285554752,3285554815),('CH',3285554816,3285554943),('LU',3285554944,3285555199),('AT',3285555200,3285555231),('NL',3285555232,3285555263),('FR',3285555264,3285555327),('IL',3285555328,3285555455),('EU',3285555456,3285555711),('LU',3285555712,3285555967),('IT',3285555968,3285556223),('EU',3285556224,3285556479),('DE',3285556480,3285556735),('CH',3285556736,3285556767),('EU',3285556768,3285556771),('BE',3285556772,3285556775),('NL',3285556776,3285556779),('EU',3285556780,3285556799),('DE',3285556800,3285556863),('EU',3285556864,3285556991),('GB',3285556992,3285557055),('NL',3285557056,3285557119),('DE',3285557120,3285557247),('NL',3285557248,3285557363),('EU',3285557364,3285557375),('NL',3285557376,3285557519),('FI',3285557520,3285557535),('NL',3285557536,3285557575),('SE',3285557576,3285557579),('EU',3285557580,3285557583),('NL',3285557584,3285557599),('BE',3285557600,3285557631),('NL',3285557632,3285557791),('NO',3285557792,3285557823),('SE',3285557824,3285557887),('CH',3285557888,3285557911),('CZ',3285557912,3285557919),('FR',3285557920,3285557951),('DE',3285557952,3285558015),('NL',3285558016,3285558271),('BE',3285558272,3285558399),('EU',3285558400,3285558463),('NL',3285558464,3285558591),('EU',3285558592,3285558655),('IT',3285558656,3285558783),('GB',3285558784,3285559039),('EU',3285559040,3285559167),('NL',3285559168,3285559231),('EU',3285559232,3285559295),('SE',3285559296,3285559807),('IE',3285559808,3285559839),('CH',3285559840,3285559871),('EU',3285559872,3285559887),('SE',3285559888,3285559903),('NL',3285559904,3285559919),('SE',3285559920,3285559935),('NO',3285559936,3285560063),('SE',3285560064,3285560351),('ES',3285560352,3285560383),('SE',3285560384,3285560447),('LI',3285560448,3285560479),('CH',3285560480,3285560511),('EU',3285560512,3285560575),('DE',3285560576,3285560831),('SE',3285560832,3285561215),('NO',3285561216,3285561343),('GB',3285561344,3285561407),('PL',3285561408,3285561471),('DK',3285561472,3285561599),('NO',3285561600,3285561619),('DE',3285561620,3285561623),('EU',3285561624,3285561647),('NO',3285561648,3285561663),('EU',3285561664,3285561727),('NO',3285561728,3285561791),('EU',3285561792,3285561919),('CH',3285561920,3285561951),('NO',3285561952,3285561967),('EU',3285561968,3285561983),('FI',3285561984,3285562111),('NO',3285562112,3285562367),('FI',3285562368,3285562751),('NL',3285562752,3285562783),('EU',3285562784,3285562815),('IT',3285562816,3285562879),('FI',3285562880,3285562911),('EU',3285562912,3285562943),('DE',3285562944,3285562975),('FI',3285562976,3285562991),('EU',3285562992,3285562999),('GB',3285563000,3285563007),('SE',3285563008,3285563135),('FI',3285563136,3285563391),('EU',3285563392,3285563455),('NL',3285563456,3285563471),('EU',3285563472,3285563487),('SE',3285563488,3285563519),('PL',3285563520,3285563647),('CH',3285563648,3285563903),('SE',3285563904,3285564031),('FI',3285564032,3285564159),('GB',3285564160,3285564415),('CH',3285564416,3285564511),('NO',3285564512,3285564543),('EU',3285564544,3285564671),('CH',3285564672,3285564735),('FR',3285564736,3285564751),('EU',3285564752,3285564767),('SE',3285564768,3285564799),('EU',3285564800,3285564927),('FR',3285564928,3285565183),('NL',3285565184,3285565439),('GB',3285565440,3285565951),('FR',3285565952,3285566015),('IT',3285566016,3285566031),('EU',3285566032,3285566047),('CH',3285566048,3285566079),('FR',3285566080,3285566143),('EU',3285566144,3285566207),('RU',3285566208,3285566495),('SE',3285566496,3285566511),('FI',3285566512,3285566527),('CH',3285566528,3285566559),('EU',3285566560,3285566575),('CH',3285566576,3285566591),('NL',3285566592,3285566655),('EU',3285566656,3285566847),('FR',3285566848,3285566975),('GB',3285566976,3285567231),('PT',3285567232,3285567487),('NL',3285567488,3285568511),('DE',3285568512,3285568671),('CH',3285568672,3285568703),('EU',3285568704,3285568751),('DE',3285568752,3285569023),('EU',3285569024,3285569407),('GB',3285569408,3285569535),('DE',3285569536,3285569791),('FI',3285569792,3285570047),('FR',3285570048,3285570175),('EU',3285570176,3285570207),('PL',3285570208,3285570223),('NL',3285570224,3285570239),('EU',3285570240,3285570303),('BE',3285570304,3285570559),('SE',3285570560,3285570815),('IT',3285570816,3285571071),('DE',3285571072,3285571327),('FI',3285571328,3285571583),('FR',3285571584,3285571711),('SE',3285571712,3285571775),('BE',3285571776,3285571791),('EU',3285571792,3285571807),('DE',3285571808,3285571839),('EU',3285571840,3285571903),('SE',3285571904,3285571967),('EU',3285571968,3285572095),('DE',3285572096,3285572223),('FI',3285572224,3285572351),('IR',3285572352,3285572367),('ES',3285572368,3285572383),('EU',3285572384,3285572447),('CH',3285572448,3285572479),('FR',3285572480,3285572607),('DK',3285572608,3285572863),('IT',3285572864,3285573119),('SE',3285573120,3285573375),('EU',3285573376,3285573535),('CH',3285573536,3285573567),('FR',3285573568,3285573631),('NL',3285573632,3285573887),('IL',3285573888,3285573951),('EU',3285573952,3285574143),('RU',3285574144,3285574399),('IL',3285574400,3285574655),('GB',3285574656,3285574911),('EU',3285574912,3285575167),('ES',3285575168,3285575423),('IL',3285575424,3285575679),('EU',3285575680,3285575935),('DK',3285575936,3285575999),('EU',3285576000,3285576063),('FR',3285576064,3285576127),('EU',3285576128,3285576159),('DK',3285576160,3285576191),('EU',3285576192,3285576447),('CZ',3285576448,3285576703),('HU',3285576704,3285576959),('EU',3285576960,3285577215),('ZA',3285577216,3285577471),('IT',3285577472,3285577599),('EU',3285577600,3285577983),('IT',3285577984,3285578111),('DE',3285578112,3285578239),('EU',3285578240,3285578367),('FR',3285578368,3285578431),('EU',3285578432,3285578495),('DE',3285578496,3285578751),('EU',3285578752,3285579007),('ES',3285579008,3285579519),('FR',3285579520,3285579775),('US',3285579776,3285580031),('HU',3285580032,3285580287),('DE',3285580288,3285580415),('EU',3285580416,3285580543),('NL',3285580544,3285580547),('EU',3285580548,3285580651),('SE',3285580652,3285580655),('EU',3285580656,3285580799),('SE',3285580800,3285580831),('PL',3285580832,3285580847),('EU',3285580848,3285580927),('ZA',3285580928,3285581055),('EU',3285581056,3285581183),('BE',3285581184,3285581311),('EU',3285581312,3285581503),('AT',3285581504,3285581567),('FR',3285581568,3285581599),('GB',3285581600,3285581615),('FR',3285581616,3285581695),('LV',3285581696,3285581759),('FR',3285581760,3285581823),('DE',3285581824,3285595135),('CZ',3285595136,3285595167),('US',3285595168,3285595175),('DE',3285595176,3285595263),('US',3285595264,3285595423),('DE',3285595424,3285596159),('US',3285596160,3285596191),('DE',3285596192,3285596223),('US',3285596224,3285596255),('DE',3285596256,3285596287),('US',3285596288,3285596319),('DE',3285596320,3285596351),('FR',3285596352,3285596383),('DE',3285596384,3285597183),('US',3285597184,3285597215),('DE',3285597216,3285606399),('GB',3285606400,3285614591),('TR',3285614592,3285630975),('UA',3285630976,3285633023),('NO',3285633024,3285635071),('UA',3285635072,3285637119),('DE',3285637120,3285638143),('UA',3285638144,3285639167),('FR',3285639168,3285641215),('RU',3285641216,3285642239),('UA',3285642240,3285643263),('FR',3285643264,3285645311),('BG',3285645312,3285647359),('DK',3285647360,3285712895),('GB',3285712896,3285721087),('SE',3285721088,3285729279),('CH',3285729280,3285737471),('PL',3285737472,3285745663),('IT',3285745664,3285753855),('LV',3285753856,3285762047),('FR',3285762048,3285762559),('RU',3285762560,3285763071),('GB',3285763072,3285763583),('DE',3285763584,3285764095),('RO',3285764096,3285764607),('RU',3285764608,3285765119),('UA',3285765120,3285766143),('DE',3285766144,3285766655),('UA',3285766656,3285767679),('FR',3285767680,3285768191),('RU',3285768192,3285768703),('CH',3285768704,3285769215),('DE',3285769216,3285769727),('RO',3285769728,3285770239),('NL',3285770240,3285770495),('GB',3285770496,3285770751),('UA',3285770752,3285771007),('CH',3285771008,3285771263),('BG',3285771264,3285771519),('AT',3285771520,3285771775),('RO',3285771776,3285772031),('SE',3285772032,3285772287),('TR',3285772288,3285772543),('LT',3285772544,3285772799),('MT',3285772800,3285773055),('DE',3285773056,3285773311),('LV',3285773312,3285773567),('KG',3285773568,3285773823),('RU',3285773824,3285774079),('RO',3285774080,3285774335),('CZ',3285774336,3285774591),('RU',3285774592,3285774847),('FR',3285774848,3285775103),('GB',3285775104,3285775359),('RU',3285775360,3285775615),('NG',3285775616,3285775871),('NL',3285775872,3285776127),('RO',3285776128,3285776383),('UA',3285776384,3285776639),('FR',3285776640,3285776895),('PL',3285776896,3285777151),('HU',3285777152,3285777407),('IL',3285777408,3285777663),('DK',3285777664,3285777919),('PL',3285777920,3285778175),('DE',3285778176,3285778431),('GB',3285778432,3285843967),('LU',3285843968,3285852159),('GB',3285852160,3285860351),('FI',3285860352,3285868543),('IE',3285868544,3285876735),('RU',3285876736,3285909503),('GB',3285909504,3285910015),('EU',3285910016,3285910271),('ES',3285910272,3285910303),('GB',3285910304,3285910335),('DE',3285910336,3285910407),('GB',3285910408,3285910463),('ES',3285910464,3285910527),('GB',3285910528,3285911551),('EU',3285911552,3285912575),('GB',3285912576,3285913087),('ES',3285913088,3285913215),('EU',3285913216,3285913343),('GB',3285913344,3285913599),('EU',3285913600,3285916159),('FR',3285916160,3285916415),('YE',3285916416,3285916671),('BH',3285916672,3285916703),('DE',3285916704,3285916711),('CY',3285916712,3285916719),('ES',3285916720,3285916735),('GB',3285916736,3285916799),('EU',3285916800,3285916927),('YE',3285916928,3285917183),('ES',3285917184,3285917439),('YE',3285917440,3285917695),('EU',3285917696,3285918847),('GB',3285918848,3285918975),('YE',3285918976,3285919231),('GB',3285919232,3285919487),('UA',3285919488,3285919743),('QA',3285919744,3285921791),('RU',3285921792,3285921855),('DE',3285921856,3285921919),('GB',3285921920,3285921983),('FR',3285921984,3285922047),('GB',3285922048,3285922111),('EU',3285922112,3285922175),('DE',3285922176,3285922207),('EU',3285922208,3285922223),('IR',3285922224,3285922239),('EU',3285922240,3285922287),('IR',3285922288,3285922303),('EU',3285922304,3285922815),('KW',3285922816,3285923327),('ES',3285923328,3285924415),('IR',3285924416,3285924431),('GB',3285924432,3285924479),('ES',3285924480,3285924863),('EU',3285924864,3285925055),('FR',3285925056,3285925119),('EU',3285925120,3285925887),('NL',3285925888,3285926143),('YE',3285926144,3285926399),('DE',3285926400,3285926407),('ES',3285926408,3285926431),('GB',3285926432,3285926463),('EU',3285926464,3285926495),('ES',3285926496,3285926527),('EU',3285926528,3285926719),('DE',3285926720,3285926783),('EU',3285926784,3285926847),('GB',3285926848,3285926911),('EU',3285926912,3285927423),('GB',3285927424,3285927679),('IR',3285927680,3285927935),('EU',3285927936,3285928063),('ES',3285928064,3285928191),('PL',3285928192,3285928207),('GB',3285928208,3285928223),('DE',3285928224,3285928287),('ES',3285928288,3285928319),('EU',3285928320,3285929423),('IT',3285929424,3285929439),('EU',3285929440,3285929983),('GB',3285929984,3285930239),('DE',3285930240,3285930495),('EU',3285930496,3285930559),('ES',3285930560,3285930575),('GB',3285930576,3285930623),('DE',3285930624,3285930647),('EU',3285930648,3285930671),('DE',3285930672,3285930751),('GB',3285930752,3285931007),('EU',3285931008,3285932543),('GB',3285932544,3285932799),('ES',3285932800,3285933055),('DE',3285933056,3285933311),('ES',3285933312,3285933567),('EU',3285933568,3285934079),('GB',3285934080,3285934847),('EU',3285934848,3285935103),('GB',3285935104,3285935615),('EU',3285935616,3285938175),('ES',3285938176,3285938431),('EU',3285938432,3285938559),('GB',3285938560,3285938607),('ES',3285938608,3285938623),('DE',3285938624,3285938631),('ES',3285938632,3285938639),('EU',3285938640,3285938655),('US',3285938656,3285938687),('ES',3285938688,3285938943),('DE',3285938944,3285938951),('EU',3285938952,3285938975),('ES',3285938976,3285939071),('EU',3285939072,3285939199),('ES',3285939200,3285940223),('DK',3285940224,3285940479),('ES',3285940480,3285940735),('EU',3285940736,3285942271),('IR',3285942272,3285942527),('EU',3285942528,3285942655),('IR',3285942656,3285942783),('ES',3285942784,3285942784),('EU',3285942785,3285943039),('SE',3285943040,3285943295),('ES',3285943296,3285943551),('DK',3285943552,3285943559),('DE',3285943560,3285943567),('DK',3285943568,3285943575),('EU',3285943576,3285943583),('ES',3285943584,3285943679),('GB',3285943680,3285943807),('EU',3285943808,3285944319),('US',3285944320,3285944831),('DK',3285944832,3285945343),('ES',3285945344,3285945599),('EU',3285945600,3285945663),('FR',3285945664,3285945695),('GB',3285945696,3285945727),('EU',3285945728,3285945855),('GB',3285945856,3285946111),('ES',3285946112,3285946367),('GB',3285946368,3285946879),('EU',3285946880,3285947391),('DE',3285947392,3285947647),('ES',3285947648,3285947903),('NL',3285947904,3285948159),('GB',3285948160,3285948671),('SA',3285948672,3285948927),('ML',3285948928,3285949183),('ES',3285949184,3285949831),('EU',3285949832,3285949855),('ES',3285949856,3285949887),('EU',3285949888,3285949951),('ES',3285949952,3285950463),('GB',3285950464,3285950719),('US',3285950720,3285950783),('EU',3285950784,3285950975),('NL',3285950976,3285951231),('IT',3285951232,3285951487),('EU',3285951488,3285951551),('GB',3285951552,3285951567),('PK',3285951568,3285951583),('ES',3285951584,3285951599),('PK',3285951600,3285951631),('DE',3285951632,3285951639),('EU',3285951640,3285951647),('ES',3285951648,3285951679),('EU',3285951680,3285951743),('GB',3285951744,3285951999),('IT',3285952000,3285952255),('SA',3285952256,3285952511),('EU',3285952512,3285955583),('DE',3285955584,3285955839),('ES',3285955840,3285956095),('FR',3285956096,3285956351),('DE',3285956352,3285956607),('IR',3285956608,3285956863),('PT',3285956864,3285957631),('PL',3285957632,3285957887),('GB',3285957888,3285958143),('ES',3285958144,3285958655),('EU',3285958656,3285958847),('NL',3285958848,3285958895),('DE',3285958896,3285958903),('NL',3285958904,3285958911),('GB',3285958912,3285959039),('DE',3285959040,3285959167),('ES',3285959168,3285959423),('GB',3285959424,3285959935),('ES',3285959936,3285960191),('FR',3285960192,3285960447),('GB',3285960448,3285960703),('EU',3285960704,3285962751),('DE',3285962752,3285963775),('GB',3285963776,3285964031),('IR',3285964032,3285964287),('KE',3285964288,3285964351),('EU',3285964352,3285964543),('FR',3285964544,3285964799),('EU',3285964800,3285966847),('FR',3285966848,3285967103),('PL',3285967104,3285967359),('ES',3285967360,3285967615),('BE',3285967616,3285968383),('ES',3285968384,3285968639),('PL',3285968640,3285968895),('EU',3285968896,3285971199),('FR',3285971200,3285971455),('DE',3285971456,3285971711),('GB',3285971712,3285971967),('EU',3285971968,3285972479),('PL',3285972480,3285972735),('FR',3285972736,3285972991),('EU',3285972992,3285975039),('FR',3285975040,3286106111),('EE',3286106112,3286106687),('FI',3286106688,3286106691),('EE',3286106692,3286114303),('BA',3286114304,3286122495),('BY',3286122496,3286130687),('RS',3286130688,3286131711),('PL',3286131712,3286132735),('RO',3286132736,3286133759),('IE',3286133760,3286134783),('PL',3286134784,3286135807),('NL',3286135808,3286136831),('AT',3286136832,3286137855),('RU',3286137856,3286155263),('DE',3286155264,3286171647),('IT',3286171648,3286237183),('GB',3286237184,3286243583),('US',3286243584,3286243839),('GB',3286243840,3286245887),('US',3286245888,3286246143),('GB',3286246144,3286254167),('NL',3286254168,3286254175),('GB',3286254176,3286264879),('NL',3286264880,3286264895),('GB',3286264896,3286279423),('US',3286279424,3286279679),('GB',3286279680,3286289919),('US',3286289920,3286290175),('GB',3286290176,3286291807),('US',3286291808,3286291823),('GB',3286291824,3286302719),('NO',3286302720,3286310911),('CH',3286310912,3286311423),('NL',3286311424,3286311935),('PL',3286311936,3286312447),('RU',3286312448,3286312959),('RO',3286312960,3286313983),('CH',3286313984,3286314495),('IL',3286314496,3286315007),('PL',3286315008,3286315519),('DE',3286315520,3286316031),('UA',3286316032,3286316543),('RO',3286316544,3286317055),('RU',3286317056,3286317567),('PL',3286317568,3286318079),('CH',3286318080,3286318591),('A2',3286318592,3286319103),('RO',3286319104,3286320127),('PL',3286320128,3286321151),('CZ',3286321152,3286322175),('PL',3286322176,3286323199),('GB',3286323200,3286324223),('RO',3286324224,3286325247),('DK',3286325248,3286326271),('PL',3286326272,3286327295),('UA',3286327296,3286328319),('NL',3286328320,3286329343),('DE',3286329344,3286330367),('RO',3286330368,3286331391),('UA',3286331392,3286332415),('CH',3286332416,3286333439),('PL',3286333440,3286334463),('BG',3286334464,3286335487),('RU',3286335488,3286336511),('DE',3286336512,3286337535),('SA',3286337536,3286338559),('RO',3286338560,3286339583),('UA',3286339584,3286340607),('DE',3286340608,3286342655),('UA',3286342656,3286343679),('RU',3286343680,3286344703),('BE',3286344704,3286345727),('IT',3286345728,3286346751),('UA',3286346752,3286347775),('PA',3286347776,3286348799),('PL',3286348800,3286349823),('SE',3286349824,3286350847),('GB',3286350848,3286351871),('DK',3286351872,3286352895),('DE',3286352896,3286353919),('LI',3286353920,3286354943),('FR',3286354944,3286355967),('DE',3286355968,3286356991),('PL',3286356992,3286358015),('GB',3286358016,3286359039),('PT',3286359040,3286360063),('IT',3286360064,3286361087),('UA',3286361088,3286362111),('RU',3286362112,3286363135),('AT',3286363136,3286364159),('DE',3286364160,3286365183),('PL',3286365184,3286367231),('BG',3286367232,3286368255),('CH',3286368256,3286376447),('GB',3286376448,3286384639),('DE',3286384640,3286401023),('GB',3286401024,3286409215),('DE',3286409216,3286417407),('IT',3286417408,3286425599),('KW',3286425600,3286433791),('DE',3286433792,3286499327),('HU',3286499328,3286564863),('AE',3286564864,3286566143),('TZ',3286566144,3286566399),('AE',3286566400,3286566655),('KW',3286566656,3286567423),('AE',3286567424,3286567679),('TZ',3286567680,3286567935),('AE',3286567936,3286568191),('KW',3286568192,3286568703),('AE',3286568704,3286571007),('KW',3286571008,3286571775),('AE',3286571776,3286630399),('BG',3286630400,3286638591),('AT',3286638592,3286646783),('RU',3286646784,3286654975),('UA',3286654976,3286655231),('KZ',3286655232,3286655487),('LT',3286655488,3286655743),('UA',3286655744,3286655999),('CH',3286656000,3286656255),('RU',3286656256,3286656511),('GR',3286656512,3286656767),('UA',3286656768,3286657023),('BE',3286657024,3286657279),('ES',3286657280,3286657535),('HU',3286657536,3286657791),('RU',3286657792,3286658047),('US',3286658048,3286658303),('RU',3286658304,3286658559),('NL',3286658560,3286658815),('RU',3286658816,3286659071),('UA',3286659072,3286659327),('PL',3286659328,3286659583),('DE',3286659584,3286659839),('UA',3286659840,3286660095),('DE',3286660096,3286660351),('CH',3286660352,3286660607),('GB',3286660608,3286660863),('UA',3286660864,3286661119),('PL',3286661120,3286661375),('SI',3286661376,3286661631),('GB',3286661632,3286661887),('RU',3286661888,3286662143),('DE',3286662144,3286662399),('UA',3286662400,3286662655),('DE',3286662656,3286662911),('UA',3286662912,3286671359),('AT',3286671360,3286679551),('IT',3286679552,3286681631),('DE',3286681632,3286681647),('GB',3286681648,3286681655),('BE',3286681656,3286681659),('ES',3286681660,3286681663),('FR',3286681664,3286681695),('ES',3286681696,3286681699),('IT',3286681700,3286681711),('CH',3286681712,3286681727),('HK',3286681728,3286681743),('ES',3286681744,3286681751),('IT',3286681752,3286681767),('DE',3286681768,3286681775),('IT',3286681776,3286681815),('ES',3286681816,3286681831),('IT',3286681832,3286682399),('ES',3286682400,3286682415),('IT',3286682416,3286682431),('FR',3286682432,3286682463),('RO',3286682464,3286682495),('IT',3286682496,3286682623),('SM',3286682624,3286682879),('IT',3286682880,3286695935),('DK',3286695936,3286761471),('DE',3286761472,3286761727),('GB',3286761728,3286769663),('DE',3286769664,3286769919),('GB',3286769920,3286773759),('DE',3286773760,3286777855),('FR',3286777856,3286781951),('GB',3286781952,3286782207),('DE',3286782208,3286782463),('GB',3286782464,3286782535),('FR',3286782536,3286782543),('GB',3286782544,3286782575),('DE',3286782576,3286782583),('GB',3286782584,3286783599),('CH',3286783600,3286783615),('DE',3286783616,3286783679),('GB',3286783680,3286784511),('CH',3286784512,3286784767),('DE',3286784768,3286785023),('GB',3286785024,3286787071),('FR',3286787072,3286787327),('DE',3286787328,3286787583),('GB',3286787584,3286788095),('DE',3286788096,3286788351),('FR',3286788352,3286788607),('GB',3286788608,3286789119),('DE',3286789120,3286789631),('FR',3286789632,3286790143),('GB',3286790144,3286790655),('DE',3286790656,3286790911),('GB',3286790912,3286791679),('AT',3286791680,3286791935),('GB',3286791936,3286794239),('DE',3286794240,3286892543),('DK',3286892544,3286900735),('BE',3286900736,3286900991),('DE',3286900992,3286901503),('FR',3286901504,3286902015),('CH',3286902016,3286902527),('GB',3286902528,3286902783),('PL',3286902784,3286903039),('FR',3286903040,3286903551),('CH',3286903552,3286903807),('AT',3286903808,3286904063),('BE',3286904064,3286904319),('FR',3286904320,3286904575),('PT',3286904576,3286904831),('GB',3286904832,3286905087),('GR',3286905088,3286905343),('DE',3286905344,3286905599),('MT',3286905600,3286905855),('TR',3286905856,3286906111),('BE',3286906112,3286906367),('RO',3286906368,3286906879),('RU',3286906880,3286907135),('SE',3286907136,3286907391),('AT',3286907392,3286907647),('ES',3286907648,3286907903),('CH',3286907904,3286908159),('UA',3286908160,3286908415),('FR',3286908416,3286908671),('PL',3286908672,3286908927),('CH',3286908928,3286909951),('UA',3286909952,3286913023),('DE',3286913024,3286914047),('BG',3286914048,3286915071),('FR',3286915072,3286916095),('DE',3286916096,3286917119),('UA',3286917120,3286918143),('AT',3286918144,3286919167),('DE',3286919168,3286920191),('RU',3286920192,3286921215),('UA',3286921216,3286922239),('GB',3286922240,3286923263),('CM',3286923264,3286924287),('UA',3286924288,3286925311),('DE',3286925312,3286925567),('CH',3286925568,3286925823),('RO',3286925824,3286926079),('LV',3286926080,3286926335),('UA',3286926336,3286926591),('DE',3286926592,3286926847),('PT',3286926848,3286927103),('FI',3286927104,3286927359),('DE',3286927360,3286927615),('SI',3286927616,3286927871),('DE',3286927872,3286928383),('ES',3286928384,3286928639),('PL',3286928640,3286928895),('FI',3286928896,3286929151),('DE',3286929152,3286929407),('LV',3286929408,3286929663),('BE',3286929664,3286929919),('SE',3286929920,3286930175),('RU',3286930176,3286930431),('UA',3286930432,3286930687),('DE',3286930688,3286930943),('SE',3286930944,3286931199),('AT',3286931200,3286931455),('DE',3286931456,3286931711),('GB',3286931712,3286931967),('FR',3286931968,3286932223),('DK',3286932224,3286932479),('GB',3286932480,3286932735),('AT',3286932736,3286932991),('IL',3286932992,3286933503),('DK',3286933504,3286933759),('RO',3286933760,3286934015),('BE',3286934016,3286934271),('CH',3286934272,3286934527),('PL',3286934528,3286934783),('TR',3286934784,3286935039),('ES',3286935040,3286935551),('EG',3286935552,3286935807),('RO',3286935808,3286936063),('RU',3286936064,3286936319),('IT',3286936320,3286936575),('RO',3286936576,3286936831),('NL',3286936832,3286937087),('UA',3286937088,3286937343),('GB',3286937344,3286937599),('CH',3286937600,3286937855),('RO',3286937856,3286938111),('DE',3286938112,3286938367),('ES',3286938368,3286938623),('CH',3286938624,3286938879),('RO',3286938880,3286939391),('DE',3286939392,3286939647),('BE',3286939648,3286939903),('EG',3286939904,3286940159),('BE',3286940160,3286940415),('CH',3286940416,3286940671),('RO',3286940672,3286940927),('PL',3286940928,3286941183),('RU',3286941184,3286941439),('RO',3286941440,3286941695),('DE',3286941696,3286942719),('FI',3286942720,3286943743),('UA',3286943744,3286944767),('CZ',3286944768,3286945791),('RU',3286945792,3286946815),('UA',3286946816,3286947839),('DE',3286947840,3286948863),('UA',3286948864,3286949887),('CH',3286949888,3286950911),('DE',3286950912,3286951935),('IT',3286951936,3286952959),('BG',3286952960,3286953983),('GB',3286953984,3286955007),('DE',3286955008,3286956031),('A2',3286956032,3286957055),('EG',3286957056,3286958079),('ES',3286958080,3287023615),('FI',3287023616,3287154687),('BE',3287154688,3287162879),('US',3287162880,3287171071),('LT',3287171072,3287171583),('PL',3287171584,3287172095),('DE',3287172096,3287172607),('PL',3287172608,3287173119),('RU',3287173120,3287173631),('NL',3287173632,3287174143),('SE',3287174144,3287174655),('GB',3287174656,3287175167),('RO',3287175168,3287176191),('BG',3287176192,3287176703),('NL',3287176704,3287177215),('RO',3287177216,3287178239),('UA',3287178240,3287178751),('RO',3287178752,3287179263),('GB',3287179264,3287187455),('DE',3287187456,3287196671),('PL',3287196672,3287198719),('GB',3287198720,3287199743),('UA',3287199744,3287201791),('PL',3287201792,3287202815),('UA',3287202816,3287203839),('FI',3287203840,3287204895),('EE',3287204896,3287204951),('FI',3287204952,3287204959),('EE',3287204960,3287205055),('FI',3287205056,3287212031),('DE',3287212032,3287212543),('FR',3287212544,3287212799),('PL',3287212800,3287213311),('FR',3287213312,3287213567),('RU',3287213568,3287214079),('GB',3287214080,3287214335),('DE',3287214336,3287214847),('IT',3287214848,3287215103),('PL',3287215104,3287215359),('GB',3287215360,3287215615),('DE',3287215616,3287215871),('RU',3287215872,3287216127),('GB',3287216128,3287216639),('MD',3287216640,3287216895),('GB',3287216896,3287217151),('NL',3287217152,3287217407),('PL',3287217408,3287217663),('RU',3287217664,3287217919),('PL',3287217920,3287218175),('DE',3287218176,3287218431),('GB',3287218432,3287218687),('RU',3287218688,3287218943),('AT',3287218944,3287219199),('DE',3287219200,3287219455),('CH',3287219456,3287219711),('SE',3287219712,3287220223),('RU',3287220224,3287223807),('UZ',3287223808,3287224319),('RU',3287224320,3287259375),('DK',3287259376,3287259383),('RU',3287259384,3287267191),('KZ',3287267192,3287267201),('RU',3287267202,3287271119),('UZ',3287271120,3287271127),('RU',3287271128,3287285759),('NL',3287285760,3287416831),('RU',3287416832,3287425023),('SE',3287425024,3287427759),('GB',3287427760,3287427775),('SE',3287427776,3287433215),('GB',3287433216,3287433727),('DE',3287433728,3287434239),('PL',3287434240,3287434751),('GB',3287434752,3287435263),('NL',3287435264,3287435775),('GB',3287435776,3287436287),('RS',3287436288,3287436799),('RO',3287436800,3287437311),('UA',3287437312,3287437823),('NL',3287437824,3287438335),('CH',3287438336,3287438847),('GB',3287438848,3287439359),('RO',3287439360,3287439871),('PL',3287439872,3287440895),('UA',3287440896,3287441407),('NL',3287441408,3287442431),('PL',3287442432,3287442943),('DE',3287442944,3287443967),('BG',3287443968,3287444479),('PL',3287444480,3287444991),('DE',3287444992,3287445503),('UA',3287445504,3287446527),('PL',3287446528,3287447039),('IL',3287447040,3287447551),('DK',3287447552,3287448063),('TR',3287448064,3287448575),('PL',3287448576,3287449087),('BG',3287449088,3287449599),('DE',3287449600,3287450111),('DK',3287450112,3287450623),('SE',3287450624,3287451135),('PL',3287451136,3287451647),('ES',3287451648,3287452159),('NO',3287452160,3287452671),('CH',3287452672,3287453183),('RU',3287453184,3287453695),('GB',3287453696,3287454207),('SE',3287454208,3287454719),('UA',3287454720,3287455743),('NL',3287455744,3287456255),('GB',3287456256,3287457279),('RO',3287457280,3287457791),('NL',3287457792,3287458047),('UA',3287458048,3287458303),('DE',3287458304,3287458559),('CH',3287458560,3287459327),('AT',3287459328,3287459583),('DE',3287459584,3287459839),('AT',3287459840,3287460095),('ME',3287460096,3287460351),('CY',3287460352,3287460607),('NL',3287460608,3287460863),('BE',3287460864,3287461119),('DE',3287461120,3287461375),('IL',3287461376,3287461631),('AT',3287461632,3287461887),('PL',3287461888,3287462143),('SA',3287462144,3287462399),('BE',3287462400,3287462655),('UA',3287462656,3287462911),('FR',3287462912,3287463167),('IT',3287463168,3287463423),('RO',3287463424,3287463679),('PL',3287463680,3287463935),('AT',3287463936,3287464191),('SK',3287464192,3287464447),('PL',3287464448,3287464703),('NL',3287464704,3287464959),('SA',3287464960,3287465215),('NO',3287465216,3287465471),('DE',3287465472,3287465727),('FR',3287465728,3287465983),('DK',3287465984,3287467007),('SA',3287467008,3287468031),('UA',3287468032,3287469055),('DE',3287469056,3287471103),('GB',3287471104,3287472127),('FI',3287472128,3287473151),('GB',3287473152,3287474175),('DE',3287474176,3287476223),('PL',3287476224,3287477247),('GB',3287477248,3287478271),('BG',3287478272,3287479295),('RO',3287479296,3287480319),('AT',3287480320,3287481343),('PL',3287481344,3287482367),('DE',3287482368,3287499279),('FR',3287499280,3287499287),('US',3287499288,3287499295),('DE',3287499296,3287499439),('GB',3287499440,3287499471),('DE',3287499472,3287499487),('GB',3287499488,3287499503),('DE',3287499504,3287501359),('NL',3287501360,3287501367),('DE',3287501368,3287507983),('FR',3287507984,3287507991),('DE',3287507992,3287515375),('CZ',3287515376,3287515383),('DE',3287515384,3287516591),('CZ',3287516592,3287516599),('DE',3287516600,3287522399),('GR',3287522400,3287522431),('DE',3287522432,3287523303),('US',3287523304,3287523311),('DE',3287523312,3287526303),('LU',3287526304,3287526311),('DE',3287526312,3287534807),('IT',3287534808,3287534815),('DE',3287534816,3287541087),('CZ',3287541088,3287541095),('DE',3287541096,3287542815),('US',3287542816,3287542831),('DE',3287542832,3287544647),('CH',3287544648,3287544655),('DE',3287544656,3287548927),('UA',3287548928,3287549439),('SE',3287549440,3287549951),('UA',3287549952,3287550463),('DE',3287550464,3287550975),('LT',3287550976,3287551487),('RO',3287551488,3287551999),('GB',3287552000,3287552511),('RO',3287552512,3287553023),('FR',3287553024,3287553535),('IL',3287553536,3287554047),('RU',3287554048,3287554559),('PL',3287554560,3287555071),('GB',3287555072,3287555583),('FR',3287555584,3287556095),('TR',3287556096,3287564287),('FI',3287564288,3287572479),('DE',3287572480,3287578863),('LI',3287578864,3287578879),('DE',3287578880,3287580671),('LV',3287580672,3287588863),('BE',3287588864,3287597055),('GI',3287597056,3287605247),('DE',3287605248,3287630335),('AT',3287630336,3287630847),('PL',3287630848,3287631359),('DE',3287631360,3287631871),('DK',3287631872,3287632383),('SE',3287632384,3287632895),('RU',3287632896,3287633407),('SK',3287633408,3287633919),('UA',3287633920,3287634431),('RO',3287634432,3287634943),('PL',3287634944,3287635455),('DE',3287635456,3287635967),('RO',3287635968,3287636479),('IE',3287636480,3287636991),('AT',3287636992,3287637503),('PL',3287637504,3287638015),('UA',3287638016,3287638527),('DE',3287638528,3287639039),('GB',3287639040,3287639551),('RU',3287639552,3287640063),('DE',3287640064,3287640575),('SI',3287640576,3287641087),('A2',3287641088,3287641599),('FI',3287641600,3287642111),('UA',3287642112,3287642623),('BE',3287642624,3287643135),('IT',3287643136,3287643647),('UA',3287643648,3287644671),('NL',3287644672,3287645183),('EU',3287645184,3287646207),('PT',3287646208,3287662591),('DE',3287662592,3287662847),('DK',3287662848,3287663103),('LV',3287663104,3287663359),('GB',3287663360,3287663615),('ES',3287663616,3287663871),('PT',3287663872,3287664127),('PL',3287664128,3287664383),('NL',3287664384,3287664639),('UA',3287664640,3287664895),('GB',3287664896,3287665151),('NO',3287665152,3287665407),('PL',3287665408,3287665919),('AT',3287665920,3287666175),('RU',3287666176,3287666431),('DK',3287666432,3287666687),('SI',3287666688,3287666943),('CZ',3287666944,3287667199),('DK',3287667200,3287667455),('RU',3287667456,3287667711),('ES',3287667712,3287667967),('PL',3287667968,3287668223),('RO',3287668224,3287668479),('UA',3287668480,3287668735),('SI',3287668736,3287668991),('PL',3287668992,3287669247),('LI',3287669248,3287669503),('IE',3287669504,3287669759),('RO',3287669760,3287670015),('UA',3287670016,3287670271),('PL',3287670272,3287670527),('GB',3287670528,3287670783),('PL',3287670784,3287671039),('AT',3287671040,3287671295),('PL',3287671296,3287671551),('TR',3287671552,3287671807),('CH',3287671808,3287672063),('LT',3287672064,3287672319),('DE',3287672320,3287672575),('NL',3287672576,3287672831),('RU',3287672832,3287673087),('SK',3287673088,3287673343),('PT',3287673344,3287673599),('GB',3287673600,3287673855),('NL',3287673856,3287674111),('CH',3287674112,3287674367),('DE',3287674368,3287674623),('RO',3287674624,3287674879),('SE',3287674880,3287675135),('GB',3287675136,3287675391),('SE',3287675392,3287675647),('DE',3287675648,3287675903),('BE',3287675904,3287676159),('DE',3287676160,3287676415),('RU',3287676416,3287676671),('GB',3287676672,3287676927),('ES',3287676928,3287677183),('RU',3287677184,3287677439),('SI',3287677440,3287677695),('RO',3287677696,3287677951),('GB',3287677952,3287678207),('UA',3287678208,3287678463),('DE',3287678464,3287678719),('HR',3287678720,3287678975),('SI',3287678976,3287687167),('EG',3287687168,3287695359),('CH',3287695360,3287703551),('CZ',3287703552,3287704063),('NL',3287704064,3287704575),('LU',3287704576,3287705087),('RU',3287705088,3287705599),('UA',3287705600,3287706111),('RU',3287706112,3287706623),('GB',3287706624,3287707135),('FR',3287707136,3287707647),('BE',3287707648,3287708159),('NL',3287708160,3287708671),('EU',3287708672,3287709183),('RU',3287709184,3287709695),('SE',3287709696,3287710207),('RU',3287710208,3287710719),('CZ',3287710720,3287711231),('PL',3287711232,3287711743),('FR',3287711744,3287719935),('DE',3287719936,3287728127),('IT',3287728128,3287729407),('SE',3287729408,3287729663),('DK',3287729664,3287729919),('HU',3287729920,3287730175),('PL',3287730176,3287730431),('GB',3287730432,3287730687),('DE',3287730688,3287732223),('IT',3287732224,3287734271),('PL',3287734272,3287734527),('UA',3287734528,3287734783),('RU',3287734784,3287735039),('SE',3287735040,3287735295),('IT',3287735296,3287736319),('PL',3287736320,3287736831),('LV',3287736832,3287737343),('GB',3287737344,3287737855),('FR',3287737856,3287738879),('DE',3287738880,3287739391),('NL',3287739392,3287739903),('PT',3287739904,3287740415),('BG',3287740416,3287740927),('RO',3287740928,3287741439),('CH',3287741440,3287741951),('RO',3287741952,3287742463),('RU',3287742464,3287742975),('RO',3287742976,3287743487),('LV',3287743488,3287743999),('FR',3287744000,3287744511),('DE',3287744512,3287810047),('FR',3287810048,3287816495),('A2',3287816496,3287816511),('FR',3287816512,3287818239),('AT',3287818240,3287826431),('LV',3287826432,3287826687),('RO',3287826688,3287826943),('RU',3287826944,3287827199),('DE',3287827200,3287827455),('SI',3287827456,3287827711),('RU',3287827712,3287827967),('GB',3287827968,3287828223),('DE',3287828224,3287828479),('PL',3287828480,3287828735),('AT',3287828736,3287828991),('DE',3287828992,3287829247),('GB',3287829248,3287829503),('RO',3287829504,3287829759),('NL',3287829760,3287830015),('NO',3287830016,3287830271),('RO',3287830272,3287830527),('IE',3287830528,3287830783),('GB',3287830784,3287831039),('RU',3287831040,3287831295),('CH',3287831296,3287831551),('RO',3287831552,3287831807),('AT',3287831808,3287832063),('FI',3287832064,3287832319),('NL',3287832320,3287832575),('PL',3287832576,3287832831),('DE',3287832832,3287833087),('GB',3287833088,3287833343),('CH',3287833344,3287833855),('UA',3287833856,3287834111),('HU',3287834368,3287834623),('GB',3287834624,3287842815),('DE',3287842816,3287851007),('UA',3287851008,3287859199),('GB',3287859200,3287859455),('FK',3287859456,3287859711),('EU',3287859712,3287859967),('GB',3287859968,3287860479),('EU',3287860480,3287861247),('GB',3287861248,3287862015),('EU',3287862016,3287863807),('GB',3287863808,3287864063),('EU',3287864064,3287866383),('GB',3287866384,3287866439),('EU',3287866440,3287866495),('GB',3287866496,3287866591),('EU',3287866592,3287866607),('GB',3287866608,3287866623),('EU',3287866624,3287867391),('UA',3287867392,3287867903),('PL',3287867904,3287868415),('RO',3287868416,3287868927),('ES',3287868928,3287869439),('RU',3287869440,3287869951),('UA',3287869952,3287870463),('RU',3287870464,3287870975),('NL',3287870976,3287871487),('PL',3287871488,3287871999),('RU',3287872000,3287872511),('GB',3287872512,3287873023),('PL',3287873024,3287873535),('RU',3287873536,3287874047),('FR',3287874048,3287874559),('DE',3287874560,3287875071),('PL',3287875072,3287875583),('DK',3287875584,3287941119),('IT',3287941120,3287949311),('AT',3287949312,3287949567),('IL',3287949568,3287949823),('IT',3287949824,3287950079),('DE',3287950080,3287950335),('UA',3287950336,3287950591),('PL',3287950592,3287950847),('DE',3287950848,3287951103),('HU',3287951104,3287951359),('FR',3287951360,3287951615),('CH',3287951616,3287951871),('FR',3287951872,3287952127),('UA',3287952128,3287952383),('CH',3287952384,3287953151),('IL',3287953152,3287953407),('DE',3287953408,3287953663),('GB',3287953664,3287953919),('DE',3287953920,3287954175),('RU',3287954176,3287954431),('CH',3287954432,3287954687),('RO',3287954688,3287954943),('PL',3287954944,3287955199),('RU',3287955200,3287955711),('DE',3287955712,3287955967),('SI',3287955968,3287956223),('RO',3287956224,3287956479),('FR',3287956480,3287956735),('SE',3287956736,3287956991),('UA',3287956992,3287957247),('GB',3287957248,3287957503),('AM',3287957504,3287965695),('RS',3287965696,3287973887),('CZ',3287973888,3287982079),('EE',3287982080,3287990271),('SI',3287990272,3287998463),('IT',3287998464,3288006655),('GR',3288006656,3288007711),('BA',3288007712,3288007743),('GR',3288007744,3288072191),('SE',3288072192,3288088575),('RS',3288088576,3288102543),('DK',3288102544,3288102551),('RS',3288102552,3288104959),('DE',3288104960,3288143615),('CH',3288143616,3288143871),('DE',3288143872,3288145663),('CH',3288145664,3288146175),('DE',3288146176,3288236031),('LI',3288236032,3288236543),('FR',3288236544,3288237055),('RO',3288237056,3288238591),('PL',3288238592,3288239103),('RO',3288239104,3288239615),('UA',3288239616,3288240127),('CH',3288240128,3288240639),('FR',3288240640,3288241151),('ES',3288241152,3288241663),('UA',3288241664,3288242175),('RO',3288242176,3288242687),('FR',3288242688,3288243199),('PL',3288243200,3288243711),('FR',3288243712,3288244223),('KG',3288244224,3288252415),('IT',3288260608,3288268799),('FI',3288268800,3288334335),('UG',3288334336,3288399871),('ZA',3288399872,3288400127),('IN',3288400128,3288400383),('PR',3288400384,3288400639),('SA',3288400640,3288400895),('KE',3288400896,3288401151),('RU',3288401152,3288401407),('SA',3288401408,3288401663),('MU',3288401664,3288401919),('ZA',3288401920,3288406527),('KE',3288406528,3288407039),('NA',3288407040,3288408063),('ZA',3288408064,3288413183),('TZ',3288413184,3288414207),('ZA',3288414208,3288416255),('SA',3288416256,3288417279),('IN',3288417280,3288417535),('KW',3288417536,3288418047),('ZA',3288418048,3288418303),('US',3288418304,3288418815),('ZA',3288418816,3288423423),('SN',3288423424,3288425727),('ZA',3288425728,3288426495),('IN',3288426496,3288427263),('BM',3288427264,3288427519),('IN',3288427520,3288428543),('CU',3288428544,3288428799),('IN',3288428800,3288429311),('ZA',3288429312,3288429567),('GH',3288429568,3288430335),('EG',3288430336,3288430591),('SC',3288430592,3288432639),('ZA',3288432640,3288433151),('BW',3288433152,3288434175),('IN',3288434176,3288434431),('CU',3288434432,3288434687),('JM',3288434688,3288434943),('GH',3288434944,3288435199),('JM',3288435200,3288435711),('US',3288435712,3288435967),('PR',3288435968,3288436223),('US',3288436224,3288436479),('EG',3288436480,3288436735),('ZA',3288436736,3288440831),('VC',3288440832,3288441103),('BB',3288441104,3288442879),('KN',3288442880,3288443135),('VC',3288443136,3288443647),('BB',3288443648,3288444927),('NG',3288444928,3288449023),('SD',3288449024,3288465407),('JM',3288465408,3288465919),('ZA',3288465920,3288466431),('SY',3288466432,3288467455),('BI',3288467456,3288469503),('ZA',3288469504,3288485887),('MA',3288485888,3288489983),('ZA',3288489984,3288514559),('EG',3288514560,3288530943),('JM',3288530944,3288532991),('PR',3288532992,3288534527),('EG',3288534528,3288535039),('AN',3288535040,3288539135),('US',3288539136,3288545535),('ZA',3288545536,3288545791),('KE',3288545792,3288546303),('NG',3288546304,3288547327),('GH',3288547328,3288547583),('IN',3288547584,3288547839),('SA',3288547840,3288548095),('AE',3288548096,3288549375),('PK',3288549376,3288549631),('GD',3288549632,3288549887),('DO',3288549888,3288553983),('CM',3288553984,3288554239),('IR',3288554240,3288554495),('ZA',3288554496,3288555007),('NA',3288555008,3288555263),('JM',3288555264,3288555519),('MZ',3288555520,3288557567),('JM',3288557568,3288557823),('ZA',3288557824,3288558079),('DO',3288558080,3288558335),('ZA',3288558336,3288558847),('MU',3288558848,3288559103),('ZA',3288559104,3288564735),('TT',3288564736,3288568831),('ZA',3288568832,3288569855),('CU',3288569856,3288570111),('JM',3288570112,3288570367),('ZA',3288570368,3288577023),('NG',3288577024,3288578047),('JM',3288578048,3288580095),('BB',3288580096,3288588287),('ZA',3288588288,3288608255),('US',3288608256,3288614655),('ZA',3288614656,3288616959),('ZW',3288616960,3288617215),('ZA',3288617216,3288661759),('LS',3288661760,3288662015),('ZA',3288662016,3289070335),('ZW',3289070336,3289070591),('NA',3289070592,3289070847),('ZA',3289070848,3289086975),('SZ',3289086976,3289087231),('ZA',3289087232,3289120767),('PR',3289120768,3289123327),('NA',3289123328,3289123583),('EG',3289123584,3289123839),('ZM',3289123840,3289124863),('ZA',3289124864,3289128959),('IN',3289128960,3289137151),('BM',3289137152,3289153535),('RW',3289153536,3289161727),('PR',3289161728,3289169919),('MA',3289169920,3289186303),('ZA',3289186304,3289229311),('SZ',3289229312,3289229567),('ZA',3289229824,3289230591),('ZA',3289233408,3289320191),('NA',3289320192,3289320447),('IN',3289321472,3289325567),('SA',3289325568,3289333759),('ZA',3289333760,3289376767),('SZ',3289376768,3289378815),('ZA',3289378816,3289645055),('NA',3289645056,3289653247),('EG',3289653248,3289661439),('DZ',3289661440,3289677823),('MU',3289677824,3289710591),('ZA',3289710592,3289777407),('EG',3289777408,3289777663),('NG',3289777664,3289777919),('EG',3289777920,3289778175),('CD',3289778176,3289779199),('GW',3289779200,3289780223),('ZA',3289780224,3289788415),('MZ',3289788416,3289792511),('ZA',3289792512,3289796607),('SZ',3289796608,3289796863),('ZA',3289796864,3289809407),('EG',3289809408,3289809663),('KE',3289809664,3289809919),('ZA',3289809920,3289812991),('MU',3289812992,3289817087),('ZA',3289817088,3289907199),('LS',3289907200,3289908223),('ZA',3289908224,3289923583),('SZ',3289923584,3289924607),('ZA',3289924608,3290103807),('JO',3290103808,3290104319),('EG',3290104320,3290104831),('VE',3290104832,3290106879),('CL',3290106880,3290107135),('CA',3290107136,3290107151),('US',3290107152,3290107167),('CA',3290107168,3290107231),('US',3290107232,3290107263),('CA',3290107264,3290107311),('US',3290107312,3290107343),('CA',3290107344,3290107359),('US',3290107360,3290107375),('CA',3290107376,3290107383),('US',3290107384,3290107391),('CA',3290107392,3290107647),('US',3290107648,3290108415),('CA',3290108416,3290108671),('US',3290108672,3290108927),('GH',3290108928,3290109183),('MU',3290109184,3290109439),('ET',3290109440,3290109695),('PR',3290109696,3290110207),('US',3290110208,3290110463),('ES',3290110464,3290110719),('DO',3290110720,3290110975),('US',3290110976,3290111487),('MX',3290111488,3290111743),('US',3290111744,3290111999),('CA',3290112000,3290112143),('US',3290112144,3290116095),('PE',3290116096,3290118399),('US',3290118400,3290120191),('MU',3290120192,3290128383),('ZW',3290128384,3290136575),('ZA',3290169344,3290171135),('SZ',3290171136,3290171391),('ZA',3290171392,3290171647),('NG',3290171904,3290172159),('KE',3290172160,3290172415),('ZA',3290172416,3290181631),('PR',3290181632,3290185727),('ZA',3290185728,3290226687),('MZ',3290226688,3290230783),('BF',3290230784,3290234879),('ZA',3290234880,3290243071),('ZW',3290243072,3290245119),('DZ',3290245120,3290246143),('TZ',3290247168,3290249215),('TT',3290251264,3290259455),('GH',3290259456,3290267647),('ZA',3290267648,3290275839),('SD',3290275840,3290284031),('AO',3290284032,3290288127),('NG',3290288128,3290292223),('GH',3290292224,3290296319),('ZA',3290296320,3290431487),('JM',3290431488,3290433535),('TT',3290439680,3290447871),('AR',3290447872,3290456063),('MZ',3290456064,3290460159),('PR',3290464256,3290468351),('DO',3290468352,3290468607),('PR',3290468608,3290471487),('DO',3290471488,3290471551),('PR',3290471552,3290472447),('ZA',3290472448,3290480639),('AO',3290480640,3290482687),('CF',3290482688,3290484735),('ZA',3290484736,3290486783),('SC',3290486784,3290488831),('ZA',3290497024,3290955775),('CR',3290955776,3290980351),('ZA',3290980352,3290984447),('ZA',3291021312,3291029503),('TZ',3291029504,3291033343),('KE',3291033344,3291033599),('TZ',3291033600,3291037695),('ZA',3291037696,3291078655),('DZ',3291078656,3291086847),('PR',3291086848,3291103231),('ZA',3291152384,3291168767),('TZ',3291168768,3291176959),('ZW',3291176960,3291185151),('ZA',3291217920,3291230207),('GH',3291230208,3291234303),('ZA',3291234304,3291242495),('GH',3291242496,3291250687),('NA',3291250688,3291258879),('TZ',3291258880,3291262975),('ZW',3291262976,3291267071),('ZA',3291267072,3291279359),('RW',3291279360,3291283455),('NA',3291283456,3291287551),('ZA',3291287552,3291291647),('TZ',3291291648,3291293375),('NG',3291293376,3291293439),('TZ',3291293440,3291293951),('KE',3291293952,3291294079),('TZ',3291294080,3291295743),('ZA',3291299840,3291316223),('TZ',3291316224,3291324415),('AO',3291324416,3291325439),('BW',3291325440,3291326463),('ZA',3291326464,3291330559),('TZ',3291330560,3291331583),('MW',3291331584,3291332607),('NG',3291332608,3291348991),('MZ',3291348992,3291353087),('MU',3291357184,3291365375),('ZA',3291365376,3291367423),('AO',3291367424,3291369471),('GH',3291369472,3291373567),('TZ',3291373568,3291377663),('ZA',3291377664,3291379711),('TZ',3291379712,3291380735),('ZM',3291380736,3291381759),('TZ',3291381760,3291383807),('ZA',3291383808,3291385855),('NG',3291385856,3291386879),('SC',3291386880,3291387903),('BJ',3291387904,3291388927),('GA',3291388928,3291389951),('ZA',3291389952,3291397119),('EG',3291397120,3291398143),('ZM',3291398144,3291406335),('ZA',3291406336,3291408383),('GM',3291408384,3291410431),('NG',3291410432,3291412479),('DZ',3291412480,3291414527),('ZA',3291414528,3291431423),('NA',3291431424,3291431551),('ZA',3291431552,3291432191),('NA',3291432192,3291432447),('ZA',3291432448,3291435519),('NA',3291435520,3291436543),('ZA',3291436544,3291437567),('NA',3291437568,3291437823),('ZA',3291437824,3291439103),('CI',3291447296,3291463679),('MU',3300917248,3300921343),('MG',3300925440,3300929535),('MU',3300933632,3300950015),('NG',3301441536,3301445631),('KE',3301445632,3301453823),('ML',3301453824,3301457919),('NG',3301457920,3301462015),('ML',3301462016,3301466111),('ER',3301466112,3301470207),('NG',3301470208,3301474303),('MA',3301474304,3301490687),('DZ',3301490688,3301494783),('NG',3301494784,3301498879),('GH',3301498880,3301507071),('US',3301507328,3301507583),('GH',3301507584,3301507839),('EG',3301507840,3301508095),('MW',3301508096,3301508607),('ZA',3301508608,3301509119),('MW',3301510144,3301511167),('ZW',3301511168,3301513215),('EG',3301513216,3301515263),('GH',3301515264,3301523455),('CI',3301523456,3301531647),('KE',3301539840,3301543935),('NG',3301543936,3301543951),('TZ',3301543952,3301543967),('UG',3301543968,3301544191),('DE',3301544192,3301544959),('KE',3301544960,3301548031),('GH',3301548032,3301556223),('DJ',3301556224,3301560319),('KE',3301560320,3301566463),('BE',3301566464,3301568511),('EG',3301568512,3301570559),('KE',3301570560,3301572607),('EG',3301572608,3301605375),('SD',3301605376,3301613567),('NG',3301613568,3301621759),('KE',3301621760,3301629951),('NG',3301629952,3301631999),('CM',3301632000,3301634047),('LS',3301634048,3301636095),('ZA',3301636096,3301637119),('AO',3301637120,3301638143),('TN',3301638144,3301703679),('EG',3301703680,3301834751),('MA',3301834752,3301900287),('NG',3301900288,3301902663),('CM',3301902664,3301902671),('NG',3301902672,3301904383),('KE',3301904384,3301908479),('ZA',3301908480,3301912575),('MU',3301912576,3301916671),('NG',3301933056,3301949439),('SN',3301949440,3301965823),('ZA',3301965824,3302490111),('US',3302490368,3302490623),('ZA',3302490624,3302491135),('MU',3302491136,3302492159),('MW',3302492160,3302494207),('ZA',3302494208,3302496255),('NA',3302498304,3302506495),('KE',3302506496,3302514687),('KE',3302522880,3302524927),('AO',3302524928,3302525951),('EG',3302525952,3302526975),('NG',3302526976,3302529023),('ZA',3302529024,3302530047),('MA',3302555648,3302621183),('EG',3302621184,3302684671),('JO',3302684672,3302686719),('EG',3302686720,3302752255),('NG',3302752256,3302753031),('MA',3302753032,3302753039),('NG',3302753040,3302753359),('CM',3302753360,3302753363),('NG',3302753364,3302753607),('GH',3302753608,3302753615),('NG',3302753616,3302760447),('ZA',3302760448,3302768639),('EG',3302817792,3302883327),('MA',3302883328,3302948863),('MU',3302948864,3302949119),('AO',3302949120,3302949375),('ZM',3302949376,3302949631),('BI',3302949632,3302949887),('CI',3302949888,3302950143),('TZ',3302950144,3302950655),('EG',3302950656,3302950911),('US',3321954304,3321970687),('US',3322019840,3322023935),('CL',3322023936,3322028031),('US',3322085376,3322167551),('GB',3322167552,3322167807),('US',3322167808,3322202111),('GB',3322202112,3322203135),('US',3322203136,3322609663),('SA',3322609664,3322610687),('US',3322610688,3322611711),('US',3322613760,3322642431),('US',3322675200,3322683391),('BR',3322683392,3322691583),('US',3322740736,3322773503),('US',3322806272,3322875903),('AU',3322875904,3322888191),('US',3322937344,3322945535),('JP',3323003136,3323003391),('US',3323003392,3323003647),('US',3323004160,3323004671),('CN',3323004672,3323004927),('US',3323004928,3323013631),('CA',3323013888,3323014143),('US',3323014144,3323017727),('CA',3323017728,3323017983),('US',3323017984,3323018239),('US',3323018752,3323020799),('SG',3323020800,3323021055),('US',3323021056,3323022591),('GB',3323022592,3323022847),('US',3323022848,3323027455),('CA',3323027456,3323027711),('US',3323027712,3323030015),('AU',3323030016,3323030271),('US',3323030272,3323031039),('AU',3323031552,3323032575),('US',3323032576,3323032831),('IT',3323032832,3323033087),('JP',3323033088,3323033343),('BR',3323033600,3323034111),('US',3323034112,3323038719),('CA',3323038720,3323038975),('US',3323038976,3323048959),('NL',3323048960,3323049727),('US',3323049728,3323061247),('SG',3323061248,3323061503),('US',3323061504,3323062015),('BR',3323062016,3323062527),('US',3323062784,3323064319),('AU',3323064320,3323064831),('US',3323064832,3323068415),('CA',3323201536,3323203583),('US',3323203584,3323207679),('CA',3323207680,3323215871),('US',3323265024,3323297791),('US',3323330816,3323331071),('CA',3323331072,3323331839),('US',3323331840,3323339263),('AU',3323339264,3323339519),('TH',3323339520,3323339775),('NZ',3323340032,3323340287),('US',3323340288,3323342335),('AU',3323342592,3323343615),('DE',3323343616,3323343871),('US',3323343872,3323345919),('AU',3323346176,3323346431),('US',3323346432,3323354367),('DE',3323354368,3323355647),('US',3323355904,3323356671),('CA',3323356672,3323356927),('US',3323356928,3323378687),('CA',3323378688,3323378943),('US',3323378944,3323391231),('CA',3323391232,3323391487),('US',3323391488,3323394559),('CL',3323394560,3323395071),('US',3323395072,3323412479),('US',3323461632,3323659263),('NZ',3323659264,3323660543),('US',3323662336,3323674623),('US',3323723776,3324051455),('CA',3324051456,3324182527),('US',3324182528,3324256255),('SA',3324256256,3324259327),('US',3324259328,3324259583),('SA',3324259584,3324259839),('US',3324259840,3324260095),('US',3324264448,3324379135),('CA',3324379136,3324380159),('US',3324380160,3324391423),('US',3324395520,3324399615),('US',3324411904,3324579839),('NZ',3324579840,3324583935),('CL',3324583936,3324588031),('US',3324592128,3324596223),('US',3324641280,3324642303),('CA',3324642304,3324642559),('US',3324642560,3324645887),('CA',3324645888,3324646143),('US',3324646144,3324646911),('CA',3324646912,3324647167),('US',3324647168,3324647679),('CA',3324647680,3324647935),('US',3324647936,3324650495),('CA',3324650496,3324650751),('US',3324650752,3324653311),('CA',3324653312,3324653567),('US',3324653568,3324655359),('CA',3324655360,3324655615),('US',3324655616,3324655871),('CA',3324655872,3324656127),('US',3324656128,3324659967),('CA',3324659968,3324660223),('US',3324660224,3324660479),('CA',3324660480,3324660735),('US',3324660736,3324662015),('CA',3324662016,3324662271),('US',3324662272,3324662527),('CA',3324662528,3324662783),('US',3324662784,3324664319),('CA',3324664320,3324664575),('US',3324664576,3324665855),('CA',3324665856,3324666367),('US',3324666368,3324668415),('CA',3324668416,3324668671),('US',3324668672,3324672767),('CA',3324672768,3324673023),('US',3324673024,3324674815),('CA',3324674816,3324675327),('US',3324675328,3324676351),('CA',3324676352,3324676863),('US',3324676864,3324678143),('CA',3324678144,3324678399),('US',3324678400,3324678911),('CA',3324678912,3324679167),('US',3324679168,3324679423),('CA',3324679424,3324679935),('US',3324679936,3324681215),('CA',3324681216,3324681471),('US',3324681472,3324682495),('CA',3324682496,3324682751),('US',3324682752,3324684799),('CA',3324684800,3324685055),('US',3324685056,3324686335),('CA',3324686336,3324686591),('US',3324686592,3324690687),('CA',3324690688,3324690943),('US',3324690944,3324692991),('CA',3324692992,3324693247),('US',3324693248,3324693503),('CA',3324693504,3324693759),('US',3324693760,3324694015),('CA',3324694016,3324694271),('US',3324694272,3324694527),('CA',3324694528,3324695039),('US',3324695040,3324695551),('CA',3324695552,3324696575),('US',3324696576,3324696831),('CA',3324696832,3324697087),('US',3324697088,3324698623),('CA',3324698624,3324699135),('US',3324699136,3324699391),('CA',3324699392,3324699647),('US',3324699648,3324701183),('CA',3324701184,3324702207),('US',3324702208,3324703999),('CA',3324704000,3324704255),('US',3324704256,3324706303),('CA',3324706304,3324706559),('US',3324706560,3325034495),('NZ',3325034496,3325035519),('US',3325035520,3325046783),('US',3325050880,3325059071),('US',3325100288,3325100543),('HK',3325100544,3325100799),('NZ',3325100800,3325101055),('US',3325101056,3325108223),('AU',3325108224,3325110271),('US',3325110272,3325112319),('US',3325120512,3325122047),('AU',3325122304,3325122559),('US',3325122560,3325128703),('TH',3325128704,3325129215),('US',3325129216,3325131775),('AU',3325131776,3325132031),('US',3325132032,3325132799),('BR',3325132800,3325134335),('US',3325134336,3325134591),('US',3325134848,3325135359),('CA',3325136128,3325136383),('US',3325136384,3325136639),('US',3325136896,3325142015),('AR',3325142016,3325142271),('US',3325142272,3325144831),('CA',3325144832,3325145087),('US',3325145088,3325169663),('BR',3325169664,3325171711),('US',3325173760,3325190143),('US',3325231104,3325232127),('AU',3325232128,3325233151),('US',3325233152,3325234175),('SA',3325234176,3325234431),('US',3325234432,3325249279),('CO',3325249280,3325249535),('US',3325249536,3325256447),('HK',3325256448,3325256703),('ID',3325256960,3325257215),('US',3325257216,3325257727),('US',3325258752,3325259775),('CA',3325259776,3325261311),('US',3325261312,3325264895),('US',3325266944,3325267711),('SY',3325267712,3325268735),('US',3325268736,3325269759),('CA',3325269760,3325270015),('US',3325270016,3325271039),('CA',3325271040,3325271295),('US',3325271296,3325271551),('US',3325271808,3325278719),('AU',3325278720,3325278975),('US',3325278976,3325281023),('NZ',3325281024,3325281279),('AU',3325281280,3325281535),('US',3325281536,3325284863),('AU',3325284864,3325285375),('US',3325285376,3325304831),('CA',3325304832,3325307647),('BB',3325307648,3325307903),('CA',3325307904,3325308927),('US',3325313024,3325321215),('CA',3325362176,3325427711),('ZA',3325427712,3325460479),('ZA',3325463808,3325464063),('NA',3325464064,3325465087),('ZA',3325465088,3325493247),('US',3325493248,3325497343),('PR',3325497344,3325501439),('US',3325501440,3325505535),('US',3325509632,3325517823),('US',3325526016,3325562879),('PH',3325562880,3325566975),('US',3325566976,3325591551),('US',3325624320,3325640703),('CA',3325640704,3325644799),('JM',3325689856,3325690367),('US',3325690368,3325691903),('BR',3325691904,3325693951),('US',3325693952,3325700095),('US',3325706240,3325708287),('US',3325755392,3325886463),('NZ',3325886464,3325887487),('US',3325887488,3325888511),('AU',3325888512,3325890559),('US',3325890560,3325911039),('US',3325952000,3325956095),('CA',3325956096,3325960191),('US',3325960192,3325976063),('CA',3325976064,3325976319),('US',3325976320,3325980671),('CA',3325980672,3325980927),('US',3325980928,3325992447),('CA',3325992448,3325992959),('US',3325992960,3325996799),('CA',3325996800,3325997055),('US',3325997056,3326189567),('A1',3326189568,3326189695),('US',3326189696,3326191295),('A1',3326191296,3326191359),('US',3326191360,3326191551),('A1',3326191552,3326191583),('US',3326191584,3326349823),('EC',3326349824,3326350335),('US',3326350336,3326390527),('CA',3326390528,3326390535),('US',3326390536,3326400639),('PR',3326400640,3326400655),('US',3326400656,3326402111),('PR',3326402112,3326402119),('US',3326402120,3326406655),('CO',3326406656,3326408703),('US',3326408704,3326413823),('YE',3326413824,3326414335),('US',3326414336,3326476495),('GE',3326476496,3326476503),('US',3326476504,3326492239),('CA',3326492240,3326492255),('US',3326492256,3326526463),('CA',3326526464,3326526719),('US',3326526720,3326574591),('US',3326607360,3326640127),('CA',3326680832,3326682623),('US',3326682624,3326682879),('CA',3326682880,3326713343),('US',3326713344,3326714111),('CA',3326714112,3326716927),('US',3326716928,3326717951),('CA',3326717952,3326729215),('JP',3326729216,3326729471),('CA',3326729472,3326729727),('US',3326729728,3326734335),('CA',3326734336,3326737663),('US',3326737664,3326737919),('CA',3326737920,3326738175),('US',3326738432,3326952191),('AS',3326952192,3326952447),('US',3326952448,3326953983),('AS',3326953984,3326954495),('US',3326954496,3327144959),('CA',3327144960,3327145983),('US',3327145984,3327162367),('GB',3327162368,3327162623),('US',3327162624,3327162879),('GB',3327162880,3327163391),('US',3327163392,3327256831),('GU',3327256832,3327257087),('US',3327257088,3327723519),('CA',3327723520,3327725567),('US',3327725568,3327733759),('US',3327737856,3327746047),('US',3327754240,3327995903),('AN',3327995904,3327996927),('US',3327996928,3328028671),('AN',3328028672,3328030719),('US',3328030720,3328180223),('CA',3328180224,3328245759),('US',3328245760,3328414719),('CH',3328414720,3328414975),('US',3328414976,3328420351),('CA',3328420352,3328420607),('US',3328420608,3328421119),('HK',3328421120,3328421375),('US',3328421376,3328432639),('CA',3328432640,3328433663),('CH',3328433664,3328433919),('US',3328433920,3328475135),('CA',3328475136,3328477183),('US',3328507904,3328524287),('US',3328573440,3328617983),('CA',3328617984,3328618239),('US',3328618240,3328630783),('CA',3328630784,3328631807),('US',3328631808,3328638975),('CA',3328638976,3328704511),('US',3328704512,3328774399),('CA',3328774400,3328775935),('US',3328775936,3328776703),('US',3328778240,3328782335),('US',3328786432,3328790527),('US',3328802816,3329230335),('JP',3329230336,3329230591),('US',3329230592,3329497343),('KE',3329497344,3329497599),('US',3329497600,3329498623),('ES',3329498624,3329498879),('US',3329498880,3330613247),('CA',3330613248,3330614783),('US',3330614784,3330617087),('CA',3330617088,3330617343),('US',3330617344,3330621183),('CA',3330621184,3330623743),('US',3330623744,3330624255),('US',3330624512,3330625535),('GB',3330625536,3330627071),('US',3330627072,3330640895),('CH',3330640896,3330641151),('US',3330641152,3330646527),('CA',3330646528,3330647295),('US',3330647296,3330647807),('US',3330648064,3330649343),('CA',3330649600,3330649855),('US',3330649856,3330662911),('GB',3330662912,3330663167),('US',3330663168,3330664191),('CA',3330664192,3330664447),('US',3330664448,3330714367),('CA',3330714368,3330714623),('US',3330714624,3330726655),('CA',3330726656,3330726911),('US',3330726912,3330754559),('CA',3330754560,3330754815),('US',3330754816,3330755071),('US',3330755328,3330763519),('CA',3330763520,3330763775),('US',3330763776,3330765823),('CA',3330765824,3330766335),('US',3330766336,3330771199),('CH',3330771200,3330771711),('US',3330771712,3330778879),('GB',3330778880,3330779135),('US',3330779136,3330791423),('CA',3330791424,3330791679),('US',3330791680,3330883583),('NL',3330883584,3330884351),('US',3330884352,3330884863),('GB',3330884864,3330885119),('US',3330885120,3330888063),('NL',3330888064,3330888127),('US',3330888128,3330888191),('AU',3330888192,3330888703),('US',3330888704,3330888959),('CH',3330888960,3330889215),('GB',3330889216,3330889471),('JP',3330889472,3330890239),('BE',3330890240,3330890751),('GB',3330890752,3330891263),('US',3330891264,3330892287),('FR',3330892288,3330892543),('US',3330892544,3330893567),('NL',3330893568,3330893823),('CA',3330893824,3330894079),('GB',3330894080,3330894591),('DE',3330894592,3330894847),('US',3330894848,3330897919),('CA',3330897920,3330898175),('DE',3330898176,3330898431),('FR',3330898432,3330898943),('US',3330898944,3331102463),('CA',3331102464,3331102719),('US',3331102720,3331194879),('AU',3331194880,3331260415),('US',3331260416,3331563519),('CH',3331563520,3331563775),('US',3331563776,3331633407),('CH',3331633408,3331633919),('US',3331633920,3331647231),('CA',3331647232,3331647487),('US',3331647488,3331649279),('CA',3331649280,3331649535),('US',3331649536,3331818495),('MX',3331818496,3331818751),('US',3331818752,3332440063),('CA',3332440064,3332460543),('US',3332460544,3332460799),('CA',3332460800,3332590079),('US',3332590080,3332590591),('CA',3332590592,3332618239),('US',3332618240,3332624383),('CA',3332624384,3332724735),('PM',3332724736,3332726783),('CA',3332726784,3332737023),('PM',3332737024,3332738047),('CA',3332738048,3332744191),('PM',3332744192,3332745215),('CA',3332745216,3332966143),('US',3332966144,3332966399),('CA',3332966400,3333012479),('US',3333012480,3333012991),('CA',3333012992,3333029887),('US',3333029888,3333212415),('A1',3333212416,3333212799),('US',3333212800,3333213119),('A1',3333213120,3333213439),('US',3333213440,3333213695),('A1',3333213696,3333214079),('US',3333214080,3333385983),('JP',3333385984,3333386239),('US',3333386240,3333480191),('DE',3333480192,3333481471),('US',3333481472,3333701887),('GB',3333701888,3333702143),('US',3333702144,3333702399),('CH',3333702400,3333702655),('US',3333702656,3333705727),('GB',3333705728,3333709567),('US',3333709568,3333710335),('DE',3333710336,3333710591),('IT',3333710592,3333710847),('GB',3333710848,3333711359),('DE',3333711360,3333712127),('CH',3333712128,3333712383),('DE',3333712384,3333712639),('US',3333712640,3333716223),('CA',3333716224,3333716735),('GB',3333716736,3333716991),('AU',3333716992,3333717247),('FR',3333717248,3333717503),('SG',3333717504,3333717759),('NL',3333717760,3333718015),('US',3333718016,3333859839),('BM',3333859840,3333860095),('US',3333860096,3333988607),('BR',3333988608,3333988863),('US',3333988864,3333997823),('CA',3333997824,3333998079),('US',3333998080,3334138623),('BM',3334138624,3334138879),('US',3334138880,3334187775),('BM',3334187776,3334188031),('US',3334188032,3334995967),('PH',3334995968,3335000063),('US',3335000064,3335004159),('US',3335028736,3335251967),('US',3335252224,3335252735),('CA',3335252736,3335252991),('US',3335252992,3335276287),('PR',3335276288,3335276799),('US',3335276800,3335439615),('CH',3335439616,3335439871),('US',3335439872,3335440383),('CH',3335440384,3335441151),('US',3335441152,3335458815),('BM',3335458816,3335460863),('US',3335462912,3335475199),('DE',3335475200,3335475455),('US',3335475456,3335480191),('IT',3335480192,3335480319),('US',3335480320,3335860991),('MX',3335860992,3335861247),('US',3335861248,3337043967),('CA',3337043968,3337044223),('US',3337044224,3337044479),('CA',3337044480,3337044735),('US',3337044736,3337044991),('CA',3337044992,3337046015),('US',3337046016,3337046527),('CA',3337046528,3337047551),('US',3337047552,3337050111),('CA',3337050112,3337051647),('US',3337051648,3337051903),('CA',3337051904,3337052159),('US',3337052160,3337053183),('CA',3337053184,3337054463),('US',3337054464,3337054719),('CA',3337054720,3337054975),('US',3337054976,3337055231),('CA',3337055232,3337060351),('US',3337060352,3337289727),('CA',3337289728,3337297919),('US',3337297920,3337302015),('CA',3337302016,3337335295),('US',3337335296,3337335807),('CA',3337335808,3337355263),('US',3337355264,3337650943),('CH',3337650944,3337682943),('US',3337682944,3337961471),('US',3337977856,3337980671),('PR',3337980672,3337980927),('US',3337980928,3337986047),('BB',3337986048,3337986303),('US',3337986304,3338069247),('BB',3338069248,3338069759),('US',3338069760,3338207487),('CA',3338207488,3338207743),('US',3338207744,3338208511),('CA',3338208512,3338208767),('US',3338208768,3338211071),('CA',3338211072,3338211327),('US',3338211328,3338211583),('CA',3338211584,3338212095),('US',3338212096,3338215423),('CA',3338215424,3338215935),('US',3338215936,3338216447),('CA',3338216448,3338216703),('US',3338216704,3338217215),('CA',3338217216,3338217471),('US',3338217472,3338220543),('CA',3338220544,3338221055),('US',3338221056,3338222847),('CA',3338222848,3338223359),('US',3338223360,3338225151),('CA',3338225152,3338225407);
INSERT INTO `ps_geoip_ip` (`cc`, `start`, `end`) VALUES ('US',3338225408,3338228735),('CA',3338228736,3338228991),('US',3338228992,3338229759),('CA',3338229760,3338230015),('US',3338230016,3338230527),('CA',3338230528,3338230783),('US',3338230784,3338231807),('CA',3338231808,3338232063),('US',3338232064,3338233599),('VG',3338233600,3338233855),('US',3338233856,3338235135),('CA',3338235136,3338235391),('US',3338235392,3338235647),('CA',3338235648,3338235903),('US',3338235904,3338236671),('CA',3338236672,3338236927),('US',3338236928,3338238975),('CA',3338238976,3338239231),('US',3338239232,3338239999),('CA',3338240000,3338240255),('US',3338240256,3338241535),('CA',3338241536,3338242047),('US',3338242048,3338246143),('CA',3338246144,3338246399),('US',3338246400,3338246655),('CA',3338246656,3338247167),('US',3338247168,3338247423),('CA',3338247424,3338247679),('US',3338247680,3338247935),('CA',3338247936,3338249215),('US',3338249216,3338249727),('CA',3338249728,3338249983),('US',3338249984,3338250751),('CA',3338250752,3338251775),('US',3338251776,3338252543),('CA',3338252544,3338252799),('US',3338252800,3338253311),('CA',3338253312,3338253567),('US',3338253568,3338254079),('CA',3338254080,3338254335),('US',3338254336,3338255615),('CA',3338255616,3338255871),('US',3338255872,3338257407),('CA',3338257408,3338257663),('US',3338257664,3338257919),('CA',3338257920,3338258175),('US',3338258176,3338258431),('CA',3338258432,3338258687),('US',3338258688,3338259455),('CA',3338259456,3338259711),('US',3338259712,3338260735),('CA',3338260736,3338262015),('US',3338262016,3338262527),('CA',3338262528,3338263039),('US',3338263040,3338264063),('CA',3338264064,3338264575),('US',3338264576,3338265855),('CA',3338265856,3338266623),('US',3338266624,3338267647),('CA',3338267648,3338268159),('US',3338268160,3338269183),('CA',3338269184,3338270207),('US',3338270208,3338270719),('CA',3338270720,3338271231),('US',3338271232,3338271487),('CA',3338271488,3338271743),('US',3338271744,3338271999),('CA',3338272000,3338272255),('US',3338272256,3338686463),('AW',3338686464,3338688511),('US',3338688512,3338689535),('SL',3338689536,3338689791),('US',3338689792,3338770431),('PR',3338770432,3338772479),('US',3338772480,3338825727),('AW',3338825728,3338827775),('US',3338827776,3338912767),('EC',3338912768,3338913023),('US',3338913024,3338916351),('CN',3338916352,3338916479),('US',3338916480,3339075583),('GB',3339075584,3339076863),('NO',3339076864,3339077631),('SG',3339077632,3339077887),('US',3339077888,3339079167),('DK',3339079168,3339079423),('CA',3339079424,3339079679),('IT',3339079680,3339080703),('FR',3339080704,3339080959),('HK',3339080960,3339081727),('NL',3339081728,3339081983),('FR',3339081984,3339082751),('US',3339082752,3339086335),('JP',3339086336,3339086591),('US',3339086592,3339091967),('NL',3339091968,3339094015),('US',3339094016,3339142655),('NL',3339142656,3339142911),('US',3339142912,3339145727),('NL',3339145728,3339145983),('US',3339145984,3339146239),('US',3339146496,3339147007),('CA',3339147008,3339147775),('MS',3339147776,3339148031),('US',3339148032,3339149311),('US',3339190272,3339669503),('CA',3339669504,3339673599),('US',3339714560,3339923455),('CA',3339923456,3339927551),('US',3339976704,3340107775),('CA',3340107776,3340369919),('US',3340369920,3340429823),('PA',3340429824,3340430079),('US',3340430080,3340451839),('US',3340500992,3340584703),('KW',3340584704,3340584959),('US',3340584960,3341484287),('CA',3341484288,3341485055),('US',3341485056,3341511679),('CA',3341511680,3341531135),('US',3341531136,3341534207),('CA',3341534976,3341537279),('US',3341537280,3341546239),('CA',3341546240,3341547007),('CH',3341547008,3341547519),('CA',3341547520,3341549567),('US',3341549568,3341631999),('CA',3341632000,3341632767),('US',3341632768,3341634815),('CA',3341634816,3341635071),('US',3341635072,3341641727),('CA',3341641728,3341643007),('US',3341643008,3341643519),('CA',3341643520,3341643775),('US',3341643776,3341644287),('CA',3341644288,3341644799),('US',3341644800,3341645055),('CA',3341645056,3341645567),('US',3341645568,3341646079),('CA',3341646080,3341646591),('US',3341646592,3342139391),('CH',3342139392,3342204927),('US',3342204928,3342598143),('CA',3342598144,3342603263),('US',3342603264,3342604799),('CA',3342604800,3342605311),('US',3342605312,3342605567),('CA',3342605568,3342663679),('US',3342663680,3343319039),('CA',3343319040,3343384575),('US',3343384576,3344171007),('CA',3344171008,3344257023),('CA',3344261120,3344268543),('US',3344268544,3344269311),('CA',3344269312,3344297983),('CA',3344299264,3344299519),('US',3344299520,3344299775),('CA',3344299776,3344300543),('US',3344300544,3344300799),('CA',3344300800,3344302079),('US',3344302080,3344633855),('CH',3344633856,3344637951),('US',3344637952,3344642047),('US',3344695296,3344937471),('EG',3344937472,3344937983),('US',3344937984,3344938239),('UZ',3344938240,3344938495),('US',3344938496,3344955391),('GB',3344955392,3344955647),('US',3344955648,3345367039),('US',3345416192,3345432575),('GB',3345432576,3345433599),('SG',3345433600,3345433855),('US',3345433856,3345434879),('ES',3345434880,3345435135),('LU',3345435136,3345435391),('DE',3345435392,3345436671),('US',3345436672,3345436927),('ES',3345436928,3345437183),('GB',3345437184,3345437695),('NL',3345437696,3345437951),('GB',3345438208,3345438463),('FR',3345438464,3345438975),('US',3345439232,3345439743),('FR',3345439744,3345439999),('DE',3345440000,3345440255),('US',3345440256,3345440767),('DE',3345440768,3345441791),('CL',3345442304,3345442559),('JP',3345442560,3345442815),('AT',3345442816,3345443327),('CH',3345443328,3345443583),('DE',3345443584,3345443839),('US',3345444096,3345444607),('CH',3345444608,3345445119),('US',3345445120,3345445375),('GB',3345445376,3345446399),('IT',3345446656,3345446911),('US',3345446912,3345447679),('FR',3345447680,3345448447),('BE',3345448448,3345448703),('DE',3345448704,3345448959),('US',3345448960,3345666567),('IN',3345666568,3345666591),('NO',3345666592,3345666639),('US',3345666640,3345667103),('IN',3345667104,3345667119),('US',3345667120,3346923519),('CA',3346923520,3346989055),('US',3346989056,3347005439),('US',3347054592,3349268479),('CA',3349268480,3349268991),('US',3349268992,3349273087),('CA',3349273088,3349273343),('US',3349273344,3349341695),('CA',3349341696,3349341951),('US',3349341952,3349446911),('CA',3349446912,3349447167),('US',3349447168,3349532671),('GB',3349532672,3349533695),('US',3349533696,3349544959),('CA',3349544960,3349551103),('US',3349551104,3349553151),('CA',3349553152,3349608447),('US',3349608448,3349609215),('CA',3349609216,3349610495),('US',3349610496,3349614591),('US',3349676032,3349987327),('BM',3349987328,3349996543),('KY',3349996544,3349997055),('BM',3349997056,3350003711),('US',3350003712,3350042879),('KW',3350042880,3350043135),('US',3350043136,3350134783),('CA',3350134784,3350200319),('US',3350200320,3350790143),('CA',3350790144,3350825727),('GB',3350825728,3350825983),('CA',3350825984,3350855679),('US',3350855680,3350862079),('CL',3350862080,3350864639),('US',3350864640,3350953983),('US',3350986752,3350994943),('CA',3350994944,3350995199),('US',3350995200,3350997503),('CA',3350997504,3350997759),('US',3350997760,3350998015),('US',3351052288,3351068671),('US',3351117824,3351232511),('IL',3351232512,3351232767),('US',3351232768,3351380223),('CA',3351380224,3351380479),('US',3351380480,3351380735),('CA',3351380736,3351381759),('US',3351381760,3351382271),('CA',3351382272,3351382527),('US',3351382528,3351383039),('CA',3351383040,3351383295),('US',3351383296,3351384319),('CA',3351384320,3351384575),('US',3351384576,3351385343),('CA',3351385344,3351385599),('US',3351385600,3351386111),('PR',3351386112,3351386367),('US',3351386368,3351386623),('CA',3351386624,3351386879),('US',3351386880,3351387135),('CA',3351387136,3351387391),('US',3351387392,3351387903),('CA',3351387904,3351388159),('US',3351388160,3351388927),('CA',3351388928,3351389439),('US',3351389440,3351390463),('CA',3351390464,3351390975),('US',3351390976,3351392511),('CA',3351392512,3351392767),('US',3351392768,3351393279),('CA',3351393280,3351393535),('US',3351393536,3351394815),('CA',3351394816,3351395071),('US',3351395072,3351396095),('CA',3351396096,3351396351),('US',3351396352,3351397375),('CA',3351397376,3351397631),('US',3351397632,3351397887),('CA',3351397888,3351398143),('US',3351398144,3351398399),('CA',3351398400,3351398655),('US',3351398656,3351398911),('CA',3351398912,3351399167),('US',3351399168,3351399423),('CA',3351399424,3351399935),('US',3351399936,3351400191),('CA',3351400192,3351400447),('US',3351400448,3351400959),('CA',3351400960,3351401215),('US',3351401216,3351401983),('CA',3351401984,3351402239),('US',3351402240,3351402495),('CA',3351402496,3351403775),('US',3351403776,3351404031),('CA',3351404032,3351404287),('US',3351404288,3351405311),('CA',3351405312,3351405567),('US',3351405568,3351405823),('CA',3351405824,3351406079),('US',3351406080,3351407103),('CA',3351407104,3351407359),('US',3351407360,3351407615),('CA',3351407616,3351408127),('US',3351408128,3351408895),('CA',3351408896,3351409407),('US',3351409408,3351410687),('CA',3351410688,3351410943),('US',3351410944,3351411711),('CA',3351411712,3351411967),('US',3351411968,3351412223),('CA',3351412224,3351412479),('US',3351412480,3351412735),('CA',3351412736,3351413247),('US',3351413248,3351413503),('CA',3351413504,3351413759),('US',3351413760,3351414271),('CA',3351414272,3351414783),('US',3351414784,3351415039),('CA',3351415040,3351415551),('US',3351415552,3351415807),('CA',3351415808,3351416063),('US',3351416064,3351417087),('CA',3351417088,3351417599),('US',3351417600,3351417855),('CA',3351417856,3351418111),('US',3351418112,3351419647),('CA',3351419648,3351419903),('US',3351419904,3351423743),('PR',3351423744,3351423999),('US',3351424000,3351427071),('CA',3351427072,3351427327),('US',3351427328,3351428351),('CA',3351428352,3351428607),('US',3351428608,3351436031),('CA',3351436032,3351436287),('US',3351436288,3351436543),('PR',3351436544,3351436799),('US',3351436800,3351437055),('CA',3351437056,3351437311),('US',3351437312,3351437567),('CA',3351437568,3351437823),('US',3351437824,3351438079),('CA',3351438080,3351438335),('US',3351438336,3351438591),('CA',3351438592,3351439103),('US',3351439104,3351441151),('CA',3351441152,3351441407),('US',3351441408,3351441919),('CA',3351441920,3351442175),('US',3351442176,3351478271),('US',3351511040,3351524095),('GB',3351524096,3351524351),('US',3351524352,3351642111),('CA',3351642112,3351698431),('US',3351698432,3351904255),('CA',3351904256,3351969791),('IL',3351969792,3352035327),('US',3352035328,3352559871),('CA',3352559872,3352615423),('US',3352615424,3352616959),('CA',3352616960,3352887295),('US',3352887296,3353722367),('GB',3353722368,3353722623),('US',3353722624,3353729023),('HK',3353729024,3353729279),('US',3353729280,3353730047),('US',3353739264,3353979647),('CA',3353979648,3353979903),('US',3353979904,3353982719),('CA',3353982720,3353983231),('US',3353983232,3353993215),('US',3354001408,3354066943),('CA',3354066944,3354132479),('US',3354132480,3354591231),('CA',3354591232,3354656767),('US',3354656768,3354782719),('CA',3354782720,3354782975),('US',3354782976,3354787839),('CA',3354787840,3354918911),('US',3354918912,3354955775),('AR',3354955776,3354956031),('US',3354956032,3355052031),('CA',3355052032,3355054079),('US',3355054080,3355319295),('CA',3355319296,3355320319),('US',3355320320,3355324415),('CA',3355324416,3355328511),('US',3355328512,3355336703),('US',3355344896,3355351039),('CA',3355351040,3355351295),('US',3355351296,3355372287),('CA',3355372288,3355372543),('US',3355372544,3355377663),('CO',3355443200,3355445247),('BR',3355445248,3355447295),('CU',3355447296,3355447551),('AR',3355447552,3355447807),('AN',3355448832,3355449343),('CU',3355449344,3355450367),('EC',3355450368,3355451391),('BR',3355451392,3355459071),('CO',3355459072,3355459327),('EC',3355459328,3355459583),('PA',3355459584,3355459839),('VE',3355459840,3355460095),('CL',3355460096,3355460351),('BR',3355460352,3355461887),('EC',3355461888,3355463423),('AR',3355463424,3355463935),('BR',3355463936,3355464191),('CL',3355464192,3355464447),('MX',3355464448,3355464959),('BR',3355464960,3355465727),('MX',3355465728,3355465983),('BR',3355465984,3355467263),('US',3355467264,3355467519),('MX',3355467520,3355467775),('AR',3355467776,3355468799),('BR',3355468800,3355469567),('MX',3355469568,3355470591),('PE',3355470592,3355470847),('CL',3355470848,3355471103),('MX',3355471104,3355471359),('PE',3355471360,3355471615),('MX',3355471616,3355472383),('BR',3355472384,3355472639),('CL',3355472640,3355473407),('PE',3355473408,3355473919),('CL',3355473920,3355475199),('MX',3355475200,3355478015),('PE',3355478016,3355478271),('US',3355478272,3355478783),('VE',3355478784,3355479039),('CL',3355479040,3355479551),('PE',3355479552,3355479807),('MX',3355479808,3355480063),('CL',3355480064,3355485183),('PE',3355485184,3355487743),('CL',3355487744,3355487999),('AR',3355488000,3355488255),('GT',3355488256,3355488767),('PA',3355488768,3355489023),('CR',3355489024,3355489279),('SV',3355489280,3355489535),('AR',3355489536,3355494655),('CO',3355494656,3355494911),('PA',3355494912,3355495423),('UY',3355495424,3355496447),('AR',3355496448,3355498495),('US',3355498496,3355500543),('AR',3355500544,3355508735),('VE',3355508736,3355510271),('EC',3355510272,3355510527),('AR',3355510528,3355510783),('VE',3355510784,3355512831),('CL',3355512832,3355516927),('AR',3355516928,3355525119),('CO',3355525120,3355535359),('TT',3355535360,3355537407),('NI',3355537920,3355538175),('CL',3355538176,3355538431),('AR',3355538432,3355539199),('VE',3355539200,3355539455),('CL',3355539456,3355540479),('CO',3355540480,3355540735),('BZ',3355540736,3355540991),('CO',3355540992,3355541503),('CL',3355541504,3355545599),('VE',3355545600,3355547647),('NI',3355547648,3355547903),('GT',3355547904,3355548159),('DO',3355548160,3355548671),('SR',3355548672,3355549695),('BM',3355549696,3355549951),('EC',3355549952,3355550207),('VE',3355550208,3355552767),('EC',3355552768,3355553023),('CO',3355553024,3355553279),('CL',3355553280,3355553535),('CO',3355553536,3355553791),('PE',3355553792,3355555839),('VE',3355555840,3355557887),('CO',3355557888,3355559935),('PY',3355559936,3355561983),('SR',3355561984,3355564031),('AR',3355566080,3355574271),('CL',3355574272,3355576319),('VE',3355576320,3355578367),('CL',3355578368,3355582463),('UY',3355582464,3355590655),('CO',3355590656,3355592703),('CL',3355592704,3355599871),('BR',3355599872,3355600895),('CL',3355600896,3355604991),('AR',3355604992,3355607039),('HT',3355607040,3355615231),('SR',3355615232,3355623423),('CL',3355623424,3355639807),('VE',3355639808,3355643903),('BR',3355643904,3355647999),('AR',3355648000,3355668991),('PE',3355668992,3355669247),('AR',3355669248,3355672575),('CO',3355672576,3355682815),('AR',3355682816,3355684863),('TT',3355684864,3355686911),('AR',3355686912,3355688959),('CO',3355688960,3355689471),('PA',3355691008,3355693055),('CL',3355693056,3355695103),('AR',3355695104,3355697151),('HN',3355697152,3355701503),('PE',3355701504,3355701759),('CO',3355702272,3355703295),('PY',3355703296,3355705343),('MX',3355705344,3355709439),('CO',3355709440,3355713535),('MX',3355713536,3355720447),('AR',3355720448,3355720703),('MX',3355720704,3355746303),('HT',3355746304,3355750399),('PE',3355754496,3355770879),('PR',3355770880,3355773183),('BR',3355773184,3355773439),('PR',3355773696,3355773951),('CU',3355773952,3355774975),('VE',3355774976,3355779071),('AR',3355779072,3355781119),('VE',3355781120,3355783167),('AR',3355783168,3355785215),('CO',3355785216,3355787263),('AR',3355787264,3355803647),('VE',3355803648,3355820031),('AR',3355820032,3355836415),('EC',3355836416,3355841023),('CL',3355841024,3355841279),('EC',3355841280,3355843327),('VE',3355843328,3355843583),('EC',3355843584,3355844863),('CL',3355844864,3355845119),('EC',3355845120,3355845375),('BR',3355845376,3355848959),('CL',3355848960,3355849215),('PA',3355849728,3355849983),('CL',3355849984,3355850495),('NI',3355850496,3355850751),('AN',3355850752,3355852799),('CL',3355852800,3355856639),('PA',3355856640,3355856895),('EC',3355856896,3355858943),('DO',3355858944,3355860991),('CL',3355860992,3355869183),('BR',3355869184,3355871231),('AR',3355871232,3355871743),('UY',3355871744,3355871999),('AR',3355872000,3355872511),('UY',3355872512,3355873023),('AR',3355873024,3355873279),('AN',3355873280,3355875327),('VE',3355875328,3355877375),('CO',3355877376,3355885567),('GT',3355885568,3355901951),('BR',3355901952,3355906047),('CL',3355906048,3355910143),('AN',3355910144,3355918335),('EC',3355918336,3355923455),('UY',3355923456,3355923967),('TT',3355924480,3355926527),('VE',3355926528,3355934719),('AR',3355934720,3355938815),('BO',3355942912,3355947007),('AR',3355947008,3355949055),('AN',3355949056,3355951103),('EC',3355951104,3355959295),('VE',3355967488,3356033023),('BR',3356033024,3356033791),('CL',3356033792,3356034047),('PY',3356034048,3356035071),('MX',3356035072,3356037119),('CO',3356037120,3356041215),('CR',3356041216,3356049407),('CL',3356049408,3356049663),('BR',3356049664,3356051455),('CO',3356051456,3356051711),('CL',3356051712,3356051967),('GT',3356051968,3356052223),('AR',3356052224,3356052479),('BR',3356052480,3356053247),('CL',3356053248,3356054015),('US',3356054016,3356054527),('BR',3356054528,3356057599),('EC',3356057600,3356057855),('CL',3356057856,3356059135),('BR',3356059136,3356060671),('CL',3356060672,3356061695),('BR',3356061696,3356062463),('JM',3356062464,3356062719),('BR',3356062720,3356064255),('CL',3356064256,3356064511),('BR',3356064512,3356065791),('CL',3356065792,3356066047),('BR',3356066048,3356069119),('CL',3356069120,3356069631),('BR',3356069632,3356070143),('CL',3356070144,3356070655),('AR',3356070656,3356070911),('BR',3356070912,3356071423),('CL',3356071424,3356072447),('BR',3356073472,3356075263),('BO',3356075264,3356076287),('BR',3356076288,3356078079),('EC',3356078080,3356078335),('CL',3356078336,3356079359),('BR',3356079360,3356080895),('NI',3356080896,3356082431),('CL',3356082432,3356082687),('AR',3356082688,3356082943),('CL',3356082944,3356083967),('BR',3356083968,3356084479),('CL',3356084480,3356084735),('BR',3356084736,3356085247),('CL',3356085248,3356085759),('BR',3356085760,3356086271),('AR',3356086272,3356086527),('CR',3356086528,3356086783),('VE',3356086784,3356087039),('CO',3356087040,3356087295),('AR',3356087296,3356087807),('BR',3356087808,3356088063),('CL',3356088064,3356088319),('TT',3356088320,3356089087),('AR',3356089088,3356089343),('BR',3356089344,3356090623),('CL',3356090624,3356090879),('BR',3356090880,3356091391),('CL',3356091392,3356091647),('BR',3356091648,3356091903),('CL',3356091904,3356092927),('BR',3356092928,3356093183),('AR',3356093184,3356093951),('CL',3356093952,3356094975),('AR',3356094976,3356096255),('CL',3356096256,3356096511),('EC',3356096512,3356096767),('BR',3356096768,3356097791),('AR',3356097792,3356098303),('GT',3356098304,3356098559),('CL',3356098560,3356099583),('BR',3356099584,3356100607),('CL',3356100608,3356102399),('PA',3356102400,3356102655),('CL',3356102656,3356106751),('BR',3356106752,3356114943),('PE',3356114944,3356123135),('AR',3356123136,3356131839),('PE',3356131840,3356132351),('BR',3356132352,3356134143),('AR',3356134144,3356134655),('BR',3356134656,3356134911),('DO',3356134912,3356135167),('MX',3356135168,3356135423),('BR',3356135424,3356135679),('CL',3356135680,3356135935),('BR',3356135936,3356136191),('EC',3356136192,3356137471),('JM',3356137472,3356137727),('BR',3356137728,3356138239),('US',3356138240,3356138495),('BR',3356138496,3356139519),('US',3356139520,3356139775),('AR',3356139776,3356140031),('DO',3356140032,3356140287),('BR',3356140288,3356140799),('BM',3356140800,3356141311),('CL',3356141312,3356142847),('BR',3356142848,3356145151),('CL',3356145152,3356145407),('BR',3356145408,3356145663),('CL',3356145664,3356145919),('BR',3356145920,3356146175),('AR',3356146176,3356146431),('BR',3356146432,3356146687),('PE',3356146688,3356146943),('BR',3356146944,3356147199),('CL',3356147200,3356147455),('BR',3356147456,3356148223),('BZ',3356148224,3356148479),('CL',3356148480,3356148735),('AR',3356148736,3356148991),('MX',3356148992,3356149503),('AR',3356149504,3356149759),('MX',3356149760,3356150015),('AR',3356150016,3356150527),('PA',3356150528,3356150783),('AR',3356150784,3356151807),('CL',3356151808,3356152063),('BR',3356152064,3356152575),('CL',3356152576,3356152831),('MX',3356152832,3356154623),('AR',3356154624,3356154879),('CL',3356154880,3356156671),('BR',3356156672,3356156927),('PY',3356156928,3356157951),('CL',3356157952,3356158207),('MX',3356158208,3356158463),('CL',3356158464,3356158719),('CL',3356158976,3356159743),('MX',3356159744,3356160255),('GT',3356160256,3356160511),('CL',3356160512,3356160767),('MX',3356160768,3356161279),('BR',3356161280,3356161535),('MX',3356161536,3356162559),('PE',3356162560,3356162815),('CL',3356162816,3356163583),('VE',3356163584,3356163839),('CL',3356163840,3356164095),('BR',3356164096,3356172287),('PE',3356172288,3356174335),('CO',3356174336,3356176383),('PE',3356176384,3356180479),('CL',3356180480,3356190719),('DO',3356190720,3356192767),('AR',3356192768,3356194815),('TT',3356194816,3356196863),('VE',3356196864,3356229631),('BR',3356229632,3356233727),('CL',3356233728,3356237823),('GT',3356237824,3356246015),('MX',3356246016,3356262655),('CL',3356262656,3356263167),('BR',3356263168,3356263423),('CL',3356263424,3356263679),('AR',3356263680,3356265215),('BR',3356265216,3356265471),('CL',3356265472,3356268799),('AR',3356269056,3356269311),('UY',3356269312,3356269823),('BR',3356269824,3356270079),('MX',3356270080,3356272383),('CR',3356272384,3356272639),('US',3356272640,3356272895),('EC',3356272896,3356273151),('CO',3356273152,3356273407),('SV',3356273664,3356274431),('CO',3356274432,3356278783),('VE',3356279040,3356279295),('AR',3356280832,3356282879),('PA',3356282880,3356284927),('AR',3356284928,3356286975),('US',3356286976,3356286991),('GT',3356286992,3356287007),('HN',3356287008,3356287023),('GT',3356287024,3356287039),('US',3356287040,3356287047),('GT',3356287048,3356287071),('SV',3356287072,3356287087),('US',3356287088,3356287103),('EC',3356287104,3356287135),('GT',3356287136,3356287151),('US',3356287152,3356287231),('GT',3356287232,3356287487),('AN',3356287488,3356287999),('NI',3356288000,3356288255),('TT',3356288256,3356288511),('SV',3356288512,3356288767),('NI',3356288768,3356289023),('SV',3356289024,3356289535),('NI',3356289536,3356289791),('US',3356289792,3356289799),('GT',3356289800,3356289807),('SV',3356289808,3356289823),('US',3356289824,3356289887),('SV',3356289888,3356289919),('US',3356289920,3356289951),('GT',3356289952,3356289983),('US',3356289984,3356290303),('NI',3356290304,3356290559),('CR',3356290560,3356291071),('TT',3356291072,3356293119),('AW',3356293120,3356295167),('CL',3356295168,3356297215),('BR',3356297216,3356299263),('MX',3356299264,3356305663),('AR',3356305664,3356305919),('MX',3356307456,3356328959),('GF',3356329984,3356332031),('CU',3356332032,3356334079),('BO',3356334080,3356336127),('SV',3356336128,3356337151),('HN',3356337152,3356337663),('SV',3356337664,3356338055),('HN',3356338056,3356338063),('SV',3356338064,3356340455),('HN',3356340456,3356340463),('SV',3356340464,3356340687),('HN',3356340688,3356340703),('SV',3356340704,3356340863),('HN',3356340864,3356340879),('SV',3356340880,3356341231),('HN',3356341232,3356341239),('SV',3356341240,3356341799),('HN',3356341800,3356341807),('SV',3356341808,3356341863),('HN',3356341864,3356341871),('SV',3356341872,3356343295),('HN',3356343296,3356343423),('SV',3356343424,3356344319),('CO',3356344320,3356360703),('CL',3356360704,3356362751),('VE',3356362752,3356364799),('MX',3356364800,3356368895),('BR',3356368896,3356369407),('EC',3356369408,3356369663),('BR',3356369664,3356370175),('CO',3356370944,3356372991),('CU',3356372992,3356375039),('HN',3356375040,3356377087),('CL',3356377088,3356389375),('CO',3356389376,3356389887),('CL',3356389888,3356391423),('CO',3356391424,3356393471),('CL',3356393472,3356413183),('CO',3356413184,3356413951),('CL',3356413952,3356419839),('CO',3356419840,3356422143),('CL',3356422144,3356426239),('US',3356426240,3356491775),('PE',3356491776,3356493823),('ZA',3356493824,3356495871),('AR',3356495872,3356499967),('MX',3356499968,3356508159),('AR',3356508160,3356514303),('US',3356514304,3356514559),('AR',3356516352,3356557311),('BR',3356557312,3356819455),('CO',3356819456,3356884991),('CL',3356884992,3356950527),('MX',3356950528,3357016063),('CO',3357016064,3357032447),('EC',3357032448,3357032703),('CO',3357032704,3357048831),('PA',3357048832,3357050879),('CR',3357050880,3357050895),('PA',3357050896,3357054463),('BZ',3357054464,3357054719),('PA',3357054720,3357054975),('BZ',3357054976,3357055087),('PA',3357055088,3357055103),('BZ',3357055104,3357055231),('PA',3357055232,3357057023),('PE',3357057024,3357065215),('EC',3357065216,3357073407),('CL',3357073408,3357077503),('AR',3357077504,3357081599),('CO',3357081600,3357114367),('EC',3357114368,3357138943),('CO',3357138944,3357147135),('AR',3357147136,3357179903),('CO',3357179904,3357188095),('VE',3357188096,3357190143),('DO',3357190144,3357192191),('PY',3357192192,3357194239),('AR',3357194240,3357196287),('AN',3357196288,3357212159),('AW',3357212160,3357212415),('AN',3357212416,3357212671),('CL',3357212672,3357368319),('CO',3357368320,3357376511),('CL',3357376512,3357403135),('CO',3357403136,3357405183),('EC',3357405184,3357407231),('AR',3357407232,3357409279),('BR',3357409280,3357411327),('VE',3357411328,3357412351),('PE',3357412352,3357412863),('US',3357412864,3357413119),('FR',3357413120,3357413375),('US',3357413376,3357414399),('PR',3357414400,3357415423),('US',3357415424,3357415679),('MX',3357415680,3357416447),('VE',3357416448,3357417215),('US',3357417216,3357417471),('CL',3357417472,3357418495),('NI',3357418496,3357418751),('PR',3357418752,3357419007),('GT',3357419008,3357419519),('SZ',3357419520,3357420031),('CO',3357420032,3357421055),('CL',3357421056,3357421311),('CO',3357421312,3357421567),('NI',3357421568,3357422847),('PR',3357422848,3357423103),('CO',3357423104,3357423359),('VE',3357423360,3357424639),('CL',3357424640,3357425663),('CO',3357425664,3357442047),('NI',3357442048,3357442303),('HN',3357442304,3357442559),('NI',3357442560,3357442815),('SV',3357442816,3357443071),('NI',3357443072,3357443327),('GT',3357443328,3357443583),('HN',3357443584,3357444607),('SV',3357444608,3357444863),('HN',3357444864,3357445119),('GT',3357445120,3357448191),('SV',3357448192,3357448703),('GT',3357448704,3357448959),('HN',3357448960,3357449727),('GT',3357449728,3357450751),('HN',3357450752,3357451519),('NI',3357451520,3357451775),('HN',3357451776,3357452031),('GT',3357452032,3357452287),('HN',3357452288,3357452799),('NI',3357452800,3357453055),('SV',3357453056,3357453311),('GT',3357453312,3357454591),('NI',3357454592,3357454847),('HN',3357454848,3357455103),('SV',3357455104,3357455359),('GT',3357455360,3357458431),('CL',3357458432,3357474815),('PR',3357474816,3357475071),('AR',3357475072,3357475839),('VE',3357475840,3357476351),('US',3357476352,3357476607),('PR',3357476608,3357476863),('EC',3357476864,3357477631),('AR',3357477632,3357477887),('CO',3357477888,3357480959),('EC',3357480960,3357483007),('CL',3357483008,3357491199),('CO',3357491200,3357499391),('PE',3357499392,3357507583),('VE',3357507584,3357515775),('SV',3357515776,3357523967),('CO',3357523968,3357532159),('AR',3357532160,3357536255),('AR',3357540352,3357556735),('VE',3357556736,3357556991),('MX',3357556992,3357557759),('EC',3357557760,3357558015),('AR',3357558016,3357558047),('EC',3357558048,3357559295),('CL',3357559296,3357560063),('HN',3357560064,3357560319),('MX',3357560320,3357560575),('PR',3357560576,3357560831),('CO',3357560832,3357561855),('AR',3357561856,3357581311),('CL',3357581312,3357589503),('BZ',3357589504,3357605887),('MX',3357605888,3357736959),('VE',3357736960,3357745151),('CO',3357745152,3357753343),('VE',3357753344,3357757487),('BO',3357757488,3357757495),('VE',3357757496,3357773823),('PA',3357773824,3357775871),('UY',3357775872,3357777919),('GT',3357777920,3357786111),('VE',3357786112,3357802495),('MX',3357802496,3357868031),('PE',3357868032,3357933567),('MX',3357933568,3358064639),('UY',3358064640,3358130175),('EC',3358130176,3358131199),('CO',3358131200,3358131391),('GT',3358131392,3358131415),('CO',3358131416,3358131983),('GT',3358131984,3358131991),('CO',3358131992,3358132223),('AR',3358132224,3358132479),('CO',3358132480,3358132735),('EC',3358132736,3358133247),('VE',3358133248,3358133503),('CO',3358133504,3358133759),('AR',3358133760,3358142719),('CO',3358142720,3358143231),('VE',3358143232,3358143487),('CL',3358143488,3358143743),('HN',3358143744,3358143999),('SV',3358144000,3358144255),('CL',3358144256,3358144511),('HN',3358144512,3358144767),('VE',3358144768,3358145023),('AR',3358145024,3358149631),('CO',3358149632,3358150655),('EC',3358150656,3358151167),('PY',3358151168,3358151423),('CO',3358151424,3358151679),('GT',3358151680,3358152703),('AR',3358152704,3358152735),('VE',3358152736,3358152767),('US',3358152768,3358152831),('AR',3358152832,3358153279),('US',3358153280,3358153311),('AR',3358153312,3358153343),('US',3358153344,3358153535),('AR',3358153536,3358153599),('PR',3358153600,3358153663),('US',3358153664,3358153727),('EC',3358153728,3358153983),('VE',3358153984,3358154239),('CL',3358154240,3358154495),('SV',3358154496,3358154751),('PE',3358154752,3358155775),('HN',3358155776,3358156031),('PE',3358156032,3358158847),('VE',3358158848,3358159159),('US',3358159160,3358159167),('VE',3358159168,3358159359),('EC',3358159360,3358159615),('US',3358159616,3358159871),('VE',3358159872,3358160895),('AR',3358160896,3358191615),('CL',3358191616,3358192639),('AR',3358192640,3358236671),('CL',3358236672,3358244863),('DO',3358244864,3358261247),('AR',3358261248,3358264063),('PY',3358264064,3358264319),('AR',3358264320,3358326783),('VE',3358326784,3358392319),('AR',3358392320,3358457855),('PA',3358457856,3358523391),('AR',3358523392,3358543615),('VE',3358543616,3358543871),('MX',3358543872,3358544127),('AR',3358544128,3358554879),('UY',3358554880,3358555007),('US',3358555008,3358555135),('AR',3358555136,3358558207),('PY',3358558208,3358558975),('AR',3358558976,3358559231),('VE',3358559232,3358560255),('AR',3358560256,3358561791),('VE',3358561792,3358562303),('PE',3358562304,3358563327),('CO',3358563328,3358564095),('MX',3358564096,3358564351),('AR',3358564352,3358567423),('CO',3358567424,3358568447),('AR',3358568448,3358568959),('MX',3358568960,3358569471),('VE',3358569472,3358570495),('MX',3358570496,3358570751),('PE',3358570752,3358571263),('MX',3358571264,3358571775),('AR',3358571776,3358572031),('MX',3358572032,3358572543),('AR',3358572544,3358573951),('UY',3358573952,3358574079),('AR',3358574080,3358576895),('PE',3358576896,3358577279),('AR',3358577280,3358578431),('VE',3358578432,3358578687),('CO',3358578688,3358579967),('AR',3358579968,3358580223),('PE',3358580224,3358580735),('AR',3358580736,3358588927),('PE',3358588928,3358654463),('AR',3358654464,3358658559),('CL',3358658560,3358660607),('AR',3358660608,3358663455),('US',3358663456,3358663487),('AR',3358663488,3358665471),('US',3358665472,3358665599),('AR',3358665600,3358666367),('US',3358666368,3358666495),('AR',3358666496,3358666623),('US',3358666624,3358666751),('AR',3358666752,3358695423),('GT',3358695424,3358703615),('AR',3358703616,3358715903),('EC',3358715904,3358717951),('AR',3358717952,3358719999),('PR',3358720000,3358720075),('DO',3358720076,3358720083),('PR',3358720084,3358722047),('DO',3358722048,3358723071),('PR',3358723072,3358723327),('AN',3358723328,3358723583),('PR',3358723584,3358724095),('DO',3358724096,3358725119),('AN',3358725120,3358725375),('PR',3358725376,3358728191),('CL',3358728192,3358736383),('BB',3358736384,3358738175),('GD',3358738176,3358738687),('BB',3358738688,3358739711),('KN',3358739712,3358739967),('BB',3358739968,3358744575),('CL',3358744576,3358752767),('BB',3358752768,3358756863),('CL',3358756864,3358760959),('AR',3358760960,3358765311),('UY',3358765312,3358765567),('AR',3358765568,3358765823),('UY',3358765824,3358766591),('AR',3358766592,3358769151),('HT',3358769152,3358777343),('CR',3358777344,3358779391),('EC',3358779392,3358781439),('AR',3358781440,3358822399),('UY',3358822400,3358827519),('AR',3358827520,3358829567),('CL',3358829568,3358830591),('AR',3358830592,3358851071),('MX',3358851072,3358982143),('CL',3358982144,3359047679),('AR',3359047680,3359080447),('CU',3359080448,3359096831),('CL',3359096832,3359105023),('EC',3359105024,3359109119),('MX',3359113216,3359244287),('US',3359244288,3359248383),('BR',3359248384,3359248399),('US',3359248400,3359249679),('AR',3359249680,3359249759),('BR',3359249760,3359249791),('AR',3359249792,3359249887),('US',3359249888,3359250175),('AR',3359250176,3359252039),('IT',3359252040,3359252047),('US',3359252048,3359252063),('AR',3359252064,3359252095),('US',3359252096,3359252159),('AR',3359252160,3359252223),('US',3359252224,3359256575),('BR',3359256576,3359256639),('US',3359256640,3359257087),('BR',3359257088,3359257103),('AR',3359257104,3359257127),('BR',3359257128,3359257135),('AR',3359257136,3359257151),('BR',3359257152,3359257183),('US',3359257184,3359257215),('AR',3359257216,3359257247),('BR',3359257248,3359257263),('US',3359257264,3359257279),('AR',3359257280,3359257311),('US',3359257312,3359257327),('AR',3359257328,3359257343),('US',3359257344,3359260671),('BO',3359260672,3359268863),('AR',3359268864,3359277055),('UY',3359277056,3359285247),('BO',3359285248,3359293439),('CO',3359293440,3359305727),('DO',3359305728,3359307775),('CL',3359307776,3359309823),('AR',3359309824,3359313919),('CR',3359313920,3359315967),('HN',3359315968,3359318015),('AR',3359318016,3359361023),('UY',3359361024,3359362047),('AR',3359362048,3359363071),('AR',3359367168,3359375359),('PE',3359375360,3359440895),('AR',3359440896,3359457487),('EC',3359457488,3359457503),('AR',3359457504,3359457695),('BO',3359457696,3359457727),('AR',3359457728,3359457791),('EC',3359457792,3359459327),('PY',3359459328,3359459583),('AR',3359459584,3359460847),('UY',3359460848,3359461119),('AR',3359461120,3359461375),('EC',3359461376,3359461887),('AR',3359461888,3359461951),('HN',3359461952,3359462015),('AR',3359462016,3359462271),('UY',3359462272,3359462335),('AR',3359462336,3359462399),('UY',3359462400,3359462655),('AR',3359462656,3359463399),('CO',3359463400,3359463407),('AR',3359463408,3359463663),('PY',3359463664,3359463679),('HN',3359463680,3359463743),('AR',3359463744,3359463935),('EC',3359463936,3359464127),('AR',3359464128,3359464191),('EC',3359464192,3359464447),('UY',3359464448,3359465471),('CO',3359465472,3359465983),('AR',3359465984,3359466495),('BO',3359466496,3359466751),('AR',3359466752,3359467263),('UY',3359467264,3359467519),('BO',3359467520,3359468031),('UY',3359468032,3359468543),('AR',3359468544,3359468799),('UY',3359468800,3359469567),('AR',3359469568,3359470591),('PY',3359470592,3359471615),('AR',3359471616,3359472127),('BO',3359472128,3359472639),('PY',3359472640,3359473663),('CO',3359473664,3359475359),('AR',3359475360,3359475367),('CO',3359475368,3359475519),('AR',3359475520,3359475551),('CO',3359475552,3359475615),('AR',3359475616,3359475623),('CO',3359475624,3359478687),('AR',3359478688,3359478719),('CO',3359478720,3359479295),('AR',3359479296,3359479303),('CO',3359479304,3359479327),('AR',3359479328,3359479343),('CO',3359479344,3359479375),('AR',3359479376,3359479383),('CO',3359479384,3359479487),('AR',3359479488,3359479551),('CO',3359479552,3359480575),('AR',3359480576,3359480815),('CO',3359480816,3359480871),('AR',3359480872,3359480887),('CO',3359480888,3359480911),('AR',3359480912,3359480915),('CO',3359480916,3359480927),('AR',3359480928,3359480935),('CO',3359480936,3359480959),('AR',3359480960,3359480975),('CO',3359480976,3359481599),('AR',3359481600,3359481663),('CO',3359481664,3359481727),('AR',3359481728,3359481743),('CO',3359481744,3359481823),('AR',3359481824,3359481839),('CO',3359481840,3359481855),('AR',3359481856,3359498239),('PY',3359498240,3359501311),('SR',3359501312,3359502335),('US',3359506432,3359508479),('VE',3359508480,3359514623),('GT',3359514624,3359516671),('VG',3359516672,3359516927),('US',3359516928,3359517183),('VG',3359517184,3359517439),('US',3359517440,3359517695),('VG',3359517696,3359517951),('US',3359517952,3359520255),('AR',3359520256,3359520767),('US',3359520768,3359522815),('NI',3359522816,3359539199),('PE',3359539200,3359571967),('AR',3359571968,3359582207),('PA',3359582208,3359584255),('AR',3359584256,3359586303),('CL',3359586304,3359588351),('AR',3359588352,3359589375),('UY',3359589376,3359589631),('AR',3359589632,3359596543),('CL',3359596544,3359598591),('AN',3359598592,3359600639),('AR',3359600640,3359621119),('EC',3359621120,3359637503),('MX',3359637504,3359789583),('US',3359789584,3359789599),('MX',3359789600,3359899647),('CL',3359899648,3359916031),('AR',3359916032,3359932415),('CO',3359932416,3359945471),('EC',3359945472,3359945727),('CO',3359945728,3359948799),('AR',3359948800,3359969663),('UY',3359969664,3359969791),('AR',3359969792,3359989759),('CO',3359989760,3359997951),('AR',3359997952,3360006143),('EC',3360006144,3360014335),('AR',3360014336,3360096255),('UY',3360096256,3360104447),('CO',3360104448,3360129023),('VE',3360129024,3360145407),('CL',3360145408,3360153599),('AR',3360153600,3360157695),('VE',3360157696,3360159743),('AN',3360159744,3360161791),('CL',3360161792,3360227327),('CO',3360227328,3360228639),('CL',3360228640,3360228663),('CO',3360228664,3360229119),('CL',3360229120,3360231423),('CO',3360231424,3360231455),('CL',3360231456,3360231463),('CO',3360231464,3360231487),('CL',3360231488,3360231519),('CO',3360231520,3360231599),('CL',3360231600,3360231607),('CO',3360231608,3360231679),('CL',3360231680,3360234751),('CO',3360234752,3360235263),('CL',3360235264,3360235271),('CO',3360235272,3360235519),('CL',3360235520,3360236287),('CO',3360236288,3360236303),('CL',3360236304,3360236311),('CO',3360236312,3360236423),('CL',3360236424,3360236439),('CO',3360236440,3360236487),('CL',3360236488,3360236503),('CO',3360236504,3360236527),('CL',3360236528,3360236543),('CO',3360236544,3360236799),('CL',3360236800,3360238079),('CO',3360238080,3360239103),('CL',3360239104,3360239615),('CO',3360239616,3360240895),('CL',3360240896,3360243967),('CO',3360243968,3360248319),('CL',3360248320,3360248575),('CO',3360248576,3360251903),('BO',3360251904,3360253951),('SV',3360253952,3360255999),('AR',3360256000,3360258047),('CL',3360258048,3360260095),('AR',3360260096,3360276479),('VE',3360276480,3360278527),('EC',3360278528,3360280575),('CL',3360280576,3360282623),('CO',3360282624,3360284671),('CL',3360284672,3360325631),('CO',3360325632,3360333823),('CL',3360333824,3360342015),('VE',3360342016,3360358399),('CL',3360358400,3360366591),('CO',3360366592,3360382975),('VE',3360382976,3360399359),('BO',3360399360,3360403455),('AR',3360403456,3360405503),('HN',3360405504,3360407551),('PA',3360407552,3360423935),('MX',3360423936,3360686079),('CO',3360686080,3360687871),('AR',3360687872,3360688639),('CO',3360688640,3360688767),('AR',3360688768,3360689151),('CO',3360689152,3360689407),('AR',3360689408,3360689535),('CO',3360689536,3360689663),('AR',3360689664,3360689919),('CO',3360689920,3360690175),('AR',3360690176,3360690303),('CO',3360690304,3360690431),('AR',3360690432,3360690719),('CO',3360690720,3360690751),('AR',3360690752,3360690943),('CO',3360690944,3360691711),('AR',3360691712,3360692351),('CO',3360692352,3360692367),('AR',3360692368,3360692607),('CO',3360692608,3360692735),('AR',3360692736,3360693247),('CO',3360693248,3360693311),('AR',3360693312,3360693343),('CO',3360693344,3360693503),('AR',3360693504,3360693791),('CO',3360693792,3360693823),('AR',3360693824,3360694015),('CO',3360694016,3360694079),('AR',3360694080,3360694143),('CO',3360694144,3360694271),('AR',3360694272,3360694303),('CO',3360694304,3360694463),('AR',3360694464,3360695071),('CO',3360695072,3360695087),('AR',3360695088,3360695167),('CO',3360695168,3360695199),('AR',3360695200,3360695215),('CO',3360695216,3360695295),('AR',3360695296,3360696447),('CO',3360696448,3360696511),('AR',3360696512,3360696527),('CO',3360696528,3360696735),('AR',3360696736,3360696767),('CO',3360696768,3360696831),('AR',3360696832,3360698111),('CO',3360698112,3360699391),('AR',3360699392,3360700159),('CO',3360700160,3360700415),('AR',3360700416,3360701311),('CO',3360701312,3360701439),('AR',3360701440,3360710655),('HT',3360710656,3360714751),('AR',3360718848,3360767999),('PY',3360768000,3360770047),('EC',3360770048,3360771327),('AR',3360771328,3360771839),('EC',3360771840,3360772095),('AR',3360772096,3360772351),('BO',3360772352,3360772479),('AR',3360772480,3360772607),('EC',3360772608,3360773119),('BO',3360773120,3360774143),('EC',3360774144,3360774399),('AR',3360774400,3360774655),('EC',3360774656,3360774911),('AR',3360774912,3360775087),('EC',3360775088,3360775099),('AR',3360775100,3360775167),('BO',3360775168,3360775679),('AR',3360775680,3360780287),('AR',3360784384,3360788479),('CL',3360788480,3360790527),('AR',3360792576,3360849919),('VE',3360849920,3360882687),('CL',3360882688,3360948223),('VE',3360948224,3361013759),('SV',3361013760,3361021951),('PY',3361021952,3361030143),('VE',3361030144,3361034239),('AR',3361038336,3361046527),('BO',3361046528,3361050623),('NI',3361054720,3361058815),('CL',3361062912,3361071103),('CO',3361071104,3361079295),('CL',3361079296,3361144831),('BO',3361144832,3361210367),('DO',3361210368,3361275903),('PE',3361275904,3361284095),('CL',3361284096,3361296383),('SV',3361296384,3361298431),('DO',3361298432,3361300479),('CO',3361300480,3361308671),('AR',3361308672,3361325055),('CO',3361325056,3361341439),('VE',3361341440,3361374207),('PA',3361374208,3361378303),('CL',3361382400,3361415167),('CR',3361423360,3361456127),('CO',3361456128,3361472511),('MX',3361472512,3361538047),('VE',3361538048,3361570815),('CO',3361570816,3361587199),('EC',3361587200,3361599487),('UY',3361599488,3361600511),('EC',3361601536,3361603583),('MX',3361603584,3361734655),('BR',3361734656,3362258943),('CL',3362258944,3362324479),('AR',3362324480,3362324735),('UY',3362324736,3362324991),('AR',3362324992,3362326527),('BR',3362326528,3362328575),('CO',3362328576,3362330623),('MX',3362330624,3362332671),('PA',3362332672,3362336767),('CO',3362336768,3362338815),('AR',3362338816,3362339839),('CO',3362339840,3362341887),('GT',3362341888,3362342143),('PA',3362342144,3362342399),('AR',3362342400,3362342655),('PA',3362342656,3362342911),('CO',3362342912,3362344959),('PA',3362344960,3362347007),('CO',3362347008,3362349055),('BO',3362357248,3362373631),('PE',3362373632,3362377727),('BO',3362377728,3362381823),('EC',3362381824,3362390015),('PE',3362390016,3362422783),('CO',3362422784,3362447359),('SV',3362447360,3362451455),('EC',3362455552,3362471935),('CL',3362471936,3362476031),('PE',3362480128,3362484223),('AR',3362484224,3362484735),('UY',3362484736,3362484991),('AR',3362484992,3362485759),('UY',3362485760,3362486015),('AR',3362486016,3362486271),('HN',3362486272,3362488319),('PE',3362488320,3362504703),('VE',3362504704,3362506751),('AR',3362506752,3362508799),('HN',3362508800,3362510847),('GT',3362510848,3362512895),('AR',3362512896,3362514943),('HN',3362514944,3362516991),('BO',3362516992,3362519039),('EC',3362519040,3362521087),('TT',3362521088,3362529279),('PA',3362529280,3362533375),('AR',3362537472,3362545663),('PE',3362545664,3362549759),('PY',3362553856,3362557951),('BZ',3362562048,3362563071),('PA',3362563072,3362563199),('BZ',3362563200,3362563583),('PA',3362563584,3362563711),('BZ',3362563712,3362564095),('PA',3362564096,3362564223),('BZ',3362564224,3362564479),('PA',3362564480,3362564607),('BZ',3362564608,3362565375),('PA',3362565376,3362565503),('BZ',3362565504,3362565631),('PA',3362565632,3362565759),('BZ',3362565760,3362567423),('PA',3362567424,3362567679),('BZ',3362567680,3362569727),('PA',3362569728,3362569983),('BZ',3362569984,3362570239),('UY',3362570240,3362586623),('VE',3362586624,3362652159),('PE',3362652160,3362668543),('EC',3362668544,3362676735),('CO',3362676736,3362680831),('CO',3362684928,3362685951),('AR',3362685952,3362686975),('CO',3362686976,3362687487),('AR',3362687488,3362687999),('CO',3362688000,3362689535),('AR',3362689536,3362690047),('CO',3362690048,3362690303),('AR',3362690304,3362690687),('CO',3362690688,3362690815),('AR',3362690816,3362691071),('CO',3362691072,3362691327),('PA',3362691328,3362691583),('CO',3362691584,3362692095),('AR',3362692096,3362692351),('MX',3362692352,3362692479),('AR',3362692480,3362692607),('CO',3362692608,3362692863),('AR',3362692864,3362695167),('CO',3362695168,3362697215),('AR',3362697216,3362703359),('GT',3362703360,3362705407),('AR',3362705408,3362711551),('EC',3362711552,3362713599),('GT',3362713600,3362717695),('CL',3362717696,3362815999),('AR',3362816000,3362832383),('BO',3362832384,3362836479),('CL',3362840576,3362897919),('HT',3362897920,3362906111),('CO',3362914304,3362947071),('AR',3362947072,3362983935),('EC',3362988032,3362992127),('UY',3362996224,3363000319),('CO',3363004416,3363012607),('PA',3363012608,3363028991),('AR',3363028992,3363045375),('CO',3363045376,3363110911),('AR',3363110912,3363176447),('CO',3363176448,3363274751),('GT',3363274752,3363282943),('BO',3363291136,3363299327),('CL',3363299328,3363373055),('PE',3363373056,3363438591),('AR',3363438592,3363471359),('CR',3363471360,3363487743),('CO',3363487744,3363504127),('PE',3363504128,3363512319),('AR',3363520512,3363553791),('PE',3363553792,3363554047),('AR',3363554048,3363557375),('CO',3363561472,3363565567),('PA',3363569664,3363577855),('CL',3363577856,3363586047),('BZ',3363586048,3363594239),('AN',3363602432,3363610623),('CO',3363610624,3363614719),('UY',3363618816,3363622911),('EC',3363627008,3363635199),('UY',3363635200,3363651583),('AR',3363651584,3363667967),('EC',3363667968,3363676159),('TT',3363676160,3363678207),('NI',3363678208,3363680255),('GT',3363680256,3363682303),('VE',3363682304,3363684351),('EC',3363684352,3363700735),('CU',3363700736,3363708927),('CL',3363717120,3363733503),('AR',3363733504,3363831807),('BR',3363831808,3378511871),('MX',3378511872,3384803327),('CR',3384803328,3385851903),('VE',3385851904,3386114047),('AR',3386114048,3386245119),('CL',3386245120,3386376191),('CO',3386376192,3386392575),('AN',3386392576,3386398463),('VG',3386398464,3386398719),('AN',3386398720,3386408959),('GT',3386408960,3386425343),('AR',3386425344,3386441727),('PY',3386441728,3386458111),('EC',3386458112,3386474495),('UY',3386474496,3386490879),('CO',3386490880,3386499071),('EC',3386507264,3386523647),('PA',3386523648,3386540031),('CL',3386540032,3386548223),('PA',3386556416,3386572799),('EC',3386572800,3386589183),('AR',3386589184,3386597375),('CL',3386605568,3386613759),('CO',3386621952,3386630143),('AN',3386638336,3386642431),('CO',3386646528,3386662911),('CL',3386662912,3386671103),('HN',3386671104,3386675199),('AR',3386679296,3386683391),('CU',3386687488,3386695679),('CL',3386695680,3386703871),('UY',3386703872,3386720255),('TT',3386720256,3386728447),('AR',3386728448,3386732543),('CL',3386732544,3386734591),('CO',3386736640,3386753023),('CL',3386753024,3386761215),('PA',3386761216,3386769407),('VE',3386769408,3386773503),('AN',3386777600,3386781695),('BO',3386785792,3386802175),('CL',3386802176,3386900479),('PA',3386900480,3387162623),('CO',3387162624,3387228159),('AW',3387228160,3387244543),('DO',3387260928,3387293695),('PE',3387293696,3387359231),('AR',3387359232,3387424767),('CO',3387424768,3387555839),('AR',3387555840,3387568127),('PE',3387568128,3387572223),('AR',3387572224,3387572863),('CO',3387572864,3387572991),('AR',3387572992,3387573503),('CO',3387573504,3387573631),('AR',3387573632,3387575935),('CO',3387575936,3387576063),('AR',3387576064,3387576319),('EC',3387576320,3387580415),('AR',3387580416,3387584511),('PE',3387584512,3387588607),('AR',3387588608,3387600895),('CO',3387600896,3387604991),('EC',3387604992,3387613183),('VE',3387613184,3387617279),('CO',3387617280,3387619327),('AR',3387619328,3387686911),('CL',3387686912,3387736063),('CO',3387736064,3387752447),('CR',3387752448,3387817983),('VE',3387817984,3387826175),('TT',3387834368,3387850751),('EC',3387858944,3387867135),('CL',3387867136,3387949055),('PE',3387949056,3388014591),('CL',3388014592,3388080127),('VE',3388080128,3388211199),('CO',3388211200,3388342271),('CL',3388342272,3388407807),('SV',3388407808,3388473343),('VE',3388473344,3388604415),('AR',3388604416,3388800255),('PY',3388800256,3388800511),('AR',3388800512,3388997631),('AU',3388997632,3389001727),('PH',3389001728,3389005823),('NZ',3389005824,3389014015),('AU',3389014016,3389014271),('JP',3389014272,3389014783),('AU',3389014784,3389015807),('SG',3389015808,3389016063),('JP',3389016064,3389016575),('AU',3389016576,3389017087),('JP',3389017088,3389017343),('HK',3389017344,3389017855),('PG',3389018112,3389018367),('ID',3389018368,3389018623),('AU',3389018624,3389019135),('NZ',3389019136,3389019391),('AU',3389019392,3389020159),('SG',3389020160,3389020671),('AU',3389020672,3389020927),('PH',3389020928,3389021183),('AU',3389021184,3389021439),('JP',3389021440,3389021695),('MY',3389021696,3389021951),('AU',3389021952,3389022463),('NZ',3389022464,3389022719),('AU',3389022720,3389023231),('HK',3389023232,3389023487),('AU',3389023488,3389023999),('ID',3389024000,3389024255),('HK',3389024256,3389024511),('AU',3389024512,3389025791),('CN',3389025792,3389026047),('TH',3389026048,3389026303),('HK',3389026304,3389026559),('AU',3389026560,3389027327),('ID',3389027328,3389027583),('TH',3389027584,3389028607),('NZ',3389028608,3389028863),('HK',3389028864,3389029375),('NZ',3389029376,3389029887),('SG',3389029888,3389030399),('HK',3389030400,3389035519),('AU',3389035520,3389035775),('SG',3389035776,3389036287),('NZ',3389036288,3389036543),('SG',3389036544,3389036799),('NZ',3389036800,3389037055),('AU',3389037056,3389037567),('NC',3389037568,3389038591),('HK',3389038592,3389044735),('AU',3389044736,3389045759),('FR',3389045760,3389046783),('US',3389046784,3389063167),('AU',3389063168,3389064447),('SG',3389064448,3389064703),('HK',3389064704,3389065215),('NZ',3389065216,3389067263),('AU',3389067264,3389071359),('PG',3389071360,3389079551),('SG',3389079552,3389092351),('PH',3389092352,3389092863),('AU',3389092864,3389093887),('IN',3389093888,3389095935),('SG',3389095936,3389104127),('SB',3389104128,3389112319),('MV',3389112320,3389116415),('JP',3389116416,3389120511),('AU',3389120512,3389122559),('PG',3389124608,3389128703),('AU',3389128704,3389129727),('NZ',3389129728,3389132799),('AU',3389132800,3389136895),('HK',3389136896,3389142015),('TW',3389142016,3389143039),('AU',3389143040,3389145087),('HK',3389145088,3389151231),('JP',3389151232,3389152255),('ID',3389152256,3389153279),('TV',3389153280,3389161471),('JP',3389161472,3389163791),('AU',3389163792,3389163795),('JP',3389163796,3389165286),('SG',3389165287,3389165287),('JP',3389165288,3389165631),('CN',3389165632,3389165695),('JP',3389165696,3389194239),('AU',3389194240,3389195775),('HK',3389195776,3389196287),('AU',3389196288,3389198335),('NZ',3389198336,3389202431),('AU',3389202432,3389210623),('TH',3389211648,3389212671),('AU',3389212672,3389213439),('IN',3389213440,3389214207),('AU',3389214208,3389214719),('IN',3389214720,3389218815),('AU',3389218816,3389222911),('IN',3389222912,3389227007),('PF',3389227008,3389227263),('TW',3389227264,3389227519),('PK',3389227520,3389228031),('AU',3389228032,3389228799),('SG',3389228800,3389229055),('JP',3389229056,3389229311),('AU',3389229312,3389229567),('SG',3389229568,3389230079),('JP',3389230080,3389235199),('TW',3389235200,3389243391),('AU',3389243392,3389247487),('ID',3389247488,3389251583),('PF',3389251584,3389259775),('PH',3389259776,3389263871),('NZ',3389263872,3389266175),('IN',3389266176,3389266431),('HK',3389266432,3389266943),('AU',3389266944,3389267967),('WS',3389267968,3389276159),('AU',3389276160,3389284351),('BD',3389284352,3389292543),('CN',3389292544,3389300735),('HK',3389308928,3389317119),('AU',3389317120,3389322239),('JP',3389322240,3389324031),('VU',3389324032,3389324287),('CN',3389324288,3389325311),('AU',3389325312,3389326335),('TW',3389326336,3389326847),('AU',3389326848,3389327359),('TW',3389327360,3389329407),('HK',3389329408,3389333503),('BD',3389333504,3389341695),('JP',3389341696,3389345791),('TH',3389345792,3389349887),('AU',3389349888,3389358079),('PK',3389358080,3389366271),('AU',3389366272,3389374463),('MN',3389374464,3389382655),('TW',3389382656,3389390847),('HK',3389390848,3389391359),('VN',3389391360,3389391615),('AU',3389391616,3389392127),('NZ',3389392128,3389392895),('AU',3389392896,3389411327),('IN',3389411328,3389411583),('AU',3389411584,3389412351),('NZ',3389412352,3389412863),('AU',3389412864,3389413119),('NZ',3389413120,3389413375),('AP',3389413376,3389413887),('TH',3389413888,3389414143),('AU',3389414144,3389414655),('NZ',3389414656,3389414911),('HK',3389414912,3389415167),('KR',3389415168,3389415423),('VN',3389415424,3389415935),('JP',3389415936,3389416191),('IN',3389416192,3389416447),('TH',3389416448,3389416959),('SG',3389416960,3389417215),('JP',3389417216,3389417471),('TW',3389417472,3389417983),('AU',3389417984,3389418239),('TH',3389418240,3389418495),('AU',3389418496,3389418751),('NZ',3389418752,3389419263),('TH',3389419264,3389419519),('AU',3389419520,3389420543),('NZ',3389420544,3389421055),('AU',3389421056,3389421311),('JP',3389421312,3389421567),('KI',3389421568,3389422591),('AU',3389422592,3389431807),('SG',3389431808,3389435903),('BD',3389435904,3389439999),('HK',3389440000,3389444095),('ID',3389444096,3389452287),('SG',3389452288,3389453311),('JP',3389453312,3389454335),('AU',3389454336,3389455359),('JP',3389455360,3389456383),('NZ',3389456384,3389456895),('AU',3389456896,3389457407),('NZ',3389457408,3389458431),('AU',3389458432,3389460479),('JP',3389460480,3389464575),('NZ',3389464576,3389469695),('IN',3389469696,3389471743),('NZ',3389471744,3389472767),('AU',3389472768,3389480959),('JP',3389480960,3389489151),('HK',3389489152,3389493247),('AU',3389493248,3389521919),('SG',3389521920,3389523455),('JP',3389523456,3389523967),('NZ',3389523968,3389525503),('TW',3389525504,3389526015),('AU',3389526016,3389528319),('TH',3389528320,3389528575),('JP',3389528576,3389529087),('AU',3389530112,3389532159),('SG',3389532160,3389533183),('NZ',3389533184,3389534207),('JP',3389534208,3389538303),('TH',3389538304,3389541375),('JP',3389541632,3389541887),('TH',3389541888,3389542399),('JP',3389542400,3389543423),('TH',3389543424,3389544447),('HK',3389544448,3389545471),('AU',3389545472,3389545727),('HK',3389545728,3389545983),('SG',3389545984,3389546495),('AU',3389546496,3389554687),('CN',3389554688,3389562879),('TW',3389562880,3389571071),('LK',3389571072,3389575167),('JP',3389575168,3389579263),('PH',3389579264,3389587455),('AU',3389587456,3389603839),('MY',3389612032,3389616127),('IN',3389616128,3389640703),('JP',3389640704,3389644799),('NZ',3389644800,3389652991),('AU',3389652992,3389661183),('ID',3389661184,3389669375),('CN',3389669376,3389673471),('AU',3389673472,3389677567),('JP',3389677568,3389685759),('AU',3389685760,3389718527),('JP',3389718528,3389784063),('NZ',3389784064,3389784319),('AU',3389784320,3389784575),('SG',3389784576,3389784831),('NZ',3389784832,3389785087),('HK',3389785088,3389786111),('JP',3389786112,3389788159),('IN',3389788160,3389788415),('PH',3389788416,3389788927),('US',3389788928,3389789695),('AU',3389789696,3389790719),('BN',3389790720,3389790975),('JP',3389790976,3389791231),('AP',3389791232,3389791999),('AU',3389792000,3389801983),('NZ',3389801984,3389802239),('AU',3389802240,3389802751),('TH',3389802752,3389803263),('NZ',3389803520,3389806079),('AU',3389806080,3389807359),('NZ',3389807360,3389807615),('AU',3389807616,3389808127),('SG',3389808128,3389808639),('NZ',3389808640,3389808895),('TH',3389808896,3389809151),('AU',3389809152,3389809919),('IN',3389809920,3389810175),('AU',3389810176,3389810431),('NZ',3389810688,3389811199),('AU',3389811200,3389811711),('NZ',3389811712,3389811967),('AU',3389811968,3389813759),('TH',3389813760,3389814527),('AU',3389814528,3389815295),('NZ',3389815296,3389816063),('AU',3389816064,3389816575),('US',3389816576,3389816831),('AU',3389816832,3389846271),('JP',3389846272,3389847551),('NZ',3389847552,3389849599),('JP',3389849600,3389915135),('AU',3389915136,3389917183),('TW',3389917184,3389919231),('NZ',3389919232,3389931519),('AU',3389931520,3389932287),('HK',3389932288,3389932799),('IN',3389932800,3389933055),('PK',3389933056,3389933567),('IN',3389933568,3389933823),('NZ',3389933824,3389934591),('AU',3389934592,3389935615),('HK',3389935616,3389935871),('AU',3389935872,3389936127),('NZ',3389936128,3389936895),('PH',3389936896,3389937663),('CN',3389937664,3389937919),('AU',3389937920,3389938175),('AU',3389939456,3389939711),('NZ',3389939712,3389940223),('AU',3389940224,3389940479),('NZ',3389940480,3389940991),('AU',3389940992,3389941247),('NZ',3389941248,3389941503),('KR',3389941504,3389941759),('AU',3389941760,3389942271),('NZ',3389942272,3389943295),('AU',3389943296,3389944319),('NZ',3389944320,3389944831),('HK',3389944832,3389945087),('TH',3389945088,3389945343),('AU',3389945344,3389947647),('NZ',3389947648,3389947903),('AU',3389947904,3389949695),('NZ',3389949696,3389950207),('AU',3389950208,3389950975),('NZ',3389950976,3389951743),('AU',3389951744,3389953279),('NZ',3389953280,3389953535),('AU',3389953792,3389954303),('SG',3389954304,3389954815),('AU',3389954816,3389956607),('TH',3389956608,3389957375),('KR',3389957376,3389957631),('AU',3389957632,3389957887),('NZ',3389957888,3389958399),('AU',3389958400,3389970431),('NZ',3389970432,3389971199),('AU',3389971200,3389971967),('HK',3389971968,3389972223),('AU',3389972224,3389972479),('NZ',3389972480,3389973759),('AU',3389973760,3389975295),('CN',3389975296,3389976319),('AU',3389976320,3389979647),('NZ',3389979648,3389980415),('ID',3389980416,3389980671),('JP',3389980672,3390308351),('NZ',3390308352,3390310399),('AU',3390310400,3390316543),('NZ',3390316544,3390325247),('HK',3390325248,3390325503),('AU',3390325504,3390327807),('NZ',3390327808,3390329087),('AU',3390329088,3390329343),('KR',3390329344,3390330623),('TH',3390330624,3390330879),('HK',3390330880,3390331391),('JP',3390331392,3390331647),('NZ',3390331648,3390332415),('HK',3390332416,3390332927),('NZ',3390332928,3390333439),('AP',3390333440,3390333695),('KR',3390333696,3390333951),('HK',3390333952,3390334463),('NZ',3390334464,3390335231),('TH',3390335232,3390335487),('ID',3390335488,3390336511),('JP',3390336512,3390336767),('AP',3390336768,3390337023),('GU',3390337024,3390337279),('NZ',3390337280,3390337535),('SG',3390337536,3390338303),('HK',3390338304,3390338815),('KR',3390338816,3390339071),('CN',3390339072,3390339327),('NZ',3390339328,3390339839),('JP',3390339840,3390340351),('HK',3390340352,3390341119),('KR',3390341120,3390375935),('AU',3390375936,3390377983),('NZ',3390377984,3390382079),('LK',3390382080,3390390271),('NZ',3390390272,3390402559),('JP',3390402560,3390406655),('NZ',3390406656,3390406911),('IN',3390406912,3390407167),('NZ',3390407168,3390408191),('IN',3390408192,3390408703),('NZ',3390408704,3390409727),('TH',3390409728,3390409983),('NZ',3390409984,3390410751),('TH',3390410752,3390411007),('SG',3390411008,3390411519),('IN',3390411520,3390411775),('MY',3390411776,3390412031),('TH',3390412032,3390412287),('JP',3390412288,3390413311),('SG',3390413312,3390413567),('NZ',3390413568,3390414335),('SG',3390414336,3390414847),('JP',3390414848,3390418943),('MV',3390418944,3390423039),('SG',3390423040,3390429439),('HK',3390429440,3390429951),('SG',3390429952,3390439423),('NZ',3390439424,3390441471),('TH',3390441472,3390443519),('NZ',3390443520,3390447359),('ID',3390447360,3390447615),('KR',3390447616,3390455807),('JP',3390455808,3390472191),('NC',3390472192,3390480383),('AU',3390480384,3390484479),('GU',3390484480,3390488575),('BD',3390488576,3390492671),('JP',3390492672,3390496767),('NC',3390496768,3390500863),('HK',3390500864,3390502911),('CN',3390502912,3390504959),('JP',3390504960,3390767103),('NZ',3390767104,3390769407),('IN',3390769408,3390769663),('TH',3390769664,3390770175),('AU',3390770176,3390770687),('JP',3390770688,3390770943),('AU',3390770944,3390771199),('SG',3390771200,3390775295),('NZ',3390775296,3390790399),('AU',3390790400,3390790655),('NZ',3390790656,3390832639),('TH',3390832640,3390963711),('KR',3390963712,3391094783),('JP',3391094784,3391356927),('NZ',3391356928,3391469055),('AU',3391469056,3391469311),('NZ',3391469312,3391487999),('CN',3391488000,3391492095),('HK',3391492096,3391496191),('SG',3391496192,3391500287),('PK',3391500288,3391504383),('CN',3391504384,3391524863),('CN',3391525376,3391525887),('AU',3391525888,3391526143),('CN',3391526144,3391526655),('SG',3391526656,3391526911),('CN',3391526912,3391528191),('AU',3391528192,3391528447),('CN',3391528448,3391529471),('AU',3391529472,3391529983),('CN',3391529984,3391533567),('HK',3391533568,3391534079),('IN',3391534080,3391535103),('CN',3391535104,3391553535),('TW',3391553536,3391619071),('HK',3391619072,3391620607),('IN',3391620608,3391620863),('HK',3391620864,3391660799),('AU',3391660800,3391661055),('HK',3391661056,3391663103),('PH',3391663104,3391664127),('BD',3391664128,3391668223),('HK',3391668224,3391676415),('SG',3391676416,3391684607),('IN',3391684608,3391688191),('AU',3391688192,3391688703),('IN',3391688704,3391717887),('US',3391717888,3391718143),('IN',3391718144,3391718911),('JP',3391718912,3391719167),('AU',3391719168,3391719423),('NZ',3391719424,3391720703),('SG',3391720704,3391720959),('CN',3391720960,3391721215),('HK',3391721216,3391721471),('AU',3391721472,3391721727),('KR',3391721728,3391721983),('TW',3391721984,3391722239),('PH',3391722240,3391722495),('IN',3391722496,3391723519),('CN',3391723520,3391725567),('TH',3391725568,3391733759),('IN',3391733760,3391734015),('AU',3391734016,3391734783),('JP',3391734784,3391736831),('IN',3391736832,3391737855),('JP',3391737856,3391741951),('IN',3391741952,3391744959),('SG',3391744960,3391744991),('IN',3391744992,3391746047),('CN',3391746048,3391750143),('SG',3391750144,3391815679),('AU',3391815680,3391817727),('TO',3391817728,3391819775),('JP',3391819776,3391823871),('TH',3391823872,3391827967),('KR',3391827968,3391832063),('AU',3391848448,3391852543),('CN',3391852544,3391856639),('ID',3391856640,3391864831),('US',3391864832,3391868927),('SG',3391868928,3391869951),('US',3391869952,3391873023),('AU',3391873024,3391877119),('JP',3391877120,3391879167),('ID',3391879168,3391881215),('TH',3391881216,3391895551),('IN',3391895552,3391896575),('TH',3391896576,3391900415),('AU',3391900416,3391901695),('PK',3391901696,3391905791),('TH',3391905792,3391906047),('JP',3391906048,3391906303),('AU',3391906304,3391906815),('PH',3391906816,3391907839),('BD',3391907840,3391909887),('IO',3391909888,3391910911),('AU',3391910912,3391911935),('HK',3391911936,3391913983),('TH',3391913984,3391916287),('IN',3391916288,3391916543),('TH',3391916544,3391920127),('AU',3391920128,3391930367),('TH',3391930368,3391946751),('DE',3391946752,3391947007),('HK',3391947008,3391947519),('AU',3391947520,3391947775),('HK',3391947776,3391948287),('IN',3391948288,3391948799),('HK',3391948800,3391949311),('IN',3391949312,3391949823),('JP',3391949824,3391950079),('AU',3391950080,3391950335),('HK',3391950336,3391971327),('AU',3391971328,3391979519),('HK',3391979520,3391979775),('JP',3391979776,3391980031),('HK',3391980032,3391980543),('MY',3391980544,3391983615),('NP',3391983616,3391984639),('HK',3391984640,3391984895),('ID',3391984896,3391985151),('AU',3391985152,3391986687),('PK',3391986688,3391987199),('AU',3391987200,3391987455),('BD',3391987456,3391987711),('JP',3391987712,3391988607),('SG',3391988608,3391988735),('JP',3391988736,3391991807),('HK',3391991808,3392012287),('ID',3392012288,3392017151),('IN',3392017152,3392017407),('ID',3392017408,3392017919),('IN',3392017920,3392018431),('ID',3392018432,3392020479),('CN',3392020480,3392028671),('ID',3392028672,3392040959),('MY',3392040960,3392045055),('ID',3392045056,3392046079),('AU',3392046080,3392049151),('ID',3392049152,3392053247),('NZ',3392053248,3392061439),('IN',3392061440,3392069631),('CN',3392069632,3392073727),('ID',3392073728,3392077823),('AU',3392077824,3392079871),('TH',3392079872,3392081919),('JP',3392081920,3392086015),('AU',3392086016,3392094207),('ID',3392094208,3392098303),('KH',3392102400,3392106495),('AU',3392106496,3392109567),('IN',3392109568,3392109823),('PH',3392109824,3392110335),('IN',3392110336,3392110591),('PH',3392110592,3392111103),('DE',3392111104,3392111359),('PH',3392111360,3392112127),('AU',3392112128,3392112639),('PH',3392112640,3392114175),('VN',3392114176,3392114431),('KR',3392114432,3392114687),('GU',3392114688,3392118783),('MY',3392118784,3392126975),('ID',3392126976,3392135167),('TH',3392135168,3392143359),('JP',3392143360,3392208895),('NZ',3392208896,3392286975),('US',3392286976,3392287231),('NZ',3392287232,3392295935),('AU',3392295936,3392296191),('NZ',3392296192,3392339967),('NP',3392339968,3392340991),('JP',3392340992,3392344063),('ID',3392344064,3392348159),('JP',3392348160,3392354303),('ID',3392354304,3392356351),('NP',3392356352,3392364543),('ID',3392364544,3392372735),('AU',3392380928,3392385023),('BD',3392385024,3392389119),('ID',3392389120,3392401407),('SG',3392401408,3392403455),('AU',3392403456,3392404479),('ID',3392404480,3392405503),('NP',3392405504,3392406015),('IN',3392406016,3392406527),('TH',3392406528,3392407551),('ID',3392407552,3392409599),('JP',3392409600,3392413695),('SG',3392421888,3392430271),('TW',3392430272,3392430303),('SG',3392430304,3392432511),('TW',3392432512,3392432543),('SG',3392432544,3392438271),('PH',3392446464,3392450559),('JP',3392450560,3392454655),('HK',3392454656,3392462847),('NP',3392462848,3392472063),('AU',3392472064,3392473087),('IN',3392473088,3392475135),('JP',3392475136,3392479231),('AU',3392479232,3392487423),('IN',3392487424,3392499711),('JP',3392499712,3392503807),('HK',3392503808,3392511999),('BD',3392512000,3392516095),('NZ',3392516096,3392520191),('AU',3392520192,3392524287),('JP',3392524288,3392528383),('ID',3392528384,3392536575),('IN',3392536576,3392610303),('HK',3392610304,3392618495),('SG',3392618496,3392626687),('NZ',3392626688,3392630783),('JP',3392630784,3392634879),('AU',3392638976,3392643071),('ID',3392643072,3392647167),('MN',3392647168,3392651263),('JP',3392651264,3392659455),('TW',3392659456,3392660831),('SG',3392660832,3392660847),('TW',3392660848,3392660911),('SG',3392660912,3392660927),('TW',3392660928,3392667647),('IN',3392667648,3392668671),('BD',3392668672,3392669695),('HK',3392669696,3392670783),('US',3392670784,3392670799),('HK',3392670800,3392670815),('US',3392670816,3392670847),('HK',3392670848,3392671743),('JP',3392671744,3392675839),('NZ',3392675840,3392684031),('JP',3392684032,3392688127),('MY',3392688128,3392692223),('IN',3392692224,3392700415),('SG',3392700416,3392708607),('ID',3392708608,3392712703),('AF',3392712704,3392716799),('IN',3392716800,3392733183),('ID',3392733184,3392741375),('PH',3392741376,3392765951),('TH',3392765952,3392782335),('HK',3392782336,3392790527),('JP',3392790528,3392794623),('HK',3392794624,3392798719),('LA',3392798720,3392798975),('JP',3392798976,3392799231),('PH',3392799232,3392799487),('AU',3392799488,3392799743),('JP',3392799744,3392800767),('SG',3392800768,3392801375),('HK',3392801376,3392801391),('SG',3392801392,3392802815),('JP',3392802816,3392806911),('AU',3392806912,3392815103),('ID',3392815104,3392819199),('MY',3392819200,3392823295),('PG',3392831488,3392832511),('IN',3392832512,3392833535),('AU',3392833536,3392835583),('JP',3392835584,3392839679),('ID',3392839680,3392845823),('HK',3392845824,3392847871),('ID',3392847872,3392856063),('PH',3392856064,3392864255),('TO',3392864256,3392864511),('AU',3392864512,3392864767),('IN',3392864768,3392865279),('NU',3392865280,3392866303),('AU',3392868352,3392880639),('PK',3392880640,3392888831),('AU',3392888832,3392892927),('JP',3392892928,3392897023),('BD',3392897024,3392901119),('JP',3392901120,3392903167),('HK',3392903168,3392905215),('ID',3392905216,3392909311),('JP',3392909312,3392913407),('ID',3392913408,3392917503),('BD',3392917504,3392921599),('MU',3392929792,3392931839),('PH',3392931840,3392933887),('JP',3392933888,3392942079),('AU',3392942080,3392944127),('MY',3392944128,3392945151),('IN',3392945152,3392946175),('AU',3392946176,3392954367),('VN',3392956416,3392958463),('CN',3392958464,3392962559),('IN',3392962560,3392970751),('JP',3392970752,3392978943),('TH',3392978944,3392983039),('IN',3392983040,3392987135),('HK',3392987136,3392995327),('PG',3392995328,3392995583),('JP',3392995584,3392995839),('NZ',3392995840,3392996351),('AU',3392996352,3392997375),('IN',3392997376,3392998399),('AU',3392998400,3392999423),('JP',3392999424,3393003519),('PK',3393003520,3393011711),('PH',3393011712,3393019903),('AU',3393028096,3393060863),('FJ',3393060864,3393062911),('ID',3393062912,3393069055),('AU',3393069056,3393077247),('IN',3393077248,3393085439),('LA',3393085440,3393089535),('IN',3393090560,3393091071),('FJ',3393091072,3393093631),('AU',3393093632,3393101823),('JP',3393101824,3393110015),('HK',3393110016,3393118207),('IN',3393118208,3393122303),('IN',3393125376,3393125631),('JP',3393125632,3393125887),('AU',3393125888,3393126143),('FJ',3393126144,3393126399),('HK',3393126400,3393134591),('AU',3393134592,3393146879),('PK',3393146880,3393150975),('IN',3393150976,3393159167),('SG',3393159168,3393167359),('IN',3393167360,3393175551),('PK',3393175552,3393183743),('SG',3393183744,3393187839),('NP',3393187840,3393189887),('CN',3393189888,3393190911),('IN',3393190912,3393191423),('SB',3393191424,3393191935),('HK',3393191936,3393260031),('BD',3393260032,3393260543),('AU',3393260544,3393265663),('CK',3393265664,3393273855),('AU',3393273856,3393282047),('HK',3393282048,3393286143),('ID',3393286144,3393290239),('IN',3393290240,3393298431),('NZ',3393298432,3393300479),('BD',3393300480,3393302527),('PH',3393302528,3393306623),('HK',3393306624,3393314815),('ID',3393314816,3393318911),('SG',3393318912,3393320959),('HK',3393320960,3393389567),('IN',3393389568,3393390591),('ID',3393390592,3393392639),('JP',3393392640,3393396735),('ID',3393396736,3393400831),('JP',3393400832,3393404927),('AU',3393404928,3393421311),('HK',3393421312,3393470463),('AU',3393470464,3393474559),('NZ',3393474560,3393478655),('HK',3393478656,3393486847),('IN',3393486848,3393495039),('AU',3393495040,3393499135),('SG',3393499136,3393503231),('HK',3393503232,3393507327),('SG',3393507328,3393511423),('KR',3393511424,3393519615),('HK',3393519616,3393520639),('CN',3393520640,3393521663),('PK',3393521664,3393523711),('CN',3393523712,3393527807),('PK',3393527808,3393535999),('HK',3393536000,3393544191),('ID',3393544192,3393548287),('JP',3393548288,3393552383),('HK',3393552384,3393553407),('AU',3393553408,3393554431),('TH',3393554432,3393556479),('SG',3393556480,3393560575),('PH',3393560576,3393568767),('LK',3393568768,3393572863),('AU',3393572864,3393576959),('JP',3393576960,3393581055),('HK',3393581056,3393585151),('CN',3393585152,3393593343),('MN',3393593344,3393597439),('ID',3393597440,3393601535),('NP',3393601536,3393609727),('AS',3393613824,3393617919),('PK',3393622016,3393626111),('HK',3393626112,3393626367),('CN',3393626368,3393630207),('JP',3393630208,3393634303),('IN',3393634304,3393638399),('JP',3393638400,3393650687),('HK',3393650688,3393658879),('KH',3393658880,3393662975),('JP',3393662976,3393675263),('MY',3393675264,3393679359),('TH',3393679360,3393683455),('IN',3393683456,3393691647),('AU',3393691648,3393695743),('PH',3393695744,3393699839),('HK',3393699840,3393724415),('AU',3393724416,3393726463),('BD',3393726464,3393728511),('JP',3393728512,3393736703),('HK',3393736704,3393740799),('KH',3393740800,3393741055),('BD',3393741056,3393741311),('NP',3393741312,3393741567),('BD',3393741568,3393741575),('US',3393741576,3393741823),('SC',3393741824,3393742847),('US',3393742848,3393744127),('TK',3393744128,3393744143),('US',3393744144,3393744159),('TK',3393744160,3393744175),('US',3393744176,3393744383),('SC',3393744384,3393744415),('US',3393744416,3393744447),('MG',3393744448,3393744479),('BD',3393744480,3393744511),('PK',3393744512,3393744575),('US',3393744576,3393744639),('KH',3393744640,3393744895),('PH',3393744896,3393748991),('AU',3393748992,3393765375),('ID',3393765376,3393773567),('AU',3393773568,3393775615),('BD',3393775616,3393777663),('MN',3393777664,3393779711),('IN',3393779712,3393780735),('HK',3393780736,3393782783),('BD',3393782784,3393783807),('MY',3393783808,3393785855),('ID',3393785856,3393789951),('SG',3393789952,3393798143),('JP',3393798144,3393806335),('ID',3393806336,3393814527),('HK',3393814528,3393815551),('KR',3393815552,3393816575),('JP',3393816576,3393818623),('PH',3393822720,3393830911),('NZ',3393830912,3393835007),('JP',3393835008,3393839103),('ID',3393839104,3393843199),('HK',3393843200,3393848319),('JP',3393848320,3393849343),('CN',3393849344,3393851391),('JP',3393851392,3393855487),('AU',3393863680,3393865727),('ID',3393865728,3393867775),('HK',3393867776,3393880063),('AU',3393880064,3393896447),('NZ',3393896448,3393906687),('PK',3393906688,3393908735),('BD',3393908736,3393910783),('PH',3393910784,3393911807),('AU',3393911808,3393912063),('JP',3393912064,3393912319),('HK',3393912320,3393913855),('MY',3393913856,3393914879),('JP',3393914880,3393916927),('ID',3393916928,3393921023),('MY',3393921024,3393929215),('HK',3393929216,3393937407),('ID',3393937408,3393941503),('JP',3393941504,3393945599),('MY',3393945600,3393961983),('IN',3393961984,3393966079),('CN',3393966080,3393970175),('JP',3393970176,3393974271),('MY',3393974272,3393976319),('MO',3393976320,3393977343),('HK',3393977344,3394011135),('AU',3394011136,3394027519),('JP',3394027520,3394035711),('MY',3394035712,3394039807),('US',3394039808,3394041855),('AU',3394041856,3394042879),('HK',3394042880,3394060287),('ID',3394060288,3394064383),('AU',3394064384,3394068479),('ID',3394068480,3394076671),('HK',3394076672,3394078719),('AU',3394078720,3394078975),('IN',3394078976,3394079231),('PH',3394079232,3394079743),('HK',3394079744,3394087471),('CN',3394087472,3394087487),('HK',3394087488,3394111487),('TH',3394111488,3394113535),('SG',3394113536,3394117631),('AU',3394117632,3394121727),('SG',3394121728,3394125823),('PH',3394125824,3394142207),('NZ',3394142208,3394150399),('IN',3394150400,3394154495),('JP',3394154496,3394158591),('ID',3394158592,3394162687),('JP',3394162688,3394166783),('VN',3394166784,3394168831),('IN',3394168832,3394170879),('NZ',3394170880,3394172927),('JP',3394172928,3394173695),('IN',3394173696,3394173951),('HK',3394173952,3394174975),('JP',3394174976,3394179071),('BD',3394179072,3394181119),('KH',3394181120,3394183167),('NP',3394183168,3394191359),('SG',3394191360,3394207743),('JP',3394207744,3394215935),('AU',3394215936,3394220031),('SG',3394220032,3394232319),('AU',3394232320,3394234367),('VN',3394234368,3394236415),('JP',3394236416,3394238463),('IN',3394238464,3394239487),('HK',3394239488,3394248703),('VU',3394248704,3394252799),('IN',3394252800,3394256895),('AU',3394256896,3394265087),('JP',3394265088,3394267135),('TW',3394267136,3394269183),('ID',3394269184,3394273279),('HK',3394273280,3394277375),('AU',3394277376,3394279423),('PH',3394279424,3394281471),('SG',3394281472,3394283775),('BD',3394283776,3394284031),('SG',3394284032,3394284287),('SO',3394284288,3394284351),('SG',3394284352,3394285567),('AU',3394285568,3394289663),('HK',3394289664,3394290687),('ID',3394293760,3394297855),('TH',3394297856,3394306047),('HK',3394306048,3394307071),('SG',3394307072,3394308095),('JP',3394308096,3394310143),('AU',3394310144,3394314239),('ID',3394314240,3394322431),('AU',3394322432,3394326527),('JP',3394326528,3394330623),('AU',3394330624,3394338815),('IN',3394338816,3394347007),('PH',3394347008,3394355199),('IN',3394355200,3394359295),('AU',3394359296,3394363391),('HK',3394363392,3394441215),('IN',3394441216,3394453503),('AU',3394453504,3394461695),('SG',3394461696,3394465791),('AU',3394465792,3394467839),('MY',3394467840,3394469887),('JP',3394469888,3394478079),('PK',3394478080,3394482175),('AU',3394482176,3394484223),('JP',3394484224,3394486271),('HK',3394486272,3394494463),('JP',3394494464,3394498559),('HK',3394498560,3394500607),('SG',3394500608,3394501631),('HK',3394501632,3394507263),('JP',3394507264,3394507775),('PH',3394507776,3394508799),('BD',3394510848,3394514943),('JP',3394514944,3394519039),('BD',3394519040,3394521087),('KH',3394521088,3394523135),('JP',3394523136,3394527231),('PH',3394527232,3394535423),('HK',3394535424,3394559487),('A2',3394559488,3394559999),('HK',3394560000,3394564095),('A2',3394564096,3394564607),('HK',3394564608,3394565631),('PK',3394565632,3394565887),('A2',3394565888,3394566143),('HK',3394566144,3394621439),('CN',3394621440,3394625535),('HK',3394625536,3394629631),('AU',3394629632,3394631679),('HK',3394631680,3394634751),('IN',3394634752,3394635775),('KR',3394635776,3394637823),('AF',3394637824,3394641919),('AU',3394641920,3394648063),('JP',3394648064,3394650111),('HK',3394650112,3394658303),('NZ',3394658304,3394662399),('AU',3394662400,3394664447),('JP',3394664448,3394666495),('MO',3394666496,3394682367),('HK',3394682368,3394682879),('PH',3394682880,3394686975),('AU',3394686976,3394689023),('BD',3394689024,3394691071),('JP',3394691072,3394697215),('SG',3394697216,3394697471),('PK',3394697472,3394697727),('AU',3394697728,3394697983),('IN',3394697984,3394698239),('HK',3394699264,3394700287),('AU',3394700288,3394707455),('IN',3394707456,3394715647),('JP',3394715648,3394719743),('PK',3394719744,3394732031),('NC',3394732032,3394740223),('AU',3394740224,3394744319),('ID',3394744320,3394752511),('WS',3394752512,3394753535),('VN',3394753536,3394754559),('MY',3394754560,3394756607),('JP',3394756608,3394760703),('ID',3394760704,3394764799),('HK',3394764800,3394772991),('PK',3394772992,3394777087),('JP',3394777088,3394781183),('MP',3394781184,3394789375),('HK',3394789376,3394797567),('IN',3394797568,3394813951),('JP',3394813952,3394815999),('HK',3394816000,3394818047),('IN',3394818048,3394830335),('HK',3394830336,3394831359),('NZ',3394831360,3394832383),('PH',3394832384,3394834431),('HK',3394834432,3394834687),('JP',3394834688,3394834943),('HK',3394834944,3394834959),('JP',3394834960,3394834975),('HK',3394834976,3394835199),('JP',3394835200,3394835455),('SG',3394835456,3394835583),('JP',3394835584,3394835711),('CN',3394835712,3394835967),('JP',3394835968,3394836239),('AS',3394836240,3394836247),('JP',3394836248,3394836415),('HK',3394836416,3394836479),('BT',3394836480,3394838527),('NZ',3394838528,3394846719),('IN',3394846720,3394850815),('JP',3394850816,3394854911),('NZ',3394863104,3394871295),('AU',3394871296,3394879487),('PH',3394879488,3394883583),('ID',3394883584,3394887679),('JP',3394887680,3394893823),('KR',3394893824,3394894847),('HK',3394894848,3394895871),('CN',3394895872,3394896895),('TH',3394896896,3394897919),('JP',3394897920,3394899967),('SG',3394899968,3394904063),('AU',3394904576,3394905087),('BN',3394905088,3394905343),('AU',3394905344,3394906111),('AU',3394908160,3394910207),('PH',3394910208,3394912255),('PF',3394912256,3394920447),('IN',3394920448,3394924543),('TH',3394924544,3394928639),('PH',3394928640,3394936831),('AU',3394936832,3394940927),('JP',3394940928,3394945023),('IN',3394945024,3394945279),('AU',3394945280,3394945535),('ID',3394945536,3394946047),('AU',3394946048,3394946559),('ID',3394946560,3394947071),('BD',3394947072,3394948095),('IN',3394948096,3394948351),('PH',3394948352,3394948607),('AU',3394948608,3394949119),('JP',3394949120,3394953215),('CN',3394953216,3394957311),('AP',3394957312,3394959359),('HK',3394959360,3394960383),('CN',3394960384,3394962431),('AU',3394962432,3394963455),('ID',3394963456,3394965503),('TH',3394965504,3394967551),('ID',3394967552,3394969599),('SG',3394969600,3394971391),('AU',3394971392,3394971647),('SG',3394971648,3394973695),('JP',3394973696,3394977791),('IN',3394977792,3394985983),('JP',3394990080,3394994175),('CN',3394994176,3394995199),('IN',3394995200,3394998271),('JP',3394998272,3395002367),('PH',3395002368,3395006463),('CN',3395006464,3395010559),('AU',3395010560,3395014655),('JP',3395014656,3395018751),('CN',3395018752,3395027967),('VN',3395027968,3395028991),('IN',3395028992,3395031039),('PK',3395031040,3395035135),('AU',3395035136,3395039231),('BD',3395039232,3395043327),('AU',3395043328,3395059711),('PH',3395059712,3395067903),('HK',3395067904,3395076095),('ID',3395076096,3395080191),('AU',3395080192,3395084287),('IN',3395084288,3395088383),('AU',3395088384,3395091455),('CN',3395091456,3395093503),('AU',3395093504,3395094015),('KR',3395094016,3395094527),('KH',3395094528,3395096575),('ID',3395096576,3395104767),('TH',3395104768,3395108863),('JP',3395108864,3395117055),('AU',3395117056,3395121151),('ID',3395121152,3395129343),('JP',3395129344,3395131391),('AU',3395131392,3395131647),('KH',3395131648,3395131903),('IN',3395131904,3395132159),('AU',3395132160,3395132415),('VN',3395132416,3395133439),('AU',3395133440,3395141631),('HK',3395141632,3395145727),('BN',3395145728,3395149823),('ID',3395149824,3395155967),('AU',3395155968,3395156991),('CN',3395156992,3395158015),('AU',3395166208,3395170303),('JP',3395170304,3395174399),('SG',3395182592,3395190783),('JP',3395190784,3395198975),('MY',3395198976,3395203071),('JP',3395203072,3395215359),('HK',3395215360,3395219455),('TH',3395219456,3395223551),('CN',3395223552,3395231743),('JP',3395231744,3395239935),('SG',3395239936,3395254751),('JP',3395254752,3395254767),('SG',3395254768,3395256319),('ID',3395256320,3395264511),('JP',3395264512,3395272703),('PG',3395272704,3395276799),('JP',3395276800,3395280895),('PH',3395280896,3395284991),('AU',3395284992,3395287039),('JP',3395287040,3395287551),('NZ',3395287552,3395287807),('IN',3395287808,3395288063),('CN',3395288064,3396868319),('SG',3396868320,3396868351),('CN',3396868352,3396995071),('ID',3396995072,3396997119),('IN',3396997120,3396999167),('JP',3396999168,3397001215),('CN',3397001216,3397003263),('TH',3397003264,3397005311),('JP',3397005312,3397009407),('CN',3397009408,3397017599),('HK',3397017600,3397021695),('CN',3397021696,3397023743),('BD',3397023744,3397025791),('CN',3397025792,3397026047),('AU',3397026048,3397026303),('TH',3397026304,3397026815),('AU',3397026816,3397027071),('PH',3397027072,3397027327),('IN',3397027328,3397027839),('JP',3397027840,3397029887),('MY',3397029888,3397033983),('ID',3397033984,3397038079),('JP',3397038080,3397058559),('MU',3397058560,3397066751),('IN',3397066752,3397070847),('PH',3397070848,3397074943),('HK',3397074944,3397083135),('CN',3397083136,3397087231),('JP',3397087232,3397091327),('GU',3397091328,3397099519),('HK',3397099520,3397103615),('LA',3397103616,3397105663),('JP',3397105664,3397107711),('HK',3397107712,3397115903),('ID',3397115904,3397119999),('PK',3397120000,3397124095),('JP',3397124096,3397128191),('CN',3397130240,3397131263),('HK',3397131264,3397132287),('AU',3397132288,3397136383),('JP',3397136384,3397140479),('AU',3397140480,3397148671),('NZ',3397148672,3397156863),('PH',3397156864,3397165055),('LK',3397165056,3397173247),('JP',3397177344,3397181439),('PW',3397181440,3397185535),('AU',3397185536,3397187583),('AP',3397187584,3397189631),('AU',3397189632,3397201919),('JP',3397201920,3397206015),('BD',3397206016,3397210111),('PK',3397218304,3397230591),('AU',3397230592,3397234687),('CN',3397234688,3397238783),('HK',3397238784,3397255167),('JP',3397255168,3397255607),('SG',3397255608,3397255615),('JP',3397255616,3397255711),('SG',3397255712,3397255727),('JP',3397255728,3397255807),('HK',3397255808,3397255823),('JP',3397255824,3397256655),('HK',3397256656,3397256671),('JP',3397256672,3397256975),('SG',3397256976,3397256983),('JP',3397256984,3397257327),('SG',3397257328,3397257343),('JP',3397257344,3397257983),('SG',3397257984,3397258007),('JP',3397258008,3397258015),('SG',3397258016,3397258063),('JP',3397258064,3397263359),('PH',3397263360,3397267455),('HK',3397267456,3397271551),('TW',3397271552,3397275647),('NZ',3397275648,3397277695),('MN',3397277696,3397279743),('AU',3397279744,3397283839),('KR',3397283840,3397285887),('BD',3397285888,3397287935),('SG',3397287936,3397304319),('NZ',3397304320,3397308415),('HK',3397308416,3397312511),('JP',3397312512,3397320703),('CN',3397320704,3397322751),('NZ',3397322752,3397323775),('CN',3397323776,3397328895),('ID',3397328896,3397330943),('CN',3397330944,3397337087),('HK',3397337088,3397341183),('JP',3397341184,3397345279),('ID',3397345280,3397349375),('CN',3397349376,3397363711),('HK',3397363712,3397365759),('JP',3397365760,3397369855),('CN',3397369856,3397386239),('GU',3397386240,3397394431),('PH',3397394432,3397402623),('GU',3397402624,3397410815),('AU',3397414912,3397419007),('HK',3397419008,3397419535),('KR',3397419536,3397419551),('HK',3397419552,3397419871),('KR',3397419872,3397419904),('HK',3397419905,3397427199),('SG',3397427200,3397443583),('HK',3397443584,3397451775),('TH',3397451776,3397468159),('AU',3397468160,3397492735),('MY',3397492736,3397496831),('JP',3397496832,3397498879),('ID',3397498880,3397500927),('BD',3397500928,3397501951),('IN',3397501952,3397503999),('TH',3397504000,3397505023),('CN',3397517312,3397525503),('HK',3397533696,3397555903),('JP',3397555904,3397555935),('HK',3397555936,3397566263),('TW',3397566264,3397566271),('HK',3397566272,3397566463),('AU',3397566464,3397574655),('CN',3397574656,3397582847),('MN',3397582848,3397584895),('JP',3397584896,3397586943),('CN',3397586944,3397588991),('KR',3397588992,3397591039),('HK',3397591040,3397595135),('CN',3397595136,3397599231),('HK',3397599232,3397603327),('KH',3397603328,3397605375),('AU',3397605376,3397607423),('IN',3397607424,3397623807),('GU',3397623808,3397631999),('JP',3397632000,3397636095),('CN',3397636096,3397640191),('MN',3397640192,3397648383),('TW',3397648384,3397713919),('ID',3397713920,3397715967),('HK',3397715968,3397716431),('ID',3397716432,3397716447),('HK',3397716448,3397716463),('AF',3397716464,3397716479),('HK',3397716480,3397717247),('BD',3397717248,3397717255),('AF',3397717256,3397717279),('ID',3397717280,3397717287),('AF',3397717288,3397717295),('HK',3397717296,3397717303),('AF',3397717304,3397717311),('HK',3397717312,3397717343),('AF',3397717344,3397717359),('HK',3397717360,3397717711),('BD',3397717712,3397717727),('HK',3397717728,3397718015),('KR',3397718016,3397722111),('PK',3397722112,3397726207),('IN',3397726208,3397730303),('PK',3397730304,3397734399),('ID',3397734400,3397738495),('MY',3397738496,3397742591),('JP',3397742592,3397746687),('TH',3397746688,3397763071),('PH',3397763072,3397771263),('TW',3397771264,3397775887),('HK',3397775888,3397775919),('TW',3397775920,3397777535),('CR',3397777536,3397777551),('TW',3397777552,3397777583),('CR',3397777584,3397777599),('TW',3397777600,3397777791),('CR',3397777792,3397777807),('TW',3397777808,3397777839),('CR',3397777840,3397777855),('TW',3397777856,3397778175),('US',3397778176,3397778191),('TW',3397778192,3397779455),('ID',3397779456,3397781503),('BD',3397781504,3397783551),('VN',3397783552,3397785599),('TO',3397785600,3397787647),('AU',3397787648,3397791743),('PH',3397793792,3397794303),('AU',3397794304,3397794559),('IN',3397794560,3397794815),('HK',3397794816,3397812223),('PK',3397812224,3397816319),('IN',3397816320,3397832703),('JP',3397832704,3397836799),('AU',3397836800,3397844991),('JP',3397844992,3397853951),('HK',3397853952,3397854207),('JP',3397854208,3397855231),('HK',3397855232,3397855239),('JP',3397855240,3397881503),('NZ',3397881504,3397881535),('JP',3397881536,3397903103),('HK',3397903104,3397903359),('JP',3397903360,3397910015),('SG',3397910016,3397910271),('JP',3397910272,3397910527),('SG',3397910528,3397918719),('AU',3397918720,3397922815),('CN',3397922816,3397926911),('ID',3397926912,3397935103),('AU',3397935104,3397939199),('KR',3397939200,3397951487),('SG',3397951488,3397959679),('JP',3397959680,3397963775),('CN',3397963776,3397971967),('LA',3397971968,3397974015),('IN',3397974016,3397975039),('ID',3397976064,3397984255),('JP',3397984256,3397992447),('AU',3397992448,3398004735),('PH',3398004736,3398008831),('LA',3398008832,3398017023),('AU',3398017024,3398021119),('FJ',3398021120,3398023167),('JP',3398023168,3398025215),('AU',3398025216,3398029311),('IN',3398029312,3398033407),('IN',3398035456,3398037503),('NZ',3398037504,3398039551),('IN',3398039552,3398040575),('MY',3398040576,3398041599),('AU',3398041600,3398062079),('JP',3398062080,3398066175),('IN',3398066176,3398074367),('PH',3398074368,3398090751),('AU',3398090752,3398098943),('ID',3398098944,3398107135),('AU',3398107136,3398156287),('TH',3398156288,3398164479),('AU',3398164480,3398172671),('JP',3398172672,3398180863),('IN',3398180864,3398189055),('HK',3398189056,3398205439),('IN',3398205440,3398213631),('HK',3398213632,3398221823),('JP',3398221824,3398230015),('HK',3398230016,3398238207),('IN',3398238208,3398279167),('CN',3398279168,3398287359),('JP',3398287360,3398291455),('AU',3398291456,3398295551),('PK',3398295552,3398303743),('IN',3398303744,3398305791),('JP',3398305792,3398307839),('CN',3398307840,3398311935),('AU',3398311936,3398320127),('IN',3398320128,3398336511),('AU',3398336512,3398340607),('PK',3398340608,3398352895),('TH',3398352896,3398361087),('JP',3398361088,3398369279),('IN',3398369280,3398369791),('JP',3398369792,3398370303),('IN',3398370304,3398371327),('JP',3398371328,3398373375),('CN',3398373376,3398377471),('ID',3398377472,3398381567),('AU',3398381568,3398385663),('JP',3398385664,3398393855),('ID',3398393856,3398397951),('PK',3398397952,3398402047),('TH',3398402048,3398418431),('JP',3398418432,3398434815),('IN',3398434816,3398467583),('BT',3398467584,3398475775),('AU',3398475776,3398481919),('LA',3398481920,3398483967),('MY',3398483968,3398488063),('TW',3398488064,3398492159),('ID',3398500352,3398504447),('JP',3398504448,3398508543),('TW',3398508544,3398565887),('ID',3398565888,3398567423),('AU',3398567424,3398569983),('JP',3398569984,3398572031),('AP',3398572032,3398574079),('ID',3398574080,3398582271),('MY',3398582272,3398590463),('HK',3398590464,3398598655),('ID',3398598656,3398606847),('AU',3398606848,3398610943),('ID',3398610944,3398612991),('PH',3398612992,3398613503),('NZ',3398613504,3398613759),('AU',3398613760,3398614015),('IN',3398615040,3398619135),('AU',3398619136,3398621183),('HK',3398621184,3398623231),('ID',3398623232,3398631423),('AP',3398631424,3398631935),('JP',3398631936,3398632143),('AP',3398632144,3398632175),('JP',3398632176,3398632383),('AP',3398632384,3398632391),('JP',3398632392,3398632623),('AP',3398632624,3398632639),('JP',3398632640,3398632959),('AP',3398632960,3398633983),('KR',3398633984,3398634111),('AP',3398634112,3398634303),('KR',3398634304,3398634479),('AP',3398634480,3398634495),('KR',3398634496,3398634591),('AP',3398634592,3398634607),('KR',3398634608,3398634623),('AP',3398634624,3398634751),('KR',3398634752,3398634783),('AP',3398634784,3398635263),('KR',3398635264,3398635391),('AP',3398635392,3398636039),('HK',3398636040,3398636047),('AP',3398636048,3398636351),('HK',3398636352,3398636383),('AP',3398636384,3398636447),('HK',3398636448,3398636527),('AP',3398636528,3398636543),('HK',3398636544,3398636583),('AP',3398636584,3398636591),('HK',3398636592,3398636735),('AP',3398636736,3398636767),('HK',3398636768,3398636775),('AP',3398636776,3398636783),('HK',3398636784,3398636799),('AP',3398636800,3398637183),('HK',3398637184,3398637215),('AP',3398637216,3398637247),('HK',3398637248,3398637311),('JP',3398637312,3398637375),('HK',3398637376,3398637519),('AP',3398637520,3398637551),('HK',3398637552,3398637567),('AP',3398637568,3398638095),('PH',3398638096,3398638111),('AP',3398638112,3398638159),('PH',3398638160,3398638167),('TW',3398638168,3398638191),('PH',3398638192,3398638207),('AP',3398638208,3398638367),('TW',3398638368,3398638383),('AP',3398638384,3398638399),('TW',3398638400,3398638431),('PH',3398638432,3398638447),('AP',3398638448,3398638479),('TW',3398638480,3398638495),('AP',3398638496,3398638559),('PH',3398638560,3398638575),('AP',3398638576,3398638719),('PH',3398638720,3398638847),('AP',3398638848,3398638879),('PH',3398638880,3398638911),('AP',3398638912,3398638943),('TW',3398638944,3398638951),('AP',3398638952,3398639007),('PH',3398639008,3398639231),('AP',3398639232,3398639247),('PH',3398639248,3398639263),('TW',3398639264,3398639271),('AP',3398639272,3398639423),('PH',3398639424,3398639455),('AP',3398639456,3398640127),('SG',3398640128,3398640159),('AP',3398640160,3398640191),('MY',3398640192,3398640207),('AP',3398640208,3398640639),('SG',3398640640,3398640695),('AP',3398640696,3398640783),('SG',3398640784,3398640799),('AP',3398640800,3398640895),('MY',3398640896,3398640911),('SG',3398640912,3398640959),('AP',3398640960,3398641007),('SG',3398641008,3398641039),('AP',3398641040,3398641055),('SG',3398641056,3398641087),('AP',3398641088,3398641095),('SG',3398641096,3398641103),('AP',3398641104,3398641119),('SG',3398641120,3398641311),('AP',3398641312,3398641423),('SG',3398641424,3398641431),('MY',3398641432,3398641447),('AP',3398641448,3398641455),('SG',3398641456,3398641503),('AP',3398641504,3398641535),('SG',3398641536,3398641543),('AP',3398641544,3398641567),('MY',3398641568,3398641631),('AP',3398641632,3398642463),('AU',3398642464,3398642511),('NZ',3398642512,3398642527),('AU',3398642528,3398642559),('AP',3398642560,3398642623),('AU',3398642624,3398642639),('AP',3398642640,3398642655),('AU',3398642656,3398642815),('AP',3398642816,3398642975),('AU',3398642976,3398643007),('AP',3398643008,3398643023),('AU',3398643024,3398643039),('AP',3398643040,3398643047),('AU',3398643048,3398643071),('AP',3398643072,3398643199),('AU',3398643200,3398643223),('NZ',3398643224,3398643247),('AU',3398643248,3398643263),('AP',3398643264,3398643343),('AU',3398643344,3398643359),('AP',3398643360,3398643375),('NZ',3398643376,3398643383),('AP',3398643384,3398643519),('AU',3398643520,3398643583),('AP',3398643584,3398643711),('SG',3398643712,3398643967),('AP',3398643968,3398645759),('AU',3398645760,3398646271),('AP',3398646272,3398647295),('TW',3398647296,3398647551),('AP',3398647552,3398647807),('AU',3398647808,3398668287),('PK',3398672384,3398680575),('ID',3398680576,3398684671),('JP',3398684672,3398688767),('ID',3398688768,3398705151),('AU',3398709248,3398711295),('BD',3398711296,3398713343),('CN',3398721536,3398729727),('AU',3398729728,3398737919),('SG',3398737920,3398742015),('TH',3398742016,3398746111),('IN',3398746112,3398750207),('TW',3398750208,3398754303),('AU',3398754304,3398758399),('JP',3398758400,3398768639),('TH',3398768640,3398770687),('IN',3398770688,3398778879),('ID',3398778880,3398787071),('TH',3398787072,3398795263),('ID',3398795264,3398803455),('CN',3398803456,3398811647),('IN',3398811648,3398819839),('CN',3398819840,3398828031),('CN',3398832128,3398836223),('ID',3398836224,3398840319),('JP',3398840320,3398842367),('HK',3398842368,3398843391),('AU',3398843392,3398844415),('ID',3398844416,3398852607),('NZ',3398852608,3398860799),('ID',3398860800,3398873087),('KR',3398873088,3398877183),('SG',3398881280,3398885375),('ID',3398885376,3398894591),('TH',3398894592,3398895615),('ID',3398895616,3398897663),('FJ',3398897664,3398901759),('AU',3398901760,3398902015),('HK',3398902016,3398902271),('PH',3398902272,3398902783),('AU',3398902784,3398903807),('TH',3398903808,3398905855),('TW',3398905856,3398909951),('GU',3398909952,3398918143),('JP',3398918144,3398926335),('IN',3398926336,3398934527),('VN',3398934528,3398938623),('TH',3398938624,3398942719),('MY',3398942720,3398959103),('ID',3398959104,3398975487),('BN',3398975488,3398983679),('JP',3398983680,3398991871),('ID',3398991872,3399004159),('CN',3399004160,3399008255),('ID',3399008256,3399012351),('JP',3399012352,3399016447),('ID',3399016448,3399024639),('TH',3399024640,3399025663),('JP',3399025664,3399026175),('SG',3399026176,3399026431),('AU',3399026432,3399026687),('HK',3399026688,3399028735),('ID',3399028736,3399032831),('IN',3399032832,3399036927),('CN',3399036928,3399041023),('AU',3399041024,3399045119),('MV',3399045120,3399047167),('HK',3399047168,3399057407),('ID',3399057408,3399065599),('TW',3399065600,3399074495),('CN',3399074496,3399074527),('TW',3399074528,3399075487),('CR',3399075488,3399075503),('TW',3399075504,3399076431),('CR',3399076432,3399076447),('TW',3399076448,3399076607),('HK',3399076608,3399076639),('TW',3399076640,3399076687),('HK',3399076688,3399076703),('TW',3399076704,3399077079),('HK',3399077080,3399077087),('TW',3399077088,3399077359),('CR',3399077360,3399077375),('TW',3399077376,3399077887),('AU',3399077888,3399081983),('ID',3399081984,3399099647),('AU',3399099648,3399099903),('ID',3399099904,3399100719),('AU',3399100720,3399100735),('ID',3399100736,3399100751),('AU',3399100752,3399100799),('ID',3399100800,3399100863),('AU',3399100864,3399100879),('ID',3399100880,3399100895),('AU',3399100896,3399100927),('ID',3399100928,3399101951),('AU',3399101952,3399101983),('ID',3399101984,3399102079),('AU',3399102080,3399102111),('ID',3399102112,3399102127),('AU',3399102128,3399102207),('ID',3399102208,3399102287),('AU',3399102288,3399102399),('ID',3399102400,3399102431),('AU',3399102432,3399102463),('ID',3399102464,3399102719),('AU',3399102720,3399102975),('ID',3399102976,3399106559),('AU',3399106560,3399122943),('NZ',3399122944,3399131135),('IN',3399131136,3399135231),('ID',3399135232,3399139327),('TW',3399139328,3399147519),('PK',3399147520,3399155711),('ID',3399155712,3399196671),('AU',3399196672,3399204863),('HK',3399204864,3399221247),('SG',3399221248,3399286783),('JP',3399286784,3399303167),('IN',3399303168,3399311359),('JP',3399311360,3399319551),('SG',3399319552,3399331839),('MY',3399331840,3399332351),('AU',3399332352,3399332863),('HK',3399332864,3399333375),('MY',3399333376,3399335423),('IN',3399335424,3399335935),('JP',3399344128,3399352319),('ID',3399352320,3399389183),('KR',3399389184,3399393279),('CN',3399393280,3399401471),('AU',3399401472,3399409663),('JP',3399409664,3399413759),('ID',3399417856,3399450623),('TW',3399450624,3399467007),('IN',3399467008,3399483391),('BN',3399483392,3399495679),('NZ',3399495680,3399499775),('TW',3399499776,3399507967),('AU',3399507968,3399512063),('NZ',3399512064,3399514111),('SG',3399514112,3399515135),('VN',3399515136,3399515647),('AU',3399515648,3399524351),('IN',3399524352,3399528447),('CN',3399528448,3399532543),('SG',3399532544,3399544575),('IN',3399544576,3399544831),('SG',3399544832,3399546879),('US',3399546880,3399547135),('SG',3399547136,3399547903),('PK',3399547904,3399547911),('SG',3399547912,3399547935),('PK',3399547936,3399547951),('SG',3399547952,3399547967),('PK',3399547968,3399547999),('SG',3399548000,3399548415),('ID',3399548416,3399548671),('SG',3399548672,3399548927),('AU',3399548928,3399557119),('SG',3399557120,3399565311),('AU',3399565312,3399581695),('US',3399581696,3399583487),('NP',3399583488,3399583743),('US',3399583744,3399584255),('BD',3399584256,3399584511),('US',3399584512,3399587839),('BD',3399587840,3399588095),('US',3399588096,3399589631),('NP',3399589632,3399589887),('HK',3399589888,3399593983),('BD',3399593984,3399598079),('JP',3399598080,3399614463),('MY',3399614464,3399622655),('ID',3399622656,3399626751),('IN',3399626752,3399630847),('JP',3399634944,3399639039),('AU',3399639040,3399643135),('JP',3399643136,3399655423),('PH',3399655424,3399659519),('NZ',3399659520,3399661567),('HK',3399661568,3399662591),('IN',3399662592,3399663615),('ID',3399663616,3399671807),('IN',3399671808,3399679999),('HK',3399680000,3399688191),('SG',3399688192,3399696383),('PK',3399696384,3399712767),('KR',3399712768,3399720959),('JP',3399720960,3399729151),('PH',3399729152,3399745535),('CN',3399745536,3399749631),('AU',3399749632,3399751679),('IN',3399751680,3399752191),('AU',3399752192,3399752447),('HK',3399752448,3399752703),('NZ',3399752704,3399753727),('IN',3399753728,3399761919),('JP',3399761920,3399770111),('IN',3399778304,3399786495),('PH',3399786496,3399794687),('AU',3399794688,3399798783),('BD',3399798784,3399800831),('ID',3399800832,3399802879),('JP',3399802880,3399811071),('MY',3399811072,3399819263),('ID',3399819264,3399823359),('JP',3399823360,3399825407),('KR',3399825408,3399826431),('PH',3399826432,3399826943),('IN',3399826944,3399827455),('AU',3399827456,3399835647),('AP',3399835648,3399839743),('JP',3399839744,3399841791),('TW',3399841792,3399846399),('US',3399846400,3399846407),('TW',3399846408,3399846919),('US',3399846920,3399846935),('TW',3399846936,3399847247),('US',3399847248,3399847263),('TW',3399847264,3399852031),('JP',3399852032,3399856127),('CN',3399856128,3399860223),('PG',3399860224,3399864319),('CN',3399864320,3399868415),('PK',3399868416,3399876607),('SG',3399876608,3399917567),('PK',3399917568,3399921663),('NC',3399921664,3399923711),('IN',3399923712,3399923967),('JP',3399923968,3399924223),('AU',3399924224,3399924735),('PH',3399924736,3399925759),('NP',3399925760,3399933951),('TW',3399933952,3399942143),('AP',3399942144,3399950335),('US',3399950336,3399952639),('AU',3399952640,3399952703),('US',3399952704,3399967871),('HK',3399967872,3399967999),('US',3399968000,3399974911),('AP',3399974912,3399979007),('US',3399979008,3399982959),('SG',3399982960,3399982975),('US',3399982976,3399995391),('KR',3399995392,3399999487),('SG',3399999488,3400001279),('AU',3400001280,3400001535),('SG',3400001536,3400002047),('HK',3400002048,3400002559),('JP',3400002560,3400003583),('SG',3400003584,3400004671),('AU',3400004672,3400004703),('SG',3400004704,3400006911),('AU',3400006912,3400006943),('SG',3400006944,3400007679),('AU',3400007680,3400024063),('MY',3400024064,3400028159),('AU',3400028160,3400030207),('IN',3400030208,3400031231),('SG',3400031232,3400031743),('IN',3400031744,3400031999),('HK',3400032000,3400032255),('AU',3400032256,3400048639),('CN',3400048640,3400056831),('TW',3400056832,3400060927),('HK',3400060928,3400061695),('US',3400061696,3400061759),('PR',3400061760,3400061791),('HK',3400061792,3400061983),('US',3400061984,3400061999),('HK',3400062000,3400062015),('MO',3400062016,3400062047),('HK',3400062048,3400062079),('AU',3400062080,3400062207),('HK',3400062208,3400062975),('JP',3400062976,3400065023),('BD',3400065024,3400073215),('HK',3400073216,3400077311),('AU',3400077312,3400079359),('MY',3400079360,3400081407),('ID',3400081408,3400089599),('JP',3400089600,3400097791),('AU',3400097792,3400105983),('JP',3400105984,3400114175),('TW',3400114176,3400118271),('AP',3400118272,3400120319),('JP',3400120320,3400122367),('NZ',3400122368,3400130559),('ID',3400130560,3400138751),('HK',3400138752,3400146943),('FJ',3400146944,3400151039),('MY',3400151040,3400155135),('MN',3400155136,3400163327),('JP',3400163328,3400167423),('TH',3400167424,3400171519),('CN',3400171520,3400179711),('NZ',3400179712,3400183807),('JP',3400183808,3400187903),('AU',3400187904,3400191999),('JP',3400192000,3400194047),('CN',3400194048,3400196095),('ID',3400204288,3400212479),('MY',3400212480,3400220671),('NC',3400220672,3400221055),('NZ',3400221056,3400221119),('NC',3400221120,3400224767),('JP',3400224768,3400228863),('AU',3400228864,3400232959),('JP',3400232960,3400245247),('AU',3400245248,3400253439),('MY',3400253440,3400257535),('HK',3400257536,3400259583),('JP',3400261632,3400263679),('PG',3400265728,3400267775),('KR',3400267776,3400268799),('MO',3400268800,3400270847),('VN',3400270848,3400271359),('AU',3400271360,3400271615),('IN',3400271616,3400271871),('AU',3400271872,3400273919),('TH',3400273920,3400275967),('JP',3400275968,3400278015),('SG',3400278016,3400286207),('JP',3400286208,3400294399),('AU',3400294400,3400310783),('SG',3400310784,3400335359),('MO',3400335360,3400336383),('PH',3400336384,3400336639),('JP',3400336640,3400336895),('AU',3400336896,3400337151),('PH',3400337152,3400337407),('CN',3400337408,3400339455),('ID',3400339456,3400341503),('AU',3400341504,3400343551),('TW',3400343552,3400351743),('ID',3400351744,3400359935),('JP',3400359936,3400368127),('AU',3400368128,3400388607),('TH',3400388608,3400392703),('CN',3400392704,3400400895),('MO',3400400896,3400401919),('TW',3400401920,3400402175),('IN',3400402176,3400402431),('NZ',3400402432,3400402943),('AP',3400402944,3400404991),('TW',3400404992,3400409087),('AU',3400409088,3400413183),('JP',3400413184,3400417279),('SG',3400417280,3400421375),('AU',3400421376,3400423423),('KR',3400423424,3400424447),('IN',3400424448,3400425471),('AU',3400425472,3400429567),('NZ',3400429568,3400431615),('IN',3400431616,3400431871),('HK',3400431872,3400432127),('IN',3400432128,3400433663),('HK',3400433664,3400434175),('MY',3400434176,3400434463),('HK',3400434464,3400434471),('MY',3400434472,3400434479),('HK',3400434480,3400434487),('MY',3400434488,3400434519),('MV',3400434520,3400434527),('HK',3400434528,3400434535),('KZ',3400434536,3400434543),('MY',3400434544,3400434551),('KZ',3400434552,3400434559),('MV',3400434560,3400434567),('MY',3400434568,3400434575),('MV',3400434576,3400434583),('MY',3400434584,3400434599),('HK',3400434600,3400434607),('MV',3400434608,3400434647),('KZ',3400434648,3400434655),('MV',3400434656,3400434663),('MY',3400434664,3400434679),('HK',3400434680,3400434687),('MY',3400434688,3400434895),('MV',3400434896,3400434911),('KZ',3400434912,3400434927),('MV',3400434928,3400434935),('HK',3400434936,3400434951),('AF',3400434952,3400434959),('HK',3400434960,3400434975),('AF',3400434976,3400434991),('MA',3400434992,3400435007),('MY',3400435008,3400435071),('MA',3400435072,3400435087),('AF',3400435088,3400435095),('MA',3400435096,3400435119),('HK',3400435120,3400435143),('MA',3400435144,3400435151),('HK',3400435152,3400435159),('MA',3400435160,3400435175),('MY',3400435176,3400435183),('MV',3400435184,3400435199),('AF',3400435200,3400435207),('HK',3400435208,3400435239),('ID',3400435240,3400435263),('MY',3400435264,3400435391),('HK',3400435392,3400435423),('ID',3400435424,3400435439),('KZ',3400435440,3400435455),('MY',3400435456,3400435575),('HK',3400435576,3400435639),('MY',3400435640,3400435647),('HK',3400435648,3400435663),('MY',3400435664,3400435711),('HK',3400435712,3400436479),('NP',3400436480,3400436735),('BD',3400436736,3400437247),('PK',3400437248,3400437375),('BD',3400437376,3400437439),('HK',3400437440,3400437527),('MY',3400437528,3400437543),('HK',3400437544,3400437551),('MY',3400437552,3400437591),('BD',3400437592,3400437599),('MN',3400437600,3400437607),('MY',3400437608,3400437615),('HK',3400437616,3400437631),('MY',3400437632,3400437647),('HK',3400437648,3400437655),('MY',3400437656,3400437663),('MN',3400437664,3400437671),('HK',3400437672,3400437679),('MN',3400437680,3400437687),('ID',3400437688,3400437703),('HK',3400437704,3400437711),('MY',3400437712,3400437719),('HK',3400437720,3400437727),('ID',3400437728,3400437759),('AF',3400437760,3400437767),('MY',3400437768,3400437775),('HK',3400437776,3400437783),('NP',3400437784,3400437807),('MN',3400437808,3400437815),('ID',3400437816,3400437823),('MY',3400437824,3400437831),('ID',3400437832,3400437847),('MY',3400437848,3400437887),('HK',3400437888,3400437895),('MY',3400437896,3400437903),('ID',3400437904,3400437911),('MY',3400437912,3400437927),('ID',3400437928,3400437935),('BD',3400437936,3400437951),('MN',3400437952,3400437959),('ID',3400437960,3400437967),('MY',3400437968,3400437975),('AF',3400437976,3400437983),('HK',3400437984,3400438015),('LK',3400438016,3400438079),('BD',3400438080,3400438111),('HK',3400438112,3400438143),('BD',3400438144,3400438175),('HK',3400438176,3400438399),('BD',3400438400,3400438591),('HK',3400438592,3400438783),('KZ',3400438784,3400438815),('PK',3400438816,3400438831),('AF',3400438832,3400438839),('ID',3400438840,3400438847),('BD',3400438848,3400438863),('HK',3400438864,3400438871),('ID',3400438872,3400438879),('NP',3400438880,3400438911),('AF',3400438912,3400438919),('IN',3400438920,3400438927),('BD',3400438928,3400438943),('HK',3400438944,3400438959),('ID',3400438960,3400438991),('HK',3400438992,3400438999),('PK',3400439000,3400439007),('BD',3400439008,3400439023),('ID',3400439024,3400439039),('HK',3400439040,3400439295),('PK',3400439296,3400439551),('BD',3400439552,3400439615),('HK',3400439616,3400439679),('BD',3400439680,3400439711),('KZ',3400439712,3400439743),('BD',3400439744,3400439807),('HK',3400439808,3400439871),('NP',3400439872,3400439935),('HK',3400439936,3400440063),('NP',3400440064,3400440079),('MN',3400440080,3400440087),('MY',3400440088,3400440095),('MN',3400440096,3400440111),('MY',3400440112,3400440127),('MN',3400440128,3400440135),('HK',3400440136,3400440143),('MY',3400440144,3400440159),('BD',3400440160,3400440167),('MY',3400440168,3400440175),('BD',3400440176,3400440191),('KZ',3400440192,3400440199),('MN',3400440200,3400440207),('MY',3400440208,3400440223),('BD',3400440224,3400440239),('ID',3400440240,3400440247),('AF',3400440248,3400440255),('ID',3400440256,3400440263),('MN',3400440264,3400440271),('ID',3400440272,3400440295),('BD',3400440296,3400440303),('MY',3400440304,3400440319),('AF',3400440320,3400440327),('ID',3400440328,3400440335),('NP',3400440336,3400440343),('AF',3400440344,3400440351),('HK',3400440352,3400440359),('ID',3400440360,3400440367),('HK',3400440368,3400440375),('ID',3400440376,3400440383),('MN',3400440384,3400440391),('ID',3400440392,3400440415),('AF',3400440416,3400440431),('MY',3400440432,3400440439),('HK',3400440440,3400440447),('AF',3400440448,3400440455),('BD',3400440456,3400440463),('ID',3400440464,3400440467),('HK',3400440468,3400440475),('NP',3400440476,3400440479),('AF',3400440480,3400440487),('MY',3400440488,3400440495),('LK',3400440496,3400440499),('AF',3400440500,3400440507),('HK',3400440508,3400440519),('ID',3400440520,3400440531),('AF',3400440532,3400440535),('ID',3400440536,3400440539),('HK',3400440540,3400440543),('MN',3400440544,3400440551),('NP',3400440552,3400440575),('ID',3400440576,3400440583),('HK',3400440584,3400440591),('PK',3400440592,3400440607),('HK',3400440608,3400440623),('ID',3400440624,3400440639),('HK',3400440640,3400440703),('AF',3400440704,3400440712),('ID',3400440713,3400440719),('AF',3400440720,3400440727),('KZ',3400440728,3400440735),('BD',3400440736,3400440743),('ID',3400440744,3400440750),('HK',3400440751,3400440751),('ID',3400440752,3400440759),('MY',3400440760,3400440767),('ID',3400440768,3400440775),('HK',3400440776,3400440783),('MN',3400440784,3400440792),('AF',3400440793,3400440799),('BD',3400440800,3400440808),('MY',3400440809,3400440815),('AF',3400440816,3400440823),('MY',3400440824,3400440831),('BD',3400440832,3400440895),('AF',3400440896,3400440959),('VN',3400440960,3400441023),('AF',3400441024,3400441047),('BD',3400441048,3400441055),('PK',3400441056,3400441063),('HK',3400441064,3400441071),('ID',3400441072,3400441079),('AF',3400441080,3400441087),('PK',3400441088,3400441151),('BD',3400441152,3400441215),('HK',3400441216,3400441279),('AF',3400441280,3400441311),('LK',3400441312,3400441319),('AF',3400441320,3400441327),('LK',3400441328,3400441335),('HK',3400441336,3400441855),('NZ',3400441856,3400445951),('AU',3400445952,3400446463),('NZ',3400446464,3400450047),('JP',3400450048,3400458239),('AU',3400458240,3400466431),('MO',3400466432,3400499199),('NZ',3400499200,3400503295),('JP',3400503296,3400507391),('MO',3400507392,3400515583),('PH',3400515584,3400531967),('AU',3400531968,3400534015),('JP',3400534016,3400535039),('MY',3400535040,3400535551),('AU',3400535552,3400536063),('JP',3400536064,3400548351),('TH',3400548352,3400581119),('SG',3400581120,3400589311),('HK',3400597504,3400605695),('JP',3400605696,3400607743),('AU',3400607744,3400608767),('IN',3400608768,3400609791),('JP',3400609792,3400630271),('IN',3400630272,3400646655),('SG',3400646656,3400647775),('AU',3400647776,3400647791),('SG',3400647792,3400649191),('HK',3400649192,3400649199),('SG',3400649200,3400649983),('HK',3400649984,3400650047),('SG',3400650048,3400650407),('AU',3400650408,3400650415),('SG',3400650416,3400652031),('AU',3400652032,3400652287),('SG',3400652288,3400652439),('AU',3400652440,3400652447),('SG',3400652448,3400652479),('AU',3400652480,3400652543),('SG',3400652544,3400654103),('AU',3400654104,3400654111),('SG',3400654112,3400654207),('AU',3400654208,3400654335),('SG',3400654336,3400654695),('AU',3400654696,3400654703),('SG',3400654704,3400654719),('AU',3400654720,3400654735),('SG',3400654736,3400654847),('IN',3400654848,3400663039),('MY',3400663040,3400683519),('JP',3400683520,3400691711),('KH',3400691712,3400695807),('TW',3400695808,3400728575),('MN',3400728576,3400736767),('JP',3400736768,3400744959),('IN',3400744960,3400753151),('MY',3400753152,3400761343),('PK',3400761344,3400769535),('JP',3400769536,3400773631),('KR',3400773632,3400775679),('ID',3400775680,3400777727),('JP',3400777728,3400790015),('CN',3400790016,3400794111),('ID',3400794112,3400802303),('JP',3400802304,3400806399),('ID',3400806400,3400808447),('JP',3400808448,3400810495),('NZ',3400810496,3400826879),('CN',3400826880,3400835071),('HK',3400835072,3400839167),('JP',3400839168,3400847359),('MN',3400849408,3400851455),('AU',3400851456,3400867839),('AU',3400876032,3400884223),('JP',3400884224,3400888319),('CN',3400888320,3400892415),('HK',3400892416,3400925183),('TH',3400925184,3400933375),('ID',3400937472,3400941567),('AU',3400941568,3400966143),('ID',3400966144,3400974335),('HK',3400982528,3400990719),('ID',3400990720,3400998911),('PH',3400998912,3401003007),('JP',3401003008,3401007103),('IN',3401007104,3401011199),('JP',3401011200,3401015295),('AU',3401015296,3401023487),('TH',3401023488,3401056255),('MY',3401056256,3401400319),('AU',3401400320,3401404415),('CN',3401404416,3401408511),('HK',3401408512,3401416703),('KR',3401416704,3401420799),('JP',3401420800,3401424895),('NZ',3401424896,3401428991),('JP',3401428992,3401431039),('JP',3401433088,3401441279),('IN',3401441280,3401449471),('MY',3401449472,3401515007),('DE',3401515008,3401515263),('ID',3401515520,3401516031),('AU',3401516032,3401519103),('JP',3401519104,3401523199),('NZ',3401523200,3401527295),('AU',3401527296,3401529343),('VN',3401529344,3401530367),('AU',3401530368,3401531391),('IN',3401531392,3401539583),('AU',3401539584,3401543679),('JP',3401543680,3401545727),('BD',3401545728,3401547775),('MY',3401547776,3401580543),('CN',3401580544,3401642495),('TW',3401642496,3401642751),('CN',3401642752,3402629119),('JP',3402629120,3404857954),('ID',3404857955,3404857955),('JP',3404857956,3404857966),('IN',3404857967,3404857967),('JP',3404857968,3405774847),('AU',3405774848,3406071807),('US',3406071808,3406073855),('AU',3406073856,3406077951),('TH',3406077952,3406078207),('AU',3406078208,3406384639),('SG',3406384640,3406385151),('AU',3406385152,3406409727),('NZ',3406409728,3406411775),('AU',3406411776,3406434303),('MY',3406434304,3406436351),('AU',3406436352,3406542847),('SG',3406542848,3406543103),('AU',3406543104,3406565887),('PH',3406565888,3406566143),('AU',3406566144,3406566399),('AU',3406566912,3406591487),('NP',3406591488,3406591743),('AU',3406591744,3406617599),('MY',3406617600,3406617855),('AU',3406617856,3406618111),('IN',3406618112,3406618623),('AU',3406618624,3406625023),('NF',3406625024,3406625279),('AU',3406625280,3406669823),('IN',3406669824,3406670847),('AU',3406670848,3406696959),('IN',3406696960,3406697215),('AU',3406697216,3406734847),('AP',3406734848,3406735103),('AU',3406735104,3406737407),('ID',3406737408,3406737663),('AU',3406737664,3406746623),('HK',3406746624,3406746879),('AU',3406746880,3406946815),('KR',3406946816,3406947071),('AU',3406947072,3406950399),('NF',3406950400,3406951423),('AU',3406951424,3406961151),('IN',3406961152,3406961407),('AU',3406961408,3406967295),('CN',3406967296,3406967551),('AU',3406967552,3407020287),('SG',3407020288,3407020543),('AU',3407020544,3407020799),('IN',3407020800,3407021055),('AU',3407021056,3407045887),('HK',3407045888,3407046143),('AU',3407046144,3407057663),('JP',3407057664,3407057919),('AU',3407057920,3407096831),('JP',3407096832,3407097087),('AU',3407097088,3407112447),('SG',3407112448,3407112703),('AU',3407112704,3407152895),('IN',3407152896,3407153151),('AU',3407153152,3407157559),('NZ',3407157560,3407157563),('AU',3407157564,3407157579),('NZ',3407157580,3407157583),('AU',3407157584,3407157611),('NZ',3407157612,3407157615),('AU',3407157616,3407157643),('NZ',3407157644,3407157647),('AU',3407157648,3407157703),('NZ',3407157704,3407157711),('AU',3407157712,3407158015),('NZ',3407158016,3407158047),('AU',3407158048,3407158051),('NZ',3407158052,3407158055),('AU',3407158056,3407158111),('NZ',3407158112,3407158127),('AU',3407158128,3407158143),('NZ',3407158144,3407158151),('AU',3407158152,3407158167),('NZ',3407158168,3407158175),('AU',3407158176,3407158207),('NZ',3407158208,3407158223),('AU',3407158224,3407158239),('NZ',3407158240,3407158271),('AU',3407158272,3407159091),('NZ',3407159092,3407159095),('AU',3407159096,3407159111),('NZ',3407159112,3407159151),('AU',3407159152,3407159191),('NZ',3407159192,3407159195),('AU',3407159196,3407159207),('NZ',3407159208,3407159215),('AU',3407159216,3407159231),('NZ',3407159232,3407159239),('AU',3407159240,3407159263),('NZ',3407159264,3407159295),('AU',3407159296,3407243263),('HK',3407243264,3407243775),('AU',3407243776,3407268863),('US',3407268864,3407269119),('AU',3407269120,3407369983),('IN',3407369984,3407370239),('AU',3407370240,3407498495),('PK',3407498496,3407498751),('AU',3407498752,3407524607),('NZ',3407524608,3407524863),('AU',3407524864,3407602943),('JP',3407602944,3407603199),('AU',3407603200,3407604479),('IN',3407604480,3407604735),('AU',3407604736,3407608715),('JP',3407608716,3407608736),('AU',3407608737,3407732223),('HK',3407732224,3407732479),('AU',3407732480,3407750655),('SG',3407750656,3407751167),('AU',3407751168,3407753215),('HK',3407753216,3407753727),('AU',3407753728,3407785471),('NZ',3407785472,3407785727),('AU',3407785728,3407814655),('HK',3407814656,3407815167),('AU',3407815168,3407828991),('US',3407828992,3407829503),('AU',3407829504,3407837183),('US',3407837184,3407837439),('AU',3407837440,3407848447),('ID',3407848448,3407848959),('AU',3407848960,3407866367),('GB',3407866368,3407866623),('AU',3407866624,3407873023),('IN',3407873024,3407873535),('AU',3407873536,3407928575),('IN',3407928576,3407928831),('AU',3407928832,3407985919),('KH',3407985920,3407986175),('AU',3407986176,3407987711),('PH',3407987712,3407987967),('AU',3407987968,3407988223),('IN',3407988224,3407988735),('AU',3407988736,3407998975),('TH',3407998976,3407999231),('AU',3407999232,3408012543),('MN',3408012544,3408012799),('AU',3408012800,3408023807),('JP',3408023808,3408024063),('AU',3408024064,3408032767),('IN',3408032768,3408033279),('ID',3408033280,3408033791),('AU',3408033792,3408041983),('SG',3408041984,3408042495),('HK',3408042496,3408042751),('AU',3408042752,3408066047),('PH',3408066048,3408066303),('AU',3408066304,3409396479),('PH',3409396480,3409396735),('AU',3409396736,3409418495),('PL',3409418496,3409418751),('AU',3409418752,3409423615),('IN',3409423616,3409423871),('AU',3409423872,3409425663),('AP',3409425664,3409425919),('AU',3409425920,3409491711),('SG',3409491712,3409491967),('AU',3409491968,3409505023),('US',3409505024,3409505279),('AU',3409505280,3409506559),('IN',3409506560,3409506815),('AU',3409506816,3409509631),('HK',3409509632,3409509887),('AU',3409509888,3409510367),('IN',3409510368,3409510383),('AU',3409510384,3409547519),('NZ',3409547520,3409547775),('AU',3409547776,3409802831),('MT',3409802832,3409802847),('AU',3409802848,3409838335),('MY',3409838336,3409838591),('AU',3409838848,3409876991),('TH',3409876992,3409878015),('AU',3409878016,3409882111),('IN',3409882112,3409883135),('AU',3409883136,3409887999),('SG',3409888000,3409888255),('AU',3409888256,3409969151),('TW',3409969152,3410755583),('AU',3410755584,3410771967),('JP',3410771968,3410780159),('BD',3410780160,3410788351),('IN',3410788352,3410792447),('BD',3410792448,3410796543),('IN',3410800640,3410804735),('PH',3410804736,3410821119),('TW',3410821120,3410853887),('HK',3410853888,3410862079),('AU',3410862080,3410866175),('KR',3410866176,3410866431),('IN',3410866432,3410866687),('VN',3410866688,3410866943),('AU',3410866944,3410867199),('HK',3410867200,3410868223),('US',3410868224,3410870271),('IN',3410870272,3410874367),('ID',3410874368,3410886655),('TW',3410886656,3410887679),('IN',3410887680,3410887935),('HK',3410887936,3410888703),('SG',3410888704,3410890751),('AU',3410890752,3410894847),('HK',3410894848,3410898943),('HK',3410903040,3410911231),('TH',3410911232,3410915327),('ID',3410915328,3410919423),('IN',3410919424,3410927615),('NP',3410927616,3410931711),('TW',3410931712,3410935807),('MY',3410935808,3410939903),('IN',3410939904,3410943999),('JP',3410944000,3410952191),('CN',3410952192,3410956287),('AU',3410956288,3410958335),('GB',3410960384,3410964479),('JP',3410964480,3410968575),('NZ',3410968576,3410984959),('TW',3410984960,3411017727),('HK',3411017728,3411018751),('AU',3411018752,3411019263),('JP',3411019264,3411019775),('ID',3411019776,3411021823),('MY',3411021824,3411023871),('JP',3411023872,3411025919),('NC',3411030016,3411032063),('TH',3411032064,3411032319),('AU',3411032576,3411033087),('NZ',3411033088,3411034111),('HK',3411034112,3411050495),('PK',3411050496,3411052543),('PH',3411052544,3411054591),('CN',3411054592,3411058687),('AU',3411058688,3411062783),('HK',3411062784,3411063231),('PK',3411063232,3411063295),('HK',3411063296,3411083263),('KR',3411085312,3411086335),('JP',3411086336,3411087359),('CN',3411087360,3411091455),('SG',3411091456,3411099647),('MM',3411099648,3411107839),('LK',3411107840,3411111935),('JP',3411111936,3411116031),('KR',3411116032,3411124223),('MM',3411124224,3411128319),('HK',3411128320,3411130367),('ID',3411130368,3411132415),('PK',3411132416,3411144703),('JP',3411144704,3411146751),('ID',3411146752,3411147775),('HK',3411147776,3411149311),('MV',3411149312,3411149823),('IN',3411149824,3411150847),('HK',3411150848,3411152895),('JP',3411154944,3411156991),('PH',3411156992,3411161087),('PK',3411161088,3411165183),('MY',3411165184,3411173375),('AU',3411173376,3411177471),('JP',3411177472,3411189759),('AU',3411189760,3411197951),('BD',3411197952,3411202047),('AU',3411202048,3411204607),('IN',3411204608,3411204863),('KR',3411204864,3411205631),('HK',3411205632,3411206143),('KH',3411206144,3411210239),('KR',3411210240,3411212287),('PH',3411212288,3411212799),('IN',3411212800,3411213311),('HK',3411213312,3411215359),('AU',3411215360,3411216383),('JP',3411216384,3411218431),('PG',3411218432,3411220479),('ID',3411220480,3411226623),('IO',3411226624,3411228671),('CN',3411228672,3411230719),('HK',3411230720,3411247103),('KR',3411247104,3411255295),('BD',3411255296,3411263487),('AU',3411263488,3411269631),('TW',3411269632,3411270143),('NZ',3411270144,3411270399),('AU',3411270400,3411270655),('JP',3411270656,3411271679),('AU',3411271680,3411275775),('JP',3411275776,3411277823),('IN',3411277824,3411278335),('SG',3411278336,3411278591),('FJ',3411278592,3411278847),('HK',3411278848,3411296255),('AU',3411296256,3411312639),('HK',3411312640,3411313151),('TW',3411313152,3411313663),('AP',3411313664,3411313919),('HK',3411313920,3411314175),('NZ',3411314176,3411314687),('ID',3411314688,3411316735),('TW',3411316736,3411318783),('ID',3411318784,3411320831),('PH',3411320832,3411329023),('AP',3411329024,3411337215),('AU',3411337216,3411341311),('KR',3411341312,3411345407),('HK',3411345408,3411410943),('CN',3411410944,3411435519),('IN',3411435520,3411443711),('HK',3411443712,3411460095),('NZ',3411460096,3411464191),('AU',3411464192,3411468287),('JP',3411468288,3411470335),('HK',3411470336,3411472383),('JP',3411472384,3411475199),('AU',3411475200,3411475455),('HK',3411475456,3411475967),('AU',3411476480,3411509247),('PH',3411509248,3411542015),('IN',3411542016,3411550207),('CN',3411550208,3411558399),('HK',3411558400,3411558911),('ID',3411558912,3411558927),('HK',3411558928,3411558943),('ID',3411558944,3411558959),('HK',3411558960,3411558975),('AF',3411558976,3411558983),('HK',3411558984,3411559007),('MY',3411559008,3411559015),('HK',3411559016,3411559023),('ID',3411559024,3411559031),('NP',3411559032,3411559035),('PK',3411559036,3411559039),('ID',3411559040,3411559063),('MY',3411559064,3411559071),('AF',3411559072,3411559079),('MY',3411559080,3411559087),('ID',3411559088,3411559095),('PK',3411559096,3411559103),('MY',3411559104,3411559111),('PK',3411559112,3411559135),('HK',3411559136,3411559143),('MY',3411559144,3411559167),('BD',3411559168,3411559199),('HK',3411559200,3411559231),('BD',3411559232,3411559295),('ID',3411559296,3411559303),('HK',3411559304,3411559311),('NP',3411559312,3411559327),('HK',3411559328,3411559343),('ID',3411559344,3411559359),('BD',3411559360,3411559423),('HK',3411559424,3411559455),('BD',3411559456,3411559487),('HK',3411559488,3411559551),('BD',3411559552,3411559679),('ID',3411559680,3411559935),('BD',3411559936,3411560031),('HK',3411560032,3411560063),('BD',3411560064,3411560319),('HK',3411560320,3411560447),('NP',3411560448,3411560703),('BD',3411560704,3411562047),('PK',3411562048,3411562111),('BD',3411562112,3411562239),('HK',3411562240,3411562559),('MA',3411562560,3411562591),('PK',3411562592,3411562607),('MA',3411562608,3411562623),('HK',3411562624,3411562751),('MY',3411562752,3411563015),('TH',3411563016,3411563023),('ID',3411563024,3411563047),('LK',3411563048,3411563055),('ID',3411563056,3411563135),('TH',3411563136,3411563143),('ID',3411563144,3411563183),('HK',3411563184,3411563191),('ID',3411563192,3411563247),('AF',3411563248,3411563255),('ID',3411563256,3411563263),('HK',3411563264,3411563519),('BD',3411563520,3411563775),('HK',3411563776,3411564031),('ID',3411564032,3411564055),('HK',3411564056,3411564071),('ID',3411564072,3411564087),('HK',3411564088,3411564095),('ID',3411564096,3411564119),('HK',3411564120,3411564191),('ID',3411564192,3411564199),('HK',3411564200,3411564239),('ID',3411564240,3411564247),('HK',3411564248,3411564255),('ID',3411564256,3411564263),('HK',3411564264,3411564287),('BD',3411564288,3411564543),('HK',3411564544,3411564551),('PK',3411564552,3411564559),('HK',3411564560,3411564567),('AF',3411564568,3411564587),('HK',3411564588,3411564623),('MY',3411564624,3411564639),('ID',3411564640,3411564647),('MY',3411564648,3411564663),('ID',3411564664,3411564671),('HK',3411564672,3411564695),('ID',3411564696,3411564703),('AF',3411564704,3411564711),('HK',3411564712,3411564743),('MY',3411564744,3411564751),('HK',3411564752,3411564767),('AF',3411564768,3411564775),('HK',3411564776,3411565055),('BD',3411565056,3411565063),('HK',3411565064,3411565119),('BD',3411565120,3411565247),('HK',3411565248,3411565279),('BD',3411565280,3411565311),('HK',3411565312,3411566591),('BD',3411566592,3411570687),('AU',3411570688,3411574783),('IN',3411574784,3411582975),('HK',3411582976,3411587071),('JP',3411587072,3411591167),('CN',3411591168,3411599359),('AU',3411599360,3411607551),('CN',3411607552,3411608575),('IN',3411608576,3411608831),('HK',3411609088,3411609599),('ID',3411611648,3411615743),('JP',3411615744,3411623935),('AU',3411623936,3411640319),('NZ',3411648512,3411656703),('AU',3411656704,3411673087),('CN',3411673088,3411674111),('IN',3411674112,3411674623),('HK',3411674624,3411675135),('PK',3411676160,3411677183),('JP',3411677184,3411679231),('AU',3411679232,3411681279),('KR',3411681280,3411689471),('IN',3411689472,3411705855),('CN',3411705856,3411730431),('HK',3411730432,3411738623),('TW',3411738624,3411746815),('CN',3411746816,3411755007),('AU',3411755008,3411763199),('CN',3411763200,3411767295),('MN',3411767296,3411769343),('CN',3411769344,3411771391),('HK',3411771392,3411773439),('SC',3411773440,3411773695),('HK',3411773696,3411773951),('BD',3411773952,3411774463),('HK',3411774464,3411776511),('SC',3411776512,3411776767),('HK',3411776768,3411777663),('BD',3411777664,3411777791),('HK',3411777792,3411779519),('ID',3411779520,3411779535),('HK',3411779536,3411779583),('JP',3411779584,3411787775),('IN',3411787776,3411795967),('AU',3411795968,3411804159),('CN',3411804160,3411805183),('PK',3411805184,3411805695),('JP',3411805696,3411805951),('AU',3411805952,3411806207),('PH',3411806208,3411808255),('JP',3411808256,3411810303),('MN',3411810304,3411810559),('NZ',3411810560,3411810815),('AU',3411810816,3411812351),('IN',3411812352,3411820543),('SG',3411820544,3411836927),('MY',3411836928,3411845119),('CN',3411845120,3411853311),('IN',3411853312,3411857407),('TW',3411857408,3411857663),('JP',3411857664,3411857919),('SG',3411857920,3411858175),('HK',3411858176,3411858431),('JP',3411858432,3411858687),('NZ',3411858688,3411858943),('JP',3411858944,3411859199),('SG',3411859200,3411859455),('HK',3411859456,3411860991),('AU',3411860992,3411861247),('JP',3411861248,3411861375),('HK',3411861376,3411861487),('JP',3411861488,3411861503),('AU',3411861504,3411869695),('CN',3411869696,3411943423),('AU',3411943424,3411951615),('LK',3411951616,3411967999),('AU',3411968000,3411984383),('IN',3411984384,3412000767),('CN',3412000768,3412002815),('GU',3412002816,3412004863),('JP',3412004864,3412017151),('SG',3412017152,3412025343),('CN',3412025344,3412033535),('TW',3412033536,3412066303),('NZ',3412066304,3412213759),('AU',3412213760,3412221951),('IN',3412221952,3412230143),('HK',3412230144,3412246527),('AU',3412246528,3412246783),('HK',3412246784,3412246799),('AU',3412246800,3412246847),('IN',3412246848,3412246911),('SG',3412246912,3412246927),('AU',3412246928,3412246951),('CN',3412246952,3412246959),('JP',3412246960,3412246967),('AU',3412246968,3412246975),('JP',3412246976,3412247007),('IN',3412247008,3412247023),('CN',3412247024,3412247031),('NZ',3412247032,3412247039),('HK',3412247040,3412247055),('CN',3412247056,3412247071),('JP',3412247072,3412247103),('AU',3412247104,3412247167),('IN',3412247168,3412247319),('AU',3412247320,3412247327),('IN',3412247328,3412247335),('AU',3412247336,3412247343),('CN',3412247344,3412247359),('AU',3412247360,3412248831),('CN',3412248832,3412249087),('AU',3412249088,3412249855),('SG',3412249856,3412249863),('AU',3412249864,3412249871),('HK',3412249872,3412249879),('JP',3412249880,3412249887),('CN',3412249888,3412249903),('SG',3412249904,3412249983),('IN',3412249984,3412250015),('HK',3412250016,3412250023),('CN',3412250024,3412250031),('IN',3412250032,3412250063),('AU',3412250064,3412250079),('KR',3412250080,3412250111),('HK',3412250112,3412250367),('CN',3412250368,3412250375),('TW',3412250376,3412250383),('SG',3412250384,3412250399),('KR',3412250400,3412250431),('IN',3412250432,3412250447),('CN',3412250448,3412250479),('HK',3412250480,3412250495),('JP',3412250496,3412250503),('HK',3412250504,3412250511),('TW',3412250512,3412250527),('IN',3412250528,3412250559),('SG',3412250560,3412250575),('HK',3412250576,3412250599),('AU',3412250600,3412250607),('KR',3412250608,3412250615),('AU',3412250616,3412250623),('JP',3412250624,3412250879),('AU',3412250880,3412250927),('SG',3412250928,3412250959),('JP',3412250960,3412250991),('HK',3412250992,3412251007),('CN',3412251008,3412251071),('AU',3412251072,3412251103),('PH',3412251104,3412251119),('AU',3412251120,3412251135),('CN',3412251136,3412251151),('AU',3412251152,3412251167),('HK',3412251168,3412251231),('CN',3412251232,3412251239),('AU',3412251240,3412251247),('IN',3412251248,3412251263),('AU',3412251264,3412251391),('TW',3412251392,3412251647),('AU',3412251648,3412251903),('HK',3412251904,3412251919),('AU',3412251920,3412251927),('CN',3412251928,3412251935),('HK',3412251936,3412251967),('SG',3412251968,3412252031),('HK',3412252032,3412252079),('CN',3412252080,3412252087),('HK',3412252088,3412252095),('JP',3412252096,3412252103),('HK',3412252104,3412252111),('IN',3412252112,3412252159),('KR',3412252160,3412252415),('JP',3412252416,3412252671),('HK',3412252672,3412252927),('AU',3412252928,3412253087),('JP',3412253088,3412253091),('AU',3412253092,3412253099),('HK',3412253100,3412253103),('AU',3412253104,3412253183),('SG',3412253184,3412253439),('KR',3412253440,3412253695),('JP',3412253696,3412254719),('NR',3412254720,3412262911),('JP',3412262912,3412264959),('CN',3412267008,3412271103),('NZ',3412271104,3412273151),('IN',3412273152,3412275199),('PK',3412275200,3412279295),('NZ',3412279296,3412281343),('JP',3412281344,3412283391),('CN',3412283392,3412287487),('ID',3412287488,3412295679),('AU',3412299776,3412302847),('WS',3412302848,3412303871),('PK',3412303872,3412312063),('IN',3412312064,3412320255),('JP',3412320256,3412322303),('PH',3412322304,3412324351),('JP',3412324352,3412326399),('VN',3412326400,3412327423),('TH',3412327424,3412327935),('HK',3412327936,3412328191),('WS',3412328192,3412328447),('AU',3412328448,3412336639),('CN',3412336640,3412340735),('AU',3412342784,3412343039),('IN',3412343040,3412343295),('AP',3412343296,3412343551),('AU',3412343552,3412344319),('SG',3412344320,3412344575),('IN',3412344832,3412348927),('CN',3412348928,3412361215),('AP',3412361216,3412369407),('KR',3412369408,3412377599),('CN',3412377600,3412381695),('NZ',3412381696,3412385791),('AU',3412385792,3412393983),('IN',3412393984,3412426751),('TH',3412426752,3412434943),('PK',3412434944,3412443135),('SG',3412443136,3412451327),('AU',3412451328,3412594687),('IN',3412594688,3412596735),('MV',3412596736,3412598783),('NC',3412602880,3412606975),('PH',3412606976,3412615167),('JP',3412615168,3412656127),('HK',3412656128,3412672511),('JP',3412672512,3412680703),('IN',3412697088,3412705279),('AU',3412705280,3412713471),('TW',3412713472,3412721663),('MY',3412721664,3412787199),('TW',3412787200,3412803583),('TH',3412819968,3412852735),('AU',3412852736,3412918271),('KR',3412918272,3412926463),('MY',3412926464,3412934655),('IN',3412934656,3412951039),('NZ',3412951040,3413000191),('LA',3413000192,3413004287),('IN',3413004288,3413008383),('JP',3413008384,3413016575),('AU',3413016576,3413024767),('CN',3413024768,3413032959),('AU',3413032960,3413037055),('IN',3413037056,3413041151),('JP',3413041152,3413043199),('AU',3413043200,3413044223),('AP',3413044224,3413045247),('IN',3413045248,3413047295),('AU',3413047296,3413098495),('TW',3413102592,3413106687),('PH',3413106688,3413110783),('JP',3413110784,3413112831),('IN',3413112832,3413113855),('JP',3413113856,3413133311),('BD',3413133312,3413135359),('HK',3413135360,3413139455),('IN',3413147648,3413155839),('SG',3413155840,3413164031),('BD',3413164032,3413172223),('MY',3413172224,3413180415),('TH',3413180416,3413213183),('VN',3413213184,3413229567),('AU',3413229568,3413245951),('MY',3413245952,3413262335),('PH',3413262336,3413270527),('TH',3413270528,3413278719),('NZ',3413278720,3413295103),('JP',3413295104,3413303295),('LK',3413311488,3413327871),('IN',3413327872,3413344255),('PH',3413344256,3413360639),('MY',3413360640,3413377023),('SG',3413377024,3413524479),('TH',3413524480,3413540863),('NZ',3413540864,3413557247),('CN',3413557248,3413565439),('TW',3413565440,3413569535),('AU',3413573632,3413573887),('JP',3413573888,3413574143),('HK',3413574144,3413574399),('TW',3413574400,3413574655),('PH',3413574656,3413575679),('VN',3413575680,3413576703),('AU',3413576704,3413576959),('ID',3413576960,3413577215),('AU',3413577216,3413577727),('AP',3413577728,3413579775),('CN',3413579776,3413582847),('VN',3413582848,3413583871),('JP',3413583872,3413584127),('ID',3413584128,3413584383),('AU',3413584384,3413584895),('VN',3413584896,3413585919),('ID',3413585920,3413586175),('IN',3413586176,3413586687),('AP',3413586688,3413586943),('ID',3413586944,3413587967),('NZ',3413587968,3413588223),('MY',3413588224,3413588479),('SG',3413639168,3413704703),('MY',3413704704,3413737471),('TH',3413737472,3413753855),('AU',3413753856,3413762047),('TW',3413762048,3413770239),('IN',3413770240,3413786623),('AU',3413786624,3413835775),('SG',3413835776,3413843967),('IN',3413843968,3413848063),('SG',3413848064,3413850111),('JP',3413850112,3413850879),('AU',3413850880,3413851135),('ID',3413851136,3413852159),('AU',3413852160,3413868543),('IN',3413868544,3413884927),('KR',3413884928,3413893119),('ID',3413893120,3413899199),('IN',3413899200,3413899203),('ID',3413899204,3413901311),('SG',3413901312,3413902847),('JP',3413902848,3413903359),('HK',3413903360,3413905407),('IN',3413905408,3413907455),('PK',3413907456,3413917695),('JP',3413917696,3413925887),('SG',3413925888,3413934079),('IN',3413934080,3413946367),('AU',3413946368,3413950463),('IN',3413950464,3413966847),('SG',3413966848,3414050303),('US',3414050304,3414050815),('SG',3414050816,3414098175),('ID',3414098176,3414098191),('SG',3414098192,3414155519),('PH',3414155520,3414155775),('SG',3414155776,3414163455),('PK',3414163456,3414171647),('CN',3414171648,3414179839),('ID',3414179840,3414188031),('CN',3414188032,3414196223),('KR',3414204416,3414220799),('AU',3414222848,3414223871),('KR',3414223872,3414224895),('VN',3414224896,3414226943),('ID',3414226944,3414227967),('PK',3414227968,3414230015),('PH',3414230016,3414230527),('KR',3414230528,3414231039),('AU',3414233088,3414245375),('HK',3414245376,3414253567),('JP',3414253568,3414261759),('AU',3414261760,3414269951),('JP',3414269952,3414278143),('IN',3414278144,3414294527),('PK',3414294528,3414302719),('CN',3414302720,3414310911),('KR',3414310912,3414327295),('TH',3414327296,3414335487),('AU',3414335488,3414339583),('KR',3414339584,3414343679),('ID',3414343680,3414360063),('AU',3414360064,3414376447),('PH',3414376448,3414409215),('JP',3414409216,3414413311),('TH',3414413312,3414417407),('HK',3414417408,3414425599),('AU',3414425600,3414433791),('CN',3414433792,3414441983),('AU',3414441984,3414450175),('JP',3414450176,3414458367),('IN',3414458368,3414466559),('KR',3414466560,3414474751),('HK',3414474752,3414478847),('IN',3414478848,3414482943),('AU',3414482944,3414491135),('TW',3414491136,3414523903),('JP',3414523904,3414532095),('KR',3414532096,3414540287),('JP',3414540288,3414555647),('PK',3414555648,3414556671),('AU',3414556672,3414605823),('IN',3414605824,3414616063),('ID',3414616064,3414618111),('CN',3414618112,3414620159),('IN',3414620160,3414621183),('PK',3414621184,3414638591),('TW',3414638592,3414646783),('CN',3414646784,3414654975),('HK',3414654976,3414663167),('CN',3414663168,3414667263),('ID',3414667264,3414669311),('JP',3414671360,3415080959),('MY',3415080960,3415083007),('AU',3415083008,3415083519),('HK',3415083520,3415084031),('CN',3415084032,3415084543),('US',3415084544,3415085055),('SG',3415085056,3415087615),('US',3415087616,3415087871),('SG',3415087872,3415088127),('HK',3415088128,3415089151),('MY',3415089152,3415097343),('ID',3415097344,3415103487),('HK',3415103488,3415113727),('AU',3415113728,3415121919),('KR',3415121920,3415130111),('JP',3415130112,3415136255),('KR',3415136256,3415136767),('AU',3415136768,3415137023),('CN',3415137024,3415137279),('IN',3415137280,3415137535),('NF',3415137536,3415137791),('AU',3415137792,3415146495),('LK',3415146496,3415162879),('AU',3415162880,3415171071),('JP',3415171072,3415179263),('SG',3415179264,3415187455),('AU',3415187456,3415191551),('IN',3415191552,3415195647),('AU',3415195648,3415220223),('NZ',3415220224,3415224319),('US',3415224320,3415228415),('KH',3415228416,3415236607),('IN',3415236608,3415244799),('TH',3415244800,3415277567),('AU',3415285760,3415293951),('HK',3415293952,3415302143),('AU',3415302144,3415306239),('TH',3415306240,3415308287),('JP',3415308288,3415310335),('IN',3415310336,3415326719),('TW',3415326720,3415334911),('JP',3415334912,3415343103),('TH',3415343104,3415425023),('NC',3415425024,3415433215),('AU',3415433216,3415435263),('PH',3415435264,3415436287),('AP',3415436288,3415436799),('HK',3415436800,3415437311),('SE',3415437312,3415441407),('AU',3415441408,3415474175),('CN',3415474176,3415490559),('PK',3415490560,3415491583),('JP',3415498752,3415506943),('TH',3415506944,3415556095),('AU',3415556096,3415563263),('SG',3415563264,3415564287),('JP',3415564288,3415568383),('KR',3415568384,3415572479),('SG',3415572480,3415605247),('TH',3415605248,3415752703),('CN',3415752704,3415760895),('NZ',3415760896,3415769087),('KR',3415777280,3415785471),('JP',3415785472,3415793663),('AU',3415793664,3415801855),('ID',3415801856,3415802879),('HK',3415802880,3415803391),('PH',3415803392,3415805951),('MY',3415805952,3415807999),('ID',3415808000,3415810047),('IN',3415810048,3415814143),('HK',3415818240,3415822335),('MY',3415822336,3415826431),('ID',3415826432,3415834623),('TH',3415834624,3415838719),('KR',3415838720,3415842815),('TH',3415842816,3415851007),('AU',3415851008,3415867391),('TH',3415867392,3416047615),('CN',3416047616,3416063999),('TH',3416064000,3416131583),('PH',3416131584,3416133631),('CN',3416133632,3416135679),('MY',3416135680,3416137727),('AU',3416137728,3416145919),('IN',3416145920,3416154111),('TH',3416154112,3416260607),('VN',3416260608,3416261119),('AU',3416261120,3416261631),('TH',3416261632,3416262655),('AU',3416262656,3416264703),('JP',3416264704,3416268799),('HK',3416268800,3416272895),('MN',3416272896,3416274943),('ID',3416274944,3416276991),('HK',3416276992,3416285183),('VN',3416285184,3416287231),('NZ',3416289280,3416293375),('TW',3416297472,3416301567),('PH',3416301568,3416309759),('TW',3416317952,3416326143),('VN',3416326144,3416327167),('HK',3416327168,3416328191),('AU',3416328192,3416330239),('ID',3416330240,3416334335),('SG',3416334336,3416339967),('IN',3416339968,3416342527),('AU',3416342528,3416375295),('CN',3416375296,3416383487),('HK',3416383488,3416391679),('VN',3416391680,3416457215),('JP',3416457216,3416460799),('SG',3416460800,3416461055),('JP',3416461056,3416465663),('HK',3416465664,3416465919),('JP',3416465920,3416471039),('NZ',3416471040,3416471295),('JP',3416471296,3416473727),('PH',3416473728,3416473855),('JP',3416473856,3416473871),('AU',3416473872,3416473983),('JP',3416473984,3416474047),('AU',3416474048,3416474111),('ID',3416474112,3416474239),('JP',3416474240,3416474375),('AU',3416474376,3416474383),('JP',3416474384,3416474407),('AU',3416474408,3416474415),('JP',3416474416,3416474639),('NZ',3416474640,3416474671),('JP',3416474672,3416474687),('NZ',3416474688,3416474740),('JP',3416474741,3416474743),('NZ',3416474744,3416474759),('JP',3416474760,3416474775),('NZ',3416474776,3416474783),('JP',3416474784,3416474847),('NZ',3416474848,3416474855),('JP',3416474856,3416475199),('NZ',3416475200,3416475263),('JP',3416475264,3416475455),('NZ',3416475456,3416475487),('JP',3416475488,3416475615),('NZ',3416475616,3416475647),('TW',3416475648,3416475903),('SG',3416475904,3416475919),('JP',3416475920,3416475951),('SG',3416475952,3416475959),('JP',3416475960,3416476031),('SG',3416476032,3416476063),('JP',3416476064,3416476071),('SG',3416476072,3416476079),('JP',3416476080,3416476111),('SG',3416476112,3416476127),('JP',3416476128,3416476207),('AU',3416476208,3416476255),('JP',3416476256,3416476367),('AU',3416476368,3416476375),('JP',3416476376,3416476863),('TW',3416476864,3416477183),('JP',3416477184,3416477199),('MY',3416477200,3416477207),('JP',3416477208,3416477215),('MY',3416477216,3416477239),('SG',3416477240,3416477247),('MY',3416477248,3416477263),('JP',3416477264,3416477759),('SG',3416477760,3416477823),('JP',3416477824,3416477887),('SG',3416477888,3416477951),('ID',3416477952,3416477983),('JP',3416477984,3416478143),('ID',3416478144,3416478175),('JP',3416478176,3416478239),('HK',3416478240,3416478271),('JP',3416478272,3416478303),('HK',3416478304,3416478335),('JP',3416478336,3416478463),('TW',3416478464,3416478479),('JP',3416478480,3416478527),('TW',3416478528,3416478543),('JP',3416478544,3416478655),('HK',3416478656,3416478671),('TW',3416478672,3416478703),('JP',3416478704,3416478783),('KR',3416478784,3416478799),('JP',3416478800,3416478847),('TW',3416478848,3416478911),('KR',3416478912,3416478927),('JP',3416478928,3416479103),('AU',3416479104,3416479231),('JP',3416479232,3416480255),('TW',3416480256,3416480383),('JP',3416480384,3416481559),('IN',3416481560,3416481567),('JP',3416481568,3416481575),('AU',3416481576,3416481583),('JP',3416481584,3416481807),('HK',3416481808,3416481815),('JP',3416481816,3416481823),('HK',3416481824,3416481839),('JP',3416481840,3416481855),('HK',3416481856,3416481871),('JP',3416481872,3416481887),('HK',3416481888,3416481935),('JP',3416481936,3416481967),('HK',3416481968,3416481983),('JP',3416481984,3416482047),('SG',3416482048,3416482079),('JP',3416482080,3416482159),('SG',3416482160,3416482191),('JP',3416482192,3416482255),('SG',3416482256,3416482287),('JP',3416482288,3416482591),('KR',3416482592,3416482607),('JP',3416482608,3416482671),('KR',3416482672,3416482687),('JP',3416482688,3416482703),('AU',3416482704,3416482719),('SG',3416482720,3416482784),('HK',3416482785,3416482815),('KR',3416482816,3416482879),('JP',3416482880,3416483167),('SG',3416483168,3416483199),('JP',3416483200,3416483231),('SG',3416483232,3416483327),('HK',3416483328,3416483391),('JP',3416483392,3416483407),('HK',3416483408,3416483423),('JP',3416483424,3416483567),('HK',3416483568,3416483583),('SG',3416483584,3416483775),('JP',3416483776,3416483863),('KR',3416483864,3416483871),('JP',3416483872,3416483903),('KR',3416483904,3416483911),('HK',3416483912,3416483919),('JP',3416483920,3416483943),('KR',3416483944,3416483951),('HK',3416483952,3416483959),('AU',3416483960,3416483967),('JP',3416483968,3416483975),('HK',3416483976,3416484031),('JP',3416484032,3416484039),('KR',3416484040,3416484055),('JP',3416484056,3416484143),('MY',3416484144,3416484159),('JP',3416484160,3416484175),('MY',3416484176,3416484183),('JP',3416484184,3416484191),('MY',3416484192,3416484223),('JP',3416484224,3416484255),('AU',3416484256,3416484271),('JP',3416484272,3416484319),('HK',3416484320,3416484335),('JP',3416484336,3416484351),('SG',3416484352,3416484607),('JP',3416484608,3416484671),('HK',3416484672,3416484735),('JP',3416484736,3416485823),('SG',3416485824,3416485879),('JP',3416485880,3416485887),('SG',3416485888,3416485903),('JP',3416485904,3416485911),('SG',3416485912,3416485927),('JP',3416485928,3416485935),('SG',3416485936,3416485943),('JP',3416485944,3416485967),('SG',3416485968,3416485975),('JP',3416485976,3416486023),('AU',3416486024,3416486039),('JP',3416486040,3416486063),('SG',3416486064,3416486103),('JP',3416486104,3416486111),('SG',3416486112,3416486119),('HK',3416486120,3416486127),('SG',3416486128,3416486143),('JP',3416486144,3416487167),('HK',3416487168,3416487175),('JP',3416487176,3416487183),('HK',3416487184,3416487199),('JP',3416487200,3416487255),('HK',3416487256,3416487263),('JP',3416487264,3416487271),('HK',3416487272,3416487279),('JP',3416487280,3416487303),('HK',3416487304,3416487343),('JP',3416487344,3416487359),('HK',3416487360,3416487383),('JP',3416487384,3416487391),('HK',3416487392,3416487415),('JP',3416487416,3416487423),('PH',3416487424,3416487487),('JP',3416487488,3416488451),('AU',3416488452,3416488453),('JP',3416488454,3416488578),('TW',3416488579,3416488579),('SG',3416488580,3416488580),('JP',3416488581,3416488581),('HK',3416488582,3416488582),('AU',3416488583,3416488583),('JP',3416488584,3416489471),('AU',3416489472,3416489727),('JP',3416489728,3416489731),('AU',3416489732,3416489735),('JP',3416489736,3416489751),('AU',3416489752,3416489759),('JP',3416489760,3416489763),('AU',3416489764,3416489783),('JP',3416489784,3416489787),('AU',3416489788,3416489983),('TW',3416506368,3416514559),('IN',3416514560,3416522751),('AU',3416522752,3416588287),('JP',3416588288,3416653823),('AU',3416653824,3416666111),('HK',3416666112,3416666239),('AU',3416666240,3416667135),('US',3416667136,3416668159),('AU',3416668160,3416684175),('NZ',3416684176,3416684183),('AU',3416684184,3416686591),('SG',3416686592,3416694783),('CN',3416694784,3416702975),('ID',3416702976,3416707071),('KR',3416707072,3416709119),('AU',3416711168,3416719359),('PH',3416719360,3416727551),('JP',3416727552,3416735743),('PH',3416735744,3416752127),('NZ',3416752128,3416784895),('AU',3416793088,3416801279),('JP',3416801280,3416817663),('HK',3416817664,3416850431),('PH',3416850432,3416851455),('KR',3416851456,3416851967),('SG',3416851968,3416852479),('JP',3416852480,3416854527),('AU',3416854528,3416856575),('BD',3416856576,3416858623),('HK',3416858624,3416862719),('MN',3416862720,3416864767),('JP',3416864768,3416864895),('SG',3416864896,3416865023),('HK',3416865024,3416865151),('SG',3416865152,3416865279),('JP',3416865280,3416865295),('AU',3416865296,3416865303),('AP',3416865304,3416865407),('JP',3416865408,3416865599),('HK',3416865600,3416865607),('AP',3416865608,3416865655),('JP',3416865656,3416865791),('HK',3416865792,3416866047),('AP',3416866048,3416866815),('SG',3416866816,3416883199),('HK',3416883200,3416915967),('AU',3416915968,3416920063),('JP',3416924160,3416928255),('PK',3416932352,3416936447),('AU',3416936448,3416938495),('NZ',3416938496,3416938751),('AU',3416938752,3416939007),('HK',3416939008,3416939519),('AU',3416939520,3416940543),('KR',3416940544,3416948735),('TH',3416948736,3416981503),('PH',3416981504,3416982527),('NZ',3416982528,3416982783),('AU',3416982784,3416983039),('PH',3416983040,3416983551),('JP',3416983552,3416985599),('VN',3416985600,3416989695),('NZ',3416989696,3416993791),('AU',3416997888,3417014271),('JP',3417014272,3417022463),('KR',3417022464,3417030655),('AU',3417030656,3417034751),('CN',3417038848,3417042943),('IN',3417042944,3417044991),('AU',3417044992,3417047039),('PH',3417047040,3417055231),('TH',3417055232,3417112575),('AU',3417112576,3417128959),('JP',3417128960,3417135103),('ID',3417135104,3417137151),('KR',3417137152,3417145343),('NZ',3417145344,3417178111),('PH',3417178112,3417179135),('ID',3417179392,3417179647),('IN',3417179648,3417179903),('CN',3417179904,3417180159),('ID',3417180160,3417182207),('AU',3417182208,3417184767),('NZ',3417184768,3417185023),('AF',3417185024,3417185279),('SG',3417185280,3417185791),('NZ',3417185792,3417186303),('HK',3417186304,3417194495),('JP',3417194496,3417198591),('SG',3417198592,3417200639),('JP',3417200640,3417202687),('CN',3417202688,3417210879),('AU',3417210880,3417227263),('JP',3417227264,3417243647),('PH',3417243648,3417244671),('IN',3417244672,3417245695),('BT',3417245696,3417247743),('JP',3417247744,3417251839),('KR',3417251840,3417260031),('PK',3417260032,3417264127),('JP',3417264128,3417268223),('PK',3417268224,3417272319),('NZ',3417272320,3417274367),('AU',3417274368,3417275391),('PH',3417275392,3417276415),('CN',3417276416,3417284607),('SG',3417284608,3417288703),('CN',3417292800,3417309183),('AU',3417333760,3417337855),('KH',3417341952,3417346047),('MY',3417346048,3417348095),('VN',3417350144,3417352191),('CN',3417352192,3417354239),('ID',3417354240,3417356287),('AU',3417356288,3417357311),('NZ',3417357312,3417357567),('AU',3417357568,3417357823),('PK',3417357824,3417358335),('HK',3417358336,3417374719),('PH',3417374720,3417440255),('JP',3417440256,3417706095),('HK',3417706096,3417706099),('JP',3417706100,3417716655),('HK',3417716656,3417716659),('JP',3417716660,3417833471),('NZ',3417833472,3417849855),('AU',3417849856,3417853951),('CN',3417853952,3417858047),('JP',3417858048,3417866239),('HK',3417866240,3417915391),('TH',3417915392,3417939967),('PF',3417939968,3417946111),('AU',3417946112,3417947135),('IN',3417947136,3417947391),('HK',3417947392,3417947647),('AU',3417947648,3417947903),('IN',3417947904,3417948159),('AU',3417948160,3417964543),('HK',3417964544,3418030079),('TW',3418030080,3418062847),('IN',3418062848,3418071039),('CN',3418071040,3418079231),('IN',3418079232,3418095615),('TH',3418095616,3418111999),('HK',3418112000,3418128383),('AU',3418128384,3418136575),('BD',3418136576,3418144767),('TW',3418144768,3418148863),('JP',3418148864,3418150911),('AU',3418150912,3418152959),('IN',3418152960,3418155007),('MY',3418155008,3418157055),('BD',3418157056,3418161663),('AU',3418161664,3418162431),('IN',3418162432,3418162687),('PH',3418163200,3418165247),('MY',3418165248,3418167295),('IN',3418167296,3418167551),('AU',3418167552,3418167807),('HK',3418167808,3418168319),('VN',3418168320,3418169343),('JP',3418169344,3418177535),('LK',3418177536,3418181631),('AU',3418181632,3418183679),('ID',3418183680,3418184191),('IN',3418184192,3418184959),('AU',3418184960,3418185727),('PK',3418185728,3418189823),('KH',3418193920,3418202111),('HK',3418202112,3418206207),('IN',3418206208,3418208255),('LK',3418208256,3418210303),('BD',3418218496,3418227711),('TW',3418227712,3418228735),('BD',3418228736,3418230783),('TW',3418230784,3418232831),('AU',3418232832,3418233343),('KR',3418233344,3418233855),('JP',3418233856,3418234879),('BD',3418234880,3418235903),('ID',3418235904,3418236415),('AP',3418236416,3418236927),('ID',3418236928,3418241023),('JP',3418241024,3418243071),('PH',3418243072,3418246015),('SG',3418246016,3418246023),('PH',3418246024,3418251263),('CN',3418251264,3418255359),('ID',3418255360,3418257407),('HK',3418257408,3418259455),('IN',3418259456,3418267647),('VN',3418267648,3418271743),('SG',3418271744,3418273791),('ID',3418273792,3418275839),('AU',3418275840,3418279935),('NZ',3418279936,3418281983),('IN',3418281984,3418282239),('AU',3418282240,3418282495),('PH',3418282496,3418283519),('AU',3418283520,3418284031),('SG',3418284032,3418285055),('JP',3418285056,3418285567),('SG',3418285568,3418286111),('AU',3418286112,3418286143),('SG',3418286144,3418286227),('AU',3418286228,3418286235),('SG',3418286236,3418286239),('AU',3418286240,3418286255),('SG',3418286256,3418286927),('AU',3418286928,3418286943),('SG',3418286944,3418288127),('ID',3418288128,3418290175),('IN',3418290176,3418290431),('HK',3418290432,3418290687),('TH',3418290688,3418291199),('AU',3418291200,3418291711),('BD',3418291712,3418292735),('JP',3418292736,3418292991),('HK',3418292992,3418293247),('JP',3418293248,3418293503),('IN',3418293504,3418293759),('AU',3418293760,3418294015),('VN',3418294272,3418296319),('CN',3418296320,3418300415),('BD',3418300416,3418300927),('IN',3418300928,3418301439),('AU',3418301440,3418302463),('ID',3418302464,3418304511),('VN',3418304512,3418306559),('MN',3418306560,3418308607),('CN',3418308608,3418324991),('BD',3418324992,3418326015),('AU',3418326016,3418326527),('PH',3418326528,3418327039),('JP',3418327040,3418329087),('CN',3418329088,3418333183),('AU',3418333184,3418345471),('JP',3418345472,3418357759),('CN',3418357760,3418365951),('TH',3418365952,3418374143),('AU',3418374144,3418382335),('JP',3418382336,3418390527),('AP',3418390528,3418392319),('HK',3418392320,3418392575),('AU',3418392576,3418392831),('HK',3418392832,3418393087),('SG',3418393088,3418393103),('AP',3418393104,3418393111),('SG',3418393112,3418393247),('AP',3418393248,3418393279),('SG',3418393280,3418393343),('AP',3418393344,3418393599),('JP',3418393600,3418393607),('AP',3418393608,3418393679),('JP',3418393680,3418393791),('AP',3418393792,3418393855),('AU',3418393856,3418393983),('SG',3418393984,3418394015),('AU',3418394016,3418394047),('MY',3418394048,3418394063),('NZ',3418394064,3418394079),('AU',3418394080,3418394111),('KR',3418394112,3418394367),('TW',3418394368,3418394623),('AP',3418394624,3418394879),('JP',3418394880,3418395135),('AP',3418395136,3418395391),('JP',3418395392,3418395407),('AP',3418395408,3418395423),('JP',3418395424,3418395439),('AP',3418395440,3418395455),('JP',3418395456,3418395520),('AP',3418395521,3418395679),('KR',3418395680,3418395695),('AP',3418395696,3418395839),('KR',3418395840,3418395903),('JP',3418395904,3418396415),('AP',3418396416,3418396719),('TW',3418396720,3418396735),('AP',3418396736,3418397823),('HK',3418397824,3418397831),('AP',3418397832,3418397847),('HK',3418397848,3418397911),('AP',3418397912,3418398079),('KR',3418398080,3418398207),('JP',3418398208,3418398719),('AP',3418398720,3418399231),('PH',3418399232,3418399359),('AP',3418399360,3418399439),('PH',3418399440,3418399455),('AP',3418399456,3418399471),('TW',3418399472,3418399487),('AP',3418399488,3418401535),('PH',3418401536,3418401599),('AP',3418401600,3418401631),('PH',3418401632,3418401647),('AP',3418401648,3418401719),('PH',3418401720,3418401727),('TW',3418401728,3418401791),('AP',3418401792,3418401887),('PH',3418401888,3418401903),('TW',3418401904,3418401919),('AP',3418401920,3418401935),('TW',3418401936,3418401951),('AP',3418401952,3418403071),('MY',3418403072,3418403103),('AP',3418403104,3418403583),('AU',3418403584,3418403591),('NZ',3418403592,3418403599),('AU',3418403600,3418403615),('AP',3418403616,3418403623),('AU',3418403624,3418403679),('AP',3418403680,3418403711),('AU',3418403712,3418403775),('NZ',3418403776,3418403783),('AU',3418403784,3418403807),('AP',3418403808,3418403815),('AU',3418403816,3418403839),('HK',3418403840,3418403991),('AP',3418403992,3418403999),('HK',3418404000,3418404063),('AP',3418404064,3418404159),('TW',3418404160,3418404175),('AP',3418404176,3418404351),('KR',3418404352,3418404479),('AP',3418404480,3418405375),('AU',3418405376,3418405503),('AP',3418405504,3418405631),('HK',3418405632,3418405663),('AP',3418405664,3418405855),('SG',3418405856,3418405887),('AP',3418405888,3418406143),('SG',3418406144,3418406399),('AP',3418406400,3418406911),('IN',3418406912,3418423295),('HK',3418423296,3418435711),('JP',3418435712,3418435743),('HK',3418435744,3418448639),('SG',3418448640,3418448895),('HK',3418448896,3418453064),('AS',3418453065,3418453065),('US',3418453066,3418453071),('HK',3418453072,3418453087),('US',3418453088,3418453091),('HK',3418453092,3418453247),('AS',3418453248,3418453375),('US',3418453376,3418453407),('HK',3418453408,3418453411),('KR',3418453412,3418453412),('HK',3418453413,3418453415),('KR',3418453416,3418453423),('HK',3418453424,3418453631),('US',3418453632,3418453759),('HK',3418453760,3418456063),('IN',3418456064,3418472447),('AU',3418472448,3418480639),('AU',3418488832,3418505215),('JP',3418505216,3418506831),('ID',3418506832,3418506879),('AU',3418506880,3418506895),('NZ',3418506896,3418506911),('JP',3418506912,3418507043),('ID',3418507044,3418507047),('JP',3418507048,3418507071),('ID',3418507072,3418507075),('JP',3418507076,3418507295),('HK',3418507296,3418507335),('JP',3418507336,3418507903),('MY',3418507904,3418507919),('JP',3418507920,3418507927),('MY',3418507928,3418507971),('JP',3418507972,3418508543),('HK',3418508544,3418508607),('JP',3418508608,3418508639),('HK',3418508640,3418508671),('JP',3418508672,3418508927),('SG',3418508928,3418509024),('JP',3418509025,3418509055),('TW',3418509056,3418509119),('JP',3418509120,3418509327),('HK',3418509328,3418509455),('JP',3418509456,3418510271),('TW',3418510272,3418510279),('JP',3418510280,3418510287),('HK',3418510288,3418510303),('JP',3418510304,3418510591),('TW',3418510592,3418510847),('JP',3418510848,3418510927),('HK',3418510928,3418510943),('AU',3418510944,3418510951),('JP',3418510952,3418510991),('HK',3418510992,3418511007),('JP',3418511008,3418511023),('HK',3418511024,3418511039),('JP',3418511040,3418511087),('HK',3418511088,3418511103),('JP',3418511104,3418511107),('SG',3418511108,3418511115),('JP',3418511116,3418511116),('SG',3418511117,3418511117),('JP',3418511118,3418511119),('SG',3418511120,3418511359),('JP',3418511360,3418511383),('TW',3418511384,3418511399),('SG',3418511400,3418511407),('TW',3418511408,3418511415),('SG',3418511416,3418511423),('TW',3418511424,3418511439),('JP',3418511440,3418512191),('AU',3418512192,3418512255),('JP',3418512256,3418512703),('AU',3418512704,3418512735),('JP',3418512736,3418512951),('AU',3418512952,3418512959),('JP',3418512960,3418512983),('AU',3418512984,3418513031),('HK',3418513032,3418513039),('AU',3418513040,3418513055),('JP',3418513056,3418513063),('AU',3418513064,3418513071),('JP',3418513072,3418513087),('AU',3418513088,3418513127),('JP',3418513128,3418513215),('TW',3418513216,3418513231),('JP',3418513232,3418513407),('IN',3418513408,3418517503),('MN',3418517504,3418519551),('HK',3418521600,3418524574),('CN',3418524575,3418524606),('TH',3418524607,3418524638),('HK',3418524639,3418554367),('TH',3418578944,3418583039),('TH',3418585088,3418586111),('AU',3418586112,3418586367),('SG',3418586368,3418586623),('PK',3418586624,3418586879),('AU',3418586880,3418587135),('CN',3418619904,3418621951),('JP',3418624000,3418626047),('KI',3418626048,3418628095),('AU',3418628096,3418636287),('JP',3418636288,3418642943),('ID',3418642944,3418643199),('JP',3418643200,3418643455),('AU',3418643456,3418644479),('JP',3418644480,3418644735),('AU',3418644736,3418644991),('TW',3418644992,3418645247),('SG',3418645248,3418645503),('JP',3418645504,3418645759),('NZ',3418645760,3418646271),('HK',3418646272,3418646527),('JP',3418646528,3418646783),('TW',3418646784,3418647039),('JP',3418647040,3418648063),('SG',3418648064,3418648575),('AU',3418648576,3418648591),('JP',3418648592,3418648639),('AU',3418648640,3418648783),('SG',3418648784,3418648799),('NZ',3418648800,3418648815),('HK',3418648816,3418648831),('JP',3418648832,3418649439),('SG',3418649440,3418649503),('JP',3418649504,3418649519),('SG',3418649520,3418649567),('JP',3418649568,3418649583),('SG',3418649584,3418649599),('JP',3418649600,3418649887),('PH',3418649888,3418649951),('JP',3418649952,3418650751),('HK',3418650752,3418650808),('JP',3418650809,3418650823),('HK',3418650824,3418650839),('JP',3418650840,3418650846),('HK',3418650847,3418650879),('NZ',3418650880,3418651039),('JP',3418651040,3418651135),('SG',3418651136,3418651391),('JP',3418651392,3418651903),('HK',3418651904,3418652159),('PH',3418652160,3418652163),('JP',3418652164,3418652167),('PH',3418652168,3418652171),('JP',3418652172,3418652183),('PH',3418652184,3418652207),('JP',3418652208,3418652415),('HK',3418652416,3418652671),('IN',3418652672,3418750975),('HK',3418750976,3418816511),('IN',3418816512,3418947583),('AU',3418947584,3418955775),('TW',3418955776,3418959871),('AU',3418963968,3418988543),('ID',3418988544,3418992639),('IN',3418996736,3419013119),('AU',3419013120,3419062271),('JP',3419062272,3419070463),('HK',3419070464,3419071999),('ID',3419072000,3419072255),('HK',3419072256,3419072511),('JP',3419072512,3419073023),('SG',3419073024,3419073279),('FJ',3419073280,3419073535),('SG',3419073536,3419074559),('BD',3419074560,3419078655),('TW',3419078656,3419209727),('JP',3419209728,3419275263),('AU',3419275264,3419340799),('TW',3419340800,3419344895),('KR',3419344896,3419348991),('TW',3419348992,3419353087),('CN',3419357184,3419411455),('HK',3419411456,3419411711),('JP',3419412224,3419412479),('PH',3419412480,3419414527),('CN',3419414528,3419422719),('AU',3419422720,3419439103),('SG',3419439104,3419448703),('NP',3419448704,3419448735),('SG',3419448736,3419449023),('BD',3419449024,3419449055),('SG',3419449056,3419456911),('JP',3419456912,3419456927),('SG',3419456928,3419459007),('AF',3419459008,3419459071),('SG',3419459072,3419471871),('TH',3419471872,3419504639),('HK',3419504640,3419508735),('JP',3419508736,3419512831),('AU',3419512832,3419516927),('AU',3419521024,3419529215),('CN',3419529216,3419537407),('HK',3419537408,3419541503),('KR',3419541504,3419553791),('AU',3419553792,3419570175),('VN',3419570176,3419602943),('TW',3419602944,3419611135),('JP',3419611136,3419617279),('AU',3419617280,3419618303),('SG',3419618304,3419619327),('NZ',3419619328,3419635711),('SG',3419635712,3419643903),('JP',3419643904,3419668479),('CN',3419668480,3419672575),('AU',3419672576,3419674623),('IN',3419674624,3419675647),('MN',3419675648,3419676671),('JP',3419676672,3419684863),('IN',3419684864,3419688959),('CN',3419688960,3419693055),('KR',3419693056,3419701247),('AU',3419701248,3419709439),('KR',3419709440,3419717631),('IN',3419717632,3419734015),('AU',3419734016,3419774975),('JP',3419774976,3419783167),('PH',3419783168,3419791359),('AU',3419791360,3419873279),('AF',3419873280,3419877375),('PH',3419881472,3419897855),('JP',3419897856,3419899903),('FR',3419899904,3419900159),('BE',3419900160,3419900415),('AU',3419900416,3419901439),('NZ',3419901440,3419901951),('AU',3419901952,3419902207),('HK',3419902208,3419902463),('CN',3419902464,3419902719),('HK',3419902720,3419902975),('AU',3419902976,3419903231),('JP',3419903232,3419903487),('AU',3419903488,3419906047),('PK',3419906048,3419914239),('KR',3419914240,3419922431),('JP',3419922432,3419924479),('PH',3419924480,3419926527),('HK',3419926528,3419930623),('JP',3419930624,3419971583),('KR',3419971584,3419979775),('JP',3419979776,3419996159),('AU',3419996160,3420020735),('TW',3420020736,3420028927),('KR',3420045312,3420061695),('HK',3420061696,3420127231),('AU',3420127232,3420323839),('TW',3420323840,3420332031),('AU',3420332032,3420334591),('HK',3420334592,3420334623),('AU',3420334624,3420334639),('SG',3420334640,3420334643),('AU',3420334644,3420334647),('HK',3420334648,3420334687),('SG',3420334688,3420334695),('JP',3420334696,3420334703),('HK',3420334704,3420334719),('SG',3420334720,3420334847),('HK',3420334848,3420335271),('CN',3420335272,3420335279),('HK',3420335280,3420335615),('KR',3420335616,3420335623),('SG',3420335624,3420335631),('JP',3420335632,3420335640),('AU',3420335641,3420335647),('JP',3420335648,3420335871),('SG',3420335872,3420336127),('JP',3420336128,3420336183),('SG',3420336184,3420336199),('JP',3420336200,3420336207),('HK',3420336208,3420336223),('SG',3420336224,3420336255),('JP',3420336256,3420336287),('SG',3420336288,3420336319),('JP',3420336320,3420336351),('KR',3420336352,3420336367),('SG',3420336368,3420336383),('JP',3420336384,3420336655),('AU',3420336656,3420336671),('JP',3420336672,3420336895),('HK',3420336896,3420337151),('SG',3420337152,3420337167),('AU',3420337168,3420337171),('SG',3420337172,3420337175),('AU',3420337176,3420337183),('SG',3420337184,3420337599),('HK',3420337600,3420337631),('SG',3420337632,3420337643),('AU',3420337644,3420337647),('SG',3420337648,3420337663),('AU',3420337664,3420337727),('NZ',3420337728,3420337743),('AU',3420337744,3420337835),('NZ',3420337836,3420337839),('AU',3420337840,3420340019),('NZ',3420340020,3420340023),('AU',3420340024,3420340143),('NZ',3420340144,3420340159),('AU',3420340160,3420365847),('TW',3420365848,3420365855),('AU',3420365856,3420365887),('HK',3420365888,3420366047),('TW',3420366048,3420366055),('HK',3420366056,3420366059),('AU',3420366060,3420366063),('TW',3420366064,3420366079),('HK',3420366080,3420366335),('SG',3420366336,3420366431),('CN',3420366432,3420366439),('SG',3420366440,3420366447),('US',3420366448,3420366463),('SG',3420366464,3420366471),('IN',3420366472,3420366479),('SG',3420366480,3420366495),('HK',3420366496,3420366511),('SG',3420366512,3420366527),('CN',3420366528,3420366591),('HK',3420366592,3420366639),('TW',3420366640,3420366647),('CN',3420366648,3420366655),('HK',3420366656,3420366719),('CN',3420366720,3420366735),('KR',3420366736,3420366751),('HK',3420366752,3420366847),('JP',3420366848,3420366871),('KR',3420366872,3420366879),('AU',3420366880,3420366911),('JP',3420366912,3420366959),('KR',3420366960,3420366975),('JP',3420366976,3420367039),('KR',3420367040,3420367055),('JP',3420367056,3420367103),('HK',3420367104,3420367359),('JP',3420367360,3420367383),('KR',3420367384,3420367423),('JP',3420367424,3420367495),('KR',3420367496,3420367503),('AU',3420367504,3420367519),('JP',3420367520,3420367631),('AU',3420367632,3420367647),('JP',3420367648,3420367663),('KR',3420367664,3420367679),('JP',3420367680,3420367743),('AU',3420367744,3420367775),('TW',3420367776,3420367791),('IN',3420367792,3420367807),('JP',3420367808,3420367871),('AU',3420367872,3420368015),('NZ',3420368016,3420368031),('AU',3420368032,3420368063),('NZ',3420368064,3420368067),('AU',3420368068,3420368583),('CN',3420368584,3420368591),('AU',3420368592,3420368639),('NZ',3420368640,3420368895),('HK',3420368896,3420368935),('TW',3420368936,3420368943),('HK',3420368944,3420368991),('AU',3420368992,3420369023),('HK',3420369024,3420369055),('AU',3420369056,3420369087),('HK',3420369088,3420369139),('CN',3420369140,3420369223),('HK',3420369224,3420369239),('TW',3420369240,3420369255),('CN',3420369256,3420369263),('AU',3420369264,3420369279),('HK',3420369280,3420369343),('CN',3420369344,3420369407),('AU',3420369408,3420370431),('HK',3420370432,3420370527),('CN',3420370528,3420370543),('HK',3420370544,3420370559),('JP',3420370560,3420370575),('CN',3420370576,3420370591),('AU',3420370592,3420370623),('HK',3420370624,3420370943),('JP',3420370944,3420371199),('AU',3420371200,3420371455),('JP',3420371456,3420371775),('KR',3420371776,3420371807),('HK',3420371808,3420371823),('KR',3420371824,3420371839),('IN',3420371840,3420371879),('SG',3420371880,3420371887),('CN',3420371888,3420371895),('AU',3420371896,3420371903),('IN',3420371904,3420371967),('AU',3420371968,3420372223),('HK',3420372224,3420372735),('AU',3420372736,3420372991),('HK',3420372992,3420377087),('JP',3420377088,3420389375),('US',3420389376,3420393471),('BD',3420393472,3420395519),('JP',3420395520,3420397567),('KH',3420397568,3420401663),('JP',3420401664,3420411903),('TH',3420411904,3420412415),('ID',3420412416,3420412927),('BD',3420412928,3420413951),('KR',3420413952,3420422143),('MY',3420422144,3420430335),('PK',3420430336,3420434431),('HK',3420438528,3420454911),('KR',3420454912,3422552063),('US',3422552064,3422848511),('GB',3422848512,3422848767),('US',3422848768,3422955519),('FR',3422955520,3422956799),('US',3422956800,3423092735),('VI',3423092736,3423092767),('US',3423092768,3423092783),('VI',3423092784,3423092831),('US',3423092832,3423092847),('VI',3423092848,3423093759),('US',3423093760,3423094783),('CA',3423094784,3423095807),('US',3423095808,3423143935),('CA',3423143936,3423145983),('US',3423148032,3423182847),('CA',3423182848,3423184895),('US',3423184896,3423207663),('AN',3423207664,3423207671),('US',3423207672,3423208193),('AN',3423208194,3423208383),('US',3423208384,3423221759),('CA',3423221760,3423222783),('US',3423222784,3423236095),('JM',3423236096,3423238143),('US',3423238144,3423258623),('CA',3423258624,3423260671),('US',3423260672,3423268863),('CA',3423268864,3423269887),('US',3423269888,3423285247),('CA',3423285248,3423287295),('US',3423287296,3423303679),('CA',3423303680,3423304703),('US',3423304704,3423311871),('VI',3423311872,3423313919),('US',3423313920,3423329567),('IL',3423329568,3423329615),('US',3423329616,3423338495),('ZA',3423371264,3423375359),('US',3423404032,3423412223),('CA',3423412224,3423414271),('US',3423414272,3423462655),('CA',3423462656,3423462671),('US',3423462672,3423465471),('US',3423467520,3423469567),('US',3423471616,3423473663),('CA',3423473664,3423474687),('US',3423474688,3423480319),('NG',3423480320,3423480447),('US',3423480448,3423480575),('DM',3423480576,3423480831),('GY',3423480832,3423480895),('US',3423480896,3423480935),('AO',3423480936,3423480943),('US',3423480944,3423481023),('NG',3423481024,3423481039),('US',3423481040,3423481087),('VC',3423481088,3423481599),('US',3423481600,3423493631),('CA',3423493632,3423493887),('ID',3423493888,3423493903),('US',3423493904,3423526911),('US',3423528960,3423532031),('AI',3423533056,3423535103),('US',3423535104,3423543295),('CA',3423543296,3423545343),('US',3423545344,3423571967),('PR',3423571968,3423574015),('US',3423574016,3423582207),('CA',3423582208,3423584303),('TH',3423584304,3423584311),('CA',3423584312,3423584351),('AU',3423584352,3423584359),('CA',3423584360,3423584423),('US',3423584424,3423584431),('CA',3423584432,3423584447),('US',3423584448,3423584455),('CA',3423584456,3423584463),('US',3423584464,3423584471),('CA',3423584472,3423584503),('UA',3423584504,3423584511),('CA',3423584512,3423584751),('AU',3423584752,3423584767),('CA',3423584768,3423585087),('AR',3423585088,3423585151),('CA',3423585152,3423585535),('IR',3423585536,3423585551),('CA',3423585552,3423585807),('US',3423585808,3423585823),('CA',3423585824,3423585831),('RU',3423585832,3423585839),('CA',3423585840,3423585879),('US',3423585880,3423585887),('CA',3423585888,3423585895),('NL',3423585896,3423585903),('CA',3423585904,3423585911),('ES',3423585912,3423585919),('CA',3423585920,3423585927),('NZ',3423585928,3423585935),('CA',3423585936,3423585999),('US',3423586000,3423586007),('NL',3423586008,3423586015),('US',3423586016,3423586039),('CA',3423586040,3423586303),('US',3423586304,3423602687),('KN',3423602688,3423603711),('US',3423603712,3423626239),('CA',3423626240,3423627263),('US',3423627264,3423631359),('A2',3423632384,3423633407),('US',3423633408,3423637503),('CA',3423637504,3423639551),('US',3423639552,3423651839),('CA',3423651840,3423653887),('US',3423653888,3423709183),('CA',3423709184,3423709439),('US',3423709440,3423797247),('CA',3423797248,3423827711),('US',3423827712,3423827967),('CA',3423827968,3423858175),('US',3423858176,3423858687),('CA',3423858688,3423862783),('US',3423862784,3424378879),('PR',3424378880,3424379135),('US',3424379136,3424493823),('CA',3424493824,3424494079),('US',3424494080,3424494335),('US',3424494592,3425173503),('CA',3425173504,3425304575),('US',3425304576,3425697791),('CA',3425697792,3425699839),('US',3425699840,3425828863),('CA',3425828864,3425855231),('US',3425855232,3425855487),('CA',3425855488,3425894399),('US',3425894400,3425910783),('US',3425959936,3426013183),('IL',3426013184,3426013439),('US',3426013440,3426387967),('MX',3426387968,3426388991),('US',3426388992,3427127295),('CA',3427127296,3427127551),('US',3427127552,3427127807),('US',3427128064,3427128831),('US',3427129344,3427618303),('CA',3427618304,3427618559),('US',3427618560,3427729407),('CA',3427729408,3427729663),('US',3427729664,3427730431),('BE',3427730432,3427730687),('DE',3427730688,3427730943),('US',3427730944,3427731967),('DE',3427731968,3427732223),('US',3427732224,3427732479),('CH',3427732480,3427732735),('IE',3427732736,3427735039),('US',3427735040,3427735295),('HK',3427735296,3427736063),('GB',3427736064,3427736319),('US',3427736320,3427741951),('DE',3427741952,3427742463),('AT',3427742464,3427742719),('CH',3427742720,3427742975),('GB',3427742976,3427743487),('DE',3427743488,3427743743),('CA',3427743744,3427743999),('SE',3427744000,3427744255),('DE',3427744256,3427745279),('TW',3427745280,3427745791),('GB',3427745792,3427746047),('DK',3427746048,3427746303),('US',3427746304,3427746559),('JP',3427746560,3427746815),('DE',3427746816,3427747071),('US',3427747072,3427747327),('DE',3427747328,3427747583),('US',3427747584,3427747839),('NO',3427747840,3427748095),('CH',3427748096,3427748351),('JP',3427748352,3427748607),('DE',3427748608,3427749631),('NL',3427749632,3427749887),('DE',3427749888,3427750655),('GB',3427750656,3427750911),('US',3427750912,3427751423),('BE',3427751424,3427751519),('US',3427751520,3427752447),('NL',3427752448,3427752703),('GB',3427752704,3427752959),('US',3427752960,3427753215),('JP',3427753216,3427753471),('FI',3427753472,3427753727),('IT',3427753728,3427753983),('CH',3427753984,3427754239),('GB',3427754240,3427754495),('DE',3427754496,3427754751),('CA',3427754752,3427755007),('IT',3427755008,3427755263),('US',3427755264,3427755519),('DE',3427755520,3427755775),('BE',3427755776,3427756287),('AU',3427756288,3427756543),('DE',3427756544,3427756799),('US',3427756800,3427757055),('GR',3427757056,3427757311),('FR',3427757312,3427757567),('JP',3427757568,3427757823),('DE',3427757824,3427758079),('BE',3427758080,3427758591),('IT',3427758592,3427758847),('US',3427758848,3427759103),('BE',3427759104,3427759359),('GB',3427759360,3427759871),('US',3427759872,3427760127),('CA',3427760128,3427760895),('US',3427760896,3427761663),('JP',3427761664,3427761919),('US',3427761920,3427762175),('DE',3427762176,3427762431),('CA',3427762432,3427762687),('IT',3427762688,3427763455),('AU',3427763456,3427763711),('GB',3427763712,3427763967),('US',3427763968,3427764223),('FR',3427764224,3427764479),('US',3427764480,3427765503),('GB',3427765504,3427765759),('US',3427765760,3427766271),('GB',3427766272,3427766783),('SE',3427766784,3427767039),('DE',3427767040,3427767807),('US',3427767808,3427769599),('JP',3427769600,3427770111),('NO',3427770112,3427770367),('GB',3427770368,3427770623),('CH',3427770624,3427771391),('US',3427771392,3427771647),('CA',3427771648,3427771903),('CH',3427771904,3427772415),('DE',3427772416,3427772671),('HK',3427772672,3427772927),('BE',3427772928,3427773183),('DE',3427773184,3427773439),('US',3427773440,3427773695),('FR',3427773696,3427773951),('US',3427773952,3427774719),('DE',3427774720,3427775231),('US',3427775232,3427775999),('HK',3427776000,3427776511),('CZ',3427776512,3427776767),('US',3427776768,3427777023),('NL',3427777024,3427777279),('DE',3427777280,3427777535),('US',3427777536,3427777791),('HK',3427777792,3427778047),('US',3427778048,3427778303),('SE',3427778304,3427778559),('NO',3427778560,3427779071),('GB',3427779072,3427779327),('US',3427779328,3427780095),('GB',3427780096,3427780351),('US',3427780352,3427781375),('GB',3427781376,3427781631),('BE',3427781632,3427781887),('US',3427781888,3427782399),('GB',3427782400,3427782655),('FR',3427782656,3427783423),('GB',3427783424,3427783679),('US',3427783680,3427783935),('GB',3427783936,3427784703),('US',3427784704,3427785215),('JP',3427785216,3427785471),('NO',3427785472,3427785727),('US',3427785728,3427786751),('LU',3427786752,3427787263),('US',3427787264,3427787775),('FR',3427787776,3427788031),('CH',3427788032,3427788287),('GB',3427788288,3427788799),('NO',3427788800,3427789567),('DE',3427789568,3427790079),('US',3427790080,3427790847),('IT',3427790848,3427791103),('DE',3427791104,3427791615),('GB',3427791616,3427791871),('CA',3427791872,3427792383),('NL',3427792384,3427792639),('SG',3427792640,3427793407),('HK',3427793408,3427793919),('US',3427793920,3427794175),('NL',3427794176,3427794943),('US',3427794944,3427831551),('MX',3427831552,3427831807),('US',3427831808,3427860479),('CA',3427860480,3428025343),('US',3428025344,3428025855),('CA',3428025856,3428057087),('US',3428057088,3428286719),('CA',3428286720,3428286975),('US',3428286976,3428296959),('CL',3428296960,3428297215),('US',3428297472,3428299519),('ZA',3428299520,3428299775),('US',3428299776,3428306175),('MX',3428306176,3428306431),('US',3428306432,3428434943),('IT',3428434944,3428435199),('US',3428435200,3428437503),('MX',3428437504,3428437759),('US',3428437760,3428496639),('NL',3428496640,3428497151),('US',3428497152,3428581375),('CA',3428581376,3428581567),('US',3428581568,3428581695),('CA',3428581696,3428581759),('US',3428581760,3428581823),('CA',3428581824,3428581887),('US',3428581888,3428581951),('CA',3428581952,3428582231),('US',3428582232,3428582239),('CA',3428582240,3428582279),('DK',3428582280,3428582287),('CA',3428582288,3428582303),('US',3428582304,3428582311),('CA',3428582312,3428582319),('US',3428582320,3428582327),('CA',3428582328,3428582399),('US',3428582400,3428582655),('CA',3428582656,3428582911),('US',3428582912,3428583167),('CA',3428583168,3428583231),('US',3428583232,3428583359),('CA',3428583360,3428583455),('US',3428583456,3428583487),('CA',3428583488,3428583551),('US',3428583552,3428583583),('CA',3428583584,3428583743),('US',3428583744,3428583871),('CA',3428583872,3428583935),('US',3428583936,3428584127),('CA',3428584128,3428584191),('US',3428584192,3428584511),('CA',3428584512,3428584703),('US',3428584704,3428584767),('CA',3428584768,3428584895),('US',3428584896,3428584959),('CA',3428584960,3428585471),('US',3428585472,3428585599),('CA',3428585600,3428585727),('US',3428585728,3428585983),('CA',3428585984,3428586879),('US',3428586880,3428587007),('CA',3428587008,3428587519),('US',3428587520,3428588543),('CA',3428588544,3428589055),('US',3428589056,3428591623),('CA',3428591624,3428591663),('US',3428591664,3428591679),('CA',3428591680,3428591695),('US',3428591696,3428591831),('CA',3428591832,3428591847),('US',3428591848,3428591871),('CA',3428591872,3428592135),('US',3428592136,3428592151),('CA',3428592152,3428592191),('US',3428592192,3428592207),('CA',3428592208,3428592247),('US',3428592248,3428592255),('CA',3428592256,3428592271),('US',3428592272,3428592343),('CA',3428592344,3428593663),('US',3428593664,3428593919),('CA',3428593920,3428594303),('US',3428594304,3428594431),('CA',3428594432,3428594495),('US',3428594496,3428594623),('CA',3428594624,3428595199),('US',3428595200,3428595215),('CA',3428595216,3428595247),('US',3428595248,3428595455),('CA',3428595456,3428595743),('US',3428595744,3428595807),('CA',3428595808,3428595871),('US',3428595872,3428595903),('CA',3428595904,3428595967),('US',3428595968,3428596095),('CA',3428596096,3428596783),('US',3428596784,3428596791),('CA',3428596792,3428596799),('US',3428596800,3428596815),('CA',3428596816,3428596823),('US',3428596824,3428596831),('CA',3428596832,3428596839),('US',3428596840,3428596847),('CA',3428596848,3428596887),('US',3428596888,3428596895),('CA',3428596896,3428596991),('US',3428596992,3428597247),('CA',3428597248,3428597511),('US',3428597512,3428597519),('CA',3428597520,3428597551),('US',3428597552,3428597559),('CA',3428597560,3428597575),('US',3428597576,3428597583),('CA',3428597584,3428597623),('US',3428597624,3428597631),('CA',3428597632,3428597655),('US',3428597656,3428597663),('CA',3428597664,3428597727),('US',3428597728,3428597759),('CA',3428597760,3428598271),('US',3428598272,3428598527),('CA',3428598528,3428598687),('US',3428598688,3428598719),('CA',3428598720,3428598751),('US',3428598752,3428598783),('CA',3428598784,3428599103),('US',3428599104,3428599231),('CA',3428599232,3428601599),('US',3428601600,3428602111),('CA',3428602112,3428602367),('US',3428602368,3428602623),('CA',3428602624,3428602687),('US',3428602688,3428602719),('CA',3428602720,3428602847),('US',3428602848,3428603135),('CA',3428603136,3428603199),('US',3428603200,3428603263),('CA',3428603264,3428603327),('US',3428603328,3428603391),('CA',3428603392,3428603519),('US',3428603520,3428603775),('CA',3428603776,3428605183),('US',3428605184,3428605695),('CA',3428605696,3428605823),('US',3428605824,3428605855),('CA',3428605856,3428606023),('US',3428606024,3428606031),('CA',3428606032,3428606039),('US',3428606040,3428606111),('CA',3428606112,3428606119),('US',3428606120,3428606207),('CA',3428606208,3428606271),('US',3428606272,3428606367),('CA',3428606368,3428606383),('US',3428606384,3428606415),('CA',3428606416,3428606431),('US',3428606432,3428606463),('CA',3428606464,3428606559),('US',3428606560,3428606655),('CA',3428606656,3428606687),('US',3428606688,3428606911),('IS',3428606912,3428606975),('US',3428606976,3428607743),('CA',3428607744,3428607871),('US',3428607872,3428607999),('CA',3428608000,3428609023),('US',3428609024,3428610303),('CA',3428610304,3428611071),('US',3428611072,3428612607),('CA',3428612608,3428612863),('US',3428612864,3428613119),('CA',3428613120,3428613887),('US',3428613888,3428614143),('CA',3428614144,3428614911),('US',3428614912,3428614971),('CA',3428614972,3428619263),('US',3428619264,3428619519),('CA',3428619520,3428620095),('US',3428620096,3428620287),('CA',3428620288,3428620799),('US',3428620800,3428621055),('CA',3428621056,3428621887),('US',3428621888,3428622047),('CA',3428622048,3428622095),('US',3428622096,3428622335),('CA',3428622336,3428623615),('US',3428623616,3428623871),('CA',3428623872,3428624639),('US',3428624640,3428625407),('CA',3428625408,3428627199),('US',3428627200,3428630015),('CA',3428630016,3428634623),('US',3428634624,3428634879),('CA',3428634880,3428635135),('US',3428635136,3428635391),('CA',3428635392,3428635679),('US',3428635680,3428635711),('CA',3428635712,3428635775),('US',3428635776,3428635871),('CA',3428635872,3428636927),('US',3428636928,3428636991),('CA',3428636992,3428637055),('US',3428637056,3428637119),('CA',3428637120,3428637215),('US',3428637216,3428637247),('CA',3428637248,3428637375),('US',3428637376,3428637407),('CA',3428637408,3428638015),('US',3428638016,3428638079),('CA',3428638080,3428638143),('US',3428638144,3428638207),('CA',3428638208,3428638591),('US',3428638592,3428638719),('CA',3428638720,3428639487),('US',3428639488,3428640255),('CA',3428640256,3428640511),('US',3428640512,3428640767),('CA',3428640768,3428643327),('US',3428643328,3428643583),('CA',3428643584,3428643855),('US',3428643856,3428643871),('CA',3428643872,3428643903),('US',3428643904,3428643919),('CA',3428643920,3428643935),('US',3428643936,3428643951),('CA',3428643952,3428644015),('US',3428644016,3428644047),('CA',3428644048,3428644063),('US',3428644064,3428644351),('CA',3428644352,3428645631),('US',3428645632,3428645695),('CA',3428645696,3428645759),('US',3428645760,3428645791),('CA',3428645792,3428645855),('US',3428645856,3428645887),('CA',3428645888,3428645951),('US',3428645952,3428646015),('CA',3428646016,3428646079),('US',3428646080,3428646143),('CA',3428646144,3428646911),('US',3428646912,3428679679),('US',3428712448,3428739327),('GB',3428739328,3428739343),('US',3428739344,3428743167),('CA',3428743168,3428744191),('US',3428744192,3428751103),('PR',3428751104,3428751231),('US',3428751232,3428752383),('GH',3428752384,3428753407),('US',3428753408,3428756479),('SE',3428756480,3428756487),('US',3428756488,3428818727),('GB',3428818728,3428818735),('US',3428818736,3428894039),('CA',3428894040,3428894047),('US',3428894048,3428958207),('CO',3428958208,3428962303),('US',3428962304,3429171199),('CA',3429171200,3429236735),('US',3429236736,3429396223),('DE',3429396224,3429396479),('US',3429396480,3429408511),('DE',3429408512,3429408767),('US',3429408768,3429411583),('DE',3429411584,3429411839),('US',3429411840,3429892095),('CA',3429892096,3429957631),('US',3429957632,3430291295),('IS',3430291296,3430291327),('US',3430291328,3430313967),('CA',3430313968,3430313983),('US',3430313984,3430319135),('SE',3430319136,3430319143),('US',3430319144,3430328831),('GH',3430328832,3430329087),('US',3430329088,3430354943),('PR',3430354944,3430356991),('US',3430356992,3430468607),('AQ',3430468608,3430468863),('PR',3430468864,3430468871),('US',3430468872,3430701055),('CA',3430701056,3430702079),('US',3430702080,3430705151),('MX',3430705152,3430706175),('US',3430706176,3430747903),('CA',3430747904,3430748159),('US',3430748160,3430749951),('CA',3430749952,3430750207),('US',3430750208,3430767615),('CA',3430767616,3430768383),('US',3430768384,3430768895),('CA',3430768896,3430769151),('US',3430769152,3430769407),('CA',3430769408,3430769663),('US',3430769664,3430770943),('CA',3430770944,3430771199),('US',3430771200,3430771711),('CA',3430771712,3430772223),('US',3430772224,3430773247),('CA',3430773248,3430773503),('US',3430773504,3430774271),('CA',3430774272,3430774527),('US',3430774528,3430777343),('CA',3430777344,3430777599),('US',3430777600,3430777855),('CA',3430777856,3430778111),('US',3430778112,3430778623),('CA',3430778624,3430778879),('US',3430778880,3430779903),('CA',3430779904,3430780159),('US',3430780160,3430780671),('CA',3430780672,3430780927),('US',3430780928,3430782463),('CA',3430782464,3430782719),('US',3430782720,3430793983),('PR',3430793984,3430794239),('US',3430794240,3430795007),('CA',3430795008,3430795263),('US',3430795264,3430797823),('CA',3430797824,3430798079),('US',3430798080,3430805759),('CA',3430805760,3430806015),('US',3430806016,3430807295),('CA',3430807296,3430807551),('US',3430807552,3430809087),('CA',3430809088,3430809343),('US',3430809344,3430812159),('MX',3430812672,3430813183),('US',3430813184,3430842367),('DO',3430842368,3430842879),('US',3430842880,3430845439),('MX',3430845440,3430845951),('US',3430845952,3431114495),('CA',3431114496,3431114751),('US',3431114752,3431596031),('CA',3431596032,3431613439),('US',3431613440,3431613695),('CA',3431613696,3431661567),('US',3431661568,3431745023),('BE',3431745024,3431745279),('US',3431745280,3431745791),('GB',3431745792,3431746047),('US',3431746048,3431746559),('DE',3431746560,3431746815),('US',3431746816,3431747071),('LU',3431747072,3431747327),('US',3431747328,3431748607),('FR',3431748608,3431749119),('IT',3431749120,3431752703),('US',3431752704,3431753215),('SG',3431753216,3431753471),('CA',3431753472,3431755007),('NL',3431755008,3431759615),('DE',3431759616,3431759871),('US',3431759872,3432009215),('PR',3432009216,3432009471),('US',3432009472,3432106239),('MX',3432106240,3432106495),('US',3432106496,3432113407),('CA',3432113408,3432113663),('US',3432113664,3432133887),('GB',3432133888,3432134143),('US',3432134144,3432253439),('CA',3432253440,3432253951),('US',3432253952,3432265983),('DE',3432265984,3432267263),('US',3432267264,3432280063),('GB',3432280064,3432280319),('US',3432280320,3432324607),('CA',3432324608,3432324863),('US',3432324864,3432329215),('DE',3432329216,3432330239),('US',3432330240,3432361983),('DE',3432361984,3432366079),('US',3432366080,3432476415),('DE',3432476416,3432476671),('US',3432476672,3432493823),('DE',3432493824,3432495103),('US',3432495104,3432517119),('NA',3432517120,3432517631),('US',3432517632,3432520703),('GB',3432520704,3432520959),('US',3432520960,3432585215),('MX',3432585216,3432585727),('US',3432586240,3432660991),('DE',3432660992,3432662527),('PT',3432662528,3432662531),('DE',3432662532,3432663039),('US',3432663040,3433581312),('CA',3433581313,3433581567),('US',3433581568,3433955327),('CA',3433955328,3434020863),('US',3434020864,3434096063),('AU',3434096064,3434096079),('US',3434096080,3434097919),('GB',3434097920,3434097983),('US',3434097984,3434108639),('IL',3434108640,3434108671),('US',3434108672,3434112239),('IN',3434112240,3434112255),('US',3434112256,3434117631),('CA',3434117632,3434117695),('US',3434117696,3434133551),('IL',3434133552,3434133567),('US',3434133568,3434133759),('IL',3434133760,3434133791),('US',3434133792,3434134015),('CA',3434134016,3434134079),('US',3434134080,3434423295),('CA',3434423296,3434423303),('US',3434423304,3434427391),('HN',3434427392,3434428415),('US',3434428416,3434433279),('PR',3434433280,3434433535),('US',3434433536,3434553343),('ES',3434553344,3434553599),('US',3434553600,3434571775),('CO',3434571776,3434573823),('US',3434573824,3434575359),('BR',3434575360,3434575615),('US',3434575616,3434583039),('NL',3434583040,3434584063),('US',3434584064,3434807295),('CA',3434807296,3434831359),('US',3434831360,3434831615),('CA',3434831616,3434872831),('US',3434872832,3434907647),('PA',3434907648,3434909695),('US',3434909696,3434913791),('AG',3434913792,3434914047),('DM',3434914048,3434914303),('VG',3434914304,3434914559),('AG',3434914560,3434914815),('VG',3434914816,3434915327),('DM',3434915328,3434915583),('KN',3434915584,3434915839),('LC',3434915840,3434916095),('AG',3434916096,3434916351),('DM',3434916352,3434916607),('AG',3434916608,3434917119),('LC',3434917120,3434917375),('AG',3434917376,3434917887),('US',3434917888,3434921983),('US',3434938368,3435069439),('CA',3435069440,3435134975),('US',3435134976,3436249087),('CA',3436249088,3436282367),('US',3436282368,3436282623),('CA',3436282624,3436289791),('US',3436289792,3436290047),('CA',3436290048,3436314623),('US',3436314624,3436476415),('AW',3436476416,3436478463),('US',3436478464,3436697087),('VE',3436697088,3436697343),('US',3436697344,3437232383),('CA',3437232384,3437232639),('US',3437232640,3437242879),('CA',3437242880,3437243135),('US',3437243136,3437249279),('CA',3437249280,3437249535),('US',3437249536,3437259775),('CA',3437259776,3437260031),('US',3437260032,3437262079),('CA',3437262080,3437262335),('US',3437262336,3437263615),('CA',3437263616,3437263871),('US',3437263872,3437266431),('CA',3437266432,3437266687),('US',3437266688,3437279487),('CA',3437279488,3437279743),('US',3437279744,3437281279),('CA',3437281280,3437281535),('US',3437281536,3437292799),('CA',3437292800,3437293055),('US',3437293056,3437296639),('CA',3437296640,3437296895),('US',3437296896,3437297663),('CA',3437297664,3437331711),('US',3437331712,3437331967),('CA',3437331968,3437334015),('US',3437334016,3437334271),('CA',3437334272,3437341695),('US',3437341696,3437341951),('CA',3437341952,3437358847),('US',3437358848,3437359103),('CA',3437359104,3437428735),('US',3437428736,3437691391),('HK',3437691392,3437691647),('JP',3437691648,3437691903),('FR',3437691904,3437692415),('US',3437692416,3437692671),('CA',3437692672,3437693439),('HK',3437693440,3437693695),('NO',3437693696,3437693951),('ES',3437693952,3437694207),('AT',3437694208,3437695231),('HK',3437695232,3437695999),('NL',3437696000,3437696767),('US',3437696768,3437702911),('HK',3437702912,3437703167),('US',3437703168,3437703423),('NL',3437703424,3437703679),('ES',3437703680,3437703935),('US',3437703936,3437704191),('CH',3437704192,3437704703),('US',3437704704,3437706495),('CH',3437706496,3437706751),('US',3437706752,3437707263),('DE',3437707264,3437707519),('US',3437707520,3437707775),('FR',3437707776,3437708031),('US',3437708032,3437708287),('FI',3437708288,3437708799),('CA',3437708800,3437709311),('FR',3437709312,3437709823),('US',3437709824,3437710079),('GB',3437710080,3437710335),('US',3437710336,3437712639),('GB',3437712640,3437713663),('US',3437713664,3437713919),('CA',3437713920,3437714431),('US',3437714432,3437715199),('DE',3437715200,3437715455),('JP',3437715456,3437715711),('IT',3437715712,3437715967),('DE',3437715968,3437716991),('US',3437716992,3437717247),('BE',3437717248,3437718527),('US',3437718528,3437720063),('SG',3437720064,3437723135),('US',3437723136,3437725183),('MN',3437725184,3437725695),('DE',3437725696,3437726207),('US',3437726208,3437726463),('GB',3437726464,3437726975),('US',3437726976,3437731583),('AF',3437731584,3437731615),('US',3437731616,3437734399),('SG',3437734400,3437734655),('US',3437734656,3437736447),('CL',3437736448,3437737471),('US',3437737472,3437748223),('GB',3437748224,3437748479),('NL',3437748480,3437748991),('US',3437748992,3437749247),('DE',3437749248,3437749503),('US',3437749504,3437749759),('JP',3437749760,3437750015),('BE',3437750016,3437750271),('GB',3437750272,3437750527),('US',3437750528,3437751551),('IT',3437751552,3437751807),('GB',3437751808,3437752063),('ES',3437752064,3437752319),('IE',3437752320,3437752575),('US',3437752832,3437755135),('JP',3437755136,3437755647),('GB',3437755648,3437755903),('US',3437755904,3437756159),('IE',3437756160,3437756415),('US',3437756416,3437961215),('ZA',3437961216,3437965311),('US',3437965312,3438026751),('US',3438149632,3438215167),('CA',3438215168,3438217983),('US',3438217984,3438218239),('CA',3438218240,3438218751),('CA',3438219264,3438280703),('US',3438280704,3438542847),('CA',3438542848,3438545423),('US',3438545424,3438545431),('CA',3438545432,3438545471),('US',3438545472,3438545479),('CA',3438545480,3438545583),('US',3438545584,3438545591),('CA',3438545592,3438550071),('US',3438550072,3438550079),('CA',3438550080,3438550447),('US',3438550448,3438550463),('CA',3438550464,3438552271),('US',3438552272,3438552287),('CA',3438552288,3438570031),('MY',3438570032,3438570039),('CA',3438570040,3438592255),('US',3438592256,3438592263),('CA',3438592264,3438600319),('US',3438600320,3438600351),('CA',3438600352,3438608383),('US',3438608384,3438813183),('GH',3438813184,3438814207),('US',3438814208,3438895103),('HN',3438895104,3438896895),('US',3438896896,3439070975),('MX',3439070976,3439071135),('US',3439071136,3439182847),('A2',3439182848,3439183359),('HT',3439183360,3439183871),('US',3439183872,3439219967),('CL',3439219968,3439220079),('US',3439220080,3439220087),('CL',3439220088,3439220159),('US',3439220160,3439220175),('CL',3439220176,3439220191),('US',3439220192,3448159471),('AG',3448159472,3448159487),('US',3448159488,3448168831),('IN',3448168832,3448168839),('US',3448168840,3448169263),('AE',3448169264,3448169279),('US',3448169280,3448170511),('UY',3448170512,3448170527),('US',3448170528,3448172927),('CA',3448172928,3448173055),('US',3448173056,3448173439),('CA',3448173440,3448173567),('US',3448173568,3448173695),('CA',3448173696,3448173823),('US',3448173824,3448173919),('UY',3448173920,3448173935),('US',3448173936,3448175103),('AU',3448175104,3448175615),('US',3448175616,3448175871),('AU',3448175872,3448176127),('US',3448176128,3448263423),('AG',3448263424,3448263431),('KN',3448263432,3448263439),('AG',3448263440,3448263447),('KN',3448263448,3448263471),('AG',3448263472,3448263487),('AI',3448263488,3448263551),('AG',3448263552,3448263655),('MS',3448263656,3448263663),('AG',3448263664,3448263743),('VG',3448263744,3448263871),('AG',3448263872,3448263935),('US',3448263936,3448303103),('KY',3448303104,3448303871),('US',3448303872,3448338687),('GB',3448338688,3448339455),('US',3448339456,3448377343),('AG',3448377344,3448377855),('US',3448377856,3448397951),('CA',3448397952,3448397967),('US',3448397968,3448398335),('CA',3448398336,3448399103),('US',3448399104,3448399359),('CA',3448399360,3448399871),('US',3448399872,3448462143),('SG',3448462144,3448462207),('US',3448462208,3449001245),('MC',3449001246,3449001246),('US',3449001247,3449159679),('CA',3449159680,3449160959),('US',3449160960,3449161471),('CA',3449161472,3449163519),('US',3449163520,3449163775),('CA',3449163776,3449165055),('US',3449165056,3449165311),('CA',3449165312,3449165567),('US',3449165568,3449166079),('CA',3449166080,3449168639),('US',3449168640,3449168895),('CA',3449168896,3449169151),('US',3449169152,3449169663),('CA',3449169664,3449171199),('US',3449171200,3449171711),('CA',3449171712,3449172991),('US',3449172992,3449173247),('CA',3449173248,3449174783),('US',3449174784,3449175039),('CA',3449175040,3449175295),('US',3449175296,3449175551),('CA',3449175552,3449175807),('US',3449175808,3449176063),('CA',3449176064,3449177087),('US',3449177088,3449177103),('CA',3449177104,3449178367),('US',3449178368,3449178623),('CA',3449178624,3449179967),('US',3449179968,3449180031),('CA',3449180032,3449180095),('US',3449180096,3449180671),('CA',3449180672,3449181951),('US',3449181952,3449181983),('CA',3449181984,3449181999),('US',3449182000,3449182015),('CA',3449182016,3449182031),('US',3449182032,3449182047),('CA',3449182048,3449182063),('US',3449182064,3449182079),('CA',3449182080,3449182095),('US',3449182096,3449182111),('CA',3449182112,3449182159),('US',3449182160,3449182207),('CA',3449182208,3449186303),('US',3449186304,3449186559),('CA',3449186560,3449186815),('US',3449186816,3449187071),('CA',3449187072,3449187647),('US',3449187648,3449187711),('CA',3449187712,3449188159),('US',3449188160,3449188223),('CA',3449188224,3449188831),('US',3449188832,3449188863),('CA',3449188864,3449189599),('US',3449189600,3449189631),('CA',3449189632,3449189647),('US',3449189648,3449189663),('CA',3449189664,3449189679),('US',3449189680,3449189711),('CA',3449189712,3449189759),('US',3449189760,3449189775),('CA',3449189776,3449189791),('US',3449189792,3449189839),('CA',3449189840,3449190655),('US',3449190656,3449190911),('CA',3449190912,3449191175),('US',3449191176,3449191183),('CA',3449191184,3449191255),('US',3449191256,3449191263),('CA',3449191264,3449191303),('US',3449191304,3449191311),('CA',3449191312,3449191319),('US',3449191320,3449191327),('CA',3449191328,3449191343),('GB',3449191344,3449191351),('CA',3449191352,3449191367),('US',3449191368,3449191375),('CA',3449191376,3449191679),('US',3449191680,3449191743),('CA',3449191744,3449195775),('US',3449195776,3449196031),('CA',3449196032,3449196287),('US',3449196288,3449198687),('CA',3449198688,3449198783),('US',3449198784,3449198879),('CA',3449198880,3449199103),('US',3449199104,3449199647),('CA',3449199648,3449199695),('US',3449199696,3449199711),('CA',3449199712,3449199871),('US',3449199872,3449202767),('CA',3449202768,3449202847),('US',3449202848,3449202863),('CA',3449202864,3449202911),('US',3449202912,3449202943),('CA',3449202944,3449202959),('US',3449202960,3449202967),('CA',3449202968,3449203023),('US',3449203024,3449203031),('CA',3449203032,3449203039),('US',3449203040,3449203047),('CA',3449203048,3449203095),('US',3449203096,3449203103),('CA',3449203104,3449203119),('US',3449203120,3449203127),('CA',3449203128,3449203263),('US',3449203264,3449203295),('CA',3449203296,3449203527),('US',3449203528,3449203543),('CA',3449203544,3449203599),('US',3449203600,3449203607),('CA',3449203608,3449203623),('US',3449203624,3449203631),('CA',3449203632,3449203655),('US',3449203656,3449203663),('CA',3449203664,3449203687),('US',3449203688,3449203695),('CA',3449203696,3449203775),('US',3449203776,3449203903),('CA',3449203904,3449203967),('US',3449203968,3449204031),('CA',3449204032,3449204479),('US',3449204480,3449204735),('CA',3449204736,3449205759),('US',3449205760,3449206271),('CA',3449206272,3449206335),('US',3449206336,3449206367),('CA',3449206368,3449206591),('US',3449206592,3449206655),('CA',3449206656,3449207007),('US',3449207008,3449208575),('CA',3449208576,3449208767),('US',3449208768,3449208831),('CA',3449208832,3449208879),('US',3449208880,3449208895),('CA',3449208896,3449208975),('US',3449208976,3449209007),('CA',3449209008,3449209023),('US',3449209024,3449209039),('CA',3449209040,3449209599),('US',3449209600,3449209855),('CA',3449209856,3449209983),('US',3449209984,3449210015),('CA',3449210016,3449212415),('US',3449212416,3449212671),('CA',3449212672,3449212927),('US',3449212928,3449213183),('CA',3449213184,3449213695),('US',3449213696,3449213951),('CA',3449213952,3449214079),('US',3449214080,3449214143),('CA',3449214144,3449214583),('SE',3449214584,3449214591),('CA',3449214592,3449214623),('US',3449214624,3449214647),('CA',3449214648,3449214719),('US',3449214720,3449214735),('CA',3449214736,3449214815),('US',3449214816,3449214831),('CA',3449214832,3449214847),('US',3449214848,3449214863),('CA',3449214864,3449215999),('US',3449216000,3449220351),('CA',3449220352,3449221375),('US',3449221376,3449222655),('CA',3449222656,3449224959),('US',3449224960,3449225215),('CA',3449225216,3449290751),('US',3449290752,3449598207),('GB',3449598208,3449598463),('US',3449598464,3449769727),('ZA',3449769728,3449769983),('US',3449769984,3449823231),('CO',3449823232,3449824255),('US',3449824256,3449835519),('ES',3449835520,3449836543),('US',3449836544,3449843199),('YE',3449843200,3449843711),('US',3449843712,3449874687),('AG',3449874688,3449874943),('US',3449874944,3449910719),('CA',3449910720,3449910783),('US',3449910784,3449923583),('ES',3449923584,3449923839),('US',3449923840,3449974783),('CA',3449974784,3449976831),('US',3449976832,3449980159),('AN',3449980160,3449980415),('US',3449980416,3449994239),('MX',3449994240,3449994495),('US',3449994496,3450217215),('LC',3450217216,3450217471),('US',3450217472,3450272511),('MX',3450272512,3450272767),('US',3450272768,3450773503),('CA',3450773504,3450777599),('US',3450777600,3450936319),('HK',3450936320,3450936351),('US',3450936352,3451027455),('CA',3451027456,3451029503),('US',3451029504,3451030015),('CA',3451030016,3451031551),('US',3451031552,3451032319),('CA',3451032320,3451032831),('US',3451032832,3451033087),('CA',3451033088,3451041791),('US',3451041792,3451170303),('VE',3451170304,3451170559),('US',3451170560,3451187967),('AU',3451187968,3451188223),('US',3451188224,3451207423),('CH',3451207424,3451207679),('US',3451207680,3451236351),('HU',3451236352,3451236607),('US',3451236608,3451371519),('GB',3451371520,3451371775),('US',3451371776,3451715583),('CA',3451715584,3451781119),('US',3451781120,3451783935),('CA',3451783936,3451784191),('US',3451784192,3451786751),('CA',3451786752,3451787263),('US',3451787264,3451788031),('CA',3451788032,3451788287),('US',3451788288,3451798783),('CA',3451798784,3451799039),('US',3451799040,3451800063),('CA',3451800064,3451800319),('US',3451800320,3451807231),('CA',3451807232,3451807487),('US',3451807488,3451808511),('CA',3451808512,3451808767),('US',3451808768,3451810815),('CA',3451810816,3451811327),('US',3451811328,3451821567),('PR',3451821568,3451821823),('US',3451821824,3451824127),('CA',3451824128,3451824383),('US',3451824384,3451827455),('PR',3451827456,3451827711),('US',3451827712,3451828479),('CA',3451828480,3451828735),('US',3451828736,3451828991),('CA',3451828992,3451829247),('US',3451829248,3451835903),('CA',3451835904,3451836159),('US',3451836160,3451836415),('CA',3451836416,3451836671),('US',3451836672,3451836927),('CA',3451836928,3451837183),('US',3451837184,3451837695),('CA',3451837696,3451837951),('US',3451837952,3451840255),('CA',3451840256,3451840767),('US',3451840768,3451912191),('CA',3451912192,3452174335),('US',3452174336,3452436479),('CA',3452436480,3452502015),('US',3452502016,3452764159),('CA',3452764160,3452764439),('US',3452764440,3452764447),('CA',3452764448,3452764487),('US',3452764488,3452764495),('CA',3452764496,3452764615),('US',3452764616,3452764623),('CA',3452764624,3452764639),('US',3452764640,3452764647),('CA',3452764648,3452764655),('US',3452764656,3452764663),('CA',3452764664,3452768399),('US',3452768400,3452768431),('CA',3452768432,3452768751),('US',3452768752,3452768767),('CA',3452768768,3452770591),('US',3452770592,3452770607),('CA',3452770608,3452770783),('US',3452770784,3452770799),('CA',3452770800,3452771647),('US',3452771648,3452771711),('CA',3452771712,3452776895),('US',3452776896,3452776959),('CA',3452776960,3452785399),('US',3452785400,3452785407),('CA',3452785408,3452787519),('US',3452787520,3452787583),('CA',3452787584,3452791039),('US',3452791040,3452791055),('CA',3452791056,3452798951),('US',3452798952,3452798959),('CA',3452798960,3452810239),('US',3452810240,3452810751),('CA',3452810752,3452818527),('US',3452818528,3452818535),('CA',3452818536,3452818599),('US',3452818600,3452818615),('CA',3452818616,3452818639),('US',3452818640,3452818647),('CA',3452818648,3452824575),('US',3452824576,3452824607),('CA',3452824608,3452914175),('US',3452914176,3452914431),('CA',3452914432,3452934911),('US',3452934912,3452935167),('CA',3452936192,3452960767),('US',3452960768,3453026303),('CA',3453026304,3453034495),('US',3453034496,3453039503),('GB',3453039504,3453039519),('US',3453039520,3453091839),('CA',3453091840,3453101055),('US',3453101056,3453101311),('CA',3453101312,3453149183),('US',3453149184,3453149439),('CA',3453149440,3453159423),('BM',3453159424,3453159935),('CA',3453159936,3453206527),('HN',3453206528,3453207551),('NI',3453207552,3453207807),('HN',3453207808,3453208575),('NI',3453208576,3453208831),('HN',3453208832,3453209599),('US',3453209600,3453209855),('HN',3453209856,3453210367),('SV',3453210368,3453210623),('CR',3453210624,3453213183),('HN',3453213184,3453214719),('GT',3453214720,3453215231),('SV',3453215232,3453215999),('CR',3453216000,3453217023),('SV',3453217024,3453217791),('CR',3453217792,3453219327),('US',3453219328,3453219583),('SV',3453219584,3453219839),('US',3453219840,3453220607),('HN',3453220608,3453222911),('US',3453222912,3453241343),('A1',3453241344,3453243263),('US',3453243264,3453370583),('CA',3453370584,3453370607),('US',3453370608,3453370703),('CA',3453370704,3453370719),('US',3453370720,3453371191),('CA',3453371192,3453371199),('US',3453371200,3453371215),('MY',3453371216,3453371223),('US',3453371224,3453371463),('CZ',3453371464,3453371471),('US',3453371472,3453371639),('CA',3453371640,3453371663),('US',3453371664,3453371671),('CA',3453371672,3453371679),('US',3453371680,3453371767),('SA',3453371768,3453371783),('US',3453371784,3453371807),('SA',3453371808,3453371815),('US',3453371816,3453371831),('JP',3453371832,3453371839),('US',3453371840,3453371967),('AT',3453371968,3453371975),('CA',3453371976,3453371983),('US',3453371984,3453372047),('SA',3453372048,3453372063),('US',3453372064,3453372183),('JP',3453372184,3453372191),('CH',3453372192,3453372199),('US',3453372200,3453372231),('CA',3453372232,3453372247),('US',3453372248,3453372263),('PT',3453372264,3453372271),('US',3453372272,3453372287),('CA',3453372288,3453372327),('US',3453372328,3453372415),('UA',3453372416,3453372439),('US',3453372440,3453372535),('HK',3453372536,3453372543),('LB',3453372544,3453372551),('US',3453372552,3453372711),('SA',3453372712,3453372727),('OM',3453372728,3453372735),('US',3453372736,3453372767),('AE',3453372768,3453372775),('US',3453372776,3453372783),('LB',3453372784,3453372791),('US',3453372792,3453372951),('IN',3453372952,3453372967),('US',3453372968,3453372975),('IN',3453372976,3453372991),('US',3453372992,3453373007),('IN',3453373008,3453373023),('US',3453373024,3453373095),('SA',3453373096,3453373127),('US',3453373128,3453373135),('PH',3453373136,3453373143),('US',3453373144,3453373239),('CA',3453373240,3453373271),('US',3453373272,3453374519),('AT',3453374520,3453374527),('US',3453374528,3453374551),('CA',3453374552,3453374559),('US',3453374560,3453374567),('PH',3453374568,3453374583),('CY',3453374584,3453374591),('US',3453374592,3453374639),('CA',3453374640,3453374647),('US',3453374648,3453374791),('PH',3453374792,3453374807),('US',3453374808,3453374815),('CA',3453374816,3453374823),('US',3453374824,3453374871),('UA',3453374872,3453374879),('US',3453374880,3453374927),('GB',3453374928,3453374935),('US',3453374936,3453374983),('GB',3453374984,3453374999),('US',3453375000,3453375023),('SA',3453375024,3453375047),('US',3453375048,3453375095),('SA',3453375096,3453375135),('TH',3453375136,3453375143),('US',3453375144,3453375167),('SA',3453375168,3453375191),('US',3453375192,3453375215),('GB',3453375216,3453375239),('US',3453375240,3453375255),('IN',3453375256,3453375263),('GB',3453375264,3453375279),('TK',3453375280,3453375319),('US',3453375320,3453375343),('GB',3453375344,3453375375),('US',3453375376,3453375383),('SA',3453375384,3453375407),('GB',3453375408,3453375415),('FR',3453375416,3453375447),('AU',3453375448,3453375487),('US',3453375488,3453375551),('NZ',3453375552,3453375559),('US',3453375560,3453375575),('RU',3453375576,3453375583),('US',3453375584,3453375591),('NZ',3453375592,3453375599),('US',3453375600,3453375639),('NZ',3453375640,3453375647),('US',3453375648,3453375783),('NZ',3453375784,3453375791),('US',3453375792,3453375807),('SA',3453375808,3453375887),('US',3453375888,3453375999),('CA',3453376000,3453376255),('US',3453376256,3453376535),('GB',3453376536,3453376543),('US',3453376544,3453376719),('GB',3453376720,3453376727),('US',3453376728,3453376743),('GB',3453376744,3453376751),('UA',3453376752,3453376759),('US',3453376760,3453376783),('GB',3453376784,3453376791),('US',3453376792,3453376823),('AU',3453376824,3453376831),('SA',3453376832,3453376839),('US',3453376840,3453376847),('KW',3453376848,3453376887),('US',3453376888,3453376919),('GB',3453376920,3453376927),('US',3453376928,3453376951),('GB',3453376952,3453376959),('US',3453376960,3453376975),('SA',3453376976,3453376983),('US',3453376984,3453377031),('CA',3453377032,3453377039),('US',3453377040,3453377159),('GB',3453377160,3453377167),('US',3453377168,3453377183),('AU',3453377184,3453377191),('US',3453377192,3453377319),('GB',3453377320,3453377327),('US',3453377328,3453377607),('SA',3453377608,3453377615),('US',3453377616,3453377671),('NL',3453377672,3453377679),('US',3453377680,3453377815),('HN',3453377816,3453377823),('US',3453377824,3453377887),('CA',3453377888,3453377903),('US',3453377904,3453377999),('SA',3453378000,3453378007),('US',3453378008,3453378015),('GB',3453378016,3453378031),('US',3453378032,3453378047),('GB',3453378048,3453378055),('US',3453378056,3453378143),('SA',3453378144,3453378151),('US',3453378152,3453378271),('DK',3453378272,3453378279),('US',3453378280,3453378503),('BE',3453378504,3453378511),('CA',3453378512,3453378519),('GB',3453378520,3453378535),('US',3453378536,3453403135),('BB',3453403136,3453405951),('KN',3453405952,3453406207),('TC',3453406208,3453406463),('VC',3453406464,3453406975),('GD',3453406976,3453407231),('BB',3453407232,3453407743),('GD',3453407744,3453408255),('BB',3453408256,3453409023),('KN',3453409024,3453409535),('BB',3453409536,3453411327),('US',3453411328,3453607935),('AG',3453607936,3453616127),('US',3453616128,3454436351),('GU',3454436352,3454436607),('US',3454436608,3454497791),('MX',3454497792,3454498815),('US',3454498816,3454599167),('CA',3454599168,3454601215),('US',3454603008,3454603263),('CA',3454603264,3454604799),('US',3454604800,3454607359),('CA',3454607360,3454636799),('US',3454636800,3454637055),('CA',3454637056,3454664703),('US',3454664704,3454672895),('CA',3454672896,3454681087),('US',3454681088,3454698823),('CA',3454698824,3454698839),('US',3454698840,3454698887),('HK',3454698888,3454698895),('US',3454698896,3454703135),('IN',3454703136,3454703143),('US',3454703144,3454703255),('CA',3454703256,3454703263),('US',3454703264,3454705151),('GB',3454705152,3454705215),('US',3454705216,3454708927),('IN',3454708928,3454708991),('US',3454708992,3454710551),('SO',3454710552,3454710559),('US',3454710560,3454710671),('IN',3454710672,3454710679),('US',3454710680,3454711487),('HK',3454711488,3454711519),('US',3454711520,3454717551),('CA',3454717552,3454717559),('US',3454717560,3454718623),('HK',3454718624,3454718655),('US',3454718656,3454718767),('EG',3454718768,3454718775),('BE',3454718776,3454718783),('US',3454718784,3454718959),('TR',3454718960,3454718967),('US',3454718968,3454721183),('EG',3454721184,3454721191),('US',3454721192,3454725759),('DE',3454725760,3454725767),('US',3454725768,3454727799),('CA',3454727800,3454727807),('US',3454727808,3454730239),('EC',3454730240,3454732287),('US',3454732288,3454795775),('CA',3454795776,3454808831),('US',3454808832,3454809087),('CA',3454809088,3454814975),('US',3454814976,3454815231),('CA',3454815232,3454815743),('CA',3454816256,3454885887),('US',3454885888,3454914559),('CA',3454914560,3454926847),('US',3454926848,3455096831),('EC',3455096832,3455097855),('US',3455097856,3455109119),('HN',3455109120,3455111167),('SR',3455111168,3455115263),('US',3455115264,3455122879),('PR',3455122880,3455122887),('US',3455122888,3455126527),('MX',3455126528,3455126783),('US',3455126784,3455132159),('BO',3455132160,3455133695),('US',3455133696,3455242407),('CA',3455242408,3455242415),('US',3455242416,3455244847),('CA',3455244848,3455244855),('US',3455244856,3455320063),('FR',3455320064,3455322111),('US',3455322112,3455328255),('DO',3455328256,3455329279),('US',3455329280,3455330815),('ES',3455330816,3455331327),('US',3455331328,3455333887),('NL',3455333888,3455334399),('US',3455334400,3455359231),('ES',3455359232,3455359487),('US',3455359488,3455360671),('PR',3455360672,3455360687),('US',3455360688,3455418367),('KY',3455418368,3455418879),('US',3455418880,3455421439),('BE',3455421440,3455421951),('US',3455421952,3455551999),('EC',3455552000,3455552255),('US',3455552256,3455566079),('EC',3455566080,3455566335),('US',3455566336,3455582207),('SG',3455582208,3455583743),('NL',3455583744,3455584255),('GB',3455584256,3455584767),('US',3455584768,3455588351),('BE',3455588352,3455588863),('FR',3455588864,3455589119),('US',3455589120,3455589375),('BE',3455589376,3455589631),('US',3455589632,3455591679),('NL',3455591680,3455591935),('US',3455591936,3455592191),('IE',3455592192,3455592447),('KR',3455592448,3455592703),('US',3455592704,3455594239),('DE',3455594240,3455594495),('TW',3455594496,3455594751),('DE',3455594752,3455595007),('US',3455595008,3455595519),('KR',3455595520,3455595775),('FR',3455595776,3455596031),('CH',3455596032,3455596543),('NL',3455596544,3455596799),('US',3455596800,3455597311),('FR',3455597312,3455597567),('US',3455597568,3455598847),('NO',3455598848,3455599103),('US',3455599104,3455599359),('MX',3455599360,3455599615),('TW',3455599616,3455600127),('GB',3455600128,3455600639),('US',3455600640,3455600895),('GB',3455600896,3455601151),('US',3455601152,3455601407),('GB',3455601408,3455601919),('US',3455601920,3455602175),('GB',3455602176,3455602687),('US',3455602688,3455615487),('JP',3455615488,3455616255),('US',3455616256,3455616511),('CA',3455616512,3455616767),('US',3455616768,3455617279),('GB',3455617280,3455619071),('US',3455619072,3455619263),('AR',3455619264,3455619327),('US',3455619328,3455619839),('GB',3455619840,3455620095),('US',3455620096,3455620287),('VE',3455620288,3455620351),('US',3455620352,3455621631),('GB',3455621632,3455622143),('US',3455622144,3455624191),('FR',3455624192,3455624447),('US',3455624448,3455627519),('DK',3455627520,3455628287),('BE',3455628288,3455628543),('CA',3455628544,3455628799),('GB',3455628800,3455630847),('US',3455630848,3455631103),('GB',3455631104,3455631359),('ES',3455631360,3455632639),('US',3455632640,3455632895),('GB',3455632896,3455633407),('US',3455633408,3455634431),('DE',3455634432,3455635455),('US',3455635456,3455635711),('FR',3455635712,3455635967),('DE',3455635968,3455636223),('CA',3455636224,3455636479),('US',3455636480,3455637759),('GB',3455637760,3455638271),('BE',3455638272,3455638527),('US',3455638528,3455639551),('IT',3455639552,3455639807),('US',3455639808,3455640063),('CA',3455640064,3455640319),('GB',3455640320,3455640575),('US',3455640576,3455640831),('GB',3455640832,3455641087),('NL',3455641088,3455641343),('GB',3455641344,3455641599),('US',3455641600,3455642879),('FR',3455642880,3455643135),('US',3455643136,3455644159),('HK',3455644160,3455644415),('US',3455644416,3455644927),('GB',3455644928,3455645439),('JP',3455645440,3455645695),('BE',3455645696,3455645951),('FR',3455645952,3455646719),('SE',3455646720,3455646975),('GB',3455646976,3455647231),('HK',3455647232,3455647487),('IT',3455647488,3455647743),('US',3455647744,3455713279),('CA',3455713280,3455778815),('US',3455844352,3456303103),('JP',3456303104,3456311295),('US',3456311296,3456892927),('CA',3456892928,3456958463),('US',3456958464,3457551871),('CA',3457551872,3457552127),('US',3457552128,3457553151),('CA',3457553152,3457553663),('US',3457553664,3457554175),('CA',3457554176,3457554431),('US',3457554432,3457555711),('CA',3457555712,3457555967),('US',3457555968,3457564927),('CA',3457564928,3457565183),('US',3457565184,3457575167),('CA',3457575168,3457575423),('US',3457575424,3457577727),('CA',3457577728,3457578239),('US',3457578240,3457580543),('CA',3457580544,3457580799),('US',3457580800,3457582591),('CA',3457582592,3457582847),('US',3457582848,3457592319),('CA',3457592320,3457592575),('US',3457592576,3457595391),('CA',3457595392,3457595903),('US',3457595904,3457596671),('CA',3457596672,3457597695),('US',3457597696,3457598207),('CA',3457598208,3457598463),('US',3457598464,3457600511),('CA',3457600512,3457600767),('US',3457600768,3457683455),('CA',3457683456,3457684479),('US',3457684480,3457723535),('GB',3457723536,3457723551),('US',3457723552,3457859839),('CA',3457859840,3457860095),('US',3457860096,3457862847),('CA',3457862848,3457862911),('US',3457862912,3458195455),('SG',3458195456,3458196479),('US',3458196480,3458765631),('CA',3458765632,3458765695),('US',3458765696,3458811903),('CA',3458813952,3458818047),('US',3458818048,3458820095),('US',3458822144,3458823583),('MY',3458823584,3458823591),('US',3458823592,3458823701),('GB',3458823702,3458823717),('US',3458823718,3458823725),('GR',3458823726,3458823733),('US',3458823734,3458823765),('RU',3458823766,3458823781),('US',3458823782,3458823789),('IL',3458823790,3458823813),('US',3458823814,3458823846),('GB',3458823847,3458823862),('US',3458823863,3458823871),('MX',3458823872,3458823879),('US',3458823880,3458823903),('JP',3458823904,3458823919),('US',3458823920,3458823935),('CA',3458823936,3458823967),('JP',3458823968,3458823983),('US',3458823984,3458824087),('GB',3458824088,3458824111),('US',3458824112,3458824159),('ID',3458824160,3458824183),('GB',3458824184,3458824191),('US',3458824192,3458825983),('FR',3458825984,3458826047),('US',3458826048,3459055615),('CA',3459055616,3459121151),('US',3459121152,3459186687),('CA',3459186688,3459252223),('US',3459252224,3459256831),('CO',3459256832,3459257087),('US',3459257088,3459257343),('AW',3459257344,3459258367),('CL',3459258368,3459259391),('US',3459259392,3459264767),('VE',3459264768,3459265023),('US',3459265024,3459266559),('AG',3459266560,3459266623),('KN',3459266624,3459266655),('AG',3459266656,3459267327),('AI',3459267328,3459267583),('LC',3459267584,3459267839),('DM',3459267840,3459268095),('AG',3459268096,3459268607),('US',3459268608,3459272447),('VE',3459272448,3459272703),('US',3459272704,3459273727),('CL',3459273728,3459274751),('VE',3459274752,3459275775),('US',3459275776,3459276799),('VE',3459276800,3459277823),('AW',3459277824,3459278847),('US',3459278848,3459285247),('CL',3459285248,3459285311),('US',3459285312,3459285375),('CL',3459285376,3459286271),('US',3459286272,3459287807),('CL',3459287808,3459288063),('US',3459288064,3459290111),('CL',3459290112,3459290623),('US',3459290624,3459295231),('KR',3459295232,3459296255),('US',3459296256,3459312639),('MX',3459312640,3459312687),('US',3459312688,3459312767),('MX',3459312768,3459312895),('US',3459312896,3459325951),('VE',3459325952,3459326207),('SZ',3459326208,3459326463),('CA',3459326464,3459327487),('CO',3459327488,3459327999),('CL',3459328000,3459329023),('VE',3459329024,3459330047),('CL',3459330048,3459330559),('US',3459330560,3459331071),('MX',3459331072,3459331583),('PA',3459331584,3459332607),('US',3459332608,3459333119),('PW',3459333120,3459333631),('MR',3459333632,3459333887),('US',3459333888,3459334399),('CA',3459334400,3459334655),('US',3459334656,3459335423),('VE',3459335424,3459335679),('DO',3459335680,3459335935),('VE',3459335936,3459336191),('MX',3459336192,3459336447),('US',3459336448,3459336703),('LK',3459336704,3459336959),('AW',3459336960,3459337215),('CO',3459337216,3459337471),('VE',3459337472,3459337727),('MX',3459337728,3459337983),('US',3459337984,3459338239),('SV',3459338240,3459338495),('PH',3459338496,3459339263),('ID',3459339264,3459339519),('US',3459339520,3459339775),('ID',3459339776,3459340031),('VE',3459340032,3459340287),('MX',3459340288,3459340543),('FM',3459340544,3459340799),('SK',3459340800,3459341055),('MX',3459341056,3459341311),('TW',3459341312,3459341567),('US',3459341568,3459341823),('IL',3459341824,3459342079),('LK',3459342080,3459342335),('VE',3459342336,3459342591),('BY',3459342592,3459342847),('VE',3459342848,3459343103),('BR',3459343104,3459343359),('CA',3459343360,3459343439),('US',3459343440,3459343455),('CA',3459343456,3459343591),('US',3459343592,3459343599),('CA',3459343600,3459343615),('OM',3459343616,3459344127),('US',3459344128,3459345663),('OM',3459345664,3459346175),('US',3459346176,3459346431),('LK',3459346432,3459346687),('US',3459346688,3459346943),('PR',3459346944,3459348223),('AG',3459348224,3459348479),('CO',3459348480,3459348735),('BW',3459348736,3459348991),('IT',3459348992,3459349503),('US',3459349504,3459350527),('VE',3459350528,3459352575),('US',3459352576,3459352831),('FM',3459352832,3459353087),('US',3459353088,3459353343),('CO',3459353344,3459354623),('NI',3459354624,3459357183),('VE',3459357184,3459357439),('HT',3459357440,3459357695),('SV',3459357696,3459357951),('TG',3459357952,3459358207),('PR',3459358208,3459358719),('VE',3459358720,3459358975),('US',3459358976,3459359999),('VE',3459360000,3459360511),('US',3459360512,3459362815),('CO',3459362816,3459364863),('AR',3459364864,3459366911),('VE',3459366912,3459367167),('US',3459367168,3459367423),('VE',3459367424,3459367455),('VN',3459367456,3459367535),('VE',3459367536,3459367551),('VN',3459367552,3459367647),('VE',3459367648,3459367935),('VN',3459367936,3459367999),('VE',3459368000,3459368063),('VN',3459368064,3459368095),('VE',3459368096,3459368703),('US',3459368704,3459368959),('MX',3459368960,3459371007),('PE',3459371008,3459373055),('US',3459373056,3459373311),('CL',3459373312,3459375103),('VE',3459375104,3459376127),('US',3459376128,3459448831),('CA',3459448832,3459450623),('US',3459450624,3459450879),('CA',3459450880,3459456511),('US',3459456512,3459456767),('CA',3459456768,3459457279),('US',3459457280,3459457535),('CA',3459457536,3459457791),('US',3459458048,3459510271),('CA',3459512320,3459514367),('US',3459514368,3459590143),('CA',3459592192,3459596287),('US',3459596288,3459614719),('CA',3459616768,3459620863),('US',3459620864,3459622911),('BM',3459624960,3459629055),('US',3459629056,3459731455),('CA',3459731456,3459735551),('US',3459735552,3459745535),('IT',3459745536,3459745791),('US',3459745792,3460104703),('MX',3460104704,3460105215),('US',3460105216,3460108895),('FI',3460108896,3460108903),('US',3460108904,3460111871),('CA',3460111872,3460111887),('US',3460111888,3460113039),('PR',3460113040,3460113047),('US',3460113048,3460114431),('SR',3460114432,3460116479),('US',3460116480,3460161535),('PR',3460161536,3460163583),('US',3460163584,3460374527),('MX',3460374528,3460375551),('US',3460375552,3460408359),('DE',3460408360,3460408367),('US',3460408368,3460409199),('IL',3460409200,3460409215),('US',3460409216,3460409951),('DE',3460409952,3460409967),('US',3460409968,3460410455),('CA',3460410456,3460410463),('US',3460410464,3460412671),('IL',3460412672,3460412687),('US',3460412688,3460413015),('IL',3460413016,3460413023),('US',3460413024,3460413535),('DE',3460413536,3460413543),('US',3460413544,3460453631),('BS',3460453632,3460453887),('US',3460453888,3460507647),('MX',3460507648,3460507903),('US',3460507904,3460891135),('CL',3460891136,3460891199),('US',3460891200,3460891967),('BR',3460891968,3460891999),('CO',3460892000,3460892031),('VE',3460892032,3460892095),('BR',3460892096,3460892127),('US',3460892128,3460892159),('FR',3460892160,3460892223),('BR',3460892224,3460892271),('US',3460892272,3460892287),('FR',3460892288,3460892415),('US',3460892416,3460893439),('IT',3460893440,3460893695),('US',3460893696,3460894223),('MX',3460894224,3460894239),('US',3460894240,3460894335),('MX',3460894336,3460894367),('US',3460894368,3460894463),('JP',3460894464,3460894719),('NL',3460894720,3460894735),('CA',3460894736,3460894751),('US',3460894752,3460894783),('NL',3460894784,3460894975),('DK',3460894976,3460895231),('BE',3460895232,3460895487),('US',3460895488,3460896255),('ZA',3460896256,3460896511),('ES',3460896512,3460896767),('FR',3460896768,3460897023),('GB',3460897024,3460897279),('US',3460897280,3460899327),('ZA',3460899328,3460899583),('US',3460899584,3460900607),('PE',3460900608,3460900671),('US',3460900672,3460900735),('PR',3460900736,3460900799),('EC',3460900800,3460900831),('US',3460900832,3460901375),('SE',3460901376,3460901631),('US',3460901632,3460902143),('IN',3460902144,3460902271),('US',3460902272,3460903215),('AR',3460903216,3460903231),('BR',3460903232,3460903239),('US',3460903240,3460903263),('VE',3460903264,3460903295),('US',3460903296,3460903359),('MX',3460903360,3460903423),('US',3460903424,3460903807),('BO',3460903808,3460903871),('US',3460903872,3460903935),('VE',3460903936,3460904063),('MX',3460904064,3460904079),('US',3460904080,3460904191),('FI',3460904192,3460904223),('US',3460904224,3460904255),('DE',3460904256,3460904319),('US',3460904320,3460904447),('FI',3460904448,3460904479),('US',3460904480,3460904591),('CA',3460904592,3460904607),('US',3460904608,3460904639),('BR',3460904640,3460904703),('US',3460904704,3460904735),('CA',3460904736,3460904751),('US',3460904752,3460905255),('MX',3460905256,3460905263),('US',3460905264,3460905295),('BR',3460905296,3460905311),('US',3460905312,3460905407),('BR',3460905408,3460905471),('US',3460905472,3460905743),('BR',3460905744,3460905759),('US',3460905760,3460905791),('BR',3460905792,3460905823),('US',3460905824,3460906047),('ID',3460906048,3460906079),('CN',3460906080,3460906111),('HK',3460906112,3460906143),('US',3460906144,3460906495),('ID',3460906496,3460906559),('US',3460906560,3460907263),('SG',3460907264,3460907519),('US',3460907520,3460908287),('FI',3460908288,3460908543),('US',3460908544,3460908799),('IE',3460908800,3460910335),('US',3460910336,3460910591),('IE',3460910592,3460910847),('US',3460910848,3460911167),('ID',3460911168,3460911199),('US',3460911200,3460912127),('IT',3460912128,3460912383),('FR',3460912384,3460912639),('ES',3460912640,3460912895),('US',3460912896,3460913407),('FR',3460913408,3460913439),('US',3460913440,3460913471),('FR',3460913472,3460913663),('US',3460913664,3460913951),('CN',3460913952,3460914015),('US',3460914016,3460914047),('DE',3460914048,3460914111),('US',3460914112,3460916223),('CH',3460916224,3460916479),('GB',3460916480,3460916735),('AR',3460916736,3460916991),('CA',3460916992,3460917023),('US',3460917024,3460917135),('MX',3460917136,3460917151),('PR',3460917152,3460917183),('US',3460917184,3460917279),('CA',3460917280,3460917311),('US',3460917312,3460917343),('CA',3460917344,3460917359),('US',3460917360,3460917423),('MX',3460917424,3460917439),('US',3460917440,3460917759),('CA',3460917760,3460918015),('US',3460918016,3460918207),('AR',3460918208,3460918239),('US',3460918240,3460918271),('NL',3460918272,3460918527),('US',3460918528,3460918687),('MX',3460918688,3460918719),('US',3460918720,3460918783),('JP',3460918784,3460919039),('NL',3460919040,3460919295),('US',3460919296,3460919535),('AR',3460919536,3460919543),('CO',3460919544,3460919551),('US',3460919552,3460920319),('IT',3460920320,3460920575),('BE',3460920576,3460920831),('US',3460920832,3460921343),('DE',3460921344,3460921599),('AU',3460921600,3460921855),('US',3460921856,3460923391),('MX',3460923392,3460923647),('US',3460923648,3460923679),('FR',3460923680,3460923711),('DE',3460923712,3460923743),('CH',3460923744,3460923775),('SE',3460923776,3460923807),('GB',3460923808,3460923839),('AT',3460923840,3460923871),('US',3460923872,3460924159),('GB',3460924160,3460924175),('US',3460924176,3460924223),('GB',3460924224,3460924287),('DE',3460924288,3460924415),('GB',3460924416,3460924607),('US',3460924608,3460924671),('GB',3460924672,3460925183),('US',3460925184,3460925695),('ES',3460925696,3460925951),('US',3460925952,3460926207),('GB',3460926208,3460926463),('US',3460926464,3460926719),('DE',3460926720,3460926975),('US',3460926976,3460927103),('ES',3460927104,3460927231),('BE',3460927232,3460929023),('US',3460929024,3460929279),('DE',3460929280,3460929535),('GB',3460929536,3460929791),('DK',3460929792,3460930047),('US',3460930048,3460931007),('IT',3460931008,3460931071),('GR',3460931072,3460931199),('US',3460931200,3460931247),('BE',3460931248,3460931327),('US',3460931328,3460931583),('SE',3460931584,3460931839),('DE',3460931840,3460932095),('GB',3460932096,3460932351),('FR',3460932352,3460932607),('US',3460932608,3460932863),('GB',3460932864,3460933119),('US',3460933120,3460933375),('DE',3460933376,3460933439),('US',3460933440,3460933679),('SE',3460933680,3460933695),('US',3460933696,3460933823),('IL',3460933824,3460933887),('DE',3460933888,3460934143),('US',3460934144,3460934655),('CH',3460934656,3460934783),('IT',3460934784,3460934911),('SG',3460934912,3460935167),('US',3460935168,3460935199),('ES',3460935200,3460935231),('US',3460935232,3460935295),('HU',3460935296,3460935423),('FR',3460935424,3460935679),('FI',3460935680,3460935935),('FR',3460935936,3460936191),('US',3460936192,3460936447),('GB',3460936448,3460936703),('IT',3460936704,3460936959),('DE',3460936960,3460937215),('FR',3460937216,3460937471),('US',3460937472,3460937727),('DK',3460937728,3460937983),('IE',3460937984,3460938239),('DE',3460938240,3460938495),('US',3460938496,3460939039),('BE',3460939040,3460939071),('IT',3460939072,3460939103),('US',3460939104,3460939263),('HK',3460939264,3460939519),('US',3460939520,3460939711),('CH',3460939712,3460939775),('US',3460939776,3460939903),('AU',3460939904,3460939935),('SG',3460939936,3460939967),('US',3460939968,3460940287),('MX',3460940288,3460940351),('ID',3460940352,3460940415),('US',3460940416,3460940479),('HK',3460940480,3460940511),('TH',3460940512,3460940543),('US',3460940544,3460940559),('GB',3460940560,3460940567),('US',3460940568,3460940607),('CN',3460940608,3460940639),('US',3460940640,3460941311),('MY',3460941312,3460941375),('US',3460941376,3460941439),('TW',3460941440,3460941567),('AU',3460941568,3460941823),('US',3460941824,3460942079),('GB',3460942080,3460942335),('US',3460942336,3460943359),('ID',3460943360,3460943615),('HK',3460943616,3460943871),('US',3460943872,3460944383),('KR',3460944384,3460944447),('US',3460944448,3460944479),('CN',3460944480,3460944511),('TH',3460944512,3460944543),('JP',3460944544,3460944575),('KR',3460944576,3460944671),('US',3460944672,3460944767),('TH',3460944768,3460944895),('DE',3460944896,3460945151),('US',3460945152,3460945663),('GB',3460945664,3460945919),('US',3460945920,3460946687),('DE',3460946688,3460946943),('CH',3460946944,3460946975),('US',3460946976,3460947199),('BE',3460947200,3460947455),('DE',3460947456,3460947711),('SE',3460947712,3460947967),('US',3460947968,3460948095),('KR',3460948096,3460948159),('US',3460948160,3460948735),('PH',3460948736,3460948799),('CN',3460948800,3460948863),('US',3460948864,3460948927),('ID',3460948928,3460948959),('US',3460948960,3460949023),('JP',3460949024,3460949055),('ID',3460949056,3460949183),('US',3460949184,3460950271),('DE',3460950272,3460950527),('HK',3460950528,3460950559),('US',3460950560,3460950671),('JP',3460950672,3460950687),('US',3460950688,3460950991),('JP',3460950992,3460951007),('US',3460951008,3460951295),('GB',3460951296,3460951551),('JP',3460951552,3460951559),('US',3460951560,3460951567),('HK',3460951568,3460951583),('US',3460951584,3460951743),('HK',3460951744,3460951751),('ID',3460951752,3460951759),('US',3460951760,3460951823),('CA',3460951824,3460951831),('US',3460951832,3460951855),('JP',3460951856,3460951871),('US',3460951872,3460951935),('MX',3460951936,3460951951),('US',3460951952,3460952007),('CA',3460952008,3460952015),('US',3460952016,3460952255),('CA',3460952256,3460952287),('US',3460952288,3460952319),('GB',3460952320,3460952575),('ES',3460952576,3460952831),('US',3460952832,3460952895),('BR',3460952896,3460952927),('US',3460952928,3460952959),('CA',3460952960,3460953023),('US',3460953024,3460953111),('TW',3460953112,3460953119),('MX',3460953120,3460953135),('US',3460953136,3460953151),('TH',3460953152,3460953167),('JP',3460953168,3460953183),('MX',3460953184,3460953199),('US',3460953200,3460953231),('ID',3460953232,3460953247),('US',3460953248,3460953279),('CA',3460953280,3460953343),('US',3460953344,3460953599),('BR',3460953600,3460953615),('US',3460953616,3460953623),('SG',3460953624,3460953631),('CN',3460953632,3460953647),('SG',3460953648,3460953663),('US',3460953664,3460953727),('HK',3460953728,3460953855),('GB',3460953856,3460954111),('US',3460954112,3460954191),('SG',3460954192,3460954207),('US',3460954208,3460954367),('DO',3460954368,3460954431),('US',3460954432,3460954463),('MY',3460954464,3460954479),('US',3460954480,3460954527),('KP',3460954528,3460954559),('US',3460954560,3460954623),('DE',3460954624,3460954879),('LU',3460954880,3460955135),('US',3460955136,3460955391),('JP',3460955392,3460955423),('US',3460955424,3460955455),('BR',3460955456,3460955487),('CO',3460955488,3460955519),('BR',3460955520,3460955583),('US',3460955584,3461021695),('CA',3461021696,3461031935),('US',3461031936,3461032191),('CA',3461032192,3461087231),('US',3461087232,3461285887),('GB',3461285888,3461285951),('US',3461285952,3461408767),('CA',3461410816,3461414911),('US',3461414912,3461513215),('CA',3461513216,3461513727),('BF',3461513728,3461513983),('CA',3461513984,3461514495),('QA',3461514496,3461514751),('CA',3461514752,3461516287),('IL',3461516288,3461516543),('CA',3461516544,3461517311),('US',3461517312,3461554175),('CA',3461554176,3461556223),('US',3461558272,3461597887),('CO',3461597888,3461597951),('US',3461597952,3461598015),('CO',3461598016,3461598079),('US',3461598080,3461808127),('CA',3461808128,3461873663),('US',3461873664,3461897727),('CA',3461897728,3461897983),('US',3461897984,3461905407),('CA',3461905408,3461905663),('US',3461905664,3461940735),('CA',3461940736,3461940991),('US',3461940992,3461948159),('CA',3461948160,3461948415),('US',3461948416,3461948927),('CA',3461948928,3461949183),('US',3461949184,3461949695),('CA',3461949696,3461950207),('US',3461950208,3461950719),('CA',3461950720,3461951231),('US',3461951232,3461953535),('CA',3461953536,3461953791),('US',3461953792,3461968127),('CA',3461968128,3461968383),('US',3461968384,3461970431),('CA',3461970432,3461970687),('US',3461970688,3461972223),('CA',3461972224,3461972479),('US',3461972480,3461977855),('CA',3461977856,3461978111),('US',3461978112,3461984767),('CA',3461984768,3461985023),('US',3461985024,3461992703),('CA',3461992704,3461992959),('US',3461992960,3461999871),('PR',3461999872,3462000127),('US',3462000128,3462000895),('CA',3462000896,3462001151),('US',3462001152,3462001919),('CA',3462001920,3462002431),('US',3462002432,3462148607),('CA',3462148608,3462148863),('US',3462148864,3462160895),('PR',3462160896,3462161151),('US',3462161152,3462163967),('CA',3462163968,3462164223),('US',3462164224,3462168319),('CA',3462168320,3462168575),('US',3462168576,3462169599),('CA',3462169600,3462169855),('US',3462169856,3462170623),('CA',3462170624,3462171135),('US',3462171136,3462171391),('CA',3462171392,3462171647),('US',3462171648,3462173695),('CA',3462173696,3462173951),('US',3462173952,3462174463),('CA',3462174464,3462174719),('US',3462174720,3462179839),('CA',3462179840,3462180095),('US',3462180096,3462181375),('CA',3462181376,3462182143),('US',3462182144,3462191871),('PR',3462191872,3462192127),('US',3462192128,3462194175),('CA',3462194176,3462194431),('US',3462194432,3462231039),('CA',3462231040,3462231295),('US',3462231296,3462231807),('CA',3462231808,3462232063),('US',3462232064,3462268415),('CA',3462268416,3462268671),('US',3462268672,3462276863),('CA',3462276864,3462277119),('US',3462277120,3462290175),('CA',3462290176,3462290431),('US',3462290432,3462314239),('CA',3462314240,3462314495),('US',3462314496,3462321407),('CA',3462321408,3462321663),('US',3462321664,3462321919),('CA',3462321920,3462322175),('US',3462322176,3462323711),('CA',3462323712,3462323967),('US',3462323968,3462339071),('CA',3462339072,3462339583),('US',3462339584,3462340607),('CA',3462340608,3462340863),('US',3462340864,3462350847),('CA',3462350848,3462351103),('US',3462351104,3462571095),('CA',3462571096,3462571103),('US',3462571104,3462571663),('CA',3462571664,3462571671),('US',3462571672,3462593791),('GN',3462593792,3462594559),('US',3462594560,3462605823),('UY',3462605824,3462608895),('US',3462608896,3462889479),('GB',3462889480,3462889487),('US',3462889488,3462991183),('CA',3462991184,3462991191),('US',3462991192,3463004159),('CO',3463004160,3463006207),('US',3463006208,3463032319),('PR',3463032320,3463032831),('US',3463032832,3463043071),('ES',3463043072,3463044095),('US',3463044096,3463089151),('CA',3463089152,3463090175),('US',3463090176,3463116799),('CO',3463116800,3463118847),('US',3463118848,3463156735),('BO',3463156736,3463157759),('US',3463157760,3463176191),('AN',3463176192,3463176703),('US',3463176704,3463184383),('CA',3463184384,3463213311),('US',3463213312,3463213567),('CA',3463217152,3463229327),('US',3463229328,3463229335),('CA',3463229336,3463249919),('US',3463249920,3463480063),('CA',3463480064,3463480319),('US',3463480320,3463518207),('NL',3463518208,3463520255),('US',3463520256,3463537151),('A2',3463537152,3463538431),('JM',3463538432,3463538943),('DM',3463538944,3463539455),('A2',3463539456,3463540735),('US',3463540736,3463583567),('UM',3463583568,3463583583),('US',3463583584,3463602687),('PH',3463602688,3463602943),('US',3463602944,3463708671),('CA',3463708672,3463774207),('US',3463774208,3464167423),('CA',3464167424,3464171775),('US',3464171776,3464172031),('CA',3464172032,3464183807),('US',3464183808,3464184487),('GB',3464184488,3464184495),('CA',3464184496,3464184511),('US',3464184512,3464185759),('PR',3464185760,3464185791),('US',3464185792,3464189439),('GB',3464189440,3464189951),('US',3464189952,3464190463),('CA',3464190464,3464190719),('US',3464190720,3464195543),('IT',3464195544,3464195551),('US',3464195552,3464195887),('PR',3464195888,3464195895),('US',3464195896,3464195943),('AU',3464195944,3464195951),('IT',3464195952,3464195959),('US',3464195960,3464196151),('AU',3464196152,3464196159),('US',3464196160,3464196175),('AU',3464196176,3464196183),('IT',3464196184,3464196191),('US',3464196192,3464196287),('SG',3464196288,3464196295),('US',3464196296,3464208383),('CA',3464208384,3464216575),('US',3464216576,3464382463),('CA',3464384512,3464388607),('US',3464388608,3464548367),('AG',3464548368,3464548375),('US',3464548376,3464548391),('AG',3464548392,3464548399),('US',3464548400,3464548415),('AG',3464548416,3464548431),('US',3464548432,3464548479),('AG',3464548480,3464548599),('US',3464548600,3464548607),('LC',3464548608,3464548863),('KN',3464548864,3464549119),('VG',3464549120,3464549375),('US',3464549376,3464549391),('AG',3464549392,3464549399),('US',3464549400,3464549415),('AG',3464549416,3464549439),('MS',3464549440,3464549503),('AG',3464549504,3464549519),('US',3464549520,3464549551),('AG',3464549552,3464549567),('US',3464549568,3464549639),('AG',3464549640,3464549679),('US',3464549680,3464549687),('AG',3464549688,3464549727),('KN',3464549728,3464549759),('AG',3464549760,3464549855),('US',3464549856,3464549863),('AG',3464549864,3464549871),('US',3464549872,3464549919),('AG',3464549920,3464549927),('US',3464549928,3464549935),('AG',3464549936,3464549943),('US',3464549944,3464549951),('AG',3464549952,3464550015),('US',3464550016,3464550047),('AG',3464550048,3464550127),('US',3464550128,3464550143),('LC',3464550144,3464550399),('US',3464550400,3464626175),('CA',3464626176,3464650751),('US',3464650752,3464663039),('CA',3464663040,3464691711),('US',3464691712,3464769535),('CA',3464769536,3464773631),('US',3464773632,3464802303),('CA',3464802304,3464806399),('US',3464806400,3465154559),('BS',3465154560,3465158655),('US',3465158656,3465177087),('PE',3465177088,3465179135),('US',3465179136,3465510911),('JP',3465510912,3465543679),('US',3465543680,3466044903),('PH',3466044904,3466044911),('US',3466044912,3466158079),('PA',3466158080,3466166271),('US',3466166272,3466489855),('CA',3466489856,3466490111),('US',3466490112,3466555199),('CA',3466555200,3466555215),('US',3466555216,3466558207),('EC',3466558208,3466558463),('US',3466558464,3466560255),('GH',3466560256,3466560511),('US',3466560512,3466627007),('PR',3466627008,3466627039),('US',3466627040,3466647039),('PR',3466647040,3466647047),('US',3466647048,3466734847),('RU',3466734848,3466735103),('US',3466735104,3466756095),('CA',3466756096,3466772479),('US',3466772480,3466780671),('US',3466788864,3466846207),('CA',3466846208,3466854399),('US',3466854400,3467051007),('CA',3467051008,3467116543),('US',3467116544,3467145351),('DE',3467145352,3467145359),('US',3467145360,3467145743),('DE',3467145744,3467145751),('US',3467145752,3467145791),('CO',3467145792,3467145807),('US',3467145808,3467145815),('DE',3467145816,3467145823),('CH',3467145824,3467145831),('US',3467145832,3467145839),('HK',3467145840,3467145847),('DE',3467145848,3467145855),('US',3467145856,3467146495),('CO',3467146496,3467146559),('DE',3467146560,3467146591),('US',3467146592,3467146655),('CN',3467146656,3467146671),('US',3467146672,3467378687),('CA',3467378688,3467444223),('US',3467444224,3467554815),('CA',3467554816,3467567103),('US',3467567104,3467619935),('CA',3467619936,3467619967),('US',3467619968,3467706367),('CA',3467706368,3467902975),('US',3467902976,3468034047),('GB',3468034048,3468036095),('BE',3468036096,3468036351),('DE',3468036352,3468036607),('ES',3468036608,3468036863),('DE',3468036864,3468037375),('US',3468037376,3468037887),('IE',3468037888,3468038143),('FR',3468038144,3468038655),('NL',3468038656,3468038911),('SE',3468038912,3468039167),('FR',3468039168,3468039423),('US',3468039424,3468041215),('FI',3468041216,3468041471),('US',3468041472,3468041727),('TW',3468041728,3468041983),('US',3468041984,3468042367),('IT',3468042368,3468042431),('US',3468042432,3468042495),('AT',3468042496,3468042751),('US',3468042752,3468043135),('DK',3468043136,3468043263),('US',3468043264,3468044543),('ES',3468044544,3468044799),('GB',3468044800,3468044927),('DK',3468044928,3468045055),('DE',3468045056,3468045311),('US',3468045312,3468045695),('ZA',3468045696,3468045823),('NO',3468045824,3468046079),('ZA',3468046080,3468046335),('FR',3468046336,3468046591),('US',3468046592,3468046719),('DE',3468046720,3468046847),('IT',3468046848,3468047103),('US',3468047104,3468047359),('DE',3468047360,3468047615),('US',3468047616,3468047743),('LU',3468047744,3468047807),('US',3468047808,3468047871),('ES',3468047872,3468047887),('US',3468047888,3468047999),('DE',3468048000,3468048127),('US',3468048128,3468048383),('FR',3468048384,3468048639),('US',3468048640,3468049407),('GB',3468049408,3468049663),('US',3468049664,3468049919),('IT',3468049920,3468050175),('US',3468050176,3468050431),('SE',3468050432,3468050687),('US',3468050688,3468050943),('IT',3468050944,3468051007),('US',3468051008,3468051231),('DK',3468051232,3468051263),('AT',3468051264,3468051327),('US',3468051328,3468052479),('ES',3468052480,3468052735),('GB',3468052736,3468052991),('ES',3468052992,3468053247),('ZA',3468053248,3468053503),('AU',3468053504,3468053759),('CH',3468053760,3468054015),('DE',3468054016,3468054271),('US',3468054272,3468055295),('BE',3468055296,3468055551),('IT',3468055552,3468055807),('NL',3468055808,3468056063),('FR',3468056064,3468056319),('CH',3468056320,3468056575),('NO',3468056576,3468056831),('DK',3468056832,3468056959),('IN',3468056960,3468057023),('US',3468057024,3468057087),('LU',3468057088,3468057215),('GB',3468057216,3468057375),('US',3468057376,3468057599),('IL',3468057600,3468057855),('US',3468057856,3468058111),('BE',3468058112,3468058175),('CH',3468058176,3468058239),('GB',3468058240,3468058367),('US',3468058368,3468058368),('IT',3468058369,3468058432),('US',3468058433,3468058559),('SG',3468058560,3468058623),('US',3468058624,3468058687),('ES',3468058688,3468058719),('US',3468058720,3468059647),('FR',3468059648,3468059903),('DE',3468059904,3468060159),('FR',3468060160,3468060671),('US',3468060672,3468060927),('FR',3468060928,3468060991),('US',3468060992,3468061119),('CH',3468061120,3468061183),('US',3468061184,3468061695),('JP',3468061696,3468061951),('US',3468061952,3468062079),('GB',3468062080,3468062143),('US',3468062144,3468062335),('TW',3468062336,3468062399),('DE',3468062400,3468062463),('AT',3468062464,3468062719),('NL',3468062720,3468063231),('US',3468063232,3468063359),('RO',3468063360,3468063423),('US',3468063424,3468063487),('BE',3468063488,3468063743),('US',3468063744,3468063999),('HK',3468064000,3468064255),('US',3468064256,3468064511),('BE',3468064512,3468064527),('US',3468064528,3468064543),('NO',3468064544,3468064575),('US',3468064576,3468064639),('LU',3468064640,3468064703),('US',3468064704,3468064735),('CH',3468064736,3468064767),('DE',3468064768,3468065023),('US',3468065024,3468065279),('DE',3468065280,3468065535),('US',3468065536,3468065791),('IT',3468065792,3468065919),('GB',3468065920,3468065951),('LU',3468065952,3468065983),('CZ',3468065984,3468065999),('BE',3468066000,3468066015),('DE',3468066016,3468066047),('US',3468066048,3468066239),('IE',3468066240,3468066271),('US',3468066272,3468066319),('FR',3468066320,3468066327),('US',3468066328,3468066367),('FR',3468066368,3468066399),('US',3468066400,3468066463),('SE',3468066464,3468066495),('CH',3468066496,3468066527),('FR',3468066528,3468066559),('IT',3468066560,3468066623),('US',3468066624,3468067199),('CA',3468067200,3468067231),('US',3468067232,3468067263),('IL',3468067264,3468067295),('US',3468067296,3468067327),('BR',3468067328,3468067359),('US',3468067360,3468067391),('BR',3468067392,3468067399),('US',3468067400,3468067551),('GB',3468067552,3468067567),('US',3468067568,3468067759),('AR',3468067760,3468067775),('US',3468067776,3468068095),('MC',3468068096,3468068351),('US',3468068352,3468068527),('MX',3468068528,3468068543),('US',3468068544,3468068863),('CA',3468068864,3468069631),('US',3468069632,3468071791),('MX',3468071792,3468071807),('US',3468071808,3468071871),('MX',3468071872,3468071887),('US',3468071888,3468072351),('CA',3468072352,3468072383),('US',3468072384,3468073183),('MX',3468073184,3468073215),('US',3468073216,3468073727),('CA',3468073728,3468073791),('US',3468073792,3468073855),('CA',3468073856,3468073919),('US',3468073920,3468074463),('GB',3468074464,3468074479),('US',3468074480,3468075919),('BR',3468075920,3468075935),('US',3468075936,3468075967),('MX',3468075968,3468075999),('PH',3468076000,3468076031),('US',3468076032,3468076191),('BR',3468076192,3468076207),('US',3468076208,3468076223),('GB',3468076224,3468076287),('US',3468076288,3468077631),('AR',3468077632,3468077663),('US',3468077664,3468079327),('BR',3468079328,3468079359),('US',3468079360,3468079487),('JP',3468079488,3468079551),('US',3468079552,3468081407),('DE',3468081408,3468081663),('AT',3468081664,3468081919),('US',3468081920,3468082431),('NO',3468082432,3468082687),('US',3468082688,3468083311),('IN',3468083312,3468083327),('BR',3468083328,3468083391),('US',3468083392,3468083663),('ID',3468083664,3468083679),('US',3468083680,3468083967),('AU',3468083968,3468084223),('US',3468084224,3468084735),('SG',3468084736,3468084991),('CA',3468084992,3468085055),('US',3468085056,3468085119),('CA',3468085120,3468085183),('JP',3468085184,3468085191),('PH',3468085192,3468085199),('CN',3468085200,3468085207),('US',3468085208,3468085247),('BR',3468085248,3468085279),('US',3468085280,3468085311),('BR',3468085312,3468085375),('CN',3468085376,3468085439),('BR',3468085440,3468085503),('JP',3468085504,3468085535),('US',3468085536,3468085551),('PH',3468085552,3468085567),('HK',3468085568,3468085599),('US',3468085600,3468085607),('HK',3468085608,3468085623),('US',3468085624,3468085663),('ID',3468085664,3468085695),('US',3468085696,3468085759),('ID',3468085760,3468086015),('US',3468086016,3468086143),('SG',3468086144,3468086271),('US',3468086272,3468086783),('HK',3468086784,3468086799),('US',3468086800,3468086879),('SG',3468086880,3468086911),('US',3468086912,3468087807),('SG',3468087808,3468088063),('US',3468088064,3468088191),('HK',3468088192,3468088207),('US',3468088208,3468088223),('HK',3468088224,3468088231),('US',3468088232,3468088335),('JP',3468088336,3468088351),('ID',3468088352,3468088383),('US',3468088384,3468088415),('TW',3468088416,3468088431),('US',3468088432,3468088959),('JP',3468088960,3468088991),('US',3468088992,3468089023),('HK',3468089024,3468089055),('US',3468089056,3468089663),('JP',3468089664,3468089695),('US',3468089696,3468089823),('SG',3468089824,3468089855),('US',3468089856,3468090623),('IT',3468090624,3468090687),('MY',3468090688,3468090719),('US',3468090720,3468090727),('JP',3468090728,3468090735),('CN',3468090736,3468090751),('US',3468090752,3468090815),('CN',3468090816,3468090879),('US',3468090880,3468091135),('JP',3468091136,3468091199),('US',3468091200,3468091391),('NL',3468091392,3468091647),('US',3468091648,3468091903),('KR',3468091904,3468091935),('US',3468091936,3468092031),('TH',3468092032,3468092063),('US',3468092064,3468092127),('SG',3468092128,3468092159),('US',3468092160,3468093247),('JP',3468093248,3468093263),('US',3468093264,3468093279),('JP',3468093280,3468093287),('US',3468093288,3468093343),('HK',3468093344,3468093375),('SG',3468093376,3468093391),('ID',3468093392,3468093407),('AU',3468093408,3468093439),('US',3468093440,3468093695),('DE',3468093696,3468093951),('US',3468093952,3468094207),('HK',3468094208,3468094223),('US',3468094224,3468094271),('KR',3468094272,3468094303),('ID',3468094304,3468094335),('US',3468094336,3468095135),('JP',3468095136,3468095167),('US',3468095168,3468095231),('SE',3468095232,3468095487),('US',3468095488,3468096255),('CA',3468096256,3468096383),('TW',3468096384,3468096447),('US',3468096448,3468096479),('MY',3468096480,3468096511),('NO',3468096512,3468096767),('PH',3468096768,3468096895),('AU',3468096896,3468097023),('US',3468097024,3468098047),('JP',3468098048,3468098079),('SG',3468098080,3468098111),('US',3468098112,3468098239),('SG',3468098240,3468098271),('US',3468098272,3468099327),('FR',3468099328,3468099583),('US',3468099584,3468296191),('CA',3468296192,3468309503),('US',3468309504,3468309759),('CA',3468309760,3468313471),('US',3468313472,3468313599),('CA',3468313600,3468319999),('US',3468320000,3468320255),('CA',3468320256,3468361727),('US',3468361728,3468427359),('IL',3468427360,3468427375),('US',3468427376,3468427935),('AU',3468427936,3468427967),('US',3468427968,3468428191),('BG',3468428192,3468428207),('US',3468428208,3468428415),('GR',3468428416,3468428447),('US',3468428448,3468428543),('CA',3468428544,3468428559),('US',3468428560,3468428607),('CA',3468428608,3468428671),('US',3468428672,3468428927),('SE',3468428928,3468428991),('US',3468428992,3468429343),('QA',3468429344,3468429359),('US',3468429360,3468430495),('CA',3468430496,3468430527),('US',3468430528,3468431999),('CA',3468432000,3468432063),('US',3468432064,3468432671),('ES',3468432672,3468432687),('US',3468432688,3468433167),('CA',3468433168,3468433183),('US',3468433184,3468433215),('SE',3468433216,3468433279),('US',3468433280,3468433439),('AU',3468433440,3468433455),('US',3468433456,3468433663),('AU',3468433664,3468433919),('US',3468433920,3468435359),('AU',3468435360,3468435423),('US',3468435424,3468443647),('CA',3468443648,3468460031),('BM',3468460032,3468468223),('US',3468468224,3468545791),('SG',3468545792,3468546047),('US',3468546048,3468623871),('CA',3468623872,3468624527),('US',3468624528,3468624543),('CA',3468624544,3468625727),('US',3468625728,3468625743),('CA',3468625744,3468627087),('US',3468627088,3468627103),('CA',3468627104,3468627247),('US',3468627248,3468627263),('CA',3468627264,3468627663),('US',3468627664,3468627679),('CA',3468627680,3468628143),('US',3468628144,3468628159),('CA',3468628160,3468628183),('US',3468628184,3468628191),('CA',3468628192,3468628447),('US',3468628448,3468628455),('CA',3468628456,3468628511),('US',3468628512,3468628607),('CA',3468628608,3468628927),('US',3468628928,3468628991),('CA',3468628992,3468629071),('US',3468629072,3468629087),('CA',3468629088,3468629135),('US',3468629136,3468629143),('CA',3468629144,3468629343),('US',3468629344,3468629351),('CA',3468629352,3468631599),('US',3468631600,3468631615),('CA',3468631616,3468632143),('US',3468632144,3468632159),('CA',3468632160,3468632711),('US',3468632712,3468632719),('CA',3468632720,3468632975),('US',3468632976,3468632991),('CA',3468632992,3468633759),('US',3468633760,3468633855),('CA',3468633856,3468634383),('US',3468634384,3468634391),('CA',3468634392,3468634575),('US',3468634576,3468634591),('CA',3468634592,3468635583),('US',3468635584,3468635647),('CA',3468635648,3468635839),('US',3468635840,3468635871),('CA',3468635872,3468635919),('US',3468635920,3468635935),('CA',3468635936,3468637839),('SK',3468637840,3468637847),('CA',3468637848,3468638143),('US',3468638144,3468638159),('CA',3468638160,3468639935),('US',3468639936,3468639967),('CA',3468639968,3468656639),('US',3468656640,3469055743),('CA',3469055744,3469055999),('US',3469056000,3469176319),('MX',3469176320,3469176575),('US',3469176576,3469186303),('MX',3469186304,3469186559),('US',3469186560,3469893631),('CA',3469893632,3469901823),('US',3469901824,3470458879),('KR',3470458880,3470475263),('US',3470475264,3470558207),('HK',3470558208,3470559231),('US',3470559232,3470610431),('BR',3470610432,3470614527),('US',3470614528,3470651391),('CA',3470651392,3470655487),('US',3470655488,3470656023),('QA',3470656024,3470656031),('US',3470656032,3470656111),('CR',3470656112,3470656119),('CO',3470656120,3470656127),('US',3470656128,3470656175),('RU',3470656176,3470656183),('CN',3470656184,3470656191),('IL',3470656192,3470656199),('US',3470656200,3470656215),('BE',3470656216,3470656223),('US',3470656224,3470656231),('BD',3470656232,3470656239),('BR',3470656240,3470656247),('US',3470656248,3470656359),('BD',3470656360,3470656367),('US',3470656368,3470656423),('SA',3470656424,3470656431),('US',3470656432,3470656471),('IL',3470656472,3470656479),('US',3470656480,3470656791),('CA',3470656792,3470656799),('IN',3470656800,3470656807),('DO',3470656808,3470656815),('US',3470656816,3470656959),('AE',3470656960,3470656975),('US',3470656976,3470657087),('CO',3470657088,3470657095),('US',3470657096,3470657303),('CY',3470657304,3470657311),('US',3470657312,3470657383),('CA',3470657384,3470657391),('US',3470657392,3470657503),('IN',3470657504,3470657511),('US',3470657512,3470657623),('TR',3470657624,3470657631),('US',3470657632,3470657847),('GB',3470657848,3470657855),('US',3470657856,3470657887),('PK',3470657888,3470657895),('US',3470657896,3470657983),('BR',3470657984,3470657991),('US',3470657992,3470658087),('GB',3470658088,3470658095),('US',3470658096,3470658607),('CA',3470658608,3470658615),('US',3470658616,3470658863),('BN',3470658864,3470658871),('RU',3470658872,3470658879),('US',3470658880,3470659055),('MX',3470659056,3470659071),('US',3470659072,3470659271),('CO',3470659272,3470659279),('LU',3470659280,3470659287),('US',3470659288,3470659631),('PE',3470659632,3470659639),('US',3470659640,3470659679),('JP',3470659680,3470659687),('US',3470659688,3470659711),('BD',3470659712,3470659719),('US',3470659720,3470659783),('CA',3470659784,3470659791),('US',3470659792,3470659847),('RU',3470659848,3470659855),('US',3470659856,3470660007),('PH',3470660008,3470660015),('US',3470660016,3470660215),('JO',3470660216,3470660223),('US',3470660224,3470660671),('NZ',3470660672,3470660687),('US',3470660688,3470660879),('IN',3470660880,3470660895),('PH',3470660896,3470660903),('BR',3470660904,3470660911),('ID',3470660912,3470660919),('US',3470660920,3470660927),('JP',3470660928,3470660935),('IR',3470660936,3470660943),('US',3470660944,3470660951),('KR',3470660952,3470660959),('US',3470660960,3470660967),('KR',3470660968,3470660975),('US',3470660976,3470661039),('GB',3470661040,3470661047),('US',3470661048,3470661135),('PR',3470661136,3470661143),('US',3470661144,3470661247),('VE',3470661248,3470661255),('US',3470661256,3470661295),('SA',3470661296,3470661303),('US',3470661304,3470661311),('AU',3470661312,3470661319),('BD',3470661320,3470661327),('US',3470661328,3470661439),('AE',3470661440,3470661447),('US',3470661448,3470661487),('RU',3470661488,3470661503),('GB',3470661504,3470661519),('US',3470661520,3470661543),('IR',3470661544,3470661551),('US',3470661552,3470661567),('RO',3470661568,3470661575),('IN',3470661576,3470661583),('US',3470661584,3470661591),('IN',3470661592,3470661599),('US',3470661600,3470661759),('IR',3470661760,3470661767),('JP',3470661768,3470661775),('US',3470661776,3470662383),('ZA',3470662384,3470662391),('ES',3470662392,3470662399),('US',3470662400,3470662815),('RU',3470662816,3470662831),('US',3470662832,3470662903),('AU',3470662904,3470662911),('GB',3470662912,3470662919),('US',3470662920,3470663135),('IR',3470663136,3470663143),('US',3470663144,3470663271),('PH',3470663272,3470663279),('CA',3470663280,3470663287),('US',3470663288,3470663327),('PK',3470663328,3470663343),('US',3470663344,3470663407),('AR',3470663408,3470663415),('US',3470663416,3470663527),('GR',3470663528,3470663535),('US',3470663536,3470663551),('MX',3470663552,3470663559),('US',3470663560,3470671871),('CA',3470671872,3470680063),('US',3470680064,3470744063),('CA',3470744064,3470744575),('US',3470744576,3470745855),('CA',3470745856,3470746111),('US',3470746112,3470749951),('CA',3470749952,3470750207),('US',3470750208,3470751743),('US',3470752512,3470752767),('CO',3470752768,3470753023),('US',3470753024,3470754303),('PE',3470754304,3470754559),('US',3470754560,3470755839),('ZA',3470755840,3470756095),('US',3470756096,3470761983),('CA',3470761984,3470767871),('IE',3470767872,3470768127),('CA',3470768128,3470770175),('US',3470770176,3470778367),('CA',3470778368,3470786559),('US',3470786560,3470794751),('PA',3470794752,3470802943),('US',3470802944,3470869503),('US',3470872576,3470873288),('MX',3470873289,3470873296),('US',3470873297,3470873584),('NA',3470873585,3470873592),('US',3470873593,3470875817),('JP',3470875818,3470875827),('US',3470875828,3470876402),('IN',3470876403,3470876410),('US',3470876411,3470884863),('HK',3470884864,3470885887),('US',3470888960,3471057919),('VE',3471057920,3471058943),('US',3471058944,3471059455),('ES',3471059456,3471060223),('US',3471060224,3471060991),('NL',3471060992,3471061247),('US',3471061248,3471061503),('NL',3471061504,3471061759),('US',3471061760,3471204679),('PR',3471204680,3471204687),('US',3471204688,3471262719),('EC',3471262720,3471263743),('CO',3471263744,3471265791),('US',3471265792,3471529215),('CA',3471529216,3471529983),('US',3471529984,3471558655),('CA',3471558656,3471560703),('US',3471560704,3471570943),('CA',3471570944,3471572991),('US',3471572992,3472375807),('PR',3472375808,3472392191),('CA',3472392192,3472408575),('US',3472408576,3472990207),('AS',3472990208,3472990463),('US',3472990464,3473039359),('BM',3473039360,3473040639),('US',3473040640,3473040895),('BM',3473040896,3473041407),('US',3473043456,3473096192),('PH',3473096193,3473096447),('US',3473096448,3473108991),('UY',3473108992,3473113087),('US',3473113088,3473276927),('CA',3473276928,3473342463),('US',3473342464,3473703551),('CA',3473703552,3473703679),('US',3473703680,3473755391),('HN',3473755392,3473755647),('US',3473755648,3473764799),('PR',3473764800,3473764815),('US',3473764816,3473764823),('PR',3473764824,3473764831),('US',3473764832,3473765887),('EC',3473765888,3473766399),('US',3473766400,3473786111),('PR',3473786112,3473786127),('US',3473786128,3473813567),('CA',3473813568,3473813599),('US',3473813600,3473901055),('EC',3473901056,3473901311),('US',3473901312,3473917439),('PR',3473917440,3473917695),('US',3473917696,3474046463),('MX',3474046464,3474046975),('US',3474046976,3474053119),('PE',3474053120,3474055167),('US',3474055168,3474193407),('PH',3474193408,3474193663),('US',3474193664,3474193919),('PH',3474193920,3474194431),('US',3474194432,3474362783),('AU',3474362784,3474362815),('US',3474362816,3474391039),('CA',3474391040,3474456575),('US',3474456576,3474463071),('GB',3474463072,3474463087),('US',3474463088,3474463183),('GB',3474463184,3474463199),('US',3474463200,3474463231),('GB',3474463232,3474463487),('US',3474463488,3474463791),('GB',3474463792,3474463807),('US',3474463808,3474463855),('GB',3474463856,3474463871),('US',3474463872,3474463903),('GB',3474463904,3474463919),('US',3474463920,3474464255),('GB',3474464256,3474464767),('US',3474464768,3474548223),('JP',3474548224,3474548479),('US',3474548480,3474623599),('CA',3474623600,3474623615),('US',3474623616,3475111935),('CA',3475111936,3475113215),('US',3475113216,3475113471),('CA',3475115008,3475120127),('US',3475120128,3475124223),('CA',3475124224,3475243007),('US',3475243008,3475381583),('KR',3475381584,3475381599),('US',3475381600,3475589887),('EC',3475589888,3475590143),('US',3475590144,3475670015),('AG',3475670016,3475670047),('KN',3475670048,3475670079),('AG',3475670080,3475670175),('KN',3475670176,3475670207),('AG',3475670208,3475670271),('AI',3475670272,3475670527),('LC',3475670528,3475670783),('DM',3475670784,3475670847),('AG',3475670848,3475671039),('US',3475671040,3475681279),('HN',3475681280,3475685375),('US',3475685376,3475719231),('PR',3475719232,3475719295),('US',3475719296,3475745503),('CA',3475745504,3475745535),('US',3475745536,3475752703),('AN',3475752704,3475752959),('US',3475752960,3475881983),('CA',3475881984,3475890175),('US',3475890176,3475996671),('CA',3475996672,3476029439),('US',3476029440,3476041551),('MX',3476041552,3476041583),('US',3476041584,3476076319),('JO',3476076320,3476076351),('US',3476076352,3476111359),('CA',3476111360,3476111871),('US',3476111872,3476221951),('UY',3476221952,3476223999),('US',3476224000,3476265855),('EG',3476265856,3476265919),('US',3476265920,3476348927),('CA',3476348928,3476349183),('US',3476349184,3476418559),('CA',3476418560,3476419839),('US',3476419840,3476419959),('CA',3476419960,3476420095),('US',3476420096,3476420351),('CA',3476420352,3476420607),('US',3476420608,3476420863),('CA',3476420864,3476421887),('US',3476421888,3476422143),('CA',3476422144,3476422655),('US',3476422656,3476447231),('CA',3476447232,3476451343),('US',3476451344,3476451375),('CA',3476451376,3476455423),('US',3476455424,3476721159),('IT',3476721160,3476721167),('US',3476721168,3476721175),('CA',3476721176,3476721183),('US',3476721184,3476721279),('ZA',3476721280,3476721287),('US',3476721288,3476721311),('IT',3476721312,3476721319),('GB',3476721320,3476721327),('US',3476721328,3476721679),('IT',3476721680,3476721687),('US',3476721688,3476721695),('SA',3476721696,3476721703),('SI',3476721704,3476721711),('US',3476721712,3476721743),('CA',3476721744,3476721759),('US',3476721760,3476721895),('CA',3476721896,3476721903),('AU',3476721904,3476721911),('US',3476721912,3476722191),('BE',3476722192,3476722207),('IT',3476722208,3476722239),('SA',3476722240,3476722255),('US',3476722256,3476722271),('IT',3476722272,3476722319),('US',3476722320,3476722447),('IT',3476722448,3476722463),('US',3476722464,3476722695),('CA',3476722696,3476722703),('US',3476722704,3476722727),('BR',3476722728,3476722735),('US',3476722736,3476722759),('JP',3476722760,3476722767),('US',3476722768,3476722775),('GB',3476722776,3476722783),('US',3476722784,3476723263),('NL',3476723264,3476723271),('US',3476723272,3476725247),('NL',3476725248,3476725295),('CA',3476725296,3476725303),('NL',3476725304,3476725359),('US',3476725360,3476725367),('CA',3476725368,3476725375),('VE',3476725376,3476725383),('US',3476725384,3476725391),('NL',3476725392,3476725399),('CA',3476725400,3476725415),('US',3476725416,3476725423),('GB',3476725424,3476725431),('NL',3476725432,3476725439),('US',3476725440,3476725455),('NL',3476725456,3476725463),('US',3476725464,3476881407),('CA',3476881408,3476946943),('US',3476946944,3477161503),('TN',3477161504,3477161519),('US',3477161520,3477161551),('TN',3477161552,3477161567),('US',3477161568,3477161615),('TN',3477161616,3477161623),('US',3477161624,3477161631),('TN',3477161632,3477161663),('US',3477161664,3477161775),('TN',3477161776,3477161791),('US',3477161792,3477311871),('A1',3477311872,3477312255),('US',3477312256,3477312511),('A1',3477312512,3477312895),('US',3477312896,3478114303),('PE',3478114304,3478118399),('US',3478118400,3478192127),('CA',3478192128,3478257663),('US',3478257664,3478294527),('GB',3478294528,3478294543),('US',3478294544,3478323391),('CA',3478323392,3478323399),('US',3478323400,3478331519),('GB',3478331520,3478331647),('US',3478331648,3478331839),('DK',3478331840,3478331847),('US',3478331848,3478332991),('CA',3478332992,3478332999),('US',3478333000,3478347903),('MX',3478347904,3478348031),('US',3478348032,3478351951),('GB',3478351952,3478351967),('US',3478351968,3478352111),('GB',3478352112,3478352119),('US',3478352120,3478364159),('BR',3478364160,3478364167),('US',3478364168,3478364191),('BR',3478364192,3478364223),('US',3478364224,3478364255),('BR',3478364256,3478364271),('US',3478364272,3479207935),('CA',3479207936,3479214079),('US',3479214080,3479214335),('CA',3479214336,3479231199),('US',3479231200,3479231207),('CA',3479231208,3479240703),('US',3479240704,3479290063),('MX',3479290064,3479290071),('US',3479290072,3479290087),('LC',3479290088,3479290095),('US',3479290096,3479290359),('TH',3479290360,3479290367),('US',3479290368,3479290487),('GB',3479290488,3479290495),('US',3479290496,3479290631),('GB',3479290632,3479290639),('US',3479290640,3479290743),('EC',3479290744,3479290751),('US',3479290752,3479290767),('CA',3479290768,3479290783),('US',3479290784,3479291263),('CA',3479291264,3479291287),('US',3479291288,3479291671),('CA',3479291672,3479291679),('AU',3479291680,3479291687),('US',3479291688,3479291695),('AU',3479291696,3479291703),('US',3479291704,3479291831),('AU',3479291832,3479291847),('JM',3479291848,3479291855),('US',3479291856,3479291871),('CA',3479291872,3479291879),('US',3479291880,3479291911),('IE',3479291912,3479291919),('US',3479291920,3479292007),('CA',3479292008,3479292015),('US',3479292016,3479292223),('UY',3479292224,3479292231),('IN',3479292232,3479292239),('US',3479292240,3479292671),('AU',3479292672,3479292687),('US',3479292688,3479292815),('IL',3479292816,3479292823),('US',3479292824,3479293007),('AU',3479293008,3479293023),('US',3479293024,3479293031),('CO',3479293032,3479293039),('US',3479293040,3479293255),('GB',3479293256,3479293263),('US',3479293264,3479293311),('CA',3479293312,3479293319),('US',3479293320,3479294223),('TH',3479294224,3479294231),('US',3479294232,3479294351),('NL',3479294352,3479294367),('US',3479294368,3479294487),('MX',3479294488,3479294495),('US',3479294496,3479294559),('GB',3479294560,3479294567),('US',3479294568,3479294663),('AU',3479294664,3479294671),('US',3479294672,3479294775),('CA',3479294776,3479294783),('US',3479294784,3479295015),('MY',3479295016,3479295023),('US',3479295024,3479295071),('CR',3479295072,3479295079),('US',3479295080,3479295095),('PR',3479295096,3479295103),('US',3479295104,3479295519),('CA',3479295520,3479295527),('US',3479295528,3479295583),('NL',3479295584,3479295591),('US',3479295592,3479295703),('MY',3479295704,3479295735),('US',3479295736,3479296007),('CA',3479296008,3479296015),('US',3479296016,3479296071),('GB',3479296072,3479296079),('MY',3479296080,3479296095),('US',3479296096,3479296607),('BM',3479296608,3479296615),('US',3479296616,3479296671),('NL',3479296672,3479296679),('US',3479296680,3479298047),('IS',3479298048,3479298063),('GB',3479298064,3479298079),('US',3479298080,3479298199),('BM',3479298200,3479298207),('US',3479298208,3479298319),('IN',3479298320,3479298327),('US',3479298328,3479298399),('IN',3479298400,3479298407),('US',3479298408,3479298583),('JP',3479298584,3479298591),('AU',3479298592,3479298599),('US',3479298600,3479298759),('CA',3479298760,3479298767),('US',3479298768,3479301287),('IL',3479301288,3479301295),('US',3479301296,3479301455),('IN',3479301456,3479301463),('US',3479301464,3479301519),('TH',3479301520,3479301535),('CA',3479301536,3479301551),('US',3479301552,3479301663),('NL',3479301664,3479301679),('US',3479301680,3479301687),('NZ',3479301688,3479301695),('US',3479301696,3479301775),('IN',3479301776,3479301783),('US',3479301784,3479303759),('ZA',3479303760,3479303767),('US',3479303768,3479303951),('NL',3479303952,3479303975),('US',3479303976,3479303983),('CA',3479303984,3479303991),('US',3479303992,3479304319),('JM',3479304320,3479304327),('US',3479304328,3479304351),('EG',3479304352,3479304359),('US',3479304360,3479304447),('IL',3479304448,3479304455),('MX',3479304456,3479304463),('US',3479304464,3479304863),('PK',3479304864,3479304871),('US',3479304872,3479305055),('JP',3479305056,3479305071),('US',3479305072,3479305175),('BM',3479305176,3479305183),('US',3479305184,3479305215),('EG',3479305216,3479305231),('US',3479305232,3479305271),('IN',3479305272,3479305279),('US',3479305280,3479305983),('CA',3479305984,3479306015),('US',3479306016,3479306031),('PK',3479306032,3479306039),('US',3479306040,3479568383),('CA',3479568384,3479633919),('US',3479633920,3479789343),('UY',3479789344,3479789360),('US',3479789361,3479896063),('CA',3479896064,3479923071),('US',3479923072,3479923079),('CA',3479923080,3479961599),('US',3479961600,3480223743),('CA',3480223744,3480225279),('US',3480225280,3480225535),('CA',3480225536,3480256511),('US',3480256512,3480284159),('CA',3480284160,3480284671),('US',3480284672,3480416063),('PA',3480416064,3480416127),('US',3480416128,3480444927),('CA',3480444928,3480446575),('ES',3480446576,3480446583),('CA',3480446584,3480449023),('US',3480449024,3480551423),('JP',3480551424,3480551679),('DE',3480551680,3480551935),('GB',3480551936,3480552191),('US',3480552192,3480552447),('CH',3480552448,3480552703),('US',3480552704,3480552959),('AT',3480552960,3480553215),('US',3480553216,3480553343),('MX',3480553344,3480553470),('US',3480553471,3480553471),('SG',3480553472,3480553727),('HK',3480553728,3480553983),('US',3480553984,3480554239),('GB',3480554240,3480554495),('SG',3480554496,3480554751),('US',3480554752,3480555263),('NO',3480555264,3480555519),('FR',3480555520,3480555775),('SG',3480555776,3480556287),('HK',3480556288,3480556543),('US',3480556544,3480557055),('HK',3480557056,3480557311),('US',3480557312,3480557567),('JP',3480557568,3480557823),('CA',3480557824,3480558079),('US',3480558080,3480558591),('DO',3480558592,3480558847),('US',3480558848,3480559359),('IT',3480559360,3480559615),('US',3480559616,3480560895),('BR',3480560896,3480561151),('US',3480561152,3480561919),('JP',3480561920,3480562175),('US',3480562176,3480564735),('DE',3480564736,3480564991),('US',3480564992,3480567039),('GB',3480567040,3480567551),('US',3480567552,3480568319),('HK',3480568320,3480568575),('IT',3480568576,3480568671),('GB',3480568672,3480568703),('FR',3480568704,3480568831),('US',3480568832,3480569599),('HK',3480569600,3480569855),('US',3480569856,3480570111),('FR',3480570112,3480570367),('ES',3480570368,3480570623),('JP',3480570624,3480570879),('CH',3480570880,3480571391),('BE',3480571392,3480571647),('FI',3480571648,3480571775),('US',3480571776,3480573567),('IT',3480573568,3480573631),('DE',3480573632,3480573695),('US',3480573696,3480574527),('NL',3480574528,3480574591),('US',3480574592,3480575231),('IL',3480575232,3480575487),('US',3480575488,3480575743),('IT',3480575744,3480577023),('US',3480577024,3480579327),('IT',3480579328,3480579583),('US',3480579584,3480579711),('BG',3480579712,3480579775),('AU',3480579776,3480579839),('HK',3480579840,3480580095),('JP',3480580096,3480580351),('KR',3480580352,3480580607),('SE',3480580608,3480580863),('DK',3480580864,3480581119),('US',3480581120,3480581247),('NL',3480581248,3480581375),('US',3480581376,3480581631),('CL',3480581632,3480581887),('NO',3480581888,3480582143),('US',3480582144,3480582399),('RU',3480582400,3480582655),('MX',3480582656,3480583423),('US',3480583424,3480585599),('ES',3480585600,3480585663),('US',3480585664,3480587647),('PT',3480587648,3480587775),('US',3480587776,3480588799),('SE',3480588800,3480589055),('US',3480589056,3480590463),('FR',3480590464,3480590591),('US',3480590592,3480591103),('ZA',3480591104,3480591359),('US',3480591360,3480591423),('GR',3480591424,3480591487),('US',3480591488,3480591615),('ID',3480591616,3480592127),('NO',3480592128,3480592383),('CH',3480592384,3480592639),('IE',3480592640,3480592895),('SG',3480592896,3480593151),('DK',3480593152,3480593407),('SG',3480593408,3480593663),('CN',3480593664,3480593919),('ZA',3480593920,3480594175),('BE',3480594176,3480594431),('US',3480594432,3480595711),('TH',3480595712,3480595967),('SG',3480595968,3480596991),('US',3480596992,3480597247),('AU',3480597248,3480598271),('FR',3480598272,3480598527),('AU',3480598528,3480599039),('JP',3480599040,3480599295),('CA',3480599296,3480599551),('SG',3480599552,3480599807),('US',3480599808,3480600575),('DE',3480600576,3480601087),('BE',3480601088,3480601343),('AU',3480601344,3480601599),('GB',3480601600,3480601855),('FR',3480601856,3480602111),('US',3480602112,3480602879),('IT',3480602880,3480603647),('BE',3480603648,3480603903),('HK',3480603904,3480604159),('ES',3480604160,3480604671),('IL',3480604672,3480604927),('GB',3480604928,3480605183),('MX',3480605184,3480605439),('PH',3480605440,3480605695),('MX',3480605696,3480605951),('PH',3480605952,3480606207),('MX',3480606208,3480606463),('BE',3480606464,3480606719),('GR',3480606720,3480606975),('CA',3480606976,3480607231),('IT',3480607232,3480607487),('US',3480607488,3480610303),('ES',3480610304,3480610559),('US',3480610560,3480610815),('AU',3480610816,3480610943),('HU',3480610944,3480611071),('US',3480611072,3480611327),('JP',3480611328,3480611583),('MX',3480611584,3480611839),('BR',3480611840,3480612095),('LU',3480612096,3480612351),('DE',3480612352,3480613631),('US',3480613632,3480839423),('GB',3480839424,3480840191),('US',3480840192,3480907263),('FR',3480907264,3480907775),('US',3480907776,3480968191),('AU',3480968192,3480968447),('US',3480968448,3481169151),('NZ',3481169152,3481169407),('US',3481169408,3481665535),('CA',3481665536,3481731071),('US',3481731072,3481812991),('CA',3481812992,3481822063),('US',3481822064,3481822079),('CA',3481822080,3481829375),('US',3481829376,3481993215),('CA',3481993216,3481993783),('US',3481993784,3481993791),('CA',3481993792,3481993887),('US',3481993888,3481993895),('CA',3481993896,3481995279),('US',3481995280,3481995287),('CA',3481995288,3481995303),('US',3481995304,3481995311),('CA',3481995312,3481995519),('US',3481995520,3481995527),('CA',3481995528,3481995543),('US',3481995544,3481995551),('CA',3481995552,3481998591),('AG',3481998592,3481998847),('CA',3481998848,3482014079),('AG',3482014080,3482014207),('CA',3482014208,3482018815),('US',3482018816,3482019071),('CA',3482019072,3482022783),('US',3482022784,3482022847),('CA',3482022848,3482043735),('US',3482043736,3482043743),('CA',3482043744,3482048191),('US',3482048192,3482048255),('CA',3482048256,3482058751),('US',3482058752,3482583039),('CA',3482583040,3482632191),('US',3482632192,3482755081),('MX',3482755082,3482755091),('US',3482755092,3482755101),('CN',3482755102,3482755111),('US',3482755112,3482755211),('CA',3482755212,3482755221),('US',3482755222,3482755241),('GB',3482755242,3482755251),('US',3482755252,3482755377),('RU',3482755378,3482755387),('ZA',3482755388,3482755397),('HK',3482755398,3482755407),('US',3482755408,3482755593),('ES',3482755594,3482755613),('US',3482755614,3482755623),('AQ',3482755624,3482755633),('US',3482755634,3482755653),('RU',3482755654,3482755683),('US',3482755684,3482755693),('RU',3482755694,3482755703),('US',3482755704,3482755733),('GB',3482755734,3482755743),('US',3482755744,3482755753),('FI',3482755754,3482755763),('ES',3482755764,3482755773),('US',3482755774,3482755783),('GB',3482755784,3482755793),('US',3482755794,3482755849),('UA',3482755850,3482755859),('US',3482755860,3482755949),('AU',3482755950,3482755959),('US',3482755960,3482756009),('ES',3482756010,3482756019),('US',3482756020,3482756175),('TR',3482756176,3482756185),('US',3482756186,3482756255),('ES',3482756256,3482756265),('US',3482756266,3482756285),('IL',3482756286,3482756295),('US',3482756296,3482756305),('IN',3482756306,3482756335),('US',3482756336,3482756361),('RU',3482756362,3482756371),('BR',3482756372,3482756381),('US',3482756382,3482756401),('ES',3482756402,3482756411),('US',3482756412,3482756421),('AZ',3482756422,3482756431),('US',3482756432,3482756491),('GB',3482756492,3482756501),('DM',3482756502,3482756511),('US',3482756512,3482756521),('DE',3482756522,3482756531),('LK',3482756532,3482756541),('US',3482756542,3482756617),('HK',3482756618,3482756627),('US',3482756628,3482756647),('AR',3482756648,3482756657),('US',3482756658,3482756667),('BS',3482756668,3482756677),('BR',3482756678,3482756687),('US',3482756688,3482756717),('ES',3482756718,3482756727),('US',3482756728,3482756757),('TR',3482756758,3482756767),('US',3482756768,3482756893),('BR',3482756894,3482756903),('FR',3482756904,3482756913),('AU',3482756914,3482756923),('US',3482756924,3482757169),('SE',3482757170,3482757179),('US',3482757180,3482757269),('AR',3482757270,3482757279),('US',3482757280,3482757309),('JP',3482757310,3482757319),('US',3482757320,3482757385),('AU',3482757386,3482757395),('US',3482757396,3482757415),('DE',3482757416,3482757425),('AT',3482757426,3482757435),('AU',3482757436,3482757445),('US',3482757446,3482757455),('RU',3482757456,3482757465),('US',3482757466,3482757505),('ES',3482757506,3482757515),('US',3482757516,3482757525),('UY',3482757526,3482757535),('US',3482757536,3482757545),('CA',3482757546,3482757555),('TR',3482757556,3482757565),('US',3482757566,3482757575),('CN',3482757576,3482757585),('US',3482757586,3482757651),('CA',3482757652,3482757661),('ES',3482757662,3482757671),('US',3482757672,3482757681),('GB',3482757682,3482757691),('US',3482757692,3482757701),('ES',3482757702,3482757711),('US',3482757712,3482757741),('JO',3482757742,3482757751),('US',3482757752,3482757811),('AT',3482757812,3482757821),('US',3482757822,3482758499),('VE',3482758500,3482758527),('US',3482758528,3482759275),('SG',3482759276,3482759285),('US',3482759286,3482759295),('SG',3482759296,3482759305),('US',3482759306,3482759823),('BR',3482759824,3482759831),('US',3482759832,3482759855),('GB',3482759856,3482759871),('US',3482759872,3482760035),('ES',3482760036,3482760047),('US',3482760048,3482760049),('NL',3482760050,3482760062),('US',3482760063,3482760319),('NL',3482760320,3482760335),('US',3482760336,3482760385),('EG',3482760386,3482760423),('US',3482760424,3482760447),('AI',3482760448,3482760703),('US',3482760704,3482760799),('BR',3482760800,3482760815),('US',3482760816,3482760831),('VE',3482760832,3482760863),('US',3482760864,3482761335),('BY',3482761336,3482761343),('US',3482761344,3482761503),('IL',3482761504,3482761519),('US',3482761520,3482761599),('IT',3482761600,3482761727),('US',3482761728,3482761935),('AT',3482761936,3482761951),('US',3482761952,3482762360),('TR',3482762361,3482762368),('US',3482762369,3482762437),('TR',3482762438,3482762445),('GB',3482762446,3482762463),('US',3482762464,3482762479),('AU',3482762480,3482762489),('US',3482762490,3482775551),('PR',3482775552,3482779647),('US',3482779648,3482910719),('CA',3482910720,3482927103),('US',3482927104,3483296004),('BE',3483296005,3483296005),('US',3483296006,3483435007),('CA',3483435008,3483533311),('US',3483533312,3483631615),('CA',3483631616,3483697151),('US',3483697152,3483791359),('PR',3483791360,3483791407),('VI',3483791408,3483791415),('US',3483791416,3483791423),('PR',3483791424,3483791599),('VI',3483791600,3483791607),('PR',3483791608,3483791735),('VI',3483791736,3483791743),('PR',3483791744,3483791831),('VI',3483791832,3483791839),('PR',3483791840,3483791983),('US',3483791984,3483791999),('PR',3483792000,3483792015),('IL',3483792016,3483792031),('PR',3483792032,3483795455),('US',3483795456,3483828223),('CA',3483828224,3483836415),('US',3483836416,3483877375),('CA',3483877376,3483893759),('US',3483893760,3484320815),('DE',3484320816,3484320823),('US',3484320824,3484450815),('CA',3484450816,3484451839),('US',3484451840,3484451871),('CA',3484451872,3484455263),('US',3484455264,3484455295),('CA',3484455296,3484455807),('US',3484455808,3484455871),('CA',3484455872,3484456191),('US',3484456192,3484456703),('CA',3484456704,3484457215),('US',3484457216,3484457471),('CA',3484457472,3484457727),('US',3484457728,3484457983),('CA',3484457984,3484458783),('US',3484458784,3484458791),('CA',3484458792,3484458807),('US',3484458808,3484458815),('CA',3484458816,3484458887),('US',3484458888,3484458903),('CA',3484458904,3484458911),('US',3484458912,3484458919),('CA',3484458920,3484458959),('US',3484458960,3484458967),('CA',3484458968,3484459791),('US',3484459792,3484459807),('CA',3484459808,3484459823),('US',3484459824,3484459839),('CA',3484459840,3484459855),('US',3484459856,3484459871),('CA',3484459872,3484459887),('US',3484459888,3484459919),('CA',3484459920,3484459967),('US',3484459968,3484459999),('CA',3484460000,3484460015),('US',3484460016,3484460031),('CA',3484460032,3484460287),('US',3484460288,3484460543),('CA',3484460544,3484460575),('US',3484460576,3484460591),('CA',3484460592,3484460703),('US',3484460704,3484460719),('CA',3484460720,3484460783),('US',3484460784,3484460799),('CA',3484460800,3484461079),('US',3484461080,3484461095),('CA',3484461096,3484461103),('US',3484461104,3484461135),('CA',3484461136,3484461143),('US',3484461144,3484461199),('CA',3484461200,3484461231),('US',3484461232,3484461263),('CA',3484461264,3484461271),('US',3484461272,3484461279),('CA',3484461280,3484461375),('US',3484461376,3484461439),('CA',3484461440,3484461503),('US',3484461504,3484461631),('CA',3484461632,3484462103),('US',3484462104,3484462143),('CA',3484462144,3484462159),('US',3484462160,3484462175),('CA',3484462176,3484462207),('US',3484462208,3484462215),('CA',3484462216,3484462279),('US',3484462280,3484462295),('CA',3484462296,3484462975),('US',3484462976,3484463039),('CA',3484463040,3484463151),('US',3484463152,3484463183),('CA',3484463184,3484464143),('US',3484464144,3484464159),('CA',3484464160,3484464175),('US',3484464176,3484464191),('CA',3484464192,3484464223),('US',3484464224,3484464287),('CA',3484464288,3484464303),('US',3484464304,3484464319),('CA',3484464320,3484464335),('US',3484464336,3484464383),('CA',3484464384,3484464703),('US',3484464704,3484464735),('CA',3484464736,3484465151),('US',3484465152,3484465407),('CA',3484465408,3484466431),('US',3484466432,3484466687),('CA',3484466688,3484468287),('US',3484468288,3484468479),('CA',3484468480,3484469119),('US',3484469120,3484469247),('CA',3484469248,3484469759),('US',3484469760,3484469791),('CA',3484469792,3484469887),('US',3484469888,3484469951),('CA',3484469952,3484470527),('US',3484470528,3484471295),('CA',3484471296,3484471551),('US',3484471552,3484471807),('CA',3484471808,3484472135),('US',3484472136,3484472167),('CA',3484472168,3484472183),('US',3484472184,3484472199),('CA',3484472200,3484472223),('US',3484472224,3484472263),('CA',3484472264,3484472839),('US',3484472840,3484472855),('CA',3484472856,3484473007),('US',3484473008,3484473015),('CA',3484473016,3484473023),('US',3484473024,3484473031),('CA',3484473032,3484473047),('US',3484473048,3484473055),('CA',3484473056,3484473087),('US',3484473088,3484473151),('CA',3484473152,3484473599),('US',3484473600,3484473727),('CA',3484473728,3484473791),('US',3484473792,3484473855),('CA',3484473856,3484477183),('US',3484477184,3484477695),('CA',3484477696,3484478207),('US',3484478208,3484478719),('CA',3484478720,3484478975),('US',3484478976,3484479231),('CA',3484479232,3484479487),('US',3484479488,3484479743),('CA',3484479744,3484479999),('US',3484480000,3484480255),('CA',3484480256,3484482047),('US',3484482048,3484482559),('CA',3484482560,3484483583),('US',3484483584,3484647423),('CA',3484647424,3484663807),('US',3484663808,3484746815),('GB',3484746816,3484746943),('US',3484746944,3484762111),('CA',3484762112,3484775743),('US',3484775744,3484775775),('CA',3484775776,3484777663),('US',3484777664,3484777695),('CA',3484777696,3484778495),('US',3484778496,3484884991),('CA',3484884992,3484893183),('US',3484893184,3485220863),('CA',3485220864,3485229055),('US',3485229056,3485290463),('GB',3485290464,3485290479),('US',3485290480,3485327359),('CA',3485327360,3485335551),('US',3485335552,3485433855),('VE',3485442048,3485446143),('US',3485446144,3485597695),('CA',3485597696,3485671583),('US',3485671584,3485671615),('CA',3485671616,3485672543),('US',3485672544,3485672551),('CA',3485672552,3485695999),('US',3485696000,3485724671),('A1',3485724672,3485728767),('US',3485728768,3485885127),('CA',3485885128,3485885141),('US',3485885142,3485886917),('IN',3485886918,3485886931),('US',3485886932,3485887747),('AU',3485887748,3485887777),('US',3485887778,3486023679),('CA',3486023680,3486031871),('US',3486031872,3486048255),('US',3486056448,3486210303),('FM',3486210304,3486210319),('US',3486210320,3486253055),('US',3486318592,3486501951),('DE',3486501952,3486501967),('US',3486501968,3486580735),('GB',3486580736,3486580991),('DE',3486580992,3486581503),('TW',3486581504,3486581759),('GB',3486581760,3486582015),('NO',3486582016,3486582271),('BE',3486582272,3486582527),('AU',3486582528,3486582783),('DE',3486582784,3486583039),('CH',3486583040,3486583295),('US',3486583296,3486583807),('KR',3486583808,3486584063),('US',3486584064,3486584319),('CA',3486584320,3486584831),('US',3486584832,3486585343),('PT',3486585344,3486585599),('FR',3486585600,3486586367),('NZ',3486586368,3486586623),('US',3486586624,3486586879),('AU',3486586880,3486587135),('FR',3486587136,3486587391),('NL',3486587392,3486587647),('CL',3486587648,3486587903),('GB',3486587904,3486588415),('FR',3486588416,3486588671),('US',3486588672,3486589119),('NL',3486589120,3486589151),('US',3486589152,3486589247),('ZA',3486589248,3486589279),('US',3486589280,3486589951),('IT',3486589952,3486590207),('US',3486590208,3486590463),('GB',3486590464,3486591743),('CH',3486591744,3486591999),('FI',3486592000,3486592063),('US',3486592064,3486592255),('NL',3486592256,3486592511),('NO',3486592512,3486593023),('NL',3486593024,3486593279),('DE',3486593280,3486593791),('FR',3486593792,3486594047),('DE',3486594048,3486594303),('BE',3486594304,3486594559),('US',3486594560,3486594719),('LU',3486594720,3486594751),('GB',3486594752,3486594783),('US',3486594784,3486594815),('AR',3486594816,3486594943),('US',3486594944,3486595071),('DK',3486595072,3486595327),('ID',3486595328,3486595583),('PR',3486595584,3486595839),('DK',3486595840,3486596095),('NL',3486596096,3486596351),('NO',3486596352,3486596607),('US',3486596608,3486596735),('CH',3486596736,3486596799),('FR',3486596800,3486596863),('GB',3486596864,3486597119),('IE',3486597120,3486597375),('IT',3486597376,3486597631),('GB',3486597632,3486597887),('US',3486597888,3486598591),('FR',3486598592,3486598655),('BR',3486598656,3486598911),('NO',3486598912,3486599167),('SE',3486599168,3486599423),('BR',3486599424,3486599679),('US',3486599680,3486599935),('BR',3486599936,3486600447),('US',3486600448,3486601215),('BE',3486601216,3486601471),('TR',3486601472,3486601535),('US',3486601536,3486601727),('BE',3486601728,3486601983),('NZ',3486601984,3486602239),('US',3486602240,3486602431),('CO',3486602432,3486602495),('US',3486602496,3486603007),('SG',3486603008,3486603263),('US',3486603264,3486603295),('BR',3486603296,3486603327),('CL',3486603328,3486603391),('US',3486603392,3486603407),('AR',3486603408,3486603423),('US',3486603424,3486603455),('AR',3486603456,3486603519),('JP',3486603520,3486603775),('US',3486603776,3486604031),('AU',3486604032,3486604287),('BE',3486604288,3486604543),('US',3486604544,3486604575),('SG',3486604576,3486604607),('MY',3486604608,3486604615),('US',3486604616,3486604671),('CO',3486604672,3486604735),('US',3486604736,3486605055),('ES',3486605056,3486605311),('NL',3486605312,3486605567),('US',3486605568,3486606079),('MY',3486606080,3486606335),('US',3486606336,3486606591),('FI',3486606592,3486606847),('US',3486606848,3486607359),('JP',3486607360,3486607615),('US',3486607616,3486607871),('PH',3486607872,3486608127),('GB',3486608128,3486608383),('US',3486608384,3486609151),('HK',3486609152,3486609663),('AU',3486609664,3486609919),('SG',3486609920,3486610175),('US',3486610176,3486610431),('SE',3486610432,3486610687),('NL',3486610688,3486610943),('US',3486610944,3486611199),('BR',3486611200,3486611215),('US',3486611216,3486611455),('SG',3486611456,3486611711),('EC',3486611712,3486611775),('US',3486611776,3486611967),('HK',3486611968,3486612223),('SG',3486612224,3486612479),('US',3486612480,3486612607),('FR',3486612608,3486612735),('DE',3486612736,3486612991),('US',3486612992,3486613247),('GB',3486613248,3486613759),('ES',3486613760,3486614015),('DE',3486614016,3486614271),('GB',3486614272,3486614527),('US',3486614528,3486614783),('FR',3486614784,3486615039),('BE',3486615040,3486615295),('PH',3486615296,3486615551),('US',3486615552,3486615871),('LU',3486615872,3486615903),('US',3486615904,3486615935),('CH',3486615936,3486615967),('US',3486615968,3486616319),('NO',3486616320,3486616831),('US',3486616832,3486617215),('SE',3486617216,3486617343),('US',3486617344,3486617599),('CH',3486617600,3486617855),('AU',3486617856,3486618111),('NO',3486618112,3486618367),('ES',3486618368,3486618623),('BE',3486618624,3486618879),('FR',3486618880,3486619135),('SG',3486619136,3486619391),('BE',3486619392,3486619647),('CA',3486619648,3486619903),('US',3486619904,3486620159),('SE',3486620160,3486620415),('HK',3486620416,3486620671),('US',3486620672,3486620927),('NL',3486620928,3486621183),('US',3486621184,3486621439),('NL',3486621440,3486621695),('FI',3486621696,3486621951),('ES',3486621952,3486622207),('ZA',3486622208,3486622463),('GB',3486622464,3486622719),('MX',3486622720,3486622975),('DE',3486622976,3486623231),('JP',3486623232,3486623487),('DE',3486623488,3486623743),('US',3486623744,3486623999),('PH',3486624000,3486624255),('SG',3486624256,3486624511),('SE',3486624512,3486624767),('ES',3486624768,3486625023),('US',3486625024,3486625055),('MX',3486625056,3486625087),('US',3486625088,3486625151),('MX',3486625152,3486625183),('US',3486625184,3486625279),('SE',3486625280,3486625535),('NO',3486625536,3486625791),('NL',3486625792,3486626047),('FI',3486626048,3486626303),('IL',3486626304,3486626559),('CH',3486626560,3486626567),('US',3486626568,3486626591),('FI',3486626592,3486626623),('US',3486626624,3486627071),('JP',3486627072,3486627327),('US',3486627328,3486627583),('BE',3486627584,3486627839),('BW',3486627840,3486628095),('ZA',3486628096,3486628351),('US',3486628352,3486628607),('NO',3486628608,3486628863),('PT',3486628864,3486629375),('US',3486629376,3486629631),('CL',3486629632,3486629887),('SE',3486629888,3486630143),('JP',3486630144,3486631679),('ID',3486631680,3486631935),('JP',3486631936,3486632447),('US',3486632448,3486632703),('JP',3486632704,3486632959),('IT',3486632960,3486633215),('GB',3486633216,3486633471),('US',3486633472,3486633599),('CN',3486633600,3486633727),('US',3486633728,3486633983),('HK',3486633984,3486634239),('US',3486634240,3486634495),('KR',3486634496,3486634751),('CH',3486634752,3486635007),('DK',3486635008,3486635263),('FR',3486635264,3486635519),('ES',3486635520,3486635775),('IL',3486635776,3486636031),('ES',3486636032,3486636287),('NL',3486636288,3486636543),('TW',3486636544,3486636799),('DE',3486636800,3486637055),('US',3486637056,3486637311),('BE',3486637312,3486637823),('SE',3486637824,3486638335),('FR',3486638336,3486638591),('US',3486638592,3486638847),('DK',3486638848,3486639103),('BE',3486639104,3486639359),('SG',3486639360,3486639615),('US',3486639616,3486640127),('BE',3486640128,3486640383),('GB',3486640384,3486640639),('US',3486640640,3486642175),('BR',3486642176,3486642431),('PT',3486642432,3486642687),('DK',3486642688,3486642943),('US',3486642944,3486646015),('JP',3486646016,3486646143),('US',3486646144,3486646271),('CA',3486646272,3486662655),('US',3486662656,3486699519),('CA',3486699520,3486699775),('US',3486699776,3486700399),('CA',3486700400,3486700407),('US',3486700408,3486700439),('IT',3486700440,3486700447),('US',3486700448,3486700479),('IN',3486700480,3486700503),('US',3486700504,3486701311),('CA',3486701312,3486701567),('US',3486701568,3486705919),('IN',3486705920,3486706175),('US',3486706176,3487039487),('CA',3487039488,3487105023),('US',3487105024,3487187199),('GB',3487187200,3487187215),('US',3487187216,3487189247),('DK',3487189248,3487189503),('US',3487189504,3487193599),('DK',3487193600,3487193855),('US',3487193856,3487197183),('DK',3487197184,3487197439),('US',3487197440,3487203071),('DK',3487203072,3487203327),('US',3487203328,3487236095),('CA',3487236096,3487301631),('US',3487301632,3487766527),('CA',3487766528,3487768575),('US',3487768576,3487842303),('CA',3487842304,3487858687),('KY',3487858688,3487859199),('BM',3487859200,3487861759),('KY',3487861760,3487862015),('BM',3487862016,3487862271),('KY',3487862272,3487862783),('BM',3487862784,3487863039),('KY',3487863040,3487863807),('BM',3487863808,3487875071),('US',3487875072,3487891455),('CA',3487891456,3487907839),('US',3487907840,3487969791),('KW',3487969792,3487970047),('US',3487970048,3488014335),('CA',3488014336,3488022527),('US',3488022528,3488071679),('CA',3488071680,3488072703),('US',3488075776,3488079871),('CA',3488079872,3488083967),('US',3488083968,3488088063),('IL',3488088064,3488104447),('US',3488104448,3488112639),('CA',3488112640,3488113839),('US',3488113840,3488113855),('CA',3488113856,3488116863),('US',3488116864,3488116871),('CA',3488116872,3488118047),('US',3488118048,3488118055),('CA',3488118056,3488120831),('US',3488120832,3488285791),('AR',3488285792,3488285823),('DE',3488285824,3488285855),('US',3488285856,3488285887),('AU',3488285888,3488285903),('US',3488285904,3488286279),('SG',3488286280,3488286287),('US',3488286288,3488300287),('A2',3488300288,3488300543),('US',3488300544,3488350207),('CA',3488350208,3488361215),('US',3488361216,3488361471),('CA',3488361472,3488415743),('US',3488415744,3488615935),('AU',3488615936,3488616191),('US',3488616192,3488718847),('A2',3488718848,3488719999),('US',3488720000,3488720063),('BG',3488720064,3488720095),('BY',3488720096,3488720111),('A2',3488720112,3488720639),('US',3488720640,3488720895),('AL',3488720896,3488721151),('A2',3488721152,3488721407),('BA',3488721408,3488722175),('RO',3488722176,3488722431),('AL',3488722432,3488722687),('JM',3488722688,3488723199),('A2',3488723200,3488727039),('US',3488727040,3488901887),('CA',3488901888,3488902143),('US',3488902144,3488940031),('CA',3488940032,3488956415),('US',3488956416,3488989183),('CA',3488989184,3489005567),('US',3489005568,3489136639),('MX',3489136640,3489267711),('US',3489267712,3489341439),('CA',3489341440,3489345535),('US',3489345536,3489464319),('CA',3489464320,3489529855),('US',3489529856,3489562623),('JM',3489562624,3489566719),('US',3489566720,3489579007),('US',3489587200,3489673471),('PR',3489673472,3489673727),('US',3489673728,3489718271),('DM',3489718272,3489718527),('LC',3489718528,3489719039),('AG',3489719040,3489719191),('VG',3489719192,3489719199),('AG',3489719200,3489719551),('VG',3489719552,3489719807),('DM',3489719808,3489720063),('LC',3489720064,3489720319),('US',3489720320,3489738751),('PH',3489738752,3489740799),('US',3489740800,3489749503),('CA',3489749504,3489749519),('US',3489749520,3489753151),('PR',3489753152,3489753167),('US',3489753168,3489756119),('DE',3489756120,3489756127),('US',3489756128,3489761743),('CA',3489761744,3489761759),('US',3489761760,3489774831),('GB',3489774832,3489774839),('US',3489774840,3489775103),('BO',3489775104,3489775359),('US',3489775360,3489969151),('PR',3489969152,3489969663),('US',3489969664,3490041503),('CA',3490041504,3490041535),('US',3490041536,3490072575),('CA',3490072576,3490074623),('US',3490074624,3490228735),('CO',3490228736,3490229247),('US',3490229248,3490263039),('CO',3490263040,3490267135),('US',3490267136,3490488319),('PR',3490488320,3490489343),('US',3490489344,3490653871),('CA',3490653872,3490653887),('US',3490653888,3490703615),('PR',3490703616,3490703871),('US',3490703872,3490732431),('CA',3490732432,3490732447),('US',3490732448,3490786047),('PR',3490786048,3490786303),('US',3490786304,3490863615),('CA',3490863616,3490863871),('US',3490863872,3490879231),('PR',3490879232,3490879487),('US',3490879488,3490922495),('CO',3490922496,3490924543),('US',3490924544,3490974719),('PR',3490974720,3490975743),('US',3490975744,3491226687),('CA',3491226688,3491226719),('US',3491226720,3491381247),('BM',3491381248,3491389439),('US',3491389440,3491476991),('VI',3491476992,3491478527),('US',3491478528,3491508223),('CA',3491508224,3491512319),('US',3491512320,3491594239),('CO',3491594240,3491596287),('US',3491596288,3491637247),('CO',3491637248,3491637759),('US',3491637760,3491651583),('VI',3491651584,3491659775),('US',3491659776,3491736063),('PR',3491736064,3491736319),('US',3491736320,3491743743),('CO',3491743744,3491745791),('US',3491745792,3491764783),('PR',3491764784,3491764791),('US',3491764792,3491780607),('EC',3491780608,3491781631),('US',3491781632,3491826687),('AN',3491826688,3491826943),('US',3491826944,3491921663),('PR',3491921664,3491921919),('US',3491921920,3491955711),('CO',3491955712,3491956735),('US',3491956736,3491959807),('CO',3491959808,3491960319),('US',3491960320,3491969023),('PR',3491969024,3491970047),('US',3491970048,3491971607),('IT',3491971608,3491971615),('US',3491971616,3491971751),('AU',3491971752,3491971759),('US',3491971760,3491971951),('HK',3491971952,3491971967),('US',3491971968,3491973151),('VE',3491973152,3491973159),('US',3491973160,3491979263),('CO',3491979264,3491981823),('US',3491981824,3491983359),('CO',3491983360,3491987455),('US',3491987456,3492005375),('DK',3492005376,3492005391),('US',3492005392,3492005439),('DK',3492005440,3492005447),('US',3492005448,3492005463),('AU',3492005464,3492005487),('US',3492005488,3492151295),('CA',3492151296,3492167679),('US',3492167680,3492200447),('US',3492216832,3492472039),('GB',3492472040,3492472047),('US',3492472048,3492474047),('UA',3492474048,3492474111),('US',3492474112,3492491263),('CA',3492491264,3492491327),('US',3492491328,3492493055),('NZ',3492493056,3492493183),('US',3492493184,3492503551),('CA',3492503552,3492503583),('US',3492503584,3492503807),('DK',3492503808,3492503839),('US',3492503840,3492506623),('SA',3492506624,3492506639),('US',3492506640,3492514815),('CA',3492514816,3492514879),('US',3492514880,3492515583),('AU',3492515584,3492515591),('US',3492515592,3492669695),('PA',3492669696,3492671487),('US',3492671488,3492795775),('AR',3492795776,3492795903),('US',3492795904,3492827391),('CA',3492827392,3492827423),('US',3492827424,3492827431),('DE',3492827432,3492827439),('AU',3492827440,3492827455),('US',3492827456,3492827519),('AU',3492827520,3492827647),('US',3492827648,3492827903),('AU',3492827904,3492827967),('US',3492827968,3493068799),('A2',3493068800,3493070847),('HT',3493070848,3493071871),('A2',3493071872,3493072895),('US',3493072896,3493073151),('BO',3493073152,3493073407),('A2',3493073408,3493073663),('BO',3493073664,3493073919),('A2',3493073920,3493074175),('BO',3493074176,3493074431),('HT',3493074432,3493078527),('A2',3493078528,3493079039),('HT',3493079040,3493081087),('A2',3493081088,3493081599),('PY',3493081600,3493082623),('A2',3493082624,3493089279),('BO',3493089280,3493089311),('US',3493089312,3493089343),('BO',3493089344,3493090815),('A2',3493090816,3493091327),('BO',3493091328,3493092351),('NA',3493092352,3493092607),('A2',3493092608,3493093375),('US',3493093376,3493093887),('A2',3493093888,3493094399),('US',3493094400,3493094655),('A2',3493094656,3493096447),('US',3493096448,3493096703),('A2',3493096704,3493100559),('US',3493100560,3493100575),('A2',3493100576,3493101567),('US',3493101568,3493135167),('CY',3493135168,3493135199),('US',3493135200,3493135871),('CA',3493135872,3493136383),('US',3493136384,3493136831),('GB',3493136832,3493136863),('US',3493136864,3493137919),('CA',3493137920,3493138175),('US',3493138176,3493139199),('CA',3493139200,3493139455),('US',3493139456,3493140127),('CA',3493140128,3493140159),('US',3493140160,3493141279),('CY',3493141280,3493141311),('US',3493141312,3493141503),('CA',3493141504,3493141759),('US',3493141760,3493142271),('CA',3493142272,3493142527),('US',3493142528,3493244927),('PR',3493244928,3493249023),('US',3493249024,3493728959),('A2',3493728960,3493728991),('US',3493728992,3493866495),('VG',3493866496,3493867519),('US',3493867520,3493874687),('BM',3493874688,3493875711),('US',3493875712,3493881855),('CA',3493881856,3493882879),('US',3493882880,3493907199),('GB',3493907200,3493907231),('US',3493907232,3493936127),('CA',3493936128,3493937151),('US',3493937152,3493939199),('CA',3493939200,3493941247),('US',3493941248,3493982207),('CA',3493982208,3493984255),('US',3493984256,3493986303),('CA',3493986304,3493987327),('US',3493987328,3493990399),('CA',3493990400,3493991423),('US',3493991424,3493998591),('AI',3493998592,3494000639),('US',3494000640,3494003711),('CA',3494003712,3494004735),('US',3494004736,3494009855),('CA',3494009856,3494010879),('US',3494010880,3494011231),('HK',3494011232,3494011247),('US',3494011248,3494014975),('CA',3494014976,3494017023),('US',3494017024,3494035791),('BY',3494035792,3494035807),('CY',3494035808,3494035823),('US',3494035824,3494035887),('RU',3494035888,3494035904),('ES',3494035905,3494035966),('US',3494035967,3494036031),('CA',3494036032,3494036047),('RU',3494036048,3494036063),('US',3494036064,3494036255),('CA',3494036256,3494036287),('US',3494036288,3494036319),('RU',3494036320,3494036351),('EE',3494036352,3494036417),('US',3494036418,3494036431),('RU',3494036432,3494036439),('US',3494036440,3494044671),('CA',3494044672,3494045695),('US',3494045696,3494049791),('CA',3494049792,3494051839),('US',3494051840,3494074367),('CA',3494075392,3494076415),('US',3494076416,3494088703),('CA',3494088704,3494090751),('US',3494090752,3494094847),('CA',3494094848,3494095871),('US',3494095872,3494114303),('CA',3494114304,3494115327),('US',3494115328,3494121471),('CA',3494121472,3494122495),('US',3494122496,3494135807),('CA',3494135808,3494136831),('US',3494136832,3494139903),('CA',3494139904,3494141951),('US',3494141952,3494143999),('CA',3494144000,3494145023),('US',3494145024,3494160895),('GB',3494160896,3494161407),('US',3494161408,3494168575),('CA',3494168576,3494170623),('US',3494170624,3494184959),('CA',3494184960,3494187007),('US',3494187008,3494197247),('CA',3494197248,3494198271),('US',3494198272,3494244351),('CA',3494244352,3494246399),('US',3494246400,3494247423),('CA',3494247424,3494250495),('US',3494250496,3494262783),('CA',3494262784,3494264831),('US',3494264832,3494271999),('KN',3494272000,3494273023),('US',3494273024,3494275071),('CA',3494275072,3494277119),('US',3494277120,3494290943),('GB',3494290944,3494291455),('US',3494291456,3494291743),('GB',3494291744,3494291751),('US',3494291752,3494302719),('CA',3494302720,3494303743),('US',3494303744,3494310911),('CA',3494310912,3494311935),('US',3494311936,3494313135),('GB',3494313136,3494313143),('RO',3494313144,3494313151),('US',3494313152,3494316031),('CA',3494316032,3494317055),('US',3494317056,3494336511),('CA',3494336512,3494337535),('US',3494338560,3494342655),('CA',3494342656,3494344703),('US',3494344704,3494359039),('CA',3494359040,3494360063),('US',3494360064,3494361087),('CA',3494361088,3494362111),('US',3494362112,3494380543),('CA',3494380544,3494381567),('US',3494381568,3494410239),('CA',3494410240,3494412287),('US',3494412288,3494424575),('CA',3494424576,3494425599),('US',3494425600,3494432767),('CA',3494432768,3494433791),('US',3494433792,3494437887),('GP',3494437888,3494438143),('AG',3494438144,3494438399),('KN',3494438400,3494438655),('GD',3494438656,3494438911),('CA',3494438912,3494439935),('US',3494439936,3494449151),('CA',3494449152,3494451199),('US',3494451200,3494454128),('PH',3494454129,3494454158),('US',3494454159,3494455295),('CA',3494455296,3494456319),('US',3494456320,3494459391),('CA',3494459392,3494460415),('US',3494460416,3494464511),('CA',3494464512,3494465535),('US',3494465536,3494510591),('CA',3494510592,3494512639),('US',3494512640,3494516735),('CA',3494516736,3494517759),('US',3494517760,3494539263),('A2',3494539264,3494540287),('US',3494540288,3494563839),('CA',3494563840,3494565887),('US',3494565888,3494594559),('CA',3494594560,3494595583),('US',3494595584,3494605823),('CA',3494605824,3494606847),('US',3494606848,3494610943),('CA',3494610944,3494611967),('US',3494611968,3494624255),('CA',3494624256,3494625279),('US',3494625280,3494627327),('BM',3494627328,3494628351),('US',3494628352,3494651903),('CA',3494651904,3494652927),('US',3494652928,3494660095),('CA',3494660096,3494661119),('US',3494661120,3494668287),('CA',3494668288,3494670335),('US',3494670336,3494700031),('CA',3494700032,3494701055),('US',3494701056,3494727679),('CA',3494727680,3494729727),('US',3494729728,3494730751),('CA',3494730752,3494731775),('US',3494731776,3494743039),('CA',3494743040,3494744063),('US',3494744064,3494757375),('CA',3494757376,3494758399),('US',3494758400,3494763007),('ES',3494763008,3494763015),('US',3494763016,3494763047),('JP',3494763048,3494763055),('US',3494763056,3494763063),('MX',3494763064,3494763071),('ES',3494763072,3494763079),('US',3494763080,3494763087),('ES',3494763088,3494763151),('US',3494763152,3494763903),('AU',3494763904,3494763919),('US',3494763920,3494764431),('GB',3494764432,3494764439),('US',3494764440,3494764447),('GB',3494764448,3494764463),('US',3494764464,3494776831),('CA',3494776832,3494777855),('US',3494777856,3494785023),('GP',3494785024,3494787071),('A2',3494787072,3494789119),('US',3494789120,3494852607),('CA',3494852608,3494854655),('US',3494854656,3494862847),('GP',3494862848,3494863871),('US',3494863872,3494866943),('CA',3494866944,3494867967),('US',3494867968,3494893567),('CA',3494893568,3494894591),('US',3494894592,3494917119),('CA',3494917120,3494918143),('US',3494918144,3494928383),('CA',3494928384,3494930431),('US',3494930432,3494938623),('CA',3494938624,3494939647),('US',3494939648,3494964223),('PR',3494964224,3494965247),('US',3494965248,3494968319),('CA',3494968320,3494972415),('US',3494972416,3494979583),('CA',3494979584,3494981631),('US',3494981632,3495000063),('CA',3495000064,3495001087),('US',3495001088,3495006207),('CA',3495006208,3495007231),('US',3495007232,3495010303),('KN',3495010304,3495011327),('US',3495011328,3495012351),('PR',3495012352,3495014399),('US',3495014400,3495023615),('CA',3495023616,3495024639),('US',3495024640,3495065599),('CA',3495065600,3495066623),('US',3495066624,3495076863),('BM',3495076864,3495077887),('US',3495077888,3495090175),('KY',3495090176,3495091199),('US',3495091200,3495098367),('CA',3495098368,3495100415),('US',3495100416,3495120895),('AG',3495120896,3495122943),('US',3495122944,3495153663),('CA',3495153664,3495155711),('US',3495155712,3495192575),('CA',3495192576,3495193599),('US',3495193600,3495215103),('VI',3495215104,3495217151),('VC',3495217152,3495219199),('US',3495219200,3495251967),('CA',3495251968,3495254015),('US',3495254016,3495260159),('CA',3495260160,3495261183),('US',3495261184,3495286783),('CA',3495286784,3495288831),('US',3495288832,3495331839),('A2',3495331840,3495332863),('CA',3495332864,3495333887),('US',3495333888,3495349247),('CA',3495349248,3495350271),('US',3495350272,3495358463),('CA',3495358464,3495359487),('US',3495359488,3495367679),('CA',3495367680,3495368703),('US',3495368704,3495370751),('BS',3495370752,3495372799),('US',3495372800,3495375871),('CA',3495375872,3495376895),('US',3495376896,3495399423),('KN',3495399424,3495400447),('US',3495400448,3495412735),('CA',3495412736,3495413759),('US',3495413760,3495429119),('CA',3495429120,3495430143),('US',3495430144,3495454719),('CA',3495454720,3495456767),('US',3495456768,3495463935),('CA',3495463936,3495464959),('US',3495464960,3495475199),('CA',3495475200,3495477247),('US',3495477248,3495478271),('CA',3495478272,3495479295),('US',3495479296,3495505919),('CA',3495505920,3495507967),('US',3495507968,3495515135),('CA',3495515136,3495516159),('US',3495516160,3495526399),('CA',3495526400,3495527423),('US',3495527424,3495542783),('A2',3495542784,3495544831),('US',3495544832,3495551999),('BM',3495552000,3495553023),('US',3495553024,3495579647),('CA',3495579648,3495581695),('US',3495581696,3495583743),('CA',3495583744,3495585791),('US',3495585792,3495587839),('MS',3495587840,3495588863),('US',3495588864,3495618559),('CA',3495618560,3495619583),('US',3495619584,3495620607),('CA',3495620608,3495622655),('US',3495622656,3495653375),('CA',3495653376,3495654399),('US',3495655424,3495673855),('GP',3495673856,3495674879),('US',3495674880,3495686143),('US',3495687168,3495688191),('CA',3495688192,3495689215),('US',3495689216,3495694335),('CA',3495694336,3495696383),('US',3495696384,3495703551),('CA',3495703552,3495704575),('US',3495704576,3495718911),('A2',3495718912,3495720959),('US',3495720960,3495724031),('CA',3495724032,3495727103),('US',3495727104,3495740415),('CA',3495740416,3495741439),('US',3495741440,3495749631),('CA',3495749632,3495750655),('US',3495750656,3495774207),('CA',3495774208,3495776255),('US',3495776256,3495784447),('US',3495952384,3495968767),('CA',3495968768,3495985151),('NI',3495985152,3495988223),('GT',3495988224,3495989247),('US',3495993344,3495997439),('US',3496001536,3496034303),('CA',3496034304,3496050687),('US',3496050688,3496132607),('CA',3496132608,3496148991),('US',3496148992,3496181759),('CA',3496181760,3496189951),('US',3496189952,3496190559),('CA',3496190560,3496190815),('US',3496190816,3496202239),('CA',3496202240,3496202303),('US',3496202304,3496205839),('ID',3496205840,3496205855),('CA',3496205856,3496205871),('US',3496205872,3496280287),('GB',3496280288,3496280303),('US',3496280304,3496280407),('IN',3496280408,3496280415),('US',3496280416,3496281551),('KW',3496281552,3496281559),('US',3496281560,3496281663),('KW',3496281664,3496281679),('US',3496281680,3496283647),('GB',3496283648,3496283655),('US',3496283656,3496283775),('CA',3496283776,3496283783),('US',3496283784,3496284127),('CA',3496284128,3496284135),('US',3496284136,3496284343),('GB',3496284344,3496284351),('US',3496284352,3496285439),('ID',3496285440,3496285447),('US',3496285448,3496286031),('CA',3496286032,3496286055),('US',3496286056,3496287983),('CA',3496287984,3496287991),('US',3496287992,3496288167),('SA',3496288168,3496288175),('US',3496288176,3496288447),('AR',3496288448,3496288463),('US',3496288464,3496290127),('GB',3496290128,3496290135),('US',3496290136,3496290759),('PH',3496290760,3496290767),('US',3496290768,3496291135),('GB',3496291136,3496291151),('US',3496291152,3496291663),('GB',3496291664,3496291671),('US',3496291672,3496292095),('CN',3496292096,3496292103),('US',3496292104,3496292319),('PH',3496292320,3496292335),('US',3496292336,3496292807),('EG',3496292808,3496292815),('US',3496292816,3496293679),('GH',3496293680,3496293687),('US',3496293688,3496294439),('CA',3496294440,3496294447),('US',3496294448,3496295839),('AR',3496295840,3496295871),('US',3496295872,3496296447),('CA',3496296448,3496312831),('US',3496312832,3496468479),('CA',3496468480,3496476671),('US',3496476672,3496873983),('A2',3496873984,3496878079),('CA',3496878080,3496882175),('US',3496886272,3496886511),('GB',3496886512,3496886527),('US',3496886528,3496887551),('TR',3496887552,3496887559),('US',3496887560,3496894463),('CA',3496894464,3496902655),('US',3496902656,3496951807),('CA',3496951808,3496959999),('US',3496960000,3496964095),('US',3496968192,3497001247),('AU',3497001248,3497001263),('US',3497001264,3497001327),('DE',3497001328,3497001343),('US',3497001344,3497005887),('CA',3497005888,3497005951),('US',3497005952,3497008071),('CA',3497008072,3497008079),('US',3497008080,3497008671),('CA',3497008672,3497008687),('US',3497008688,3497009399),('AE',3497009400,3497009407),('US',3497009408,3497010703),('PK',3497010704,3497010711),('US',3497010712,3497010719),('AE',3497010720,3497010727),('US',3497010728,3497010735),('CA',3497010736,3497010751),('US',3497010752,3497014687),('GB',3497014688,3497014695),('US',3497014696,3497020943),('CA',3497020944,3497020959),('US',3497020960,3497022367),('AU',3497022368,3497022399),('US',3497022400,3497024639),('AU',3497024640,3497024655),('US',3497024656,3497026815),('ES',3497026816,3497026847),('US',3497026848,3497026919),('CA',3497026920,3497026927),('US',3497026928,3497027375),('AE',3497027376,3497027383),('US',3497027384,3497028383),('MX',3497028384,3497028391),('US',3497028392,3497028431),('MX',3497028432,3497028439),('US',3497028440,3497028479),('AE',3497028480,3497028495),('US',3497028496,3497028983),('CA',3497028984,3497029055),('US',3497029056,3497029071),('TH',3497029072,3497029087),('GB',3497029088,3497029095),('US',3497029096,3497029151),('TH',3497029152,3497029167),('US',3497029168,3497029231),('GB',3497029232,3497029239),('US',3497029240,3497030415),('IN',3497030416,3497030423),('US',3497030424,3497030495),('AU',3497030496,3497030511),('US',3497030512,3497030767),('CH',3497030768,3497030775),('US',3497030776,3497030911),('CH',3497030912,3497030943),('US',3497030944,3497031071),('CA',3497031072,3497031079),('US',3497031080,3497032111),('CA',3497032112,3497032119),('US',3497032120,3497066495),('CA',3497066496,3497082879),('US',3497082880,3497164799),('CA',3497164800,3497181183),('US',3497181184,3497222655),('CA',3497222656,3497222911),('US',3497222912,3497224959),('CA',3497224960,3497225215),('US',3497225216,3497264913),('GB',3497264914,3497264950),('US',3497264951,3497266527),('GB',3497266528,3497266535),('US',3497266536,3497268223),('GB',3497268224,3497268287),('US',3497268288,3497410559),('CA',3497410560,3497431039),('US',3497435136,3497820159),('CA',3497820160,3497852927),('US',3497852928,3498254335),('JM',3498254336,3498254367),('US',3498254368,3498254431),('JM',3498254432,3498254447),('US',3498254448,3498254591),('JM',3498254592,3498254847),('US',3498254848,3498287103),('JM',3498287104,3498292543),('US',3498292544,3498292551),('JM',3498292552,3498295295),('US',3498295296,3498428415),('CR',3498428416,3498429439),('US',3498429440,3498429951),('CR',3498429952,3498430207),('US',3498430208,3498509055),('PR',3498509056,3498510335),('US',3498510336,3498513151),('CL',3498513152,3498513407),('US',3498513408,3498513919),('CL',3498513920,3498514431),('US',3498514432,3498587135),('NL',3498587136,3498588159),('US',3498588160,3498599935),('WS',3498599936,3498600191),('US',3498600192,3498708991),('JM',3498708992,3498713639),('CA',3498713640,3498713647),('JM',3498713648,3498717183),('US',3498717184,3498760191),('PR',3498760192,3498762239),('US',3498762240,3498812415),('PF',3498812416,3498812671),('US',3498812672,3499186591),('MX',3499186592,3499186623),('US',3499186624,3499299327),('WS',3499299328,3499299583),('US',3499299584,3499403263),('MW',3499403264,3499403775),('US',3499403776,3499436031),('DE',3499436032,3499436287),('US',3499436288,3499437055),('DE',3499437056,3499437151),('US',3499437152,3499437423),('IT',3499437424,3499437431),('US',3499437432,3499450367),('IN',3499450368,3499451391),('US',3499451392,3499705343),('TZ',3499705344,3499705855),('MG',3499705856,3499706367),('US',3499706368,3499986943),('KY',3499986944,3499988991),('US',3499988992,3500126207),('SE',3500126208,3500126463),('GB',3500126464,3500126719),('US',3500126720,3500144639),('IT',3500144640,3500144895),('US',3500144896,3500274175),('IE',3500274176,3500274239),('US',3500274240,3500351487),('JM',3500351488,3500359679),('US',3500359680,3500371583),('GB',3500371584,3500371599),('US',3500371600,3500396831),('GB',3500396832,3500396863),('US',3500396864,3500486655),('CR',3500486656,3500490751),('US',3500490752,3500613631),('MZ',3500613632,3500614655),('US',3500614656,3500689407),('CL',3500689408,3500689919),('US',3500689920,3500707327),('CA',3500707328,3500707839),('US',3500707840,3500724991),('EC',3500724992,3500725503),('HT',3500725504,3500725759),('EC',3500725760,3500726015),('HT',3500726016,3500726271),('US',3500726272,3500921279),('AU',3500921280,3500921311),('US',3500921312,3501522943),('CA',3501522944,3501588479),('US',3501588480,3501728831),('AU',3501728832,3501728863),('US',3501728864,3501732071),('AU',3501732072,3501732087),('US',3501732088,3501747967),('CA',3501747968,3501748031),('US',3501748032,3501809151),('CA',3501809152,3501809407),('US',3501809408,3501817983),('HK',3501817984,3501818015),('US',3501818016,3502002807),('PR',3502002808,3502002815),('US',3502002816,3502013919),('PR',3502013920,3502013927),('US',3502013928,3502013935),('PR',3502013936,3502013943),('US',3502013944,3502045679),('PR',3502045680,3502045687),('US',3502045688,3502070775),('PR',3502070776,3502070783),('US',3502070784,3502082383),('PR',3502082384,3502082391),('US',3502082392,3502100255),('PR',3502100256,3502100263),('US',3502100264,3502144759),('PR',3502144760,3502144767),('US',3502144768,3502146927),('PR',3502146928,3502146935),('US',3502146936,3502159391),('PR',3502159392,3502159399),('US',3502159400,3502159407),('PR',3502159408,3502159415),('US',3502159416,3502202159),('PR',3502202160,3502202167),('US',3502202168,3502202287),('PR',3502202288,3502202295),('US',3502202296,3502202647),('PR',3502202648,3502202655),('US',3502202656,3502207535),('PR',3502207536,3502207543),('US',3502207544,3502418175),('GU',3502418176,3502418431),('US',3502418432,3502439167),('PK',3502439168,3502439423),('US',3502439424,3502470143),('MX',3502470144,3502471167),('US',3502471168,3502518783),('LK',3502518784,3502519295),('US',3502519296,3502541055),('CA',3502541056,3502541311),('US',3502541312,3502545663),('BS',3502545664,3502545919),('US',3502545920,3502569215),('BS',3502569216,3502569471),('US',3502569472,3502683135),('MC',3502683136,3502683391),('US',3502683392,3502929663),('GU',3502929664,3502929919),('US',3502929920,3502993407),('NL',3502993408,3502993919),('US',3502993920,3503027327),('GB',3503027328,3503027359),('US',3503027360,3503058431),('CA',3503058432,3503058447),('US',3503058448,3503206399),('CR',3503206400,3503206911),('US',3503206912,3503215615),('NL',3503215616,3503215639),('US',3503215640,3503222695),('CA',3503222696,3503222703),('US',3503222704,3503227391),('CA',3503227392,3503227407),('US',3503227408,3503250431),('PK',3503250432,3503250943),('US',3503250944,3503323135),('KE',3503323136,3503323647),('A2',3503323648,3503323903),('US',3503323904,3503372031),('A2',3503372032,3503372287),('US',3503372288,3503372799),('A2',3503372800,3503373311),('US',3503373312,3503386111),('CH',3503386112,3503386367),('US',3503386368,3503413871),('PR',3503413872,3503413887),('US',3503413888,3503454719),('AZ',3503454720,3503454975),('US',3503454976,3503473151),('A2',3503473152,3503473663),('US',3503473664,3503478783),('DE',3503478784,3503479039),('US',3503479040,3503738879),('CO',3503738880,3503740927),('US',3503740928,3503757823),('GU',3503757824,3503758335),('US',3503758336,3503826087),('PR',3503826088,3503826095),('US',3503826096,3503890431),('CO',3503890432,3503894527),('US',3503894528,3503990783),('AE',3503990784,3503992831),('US',3503992832,3504086015),('LI',3504086016,3504086527),('US',3504086528,3504136191),('AZ',3504136192,3504138239),('US',3504138240,3504152319),('CI',3504152320,3504152383),('US',3504152384,3504193535),('EC',3504193536,3504194559),('US',3504194560,3504207871),('CA',3504207872,3504208127),('US',3504208128,3504223743),('RO',3504223744,3504223999),('US',3504224000,3504521215),('GU',3504521216,3504521727),('US',3504521728,3504889343),('PK',3504889344,3504889855),('US',3504889856,3504922623),('PH',3504922624,3504923391),('US',3504923392,3504928687),('IT',3504928688,3504928695),('US',3504928696,3504932351),('BD',3504932352,3504932863),('US',3504932864,3505004543),('PR',3505004544,3505012735),('US',3505012736,3505112063),('EC',3505112064,3505112319),('US',3505112320,3505112335),('EC',3505112336,3505113087),('US',3505113088,3505119231),('PH',3505119232,3505119487),('US',3505119488,3505201151),('JO',3505201152,3505201407),('US',3505201408,3505220351),('CA',3505220352,3505220479),('US',3505220480,3505227247),('GB',3505227248,3505227255),('US',3505227256,3505270271),('JM',3505270272,3505270527),('HT',3505270528,3505270783),('US',3505270784,3505416703),('MX',3505416704,3505417471),('US',3505417472,3505424383),('PK',3505424384,3505425407),('US',3505425408,3505432159),('A2',3505432160,3505432191),('US',3505432192,3505446271),('CA',3505446272,3505446399),('US',3505446400,3505474559),('GU',3505474560,3505474815),('US',3505474816,3505511679),('RO',3505511680,3505511935),('US',3505511936,3505661951),('JM',3505661952,3505662463),('US',3505662464,3505664799),('UA',3505664800,3505664831),('US',3505664832,3505818623),('BS',3505818624,3505819647),('US',3505819648,3505938359),('GB',3505938360,3505938367),('US',3505938368,3505999359),('PR',3505999360,3506000127),('US',3506000128,3506043135),('PA',3506043136,3506044927),('US',3506044928,3506052543),('DE',3506052544,3506052559),('US',3506052560,3506135263),('GB',3506135264,3506135295),('US',3506135296,3506177967),('DE',3506177968,3506177983),('US',3506177984,3506192639),('A2',3506192640,3506192895),('US',3506192896,3506194535),('AU',3506194536,3506194543),('US',3506194544,3506198007),('NO',3506198008,3506198015),('US',3506198016,3506214159),('CA',3506214160,3506214175),('US',3506214176,3506307631),('GB',3506307632,3506307647),('US',3506307648,3506383999),('CA',3506384000,3506384031),('US',3506384032,3506421983),('PR',3506421984,3506422015),('US',3506422016,3506765823),('CA',3506765824,3506806271),('US',3506806272,3506806399),('CA',3506806400,3506806463),('US',3506806464,3506806527),('CA',3506806528,3506831359),('US',3506831360,3507025407),('IQ',3507025408,3507025663),('US',3507025664,3507101919),('IL',3507101920,3507101935),('US',3507101936,3507134591),('GB',3507134592,3507134607),('US',3507134608,3507145055),('VG',3507145056,3507145087),('US',3507145088,3507145567),('VG',3507145568,3507145599),('US',3507145600,3507290111),('AR',3507290112,3507355647),('US',3507355648,3507540015),('IN',3507540016,3507540031),('US',3507540032,3507585023),('CA',3507585024,3507586623),('US',3507586624,3507586655),('CA',3507586656,3507598911),('US',3507598912,3507598943),('CA',3507598944,3507601407),('US',3507601408,3507634335),('IQ',3507634336,3507634351),('US',3507634352,3507634383),('ES',3507634384,3507634399),('US',3507634400,3507634623),('CA',3507634624,3507634655),('US',3507634656,3507635391),('AU',3507635392,3507635407),('US',3507635408,3507636959),('CA',3507636960,3507636975),('US',3507636976,3507637551),('IL',3507637552,3507637567),('US',3507637568,3507639189),('IT',3507639190,3507639199),('US',3507639200,3507639385),('BE',3507639386,3507639395),('US',3507639396,3507639515),('IN',3507639516,3507639525),('US',3507639526,3507639671),('SY',3507639672,3507639681),('US',3507639682,3507639711),('BE',3507639712,3507639721),('US',3507639722,3507639741),('NZ',3507639742,3507639751),('LB',3507639752,3507639761),('US',3507639762,3507642527),('IL',3507642528,3507642559),('CA',3507642560,3507642591),('US',3507642592,3507643007),('GB',3507643008,3507643039),('US',3507643040,3507643175),('FR',3507643176,3507643185),('US',3507643186,3507643265),('IQ',3507643266,3507643275),('US',3507643276,3507643285),('ES',3507643286,3507643295),('US',3507643296,3507643315),('JP',3507643316,3507643325),('US',3507643326,3507643461),('AU',3507643462,3507643471),('US',3507643472,3507643521),('LB',3507643522,3507643531),('US',3507643532,3507643601),('IT',3507643602,3507643611),('US',3507643612,3507644031),('IL',3507644032,3507644063),('US',3507644064,3507644127),('FR',3507644128,3507644159),('US',3507644160,3507644511),('NO',3507644512,3507644543),('US',3507644544,3507644591),('GB',3507644592,3507644607),('US',3507644608,3507644639),('FR',3507644640,3507644671),('US',3507644672,3507645017),('AU',3507645018,3507645027),('UA',3507645028,3507645037),('US',3507645038,3507645117),('NZ',3507645118,3507645127),('US',3507645128,3507645193),('NZ',3507645194,3507645203),('US',3507645204,3507645223),('AU',3507645224,3507645233),('US',3507645234,3507645333),('IR',3507645334,3507645343),('UA',3507645344,3507645353),('US',3507645354,3507645423),('GB',3507645424,3507645433),('US',3507645434,3507645479),('GR',3507645480,3507645489),('US',3507645490,3507646127),('ES',3507646128,3507646143),('US',3507646144,3507647807),('AU',3507647808,3507647871),('US',3507647872,3507649263),('QA',3507649264,3507649279),('US',3507649280,3507748863),('CA',3507748864,3507765247),('US',3507765248,3507809279),('BG',3507809280,3507809535),('US',3507809536,3508110015),('CA',3508110016,3508110047),('US',3508110048,3508110207),('ES',3508110208,3508110239),('US',3508110240,3508110591),('GB',3508110592,3508111103),('US',3508111104,3508111359),('CA',3508111360,3508111615),('US',3508111616,3508114431),('ID',3508114432,3508114687),('US',3508114688,3508115807),('RU',3508115808,3508115839),('US',3508115840,3508117439),('CA',3508117440,3508117503),('US',3508117504,3508118527),('AU',3508118528,3508118559),('US',3508118560,3508118911),('CA',3508118912,3508118943),('US',3508118944,3508120063),('GB',3508120064,3508120319),('US',3508120320,3508123935),('CA',3508123936,3508123951),('US',3508123952,3508126239),('GB',3508126240,3508126255),('US',3508126256,3508126463),('GB',3508126464,3508126719),('US',3508126720,3508130815),('RU',3508130816,3508130831),('US',3508130832,3508131135),('CA',3508131136,3508131199),('US',3508131200,3508133119),('GB',3508133120,3508133247),('US',3508133248,3508137631),('SK',3508137632,3508137647),('US',3508137648,3508137695),('ID',3508137696,3508137711),('US',3508137712,3508219903),('KY',3508220928,3508221951),('US',3508221952,3508222975),('KY',3508222976,3508223999),('BM',3508224000,3508224255),('US',3508224256,3508243967),('BM',3508243968,3508244223),('US',3508244224,3508273407),('MX',3508273408,3508273663),('US',3508273664,3508274719),('AR',3508274720,3508274751),('US',3508274752,3508275199),('IT',3508275200,3508275327),('US',3508275328,3508275455),('ZA',3508275456,3508275487),('US',3508275488,3508276991),('MX',3508276992,3508277247),('US',3508277248,3508277343),('CA',3508277344,3508277375),('US',3508277376,3508277487),('PR',3508277488,3508277503),('US',3508277504,3508278527),('AU',3508278528,3508278783),('US',3508278784,3508279039),('VE',3508279040,3508279295),('US',3508279296,3508279551),('CO',3508279552,3508279807),('JP',3508279808,3508280063),('TH',3508280064,3508280319),('JP',3508280320,3508280575),('TW',3508280576,3508280831),('JP',3508280832,3508281087),('KR',3508281088,3508281343),('PH',3508281344,3508281599),('NZ',3508281600,3508281855),('US',3508281856,3508282047),('SG',3508282048,3508282111),('HK',3508282112,3508282367),('US',3508282368,3508282591),('IT',3508282592,3508282623),('AU',3508282624,3508282879),('TH',3508282880,3508283135),('HK',3508283136,3508283391),('US',3508283392,3508283647),('AU',3508283648,3508283903),('MY',3508283904,3508284159),('SG',3508284160,3508284415),('AU',3508284416,3508284671),('JP',3508284672,3508284735),('US',3508284736,3508284927),('ES',3508284928,3508284991),('US',3508284992,3508285087),('ES',3508285088,3508285095),('US',3508285096,3508285119),('ES',3508285120,3508285151),('US',3508285152,3508285823),('ES',3508285824,3508285855),('US',3508285856,3508285887),('GB',3508285888,3508285951),('NL',3508285952,3508286015),('US',3508286016,3508286079),('NL',3508286080,3508286111),('US',3508286112,3508286207),('SE',3508286208,3508286463),('HK',3508286464,3508286719),('US',3508286720,3508286847),('TW',3508286848,3508286863),('US',3508286864,3508286911),('PH',3508286912,3508286927),('US',3508286928,3508286943),('ID',3508286944,3508286975),('TH',3508286976,3508287039),('US',3508287040,3508287055),('TH',3508287056,3508287063),('US',3508287064,3508287103),('HK',3508287104,3508287167),('US',3508287168,3508287231),('HK',3508287232,3508287263),('US',3508287264,3508287295),('HK',3508287296,3508287359),('US',3508287360,3508287999),('MY',3508288000,3508288127),('SG',3508288128,3508288255),('JP',3508288256,3508288511),('US',3508288512,3508288767),('BR',3508288768,3508289023),('AU',3508289024,3508289279),('BR',3508289280,3508289343),('US',3508289344,3508289407),('BR',3508289408,3508289471),('US',3508289472,3508289535),('CA',3508289536,3508289791),('US',3508289792,3508290847),('MX',3508290848,3508290879),('US',3508290880,3508290895),('BR',3508290896,3508290911),('US',3508290912,3508290927),('BR',3508290928,3508290943),('US',3508290944,3508291263),('IT',3508291264,3508291327),('GB',3508291328,3508292095),('CH',3508292096,3508292351),('US',3508292352,3508292415),('CL',3508292416,3508292447),('US',3508292448,3508292863),('DE',3508292864,3508294143),('US',3508294144,3508294271),('VI',3508294272,3508294335),('US',3508294336,3508295439),('BR',3508295440,3508295487),('GB',3508295488,3508295519),('US',3508295520,3508295551),('BR',3508295552,3508295615),('ES',3508295616,3508295631),('US',3508295632,3508295647),('BE',3508295648,3508295679),('GB',3508295680,3508295935),('US',3508295936,3508295999),('BR',3508296000,3508296015),('US',3508296016,3508296095),('BR',3508296096,3508296127),('US',3508296128,3508296191),('GB',3508296192,3508296319),('US',3508296320,3508296447),('GB',3508296448,3508296479),('BE',3508296480,3508296495),('US',3508296496,3508296543),('SE',3508296544,3508296559),('US',3508296560,3508296671),('GB',3508296672,3508296703),('FR',3508296704,3508296767),('US',3508296768,3508296831),('NO',3508296832,3508296959),('CH',3508296960,3508297215),('GB',3508297216,3508297407),('SG',3508297408,3508297471),('IT',3508297472,3508297727),('CH',3508297728,3508297791),('US',3508297792,3508298047),('BE',3508298048,3508298079),('US',3508298080,3508298111),('BE',3508298112,3508298159),('US',3508298160,3508298207),('BE',3508298208,3508298223),('US',3508298224,3508298239),('DE',3508298240,3508298495),('DK',3508298496,3508298559),('US',3508298560,3508298623),('DK',3508298624,3508298655),('US',3508298656,3508298687),('DK',3508298688,3508298751),('ES',3508298752,3508299007),('BE',3508299008,3508299263),('GB',3508299264,3508299519),('US',3508299520,3508299647),('CH',3508299648,3508299679),('US',3508299680,3508299775),('SE',3508299776,3508300031),('DE',3508300032,3508300287),('US',3508300288,3508300543),('FR',3508300544,3508300799),('US',3508300800,3508300863),('GB',3508300864,3508300879),('US',3508300880,3508300895),('GB',3508300896,3508300911),('US',3508300912,3508301631),('BR',3508301632,3508301663),('US',3508301664,3508301823),('GB',3508301824,3508301951),('DK',3508301952,3508301983),('IT',3508301984,3508301999),('US',3508302000,3508302079),('DE',3508302080,3508302111),('US',3508302112,3508302207),('DE',3508302208,3508302223),('US',3508302224,3508302239),('GB',3508302240,3508302255),('US',3508302256,3508302335),('SG',3508302336,3508302463),('BE',3508302464,3508302527),('US',3508302528,3508302623),('BE',3508302624,3508302687),('US',3508302688,3508303359),('BE',3508303360,3508303391),('US',3508303392,3508303423),('BE',3508303424,3508303439),('US',3508303440,3508303455),('BE',3508303456,3508303471),('US',3508303472,3508303487),('ES',3508303488,3508303551),('US',3508303552,3508303615),('DE',3508303616,3508303871),('US',3508303872,3508303903),('CL',3508303904,3508303935),('PR',3508303936,3508303950),('US',3508303951,3508303951),('CO',3508303952,3508303967),('US',3508303968,3508303983),('BR',3508303984,3508303999),('US',3508304000,3508304383),('DE',3508304384,3508304639),('IR',3508304640,3508304703),('US',3508304704,3508304927),('DE',3508304928,3508304943),('US',3508304944,3508305151),('NL',3508305152,3508305215),('US',3508305216,3508305247),('NL',3508305248,3508305263),('US',3508305264,3508305791),('CO',3508305792,3508305823),('US',3508305824,3508305855),('BE',3508305856,3508305871),('US',3508305872,3508306431),('EC',3508306432,3508306687),('US',3508306688,3508306943),('CH',3508306944,3508307199),('US',3508307200,3508307455),('AR',3508307456,3508307711),('US',3508307712,3508308991),('BE',3508308992,3508309247),('SE',3508309248,3508310527),('DE',3508310528,3508310783),('BE',3508310784,3508311039),('NL',3508311040,3508311295),('IE',3508311296,3508311807),('US',3508311808,3508311967),('DE',3508311968,3508311983),('US',3508311984,3508312063),('NL',3508312064,3508312319),('CH',3508312320,3508312575),('ES',3508312576,3508312591),('US',3508312592,3508312831),('DE',3508312832,3508313343),('SE',3508313344,3508313599),('DK',3508313600,3508313855),('GB',3508313856,3508314367),('IT',3508314368,3508314623),('DK',3508314624,3508314879),('US',3508314880,3508314911),('FR',3508314912,3508314927),('US',3508314928,3508314943),('CH',3508314944,3508314959),('PT',3508314960,3508314975),('US',3508314976,3508315135),('NO',3508315136,3508315391),('US',3508315392,3508315647),('FR',3508315648,3508315903),('US',3508315904,3508316159),('PT',3508316160,3508316415),('GB',3508316416,3508316671),('RU',3508316672,3508316927),('SE',3508316928,3508317183),('US',3508317184,3508317199),('RU',3508317200,3508317207),('US',3508317208,3508317231),('AT',3508317232,3508317247),('US',3508317248,3508317375),('FR',3508317376,3508317439),('DE',3508317440,3508317695),('US',3508317696,3508317951),('FI',3508317952,3508318463),('LU',3508318464,3508318719),('IT',3508318720,3508318975),('IL',3508318976,3508319487),('RU',3508319488,3508319743),('CH',3508319744,3508319999),('SE',3508320000,3508320255),('PT',3508320256,3508320383),('US',3508320384,3508320511),('DE',3508320512,3508320527),('PT',3508320528,3508320543),('US',3508320544,3508320767),('BE',3508320768,3508321791),('NL',3508321792,3508321823),('ZA',3508321824,3508321855),('FR',3508321856,3508321871),('SE',3508321872,3508321887),('US',3508321888,3508322111),('PL',3508322112,3508322143),('US',3508322144,3508322175),('CH',3508322176,3508322191),('US',3508322192,3508322239),('CH',3508322240,3508322303),('GB',3508322304,3508322559),('FI',3508322560,3508322815),('NO',3508322816,3508323071),('DE',3508323072,3508323135),('US',3508323136,3508323327),('NO',3508323328,3508323583),('DE',3508323584,3508323839),('FI',3508323840,3508324095),('IT',3508324096,3508324351),('CH',3508324352,3508324607),('NO',3508324608,3508324863),('GB',3508324864,3508325119),('DE',3508325120,3508325375),('GR',3508325376,3508325471),('US',3508325472,3508325503),('GB',3508325504,3508325567),('US',3508325568,3508325631),('ZA',3508325632,3508325887),('SE',3508325888,3508326399),('GB',3508326400,3508326655),('ZA',3508326656,3508326911),('IT',3508326912,3508327167),('ES',3508327168,3508327679),('US',3508327680,3508327935),('NE',3508327936,3508328447),('BE',3508328448,3508328703),('IL',3508328704,3508329471),('NL',3508329472,3508329727),('FR',3508329728,3508329983),('SE',3508329984,3508330495),('GB',3508330496,3508331263),('BE',3508331264,3508331519),('FR',3508331520,3508331583),('US',3508331584,3508331711),('FR',3508331712,3508331743),('US',3508331744,3508331775),('IT',3508331776,3508331807),('US',3508331808,3508331839),('AT',3508331840,3508331871),('US',3508331872,3508332031),('GB',3508332032,3508332287),('GR',3508332288,3508332543),('IE',3508332544,3508332799),('NO',3508332800,3508333055),('GB',3508333056,3508333183),('US',3508333184,3508333311),('CH',3508333312,3508333823),('GB',3508333824,3508333951),('US',3508333952,3508334079),('GB',3508334080,3508334207),('US',3508334208,3508334335),('DE',3508334336,3508334463),('GB',3508334464,3508334527),('US',3508334528,3508334591),('AU',3508334592,3508334847),('SG',3508334848,3508335103),('MY',3508335104,3508335359),('AU',3508335360,3508335615),('JP',3508335616,3508336127),('SG',3508336128,3508336383),('HK',3508336384,3508336639),('AU',3508336640,3508336895),('JP',3508336896,3508337151),('PH',3508337152,3508337663),('KR',3508337664,3508337919),('JP',3508337920,3508338175),('HK',3508338176,3508338303),('ID',3508338304,3508338335),('US',3508338336,3508338367),('SG',3508338368,3508338399),('US',3508338400,3508338431),('KR',3508338432,3508338687),('CA',3508338688,3508404223),('US',3508404224,3508729935),('GB',3508729936,3508729951),('US',3508729952,3508761120),('BE',3508761121,3508761136),('US',3508761137,3508761184),('BE',3508761185,3508761200),('US',3508761201,3508780079),('NL',3508780080,3508780111),('US',3508780112,3508780623),('IT',3508780624,3508780639),('US',3508780640,3509157887),('CA',3509157888,3509166079),('US',3509166080,3509215231),('CA',3509215232,3509223423),('US',3509223424,3509327695),('CA',3509327696,3509327711),('US',3509327712,3509346303),('CA',3509346304,3509346327),('US',3509346328,3509346335),('CA',3509346336,3509346815),('US',3509346816,3509346823),('CA',3509346824,3509346847),('US',3509346848,3509346855),('CA',3509346856,3509346911),('US',3509346912,3509346943),('CA',3509346944,3509346975),('AU',3509346976,3509347007),('CA',3509347008,3509347135),('US',3509347136,3509347151),('CA',3509347152,3509347207),('LB',3509347208,3509347215),('CA',3509347216,3509347263),('MT',3509347264,3509347279),('CA',3509347280,3509347303),('US',3509347304,3509347311),('CA',3509347312,3509347319),('US',3509347320,3509347327),('CA',3509347328,3509347583),('US',3509347584,3509347599),('AU',3509347600,3509347607),('US',3509347608,3509347615),('CA',3509347616,3509349215),('US',3509349216,3509349231),('CA',3509349232,3509349279),('AU',3509349280,3509349311),('CA',3509349312,3509349343),('US',3509349344,3509349375),('CA',3509349376,3509349631),('US',3509349632,3509349639),('CA',3509349640,3509349695),('US',3509349696,3509349703),('CA',3509349704,3509349791),('US',3509349792,3509349799),('CA',3509349800,3509350655),('US',3509350656,3509350663),('CA',3509350664,3509350671),('DE',3509350672,3509350679),('CA',3509350680,3509350703),('US',3509350704,3509350719),('CA',3509350720,3509350735),('NL',3509350736,3509350743),('AU',3509350744,3509350751),('US',3509350752,3509350759),('CA',3509350760,3509350767),('TR',3509350768,3509350775),('CA',3509350776,3509350799),('ES',3509350800,3509350807),('CA',3509350808,3509350815),('US',3509350816,3509350823),('CA',3509350824,3509350847),('GB',3509350848,3509350855),('US',3509350856,3509350863),('CA',3509350864,3509350879),('US',3509350880,3509350887),('CA',3509350888,3509350895),('GB',3509350896,3509350903),('CA',3509350904,3509350919),('US',3509350920,3509350927),('CA',3509350928,3509350943),('AU',3509350944,3509350951),('CA',3509350952,3509351023),('SG',3509351024,3509351031),('US',3509351032,3509351039),('CA',3509351040,3509351055),('FR',3509351056,3509351063),('CA',3509351064,3509351087),('US',3509351088,3509351095),('UA',3509351096,3509351103),('PA',3509351104,3509351111),('US',3509351112,3509351135),('CA',3509351136,3509351143),('US',3509351144,3509351167),('IN',3509351168,3509351423),('CA',3509351424,3509351439),('MT',3509351440,3509351455),('CA',3509351456,3509351519),('US',3509351520,3509351535),('CA',3509351536,3509351615),('US',3509351616,3509351679),('CA',3509351680,3509351695),('US',3509351696,3509351703),('CA',3509351704,3509351727),('US',3509351728,3509351743),('CA',3509351744,3509351775),('US',3509351776,3509351807),('CA',3509351808,3509351951),('US',3509351952,3509351967),('CA',3509351968,3509351999),('PA',3509352000,3509352031),('US',3509352032,3509352047),('CA',3509352048,3509352743),('US',3509352744,3509352751),('CA',3509352752,3509352759),('FR',3509352760,3509352767),('CA',3509352768,3509353215),('US',3509353216,3509353223),('CA',3509353224,3509353231),('BR',3509353232,3509353247),('CA',3509353248,3509353343),('US',3509353344,3509353407),('CA',3509353408,3509354495),('US',3509354496,3509387263),('PE',3509387264,3509420031),('US',3509420032,3509518591),('CA',3509518592,3509518815),('US',3509518816,3509518831),('CA',3509518832,3509519359),('US',3509519360,3509519423),('CA',3509519424,3509519647),('US',3509519648,3509519679),('CA',3509519680,3509520511),('US',3509520512,3509520639),('CA',3509520640,3509520831),('US',3509520832,3509520895),('CA',3509520896,3509521151),('US',3509521152,3509521407),('CA',3509521408,3509521791),('US',3509521792,3509521919),('CA',3509521920,3509522431),('KW',3509522432,3509522687),('CA',3509522688,3509523071),('US',3509523072,3509523199),('CA',3509523200,3509523327),('US',3509523328,3509523391),('CA',3509523392,3509523455),('US',3509523456,3509523471),('CA',3509523472,3509523775),('US',3509523776,3509523839),('CA',3509523840,3509523903),('US',3509523904,3509524223),('CA',3509524224,3509524735),('US',3509524736,3509524991),('CA',3509524992,3509525823),('US',3509525824,3509525887),('CA',3509525888,3509526815),('US',3509526816,3509526879),('CA',3509526880,3509527071),('US',3509527072,3509527119),('CA',3509527120,3509527199),('US',3509527200,3509527215),('CA',3509527216,3509527551),('US',3509527552,3509527807),('CA',3509527808,3509528207),('US',3509528208,3509528223),('CA',3509528224,3509528319),('US',3509528320,3509528831),('CA',3509528832,3509529343),('US',3509529344,3509529599),('CA',3509529600,3509529727),('US',3509529728,3509529823),('CA',3509529824,3509529887),('US',3509529888,3509529951),('CA',3509529952,3509530559),('US',3509530560,3509530623),('CA',3509530624,3509532671),('US',3509532672,3509532927),('CA',3509532928,3509533471),('US',3509533472,3509533535),('CA',3509533536,3509533567),('US',3509533568,3509533599),('CA',3509533600,3509533823),('US',3509533824,3509534335),('CA',3509534336,3509534367),('US',3509534368,3509534975),('CA',3509534976,3509535535),('US',3509535536,3509535551),('CA',3509535552,3509536255),('US',3509536256,3509536511),('CA',3509536512,3509536895),('US',3509536896,3509537023),('CA',3509537024,3509538335),('US',3509538336,3509538351),('CA',3509538352,3509538399),('US',3509538400,3509538415),('CA',3509538416,3509538447),('NO',3509538448,3509538463),('CA',3509538464,3509538815),('US',3509538816,3509539071),('CA',3509539072,3509539327),('US',3509539328,3509539583),('CA',3509539584,3509539679),('US',3509539680,3509539695),('CA',3509539696,3509539823),('US',3509539824,3509539839),('CA',3509539840,3509539903),('US',3509539904,3509539967),('CA',3509539968,3509540095),('US',3509540096,3509540127),('CA',3509540128,3509540351),('US',3509540352,3509540607),('CA',3509540608,3509541663),('US',3509541664,3509541695),('CA',3509541696,3509541951),('US',3509541952,3509541999),('CA',3509542000,3509542063),('US',3509542064,3509542079),('CA',3509542080,3509542399),('US',3509542400,3509542655),('CA',3509542656,3509544447),('US',3509544448,3509544703),('CA',3509544704,3509545023),('US',3509545024,3509545087),('CA',3509545088,3509545151),('US',3509545152,3509545215),('CA',3509545216,3509545999),('US',3509546000,3509546015),('CA',3509546016,3509546031),('US',3509546032,3509546063),('CA',3509546064,3509546207),('US',3509546208,3509546223),('CA',3509546224,3509549823),('US',3509549824,3509550079),('CA',3509550080,3509553151),('US',3509553152,3509553407),('CA',3509553408,3509553855),('US',3509553856,3509553919),('CA',3509553920,3509555119),('US',3509555120,3509555135),('CA',3509555136,3509557439),('US',3509557440,3509557759),('CA',3509557760,3509558367),('US',3509558368,3509558399),('CA',3509558400,3509558463),('US',3509558464,3509558495),('CA',3509558496,3509558527),('US',3509558528,3509558559),('CA',3509558560,3509558783),('US',3509558784,3509559039),('KW',3509559040,3509559295),('CA',3509559296,3509560319),('US',3509560320,3509560575),('CA',3509560576,3509562623),('US',3509562624,3509562751),('CA',3509562752,3509562879),('US',3509562880,3509563167),('CA',3509563168,3509565087),('US',3509565088,3509565119),('CA',3509565120,3509566799),('US',3509566800,3509566815),('CA',3509566816,3509566847),('US',3509566848,3509566863),('CA',3509566864,3509566927),('US',3509566928,3509566943),('CA',3509566944,3509567151),('US',3509567152,3509567167),('CA',3509567168,3509567199),('US',3509567200,3509567215),('CA',3509567216,3509569023),('US',3509569024,3509569535),('CA',3509569536,3509569663),('US',3509569664,3509569791),('CA',3509569792,3509569919),('US',3509569920,3509570047),('CA',3509570048,3509570431),('US',3509570432,3509570687),('CA',3509570688,3509571327),('US',3509571328,3509571647),('CA',3509571648,3509571663),('US',3509571664,3509571839),('CA',3509571840,3509572095),('US',3509572096,3509572223),('CA',3509572224,3509573487),('US',3509573488,3509573503),('CA',3509573504,3509573887),('US',3509573888,3509573919),('CA',3509573920,3509573951),('US',3509573952,3509573983),('CA',3509573984,3509575695),('US',3509575696,3509575935),('CA',3509575936,3509576255),('US',3509576256,3509576271),('CA',3509576272,3509576703),('US',3509576704,3509576959),('CA',3509576960,3509577407),('US',3509577408,3509577471),('CA',3509577472,3509577535),('US',3509577536,3509577551),('CA',3509577552,3509577631),('US',3509577632,3509577647),('CA',3509577648,3509577695),('US',3509577696,3509577711),('CA',3509577712,3509577727),('US',3509577728,3509577983),('CA',3509577984,3509578367),('US',3509578368,3509578495),('CA',3509578496,3509579263),('US',3509579264,3509579327),('CA',3509579328,3509579455),('US',3509579456,3509579519),('CA',3509579520,3509579775),('US',3509579776,3509580031),('CA',3509580032,3509580287),('US',3509580288,3509580671),('CA',3509580672,3509581087),('US',3509581088,3509581119),('CA',3509581120,3509581199),('US',3509581200,3509581215),('CA',3509581216,3509581231),('US',3509581232,3509581247),('CA',3509581248,3509581263),('US',3509581264,3509581279),('CA',3509581280,3509581295),('US',3509581296,3509581311),('CA',3509581312,3509581375),('US',3509581376,3509581407),('CA',3509581408,3509581503),('US',3509581504,3509581567),('CA',3509581568,3509582847),('US',3509582848,3509583615),('CA',3509583616,3509583871),('US',3509583872,3509731327),('CA',3509731328,3509739519),('US',3509739520,3509773991),('GR',3509773992,3509774003),('US',3509774004,3509774013),('GB',3509774014,3509774033),('US',3509774034,3509774120),('GB',3509774121,3509774135),('US',3509774136,3509774138),('GB',3509774139,3509774163),('US',3509774164,3509774263),('HR',3509774264,3509774295),('US',3509774296,3509774575),('GR',3509774576,3509774591),('US',3509774592,3509775104),('CA',3509775105,3509775120),('US',3509775121,3509775296),('GB',3509775297,3509775312),('CA',3509775313,3509775328),('US',3509775329,3509775444),('TH',3509775445,3509775454),('US',3509775455,3509775477),('CA',3509775478,3509775492),('US',3509775493,3509775504),('NL',3509775505,3509775520),('US',3509775521,3509775536),('DK',3509775537,3509775552),('US',3509775553,3509775584),('DE',3509775585,3509775614),('US',3509775615,3509775616),('DE',3509775617,3509775648),('CA',3509775649,3509775664),('US',3509775665,3509775792),('CA',3509775793,3509775870),('US',3509775871,3509775871),('PK',3509775872,3509775879),('US',3509775880,3509775967),('NZ',3509775968,3509775975),('GB',3509775976,3509775983),('US',3509775984,3509776023),('CA',3509776024,3509776031),('US',3509776032,3509776039),('AU',3509776040,3509776047),('SA',3509776048,3509776055),('US',3509776056,3509776103),('SA',3509776104,3509776111),('IT',3509776112,3509776127),('CA',3509776128,3509776159),('US',3509776160,3509776224),('CA',3509776225,3509776256),('TC',3509776257,3509776288),('US',3509776289,3509776352),('GB',3509776353,3509776382),('US',3509776383,3509777159),('CN',3509777160,3509777167),('RU',3509777168,3509777175),('US',3509777176,3509777199),('GB',3509777200,3509777207),('CA',3509777208,3509777215),('US',3509777216,3509777449),('ID',3509777450,3509777545),('US',3509777546,3509777584),('ID',3509777585,3509777648),('US',3509777649,3509821911),('BM',3509821912,3509821919),('US',3509821920,3509822335),('DE',3509822336,3509822351),('US',3509822352,3509826591),('GB',3509826592,3509826607),('US',3509826608,3509829503),('GB',3509829504,3509829535),('US',3509829536,3509830327),('NZ',3509830328,3509830335),('US',3509830336,3509830599),('GB',3509830600,3509830607),('US',3509830608,3509830815),('IN',3509830816,3509830823),('US',3509830824,3509831039),('DE',3509831040,3509831047),('US',3509831048,3509831055),('NZ',3509831056,3509831063),('US',3509831064,3509831231),('IR',3509831232,3509831239),('MV',3509831240,3509831247),('US',3509831248,3509831279),('IN',3509831280,3509831287),('GB',3509831288,3509831295),('US',3509831296,3509831303),('CO',3509831304,3509831311),('CN',3509831312,3509831319),('US',3509831320,3509831471),('KR',3509831472,3509831479),('US',3509831480,3509831791),('NL',3509831792,3509831799),('DO',3509831800,3509831807),('US',3509831808,3509831959),('CA',3509831960,3509831983),('US',3509831984,3509832079),('CN',3509832080,3509832087),('US',3509832088,3509832103),('IR',3509832104,3509832111),('US',3509832112,3509832159),('MY',3509832160,3509832167),('CA',3509832168,3509832175),('US',3509832176,3509832271),('QA',3509832272,3509832279),('US',3509832280,3509833063),('CA',3509833064,3509833071),('US',3509833072,3509833623),('GR',3509833624,3509833631),('US',3509833632,3509833655),('IR',3509833656,3509833663),('US',3509833664,3509833679),('FI',3509833680,3509833687),('US',3509833688,3509833719),('IR',3509833720,3509833727),('US',3509833728,3509833743),('CR',3509833744,3509833751),('US',3509833752,3509833919),('NZ',3509833920,3509833935),('US',3509833936,3509833967),('SG',3509833968,3509833975),('US',3509833976,3509834047),('CN',3509834048,3509834055),('US',3509834056,3509834063),('ES',3509834064,3509834071),('NZ',3509834072,3509834079),('IT',3509834080,3509834087),('US',3509834088,3509834095),('IL',3509834096,3509834143),('US',3509834144,3509834159),('IN',3509834160,3509834167),('BR',3509834168,3509834175),('US',3509834176,3509834191),('DE',3509834192,3509834207),('US',3509834208,3509834255),('BE',3509834256,3509834263),('IL',3509834264,3509834271),('US',3509834272,3509834287),('IN',3509834288,3509834303),('IL',3509834304,3509834319),('GB',3509834320,3509834335),('US',3509834336,3509834351),('SA',3509834352,3509834383),('US',3509834384,3509834399),('BD',3509834400,3509834407),('US',3509834408,3509834415),('GB',3509834416,3509834431),('JP',3509834432,3509834463),('US',3509834464,3509834495),('NO',3509834496,3509834503),('US',3509834504,3509834799),('CA',3509834800,3509834815),('US',3509834816,3509834959),('GB',3509834960,3509834967),('US',3509834968,3509835095),('QA',3509835096,3509835103),('US',3509835104,3509835111),('GB',3509835112,3509835119),('US',3509835120,3509835199),('IR',3509835200,3509835231),('US',3509835232,3509835975),('TR',3509835976,3509835983),('US',3509835984,3509836367),('TR',3509836368,3509836375),('GR',3509836376,3509836383),('US',3509836384,3509836463),('PH',3509836464,3509836471),('US',3509836472,3509836487),('CA',3509836488,3509836495),('US',3509836496,3509836855),('MD',3509836856,3509836863),('US',3509836864,3509836871),('PH',3509836872,3509836879),('US',3509836880,3509836903),('PK',3509836904,3509836911),('US',3509836912,3509837087),('BR',3509837088,3509837095),('CN',3509837096,3509837103),('US',3509837104,3509837111),('IN',3509837112,3509837119),('US',3509837120,3509837143),('OM',3509837144,3509837151),('US',3509837152,3509837175),('GB',3509837176,3509837183),('US',3509837184,3509837271),('CA',3509837272,3509837279),('US',3509837280,3509837727),('PK',3509837728,3509837735),('US',3509837736,3509846015),('CA',3509846016,3509977087),('US',3510042624,3510239231),('CA',3510239232,3510240703),('AM',3510240704,3510240735),('CA',3510240736,3510240767),('US',3510240768,3510241023),('CA',3510241024,3510241063),('US',3510241064,3510241071),('CA',3510241072,3510242303),('OM',3510242304,3510242559),('CA',3510242560,3510245375),('BD',3510245376,3510245631),('CA',3510245632,3510246735),('US',3510246736,3510246767),('CA',3510246768,3510249471),('QA',3510249472,3510249983),('CA',3510249984,3510251519),('DO',3510251520,3510252799),('CA',3510252800,3510253311),('NC',3510253312,3510253567),('US',3510253568,3510253631),('CA',3510253632,3510254591),('AR',3510254592,3510254847),('CA',3510254848,3510255103),('AR',3510255104,3510255359),('CA',3510255360,3510259199),('AR',3510259200,3510259711),('CA',3510259712,3510261503),('ZM',3510261504,3510261759),('CA',3510261760,3510262783),('US',3510262784,3510263039),('CA',3510263040,3510264063),('UG',3510264064,3510264319),('CA',3510264320,3510268671),('SY',3510268672,3510268927),('CA',3510268928,3510269823),('CO',3510269824,3510269951),('LY',3510269952,3510270719),('SY',3510270720,3510270975),('CA',3510270976,3510271999),('US',3510272000,3510284423),('CA',3510284424,3510284431),('US',3510284432,3510312959),('A1',3510312960,3510321151),('VG',3510321152,3510321663),('AG',3510321664,3510321919),('KN',3510321920,3510322175),('AG',3510322176,3510323199),('KN',3510323200,3510324223),('AI',3510324224,3510325247),('DM',3510325248,3510326271),('VG',3510326272,3510327295),('AG',3510327296,3510328319),('KN',3510328320,3510328575),('MS',3510328576,3510328831),('AG',3510328832,3510329599),('MS',3510329600,3510329855),('AG',3510329856,3510331391),('DM',3510331392,3510332415),('KN',3510332416,3510332927),('LC',3510332928,3510333183),('MS',3510333184,3510333439),('KN',3510333440,3510333951),('AG',3510333952,3510334975),('KN',3510334976,3510335231),('AI',3510335232,3510335743),('VG',3510335744,3510335999),('AG',3510336000,3510337535),('US',3510337536,3510338436),('ES',3510338437,3510338452),('US',3510338453,3510468631),('GB',3510468632,3510468639),('US',3510468640,3510468719),('MX',3510468720,3510468727),('US',3510468728,3510468847),('MX',3510468848,3510468855),('NZ',3510468856,3510468863),('US',3510468864,3510468895),('CA',3510468896,3510468903),('ID',3510468904,3510468911),('US',3510468912,3510469023),('AG',3510469024,3510469039),('US',3510469040,3510469055),('CA',3510469056,3510469063),('US',3510469064,3510469071),('AU',3510469072,3510469087),('RU',3510469088,3510469095),('CA',3510469096,3510469103),('BS',3510469104,3510469119),('US',3510469120,3510469167),('FR',3510469168,3510469175),('BE',3510469176,3510469183),('US',3510469184,3510469191),('AU',3510469192,3510469199),('US',3510469200,3510469223),('AU',3510469224,3510469231),('US',3510469232,3510469247),('ID',3510469248,3510469263),('US',3510469264,3510469279),('MY',3510469280,3510469295),('US',3510469296,3510469343),('GB',3510469344,3510469351),('US',3510469352,3510469359),('CH',3510469360,3510469367),('GR',3510469368,3510469375),('US',3510469376,3510469399),('BE',3510469400,3510469407),('US',3510469408,3510469487),('CA',3510469488,3510469495),('US',3510469496,3510469519),('IN',3510469520,3510469527),('US',3510469528,3510469567),('MY',3510469568,3510469575),('US',3510469576,3510469599),('CA',3510469600,3510469607),('VG',3510469608,3510469615),('US',3510469616,3510469623),('DE',3510469624,3510469631),('US',3510469632,3510469719),('CA',3510469720,3510469727),('AU',3510469728,3510469743),('CH',3510469744,3510469751),('US',3510469752,3510469767),('IN',3510469768,3510469775),('US',3510469776,3510469815),('CA',3510469816,3510469831),('US',3510469832,3510469855),('UM',3510469856,3510469863),('CA',3510469864,3510469871),('IN',3510469872,3510469887),('US',3510469888,3510469895),('IN',3510469896,3510469903),('US',3510469904,3510469919),('GB',3510469920,3510469927),('US',3510469928,3510469975),('IN',3510469976,3510469983),('CA',3510469984,3510469991),('GB',3510469992,3510469999),('US',3510470000,3510470031),('CA',3510470032,3510470039),('RU',3510470040,3510470047),('CA',3510470048,3510470055),('MX',3510470056,3510470063),('US',3510470064,3510470143),('DK',3510470144,3510470151),('US',3510470152,3510470159),('DK',3510470160,3510470175),('CA',3510470176,3510470183),('US',3510470184,3510470295),('CA',3510470296,3510470319),('TW',3510470320,3510470327),('US',3510470328,3510470351),('IL',3510470352,3510470359),('TH',3510470360,3510470367),('US',3510470368,3510470375),('CH',3510470376,3510470383),('US',3510470384,3510470455),('GB',3510470456,3510470463),('NL',3510470464,3510470471),('US',3510470472,3510470623),('BR',3510470624,3510470631),('US',3510470632,3510470647),('IN',3510470648,3510470655),('US',3510470656,3510470743),('SE',3510470744,3510470751),('US',3510470752,3510470775),('GR',3510470776,3510470783),('US',3510470784,3510470799),('GB',3510470800,3510470807),('US',3510470808,3510470815),('GB',3510470816,3510470831),('US',3510470832,3510470855),('FR',3510470856,3510470863),('US',3510470864,3510470871),('AR',3510470872,3510470879),('US',3510470880,3510470927),('IL',3510470928,3510470935),('US',3510470936,3510470959),('IN',3510470960,3510470975),('US',3510470976,3510470999),('CH',3510471000,3510471007),('BH',3510471008,3510471039),('US',3510471040,3510471119),('GB',3510471120,3510471135),('US',3510471136,3510471183),('CA',3510471184,3510471199),('US',3510471200,3510471207),('HR',3510471208,3510471215),('US',3510471216,3510471223),('DE',3510471224,3510471231),('US',3510471232,3510471311),('IE',3510471312,3510471319),('US',3510471320,3510471407),('GR',3510471408,3510471415),('US',3510471416,3510471431),('AU',3510471432,3510471439),('US',3510471440,3510471455),('FR',3510471456,3510471487),('US',3510471488,3510471511),('HK',3510471512,3510471519),('FR',3510471520,3510471535),('US',3510471536,3510471607),('DE',3510471608,3510471615),('US',3510471616,3510471639),('IN',3510471640,3510471647),('US',3510471648,3510471703),('JP',3510471704,3510471711),('US',3510471712,3510471751),('CA',3510471752,3510471759),('US',3510471760,3510471791),('IN',3510471792,3510471799),('US',3510471800,3510471839),('MX',3510471840,3510471847),('US',3510471848,3510471871),('VE',3510471872,3510471887),('US',3510471888,3510471911),('IN',3510471912,3510471919),('US',3510471920,3510471951),('ID',3510471952,3510471959),('US',3510471960,3510471991),('AR',3510471992,3510471999),('IN',3510472000,3510472007),('US',3510472008,3510472111),('GB',3510472112,3510472119),('US',3510472120,3510472191),('IN',3510472192,3510472207),('FR',3510472208,3510472215),('CA',3510472216,3510472223),('IT',3510472224,3510472231),('SG',3510472232,3510472239),('US',3510472240,3510472295),('AE',3510472296,3510472303),('US',3510472304,3510472447),('IN',3510472448,3510472463),('US',3510472464,3510472471),('EG',3510472472,3510472479),('US',3510472480,3510472511),('AG',3510472512,3510472575),('US',3510472576,3510472735),('AR',3510472736,3510472743),('US',3510472744,3510472751),('AR',3510472752,3510472767),('US',3510472768,3510472791),('CA',3510472792,3510472799),('US',3510472800,3510472800),('DE',3510472801,3510472831),('US',3510472832,3510472919),('NL',3510472920,3510472927),('US',3510472928,3510473087),('TR',3510473088,3510473095),('US',3510473096,3510473103),('VE',3510473104,3510473119),('US',3510473120,3510473135),('NZ',3510473136,3510473143),('US',3510473144,3510473151),('DE',3510473152,3510473159),('US',3510473160,3510473175),('FR',3510473176,3510473183),('IE',3510473184,3510473199),('US',3510473200,3510473215),('IN',3510473216,3510473223),('US',3510473224,3510473231),('FR',3510473232,3510473239),('RU',3510473240,3510473247),('US',3510473248,3510473343),('DE',3510473344,3510473383),('US',3510473384,3510473407),('DE',3510473408,3510473447),('US',3510473448,3510473463),('NL',3510473464,3510473471),('DE',3510473472,3510473511),('US',3510473512,3510473607),('ID',3510473608,3510473615),('AU',3510473616,3510473623),('US',3510473624,3510473647),('GB',3510473648,3510473655),('US',3510473656,3510473695),('BY',3510473696,3510473703),('US',3510473704,3510474039),('MX',3510474040,3510474047),('US',3510474048,3510474431),('TC',3510474432,3510474447),('US',3510474448,3510474479),('AU',3510474480,3510474495),('US',3510474496,3510475151),('AU',3510475152,3510475159),('SE',3510475160,3510475167),('US',3510475168,3510477063),('GB',3510477064,3510477071),('US',3510477072,3510477087),('GB',3510477088,3510477111),('US',3510477112,3510477311),('IN',3510477312,3510477319),('US',3510477320,3510477327),('GB',3510477328,3510477335),('MO',3510477336,3510477343),('AG',3510477344,3510477375),('US',3510477376,3510477487),('IN',3510477488,3510477495),('US',3510477496,3510477503),('GB',3510477504,3510477519),('US',3510477520,3510477535),('GB',3510477536,3510477543),('US',3510477544,3510477815),('GB',3510477816,3510477823),('US',3510477824,3510477903),('IT',3510477904,3510477911),('US',3510477912,3510477919),('NL',3510477920,3510477927),('US',3510477928,3510477975),('AR',3510477976,3510477983),('US',3510477984,3510478007),('IN',3510478008,3510478015),('CA',3510478016,3510478023),('US',3510478024,3510478127),('GB',3510478128,3510478135),('US',3510478136,3510478143),('FI',3510478144,3510478175),('US',3510478176,3510478231),('IN',3510478232,3510478239),('US',3510478240,3510478271),('MT',3510478272,3510478279),('US',3510478280,3510478311),('FI',3510478312,3510478319),('US',3510478320,3510478495),('FR',3510478496,3510478527),('US',3510478528,3510478535),('GB',3510478536,3510478543),('US',3510478544,3510478551),('VE',3510478552,3510478559),('NL',3510478560,3510478567),('US',3510478568,3510478591),('MX',3510478592,3510478599),('US',3510478600,3510478631),('GB',3510478632,3510478639),('US',3510478640,3510478655),('GB',3510478656,3510478663),('US',3510478664,3510478671),('AU',3510478672,3510478719),('US',3510478720,3510478735),('LB',3510478736,3510478751),('US',3510478752,3510478775),('CR',3510478776,3510478783),('US',3510478784,3510478855),('IN',3510478856,3510478863),('US',3510478864,3510478903),('GB',3510478904,3510478919),('US',3510478920,3510478943),('IN',3510478944,3510478951),('US',3510478952,3510479095),('GB',3510479096,3510479103),('GU',3510479104,3510479359),('US',3510479360,3510479367),('ID',3510479368,3510479375),('US',3510479376,3510479407),('CA',3510479408,3510479415),('US',3510479416,3510479439),('CA',3510479440,3510479447),('GI',3510479448,3510479455),('US',3510479456,3510479503),('AU',3510479504,3510479511),('US',3510479512,3510479519),('LB',3510479520,3510479535),('US',3510479536,3510479575),('GI',3510479576,3510479583),('US',3510479584,3510479791),('IE',3510479792,3510479799),('US',3510479800,3510479831),('DE',3510479832,3510479839),('US',3510479840,3510479855),('DE',3510479856,3510479863),('US',3510479864,3510479879),('DE',3510479880,3510479887),('US',3510479888,3510479903),('ES',3510479904,3510479919),('US',3510479920,3510479935),('MY',3510479936,3510479943),('US',3510479944,3510479951),('AU',3510479952,3510479959),('US',3510479960,3510479967),('AE',3510479968,3510479975),('US',3510479976,3510479991),('SG',3510479992,3510479999),('US',3510480000,3510480047),('FR',3510480048,3510480055),('US',3510480056,3510480103),('CA',3510480104,3510480111),('MX',3510480112,3510480119),('US',3510480120,3510480415),('GB',3510480416,3510480423),('VE',3510480424,3510480431),('US',3510480432,3510480439),('BZ',3510480440,3510480447),('US',3510480448,3510480527),('GB',3510480528,3510480535),('US',3510480536,3510480543),('AT',3510480544,3510480575),('US',3510480576,3510480655),('IN',3510480656,3510480663),('US',3510480664,3510480671),('AU',3510480672,3510480735),('US',3510480736,3510480815),('IN',3510480816,3510480823),('US',3510480824,3510480839),('IN',3510480840,3510480847),('US',3510480848,3510480959),('GB',3510480960,3510480967),('US',3510480968,3510480991),('CR',3510480992,3510481023),('US',3510481024,3510481191),('GB',3510481192,3510481199),('US',3510481200,3510481215),('CA',3510481216,3510481231),('US',3510481232,3510481311),('FR',3510481312,3510481319),('US',3510481320,3510481359),('ES',3510481360,3510481375),('US',3510481376,3510481407),('MY',3510481408,3510481415),('US',3510481416,3510481679),('AU',3510481680,3510481687),('US',3510481688,3510481711),('CA',3510481712,3510481719),('JP',3510481720,3510481727),('AU',3510481728,3510481743),('US',3510481744,3510481855),('CA',3510481856,3510481871),('US',3510481872,3510481919),('MX',3510481920,3510481927),('RU',3510481928,3510481935),('US',3510481936,3510482111),('CA',3510482112,3510482143),('AR',3510482144,3510482151),('US',3510482152,3510831527),('GB',3510831528,3510831535),('US',3510831536,3510833423),('CA',3510833424,3510833439),('US',3510833440,3510836671),('CA',3510836672,3510836687),('US',3510836688,3510839135),('GB',3510839136,3510839151),('US',3510839152,3510839215),('GB',3510839216,3510839231),('US',3510839232,3510839311),('IN',3510839312,3510839327),('US',3510839328,3510843087),('CA',3510843088,3510843095),('GB',3510843096,3510843103),('US',3510843104,3510844415),('CA',3510844416,3510844927),('US',3510844928,3510846527),('CA',3510846528,3510846559),('US',3510846560,3510897442),('IE',3510897443,3510897443),('US',3510897444,3510935551),('CA',3510935552,3510943743),('US',3510943744,3511140351),('CA',3511140352,3511156735),('US',3511156736,3511331199),('CA',3511331200,3511331231),('US',3511331232,3511335231),('RU',3511335232,3511335263),('US',3511335264,3511335295),('RU',3511335296,3511335423),('US',3511335424,3511419951),('UA',3511419952,3511419959),('US',3511419960,3511611135),('CA',3511611136,3511611391),('US',3511611392,3511812095),('CA',3511812096,3511844863),('US',3511844864,3512011311),('UM',3512011312,3512011327),('US',3512011328,3512011359),('TR',3512011360,3512011375),('US',3512011376,3512011807),('TW',3512011808,3512011823),('US',3512011824,3512011855),('SE',3512011856,3512011871),('IN',3512011872,3512011903),('US',3512011904,3512012095),('GB',3512012096,3512012159),('MX',3512012160,3512012175),('US',3512012176,3512012191),('BR',3512012192,3512012223),('US',3512012224,3512012255),('GB',3512012256,3512012287),('IE',3512012288,3512012543),('US',3512012544,3512013583),('CA',3512013584,3512013599),('US',3512013600,3512013647),('CA',3512013648,3512013663),('US',3512013664,3512013679),('GR',3512013680,3512013695),('US',3512013696,3512013791),('IN',3512013792,3512013823),('US',3512013824,3512016543),('IT',3512016544,3512016559),('US',3512016560,3512016575),('TW',3512016576,3512016591),('US',3512016592,3512016607),('CA',3512016608,3512016623),('GB',3512016624,3512016767),('US',3512016768,3512016831),('JO',3512016832,3512016895),('US',3512016896,3512017183),('AR',3512017184,3512017199),('US',3512017200,3512017231),('ES',3512017232,3512017247),('MX',3512017248,3512017263),('GB',3512017264,3512017279),('US',3512017280,3512017359),('RU',3512017360,3512017375),('GB',3512017376,3512017407),('BR',3512017408,3512017663),('CA',3512017664,3512017695),('RU',3512017696,3512017727),('US',3512017728,3512017743),('IT',3512017744,3512017759),('US',3512017760,3512017791),('LT',3512017792,3512017807),('US',3512017808,3512017823),('JO',3512017824,3512017855),('US',3512017856,3512019071),('GB',3512019072,3512019135),('MX',3512019136,3512019151),('US',3512019152,3512019199),('ES',3512019200,3512019263),('US',3512019264,3512019295),('CA',3512019296,3512019311),('US',3512019312,3512019327),('CA',3512019328,3512019359),('US',3512019360,3512020095),('ES',3512020096,3512020223),('US',3512020224,3512020479),('GB',3512020480,3512020511),('US',3512020512,3512020543),('CA',3512020544,3512020607),('US',3512020608,3512021503),('GB',3512021504,3512021759),('US',3512021760,3512022335),('ES',3512022336,3512022399),('US',3512022400,3512022431),('IN',3512022432,3512022447),('GB',3512022448,3512022463),('US',3512022464,3512023807),('CA',3512023808,3512023839),('GB',3512023840,3512023855),('US',3512023856,3512023887),('MX',3512023888,3512023903),('US',3512023904,3512023999),('BR',3512024000,3512024063),('US',3512024064,3512024319),('AU',3512024320,3512024575),('CA',3512024576,3512024591),('US',3512024592,3512025087),('CA',3512025088,3512025103),('US',3512025104,3512025183),('CA',3512025184,3512025215),('US',3512025216,3512025343),('CA',3512025344,3512025359),('US',3512025360,3512027391),('AU',3512027392,3512027519),('US',3512027520,3512028271),('GB',3512028272,3512028287),('US',3512028288,3512029119),('CA',3512029120,3512029135),('US',3512029136,3512029263),('CA',3512029264,3512029279),('US',3512029280,3512031295),('JO',3512031296,3512031359),('CA',3512031360,3512031375),('US',3512031376,3512031535),('CA',3512031536,3512031551),('US',3512031552,3512031759),('CA',3512031760,3512031775),('US',3512031776,3512037247),('AU',3512037248,3512037311),('US',3512037312,3512038863),('CA',3512038864,3512038879),('US',3512038880,3512040143),('CA',3512040144,3512040159),('US',3512040160,3512139775),('CA',3512139776,3512156159),('US',3512156160,3512172543),('CA',3512172544,3512176639),('US',3512176640,3512197119),('CA',3512197120,3512198703),('US',3512198704,3512198719),('CA',3512198720,3512200159),('US',3512200160,3512200175),('CA',3512200176,3512205311),('US',3512205312,3512205567),('CL',3512205568,3512205823),('AW',3512205824,3512206079),('CL',3512206080,3512206335),('HN',3512206336,3512207103),('NI',3512207104,3512207231),('US',3512207232,3512207359),('CO',3512207360,3512209407),('US',3512209408,3512210943),('CL',3512210944,3512211199),('AR',3512211200,3512211455),('US',3512211456,3512221439),('CO',3512221440,3512221471),('US',3512221472,3512221695),('AG',3512221696,3512221759),('GP',3512221760,3512221791),('AG',3512221792,3512221951),('VG',3512221952,3512222207),('AG',3512222208,3512222239),('VG',3512222240,3512222271),('KN',3512222272,3512222335),('AG',3512222336,3512222463),('AI',3512222464,3512222975),('AG',3512222976,3512223231),('LC',3512223232,3512223487),('AG',3512223488,3512223743),('ZA',3512223744,3512225791),('PR',3512225792,3512227839),('ZW',3512227840,3512229887),('VE',3512229888,3512230143),('US',3512230144,3512230271),('CA',3512230272,3512230287),('US',3512230288,3512230399),('CO',3512230400,3512230431),('US',3512230432,3512230911),('CL',3512230912,3512231167),('VE',3512231168,3512231199),('US',3512231200,3512231295),('VE',3512231296,3512231423),('CL',3512231424,3512231679),('VE',3512231680,3512231935),('CO',3512231936,3512231967),('US',3512231968,3512232063),('CO',3512232064,3512232127),('US',3512232128,3512232191),('CO',3512232192,3512232223),('US',3512232224,3512232319),('CO',3512232320,3512232351),('US',3512232352,3512233215),('CL',3512233216,3512233471),('VE',3512233472,3512233503),('US',3512233504,3512233599),('CO',3512233600,3512233631),('US',3512233632,3512233727),('HN',3512233728,3512233983),('ZA',3512233984,3512236031),('US',3512236032,3512236287),('MR',3512236288,3512237311),('US',3512237312,3512237823),('HN',3512237824,3512238079),('AW',3512238080,3512240127),('BS',3512240128,3512241663),('CO',3512241664,3512242175),('CL',3512242176,3512242431),('VE',3512242432,3512242687),('EG',3512242688,3512244991),('IL',3512244992,3512246015),('CL',3512246016,3512246783),('US',3512246784,3512247039),('NG',3512247040,3512247295),('US',3512247296,3512248319),('CO',3512248320,3512248863),('US',3512248864,3512248927),('CO',3512248928,3512248959),('US',3512248960,3512249023),('CO',3512249024,3512249055),('US',3512249056,3512249087),('CO',3512249088,3512249343),('IL',3512249344,3512256511),('CL',3512256512,3512258559),('US',3512258560,3512260607),('GU',3512260608,3512261631),('US',3512261632,3512262655),('GT',3512262656,3512263679),('VE',3512263680,3512264703),('US',3512264704,3512267263),('TG',3512267264,3512268031),('US',3512268032,3512268543),('PR',3512268544,3512268799),('US',3512268800,3512269055),('PR',3512269056,3512269311),('US',3512269312,3512269567),('HN',3512269568,3512269823),('US',3512269824,3512270847),('CA',3512270848,3512336383),('US',3512336384,3512369151),('CA',3512369152,3512385535),('US',3512385536,3512397823),('CA',3512397824,3512401919),('US',3512401920,3512418303),('CA',3512418304,3512451071),('PR',3512451072,3512467455),('US',3512467456,3512534015),('BR',3512534016,3512534079),('US',3512534080,3512535679),('CA',3512535680,3512535743),('US',3512535744,3512535935),('DE',3512535936,3512536063),('US',3512536064,3512536191),('HK',3512536192,3512536319),('CO',3512536320,3512536383),('US',3512536384,3512536447),('ES',3512536448,3512536511),('US',3512536512,3512536575),('MX',3512536576,3512536703),('US',3512536704,3512537087),('CL',3512537088,3512537151),('DK',3512537152,3512537215),('US',3512537216,3512537599),('CA',3512537600,3512537855),('US',3512537856,3512537983),('BR',3512537984,3512538111),('US',3512538112,3512538495),('VE',3512538496,3512538623),('US',3512538624,3512539007),('ID',3512539008,3512539135),('US',3512539136,3512539327),('CO',3512539328,3512539391),('US',3512539392,3512539903),('MX',3512539904,3512540031),('US',3512540032,3512540287),('TH',3512540288,3512540295),('US',3512540296,3512540351),('CO',3512540352,3512540415),('US',3512540416,3512541055),('CO',3512541056,3512541119),('US',3512541120,3512541231),('SE',3512541232,3512541247),('US',3512541248,3512541279),('IT',3512541280,3512541295),('US',3512541296,3512541439),('IT',3512541440,3512541583),('US',3512541584,3512541599),('IT',3512541600,3512541615),('US',3512541616,3512541631),('IT',3512541632,3512541695),('NO',3512541696,3512541921),('US',3512541922,3512542207),('SE',3512542208,3512542239),('US',3512542240,3512542719),('DE',3512542720,3512542751),('US',3512542752,3512542975),('IL',3512542976,3512543023),('US',3512543024,3512543743),('FI',3512543744,3512543903),('US',3512543904,3512543999),('DE',3512544000,3512544063),('ID',3512544064,3512544071),('TW',3512544072,3512544079),('MY',3512544080,3512544087),('US',3512544088,3512544095),('HK',3512544096,3512544103),('JP',3512544104,3512544111),('US',3512544112,3512544255),('GB',3512544256,3512544335),('US',3512544336,3512544383),('GB',3512544384,3512544447),('US',3512544448,3512544511),('DE',3512544512,3512544527),('US',3512544528,3512544575),('DE',3512544576,3512544639),('US',3512544640,3512544767),('NO',3512544768,3512544799),('US',3512544800,3512544831),('NO',3512544832,3512544911),('US',3512544912,3512545023),('TW',3512545024,3512545151),('US',3512545152,3512545407),('GB',3512545408,3512545439),('US',3512545440,3512545471),('GB',3512545472,3512545663),('US',3512545664,3512545759),('GB',3512545760,3512545791),('IT',3512545792,3512545935),('US',3512545936,3512545983),('IT',3512545984,3512546047),('GB',3512546048,3512546175),('US',3512546176,3512546303),('FR',3512546304,3512546463),('US',3512546464,3512546559),('IT',3512546560,3512546591),('SG',3512546592,3512546607),('JP',3512546608,3512546623),('KR',3512546624,3512546631),('US',3512546632,3512546687),('BE',3512546688,3512546815),('DE',3512546816,3512546879),('US',3512546880,3512546943),('DE',3512546944,3512547071),('LU',3512547072,3512547103),('BE',3512547104,3512547231),('US',3512547232,3512547263),('ES',3512547264,3512547327),('SE',3512547328,3512547359),('US',3512547360,3512547391),('ZA',3512547392,3512547455),('US',3512547456,3512547583),('GB',3512547584,3512547839),('PT',3512547840,3512547871),('US',3512547872,3512548095),('CH',3512548096,3512548143),('US',3512548144,3512548351),('ES',3512548352,3512548479),('US',3512548480,3512548671),('NL',3512548672,3512548703),('US',3512548704,3512548735),('NL',3512548736,3512548863),('CH',3512548864,3512548991),('US',3512548992,3512549087),('GR',3512549088,3512549119),('FR',3512549120,3512549247),('US',3512549248,3512549311),('FR',3512549312,3512549375),('US',3512549376,3512549567),('BE',3512549568,3512549631),('DE',3512549632,3512549695),('TW',3512549696,3512549727),('US',3512549728,3512549759),('TH',3512549760,3512549887),('US',3512549888,3512550015),('DE',3512550016,3512550031),('US',3512550032,3512550143),('AT',3512550144,3512550175),('US',3512550176,3512550255),('AT',3512550256,3512550271),('US',3512550272,3512550399),('CH',3512550400,3512550415),('US',3512550416,3512550911),('GB',3512550912,3512551167),('DE',3512551168,3512551423),('IL',3512551424,3512551551),('US',3512551552,3512552191),('NL',3512552192,3512552447),('US',3512552448,3512552559),('DE',3512552560,3512552703),('US',3512552704,3512552959),('GR',3512552960,3512553111),('US',3512553112,3512553471),('AT',3512553472,3512553663),('US',3512553664,3512553727),('CH',3512553728,3512553855),('US',3512553856,3512553983),('GB',3512553984,3512554751),('DK',3512554752,3512554767),('US',3512554768,3512555775),('IE',3512555776,3512556287),('SE',3512556288,3512556415),('DE',3512556416,3512556479),('US',3512556480,3512556543),('FR',3512556544,3512556799),('US',3512556800,3512556831),('BE',3512556832,3512556847),('US',3512556848,3512556863),('BE',3512556864,3512556927),('US',3512556928,3512557055),('DE',3512557056,3512557311),('GB',3512557312,3512557567),('US',3512557568,3512557911),('JP',3512557912,3512557919),('US',3512557920,3512557951),('ID',3512557952,3512558015),('HK',3512558016,3512558079),('US',3512558080,3512558591),('JP',3512558592,3512558719),('MY',3512558720,3512558783),('US',3512558784,3512558847),('JP',3512558848,3512558911),('SG',3512558912,3512558959),('US',3512558960,3512558975),('JP',3512558976,3512559039),('AU',3512559040,3512559071),('US',3512559072,3512559103),('SG',3512559104,3512559135),('US',3512559136,3512559231),('ID',3512559232,3512559359),('US',3512559360,3512560127),('TH',3512560128,3512560257),('US',3512560258,3512560383),('JP',3512560384,3512560511),('US',3512560512,3512561151),('CN',3512561152,3512561279),('US',3512561280,3512561407),('HK',3512561408,3512561535),('US',3512561536,3512561663),('AU',3512561664,3512561727),('JP',3512561728,3512561791),('CN',3512561792,3512561919),('JP',3512561920,3512562175),('CH',3512562176,3512562239),('HK',3512562240,3512562271),('US',3512562272,3512562303),('CN',3512562304,3512562367),('HK',3512562368,3512562431),('TH',3512562432,3512562463),('US',3512562464,3512562543),('TH',3512562544,3512562559),('US',3512562560,3512562943),('PH',3512562944,3512563071),('US',3512563072,3512563135),('SG',3512563136,3512563199),('US',3512563200,3512563391),('ID',3512563392,3512563455),('US',3512563456,3512563711),('MY',3512563712,3512563727),('US',3512563728,3512563743),('AU',3512563744,3512563775),('JP',3512563776,3512563807),('US',3512563808,3512563967),('PH',3512563968,3512564095),('US',3512564096,3512564223),('SG',3512564224,3512564479),('US',3512564480,3512565119),('HK',3512565120,3512565247),('PH',3512565248,3512565503),('US',3512565504,3512566527),('BR',3512566528,3512566655),('US',3512566656,3512567199),('CA',3512567200,3512567231),('US',3512567232,3512567295),('GB',3512567296,3512567423),('US',3512567424,3512567935),('BR',3512567936,3512568063),('US',3512568064,3512569087),('CA',3512569088,3512569215),('US',3512569216,3512569983),('VE',3512569984,3512569999),('CA',3512570000,3512570015),('US',3512570016,3512570239),('MX',3512570240,3512570367),('US',3512570368,3512571775),('CL',3512571776,3512571903),('VE',3512571904,3512571967),('US',3512571968,3512572927),('MX',3512572928,3512573055),('US',3512573056,3512573151),('BR',3512573152,3512573183),('US',3512573184,3512573311),('CL',3512573312,3512573375),('US',3512573376,3512573439),('CL',3512573440,3512573695),('KR',3512573696,3512573727),('HK',3512573728,3512573759),('TW',3512573760,3512573791),('ID',3512573792,3512573823),('SG',3512573824,3512573855),('US',3512573856,3512573887),('ID',3512573888,3512574207),('US',3512574208,3512574719),('SG',3512574720,3512574975),('US',3512574976,3512575551),('MY',3512575552,3512575615),('JP',3512575616,3512575743),('US',3512575744,3512575999),('KR',3512576000,3512576031),('US',3512576032,3512576063),('KR',3512576064,3512576127),('US',3512576128,3512576255),('HK',3512576256,3512576511),('US',3512576512,3512576767),('KR',3512576768,3512576895),('US',3512576896,3512577023),('JP',3512577024,3512577087),('US',3512577088,3512577279),('TW',3512577280,3512577343),('SG',3512577344,3512577407),('TH',3512577408,3512577439),('US',3512577440,3512577535),('AU',3512577536,3512577599),('PH',3512577600,3512577631),('US',3512577632,3512577663),('TH',3512577664,3512577727),('US',3512577728,3512577791),('JP',3512577792,3512577855),('US',3512577856,3512578047),('KR',3512578048,3512578111),('US',3512578112,3512578559),('CN',3512578560,3512578720),('US',3512578721,3512578815),('TH',3512578816,3512578943),('US',3512578944,3512579071),('ID',3512579072,3512579199),('HK',3512579200,3512579327),('KR',3512579328,3512579455),('NZ',3512579456,3512579583),('ID',3512579584,3512579839),('SG',3512579840,3512579967),('KR',3512579968,3512580031),('TW',3512580032,3512580095),('JP',3512580096,3512580223),('US',3512580224,3512580287),('CN',3512580288,3512580351),('CH',3512580352,3512580367),('US',3512580368,3512580415),('SG',3512580416,3512580479),('HK',3512580480,3512580863),('ID',3512580864,3512580991),('SG',3512580992,3512581055),('KR',3512581056,3512581119),('NZ',3512581120,3512581247),('TW',3512581248,3512581375),('CN',3512581376,3512582143),('US',3512582144,3512582207),('BR',3512582208,3512582223),('US',3512582224,3512582463),('BR',3512582464,3512582527),('PE',3512582528,3512582655),('BR',3512582656,3512582719),('CN',3512582720,3512582783),('BR',3512582784,3512582911),('US',3512582912,3512583295),('BR',3512583296,3512583679),('US',3512583680,3512584447),('BR',3512584448,3512584479),('US',3512584480,3512585407),('BR',3512585408,3512585439),('US',3512585440,3512585887),('PE',3512585888,3512585919),('CO',3512585920,3512585983),('US',3512585984,3512586175),('VE',3512586176,3512586239),('US',3512586240,3512586495),('BR',3512586496,3512586687),('AR',3512586688,3512586751),('US',3512586752,3512587295),('CH',3512587296,3512587327),('US',3512587328,3512587647),('CO',3512587648,3512587775),('US',3512587776,3512587903),('CO',3512587904,3512588031),('US',3512588032,3512588159),('PE',3512588160,3512588191),('US',3512588192,3512588223),('BR',3512588224,3512588287),('US',3512588288,3512588415),('MX',3512588416,3512588543),('US',3512588544,3512589407),('BR',3512589408,3512589567),('US',3512589568,3512589887),('CO',3512589888,3512589951),('US',3512589952,3512590015),('CO',3512590016,3512590079),('MX',3512590080,3512590143),('CH',3512590144,3512590207),('US',3512590208,3512590847),('TH',3512590848,3512590975),('PH',3512590976,3512591103),('JP',3512591104,3512591359),('US',3512591360,3512592383),('GB',3512592384,3512592895),('PH',3512592896,3512593151),('GB',3512593152,3512593279),('SG',3512593280,3512593407),('TH',3512593408,3512593471),('US',3512593472,3512593511),('CN',3512593512,3512593519),('US',3512593520,3512593663),('JP',3512593664,3512593791),('US',3512593792,3512593887),('DE',3512593888,3512593919),('US',3512593920,3512594047),('CN',3512594048,3512594175),('MY',3512594176,3512594431),('HK',3512594432,3512594495),('US',3512594496,3512594559),('CN',3512594560,3512594687),('US',3512594688,3512594943),('TH',3512594944,3512595007),('US',3512595008,3512595199),('TW',3512595200,3512595455),('US',3512595456,3512595711),('KR',3512595712,3512595743),('US',3512595744,3512595775),('KR',3512595776,3512595839),('US',3512595840,3512596223),('JP',3512596224,3512596479),('US',3512596480,3512596991),('TH',3512596992,3512597247),('US',3512597248,3512597759),('JP',3512597760,3512598015),('KR',3512598016,3512598079),('US',3512598080,3512598143),('TH',3512598144,3512598271),('PH',3512598272,3512598527),('US',3512598528,3512647679),('TT',3512647680,3512655871),('US',3512655872,3512690591),('IN',3512690592,3512690623),('US',3512690624,3512695839),('GB',3512695840,3512695871),('US',3512695872,3512696831),('SE',3512696832,3512699647),('US',3512699648,3512699903),('SE',3512699904,3512699967),('US',3512699968,3512700079),('SE',3512700080,3512700143),('US',3512700144,3512700159),('SE',3512700160,3512705023),('US',3512705024,3512844287),('CA',3512844288,3512844543),('A1',3512844544,3512844607),('CA',3512844608,3512845567),('A1',3512845568,3512845695),('CA',3512845696,3512845697),('A1',3512845698,3512845698),('CA',3512845699,3512845699),('A1',3512845700,3512845710),('CA',3512845711,3512845711),('A1',3512845712,3512845745),('CA',3512845746,3512845749),('A1',3512845750,3512845752),('CA',3512845753,3512845758),('A1',3512845759,3512845822),('CA',3512845823,3512847487),('A1',3512847488,3512847615),('CA',3512847616,3512847999),('A1',3512848000,3512848127),('CA',3512848128,3512848360),('A1',3512848361,3512848361),('CA',3512848362,3512852479),('US',3512852480,3512891135),('BE',3512891136,3512891167),('AU',3512891168,3512891199),('FR',3512891200,3512891231),('KW',3512891232,3512891263),('US',3512891264,3512891327),('CA',3512891328,3512891359),('US',3512891360,3512983551),('AR',3512983552,3512987647),('US',3512987648,3513188351),('CA',3513188352,3513204735),('US',3513204736,3513270271),('CA',3513270272,3513286655),('US',3513286656,3513294847),('CA',3513294848,3513303039),('US',3513303040,3513368575),('CA',3513368576,3513371135),('US',3513371136,3513371391),('CA',3513371392,3513376767),('US',3513384960,3513475071),('CA',3513475072,3513483263),('US',3513483264,3513670911),('A2',3513670912,3513671167),('US',3513671168,3513778175),('CA',3513778176,3513794559),('US',3513794560,3514007551),('CA',3514007552,3514040319),('US',3514040320,3514367999),('CA',3514368000,3514433535),('US',3514433536,3514589439),('GT',3514589440,3514589695),('SV',3514589696,3514590207),('NI',3514590208,3514590719),('SV',3514590720,3514591103),('US',3514591104,3514591487),('NI',3514591488,3514592255),('SV',3514592256,3514597375),('US',3514597376,3514763423),('PA',3514763424,3514763439),('US',3514763440,3514763711),('VE',3514763712,3514763727),('US',3514763728,3514763775),('PA',3514763776,3514763791),('US',3514763792,3514764047),('PA',3514764048,3514764063),('US',3514764064,3514765823),('PA',3514765824,3514765855),('US',3514765856,3514765919),('VE',3514765920,3514765951),('US',3514765952,3514766111),('VE',3514766112,3514766143),('US',3514766144,3514766207),('PA',3514766208,3514766271),('US',3514766272,3514766303),('PA',3514766304,3514766335),('US',3514766336,3514766463),('PA',3514766464,3514766495),('US',3514766496,3514766879),('PA',3514766880,3514766911),('US',3514766912,3514767199),('VE',3514767200,3514767231),('US',3514767232,3514767455),('VE',3514767456,3514767487),('US',3514767488,3514768127),('VE',3514768128,3514768191),('US',3514768192,3514769023),('PA',3514769024,3514769151),('US',3514769152,3514769215),('PA',3514769216,3514769279),('US',3514769280,3514775295),('PA',3514775296,3514775551),('US',3514775552,3514776063),('VE',3514776064,3514776319),('US',3514776320,3514776343),('VE',3514776344,3514776351),('US',3514776352,3514776407),('VE',3514776408,3514776415),('US',3514776416,3514781695),('VE',3514781696,3514782719),('US',3514782720,3514787583),('PA',3514787584,3514787839),('US',3514787840,3514791679),('PA',3514791680,3514793983),('US',3514793984,3514826751),('CA',3514826752,3514843135),('US',3514843136,3515114247),('AU',3515114248,3515114255),('US',3515114256,3515145087),('MC',3515145088,3515145151),('US',3515145152,3515154943),('CA',3515154944,3515155199),('US',3515155200,3515155455),('CA',3515155456,3515155711),('US',3515155712,3515166719),('CA',3515166720,3515166975),('US',3515166976,3515170991),('KR',3515170992,3515170999),('US',3515171000,3515185151),('CA',3515185152,3515185407),('US',3515185408,3515301887),('CA',3515301888,3515318271),('US',3515318272,3515358975),('MX',3515358976,3515359231),('US',3515359232,3515452775),('JP',3515452776,3515452783),('US',3515452784,3515453055),('JP',3515453056,3515453071),('US',3515453072,3515454399),('JP',3515454400,3515454463),('US',3515454464,3515596799),('CA',3515596800,3515613183),('US',3515744256,3515793351),('MO',3515793352,3515793359),('US',3515793360,3515913631),('CA',3515913632,3515913663),('US',3515913664,3515965439),('CA',3515965440,3515973631),('US',3515973632,3515990015),('US',3516006400,3516039167),('CA',3516039168,3516071935),('US',3516071936,3516139007),('GB',3516139008,3516139263),('US',3516139264,3516153855),('CA',3516153856,3516162047),('US',3516162048,3516170239),('CA',3516170240,3516203007),('US',3516203008,3516334079),('CA',3516334080,3516342271),('US',3516342272,3516351055),('TR',3516351056,3516351087),('US',3516351088,3516351095),('MY',3516351096,3516351103),('US',3516351104,3516351255),('AE',3516351256,3516351271),('US',3516351272,3516355663),('CA',3516355664,3516355679),('US',3516355680,3516357631),('MY',3516357632,3516357887),('CA',3516357888,3516358399),('US',3516358400,3516366847),('CA',3516366848,3516370943),('US',3516370944,3516375039),('US',3516383232,3516514303),('CA',3516514304,3516530687),('US',3516530688,3516891135),('A2',3516899328,3516899847),('NG',3516899848,3516899855),('US',3516899856,3516899871),('A2',3516899872,3516899887),('NG',3516899888,3516899903),('EC',3516899904,3516899935),('NG',3516899936,3516900015),('A2',3516900016,3516900031),('US',3516900032,3516900063),('A2',3516900064,3516900351),('NG',3516900352,3516900607),('A2',3516900608,3516900863),('NG',3516900864,3516901119),('A2',3516901120,3516901887),('NG',3516901888,3516902399),('A2',3516902400,3516902655),('NG',3516902656,3516902911),('A2',3516902912,3516903167),('NG',3516903168,3516903423),('CA',3516903424,3516907519),('US',3516907520,3517038591),('CA',3517038592,3517054975),('US',3517054976,3517095935),('CA',3517095936,3517100031),('US',3517100032,3517112319),('CA',3517112320,3517116159),('US',3517116160,3517116415),('CA',3517116416,3517120511),('US',3517120512,3517179903),('DE',3517179904,3517179935),('US',3517179936,3517179943),('MX',3517179944,3517179951),('US',3517179952,3517180031),('DE',3517180032,3517180039),('NL',3517180040,3517180047),('US',3517180048,3517180079),('GI',3517180080,3517180087),('US',3517180088,3517180135),('CA',3517180136,3517180143),('US',3517180144,3517180207),('GB',3517180208,3517180223),('US',3517180224,3517180295),('RU',3517180296,3517180303),('US',3517180304,3517180575),('IN',3517180576,3517180583),('CA',3517180584,3517180591),('US',3517180592,3517180935),('GB',3517180936,3517180943),('AU',3517180944,3517180951),('GB',3517180952,3517180959),('PT',3517180960,3517180975),('US',3517180976,3517181055),('DE',3517181056,3517181071),('US',3517181072,3517181095),('TR',3517181096,3517181103),('US',3517181104,3517181111),('BR',3517181112,3517181119),('US',3517181120,3517181263),('JP',3517181264,3517181279),('US',3517181280,3517181303),('IN',3517181304,3517181319),('US',3517181320,3517181343),('SG',3517181344,3517181351),('US',3517181352,3517181359),('GB',3517181360,3517181375),('IL',3517181376,3517181383),('US',3517181384,3517181431),('NL',3517181432,3517181439),('US',3517181440,3517181519),('DE',3517181520,3517181527),('US',3517181528,3517181543),('SI',3517181544,3517181551),('US',3517181552,3517181559),('DE',3517181560,3517181567),('US',3517181568,3517181639),('DE',3517181640,3517181648),('US',3517181649,3517181679),('AU',3517181680,3517181687),('US',3517181688,3517181695),('CA',3517181696,3517181823),('US',3517181824,3517181855),('VG',3517181856,3517181887),('CA',3517181888,3517181895),('US',3517181896,3517181919),('IN',3517181920,3517181927),('US',3517181928,3517181935),('FR',3517181936,3517181943),('US',3517181944,3517183039),('DE',3517183040,3517183055),('US',3517183056,3517183087),('AU',3517183088,3517183103),('US',3517183104,3517183175),('MY',3517183176,3517183183),('US',3517183184,3517183223),('AU',3517183224,3517183359),('US',3517183360,3517183455),('DE',3517183456,3517183487),('US',3517183488,3517183535),('CA',3517183536,3517183551),('RU',3517183552,3517183559),('DE',3517183560,3517183567),('US',3517183568,3517183607),('BR',3517183608,3517183615),('DE',3517183616,3517183631),('US',3517183632,3517183663),('NO',3517183664,3517183671),('JP',3517183672,3517183679),('CA',3517183680,3517183711),('US',3517183712,3517183775),('CA',3517183776,3517183783),('US',3517183784,3517183839),('DE',3517183840,3517183871),('US',3517183872,3517183999),('DE',3517184000,3517184031),('US',3517184032,3517184047),('GE',3517184048,3517184063),('US',3517184064,3517184151),('NL',3517184152,3517184159),('US',3517184160,3517184207),('CA',3517184208,3517184223),('AR',3517184224,3517184231),('US',3517184232,3517184239),('AT',3517184240,3517184255),('ID',3517184256,3517184383),('US',3517184384,3517184415),('IL',3517184416,3517184431),('US',3517184432,3517184559),('MX',3517184560,3517184575),('US',3517184576,3517184655),('MH',3517184656,3517184663),('US',3517184664,3517184679),('AR',3517184680,3517184687),('US',3517184688,3517184703),('IN',3517184704,3517184711),('US',3517184712,3517184727),('CA',3517184728,3517184735),('US',3517184736,3517184847),('PY',3517184848,3517184855),('FR',3517184856,3517184863),('DK',3517184864,3517184879),('US',3517184880,3517184951),('IN',3517184952,3517184959),('US',3517184960,3517309951),('CA',3517309952,3517313023),('US',3517313024,3517382911),('CA',3517382912,3517383679),('US',3517383680,3517383935),('CA',3517383936,3517384447),('US',3517384448,3517385215),('CA',3517385216,3517385311),('US',3517385312,3517385375),('CA',3517385376,3517387775),('US',3517387776,3517388031),('CA',3517388032,3517388255),('US',3517388256,3517388271),('CA',3517388272,3517388799),('US',3517388800,3517389311),('CA',3517389312,3517389567),('US',3517389568,3517390079),('CA',3517390080,3517390335),('US',3517390336,3517390591),('CA',3517390592,3517391471),('US',3517391472,3517391487),('CA',3517391488,3517391535),('US',3517391536,3517391551),('CA',3517391552,3517392127),('US',3517392128,3517392383),('CA',3517392384,3517392639),('US',3517392640,3517392655),('CA',3517392656,3517392719),('US',3517392720,3517392735),('CA',3517392736,3517392863),('US',3517392864,3517392879),('CA',3517392880,3517393407),('US',3517393408,3517393439),('CA',3517393440,3517393471),('US',3517393472,3517393503),('CA',3517393504,3517395663),('US',3517395664,3517395679),('CA',3517395680,3517395695),('US',3517395696,3517395743),('CA',3517395744,3517395807),('US',3517395808,3517395839),('CA',3517395840,3517395871),('US',3517395872,3517395903),('CA',3517395904,3517396095),('US',3517396096,3517396111),('CA',3517396112,3517396143),('US',3517396144,3517396175),('CA',3517396176,3517396911),('US',3517396912,3517396927),('CA',3517396928,3517396943),('US',3517396944,3517396959),('CA',3517396960,3517399551),('US',3517399552,3517399807),('CA',3517399808,3517399871),('IL',3517399872,3517399935),('CA',3517399936,3517400831),('US',3517400832,3517400847),('CA',3517400848,3517401183),('US',3517401184,3517401199),('CA',3517401200,3517401279),('US',3517401280,3517401343),('CA',3517401344,3517401599),('US',3517401600,3517401855),('CA',3517401856,3517402879),('US',3517402880,3517403391),('CA',3517403392,3517403455),('US',3517403456,3517403519),('CA',3517403520,3517404927),('US',3517404928,3517405183),('CA',3517405184,3517406751),('US',3517406752,3517406783),('CA',3517406784,3517407359),('US',3517407360,3517407487),('CA',3517407488,3517408583),('US',3517408584,3517408591),('CA',3517408592,3517408703),('US',3517408704,3517408711),('CA',3517408712,3517408727),('US',3517408728,3517408735),('CA',3517408736,3517408743),('US',3517408744,3517408767),('CA',3517408768,3517408799),('US',3517408800,3517408815),('CA',3517408816,3517408895),('US',3517408896,3517408911),('CA',3517408912,3517408991),('US',3517408992,3517409007),('CA',3517409008,3517409279),('US',3517409280,3517409791),('CA',3517409792,3517411071),('US',3517411072,3517411327),('CA',3517411328,3517414463),('US',3517414464,3517414495),('CA',3517414496,3517414751),('US',3517414752,3517414767),('CA',3517414768,3517415983),('GB',3517415984,3517415999),('CA',3517416000,3517416063),('US',3517416064,3517416079),('CA',3517416080,3517416111),('US',3517416112,3517416127),('CA',3517416128,3517416143),('US',3517416144,3517416159),('CA',3517416160,3517416591),('US',3517416592,3517416607),('CA',3517416608,3517416711),('US',3517416712,3517416727),('CA',3517416728,3517416735),('US',3517416736,3517416743),('CA',3517416744,3517416775),('US',3517416776,3517416783),('CA',3517416784,3517416791),('US',3517416792,3517416799),('CA',3517416800,3517416823),('US',3517416824,3517416839),('CA',3517416840,3517417535),('US',3517417536,3517417567),('CA',3517417568,3517417631),('US',3517417632,3517417663),('CA',3517417664,3517417695),('US',3517417696,3517417855),('CA',3517417856,3517419103),('US',3517419104,3517419135),('CA',3517419136,3517420159),('US',3517420160,3517420287),('CA',3517420288,3517420303),('US',3517420304,3517420311),('CA',3517420312,3517420327),('US',3517420328,3517420335),('CA',3517420336,3517420351),('US',3517420352,3517420359),('CA',3517420360,3517420367),('US',3517420368,3517420375),('CA',3517420376,3517420383),('US',3517420384,3517420399),('CA',3517420400,3517420407),('US',3517420408,3517420431),('CA',3517420432,3517420439),('US',3517420440,3517420447),('CA',3517420448,3517420471),('US',3517420472,3517420479),('CA',3517420480,3517420487),('US',3517420488,3517420495),('CA',3517420496,3517422591),('US',3517422592,3517422599),('CA',3517422600,3517422663),('US',3517422664,3517422687),('CA',3517422688,3517422695),('US',3517422696,3517422703),('CA',3517422704,3517422719),('US',3517422720,3517422759),('CA',3517422760,3517422783),('US',3517422784,3517422791),('CA',3517422792,3517423871),('US',3517423872,3517424127),('CA',3517424128,3517424319),('SE',3517424320,3517424335),('CA',3517424336,3517424511),('US',3517424512,3517424543),('CA',3517424544,3517424623),('US',3517424624,3517424639),('CA',3517424640,3517426047),('US',3517426048,3517426111),('CA',3517426112,3517426687),('US',3517426688,3517426751),('CA',3517426752,3517427711),('US',3517427712,3517427727),('CA',3517427728,3517428063),('US',3517428064,3517428095),('CA',3517428096,3517428431),('US',3517428432,3517428447),('CA',3517428448,3517428991),('US',3517428992,3517429247),('CA',3517429248,3517429759),('US',3517429760,3517429791),('CA',3517429792,3517430015),('US',3517430016,3517430031),('CA',3517430032,3517430127),('US',3517430128,3517430143),('CA',3517430144,3517430175),('US',3517430176,3517430191),('CA',3517430192,3517430207),('US',3517430208,3517430223),('CA',3517430224,3517430239),('US',3517430240,3517430255),('CA',3517430256,3517430783),('US',3517430784,3517431039),('CA',3517431040,3517431599),('US',3517431600,3517431615),('CA',3517431616,3517431663),('US',3517431664,3517431679),('CA',3517431680,3517431695),('NL',3517431696,3517431711),('CA',3517431712,3517431759),('US',3517431760,3517431775),('CA',3517431776,3517431807),('US',3517431808,3517431823),('CA',3517431824,3517431919),('US',3517431920,3517431935),('CA',3517431936,3517431967),('US',3517431968,3517431983),('CA',3517431984,3517432191),('US',3517432192,3517432319),('CA',3517432320,3517433919),('US',3517433920,3517433983),('CA',3517433984,3517434375),('US',3517434376,3517434383),('CA',3517434384,3517434503),('US',3517434504,3517434527),('CA',3517434528,3517434567),('US',3517434568,3517434583),('CA',3517434584,3517434607),('US',3517434608,3517434615),('CA',3517434616,3517435007),('US',3517435008,3517435135),('CA',3517435136,3517436935),('US',3517436936,3517436943),('CA',3517436944,3517436975),('US',3517436976,3517436983),('CA',3517436984,3517436991),('US',3517436992,3517436999),('CA',3517437000,3517437007),('US',3517437008,3517437015),('CA',3517437016,3517437031),('US',3517437032,3517437063),('CA',3517437064,3517437071),('US',3517437072,3517437079),('CA',3517437080,3517437087),('NO',3517437088,3517437095),('CA',3517437096,3517437135),('US',3517437136,3517437143),('CA',3517437144,3517437151),('US',3517437152,3517437175),('CA',3517437176,3517438015),('US',3517438016,3517438079),('CA',3517438080,3517438143),('US',3517438144,3517438207),('CA',3517438208,3517438463),('US',3517438464,3517438527),('CA',3517438528,3517438591),('US',3517438592,3517438655),('CA',3517438656,3517438751),('US',3517438752,3517438783),('CA',3517438784,3517438879),('KW',3517438880,3517438911),('CA',3517438912,3517439487),('US',3517439488,3517439615),('CA',3517439616,3517439999),('US',3517440000,3517441023),('CA',3517441024,3517442239),('US',3517442240,3517442303),('CA',3517442304,3517442319),('US',3517442320,3517442335),('CA',3517442336,3517442383),('US',3517442384,3517442399),('CA',3517442400,3517442431),('US',3517442432,3517442447),('CA',3517442448,3517443647),('US',3517443648,3517443679),('CA',3517443680,3517444223),('US',3517444224,3517444351),('CA',3517444352,3517444671),('US',3517444672,3517444735),('CA',3517444736,3517444799),('US',3517444800,3517444863),('CA',3517444864,3517445199),('US',3517445200,3517445375),('CA',3517445376,3517445503),('US',3517445504,3517445567),('CA',3517445568,3517445887),('US',3517445888,3517446015),('CA',3517446016,3517446911),('US',3517446912,3517447167),('CA',3517447168,3517447727),('US',3517447728,3517447743),('CA',3517447744,3517447759),('US',3517447760,3517447767),('CA',3517447768,3517447783),('US',3517447784,3517447791),('CA',3517447792,3517447847),('US',3517447848,3517447863),('CA',3517447864,3517448191),('US',3517448192,3517523167),('BS',3517523168,3517523183),('US',3517523184,3517523671),('KY',3517523672,3517523679),('US',3517523680,3517523935),('BZ',3517523936,3517523951),('US',3517523952,3517524175),('GT',3517524176,3517524183),('VI',3517524184,3517524191),('US',3517524192,3517524431),('GT',3517524432,3517524439),('US',3517524440,3517546495),('CA',3517546496,3517562879),('US',3517562880,3517596671),('SE',3517596672,3517597183),('US',3517597184,3517597695),('SE',3517597696,3517598207),('US',3517598208,3517598463),('SE',3517598464,3517598591),('US',3517598592,3517598719),('SE',3517598720,3517600767),('US',3517600768,3517601279),('SE',3517601280,3517602687),('US',3517602688,3517602815),('SE',3517602816,3517603327),('US',3517603328,3517603583),('SE',3517603584,3517603615),('DE',3517603616,3517603647),('US',3517603648,3517603839),('SE',3517603840,3517603903),('MA',3517603904,3517603967),('DE',3517603968,3517604031),('US',3517604032,3517604351),('A2',3517604352,3517604863),('SE',3517604864,3517605119),('US',3517605120,3517605375),('SE',3517605376,3517605775),('US',3517605776,3517605791),('SE',3517605792,3517606911),('US',3517606912,3517607935),('SE',3517607936,3517608191),('US',3517608192,3517608447),('GB',3517608448,3517608703),('US',3517608704,3517609743),('SE',3517609744,3517609855),('US',3517609856,3517610047),('SE',3517610048,3517610175),('US',3517610176,3517610191),('SE',3517610192,3517610239),('US',3517610240,3517610495),('VG',3517610496,3517611007),('US',3517611008,3517611263),('SE',3517611264,3517611303),('US',3517611304,3517611311),('SE',3517611312,3517611327),('GB',3517611328,3517611343),('US',3517611344,3517611351),('SE',3517611352,3517611359),('US',3517611360,3517611383),('SE',3517611384,3517611455),('US',3517611456,3517611463),('IL',3517611464,3517611471),('SE',3517611472,3517611487),('US',3517611488,3517611503),('SE',3517611504,3517612031),('US',3517612032,3517644799),('CA',3517644800,3517710335),('US',3517710336,3517718527),('CA',3517718528,3517718943),('FR',3517718944,3517718975),('CA',3517718976,3517719567),('PK',3517719568,3517719591),('CA',3517719592,3517719703),('US',3517719704,3517719711),('CA',3517719712,3517719759),('BE',3517719760,3517719767),('CA',3517719768,3517719775),('ES',3517719776,3517719783),('CA',3517719784,3517719983),('US',3517719984,3517719991),('CA',3517719992,3517720207),('SE',3517720208,3517720223),('CA',3517720224,3517720327),('US',3517720328,3517720335),('SE',3517720336,3517720343),('CA',3517720344,3517720391),('US',3517720392,3517720399),('CA',3517720400,3517720487),('US',3517720488,3517720495),('CA',3517720496,3517720647),('US',3517720648,3517720655),('CA',3517720656,3517721343),('SE',3517721344,3517721359),('CA',3517721360,3517721375),('US',3517721376,3517721391),('CA',3517721392,3517721519),('IR',3517721520,3517721543),('CA',3517721544,3517722175),('US',3517722176,3517722183),('CA',3517722184,3517722199),('US',3517722200,3517722207),('CA',3517722208,3517722215),('RU',3517722216,3517722223),('CA',3517722224,3517722247),('CH',3517722248,3517722255),('CA',3517722256,3517722343),('SE',3517722344,3517722351),('CA',3517722352,3517722895),('US',3517722896,3517722903),('CA',3517722904,3517722951),('US',3517722952,3517722959),('CA',3517722960,3517723031),('PL',3517723032,3517723039),('CA',3517723040,3517723111),('RU',3517723112,3517723119),('US',3517723120,3517723127),('NL',3517723128,3517723135),('CA',3517723136,3517723167),('GB',3517723168,3517723199),('CA',3517723200,3517723711),('US',3517723712,3517723727),('CA',3517723728,3517723791),('US',3517723792,3517723815),('CA',3517723816,3517723871),('DE',3517723872,3517723887),('AU',3517723888,3517723895),('SG',3517723896,3517723903),('CA',3517723904,3517723919),('US',3517723920,3517723927),('GB',3517723928,3517723935),('ES',3517723936,3517723943),('CA',3517723944,3517723951),('CY',3517723952,3517723959),('CA',3517723960,3517723967),('KH',3517723968,3517723975),('CA',3517723976,3517723999),('US',3517724000,3517724015),('CA',3517724016,3517724135),('BE',3517724136,3517724143),('CA',3517724144,3517724167),('US',3517724168,3517724191),('CA',3517724192,3517724215),('US',3517724216,3517724223),('CA',3517724224,3517724239),('US',3517724240,3517724255),('FR',3517724256,3517724263),('DE',3517724264,3517724271),('CH',3517724272,3517724287),('US',3517724288,3517724303),('CA',3517724304,3517724351),('US',3517724352,3517724359),('CA',3517724360,3517724375),('GB',3517724376,3517724383),('CA',3517724384,3517724679),('US',3517724680,3517724687),('CA',3517724688,3517724711),('US',3517724712,3517724727),('CA',3517724728,3517724735),('LT',3517724736,3517724751),('CA',3517724752,3517724791),('US',3517724792,3517724799),('CA',3517724800,3517724815),('US',3517724816,3517724823),('CA',3517724824,3517724855),('US',3517724856,3517724863),('CA',3517724864,3517725247),('US',3517725248,3517725279),('CA',3517725280,3517725343),('US',3517725344,3517725375),('CA',3517725376,3517725439),('US',3517725440,3517725447),('CA',3517725448,3517725455),('IL',3517725456,3517725463),('CA',3517725464,3517725559),('GB',3517725560,3517725567),('CA',3517725568,3517725575),('GB',3517725576,3517725583),('DE',3517725584,3517725599),('CA',3517725600,3517725631),('NL',3517725632,3517725639),('CA',3517725640,3517725647),('RO',3517725648,3517725655),('CA',3517725656,3517725727),('US',3517725728,3517725759),('CA',3517725760,3517725791),('US',3517725792,3517725823),('CA',3517725824,3517726519),('AU',3517726520,3517726527),('CA',3517726528,3517726551),('KW',3517726552,3517726559),('AE',3517726560,3517726567),('CA',3517726568,3517726607),('PL',3517726608,3517726623),('CA',3517726624,3517726719),('US',3517726720,3517989487),('CA',3517989488,3517989503),('US',3517989504,3517989695),('CA',3517989696,3517989727),('US',3517989728,3517990023),('CA',3517990024,3517990031),('US',3517990032,3517990911),('CA',3517990912,3517991423),('US',3517991424,3518062591),('CA',3518062592,3518066687),('US',3518066688,3518075455),('AR',3518075456,3518075519),('US',3518075520,3518075583),('MX',3518075584,3518075647),('AU',3518075648,3518075903),('US',3518075904,3518076079),('AU',3518076080,3518076087),('US',3518076088,3518076671),('PA',3518076672,3518076927),('US',3518076928,3518077103),('GB',3518077104,3518077111),('US',3518077112,3518374719),('IN',3518374720,3518374783),('US',3518374784,3518380223),('DE',3518380224,3518380287),('US',3518380288,3518381055),('IN',3518381056,3518381311),('US',3518381312,3518381439),('IN',3518381440,3518381567),('DE',3518381568,3518381631),('US',3518381632,3518381823),('SG',3518381824,3518382079),('US',3518382080,3518431231),('CA',3518431232,3518439423),('US',3518439424,3518463999),('CA',3518464000,3518472191),('US',3518472192,3518760575),('HU',3518760576,3518760703),('US',3518760704,3518764671),('NL',3518764672,3518764703),('US',3518764704,3518890831),('IT',3518890832,3518890839),('US',3518890840,3518891487),('IR',3518891488,3518891495),('US',3518891496,3518891559),('BE',3518891560,3518891567),('US',3518891568,3518891767),('BG',3518891768,3518891775),('US',3518891776,3518892039),('GT',3518892040,3518892047),('US',3518892048,3518892223),('CL',3518892224,3518892231),('US',3518892232,3518892415),('GB',3518892416,3518892423),('US',3518892424,3518894095),('KW',3518894096,3518894103),('US',3518894104,3518894343),('MY',3518894344,3518894351),('US',3518894352,3518894439),('TK',3518894440,3518894447),('US',3518894448,3518895191),('TR',3518895192,3518895199),('US',3518895200,3518895391),('AR',3518895392,3518895399),('US',3518895400,3518895431),('GB',3518895432,3518895439),('US',3518895440,3518895479),('DO',3518895480,3518895487),('US',3518895488,3518895719),('PH',3518895720,3518895727),('US',3518895728,3518895775),('CA',3518895776,3518895783),('TH',3518895784,3518895791),('US',3518895792,3518895799),('AR',3518895800,3518895807),('US',3518895808,3518896007),('DO',3518896008,3518896015),('RU',3518896016,3518896023),('US',3518896024,3518896215),('CA',3518896216,3518896223),('US',3518896224,3518896231),('CN',3518896232,3518896239),('US',3518896240,3518896311),('AU',3518896312,3518896319),('US',3518896320,3518896383),('PK',3518896384,3518896391),('US',3518896392,3518896511),('BR',3518896512,3518896519),('AE',3518896520,3518896527),('US',3518896528,3518896543),('BD',3518896544,3518896551),('US',3518896552,3518896895),('GB',3518896896,3518896903),('VE',3518896904,3518896911),('CA',3518896912,3518896919),('US',3518896920,3518897007),('IN',3518897008,3518897015),('US',3518897016,3518897071),('IT',3518897072,3518897079),('US',3518897080,3518897119),('IT',3518897120,3518897127),('US',3518897128,3518897423),('IN',3518897424,3518897431),('US',3518897432,3518897879),('AM',3518897880,3518897887),('US',3518897888,3518897951),('GB',3518897952,3518897959),('US',3518897960,3518897967),('ES',3518897968,3518897975),('US',3518897976,3518898015),('IN',3518898016,3518898023),('US',3518898024,3518898143),('BR',3518898144,3518898151),('US',3518898152,3518898167),('RO',3518898168,3518898175),('US',3518898176,3518898439),('ID',3518898440,3518898447),('BD',3518898448,3518898455),('US',3518898456,3518903175),('BR',3518903176,3518903183),('US',3518903184,3518903191),('JP',3518903192,3518903199),('US',3518903200,3518903399),('PK',3518903400,3518903407),('US',3518903408,3518903871),('PK',3518903872,3518903879),('US',3518903880,3518903927),('RU',3518903928,3518903935),('US',3518903936,3518903959),('GB',3518903960,3518903967),('US',3518903968,3518903999),('ES',3518904000,3518904007),('US',3518904008,3518904015),('EG',3518904016,3518904031),('US',3518904032,3518911743),('GB',3518911744,3518911999),('US',3518912000,3518912511),('IN',3518912512,3518912767),('US',3518912768,3518913791),('CO',3518913792,3518913799),('US',3518913800,3518919031),('GT',3518919032,3518919039),('US',3518919040,3518919095),('BD',3518919096,3518919103),('US',3518919104,3518921343),('PK',3518921344,3518921351),('US',3518921352,3518921447),('CN',3518921448,3518921455),('US',3518921456,3518921479),('BD',3518921480,3518921487),('US',3518921488,3518929535),('CA',3518929536,3518929599),('US',3518929600,3518948575),('CA',3518948576,3518948591),('US',3518948592,3518949887),('CA',3518949888,3518949951),('US',3518949952,3518995695),('GB',3518995696,3518995703),('US',3518995704,3519061295),('GB',3519061296,3519061311),('US',3519061312,3519234047),('CA',3519234048,3519250431),('US',3519250432,3519320975),('GR',3519320976,3519320983),('US',3519320984,3519340543),('CA',3519340544,3519344639),('US',3519344640,3519381503),('CA',3519381504,3519397887),('US',3519397888,3519406127),('DE',3519406128,3519406151),('US',3519406152,3519406207),('SA',3519406208,3519406215),('US',3519406216,3519406255),('SA',3519406256,3519406263),('US',3519406264,3519406295),('TH',3519406296,3519406303),('US',3519406304,3519406335),('DE',3519406336,3519406359),('US',3519406360,3519406375),('IT',3519406376,3519406383),('IN',3519406384,3519406391),('GB',3519406392,3519406407),('US',3519406408,3519406479),('AU',3519406480,3519406487),('US',3519406488,3519406503),('CA',3519406504,3519406511),('GB',3519406512,3519406527),('CA',3519406528,3519406559),('US',3519406560,3519406695),('SA',3519406696,3519406831),('US',3519406832,3519406847),('CA',3519406848,3519407103),('US',3519407104,3519407151),('MY',3519407152,3519407199),('AR',3519407200,3519407215),('AE',3519407216,3519407351),('US',3519407352,3519407359),('AR',3519407360,3519407583),('US',3519407584,3519407591),('AE',3519407592,3519407599),('US',3519407600,3519407607),('RU',3519407608,3519407615),('AR',3519407616,3519407623),('US',3519407624,3519409111),('MY',3519409112,3519409119),('OM',3519409120,3519409135),('US',3519409136,3519409295),('CA',3519409296,3519409303),('US',3519409304,3519409327),('AR',3519409328,3519409335),('US',3519409336,3519409407),('AE',3519409408,3519409423),('US',3519409424,3519409439),('GB',3519409440,3519409455),('MY',3519409456,3519409599),('AR',3519409600,3519409615),('US',3519409616,3519409807),('GB',3519409808,3519409815),('US',3519409816,3519409919),('AR',3519409920,3519409927),('MY',3519409928,3519409943),('US',3519409944,3519409951),('MY',3519409952,3519410175),('US',3519410176,3519410279),('AU',3519410280,3519410287),('US',3519410288,3519410943),('AR',3519410944,3519411199),('US',3519411200,3519411327),('RU',3519411328,3519411391),('US',3519411392,3519411711),('AR',3519411712,3519411967),('DE',3519411968,3519412223),('US',3519412224,3519412463),('GB',3519412464,3519412479),('US',3519412480,3519412519),('RU',3519412520,3519412527),('US',3519412528,3519412735),('RU',3519412736,3519412751),('US',3519412752,3519412799),('RU',3519412800,3519412815),('US',3519412816,3519413759),('CA',3519413760,3519414271),('US',3519414272,3519566871),('IE',3519566872,3519566879),('US',3519566880,3519566943),('GB',3519566944,3519566951),('US',3519566952,3519567087),('IE',3519567088,3519567096),('US',3519567097,3519567679),('GB',3519567680,3519567687),('US',3519567688,3519567727),('LB',3519567728,3519567735),('US',3519567736,3519567759),('JP',3519567760,3519567767),('US',3519567768,3519567831),('LB',3519567832,3519567863),('US',3519567864,3519568911),('FR',3519568912,3519568919),('LB',3519568920,3519568927),('US',3519568928,3519568991),('GB',3519568992,3519568999),('US',3519569000,3519569071),('LB',3519569072,3519569079),('US',3519569080,3519569103),('GB',3519569104,3519569111),('US',3519569112,3519569127),('GB',3519569128,3519569135),('US',3519569136,3519569727),('JP',3519569728,3519569735),('US',3519569736,3519578367),('NA',3519578368,3519578623),('US',3519578624,3519578879),('CA',3519578880,3519579135),('US',3519579136,3519579583),('CR',3519579584,3519579591),('US',3519579592,3519579967),('CY',3519579968,3519579983),('CR',3519579984,3519579991),('US',3519579992,3519580031),('CY',3519580032,3519580047),('CR',3519580048,3519580063),('US',3519580064,3519583999),('CA',3519584000,3519584255),('US',3519584256,3519586047),('GB',3519586048,3519586559),('US',3519586560,3519586815),('GB',3519586816,3519587007),('AG',3519587008,3519587071),('US',3519587072,3519588351),('CR',3519588352,3519588367),('US',3519588368,3519588391),('CR',3519588392,3519588399),('US',3519588400,3519588447),('CR',3519588448,3519588463),('US',3519588464,3519588639),('GB',3519588640,3519588671),('US',3519588672,3519588687),('CY',3519588688,3519588703),('US',3519588704,3519590655),('CA',3519590656,3519590911),('GB',3519590912,3519590927),('EE',3519590928,3519590943),('AG',3519590944,3519590959),('US',3519590960,3519591055),('MT',3519591056,3519591071),('US',3519591072,3519591167),('GB',3519591168,3519591423),('US',3519591424,3519603204),('VN',3519603205,3519603212),('US',3519603213,3519603255),('BR',3519603256,3519603265),('US',3519603266,3519603271),('CA',3519603272,3519603286),('US',3519603287,3519603772),('IN',3519603773,3519603781),('US',3519603782,3519676415),('CA',3519676416,3519700559),('US',3519700560,3519700567),('CA',3519700568,3519700575),('US',3519700576,3519700607),('CA',3519700608,3519702319),('US',3519702320,3519702327),('CA',3519702328,3519709183),('US',3519709184,3519709311),('CA',3519709312,3519709343),('US',3519709344,3519712447),('CA',3519712448,3519712511),('US',3519712512,3519715295),('GB',3519715296,3519715327),('US',3519715328,3519741951),('ZA',3519741952,3519758335),('US',3519758336,3519791103),('US',3519799296,3519799871),('IN',3519799872,3519799903),('US',3519799904,3519805119),('GB',3519805120,3519805183),('US',3519805184,3519873023),('CA',3519873024,3519879679),('US',3519879680,3519879687),('CA',3519879688,3519879767),('US',3519879768,3519879775),('CA',3519879776,3519879807),('US',3519879808,3519879815),('CA',3519879816,3519879863),('US',3519879864,3519879871),('CA',3519879872,3519880767),('DE',3519880768,3519880831),('CA',3519880832,3519881375),('US',3519881376,3519881407),('CA',3519881408,3519881567),('US',3519881568,3519881599),('CA',3519881600,3519905791),('US',3519905792,3519934463),('CA',3519934464,3519938559),('US',3519938560,3520004095),('CA',3520020480,3520028671),('US',3520036864,3520071823),('NL',3520071824,3520071839),('US',3520071840,3520074671),('GB',3520074672,3520074687),('US',3520074688,3520074783),('NL',3520074784,3520074815),('US',3520074816,3520074847),('GB',3520074848,3520074863),('US',3520074864,3520075311),('BR',3520075312,3520075327),('US',3520075328,3520075743),('NL',3520075744,3520075775),('US',3520075776,3520081295),('NL',3520081296,3520081311),('US',3520081312,3520081455),('BR',3520081456,3520081471),('US',3520081472,3520081743),('VG',3520081744,3520081759),('US',3520081760,3520082151),('CA',3520082152,3520082167),('US',3520082168,3520088447),('ES',3520088448,3520088463),('US',3520088464,3520092991),('IL',3520092992,3520093007),('US',3520093008,3520100031),('NL',3520100032,3520100039),('US',3520100040,3520112975),('ES',3520112976,3520112991),('US',3520112992,3520114399),('VG',3520114400,3520114407),('US',3520114408,3520121519),('GB',3520121520,3520121535),('US',3520121536,3520356351),('ZA',3520356352,3520364543),('US',3520364544,3520430079),('US',3520438272,3520450943),('GB',3520450944,3520450959),('US',3520450960,3520454655),('CA',3520454656,3520462847),('US',3520462848,3520527871),('A2',3520527872,3520528383),('US',3520528384,3520626687),('CA',3520626688,3520634879),('US',3520634880,3520675839),('CA',3520675840,3520675991),('US',3520675992,3520675999),('CA',3520676000,3520683247),('US',3520683248,3520683263),('CA',3520683264,3520683743),('US',3520683744,3520683759),('CA',3520683760,3520684407),('US',3520684408,3520684415),('CA',3520684416,3520688399),('US',3520688400,3520688431),('CA',3520688432,3520691583),('US',3520691584,3520691591),('CA',3520691592,3520691807),('US',3520691808,3520691839),('CA',3520691840,3520692223),('US',3520692224,3520749871),('CA',3520749872,3520749879),('US',3520749880,3520937983),('CA',3520937984,3520954367),('US',3520954368,3520958783),('CA',3520958784,3520958847),('US',3520958848,3520966111),('CA',3520966112,3520966119),('US',3520966120,3520978943),('BZ',3520978944,3520979711),('A2',3520979712,3520983039),('US',3520983040,3520999423),('CA',3520999424,3521003519),('US',3521003520,3521011711),('US',3521019904,3521028095),('CA',3521028096,3521032191),('US',3521036288,3521044479),('CA',3521044480,3521048575),('US',3521048576,3521074735),('AU',3521074736,3521074751),('US',3521074752,3521086207),('AU',3521086208,3521086463),('US',3521086464,3521098551),('MX',3521098552,3521098559),('US',3521098560,3521103231),('CA',3521103232,3521103263),('US',3521103264,3521106527),('CA',3521106528,3521106543),('US',3521106544,3521186623),('AR',3521186624,3521186687),('US',3521186688,3521192703),('FR',3521192704,3521192735),('US',3521192736,3521199103),('CA',3521199104,3521199167),('US',3521199168,3521199215),('CA',3521199216,3521199223),('US',3521199224,3521199231),('CA',3521199232,3521199239),('US',3521199240,3521249279),('CA',3521249280,3521314815),('US',3521314816,3521364735),('IT',3521364736,3521364815),('US',3521364816,3521366783),('CY',3521366784,3521367039),('US',3521367040,3521371423),('IT',3521371424,3521371455),('US',3521371456,3521371463),('IT',3521371464,3521371495),('US',3521371496,3521371647),('CA',3521371648,3521371679),('US',3521371680,3521371711),('CA',3521371712,3521371759),('US',3521371760,3521371903),('IT',3521371904,3521371911),('US',3521371912,3521371919),('IT',3521371920,3521371983),('US',3521371984,3521371999),('IT',3521372000,3521372031),('US',3521372032,3521372063),('IN',3521372064,3521372079),('IT',3521372080,3521372095),('CA',3521372096,3521372159),('US',3521372160,3521377407),('IT',3521377408,3521377439),('US',3521377440,3521904639),('US',3521921024,3521965055),('DE',3521965056,3521966079),('US',3521966080,3522031871),('AT',3522031872,3522032127),('US',3522032128,3522101247),('CA',3522101248,3522109439),('US',3522109440,3522117631),('A2',3522117632,3522121983),('AW',3522121984,3522122239),('A2',3522122240,3522125823),('US',3522125824,3522174975),('BM',3522174976,3522179071),('US',3522179072,3522181119),('US',3522183168,3522195455),('CA',3522195456,3522199551),('US',3522199552,3522759591),('CA',3522759592,3522759599),('US',3522759600,3522763263),('CA',3522763264,3522763519),('US',3522763520,3522768895),('CA',3522768896,3522769151),('US',3522769152,3522769919),('CA',3522769920,3522770175),('US',3522770176,3522807807),('JP',3522807808,3522807815),('US',3522807816,3522820863),('CA',3522820864,3522821119),('US',3522821120,3522854911),('CA',3522854912,3522859999),('IN',3522860000,3522860031),('CA',3522860032,3522871295),('US',3522871296,3523215359),('AU',3523215360,3523223551),('KR',3523223552,3523231743),('AU',3523231744,3523248127),('HK',3523248128,3523280895),('TH',3523280896,3523297279),('PH',3523297280,3523317759),('JP',3523317760,3523330047),('AU',3523330048,3523338239),('BD',3523342336,3523346431),('CN',3523346432,3523354623),('KR',3523354624,3523362815),('JP',3523362816,3523379199),('PK',3523379200,3523395583),('JP',3523395584,3523411967),('HK',3523411968,3523477503),('PH',3523477504,3523493887),('BD',3523493888,3523497983),('AU',3523497984,3523500031),('KR',3523500032,3523502079),('PH',3523502080,3523510271),('TH',3523510272,3523518463),('JP',3523518464,3523526655),('US',3523526656,3523530751),('NZ',3523530752,3523532799),('KR',3523532800,3523534847),('AU',3523534848,3523538943),('JP',3523538944,3523543039),('CN',3523543040,3523551231),('AU',3523551232,3523553279),('NZ',3523555328,3523557375),('PH',3523559424,3523575807),('CN',3523579904,3523583999),('HK',3523584000,3523592479),('YE',3523592480,3523592495),('HK',3523592496,3523592511),('PK',3523592512,3523592575),('LB',3523592576,3523592703),('HK',3523592704,3523593215),('KW',3523593216,3523593231),('AE',3523593232,3523593239),('HK',3523593240,3523593279),('IR',3523593280,3523593343),('HK',3523593344,3523593535),('IR',3523593536,3523593599),('HK',3523593600,3523593743),('IQ',3523593744,3523593751),('HK',3523593752,3523593759),('IR',3523593760,3523593767),('HK',3523593768,3523593775),('IQ',3523593776,3523593791),('IR',3523593792,3523593807),('HK',3523593808,3523593823),('IR',3523593824,3523593951),('HK',3523593952,3523593959),('IQ',3523593960,3523593983),('PK',3523593984,3523594239),('IN',3523594240,3523595263),('IR',3523595264,3523595391),('PK',3523595392,3523595519),('IR',3523595520,3523595583),('HK',3523595584,3523595591),('KE',3523595592,3523595599),('IQ',3523595600,3523595631),('LB',3523595632,3523595647),('PK',3523595648,3523596287),('IR',3523596288,3523596351),('HK',3523596352,3523596359),('PK',3523596360,3523596375),('HK',3523596376,3523596415),('IR',3523596416,3523596671),('PK',3523596672,3523596735),('IN',3523596736,3523596751),('US',3523596752,3523596759),('HK',3523596760,3523596767),('IN',3523596768,3523596775),('HK',3523596776,3523596783),('PK',3523596784,3523596791),('HK',3523596792,3523596815),('IQ',3523596816,3523596831),('HK',3523596832,3523596863),('IQ',3523596864,3523596927),('PK',3523596928,3523597127),('HK',3523597128,3523597311),('PK',3523597312,3523597823),('TZ',3523597824,3523597951),('IR',3523597952,3523597959),('IQ',3523597960,3523597983),('KZ',3523597984,3523597991),('US',3523597992,3523597999),('HK',3523598000,3523598015),('IR',3523598016,3523598079),('TZ',3523598080,3523598207),('HK',3523598208,3523598335),('AE',3523598336,3523598591),('PK',3523598592,3523598847),('HK',3523598848,3523598911),('IR',3523598912,3523599103),('AE',3523599104,3523599359),('HK',3523599360,3523599615),('PK',3523599616,3523599623),('HK',3523599624,3523599631),('PK',3523599632,3523599647),('HK',3523599648,3523599871),('AE',3523599872,3523600383),('HK',3523600384,3523600895),('AF',3523600896,3523601151),('HK',3523601152,3523602431),('IR',3523602432,3523602559),('TR',3523602560,3523602687),('IR',3523602688,3523602879),('IQ',3523602880,3523602895),('HK',3523602896,3523602903),('IQ',3523602904,3523602943),('HK',3523602944,3523603207),('IQ',3523603208,3523603247),('HK',3523603248,3523603255),('IQ',3523603256,3523603263),('HK',3523603264,3523603279),('IQ',3523603280,3523603311),('HK',3523603312,3523603319),('IQ',3523603320,3523603343),('HK',3523603344,3523603383),('IQ',3523603384,3523603415),('HK',3523603416,3523603495),('IQ',3523603496,3523603503),('HK',3523603504,3523603535),('IQ',3523603536,3523603559),('HK',3523603560,3523603575),('IQ',3523603576,3523603583),('HK',3523603584,3523603607),('IQ',3523603608,3523603615),('HK',3523603616,3523603647),('IQ',3523603648,3523603663),('HK',3523603664,3523603679),('IQ',3523603680,3523603695),('HK',3523603696,3523603703),('IQ',3523603704,3523603711),('HK',3523603712,3523604223),('AE',3523604224,3523604479),('HK',3523604480,3523604991),('AE',3523604992,3523605503),('HK',3523605504,3523606015),('AE',3523606016,3523606527),('AU',3523606528,3523606783),('HK',3523606784,3523607039),('AU',3523607040,3523608319),('QA',3523608320,3523608575),('HK',3523608576,3523674111),('FJ',3523674112,3523682303),('NZ',3523682304,3523686399),('IN',3523690496,3523698687),('HK',3523698688,3523698863),('AP',3523698864,3523698879),('HK',3523698880,3523698943),('AP',3523698944,3523698975),('HK',3523698976,3523699007),('AP',3523699008,3523699071),('HK',3523699072,3523699199),('US',3523699200,3523699711),('AP',3523699712,3523700223),('US',3523700224,3523700287),('AP',3523700288,3523700351),('US',3523700352,3523700415),('AP',3523700416,3523700671),('HK',3523700672,3523700679),('AP',3523700680,3523700735),('HK',3523700736,3523701759),('AP',3523701760,3523702783),('SG',3523702784,3523702799),('SN',3523702800,3523702807),('SG',3523702808,3523702847),('AP',3523702848,3523702871),('SG',3523702872,3523702911),('AP',3523702912,3523703039),('SG',3523703040,3523703103),('AP',3523703104,3523704703),('SG',3523704704,3523704719),('AP',3523704720,3523704751),('SG',3523704752,3523704783),('AP',3523704784,3523704791),('SG',3523704792,3523704831),('HK',3523704832,3523704839),('AP',3523704840,3523706879),('AU',3523706880,3523707039),('AP',3523707040,3523707071),('AU',3523707072,3523707103),('AP',3523707104,3523707119),('AU',3523707120,3523707135),('GB',3523707136,3523707903),('AU',3523707904,3523708159),('AP',3523708160,3523708287),('AU',3523708288,3523708319),('AP',3523708320,3523708351),('AU',3523708352,3523708415),('AP',3523708416,3523708927),('AU',3523708928,3523708975),('AP',3523708976,3523708991),('AU',3523708992,3523709183),('AP',3523709184,3523713023),('AU',3523713024,3523713135),('AP',3523713136,3523713279),('NL',3523713280,3523713535),('AP',3523713536,3523714047),('AU',3523714048,3523714719),('AP',3523714720,3523714799),('AU',3523714800,3523714943),('GB',3523714944,3523715007),('AP',3523715008,3523715031),('AU',3523715032,3523715071),('AP',3523715072,3523723263),('US',3523723264,3523725311),('AP',3523725312,3523731455),('JP',3523731456,3523731503),('AP',3523731504,3523731519),('JP',3523731520,3523731567),('AP',3523731568,3523731583),('JP',3523731584,3523731615),('AP',3523731616,3523737599),('US',3523737600,3523738111),('AP',3523738112,3523739135),('JP',3523739136,3523739455),('AP',3523739456,3523739519),('JP',3523739520,3523739551),('AP',3523739552,3523739575),('JP',3523739576,3523739647),('AU',3523739648,3524001791),('CN',3524001792,3524132863),('PH',3524132864,3524145151),('JP',3524145152,3524149247),('CN',3524149248,3524157439),('AU',3524157440,3524161535),('CN',3524161536,3524247551),('AU',3524247552,3524263935),('PH',3524263936,3524266495),('SG',3524266496,3524266751),('PH',3524266752,3524274175),('SG',3524274176,3524274431),('PH',3524274432,3524296703),('CN',3524296704,3524313087),('KR',3524313088,3524329471),('TW',3524329472,3524362239),('HK',3524362240,3524395007),('IN',3524395008,3524444159),('AU',3524444160,3524460543),('MY',3524460544,3524526079),('JP',3524526080,3524591615),('CN',3524591616,3524722687),('SG',3524722688,3524730879),('CN',3524730880,3524739071),('ID',3524739072,3524743167),('MP',3524743168,3524747263),('PH',3524747264,3524755455),('AU',3524755456,3524763647),('PH',3524763648,3524781791),('SG',3524781792,3524781823),('PH',3524781824,3524788223),('SG',3524788224,3524853759),('CN',3524853760,3525300739),('US',3525300740,3525300743),('CN',3525300744,3526361087),('NZ',3526361088,3526393855),('JP',3526393856,3526395903),('MY',3526397952,3526402047),('NZ',3526402048,3526410239),('MY',3526410240,3526414335),('AU',3526414336,3526416383),('JP',3526418432,3526426623),('AU',3526426624,3526557695),('CN',3526557696,3526754303),('NZ',3526754304,3526885375),('PK',3526885376,3526893567),('NZ',3526893568,3526897663),('HK',3526897664,3526901759),('AU',3526901760,3526909951),('IN',3526909952,3526918143),('SG',3526918144,3526922239),('BD',3526922240,3526924287),('AU',3526924288,3526926335),('JP',3526926336,3526934527),('CN',3526934528,3526942719),('AU',3526942720,3526950911),('JP',3526950912,3527004159),('ID',3527004160,3527008255),('KR',3527008256,3527016447),('TW',3527016448,3527933951),('CN',3527933952,3528392703),('JP',3528392704,3528396799),('AU',3528396800,3528400895),('JP',3528400896,3528404991),('NZ',3528404992,3528407039),('CN',3528409088,3528425471),('JP',3528425472,3528445951),('ID',3528445952,3528450047),('CN',3528450048,3528458239),('AP',3528458240,3528460575),('AU',3528460576,3528460591),('AP',3528460592,3528464895),('HK',3528464896,3528465151),('AP',3528465152,3528470015),('AU',3528470016,3528470271),('AP',3528470272,3528474623),('TW',3528474624,3528482815),('KR',3528482816,3528491007),('AU',3528491008,3528505007),('HK',3528505008,3528505023),('AU',3528505024,3528506543),('NZ',3528506544,3528506559),('AU',3528506560,3528507391),('JP',3528507392,3528589311),('CN',3528589312,3528720383),('AU',3528720384,3528785919),('TW',3528785920,3528851455),('NZ',3528851456,3528884223),('TH',3528884224,3528908799),('VN',3528908800,3528912895),('AU',3528912896,3528933375),('JP',3528933376,3528949759),('CN',3528949760,3528966143),('KR',3528966144,3528974335),('JP',3528974336,3528978431),('HK',3528978432,3528982527),('JP',3528982528,3529011135),('NZ',3529011136,3529011151),('JP',3529011152,3529056255),('IN',3529056256,3529064447),('HK',3529064448,3529072639),('JP',3529072640,3529080831),('AU',3529080832,3529089023),('KR',3529089024,3529097215),('JP',3529097216,3529113599),('KR',3529113600,3531603967),('JP',3531603968,3534749695),('HK',3534749696,3534757919),('IN',3534757920,3534757951),('HK',3534757952,3534757983),('IN',3534757984,3534761023),('HK',3534761024,3534761119),('IN',3534761120,3534761983),('HK',3534761984,3534880767),('KR',3534880768,3535273983),('HK',3535273984,3535339519),('NZ',3535339520,3535355903),('AU',3535355904,3535372287),('JP',3535372288,3535380479),('PH',3535380480,3535388671),('CN',3535388672,3535405055),('MY',3535405056,3535480703),('TH',3535480704,3535480831),('MY',3535480832,3535536127),('JP',3535536128,3535798271),('TW',3535798272,3535814655),('KR',3535814656,3535822847),('CN',3535822848,3535831039),('TW',3535831040,3535863807),('SG',3535863808,3535880191),('JP',3535880192,3535896575),('AU',3535896576,3535929343),('JP',3535929344,3535994879),('MY',3535994880,3536060415),('JP',3536060416,3536322559),('TW',3536322560,3536551935),('TH',3536551936,3536568319),('JP',3536568320,3536584703),('KR',3536584704,3536846847),('TW',3536846848,3536928767),('HK',3536928768,3536945151),('TW',3536945152,3536977919),('IN',3536977920,3537010687),('ID',3537010688,3537027071),('KR',3537027072,3537043455),('ID',3537047552,3537049599),('JP',3537051648,3537059839),('IN',3537076224,3537174527),('TH',3537174528,3537190911),('PH',3537190912,3537240063),('IN',3537240064,3537305599),('AU',3537305600,3537371135),('KR',3537371136,3537895423),('JP',3537895424,3538943999),('TW',3538944000,3539271679),('VN',3539271680,3539304447),('HK',3539304448,3539337215),('NZ',3539337216,3539353599),('TH',3539353600,3539402751),('JP',3539402752,3539435519),('AU',3539435520,3539468287),('JP',3539468288,3541303295),('TW',3541303296,3541565439),('MY',3541565440,3541696511),('AU',3541696512,3542089727),('KR',3542089728,3544186879),('CN',3544186880,3544711167),('TW',3544711168,3545235455),('CN',3545235456,3546808319),('KR',3546808320,3547856895),('JP',3547856896,3548905471),('CN',3548905472,3551002623),('KR',3551002624,3554544607),('DE',3554544608,3554544639),('KR',3554544640,3556769791),('DE',3556769792,3556774399),('EU',3556774400,3556786175),('RU',3556786176,3556794367),('ES',3556794368,3556795647),('IT',3556795648,3556795679),('ES',3556795680,3556802559),('SD',3556802560,3556810751),('PT',3556810752,3556818943),('MD',3556818944,3556827135),('NL',3556827136,3556843519),('DE',3556843520,3556847935),('US',3556847936,3556847967),('DE',3556847968,3556851711),('UA',3556851712,3556868095),('GB',3556868096,3556876287),('NL',3556876288,3556884479),('RU',3556884480,3556900863),('GB',3556900864,3556909055),('DE',3556909056,3556925439),('PL',3556925440,3556933631),('IE',3556941824,3556950015),('TR',3556950016,3556958207),('SE',3556966400,3556974591),('US',3556974592,3556974863),('GB',3556974864,3556975103),('US',3556975104,3556981759),('GB',3556981760,3556981887),('US',3556981888,3556982783),('DE',3556982784,3556990975),('UA',3556990976,3556999167),('RU',3556999168,3557007359),('GB',3557007360,3557015551),('DE',3557015552,3557023743),('BE',3557023744,3557023879),('GB',3557023880,3557023903),('BE',3557023904,3557023999),('GB',3557024000,3557024255),('BE',3557024256,3557024767),('GB',3557024768,3557025791),('BE',3557025792,3557026047),('GB',3557026048,3557026303),('BE',3557026304,3557026815),('GB',3557026816,3557027071),('BE',3557027072,3557027839),('GB',3557027840,3557027863),('BE',3557027864,3557028031),('GB',3557028032,3557028047),('BE',3557028048,3557028095),('GB',3557028096,3557028351),('BE',3557028352,3557028735),('GB',3557028736,3557028799),('BE',3557028800,3557028927),('GB',3557028928,3557028935),('BE',3557028936,3557029059),('GB',3557029060,3557029087),('BE',3557029088,3557029567),('GB',3557029568,3557029631),('BE',3557029632,3557030079),('GB',3557030080,3557030143),('BE',3557030144,3557030719),('GB',3557030720,3557030751),('BE',3557030752,3557030767),('GB',3557030768,3557030783),('BE',3557030784,3557030975),('GB',3557030976,3557031039),('BE',3557031040,3557031423),('GB',3557031424,3557031679),('BE',3557031680,3557031807),('GB',3557031808,3557031935),('IT',3557031936,3557033575),('GB',3557033576,3557033583),('IT',3557033584,3557034143),('GB',3557034144,3557034175),('IT',3557034176,3557040127),('NO',3557040128,3557048319),('CH',3557048320,3557056511),('ES',3557056512,3557064703),('CZ',3557064704,3557072895),('DE',3557072896,3557081087),('NL',3557081088,3557086015),('DE',3557086016,3557086047),('GB',3557086048,3557086079),('NL',3557086080,3557086719),('CH',3557086720,3557086783),('IT',3557086784,3557086847),('NL',3557086848,3557089279),('DE',3557089280,3557105663),('RU',3557113856,3557130239),('BG',3557130240,3557138431),('RU',3557138432,3557146623),('SK',3557146624,3557154815),('RU',3557154816,3557171199),('IR',3557171200,3557172991),('IQ',3557172992,3557173503),('IR',3557173504,3557173631),('IQ',3557173632,3557173695),('AE',3557173696,3557173703),('IT',3557173704,3557173759),('IR',3557173760,3557174015),('IQ',3557174016,3557174527),('IR',3557174528,3557174783),('AE',3557174784,3557175039),('IR',3557175040,3557176127),('IT',3557176128,3557176319),('NE',3557176320,3557176619),('IT',3557176620,3557176831),('IQ',3557176832,3557177023),('IT',3557177024,3557178367),('IR',3557178368,3557179391),('DE',3557179392,3557213351),('US',3557213352,3557213359),('DE',3557213360,3557228543),('EE',3557228544,3557236735),('ES',3557236736,3557244927),('IT',3557244928,3557253119),('AT',3557253120,3557261311),('DE',3557261312,3557277695),('BG',3557277696,3557285887),('RU',3557285888,3557294079),('DE',3557294080,3557302271),('UA',3557302272,3557310463),('ES',3557310464,3557326847),('DE',3557326848,3557335039),('BE',3557335040,3557335343),('EU',3557335344,3557335359),('BE',3557335360,3557335423),('EU',3557335424,3557335455),('BE',3557335456,3557335935),('EU',3557335936,3557335999),('BE',3557336000,3557336191),('EU',3557336192,3557336287),('BE',3557336288,3557336575),('EU',3557336576,3557338111),('BE',3557338112,3557338367),('EU',3557338368,3557338495),('BE',3557338496,3557338591),('EU',3557338592,3557338607),('BE',3557338608,3557339135),('EU',3557339136,3557339151),('BE',3557339152,3557339175),('EU',3557339176,3557339183),('BE',3557339184,3557339199),('EU',3557339200,3557339215),('BE',3557339216,3557339223),('EU',3557339224,3557339231),('BE',3557339232,3557339267),('EU',3557339268,3557339271),('BE',3557339272,3557340159),('EU',3557340160,3557340191),('BE',3557340192,3557340255),('EU',3557340256,3557340287),('BE',3557340288,3557340927),('EU',3557340928,3557341183),('BE',3557341184,3557341455),('GB',3557341456,3557341471),('BE',3557341472,3557341695),('EU',3557341696,3557341951),('BE',3557341952,3557342479),('EU',3557342480,3557342495),('BE',3557342496,3557342543),('EU',3557342544,3557342559),('BE',3557342560,3557342623),('EU',3557342624,3557342719),('BE',3557342720,3557343231),('DE',3557343232,3557351423),('RU',3557351424,3557359615),('GB',3557359616,3557365439),('JE',3557365440,3557365503),('GB',3557365504,3557367807),('DE',3557367808,3557371391),('US',3557371392,3557371903),('DE',3557371904,3557375999),('ES',3557376000,3557384191),('GB',3557384192,3557392383),('AT',3557392384,3557400575),('DE',3557400576,3557408767),('GB',3557408768,3557416959),('UA',3557416960,3557425151),('DK',3557425152,3557490687),('FR',3557490688,3557497431),('A2',3557497432,3557497439),('FR',3557497440,3557507071),('IT',3557507072,3557515263),('CZ',3557515264,3557523455),('RU',3557523456,3557531647),('SA',3557531648,3557539839),('SY',3557539840,3557548031),('DE',3557548032,3557556223),('RU',3557556224,3557564415),('DE',3557564416,3557570319),('ES',3557570320,3557570335),('DE',3557570336,3557571295),('GB',3557571296,3557571315),('DE',3557571316,3557572607),('RU',3557572608,3557580799),('DE',3557580800,3557584287),('GB',3557584288,3557584319),('DE',3557584320,3557585151),('CH',3557585152,3557585279),('DE',3557585280,3557585695),('CH',3557585696,3557585711),('DE',3557585712,3557585887),('CH',3557585888,3557585903),('DE',3557585904,3557588991),('TR',3557588992,3557597183),('SA',3557597184,3557597711),('AS',3557597712,3557597719),('SA',3557597720,3557605375),('LT',3557605376,3557613567),('EG',3557613568,3557621759),('IT',3557621760,3557629951),('PT',3557629952,3557638143),('MK',3557638144,3557646335),('RU',3557646336,3557654527),('KZ',3557654528,3557670911),('GB',3557670912,3557679103),('SI',3557679104,3557686271),('BA',3557686272,3557686279),('SI',3557686280,3557687295),('PL',3557687296,3557703679),('DE',3557703680,3557711871),('ES',3557711872,3557720063),('IT',3557720064,3557728255),('RU',3557728256,3557744639),('PS',3557744640,3557752831),('TR',3557752832,3557761023),('RU',3557761024,3557769215),('GB',3557769216,3557777407),('RU',3557777408,3557785599),('UA',3557785600,3557793791),('HR',3557793792,3557801983),('DE',3557801984,3557810175),('ES',3557810176,3557818367),('RU',3557818368,3557826559),('AT',3557826560,3557834751),('IR',3557834752,3557842943),('FI',3557842944,3557851135),('HU',3557851136,3557859327),('SE',3557859328,3557867519),('RU',3557867520,3557875711),('DE',3557875712,3557883903),('RU',3557883904,3557892095),('IE',3557892096,3557900287),('AT',3557900288,3557916671),('NO',3557916672,3557924863),('FI',3557924864,3557933055),('IT',3557933056,3557941247),('DE',3557941248,3557945183),('GB',3557945184,3557945199),('DE',3557945200,3557957631),('SI',3557957632,3557960975),('AE',3557960976,3557960983),('SI',3557960984,3557961375),('AE',3557961376,3557961407),('SI',3557961408,3557965823),('DE',3557965824,3557974015),('CH',3557974016,3557982207),('NO',3557982208,3557990399),('PT',3557990400,3557998591),('DE',3557998592,3558006783),('GB',3558006784,3558014975),('RU',3558014976,3558023167),('DE',3558023168,3558031359),('GB',3558031360,3558039551),('IT',3558039552,3558047743),('KZ',3558047744,3558055935),('FR',3558055936,3558064127),('NL',3558064128,3558067839),('US',3558067840,3558067855),('NL',3558067856,3558080511),('RU',3558080512,3558096895),('CZ',3558096896,3558113279),('DE',3558113280,3558114767),('FR',3558114768,3558114775),('DE',3558114776,3558122767),('CH',3558122768,3558122783),('DE',3558122784,3558129663),('NO',3558129664,3558137855),('GB',3558137856,3558154239),('DE',3558154240,3558170623),('GB',3558170624,3558178815),('BG',3558178816,3558187007),('DE',3558187008,3558195199),('BE',3558195200,3558195455),('ES',3558195456,3558196031),('IT',3558196032,3558196047),('ES',3558196048,3558196063),('IT',3558196064,3558196127),('ES',3558196128,3558196159),('IT',3558196160,3558196167),('ES',3558196168,3558196175),('IT',3558196176,3558196191),('ES',3558196192,3558196199),('IT',3558196200,3558196271),('ES',3558196272,3558196351),('IT',3558196352,3558196355),('ES',3558196356,3558196359),('IT',3558196360,3558196415),('ES',3558196416,3558196479),('IT',3558196480,3558196495),('ES',3558196496,3558196527),('IT',3558196528,3558196607),('ES',3558196608,3558196719),('IT',3558196720,3558196727),('ES',3558196728,3558196735),('US',3558196736,3558203391),('ES',3558203392,3558211583),('GB',3558211584,3558219775),('ES',3558219776,3558227967),('RU',3558227968,3558236159),('GB',3558236160,3558244351),('IT',3558244352,3558252543),('KE',3558252544,3558260735),('GB',3558268928,3558269439),('GI',3558269440,3558269951),('GB',3558269952,3558270463),('GI',3558270464,3558271231),('GB',3558271232,3558271487),('GI',3558271488,3558276095),('GB',3558276096,3558276863),('GI',3558276864,3558277119),('GB',3558277120,3558285567),('DE',3558285568,3558285823),('GB',3558285824,3558285951),('DE',3558285952,3558286079),('GB',3558286080,3558286591),('FR',3558286592,3558286847),('GB',3558286848,3558287679),('BE',3558287680,3558287743),('NL',3558287744,3558287871),('FR',3558287872,3558287935),('IT',3558287936,3558287999),('DE',3558288000,3558288063),('ES',3558288064,3558288127),('AT',3558288128,3558288191),('SE',3558288192,3558288255),('US',3558288256,3558288319),('CH',3558288320,3558288383),('US',3558288384,3558288431),('GB',3558288432,3558288447),('US',3558288448,3558288483),('GB',3558288484,3558288487),('GU',3558288488,3558288495),('US',3558288496,3558288639),('BE',3558288640,3558288671),('DE',3558288672,3558288687),('BE',3558288688,3558288703),('GB',3558288704,3558288719),('BE',3558288720,3558288895),('FR',3558288896,3558289103),('GB',3558289104,3558289119),('FR',3558289120,3558289151),('GB',3558289152,3558289407),('NL',3558289408,3558289663),('IT',3558289664,3558289747),('GB',3558289748,3558289751),('IT',3558289752,3558289919),('CZ',3558289920,3558290175),('GB',3558290176,3558290431),('BE',3558290432,3558290575),('GB',3558290576,3558290591),('BE',3558290592,3558290623),('GB',3558290624,3558290655),('BE',3558290656,3558290663),('GB',3558290664,3558290671),('BE',3558290672,3558290687),('ES',3558290688,3558290943),('DE',3558290944,3558290959),('NL',3558290960,3558290967),('GB',3558290968,3558290975),('NL',3558290976,3558290991),('DE',3558290992,3558291007),('GB',3558291008,3558291023),('SE',3558291024,3558291031),('GB',3558291032,3558291039),('DE',3558291040,3558291135),('GB',3558291136,3558291199),('CH',3558291200,3558291215),('AT',3558291216,3558291231),('CH',3558291232,3558291239),('GB',3558291240,3558291247),('CH',3558291248,3558291263),('AT',3558291264,3558291279),('CH',3558291280,3558291455),('GB',3558291456,3558291903),('DE',3558291904,3558291967),('GB',3558291968,3558292223),('SE',3558292224,3558292287),('NL',3558292288,3558292543),('GB',3558292544,3558292607),('NL',3558292608,3558292735),('GB',3558292736,3558292863),('DE',3558292864,3558292871),('NL',3558292872,3558293503),('RU',3558293504,3558301695),('DE',3558301696,3558318079),('FR',3558318080,3558319889),('ES',3558319890,3558319891),('FR',3558319892,3558334463),('CH',3558334464,3558342655),('IT',3558342656,3558350847),('RU',3558350848,3558359039),('GB',3558359040,3558367231),('AT',3558367232,3558367271),('GI',3558367272,3558367279),('AT',3558367280,3558368015),('AR',3558368016,3558368031),('CL',3558368032,3558368063),('ES',3558368064,3558368079),('DE',3558368080,3558368095),('US',3558368096,3558368111),('GB',3558368112,3558368127),('AT',3558368128,3558368159),('DE',3558368160,3558368191),('US',3558368192,3558368207),('GB',3558368208,3558368223),('ES',3558368224,3558368239),('AR',3558368240,3558368255),('AT',3558368256,3558368271),('GB',3558368272,3558368287),('CL',3558368288,3558368319),('AR',3558368320,3558368383),('AT',3558368384,3558368415),('DE',3558368416,3558368479),('ES',3558368480,3558368495),('US',3558368496,3558368511),('AT',3558368512,3558372351),('BG',3558372352,3558372607),('AT',3558372608,3558372735),('ES',3558372736,3558373119),('AT',3558373120,3558375423),('CZ',3558375424,3558383615),('HU',3558383616,3558391807),('LU',3558391808,3558399999),('SA',3558400000,3558408191),('CH',3558408192,3558416383),('BG',3558416384,3558424575),('IL',3558424576,3558440959),('ES',3558440960,3558449151),('IT',3558449152,3558457343),('BE',3558457344,3558457407),('GB',3558457408,3558457599),('FR',3558457600,3558457727),('NL',3558457728,3558465535),('GB',3558465536,3558473727),('SA',3558473728,3558506495),('UA',3558506496,3558514687),('SK',3558514688,3558522879),('NL',3558522880,3558531071),('RU',3558531072,3558539263),('SE',3558539264,3558543359),('DK',3558543360,3558547455),('FR',3558547456,3558555647),('AT',3558555648,3558572031),('DE',3558572032,3558579839),('GB',3558579840,3558579871),('DE',3558579872,3558580223),('CH',3558580224,3558581119),('DE',3558581120,3558581151),('CH',3558581152,3558581423),('DE',3558581424,3558581439),('CH',3558581440,3558586303),('NL',3558586304,3558586335),('CH',3558586336,3558588415),('CZ',3558588416,3558596607),('EE',3558596608,3558604799),('GB',3558604800,3558612991),('DE',3558612992,3558621183),('RU',3558621184,3558629375),('DE',3558629376,3558637567),('CH',3558637568,3558645759),('IT',3558645760,3558653951),('SE',3558653952,3558662143),('LB',3558662144,3558670335),('DE',3558670336,3558686719),('TR',3558686720,3558703103),('IT',3558703104,3558711295),('NL',3558711296,3558719487),('IL',3558719488,3558735871),('GB',3558735872,3558744063),('SI',3558752256,3558760447),('FR',3558760448,3558768639),('RU',3558768640,3558785023),('IS',3558785024,3558801407),('TR',3558801408,3558809599),('ES',3558809600,3558817791),('AT',3558817792,3558819167),('DE',3558819168,3558819199),('AT',3558819200,3558821791),('DE',3558821792,3558821799),('AT',3558821800,3558821823),('DE',3558821824,3558821831),('AT',3558821832,3558825983),('CY',3558825984,3558827807),('A2',3558827808,3558827815),('CY',3558827816,3558828287),('A2',3558828288,3558828303),('CY',3558828304,3558832383),('LB',3558832384,3558832639),('CY',3558832640,3558834175),('FR',3558834176,3558842367),('SE',3558842368,3558850559),('ES',3558850560,3558850815),('US',3558850816,3558851327),('ES',3558851328,3558851359),('GB',3558851360,3558851391),('ES',3558851392,3558851471),('NO',3558851472,3558851479),('ES',3558851480,3558851807),('PT',3558851808,3558851815),('IR',3558851816,3558851823),('ES',3558851824,3558852095),('GB',3558852096,3558852607),('DE',3558852608,3558852863),('ES',3558852864,3558853119),('BE',3558853120,3558853375),('ES',3558853376,3558853391),('DE',3558853392,3558853407),('ES',3558853408,3558853439),('DE',3558853440,3558853467),('ES',3558853468,3558853503),('DE',3558853504,3558853511),('ES',3558853512,3558853535),('DE',3558853536,3558853547),('ES',3558853548,3558853615),('DE',3558853616,3558853631),('ES',3558853632,3558854655),('US',3558854656,3558854911),('ES',3558854912,3558854975),('US',3558854976,3558855039),('GB',3558855040,3558855167),('US',3558855168,3558855183),('ES',3558855184,3558855423),('NL',3558855424,3558855431),('ES',3558855432,3558855935),('US',3558855936,3558856191),('GB',3558856192,3558856575),('ES',3558856576,3558856639),('NL',3558856640,3558856703),('US',3558856704,3558858751),('IT',3558858752,3558866943),('GB',3558866944,3558899711),('SE',3558899712,3558916095),('RU',3558916096,3558924287),('NL',3558924288,3558932479),('RU',3558932480,3558940671),('AT',3558940672,3558948863),('PL',3558948864,3558957055),('PS',3558957056,3558965247),('NO',3558965248,3558973439),('SA',3558973440,3558981631),('IR',3558981632,3558989823),('RU',3558989824,3558998015),('JO',3558998016,3559006207),('RU',3559006208,3559014399),('DE',3559014400,3559022591),('RU',3559022592,3559030783),('ES',3559030784,3559038720),('US',3559038721,3559038975),('DE',3559038976,3559047167),('IT',3559047168,3559063551),('CH',3559063552,3559079935),('JO',3559079936,3559088127),('BE',3559088128,3559088283),('GB',3559088284,3559088287),('BE',3559088288,3559088367),('GB',3559088368,3559088371),('BE',3559088372,3559088431),('GB',3559088432,3559088447),('BE',3559088448,3559088551),('GB',3559088552,3559088559),('BE',3559088560,3559088919),('GB',3559088920,3559088927),('BE',3559088928,3559089015),('GB',3559089016,3559089023),('BE',3559089024,3559089055),('DE',3559089056,3559089063),('BE',3559089064,3559089143),('GB',3559089144,3559089151),('BE',3559089152,3559089159),('GB',3559089160,3559089215),('BE',3559089216,3559089279),('GB',3559089280,3559089287),('BE',3559089288,3559089295),('GB',3559089296,3559089343),('BE',3559089344,3559089563),('GB',3559089564,3559089567),('BE',3559089568,3559089607),('GB',3559089608,3559089611),('BE',3559089612,3559089663),('GB',3559089664,3559089919),('BE',3559089920,3559089983),('GB',3559089984,3559090071),('NL',3559090072,3559090079),('GB',3559090080,3559090191),('BE',3559090192,3559090199),('GB',3559090200,3559090207),('BE',3559090208,3559090215),('GB',3559090216,3559090239),('BE',3559090240,3559090367),('GB',3559090368,3559090399),('BE',3559090400,3559090415),('GB',3559090416,3559090431),('BE',3559090432,3559090503),('GB',3559090504,3559090511),('BE',3559090512,3559090519),('GB',3559090520,3559090527),('BE',3559090528,3559090559),('GB',3559090560,3559090567),('BE',3559090568,3559090615),('GB',3559090616,3559090623),('BE',3559090624,3559090719),('GB',3559090720,3559090751),('BE',3559090752,3559090759),('GB',3559090760,3559090767),('BE',3559090768,3559090783),('GB',3559090784,3559090791),('BE',3559090792,3559090815),('GB',3559090816,3559090823),('BE',3559090824,3559090895),('GB',3559090896,3559090899),('BE',3559090900,3559090919),('GB',3559090920,3559090927),('BE',3559090928,3559091047),('GB',3559091048,3559091055),('BE',3559091056,3559091111),('GB',3559091112,3559091115),('BE',3559091116,3559091131),('GB',3559091132,3559091135),('BE',3559091136,3559091223),('GB',3559091224,3559091231),('BE',3559091232,3559091239),('GB',3559091240,3559091247),('BE',3559091248,3559091327),('GB',3559091328,3559091391),('BE',3559091392,3559091399),('GB',3559091400,3559091407),('BE',3559091408,3559091423),('GB',3559091424,3559091427),('BE',3559091428,3559091507),('GB',3559091508,3559091511),('BE',3559091512,3559091519),('GB',3559091520,3559091535),('BE',3559091536,3559091583),('GB',3559091584,3559091615),('BE',3559091616,3559091631),('GB',3559091632,3559091635),('BE',3559091636,3559091775),('GB',3559091776,3559091783),('BE',3559091784,3559091791),('GB',3559091792,3559091823),('BE',3559091824,3559091855),('GB',3559091856,3559091871),('BE',3559091872,3559092159),('GB',3559092160,3559092160),('BE',3559092161,3559092222),('GB',3559092223,3559092223),('BE',3559092224,3559092239),('GB',3559092240,3559092247),('BE',3559092248,3559092287),('GB',3559092288,3559092351),('BE',3559092352,3559092367),('GB',3559092368,3559092383),('BE',3559092384,3559092447),('GB',3559092448,3559092463),('BE',3559092464,3559092471),('GB',3559092472,3559092739),('BE',3559092740,3559092783),('GB',3559092784,3559092791),('BE',3559092792,3559092855),('GB',3559092856,3559092863),('BE',3559092864,3559092879),('GB',3559092880,3559092895),('BE',3559092896,3559092959),('GB',3559092960,3559092975),('BE',3559092976,3559093007),('GB',3559093008,3559093015),('BE',3559093016,3559093019),('GB',3559093020,3559093023),('BE',3559093024,3559093083),('GB',3559093084,3559093087),('BE',3559093088,3559093135),('GB',3559093136,3559093159),('BE',3559093160,3559093299),('GB',3559093300,3559093303),('BE',3559093304,3559093311),('GB',3559093312,3559093319),('BE',3559093320,3559093351),('GB',3559093352,3559093355),('BE',3559093356,3559093567),('GB',3559093568,3559093599),('BE',3559093600,3559093671),('GB',3559093672,3559093675),('BE',3559093676,3559093679),('GB',3559093680,3559093695),('BE',3559093696,3559093703),('GB',3559093704,3559093711),('BE',3559093712,3559093759),('GB',3559093760,3559094015),('BE',3559094016,3559094071),('GB',3559094072,3559094079),('BE',3559094080,3559094087),('GB',3559094088,3559094095),('BE',3559094096,3559094103),('GB',3559094104,3559094111),('BE',3559094112,3559094151),('GB',3559094152,3559094159),('BE',3559094160,3559094183),('GB',3559094184,3559094191),('BE',3559094192,3559094415),('GB',3559094416,3559094431),('BE',3559094432,3559094783),('GB',3559094784,3559095039),('BE',3559095040,3559095063),('GB',3559095064,3559095071),('BE',3559095072,3559095119),('GB',3559095120,3559095135),('BE',3559095136,3559095263),('GB',3559095264,3559095303),('BE',3559095304,3559095351),('GB',3559095352,3559095359),('BE',3559095360,3559095423),('GB',3559095424,3559095455),('BE',3559095456,3559095487),('GB',3559095488,3559095551),('BE',3559095552,3559095575),('GB',3559095576,3559095583),('BE',3559095584,3559095591),('GB',3559095592,3559095623),('BE',3559095624,3559095631),('GB',3559095632,3559095647),('BE',3559095648,3559095767),('GB',3559095768,3559095775),('BE',3559095776,3559096087),('GB',3559096088,3559096095),('BE',3559096096,3559096103),('GB',3559096104,3559096107),('BE',3559096108,3559096123),('GB',3559096124,3559096127),('BE',3559096128,3559096191),('GB',3559096192,3559096223),('BE',3559096224,3559096247),('GB',3559096248,3559096251),('BE',3559096252,3559096255),('GB',3559096256,3559096319),('RO',3559096320,3559103231),('GB',3559103232,3559103487),('RO',3559103488,3559104511),('UA',3559104512,3559112703),('IT',3559112704,3559120895),('GB',3559120896,3559129087),('BG',3559129088,3559137279),('GB',3559137280,3559145471),('ES',3559145472,3559153663),('GB',3559153664,3559177215),('DE',3559177216,3559177471),('GB',3559177472,3559177727),('DE',3559177728,3559178239),('LB',3559178240,3559186431),('DE',3559186432,3559194623),('SE',3559194624,3559202815),('DE',3559202816,3559211007),('GR',3559211008,3559219199),('SE',3559219200,3559227391),('DK',3559227392,3559235583),('DE',3559235584,3559243775),('FR',3559243776,3559251967),('NO',3559251968,3559260159),('DE',3559260160,3559268351),('IT',3559268352,3559276543),('GB',3559276544,3559284735),('RU',3559284736,3559284895),('UA',3559284896,3559284911),('RU',3559284912,3559288175),('UA',3559288176,3559288191),('AZ',3559288192,3559288207),('RU',3559288208,3559288575),('AZ',3559288576,3559289855),('RU',3559289856,3559291391),('AZ',3559291392,3559291647),('RU',3559291648,3559291903),('AZ',3559291904,3559292159),('RU',3559292160,3559292927),('JO',3559292928,3559301119),('GB',3559301120,3559309311),('PL',3559309312,3559317503),('FI',3559317504,3559325695),('IT',3559325696,3559333887),('SE',3559333888,3559336447),('US',3559336448,3559336703),('SE',3559336704,3559342079),('BG',3559342080,3559350271),('BA',3559350272,3559358463),('FR',3559358464,3559366655),('GB',3559366656,3559374847),('AT',3559374848,3559383039),('GB',3559383040,3559391231),('CH',3559391232,3559399423),('UA',3559399424,3559406591),('DE',3559406592,3559406847),('UA',3559406848,3559407615),('HU',3559407616,3559423999),('LB',3559424000,3559432191),('DE',3559432192,3559440383),('RU',3559440384,3559448575),('ES',3559448576,3559456767),('RU',3559456768,3559473151),('CH',3559473152,3559489535),('NL',3559489536,3559490591),('DE',3559490592,3559490623),('NL',3559490624,3559490783),('CH',3559490784,3559490791),('BE',3559490792,3559490799),('ES',3559490800,3559490815),('NL',3559490816,3559491135),('ES',3559491136,3559491167),('NL',3559491168,3559491767),('ES',3559491768,3559491771),('NL',3559491772,3559491871),('GB',3559491872,3559491903),('NL',3559491904,3559491935),('ES',3559491936,3559491967),('NL',3559491968,3559492013),('ES',3559492014,3559492015),('NL',3559492016,3559492023),('ES',3559492024,3559492031),('NL',3559492032,3559493151),('IT',3559493152,3559493167),('NL',3559493168,3559493247),('ES',3559493248,3559493279),('GB',3559493280,3559493311),('NL',3559493312,3559493349),('ES',3559493350,3559493359),('NL',3559493360,3559497727),('GB',3559497728,3559505919),('IT',3559505920,3559514111),('AT',3559514112,3559522303),('GB',3559522304,3559530495),('RU',3559530496,3559538687),('UA',3559538688,3559546879),('KG',3559546880,3559555071),('CH',3559555072,3559563263),('GB',3559563264,3559571455),('AM',3559571456,3559579647),('DE',3559579648,3559586271),('US',3559586272,3559586303),('DE',3559586304,3559587839),('KW',3559587840,3559596031),('BG',3559596032,3559604223),('DE',3559604224,3559612415),('IT',3559612416,3559620607),('CH',3559620608,3559628799),('GB',3559628800,3559636991),('FR',3559636992,3559653375),('GB',3559653376,3559669759),('RU',3559669760,3559677951),('SI',3559677952,3559686143),('RU',3559686144,3559694335),('DE',3559694336,3559702655),('RU',3559702656,3559702719),('DE',3559702720,3559703039),('UA',3559703040,3559703551),('IR',3559703552,3559703679),('DE',3559703680,3559703807),('IR',3559703808,3559704063),('DE',3559704064,3559710463),('IR',3559710464,3559710719),('FR',3559710720,3559718911),('RU',3559718912,3559727103),('NL',3559727104,3559735295),('BG',3559735296,3559743487),('IT',3559743488,3559759871),('NO',3559759872,3559768063),('CH',3559768064,3559776255),('RU',3559776256,3559792639),('SA',3559792640,3559800831),('IT',3559800832,3559809023),('DE',3559809024,3559817215),('GB',3559817216,3559825407),('IT',3559825408,3559833599),('RU',3559833600,3559849983),('CZ',3559849984,3559858175),('IT',3559858176,3559866367),('GB',3559866368,3559874559),('LT',3559874560,3559877951),('CH',3559877952,3559877967),('LT',3559877968,3559882751),('AZ',3559882752,3559890943),('CH',3559890944,3559899135),('EE',3559899136,3559899907),('RU',3559899908,3559899935),('EE',3559899936,3559899951),('RU',3559899952,3559899955),('EE',3559899956,3559899959),('RU',3559899960,3559899991),('EE',3559899992,3559905139),('DE',3559905140,3559905143),('EE',3559905144,3559907327),('FR',3559907328,3559915519),('IT',3559915520,3559923711),('RU',3559923712,3559931903),('IL',3559931904,3559940095),('DE',3559940096,3559945471),('US',3559945472,3559945727),('DE',3559945728,3559948287),('RU',3559948288,3559956479),('IT',3559956480,3559956543),('NL',3559956544,3559956551),('IT',3559956552,3559957567),('NL',3559957568,3559957599),('IT',3559957600,3559964671),('RU',3559964672,3559972863),('TR',3559972864,3559981055),('EE',3559981056,3559989247),('IT',3559989248,3559997439),('KE',3559997440,3560005631),('RU',3560005632,3560013823),('ES',3560013824,3560022975),('IT',3560022976,3560022991),('ES',3560022992,3560030207),('GB',3560030208,3560046591),('BG',3560046592,3560054783),('TR',3560054784,3560062975),('BG',3560062976,3560071167),('CY',3560071168,3560079359),('FI',3560079360,3560087551),('GB',3560087552,3560095743),('FI',3560095744,3560103935),('IR',3560103936,3560112127),('DE',3560112128,3560120319),('ES',3560120320,3560128511),('HU',3560128512,3560144895),('CH',3560144896,3560153087),('FR',3560153088,3560161279),('PL',3560161280,3560169471),('AT',3560169472,3560177663),('NL',3560177664,3560185855),('LT',3560185856,3560194047),('IT',3560194048,3560210431),('BF',3560210432,3560218623),('HU',3560218624,3560226815),('AT',3560226816,3560235007),('DE',3560235008,3560243199),('BE',3560243200,3560244223),('NL',3560244224,3560251391),('RU',3560251392,3560252519),('UA',3560252520,3560252527),('RU',3560252528,3560259583),('GB',3560259584,3560267775),('CH',3560267776,3560275967),('DE',3560275968,3560308735),('FI',3560308736,3560316927),('NL',3560316928,3560325119),('DK',3560325120,3560333311),('RO',3560333312,3560341503),('PT',3560341504,3560349695),('GB',3560349696,3560357887),('GR',3560357888,3560366079),('CH',3560366080,3560374271),('ES',3560374272,3560382463),('FO',3560382464,3560390655),('RU',3560398848,3560407039),('PT',3560407040,3560423423),('CH',3560423424,3560431615),('SK',3560431616,3560439807),('BG',3560439808,3560447999),('GB',3560448000,3560449791),('US',3560449792,3560450047),('GB',3560450048,3560472575),('MT',3560472576,3560480767),('IT',3560480768,3560488959),('MD',3560488960,3560497151),('LU',3560497152,3560501247),('EU',3560501248,3560501503),('LU',3560501504,3560505343),('TR',3560505344,3560513535),('GB',3560513536,3560521727),('PT',3560521728,3560529919),('RU',3560529920,3560554495),('GB',3560554496,3560570879),('TR',3560570880,3560579071),('GB',3560579072,3560587263),('DE',3560587264,3560595455),('GE',3560595456,3560603647),('GB',3560603648,3560611839),('UA',3560611840,3560620031),('RU',3560620032,3560628223),('GB',3560628224,3560632207),('NL',3560632208,3560632215),('GB',3560632216,3560636415),('LT',3560636416,3560644607),('DE',3560644608,3560652799),('GB',3560652800,3560660991),('RU',3560660992,3560669183),('CH',3560669184,3560685567),('ES',3560685568,3560693759),('PL',3560693760,3560701951),('DE',3560701952,3560710143),('CH',3560710144,3560718335),('GM',3560718336,3560726527),('DK',3560726528,3560734719),('DE',3560734720,3560742623),('GB',3560742624,3560742631),('DE',3560742632,3560742911),('AT',3560742912,3560751103),('DE',3560751104,3560767487),('NL',3560767488,3560832791),('BE',3560832792,3560832799),('NL',3560832800,3560833023),('GB',3560833024,3560841215),('RS',3560841216,3560849407),('DE',3560849408,3560857599),('SA',3560857600,3560865791),('FR',3560865792,3560882175),('DE',3560882176,3560890367),('NO',3560890368,3560898559),('FI',3560898560,3560906751),('DE',3560906752,3560916383),('CH',3560916384,3560916391),('DE',3560916392,3560919047),('CH',3560919048,3560919055),('DE',3560919056,3560923135),('IT',3560923136,3560931327),('DE',3560931328,3560939523),('AT',3560939524,3560939527),('DE',3560939528,3560939535),('PT',3560939536,3560939539),('IT',3560939540,3560939543),('DE',3560939544,3560939555),('ES',3560939556,3560939559),('DE',3560939560,3560939563),('IT',3560939564,3560939567),('NL',3560939568,3560939571),('ES',3560939572,3560939579),('BE',3560939580,3560939583),('DE',3560939584,3560939587),('BE',3560939588,3560939591),('DE',3560939592,3560939607),('IT',3560939608,3560939611),('DE',3560939612,3560939623),('NL',3560939624,3560939627),('CH',3560939628,3560939631),('DE',3560939632,3560939643),('BE',3560939644,3560939647),('DE',3560939648,3560939655),('CH',3560939656,3560939659),('DE',3560939660,3560939663),('DK',3560939664,3560939667),('DE',3560939668,3560939675),('PL',3560939676,3560939679),('IT',3560939680,3560939683),('AT',3560939684,3560939687),('ES',3560939688,3560939691),('FR',3560939692,3560939695),('DE',3560939696,3560939703),('ES',3560939704,3560939707),('DE',3560939708,3560939719),('GR',3560939720,3560939727),('NL',3560939728,3560939735),('FR',3560939736,3560939751),('IT',3560939752,3560939755),('DE',3560939756,3560939759),('IT',3560939760,3560939763),('DE',3560939764,3560939767),('IE',3560939768,3560939771),('CZ',3560939772,3560939775),('BE',3560939776,3560939779),('DK',3560939780,3560939783),('DE',3560939784,3560939791),('FR',3560939792,3560939795),('GB',3560939796,3560939799),('DE',3560939800,3560939803),('IT',3560939804,3560939807),('FR',3560939808,3560939811),('DE',3560939812,3560939815),('CH',3560939816,3560939819),('DE',3560939820,3560939823),('LI',3560939824,3560939827),('FR',3560939828,3560939831),('DE',3560939832,3560939839),('GB',3560939840,3560939843),('ES',3560939844,3560939847),('BE',3560939848,3560939851),('ES',3560939852,3560939855),('FR',3560939856,3560939859),('HU',3560939860,3560939863),('ES',3560939864,3560939867),('DE',3560939868,3560939875),('CH',3560939876,3560939879),('DE',3560939880,3560939887),('CH',3560939888,3560939891),('DE',3560939892,3560939895),('ES',3560939896,3560939899),('GB',3560939900,3560939903),('BR',3560939904,3560939907),('NL',3560939908,3560939911),('RE',3560939912,3560939915),('ES',3560939916,3560939919),('DE',3560939920,3560939927),('NL',3560939928,3560939931),('IT',3560939932,3560939935),('DE',3560939936,3560939939),('AT',3560939940,3560939943),('FR',3560939944,3560939951),('DE',3560939952,3560939955),('AT',3560939956,3560939959),('CH',3560939960,3560939963),('DE',3560939964,3560939967),('ES',3560939968,3560939971),('DE',3560939972,3560939975),('BE',3560939976,3560939983),('FR',3560939984,3560939987),('ES',3560939988,3560939991),('IT',3560939992,3560939995),('DE',3560939996,3560939999),('ES',3560940000,3560940007),('DE',3560940008,3560940015),('BE',3560940016,3560940019),('GB',3560940020,3560940023),('GR',3560940024,3560940027),('DE',3560940028,3560940043),('GB',3560940044,3560940047),('ES',3560940048,3560940051),('BE',3560940052,3560940055),('NL',3560940056,3560940059),('LU',3560940060,3560940063),('CH',3560940064,3560940067),('FR',3560940068,3560940071),('DE',3560940072,3560940075),('ES',3560940076,3560940079),('DE',3560940080,3560940087),('IT',3560940088,3560940091),('CH',3560940092,3560940095),('IT',3560940096,3560940099),('FR',3560940100,3560940103),('DE',3560940104,3560940115),('FR',3560940116,3560940119),('GB',3560940120,3560940123),('DE',3560940124,3560940127),('IT',3560940128,3560940135),('AT',3560940136,3560940139),('HU',3560940140,3560940143),('DE',3560940144,3560940147),('IT',3560940148,3560940151),('FR',3560940152,3560940155),('ES',3560940156,3560940159),('IT',3560940160,3560940163),('FR',3560940164,3560940171),('DE',3560940172,3560940175),('FR',3560940176,3560940179),('BE',3560940180,3560940183),('FR',3560940184,3560940187),('IT',3560940188,3560940191),('AT',3560940192,3560940195),('DE',3560940196,3560940199),('CY',3560940200,3560940203),('DE',3560940204,3560940207),('ES',3560940208,3560940211),('FR',3560940212,3560940215),('IE',3560940216,3560940219),('DE',3560940220,3560940227),('CH',3560940228,3560940231),('IT',3560940232,3560940235),('DE',3560940236,3560940239),('PT',3560940240,3560940243),('GB',3560940244,3560940247),('DE',3560940248,3560940251),('CH',3560940252,3560940255),('DE',3560940256,3560940263),('AT',3560940264,3560940267),('GB',3560940268,3560940275),('FR',3560940276,3560940279),('AT',3560940280,3560940283),('DE',3560940284,3560940287),('FR',3560940288,3560940291),('DE',3560940292,3560940307),('BE',3560940308,3560940311),('DE',3560940312,3560940327),('ES',3560940328,3560940331),('DE',3560940332,3560940339),('CH',3560940340,3560940343),('NL',3560940344,3560940347),('DE',3560940348,3560940367),('FR',3560940368,3560940371),('CH',3560940372,3560940379),('DE',3560940380,3560940387),('ES',3560940388,3560940391),('DE',3560940392,3560940395),('IL',3560940396,3560940399),('CH',3560940400,3560940403),('DE',3560940404,3560940407),('IT',3560940408,3560940411),('DE',3560940412,3560940419),('GR',3560940420,3560940423),('DE',3560940424,3560940431),('FR',3560940432,3560940435),('DE',3560940436,3560940439),('BE',3560940440,3560940443),('SL',3560940444,3560940447),('DE',3560940448,3560940451),('NL',3560940452,3560940455),('DE',3560940456,3560940459),('HU',3560940460,3560940463),('CY',3560940464,3560940467),('DE',3560940468,3560940471),('FR',3560940472,3560940475),('CH',3560940476,3560940479),('ES',3560940480,3560940487),('CZ',3560940488,3560940491),('ES',3560940492,3560940495),('IT',3560940496,3560940499),('DE',3560940500,3560940503),('GB',3560940504,3560940507),('IT',3560940508,3560940511),('DE',3560940512,3560940523),('FR',3560940524,3560940527),('DE',3560940528,3560940531),('FR',3560940532,3560940535),('HU',3560940536,3560940539),('IT',3560940540,3560940543),('DE',3560940544,3560940547),('IE',3560940548,3560940551),('DE',3560940552,3560940563),('GB',3560940564,3560940567),('DE',3560940568,3560940571),('DK',3560940572,3560940575),('ES',3560940576,3560940579),('IT',3560940580,3560940583),('FR',3560940584,3560940587),('IT',3560940588,3560940591),('GR',3560940592,3560940595),('CH',3560940596,3560940599),('MA',3560940600,3560940603),('GB',3560940604,3560940607),('FR',3560940608,3560940611),('CH',3560940612,3560940615),('DE',3560940616,3560940619),('AT',3560940620,3560940623),('SM',3560940624,3560940627),('PL',3560940628,3560940631),('AT',3560940632,3560940635),('DE',3560940636,3560940639),('GB',3560940640,3560940647),('DE',3560940648,3560940655),('IT',3560940656,3560940663),('DE',3560940664,3560940683),('DK',3560940684,3560940687),('IT',3560940688,3560940691),('NO',3560940692,3560940695),('FR',3560940696,3560940699),('GB',3560940700,3560940703),('ES',3560940704,3560940707),('BE',3560940708,3560940711),('DE',3560940712,3560940715),('ES',3560940716,3560940719),('PL',3560940720,3560940723),('DE',3560940724,3560940727),('FR',3560940728,3560940731),('DE',3560940732,3560940735),('DK',3560940736,3560940739),('IT',3560940740,3560940743),('DE',3560940744,3560940751),('IE',3560940752,3560940755),('FR',3560940756,3560940763),('CH',3560940764,3560940767),('DE',3560940768,3560940779),('IT',3560940780,3560940783),('NL',3560940784,3560940787),('GB',3560940788,3560940791),('ES',3560940792,3560940799),('DE',3560940800,3560940803),('GB',3560940804,3560940807),('IT',3560940808,3560940811),('DE',3560940812,3560940815),('FR',3560940816,3560940819),('NL',3560940820,3560940823),('IT',3560940824,3560940827),('ES',3560940828,3560940831),('DE',3560940832,3560940835),('FR',3560940836,3560940839),('IT',3560940840,3560940843),('ES',3560940844,3560940851),('DE',3560940852,3560940859),('PT',3560940860,3560940863),('IT',3560940864,3560940867),('DE',3560940868,3560940875),('FR',3560940876,3560940879),('IT',3560940880,3560940883),('NL',3560940884,3560940887),('LU',3560940888,3560940891),('ES',3560940892,3560940895),('DE',3560940896,3560940899),('NL',3560940900,3560940903),('DE',3560940904,3560940907),('GB',3560940908,3560940915),('DE',3560940916,3560940923),('ES',3560940924,3560940927),('GR',3560940928,3560940931),('CH',3560940932,3560940935),('IT',3560940936,3560940939),('DE',3560940940,3560940951),('AT',3560940952,3560940955),('NL',3560940956,3560940963),('DE',3560940964,3560940967),('NL',3560940968,3560940971),('DE',3560940972,3560940975),('FR',3560940976,3560940979),('LU',3560940980,3560940983),('IT',3560940984,3560940987),('DE',3560940988,3560940995),('DK',3560940996,3560940999),('ES',3560941000,3560941003),('PL',3560941004,3560941007),('DE',3560941008,3560941011),('FR',3560941012,3560941015),('DE',3560941016,3560941019),('IT',3560941020,3560941023),('FR',3560941024,3560941027),('CH',3560941028,3560941031),('FR',3560941032,3560941035),('DE',3560941036,3560941039),('FR',3560941040,3560941043),('DE',3560941044,3560941047),('GR',3560941048,3560941051),('FR',3560941052,3560941059),('GB',3560941060,3560941063),('FR',3560941064,3560941071),('NL',3560941072,3560941075),('GB',3560941076,3560941079),('BE',3560941080,3560941083),('IT',3560941084,3560941087),('DE',3560941088,3560941091),('BE',3560941092,3560941095),('AT',3560941096,3560941099),('IT',3560941100,3560941103),('FR',3560941104,3560941107),('DE',3560941108,3560941119),('BE',3560941120,3560941123),('FR',3560941124,3560941127),('DE',3560941128,3560941131),('GB',3560941132,3560941135),('ES',3560941136,3560941139),('DE',3560941140,3560941147),('IT',3560941148,3560941151),('DK',3560941152,3560941155),('ES',3560941156,3560941159),('IT',3560941160,3560941163),('DE',3560941164,3560941167),('NL',3560941168,3560941171),('DE',3560941172,3560941175),('ES',3560941176,3560941179),('GB',3560941180,3560941183),('IT',3560941184,3560941187),('ES',3560941188,3560941191),('CH',3560941192,3560941195),('FR',3560941196,3560941199),('DE',3560941200,3560941203),('IT',3560941204,3560941207),('MA',3560941208,3560941211),('DE',3560941212,3560941215),('NL',3560941216,3560941219),('GB',3560941220,3560941223),('DE',3560941224,3560941227),('SE',3560941228,3560941231),('FR',3560941232,3560941235),('DE',3560941236,3560941243),('IT',3560941244,3560941251),('FR',3560941252,3560941255),('AT',3560941256,3560941259),('GB',3560941260,3560941263),('ES',3560941264,3560941271),('DK',3560941272,3560941275),('GR',3560941276,3560941279),('NL',3560941280,3560941283),('DE',3560941284,3560941287),('ES',3560941288,3560941291),('DE',3560941292,3560941295),('IT',3560941296,3560941303),('FR',3560941304,3560941307),('DE',3560941308,3560941315),('SE',3560941316,3560941319),('ES',3560941320,3560941323),('IT',3560941324,3560941331),('PT',3560941332,3560941335),('BE',3560941336,3560941339),('GB',3560941340,3560941343),('FR',3560941344,3560941347),('IE',3560941348,3560941351),('NL',3560941352,3560941355),('ES',3560941356,3560941359),('DE',3560941360,3560941363),('SG',3560941364,3560941367),('DK',3560941368,3560941371),('DE',3560941372,3560941379),('CH',3560941380,3560941383),('IE',3560941384,3560941387),('SE',3560941388,3560941391),('DK',3560941392,3560941395),('IS',3560941396,3560941399),('DE',3560941400,3560941407),('CH',3560941408,3560941411),('IT',3560941412,3560941415),('DE',3560941416,3560941419),('FR',3560941420,3560941423),('DE',3560941424,3560941427),('FR',3560941428,3560941431),('DE',3560941432,3560941435),('IN',3560941436,3560941439),('DE',3560941440,3560941443),('ES',3560941444,3560941447),('GB',3560941448,3560941459),('DE',3560941460,3560941467),('CH',3560941468,3560941471),('BE',3560941472,3560941475),('ES',3560941476,3560941479),('DE',3560941480,3560941483),('ES',3560941484,3560941487),('DE',3560941488,3560941491),('GB',3560941492,3560941495),('FR',3560941496,3560941499),('ES',3560941500,3560941503),('DE',3560941504,3560941507),('IT',3560941508,3560941511),('AT',3560941512,3560941515),('SE',3560941516,3560941519),('NO',3560941520,3560941523),('DE',3560941524,3560941535),('DK',3560941536,3560941539),('FR',3560941540,3560941543),('GB',3560941544,3560941547),('DE',3560941548,3560941551),('IT',3560941552,3560941555),('DE',3560941556,3560941559),('GB',3560941560,3560941563),('GR',3560941564,3560941567),('DE',3560941568,3560941571),('GB',3560941572,3560941575),('DE',3560941576,3560941587),('ES',3560941588,3560941591),('DE',3560941592,3560941599),('FR',3560941600,3560941603),('CH',3560941604,3560941607),('GB',3560941608,3560941611),('DE',3560941612,3560941623),('GB',3560941624,3560941627),('ES',3560941628,3560941631),('NL',3560941632,3560941635),('BE',3560941636,3560941639),('GB',3560941640,3560941643),('BE',3560941644,3560941647),('NO',3560941648,3560941651),('DE',3560941652,3560941655),('GB',3560941656,3560941659),('NL',3560941660,3560941663),('DE',3560941664,3560941671),('FR',3560941672,3560941679),('GB',3560941680,3560941683),('IT',3560941684,3560941687),('DE',3560941688,3560941691),('IT',3560941692,3560941695),('FR',3560941696,3560941699),('GB',3560941700,3560941703),('DE',3560941704,3560941707),('CH',3560941708,3560941711),('FR',3560941712,3560941715),('DE',3560941716,3560941723),('FR',3560941724,3560941727),('DE',3560941728,3560941735),('NL',3560941736,3560941739),('NO',3560941740,3560941743),('FR',3560941744,3560941747),('ES',3560941748,3560941751),('BE',3560941752,3560941755),('DE',3560941756,3560941771),('GB',3560941772,3560941787),('DE',3560941788,3560941791),('ES',3560941792,3560941795),('FR',3560941796,3560941799),('NL',3560941800,3560941803),('ES',3560941804,3560941807),('FR',3560941808,3560941811),('NO',3560941812,3560941815),('FR',3560941816,3560941819),('NL',3560941820,3560941823),('DE',3560941824,3560941827),('ES',3560941828,3560941831),('GB',3560941832,3560941835),('DE',3560941836,3560941839),('GB',3560941840,3560941843),('IT',3560941844,3560941847),('BE',3560941848,3560941851),('CH',3560941852,3560941855),('BE',3560941856,3560941859),('DE',3560941860,3560941867),('AT',3560941868,3560941871),('GB',3560941872,3560941875),('NL',3560941876,3560941879),('BG',3560941880,3560941883),('DE',3560941884,3560941887),('ES',3560941888,3560941891),('IT',3560941892,3560941895),('ES',3560941896,3560941899),('DE',3560941900,3560941903),('GB',3560941904,3560941907),('DE',3560941908,3560941911),('FR',3560941912,3560941919),('DE',3560941920,3560941931),('CH',3560941932,3560941935),('DE',3560941936,3560941947),('DK',3560941948,3560941951),('IT',3560941952,3560941955),('DE',3560941956,3560941959),('LU',3560941960,3560941963),('FR',3560941964,3560941967),('DE',3560941968,3560941971),('DK',3560941972,3560941975),('IT',3560941976,3560941979),('DE',3560941980,3560941983),('NL',3560941984,3560941987),('DE',3560941988,3560941991),('GB',3560941992,3560941995),('BE',3560941996,3560941999),('FR',3560942000,3560942003),('GB',3560942004,3560942007),('IT',3560942008,3560942011),('DE',3560942012,3560942015),('NL',3560942016,3560942019),('ES',3560942020,3560942023),('CH',3560942024,3560942027),('DE',3560942028,3560942035),('GB',3560942036,3560942039),('DE',3560942040,3560942047),('IT',3560942048,3560942051),('DE',3560942052,3560942055),('IS',3560942056,3560942059),('GB',3560942060,3560942063),('ES',3560942064,3560942067),('BE',3560942068,3560942071),('DE',3560942072,3560942083),('FR',3560942084,3560942087),('DE',3560942088,3560942095),('FR',3560942096,3560942099),('DE',3560942100,3560942103),('NL',3560942104,3560942107),('DE',3560942108,3560942115),('HU',3560942116,3560942119),('AT',3560942120,3560942123),('BE',3560942124,3560942127),('DE',3560942128,3560942131),('ES',3560942132,3560942135),('DE',3560942136,3560942143),('GB',3560942144,3560942147),('DE',3560942148,3560942151),('IT',3560942152,3560942155),('ES',3560942156,3560942159),('DE',3560942160,3560942163),('ES',3560942164,3560942171),('SE',3560942172,3560942175),('BE',3560942176,3560942179),('ES',3560942180,3560942183),('DE',3560942184,3560942191),('HU',3560942192,3560942195),('ES',3560942196,3560942199),('FR',3560942200,3560942203),('AT',3560942204,3560942207),('DE',3560942208,3560942211),('IT',3560942212,3560942219),('FR',3560942220,3560942227),('IT',3560942228,3560942231),('DE',3560942232,3560942243),('IT',3560942244,3560942247),('TR',3560942248,3560942251),('GB',3560942252,3560942255),('DE',3560942256,3560942259),('ES',3560942260,3560942263),('NL',3560942264,3560942267),('DE',3560942268,3560942271),('PL',3560942272,3560942275),('IT',3560942276,3560942279),('NL',3560942280,3560942283),('DK',3560942284,3560942287),('FR',3560942288,3560942291),('BH',3560942292,3560942295),('MA',3560942296,3560942299),('DE',3560942300,3560942307),('ES',3560942308,3560942319),('DE',3560942320,3560942323),('IT',3560942324,3560942327),('PT',3560942328,3560942339),('DE',3560942340,3560942343),('FR',3560942344,3560942347),('GR',3560942348,3560942351),('ES',3560942352,3560942355),('IT',3560942356,3560942359),('AT',3560942360,3560942363),('DE',3560942364,3560942367),('FR',3560942368,3560942375),('DE',3560942376,3560942379),('GB',3560942380,3560942383),('DE',3560942384,3560942387),('IT',3560942388,3560942391),('DE',3560942392,3560942407),('GB',3560942408,3560942411),('DE',3560942412,3560942415),('IT',3560942416,3560942419),('FR',3560942420,3560942423),('NO',3560942424,3560942427),('DE',3560942428,3560942447),('CH',3560942448,3560942455),('ES',3560942456,3560942459),('RU',3560942460,3560942463),('BE',3560942464,3560942467),('ES',3560942468,3560942471),('DE',3560942472,3560942475),('CH',3560942476,3560942479),('ES',3560942480,3560942483),('HU',3560942484,3560942487),('FR',3560942488,3560942495),('ES',3560942496,3560942499),('FR',3560942500,3560942503),('ES',3560942504,3560942511),('IT',3560942512,3560942515),('DE',3560942516,3560942523),('NL',3560942524,3560942527),('DE',3560942528,3560942535),('FR',3560942536,3560942539),('DE',3560942540,3560942543),('CH',3560942544,3560942547),('DK',3560942548,3560942551),('DE',3560942552,3560942555),('FR',3560942556,3560942559),('IT',3560942560,3560942563),('ES',3560942564,3560942567),('DE',3560942568,3560942571),('FR',3560942572,3560942579),('DE',3560942580,3560942583),('GB',3560942584,3560942587),('ES',3560942588,3560942590),('DE',3560942591,3560942599),('DK',3560942600,3560942603),('LU',3560942604,3560942607),('DE',3560942608,3560942619),('BE',3560942620,3560942623),('IT',3560942624,3560942627),('GB',3560942628,3560942631),('FR',3560942632,3560942635),('DE',3560942636,3560942643),('FR',3560942644,3560942647),('DE',3560942648,3560942651),('GR',3560942652,3560942655),('ES',3560942656,3560942663),('NL',3560942664,3560942667),('IT',3560942668,3560942675),('BE',3560942676,3560942679),('DE',3560942680,3560942683),('BE',3560942684,3560942687),('NL',3560942688,3560942691),('LU',3560942692,3560942695),('DE',3560942696,3560942699),('ES',3560942700,3560942703),('DE',3560942704,3560942707),('IT',3560942708,3560942711),('LU',3560942712,3560942715),('BE',3560942716,3560942719),('IT',3560942720,3560942727),('GB',3560942728,3560942731),('DE',3560942732,3560942735),('CH',3560942736,3560942739),('ES',3560942740,3560942743),('GB',3560942744,3560942751),('DE',3560942752,3560942763),('FR',3560942764,3560942767),('NL',3560942768,3560942771),('ES',3560942772,3560942775),('DE',3560942776,3560942779),('CH',3560942780,3560942783),('DE',3560942784,3560942787),('HU',3560942788,3560942791),('DE',3560942792,3560942795),('FR',3560942796,3560942799),('AT',3560942800,3560942803),('TR',3560942804,3560942807),('AT',3560942808,3560942811),('FR',3560942812,3560942815),('TR',3560942816,3560942819),('ES',3560942820,3560942823),('GB',3560942824,3560942827),('AT',3560942828,3560942831),('IT',3560942832,3560942835),('CH',3560942836,3560942839),('BE',3560942840,3560942843),('ES',3560942844,3560942847),('IT',3560942848,3560942851),('ES',3560942852,3560942855),('DE',3560942856,3560942859),('IT',3560942860,3560942863),('DE',3560942864,3560942871),('IT',3560942872,3560942875),('PL',3560942876,3560942879),('GB',3560942880,3560942883),('DE',3560942884,3560942887),('FR',3560942888,3560942891),('DE',3560942892,3560942895),('ES',3560942896,3560942899),('DE',3560942900,3560942903),('CH',3560942904,3560942907),('DE',3560942908,3560942911),('ES',3560942912,3560942915),('BE',3560942916,3560942919),('DE',3560942920,3560942923),('IT',3560942924,3560942927),('SE',3560942928,3560942931),('AT',3560942932,3560942935),('DE',3560942936,3560942939),('AE',3560942940,3560942943),('DE',3560942944,3560942951),('ES',3560942952,3560942955),('DE',3560942956,3560942959),('GB',3560942960,3560942963),('DE',3560942964,3560942975),('IT',3560942976,3560942979),('DE',3560942980,3560942987),('IT',3560942988,3560942999),('PL',3560943000,3560943003),('DK',3560943004,3560943007),('CH',3560943008,3560943011),('IT',3560943012,3560943015),('ES',3560943016,3560943019),('DE',3560943020,3560943023),('GR',3560943024,3560943027),('DE',3560943028,3560943031),('FR',3560943032,3560943035),('PL',3560943036,3560943039),('NO',3560943040,3560943043),('ES',3560943044,3560943047),('HR',3560943048,3560943051),('CY',3560943052,3560943055),('BE',3560943056,3560943059),('DE',3560943060,3560943075),('ES',3560943076,3560943079),('DE',3560943080,3560943095),('PL',3560943096,3560943099),('DE',3560943100,3560943109),('ES',3560943110,3560943111),('DE',3560943112,3560943113),('ES',3560943114,3560943115),('DK',3560943116,3560943116),('IL',3560943117,3560943117),('DE',3560943118,3560943118),('IT',3560943119,3560943119),('DE',3560943120,3560943120),('CH',3560943121,3560943121),('ES',3560943122,3560943122),('DE',3560943123,3560943125),('FR',3560943126,3560943126),('HU',3560943127,3560943127),('DE',3560943128,3560943129),('BE',3560943130,3560943130),('RU',3560943131,3560943131),('BE',3560943132,3560943132),('ES',3560943133,3560943133),('DE',3560943134,3560943136),('ES',3560943137,3560943137),('CH',3560943138,3560943138),('DE',3560943139,3560943139),('ES',3560943140,3560943140),('CH',3560943141,3560943141),('DE',3560943142,3560943142),('HU',3560943143,3560943145),('IE',3560943146,3560943146),('CH',3560943147,3560943147),('DE',3560943148,3560943149),('ES',3560943150,3560943150),('IT',3560943151,3560943151),('HU',3560943152,3560943152),('DE',3560943153,3560943154),('FR',3560943155,3560943155),('DE',3560943156,3560943157),('FR',3560943158,3560943158),('IT',3560943159,3560943159),('NO',3560943160,3560943160),('BE',3560943161,3560943161),('GR',3560943162,3560943162),('CH',3560943163,3560943163),('PL',3560943164,3560943164),('FR',3560943165,3560943165),('GB',3560943166,3560943166),('FR',3560943167,3560943167),('ES',3560943168,3560943168),('DE',3560943169,3560943169),('ES',3560943170,3560943170),('IT',3560943171,3560943171),('ES',3560943172,3560943172),('BE',3560943173,3560943173),('DE',3560943174,3560943175),('CH',3560943176,3560943177),('IT',3560943178,3560943178),('PL',3560943179,3560943179),('GB',3560943180,3560943180),('DE',3560943181,3560943181),('ES',3560943182,3560943183),('IT',3560943184,3560943184),('DK',3560943185,3560943185),('ES',3560943186,3560943186),('PT',3560943187,3560943187),('IT',3560943188,3560943188),('DE',3560943189,3560943192),('ES',3560943193,3560943193),('AT',3560943194,3560943194),('PL',3560943195,3560943195),('IT',3560943196,3560943197),('DE',3560943198,3560943198),('PT',3560943199,3560943199),('AT',3560943200,3560943200),('IT',3560943201,3560943201),('IL',3560943202,3560943202),('FR',3560943203,3560943203),('CH',3560943204,3560943204),('IT',3560943205,3560943205),('DE',3560943206,3560943207),('AT',3560943208,3560943208),('ES',3560943209,3560943210),('FR',3560943211,3560943211),('DE',3560943212,3560943212),('FR',3560943213,3560943213),('PL',3560943214,3560943214),('DE',3560943215,3560943218),('ES',3560943219,3560943219),('DE',3560943220,3560943221),('ES',3560943222,3560943222),('FR',3560943223,3560943223),('DE',3560943224,3560943224),('GR',3560943225,3560943226),('DE',3560943227,3560943227),('NL',3560943228,3560943230),('FR',3560943231,3560943232),('PL',3560943233,3560943233),('EE',3560943234,3560943234),('CH',3560943235,3560943235),('NL',3560943236,3560943237),('ES',3560943238,3560943238),('FR',3560943239,3560943239),('GB',3560943240,3560943240),('FR',3560943241,3560943241),('DE',3560943242,3560943242),('FR',3560943243,3560943243),('PL',3560943244,3560943244),('CH',3560943245,3560943245),('DE',3560943246,3560943247),('GR',3560943248,3560943248),('CH',3560943249,3560943249),('AT',3560943250,3560943250),('GB',3560943251,3560943251),('BE',3560943252,3560943252),('DE',3560943253,3560943253),('ES',3560943254,3560943254),('GB',3560943255,3560943255),('DE',3560943256,3560943256),('ES',3560943257,3560943257),('FR',3560943258,3560943258),('DE',3560943259,3560943259),('ES',3560943260,3560943260),('IE',3560943261,3560943261),('DE',3560943262,3560943262),('IT',3560943263,3560943263),('CZ',3560943264,3560943264),('DE',3560943265,3560943265),('GB',3560943266,3560943266),('DE',3560943267,3560943267),('IT',3560943268,3560943269),('GB',3560943270,3560943270),('IT',3560943271,3560943271),('ES',3560943272,3560943272),('FR',3560943273,3560943273),('GB',3560943274,3560943274),('DE',3560943275,3560943275),('FR',3560943276,3560943276),('IT',3560943277,3560943277),('DE',3560943278,3560943278),('FR',3560943279,3560943279),('GR',3560943280,3560943280),('ES',3560943281,3560943281),('FR',3560943282,3560943282),('ES',3560943283,3560943283),('DE',3560943284,3560943286),('NL',3560943287,3560943287),('FR',3560943288,3560943290),('IT',3560943291,3560943292),('ES',3560943293,3560943293),('IT',3560943294,3560943294),('DE',3560943295,3560943295),('RU',3560943296,3560943296),('ES',3560943297,3560943297),('FR',3560943298,3560943298),('GB',3560943299,3560943299),('DE',3560943300,3560943300),('FR',3560943301,3560943301),('ES',3560943302,3560943302),('IT',3560943303,3560943303),('FR',3560943304,3560943304),('DE',3560943305,3560943306),('ES',3560943307,3560943307),('DE',3560943308,3560943309),('IT',3560943310,3560943311),('PL',3560943312,3560943312),('FR',3560943313,3560943313),('ES',3560943314,3560943314),('IT',3560943315,3560943315),('GB',3560943316,3560943316),('IT',3560943317,3560943317),('CH',3560943318,3560943318),('ES',3560943319,3560943319),('IT',3560943320,3560943320),('GB',3560943321,3560943321),('DE',3560943322,3560943322),('NL',3560943323,3560943323),('DE',3560943324,3560943324),('CH',3560943325,3560943325),('RU',3560943326,3560943326),('DE',3560943327,3560943329),('IT',3560943330,3560943331),('DE',3560943332,3560943335),('ES',3560943336,3560943336),('IT',3560943337,3560943337),('BE',3560943338,3560943338),('NL',3560943339,3560943339),('DE',3560943340,3560943341),('ES',3560943342,3560943342),('FR',3560943343,3560943343),('NL',3560943344,3560943344),('CH',3560943345,3560943345),('IT',3560943346,3560943346),('ES',3560943347,3560943347),('FR',3560943348,3560943348),('DE',3560943349,3560943349),('BE',3560943350,3560943350),('SE',3560943351,3560943351),('IT',3560943352,3560943352),('DE',3560943353,3560943354),('IT',3560943355,3560943355),('DE',3560943356,3560943356),('ES',3560943357,3560943357),('BE',3560943358,3560943358),('DE',3560943359,3560943361),('GB',3560943362,3560943362),('DE',3560943363,3560943365),('IT',3560943366,3560943367),('GB',3560943368,3560943368),('GR',3560943369,3560943369),('DE',3560943370,3560943370),('AT',3560943371,3560943371),('FR',3560943372,3560943372),('DE',3560943373,3560943375),('ES',3560943376,3560943376),('GB',3560943377,3560943377),('DE',3560943378,3560943378),('ES',3560943379,3560943380),('DE',3560943381,3560943383),('FR',3560943384,3560943384),('ES',3560943385,3560943385),('CH',3560943386,3560943386),('GB',3560943387,3560943387),('DE',3560943388,3560943391),('GB',3560943392,3560943392),('DE',3560943393,3560943393),('ES',3560943394,3560943394),('NL',3560943395,3560943395),('BE',3560943396,3560943396),('DE',3560943397,3560943397),('BE',3560943398,3560943398),('CH',3560943399,3560943399),('IT',3560943400,3560943400),('DE',3560943401,3560943401),('NL',3560943402,3560943402),('DE',3560943403,3560943403),('BE',3560943404,3560943404),('DE',3560943405,3560943405),('ES',3560943406,3560943407),('IT',3560943408,3560943408),('ES',3560943409,3560943409),('NL',3560943410,3560943410),('DE',3560943411,3560943411),('IT',3560943412,3560943412),('ES',3560943413,3560943413),('DE',3560943414,3560943415),('FR',3560943416,3560943416),('DE',3560943417,3560943417),('GB',3560943418,3560943418),('FR',3560943419,3560943419),('DE',3560943420,3560943420),('HU',3560943421,3560943421),('CH',3560943422,3560943422),('FR',3560943423,3560943423),('DE',3560943424,3560943424),('ES',3560943425,3560943425),('IT',3560943426,3560943426),('FR',3560943427,3560943427),('NO',3560943428,3560943428),('NL',3560943429,3560943430),('DE',3560943431,3560943432),('GB',3560943433,3560943433),('SE',3560943434,3560943434),('NL',3560943435,3560943435),('FR',3560943436,3560943436),('ES',3560943437,3560943437),('FR',3560943438,3560943438),('NO',3560943439,3560943439),('FR',3560943440,3560943440),('DE',3560943441,3560943441),('ES',3560943442,3560943442),('BE',3560943443,3560943443),('CH',3560943444,3560943444),('PT',3560943445,3560943445),('DE',3560943446,3560943446),('GB',3560943447,3560943447),('DE',3560943448,3560943450),('PL',3560943451,3560943451),('GB',3560943452,3560943452),('DE',3560943453,3560943454),('GB',3560943455,3560943456),('ES',3560943457,3560943457),('IT',3560943458,3560943459),('ES',3560943460,3560943460),('CH',3560943461,3560943461),('FR',3560943462,3560943462),('NL',3560943463,3560943463),('ES',3560943464,3560943464),('FR',3560943465,3560943465),('NO',3560943466,3560943466),('IT',3560943467,3560943467),('CH',3560943468,3560943468),('IT',3560943469,3560943469),('DE',3560943470,3560943470),('GB',3560943471,3560943471),('BE',3560943472,3560943472),('AT',3560943473,3560943473),('CH',3560943474,3560943474),('ES',3560943475,3560943475),('BE',3560943476,3560943476),('DE',3560943477,3560943477),('IT',3560943478,3560943478),('GB',3560943479,3560943479),('NL',3560943480,3560943480),('BG',3560943481,3560943481),('DE',3560943482,3560943482),('ES',3560943483,3560943486),('DE',3560943487,3560943487),('ES',3560943488,3560943488),('DE',3560943489,3560943489),('GB',3560943490,3560943490),('DE',3560943491,3560943491),('FR',3560943492,3560943493),('GB',3560943494,3560943494),('IT',3560943495,3560943495),('DE',3560943496,3560943499),('CH',3560943500,3560943500),('ES',3560943501,3560943501),('DE',3560943502,3560943507),('DK',3560943508,3560943508),('DE',3560943509,3560943510),('IT',3560943511,3560943511),('DE',3560943512,3560943512),('LU',3560943513,3560943513),('ES',3560943514,3560943515),('DE',3560943516,3560943517),('LU',3560943518,3560943518),('DE',3560943519,3560943519),('DK',3560943520,3560943520),('DE',3560943521,3560943521),('GB',3560943522,3560943522),('IT',3560943523,3560943523),('DE',3560943524,3560943524),('NL',3560943525,3560943525),('IT',3560943526,3560943526),('DE',3560943527,3560943527),('FR',3560943528,3560943528),('DE',3560943529,3560943529),('CH',3560943530,3560943530),('DE',3560943531,3560943532),('HU',3560943533,3560943533),('BY',3560943534,3560943534),('FR',3560943535,3560943535),('BE',3560943536,3560943536),('DE',3560943537,3560943537),('GB',3560943538,3560943538),('DE',3560943539,3560943539),('BE',3560943540,3560943540),('NL',3560943541,3560943541),('DE',3560943542,3560943542),('NL',3560943543,3560943543),('ES',3560943544,3560943544),('DE',3560943545,3560943546),('SI',3560943547,3560943547),('GB',3560943548,3560943548),('DE',3560943549,3560943549),('HU',3560943550,3560943550),('FR',3560943551,3560943551),('IT',3560943552,3560943552),('DE',3560943553,3560943553),('IS',3560943554,3560943554),('FR',3560943555,3560943555),('DE',3560943556,3560943556),('ES',3560943557,3560943557),('DE',3560943558,3560943558),('GB',3560943559,3560943559),('IT',3560943560,3560943562),('HU',3560943563,3560943563),('DE',3560943564,3560943564),('GB',3560943565,3560943565),('DE',3560943566,3560943566),('FR',3560943567,3560943567),('GB',3560943568,3560943568),('FR',3560943569,3560943570),('DE',3560943571,3560943572),('FR',3560943573,3560943573),('NO',3560943574,3560943574),('BE',3560943575,3560943575),('IT',3560943576,3560943576),('DK',3560943577,3560943577),('ES',3560943578,3560943578),('DE',3560943579,3560943580),('NL',3560943581,3560943581),('DE',3560943582,3560943582),('ES',3560943583,3560943583),('IT',3560943584,3560943584),('FR',3560943585,3560943585),('ES',3560943586,3560943586),('DE',3560943587,3560943587),('IT',3560943588,3560943588),('NL',3560943589,3560943589),('HU',3560943590,3560943590),('AT',3560943591,3560943591),('SK',3560943592,3560943592),('PL',3560943593,3560943593),('FR',3560943594,3560943594),('ES',3560943595,3560943596),('DE',3560943597,3560943599),('AT',3560943600,3560943600),('IT',3560943601,3560943602),('CH',3560943603,3560943603),('ES',3560943604,3560943604),('GB',3560943605,3560943605),('DE',3560943606,3560943607),('IT',3560943608,3560943608),('DE',3560943609,3560943610),('FR',3560943611,3560943611),('DE',3560943612,3560943612),('ES',3560943613,3560943613),('DE',3560943614,3560943617),('FR',3560943618,3560943618),('ES',3560943619,3560943620),('SE',3560943621,3560943621),('BE',3560943622,3560943622),('DE',3560943623,3560943623),('ES',3560943624,3560943624),('AT',3560943625,3560943625),('ES',3560943626,3560943626),('DK',3560943627,3560943627),('DE',3560943628,3560943628),('IT',3560943629,3560943629),('DE',3560943630,3560943630),('HU',3560943631,3560943631),('CH',3560943632,3560943632),('ES',3560943633,3560943633),('FR',3560943634,3560943634),('ES',3560943635,3560943635),('DE',3560943636,3560943636),('PL',3560943637,3560943637),('IT',3560943638,3560943638),('ES',3560943639,3560943639),('FR',3560943640,3560943640),('IT',3560943641,3560943643),('DE',3560943644,3560943644),('GB',3560943645,3560943645),('DE',3560943646,3560943646),('ES',3560943647,3560943647),('DE',3560943648,3560943648),('NL',3560943649,3560943649),('DE',3560943650,3560943651),('AT',3560943652,3560943652),('DE',3560943653,3560943653),('IT',3560943654,3560943654),('DE',3560943655,3560943655),('IT',3560943656,3560943656),('DE',3560943657,3560943657),('GB',3560943658,3560943658),('DE',3560943659,3560943659),('PT',3560943660,3560943660),('DK',3560943661,3560943661),('DE',3560943662,3560943662),('NL',3560943663,3560943664),('DE',3560943665,3560943666),('PL',3560943667,3560943667),('DK',3560943668,3560943668),('FR',3560943669,3560943669),('DE',3560943670,3560943671),('BH',3560943672,3560943672),('SE',3560943673,3560943673),('MA',3560943674,3560943674),('FR',3560943675,3560943675),('DE',3560943676,3560943677),('ES',3560943678,3560943680),('DE',3560943681,3560943682),('GR',3560943683,3560943683),('NL',3560943684,3560943684),('IT',3560943685,3560943685),('FR',3560943686,3560943686),('PT',3560943687,3560943687),('DE',3560943688,3560943688),('PT',3560943689,3560943689),('IT',3560943690,3560943690),('DE',3560943691,3560943691),('SE',3560943692,3560943692),('DE',3560943693,3560943693),('FR',3560943694,3560943694),('GR',3560943695,3560943695),('CH',3560943696,3560943697),('DE',3560943698,3560943698),('IT',3560943699,3560943699),('DE',3560943700,3560943700),('AT',3560943701,3560943701),('DE',3560943702,3560943702),('FR',3560943703,3560943703),('DE',3560943704,3560943704),('CH',3560943705,3560943705),('LI',3560943706,3560943706),('DE',3560943707,3560943709),('NL',3560943710,3560943710),('DE',3560943711,3560943711),('IT',3560943712,3560943712),('PL',3560943713,3560943713),('NL',3560943714,3560943714),('DE',3560943715,3560943715),('GB',3560943716,3560943716),('FR',3560943717,3560943717),('DE',3560943718,3560943719),('IT',3560943720,3560943721),('DE',3560943722,3560943726),('ES',3560943727,3560943727),('GB',3560943728,3560943728),('DE',3560943729,3560943729),('NL',3560943730,3560943730),('IT',3560943731,3560943731),('FR',3560943732,3560943732),('NO',3560943733,3560943733),('DE',3560943734,3560943736),('GR',3560943737,3560943737),('PT',3560943738,3560943738),('DE',3560943739,3560943740),('FR',3560943741,3560943741),('DE',3560943742,3560943742),('PL',3560943743,3560943743),('DE',3560943744,3560943744),('PL',3560943745,3560943745),('DE',3560943746,3560943748),('GB',3560943749,3560943749),('DE',3560943750,3560943750),('IT',3560943751,3560943751),('DE',3560943752,3560943752),('ES',3560943753,3560943753),('HU',3560943754,3560943754),('BE',3560943755,3560943755),('IT',3560943756,3560943756),('DE',3560943757,3560943757),('CZ',3560943758,3560943758),('IE',3560943759,3560943759),('NO',3560943760,3560943760),('GB',3560943761,3560943761),('IT',3560943762,3560943762),('FR',3560943763,3560943763),('PL',3560943764,3560943764),('SE',3560943765,3560943765),('CY',3560943766,3560943766),('DE',3560943767,3560943768),('FR',3560943769,3560943769),('NL',3560943770,3560943770),('IT',3560943771,3560943771),('DE',3560943772,3560943774),('FR',3560943775,3560943775),('DE',3560943776,3560943780),('ES',3560943781,3560943781),('DE',3560943782,3560943782),('BE',3560943783,3560943783),('DE',3560943784,3560943786),('ES',3560943787,3560943787),('DK',3560943788,3560943788),('IT',3560943789,3560943789),('DE',3560943790,3560943790),('IT',3560943791,3560943791),('DE',3560943792,3560943793),('FR',3560943794,3560943794),('DE',3560943795,3560943795),('IT',3560943796,3560943796),('DE',3560943797,3560943797),('DK',3560943798,3560943798),('DE',3560943799,3560943799),('CH',3560943800,3560943800),('FR',3560943801,3560943801),('IT',3560943802,3560943802),('HU',3560943803,3560943803),('ES',3560943804,3560943804),('DE',3560943805,3560943805),('ES',3560943806,3560943806),('DK',3560943807,3560943807),('DE',3560943808,3560943810),('ES',3560943811,3560943811),('IT',3560943812,3560943812),('CH',3560943813,3560943813),('DE',3560943814,3560943814),('IT',3560943815,3560943815),('FR',3560943816,3560943817),('PT',3560943818,3560943818),('DE',3560943819,3560943819),('FR',3560943820,3560943820),('IT',3560943821,3560943821),('DE',3560943822,3560943822),('GR',3560943823,3560943823),('DE',3560943824,3560943827),('ES',3560943828,3560943828),('NL',3560943829,3560943829),('DK',3560943830,3560943830),('FR',3560943831,3560943833),('DE',3560943834,3560943835),('BE',3560943836,3560943836),('CH',3560943837,3560943837),('DE',3560943838,3560943838),('NO',3560943839,3560943839),('LU',3560943840,3560943840),('GB',3560943841,3560943841),('DE',3560943842,3560943842),('GB',3560943843,3560943843),('BE',3560943844,3560943844),('CZ',3560943845,3560943845),('LU',3560943846,3560943846),('CZ',3560943847,3560943847),('FR',3560943848,3560943848),('DE',3560943849,3560943849),('NL',3560943850,3560943850),('DE',3560943851,3560943857),('GB',3560943858,3560943858),('DE',3560943859,3560943859),('GB',3560943860,3560943860),('DE',3560943861,3560943865),('BE',3560943866,3560943866),('ES',3560943867,3560943867),('FR',3560943868,3560943868),('LU',3560943869,3560943869),('DE',3560943870,3560943871),('BR',3560943872,3560943875),('DE',3560943876,3560943879),('US',3560943880,3560943887),('CA',3560943888,3560943891),('DE',3560943892,3560943895),('CL',3560943896,3560943899),('MX',3560943900,3560943903),('US',3560943904,3560943915),('CA',3560943916,3560943919),('US',3560943920,3560943923),('MX',3560943924,3560943927),('US',3560943928,3560943935),('PE',3560943936,3560943939),('DE',3560943940,3560943943),('US',3560943944,3560943947),('DE',3560943948,3560943975),('US',3560943976,3560943979),('DE',3560943980,3560943983),('US',3560943984,3560943987),('DE',3560943988,3560943991),('US',3560943992,3560943999),('DE',3560944000,3560944023),('US',3560944024,3560944031),('MX',3560944032,3560944035),('US',3560944036,3560944039),('MX',3560944040,3560944043),('DE',3560944044,3560944059),('US',3560944060,3560944063),('DE',3560944064,3560944067),('US',3560944068,3560944071),('DE',3560944072,3560944079),('US',3560944080,3560944083),('CL',3560944084,3560944087),('DE',3560944088,3560944103),('US',3560944104,3560944107),('DE',3560944108,3560944119),('US',3560944120,3560944159),('MX',3560944160,3560944163),('AR',3560944164,3560944167),('US',3560944168,3560944175),('BR',3560944176,3560944179),('PA',3560944180,3560944183),('US',3560944184,3560944187),('CA',3560944188,3560944191),('US',3560944192,3560944195),('DE',3560944196,3560944199),('BO',3560944200,3560944203),('DE',3560944204,3560944207),('CA',3560944208,3560944211),('DE',3560944212,3560944215),('BR',3560944216,3560944219),('US',3560944220,3560944227),('IT',3560944228,3560944231),('US',3560944232,3560944235),('CA',3560944236,3560944239),('US',3560944240,3560944243),('MX',3560944244,3560944247),('US',3560944248,3560944267),('CO',3560944268,3560944271),('BR',3560944272,3560944275),('PE',3560944276,3560944279),('DE',3560944280,3560944283),('US',3560944284,3560944295),('CO',3560944296,3560944299),('US',3560944300,3560944307),('MX',3560944308,3560944311),('US',3560944312,3560944315),('AR',3560944316,3560944323),('US',3560944324,3560944339),('CO',3560944340,3560944343),('US',3560944344,3560944351),('GT',3560944352,3560944355),('CA',3560944356,3560944359),('DO',3560944360,3560944363),('AR',3560944364,3560944367),('BR',3560944368,3560944371),('DE',3560944372,3560944375),('AR',3560944376,3560944379),('DE',3560944380,3560944383),('US',3560944384,3560944395),('PR',3560944396,3560944399),('CA',3560944400,3560944403),('DE',3560944404,3560944411),('US',3560944412,3560944415),('SG',3560944416,3560944419),('US',3560944420,3560944431),('DE',3560944432,3560944435),('US',3560944436,3560944447),('DE',3560944448,3560944451),('US',3560944452,3560944459),('AR',3560944460,3560944460),('DE',3560944461,3560944463),('CA',3560944464,3560944467),('BR',3560944468,3560944471),('US',3560944472,3560944475),('AR',3560944476,3560944479),('US',3560944480,3560944487),('CA',3560944488,3560944491),('US',3560944492,3560944519),('DE',3560944520,3560944523),('US',3560944524,3560944531),('MX',3560944532,3560944535),('US',3560944536,3560944551),('BR',3560944552,3560944555),('MX',3560944556,3560944559),('US',3560944560,3560944563),('ES',3560944564,3560944567),('US',3560944568,3560944575),('BR',3560944576,3560944579),('US',3560944580,3560944603),('CA',3560944604,3560944607),('US',3560944608,3560944615),('EC',3560944616,3560944619),('US',3560944620,3560944623),('CL',3560944624,3560944627),('DE',3560944628,3560944631),('CA',3560944632,3560944635),('DE',3560944636,3560944639),('TR',3560944640,3560944643),('ES',3560944644,3560944647),('TR',3560944648,3560944651),('HU',3560944652,3560944655),('TR',3560944656,3560944659),('MZ',3560944660,3560944663),('FR',3560944664,3560944667),('TR',3560944668,3560944671),('KZ',3560944672,3560944675),('GR',3560944676,3560944679),('TR',3560944680,3560944687),('FR',3560944688,3560944691),('SA',3560944692,3560944695),('TR',3560944696,3560944699),('CU',3560944700,3560944703),('ZW',3560944704,3560944707),('TR',3560944708,3560944711),('IL',3560944712,3560944715),('ZW',3560944716,3560944719),('SK',3560944720,3560944723),('TR',3560944724,3560944727),('KZ',3560944728,3560944731),('TR',3560944732,3560944735),('FR',3560944736,3560944743),('GR',3560944744,3560944747),('TR',3560944748,3560944755),('MZ',3560944756,3560944759),('TR',3560944760,3560944767),('MZ',3560944768,3560944771),('DE',3560944772,3560944779),('ES',3560944780,3560944783),('FR',3560944784,3560944787),('NL',3560944788,3560944791),('ES',3560944792,3560944795),('GB',3560944796,3560944799),('ES',3560944800,3560944803),('FR',3560944804,3560944807),('DE',3560944808,3560944811),('ES',3560944812,3560944815),('IT',3560944816,3560944823),('DE',3560944824,3560944827),('IE',3560944828,3560944831),('DE',3560944832,3560944835),('IT',3560944836,3560944839),('TR',3560944840,3560944843),('DE',3560944844,3560944847),('FR',3560944848,3560944855),('NL',3560944856,3560944859),('DK',3560944860,3560944863),('FR',3560944864,3560944871),('DE',3560944872,3560944875),('ES',3560944876,3560944879),('SA',3560944880,3560944883),('ES',3560944884,3560944887),('CH',3560944888,3560944891),('DE',3560944892,3560944895),('TW',3560944896,3560944899),('SG',3560944900,3560944903),('MY',3560944904,3560944907),('SG',3560944908,3560944919),('MY',3560944920,3560944923),('CN',3560944924,3560944927),('MY',3560944928,3560944931),('SG',3560944932,3560944935),('CN',3560944936,3560944943),('MY',3560944944,3560944947),('SG',3560944948,3560944951),('TW',3560944952,3560944955),('SG',3560944956,3560944959),('IN',3560944960,3560944963),('MY',3560944964,3560944967),('SG',3560944968,3560944971),('CN',3560944972,3560944975),('IN',3560944976,3560944987),('SG',3560944988,3560944991),('MY',3560944992,3560944995),('SG',3560944996,3560944999),('MY',3560945000,3560945003),('IN',3560945004,3560945007),('SG',3560945008,3560945011),('DE',3560945012,3560945015),('IN',3560945016,3560945027),('MY',3560945028,3560945031),('IN',3560945032,3560945035),('CN',3560945036,3560945039),('SG',3560945040,3560945043),('TW',3560945044,3560945047),('IN',3560945048,3560945059),('SG',3560945060,3560945063),('MY',3560945064,3560945067),('IN',3560945068,3560945075),('CN',3560945076,3560945083),('IN',3560945084,3560945091),('SG',3560945092,3560945095),('CN',3560945096,3560945099),('SG',3560945100,3560945103),('MY',3560945104,3560945107),('TW',3560945108,3560945111),('SG',3560945112,3560945115),('IN',3560945116,3560945119),('CN',3560945120,3560945123),('SG',3560945124,3560945131),('TW',3560945132,3560945135),('MY',3560945136,3560945139),('SG',3560945140,3560945143),('IN',3560945144,3560945147),('SG',3560945148,3560945151),('DE',3560945152,3560945153),('AU',3560945154,3560945156),('NZ',3560945157,3560945157),('AU',3560945158,3560945167),('DE',3560945168,3560945168),('AU',3560945169,3560945169),('DE',3560945170,3560945191),('AU',3560945192,3560945192),('DE',3560945193,3560945194),('AU',3560945195,3560945195),('DE',3560945196,3560945204),('AU',3560945205,3560945205),('IN',3560945206,3560945206),('AU',3560945207,3560945209),('DE',3560945210,3560945227),('IN',3560945228,3560945231),('DE',3560945232,3560945267),('AU',3560945268,3560945271),('DE',3560945272,3560945275),('AU',3560945276,3560945279),('JP',3560945280,3560945355),('TH',3560945356,3560945359),('JP',3560945360,3560945403),('TH',3560945404,3560945407),('DE',3560945408,3560945409),('MY',3560945410,3560945410),('TW',3560945411,3560945411),('CN',3560945412,3560945412),('SG',3560945413,3560945413),('IN',3560945414,3560945414),('SG',3560945415,3560945416),('CN',3560945417,3560945418),('MY',3560945419,3560945419),('IN',3560945420,3560945420),('SG',3560945421,3560945422),('CN',3560945423,3560945423),('MY',3560945424,3560945424),('IN',3560945425,3560945425),('MY',3560945426,3560945426),('CN',3560945427,3560945427),('SG',3560945428,3560945428),('TW',3560945429,3560945429),('MY',3560945430,3560945430),('CN',3560945431,3560945431),('IN',3560945432,3560945433),('TW',3560945434,3560945434),('MY',3560945435,3560945435),('CN',3560945436,3560945436),('SG',3560945437,3560945437),('TW',3560945438,3560945438),('SG',3560945439,3560945439),('ID',3560945440,3560945440),('SG',3560945441,3560945441),('IN',3560945442,3560945443),('SG',3560945444,3560945448),('IN',3560945449,3560945449),('SG',3560945450,3560945450),('IN',3560945451,3560945451),('SG',3560945452,3560945452),('IN',3560945453,3560945453),('SG',3560945454,3560945458),('TW',3560945459,3560945459),('SG',3560945460,3560945461),('IN',3560945462,3560945462),('SG',3560945463,3560945465),('CN',3560945466,3560945466),('MY',3560945467,3560945467),('SG',3560945468,3560945469),('CN',3560945470,3560945470),('SG',3560945471,3560945471),('CN',3560945472,3560945472),('TW',3560945473,3560945473),('SG',3560945474,3560945475),('CN',3560945476,3560945476),('TW',3560945477,3560945477),('IN',3560945478,3560945478),('SG',3560945479,3560945479),('IN',3560945480,3560945481),('DE',3560945482,3560945482),('MY',3560945483,3560945485),('IN',3560945486,3560945487),('DE',3560945488,3560945488),('MY',3560945489,3560945489),('TH',3560945490,3560945490),('IN',3560945491,3560945492),('DE',3560945493,3560945495),('IN',3560945496,3560945496),('DE',3560945497,3560945497),('IN',3560945498,3560945499),('SG',3560945500,3560945500),('US',3560945501,3560945501),('IN',3560945502,3560945502),('DE',3560945503,3560945535),('IN',3560945536,3560945539),('SG',3560945540,3560945543),('IN',3560945544,3560945559),('DE',3560945560,3560945563),('SG',3560945564,3560945567),('IN',3560945568,3560945575),('SG',3560945576,3560945579),('MY',3560945580,3560945583),('SG',3560945584,3560945587),('TW',3560945588,3560945591),('SG',3560945592,3560945603),('US',3560945604,3560945607),('IN',3560945608,3560945611),('SG',3560945612,3560945619),('CN',3560945620,3560945627),('SG',3560945628,3560945635),('CN',3560945636,3560945639),('IN',3560945640,3560945643),('MY',3560945644,3560945647),('IN',3560945648,3560945651),('DE',3560945652,3560945659),('IN',3560945660,3560945663),('US',3560945664,3560945667),('BR',3560945668,3560945671),('US',3560945672,3560945675),('PE',3560945676,3560945679),('BR',3560945680,3560945683),('CO',3560945684,3560945691),('US',3560945692,3560945699),('CO',3560945700,3560945703),('US',3560945704,3560945707),('CO',3560945708,3560945711),('US',3560945712,3560945727),('AR',3560945728,3560945731),('US',3560945732,3560945739),('BR',3560945740,3560945743),('US',3560945744,3560945747),('AR',3560945748,3560945751),('US',3560945752,3560945763),('AR',3560945764,3560945767),('BR',3560945768,3560945771),('CA',3560945772,3560945775),('US',3560945776,3560945787),('CO',3560945788,3560945791),('AR',3560945792,3560945795),('US',3560945796,3560945799),('BR',3560945800,3560945803),('US',3560945804,3560945807),('CO',3560945808,3560945811),('US',3560945812,3560945815),('AR',3560945816,3560945819),('US',3560945820,3560945823),('BR',3560945824,3560945827),('US',3560945828,3560945835),('CL',3560945836,3560945839),('BR',3560945840,3560945843),('US',3560945844,3560945851),('DE',3560945852,3560945855),('US',3560945856,3560945859),('DE',3560945860,3560945863),('US',3560945864,3560945867),('DE',3560945868,3560945871),('CA',3560945872,3560945875),('US',3560945876,3560945911),('CA',3560945912,3560945915),('US',3560945916,3560945919),('DE',3560945920,3560946017),('FI',3560946018,3560946018),('CZ',3560946019,3560946019),('DE',3560946020,3560946176),('US',3560946177,3560946189),('AR',3560946190,3560946190),('US',3560946191,3560946194),('PE',3560946195,3560946195),('CA',3560946196,3560946196),('US',3560946197,3560946197),('CA',3560946198,3560946198),('AR',3560946199,3560946199),('US',3560946200,3560946200),('CA',3560946201,3560946201),('DE',3560946202,3560946202),('CA',3560946203,3560946203),('US',3560946204,3560946204),('PE',3560946205,3560946205),('US',3560946206,3560946208),('CA',3560946209,3560946209),('US',3560946210,3560946212),('CO',3560946213,3560946213),('CA',3560946214,3560946214),('PE',3560946215,3560946215),('US',3560946216,3560946229),('AR',3560946230,3560946230),('US',3560946231,3560946231),('CA',3560946232,3560946232),('US',3560946233,3560946234),('CL',3560946235,3560946235),('US',3560946236,3560946237),('AR',3560946238,3560946238),('US',3560946239,3560946246),('PR',3560946247,3560946247),('US',3560946248,3560946253),('SG',3560946254,3560946254),('US',3560946255,3560946256),('MX',3560946257,3560946257),('US',3560946258,3560946258),('VI',3560946259,3560946259),('AR',3560946260,3560946260),('US',3560946261,3560946262),('AR',3560946263,3560946263),('US',3560946264,3560946266),('CA',3560946267,3560946267),('US',3560946268,3560946271),('DE',3560946272,3560946272),('CA',3560946273,3560946273),('US',3560946274,3560946279),('ES',3560946280,3560946280),('US',3560946281,3560946282),('CL',3560946283,3560946283),('US',3560946284,3560946284),('CO',3560946285,3560946285),('US',3560946286,3560946290),('CA',3560946291,3560946291),('US',3560946292,3560946295),('CL',3560946296,3560946296),('DE',3560946297,3560946297),('US',3560946298,3560946298),('DE',3560946299,3560946299),('CL',3560946300,3560946300),('DE',3560946301,3560946311),('US',3560946312,3560946312),('DE',3560946313,3560946317),('US',3560946318,3560946319),('DE',3560946320,3560946320),('US',3560946321,3560946326),('CA',3560946327,3560946327),('US',3560946328,3560946328),('DO',3560946329,3560946329),('US',3560946330,3560946330),('DO',3560946331,3560946331),('CA',3560946332,3560946333),('US',3560946334,3560946335),('CA',3560946336,3560946336),('DE',3560946337,3560946337),('CA',3560946338,3560946338),('US',3560946339,3560946339),('CL',3560946340,3560946340),('CA',3560946341,3560946342),('DO',3560946343,3560946343),('AR',3560946344,3560946344),('US',3560946345,3560946345),('PE',3560946346,3560946346),('US',3560946347,3560946347),('DE',3560946348,3560946361),('US',3560946362,3560946363),('DE',3560946364,3560946367),('US',3560946368,3560946368),('DE',3560946369,3560946372),('US',3560946373,3560946373),('DE',3560946374,3560946374),('US',3560946375,3560946375),('DE',3560946376,3560946398),('US',3560946399,3560946399),('DE',3560946400,3560946408),('PR',3560946409,3560946409),('DE',3560946410,3560946419),('US',3560946420,3560946420),('DE',3560946421,3560946431),('US',3560946432,3560946443),('BR',3560946444,3560946447),('DE',3560946448,3560946451),('BO',3560946452,3560946455),('US',3560946456,3560946467),('BR',3560946468,3560946471),('GU',3560946472,3560946475),('US',3560946476,3560946483),('MX',3560946484,3560946487),('US',3560946488,3560946491),('BR',3560946492,3560946495),('VE',3560946496,3560946499),('AR',3560946500,3560946503),('US',3560946504,3560946507),('MX',3560946508,3560946511),('US',3560946512,3560946523),('MX',3560946524,3560946527),('US',3560946528,3560946531),('CA',3560946532,3560946535),('PE',3560946536,3560946539),('US',3560946540,3560946543),('CA',3560946544,3560946547),('US',3560946548,3560946551),('PE',3560946552,3560946555),('US',3560946556,3560946559),('BR',3560946560,3560946563),('US',3560946564,3560946567),('BR',3560946568,3560946571),('US',3560946572,3560946579),('CA',3560946580,3560946583),('US',3560946584,3560946587),('AR',3560946588,3560946591),('US',3560946592,3560946603),('AR',3560946604,3560946607),('BR',3560946608,3560946611),('US',3560946612,3560946623),('MX',3560946624,3560946635),('US',3560946636,3560946643),('AR',3560946644,3560946647),('MX',3560946648,3560946651),('CL',3560946652,3560946655),('BR',3560946656,3560946659),('MX',3560946660,3560946663),('US',3560946664,3560946667),('MX',3560946668,3560946671),('BR',3560946672,3560946679),('US',3560946680,3560946687),('DE',3560946688,3560946689),('US',3560946690,3560946695),('BR',3560946696,3560946696),('US',3560946697,3560946698),('DE',3560946699,3560946700),('CO',3560946701,3560946701),('US',3560946702,3560946706),('VE',3560946707,3560946707),('BR',3560946708,3560946708),('VE',3560946709,3560946710),('US',3560946711,3560946711),('VE',3560946712,3560946712),('US',3560946713,3560946714),('CO',3560946715,3560946715),('US',3560946716,3560946716),('AR',3560946717,3560946717),('US',3560946718,3560946718),('BR',3560946719,3560946720),('CO',3560946721,3560946723),('MX',3560946724,3560946724),('US',3560946725,3560946729),('MX',3560946730,3560946730),('US',3560946731,3560946733),('PR',3560946734,3560946734),('US',3560946735,3560946747),('DE',3560946748,3560946748),('US',3560946749,3560946760),('DE',3560946761,3560946761),('US',3560946762,3560946767),('CA',3560946768,3560946768),('US',3560946769,3560946769),('DE',3560946770,3560946825),('US',3560946826,3560946826),('DE',3560946827,3560946835),('US',3560946836,3560946836),('DE',3560946837,3560946839),('US',3560946840,3560946840),('DE',3560946841,3560946943),('US',3560946944,3560946947),('BR',3560946948,3560946951),('MX',3560946952,3560946955),('CO',3560946956,3560946959),('MX',3560946960,3560946963),('AR',3560946964,3560946967),('US',3560946968,3560946979),('DE',3560946980,3560946987),('US',3560946988,3560946991),('DE',3560946992,3560946995),('UY',3560946996,3560946999),('US',3560947000,3560947007),('PR',3560947008,3560947011),('US',3560947012,3560947015),('AR',3560947016,3560947019),('US',3560947020,3560947027),('CO',3560947028,3560947031),('US',3560947032,3560947039),('BR',3560947040,3560947043),('US',3560947044,3560947067),('AR',3560947068,3560947071),('BR',3560947072,3560947075),('US',3560947076,3560947087),('PR',3560947088,3560947091),('US',3560947092,3560947095),('MX',3560947096,3560947099),('US',3560947100,3560947107),('DE',3560947108,3560947111),('US',3560947112,3560947123),('CO',3560947124,3560947127),('US',3560947128,3560947143),('DE',3560947144,3560947147),('PR',3560947148,3560947151),('US',3560947152,3560947159),('PR',3560947160,3560947163),('US',3560947164,3560947191),('VE',3560947192,3560947195),('DE',3560947196,3560947199),('CA',3560947200,3560947203),('US',3560947204,3560947207),('DE',3560947208,3560947211),('US',3560947212,3560947231),('CA',3560947232,3560947235),('CO',3560947236,3560947239),('US',3560947240,3560947247),('CA',3560947248,3560947251),('US',3560947252,3560947267),('CO',3560947268,3560947271),('US',3560947272,3560947275),('AR',3560947276,3560947279),('MX',3560947280,3560947283),('US',3560947284,3560947287),('BR',3560947288,3560947291),('US',3560947292,3560947331),('MX',3560947332,3560947335),('US',3560947336,3560947343),('MX',3560947344,3560947347),('CO',3560947348,3560947351),('US',3560947352,3560947355),('AN',3560947356,3560947359),('US',3560947360,3560947363),('HN',3560947364,3560947367),('BR',3560947368,3560947371),('CA',3560947372,3560947375),('US',3560947376,3560947383),('CO',3560947384,3560947391),('MX',3560947392,3560947395),('US',3560947396,3560947399),('AR',3560947400,3560947407),('US',3560947408,3560947411),('AR',3560947412,3560947415),('US',3560947416,3560947431),('MX',3560947432,3560947435),('DE',3560947436,3560947439),('BR',3560947440,3560947443),('US',3560947444,3560947455),('JP',3560947456,3560947495),('KR',3560947496,3560947499),('JP',3560947500,3560947686),('DE',3560947687,3560947687),('JP',3560947688,3560947711),('SE',3560947712,3560955903),('BE',3560955904,3560958207),('BR',3560958208,3560959999),('BE',3560960000,3560964095),('NL',3560964096,3560996863),('SA',3560996864,3561005055),('ES',3561005056,3561013247),('TR',3561013248,3561021439),('DE',3561021440,3561022719),('AT',3561022720,3561022975),('DE',3561022976,3561037823),('BE',3561037824,3561046015),('RU',3561046016,3561054207),('TR',3561062400,3561070591),('DE',3561070592,3561070847),('CH',3561070848,3561078783),('CZ',3561078784,3561095167),('DE',3561095168,3561103359),('UA',3561103360,3561111551),('LU',3561111552,3561119743),('IT',3561119744,3561127935),('DE',3561127936,3561136127),('ES',3561136128,3561144319),('FI',3561144320,3561152511),('IT',3561152512,3561160703),('RU',3561160704,3561168895),('FR',3561168896,3561177087),('CZ',3561177088,3561181215),('CA',3561181216,3561181247),('CZ',3561181248,3561181263),('DE',3561181264,3561181271),('CZ',3561181272,3561185279),('GB',3561185280,3561193471),('PL',3561193472,3561201663),('NL',3561201664,3561206655),('BE',3561206656,3561206663),('NL',3561206664,3561209855),('GB',3561209856,3561218047),('AT',3561218048,3561226239),('FI',3561226240,3561234431),('TR',3561234432,3561242623),('DE',3561242624,3561259007),('IL',3561259008,3561267199),('UA',3561267200,3561275391),('BE',3561275392,3561291775),('RS',3561291776,3561299967),('GB',3561299968,3561308159),('PL',3561308160,3561316351),('RU',3561316352,3561324543),('IT',3561324544,3561332735),('AT',3561332736,3561340927),('GB',3561340928,3561357311),('DK',3561357312,3561365503),('SA',3561365504,3561373695),('GB',3561373696,3561381887),('AT',3561381888,3561382479),('DE',3561382480,3561382495),('AT',3561382496,3561390079),('BG',3561390080,3561398271),('LV',3561398272,3561406463),('GR',3561406464,3561414655),('IT',3561414656,3561422847),('BE',3561422848,3561427207),('NL',3561427208,3561427211),('BE',3561427212,3561431039),('SA',3561431040,3561439231),('NO',3561439232,3561447423),('CH',3561447424,3561455615),('CZ',3561455616,3561471999),('DE',3561472000,3561480191),('GB',3561480192,3561488383),('OM',3561488384,3561496575),('NL',3561496576,3561496735),('GB',3561496736,3561497215),('NL',3561497216,3561497423),('GB',3561497424,3561497471),('NL',3561497472,3561498367),('GB',3561498368,3561498399),('NL',3561498400,3561498431),('GB',3561498432,3561498487),('NL',3561498488,3561498491),('GB',3561498492,3561498495),('NL',3561498496,3561498559),('GB',3561498560,3561498607),('NL',3561498608,3561498615),('GB',3561498616,3561498623),('NL',3561498624,3561500415),('GB',3561500416,3561500671),('NL',3561500672,3561500751),('GB',3561500752,3561500763),('NL',3561500764,3561500767),('GB',3561500768,3561500775),('NL',3561500776,3561500807),('GB',3561500808,3561500815),('NL',3561500816,3561500991),('GB',3561500992,3561501055),('NL',3561501056,3561501375),('GB',3561501376,3561501407),('NL',3561501408,3561501455),('GB',3561501456,3561501487),('NL',3561501488,3561501615),('GB',3561501616,3561501695),('NL',3561501696,3561502047),('GB',3561502048,3561502079),('NL',3561502080,3561502143),('GB',3561502144,3561502207),('NL',3561502208,3561502631),('GB',3561502632,3561502655),('NL',3561502656,3561504319),('GB',3561504320,3561504383),('NL',3561504384,3561504767),('DE',3561504768,3561512959),('SI',3561512960,3561521151),('GE',3561521152,3561529343),('DE',3561529344,3561534559),('US',3561534560,3561534575),('DE',3561534576,3561537535),('BG',3561537536,3561545727),('NL',3561545728,3561553919),('SE',3561553920,3561562111),('ES',3561562112,3561570303),('AM',3561570304,3561578495),('RU',3561578496,3561586687),('BG',3561586688,3561594879),('SE',3561594880,3561594935),('DK',3561594936,3561594939),('SE',3561594940,3561594975),('DK',3561594976,3561595007),('SE',3561595008,3561603071),('FR',3561603072,3561603263),('GB',3561603264,3561603295),('FR',3561603296,3561603455),('GB',3561603456,3561603487),('FR',3561603488,3561603775),('GB',3561603776,3561604895),('FR',3561604896,3561604911),('GB',3561604912,3561605119),('FR',3561605120,3561607231),('GB',3561607232,3561607235),('FR',3561607236,3561607239),('GB',3561607240,3561607247),('FR',3561607248,3561607343),('GB',3561607344,3561607359),('FR',3561607360,3561607679),('GB',3561607680,3561607711),('FR',3561607712,3561607775),('GB',3561607776,3561607807),('FR',3561607808,3561610239),('US',3561610240,3561610495),('GB',3561610496,3561610719),('FR',3561610720,3561611007),('GB',3561611008,3561611263),('FR',3561611264,3561611295),('GB',3561611296,3561611559),('FR',3561611560,3561611567),('GB',3561611568,3561613055),('FR',3561613056,3561613183),('GB',3561613184,3561614175),('FR',3561614176,3561614199),('GB',3561614200,3561615359),('FR',3561615360,3561615615),('IT',3561615616,3561615871),('FR',3561615872,3561616447),('GB',3561616448,3561616511),('FR',3561616512,3561616543),('GB',3561616544,3561616559),('FR',3561616560,3561616575),('GB',3561616576,3561616895),('FR',3561616896,3561616959),('GB',3561616960,3561617407),('CH',3561617408,3561617919),('SE',3561617920,3561618175),('IE',3561618176,3561618431),('DK',3561618432,3561618687),('FR',3561618688,3561618815),('PL',3561618816,3561618943),('FR',3561618944,3561619455),('GB',3561619456,3561636863),('BE',3561636864,3561637119),('ES',3561637120,3561637375),('CH',3561637376,3561637631),('IT',3561637632,3561637887),('AT',3561637888,3561638143),('SE',3561638144,3561638399),('US',3561638400,3561638655),('DK',3561638656,3561638911),('GB',3561638912,3561639423),('DE',3561639424,3561639679),('GB',3561639680,3561640575),('FR',3561640576,3561640831),('GB',3561640832,3561641983),('DE',3561641984,3561642239),('GB',3561642240,3561652223),('CH',3561652224,3561668607),('RU',3561668608,3561679359),('UA',3561679360,3561679615),('RU',3561679616,3561684991),('DE',3561693184,3561694487),('CH',3561694488,3561694495),('DE',3561694496,3561701375),('SE',3561701376,3561706031),('DK',3561706032,3561706047),('SE',3561706048,3561709567),('PL',3561709568,3561717759),('RU',3561717760,3561725951),('ES',3561725952,3561734143),('KZ',3561750528,3561758719),('PL',3561758720,3561766911),('SA',3561766912,3561775103),('IL',3561775104,3561783295),('DE',3561783296,3561791487),('RU',3561791488,3561799679),('DE',3561799680,3561807871),('BE',3561807872,3561816063),('VA',3561816064,3561824255),('LI',3561824256,3561832447),('IT',3561832448,3561840639),('PL',3561840640,3561848831),('RU',3561848832,3561857023),('DE',3561857024,3561865215),('QA',3561865216,3561873407),('DE',3561873408,3561881599),('IT',3561881600,3561889791),('FR',3561889792,3561897983),('GB',3561897984,3561906175),('DE',3561906176,3561907759),('GB',3561907760,3561907763),('DE',3561907764,3561910207),('GB',3561910208,3561910223),('DE',3561910224,3561914367),('ES',3561914368,3561922559),('NL',3561922560,3561922855),('GB',3561922856,3561922911),('NL',3561922912,3561922975),('GB',3561922976,3561922991),('NL',3561922992,3561923015),('GB',3561923016,3561923071),('NL',3561923072,3561923551),('GB',3561923552,3561923583),('NL',3561923584,3561923711),('GB',3561923712,3561923847),('NL',3561923848,3561923855),('GB',3561923856,3561923871),('NL',3561923872,3561924159),('GB',3561924160,3561924199),('NL',3561924200,3561924215),('GB',3561924216,3561924703),('NL',3561924704,3561924719),('GB',3561924720,3561924911),('NL',3561924912,3561924943),('GB',3561924944,3561924959),('NL',3561924960,3561924991),('GB',3561924992,3561925007),('NL',3561925008,3561925039),('GB',3561925040,3561925087),('NL',3561925088,3561925103),('GB',3561925104,3561925887),('NL',3561925888,3561925951),('GB',3561925952,3561926079),('NL',3561926080,3561926143),('GB',3561926144,3561926335),('NL',3561926336,3561926399),('GB',3561926400,3561926911),('NL',3561926912,3561926975),('GB',3561926976,3561927167),('NL',3561927168,3561927423),('GB',3561927424,3561927551),('NL',3561927552,3561927655),('GB',3561927656,3561927663),('NL',3561927664,3561927743),('GB',3561927744,3561928191),('NL',3561928192,3561929727),('GB',3561929728,3561929743),('NL',3561929744,3561929791),('GB',3561929792,3561929879),('NL',3561929880,3561929919),('GB',3561929920,3561929967),('NL',3561929968,3561930335),('GB',3561930336,3561930503),('NL',3561930504,3561930511),('GB',3561930512,3561930751),('DE',3561930752,3561931519),('SE',3561931520,3561931967),('DE',3561931968,3561932031),('SE',3561932032,3561934591),('DE',3561934592,3561934847),('SE',3561934848,3561935359),('DE',3561935360,3561935871),('SE',3561935872,3561936127),('DE',3561936128,3561938175),('SE',3561938176,3561938559),('DE',3561938560,3561938687),('SE',3561938688,3561938943),('IE',3561938944,3561947135),('DE',3561947136,3561963519),('BE',3561963520,3561971711),('TR',3561971712,3561976831),('DE',3561976832,3561977343),('US',3561977344,3561977855),('PK',3561977856,3561978367),('TR',3561978368,3561979903),('ES',3561979904,3561988095),('DE',3561988096,3562004479),('NL',3562004480,3562006159),('DE',3562006160,3562006175),('NL',3562006176,3562006819),('VG',3562006820,3562006823),('NL',3562006824,3562007839),('VG',3562007840,3562007871),('KN',3562007872,3562007903),('NL',3562007904,3562010399),('KN',3562010400,3562010431),('NL',3562010432,3562010943),('VG',3562010944,3562010975),('NL',3562010976,3562012031),('VG',3562012032,3562012063),('NL',3562012064,3562012479),('KN',3562012480,3562012483),('NL',3562012484,3562012671),('BE',3562012672,3562020863),('UA',3562020864,3562029055),('CZ',3562029056,3562037247),('CH',3562037248,3562045439),('ES',3562045440,3562056711),('NL',3562056712,3562056719),('ES',3562056720,3562056911),('FR',3562056912,3562056927),('ES',3562056928,3562057215),('NL',3562057216,3562057247),('BE',3562057248,3562057263),('ES',3562057264,3562057471),('DE',3562057472,3562057727),('ES',3562057728,3562057975),('FR',3562057976,3562057983),('ES',3562057984,3562058303),('IT',3562058304,3562058367),('ES',3562058368,3562059327),('CH',3562059328,3562059335),('ES',3562059336,3562059391),('CH',3562059392,3562059775),('ES',3562059776,3562061823),('IT',3562061824,3562070015),('DE',3562070016,3562078207),('SK',3562078208,3562086399),('SE',3562086400,3562087423),('GB',3562087424,3562088447),('SE',3562088448,3562094591),('FR',3562094592,3562098879),('BE',3562098880,3562098895),('FR',3562098896,3562102415),('NL',3562102416,3562102431),('FR',3562102432,3562105503),('DE',3562105504,3562105535),('FR',3562105536,3562110975),('ES',3562110976,3562143743),('GB',3562143744,3562151935),('DE',3562151936,3562160127),('GB',3562160128,3562161151),('NL',3562161152,3562161183),('GB',3562161184,3562170367),('IE',3562170368,3562172415),('CH',3562172416,3562173951),('GB',3562173952,3562174463),('CH',3562174464,3562176511),('FR',3562176512,3562184703),('DE',3562184704,3562192895),('UA',3562192896,3562201087),('DE',3562201088,3562209279),('RU',3562209280,3562217471),('DE',3562217472,3562225663),('NL',3562225664,3562233855),('FI',3562233856,3562242047),('FR',3562242048,3562258431),('NL',3562258432,3562283007),('IT',3562283008,3562291199),('GB',3562299392,3562307583),('NL',3562307584,3562315775),('GB',3562315776,3562323967),('DE',3562323968,3562340351),('GB',3562340352,3562348543),('ES',3562348544,3562356735),('SE',3562356736,3562364927),('PL',3562364928,3562373119),('FR',3562373120,3562381311),('IT',3562381312,3562389503),('GH',3562389504,3562395647),('TZ',3562395648,3562396159),('SZ',3562396160,3562397695),('GB',3562397696,3562405887),('FI',3562405888,3562414079),('DE',3562414080,3562422271),('GB',3562422272,3562430463),('UA',3562430464,3562438655),('DE',3562438656,3562463231),('UA',3562463232,3562471423),('PL',3562471424,3562479615),('DE',3562479616,3562487807),('GB',3562487808,3562495999),('BE',3562496000,3562504191),('DE',3562504192,3562512383),('UA',3562512384,3562520575),('ES',3562520576,3562528767),('PL',3562528768,3562536959),('AT',3562536960,3562545151),('GB',3562545152,3562553343),('DK',3562553344,3562561535),('UG',3562561536,3562569727),('DE',3562569728,3562572143),('LU',3562572144,3562572159),('DE',3562572160,3562572223),('US',3562572224,3562572239),('DE',3562572240,3562572543),('LU',3562572544,3562572799),('DE',3562572800,3562577919),('AT',3562577920,3562586111),('DE',3562586112,3562594303),('BE',3562594304,3562595423),('LU',3562595424,3562595455),('BE',3562595456,3562598207),('LU',3562598208,3562598223),('BE',3562598224,3562602495),('ES',3562602496,3562610687),('NO',3562610688,3562618879),('GB',3562618880,3562627071),('DE',3562627072,3562643455),('GR',3562643456,3562651647),('DE',3562651648,3562659839),('SK',3562659840,3562668031),('IT',3562668032,3562676223),('GB',3562676224,3562684415),('FI',3562684416,3562692607),('UA',3562692608,3562695375),('CZ',3562695376,3562695379),('UA',3562695380,3562698751),('DE',3562698752,3562699775),('UA',3562699776,3562700799),('DE',3562700800,3562708991),('UA',3562708992,3562717183),('CH',3562717184,3562725375),('CZ',3562725376,3562733567),('PL',3562733568,3562741759),('IT',3562741760,3562758143),('HR',3562758144,3562766335),('SE',3562766336,3562774527),('BG',3562774528,3562782719),('RU',3562782720,3562790911),('DE',3562790912,3562799103),('HU',3562799104,3562807295),('ES',3562807296,3562815487),('NL',3562815488,3562823679),('RU',3562823680,3562848255),('UA',3562856448,3562864639),('DE',3562864640,3562872831),('DK',3562872832,3562881023),('GB',3562881024,3562889215),('LV',3562889216,3562897407),('RO',3562897408,3562905599),('SA',3562905600,3562921983),('SI',3562921984,3562930175),('RU',3562930176,3562938367),('CH',3562938368,3562946559),('FI',3562946560,3562954751),('RU',3562954752,3562962943),('IT',3562962944,3562971135),('FR',3562971136,3562987519),('DE',3562987520,3562995711),('AT',3562995712,3563003903),('DE',3563003904,3563005183),('KZ',3563005184,3563005311),('DE',3563005312,3563005439),('TR',3563005440,3563005695),('GB',3563005696,3563005951),('TR',3563005952,3563006463),('DE',3563006464,3563006591),('CA',3563006592,3563006719),('DE',3563006720,3563006847),('CA',3563006848,3563006975),('DE',3563006976,3563012095),('FR',3563012096,3563020287),('DE',3563020288,3563028479),('GB',3563028480,3563036671),('BG',3563036672,3563044863),('ES',3563044864,3563053055),('GB',3563053056,3563053503),('US',3563053504,3563053527),('GB',3563053528,3563061247),('GH',3563061248,3563061759),('NG',3563061760,3563062527),('GH',3563062528,3563067391),('MZ',3563067392,3563067519),('GH',3563067520,3563067647),('MZ',3563067648,3563067903),('GH',3563067904,3563068415),('NG',3563068416,3563069183),('GH',3563069184,3563069439),('FR',3563077632,3563085567),('SE',3563085568,3563085823),('RU',3563085824,3563094015),('DE',3563094016,3563096255),('GB',3563096256,3563096287),('DE',3563096288,3563097087),('GB',3563097088,3563097119),('DE',3563097120,3563097151),('GB',3563097152,3563097183),('DE',3563097184,3563097215),('GB',3563097216,3563097247),('DE',3563097248,3563097311),('GB',3563097312,3563097343),('DE',3563097344,3563102207),('CZ',3563102208,3563110399),('RU',3563110400,3563118591),('DE',3563118592,3563126783),('HU',3563126784,3563134975),('IT',3563134976,3563143167),('GB',3563143168,3563151359),('DE',3563151360,3563159551),('DK',3563159552,3563167743),('ES',3563167744,3563175935),('DK',3563175936,3563192319),('TR',3563192320,3563200511),('CH',3563200512,3563208703),('DK',3563208704,3563225087),('LB',3563225088,3563233279),('BY',3563233280,3563241471),('TR',3563241472,3563257855),('FR',3563257856,3563290623),('DE',3563290624,3563315199),('DK',3563315200,3563323391),('GB',3563323392,3563329791),('EU',3563329792,3563331583),('DE',3563331584,3563339775),('NG',3563339776,3563347967),('GB',3563347968,3563356159),('RU',3563356160,3563364351),('BE',3563364352,3563372543),('SA',3563372544,3563380735),('GB',3563380736,3563381951),('IT',3563381952,3563381959),('GB',3563381960,3563382383),('AU',3563382384,3563382391),('GB',3563382392,3563382495),('AT',3563382496,3563382503),('GB',3563382504,3563382583),('AT',3563382584,3563382587),('DE',3563382588,3563382589),('GB',3563382590,3563382767),('IE',3563382768,3563382775),('GB',3563382776,3563388927),('CH',3563388928,3563397119),('DE',3563397120,3563405311),('ES',3563405312,3563407871),('US',3563407872,3563407903),('ES',3563407904,3563413503),('TR',3563413504,3563421695),('CH',3563421696,3563438079),('DE',3563438080,3563446271),('RU',3563446272,3563454463),('SA',3563454464,3563462655),('IT',3563462656,3563479039),('GB',3563479040,3563487231),('RS',3563487232,3563495423),('DE',3563495424,3563503615),('GB',3563503616,3563511807),('DE',3563511808,3563519999),('FR',3563520000,3563528191),('DE',3563528192,3563536383),('CH',3563536384,3563539087),('US',3563539088,3563539095),('CH',3563539096,3563539119),('DE',3563539120,3563539135),('CH',3563539136,3563540191),('DE',3563540192,3563540199),('CH',3563540200,3563544575),('DE',3563544576,3563552767),('SI',3563552768,3563560959),('EG',3563560960,3563569151),('IT',3563569152,3563577343),('GB',3563577344,3563585535),('IT',3563585536,3563601919),('GR',3563601920,3563610111),('BG',3563610112,3563618303),('GB',3563618304,3563626495),('ES',3563626496,3563634687),('NL',3563634688,3563651071),('SE',3563651072,3563683839),('BE',3563683840,3563692031),('GB',3563692032,3563700223),('DE',3563700224,3563708415),('HU',3563708416,3563716607),('PL',3563716608,3563724799),('RU',3563724800,3563732991),('PS',3563732992,3563741183),('GB',3563741184,3563749375),('PL',3563749376,3563765759),('ES',3563765760,3563782143),('GR',3563782144,3563790335),('EE',3563790336,3563798527),('FR',3563798528,3563800447),('GB',3563800448,3563800463),('FR',3563800464,3563800495),('GB',3563800496,3563800511),('FR',3563800512,3563800607),('GB',3563800608,3563800623),('FR',3563800624,3563800767),('GB',3563800768,3563800783),('FR',3563800784,3563800911),('GB',3563800912,3563800927),('FR',3563800928,3563800943),('GB',3563800944,3563800991),('FR',3563800992,3563801135),('DE',3563801136,3563801151),('FR',3563801152,3563801183),('DE',3563801184,3563801199),('FR',3563801200,3563801279),('NL',3563801280,3563801295),('FR',3563801296,3563801375),('GB',3563801376,3563801391),('IT',3563801392,3563801407),('DE',3563801408,3563801423),('FR',3563801424,3563801455),('GB',3563801456,3563801519),('FR',3563801520,3563801551),('GB',3563801552,3563801567),('FR',3563801568,3563801599),('GB',3563801600,3563801631),('FR',3563801632,3563801647),('GB',3563801648,3563801743),('FR',3563801744,3563801775),('BE',3563801776,3563801791),('FR',3563801792,3563801839),('GB',3563801840,3563801855),('FR',3563801856,3563801871),('GB',3563801872,3563801887),('FR',3563801888,3563801922),('GB',3563801923,3563801935),('FR',3563801936,3563802015),('BE',3563802016,3563802031),('FR',3563802032,3563802047),('IT',3563802048,3563802063),('FR',3563802064,3563802207),('GB',3563802208,3563802223),('FR',3563802224,3563802255),('GB',3563802256,3563802271),('FR',3563802272,3563802303),('IT',3563802304,3563802319),('FR',3563802320,3563802447),('GB',3563802448,3563802463),('FR',3563802464,3563802623),('GB',3563802624,3563802655),('FR',3563802656,3563802735),('US',3563802736,3563802751),('GB',3563802752,3563802783),('FR',3563802784,3563803007),('GB',3563803008,3563803023),('FR',3563803024,3563803039),('GB',3563803040,3563803055),('FR',3563803056,3563803119),('NL',3563803120,3563803135),('FR',3563803136,3563803151),('GB',3563803152,3563803167),('FR',3563803168,3563803183),('GB',3563803184,3563803215),('FR',3563803216,3563803247),('GB',3563803248,3563803263),('FR',3563803264,3563803279),('GB',3563803280,3563803295),('FR',3563803296,3563803311),('GB',3563803312,3563803327),('FR',3563803328,3563803359),('GB',3563803360,3563803423),('FR',3563803424,3563803439),('DE',3563803440,3563803455),('GB',3563803456,3563803487),('US',3563803488,3563803503),('GB',3563803504,3563803519),('FR',3563803520,3563803631),('GB',3563803632,3563803647),('FR',3563803648,3563803967),('BE',3563803968,3563803983),('FR',3563803984,3563804695),('GB',3563804696,3563804703),('FR',3563804704,3563804719),('GB',3563804720,3563804727),('FR',3563804728,3563806543),('DE',3563806544,3563806559),('FR',3563806560,3563806687),('DE',3563806688,3563806703),('FR',3563806704,3563806719),('SA',3563806720,3563814911),('DE',3563823104,3563831295),('RU',3563831296,3563847679),('NL',3563847680,3563848383),('ES',3563848384,3563848447),('NL',3563848448,3563848575),('ES',3563848576,3563848583),('NL',3563848584,3563848671),('ES',3563848672,3563848703),('US',3563848704,3563848959),('NL',3563848960,3563848975),('ES',3563848976,3563848983),('NL',3563848984,3563849015),('ES',3563849016,3563849023),('NL',3563849024,3563849151),('ES',3563849152,3563849183),('NL',3563849184,3563849197),('ES',3563849198,3563849199),('NL',3563849200,3563849211),('ES',3563849212,3563849215),('GB',3563849216,3563849727),('NL',3563849728,3563849991),('SA',3563849992,3563849999),('FI',3563850000,3563850007),('NL',3563850008,3563850239),('GB',3563850240,3563850751),('NL',3563850752,3563850783),('ES',3563850784,3563850831),('NL',3563850832,3563850847),('ES',3563850848,3563850879),('NL',3563850880,3563851199),('ES',3563851200,3563851263),('US',3563851264,3563851775),('NL',3563851776,3563852031),('ES',3563852032,3563852071),('NL',3563852072,3563852079),('ES',3563852080,3563852159),('NL',3563852160,3563852191),('GB',3563852192,3563852207),('NL',3563852208,3563852216),('ES',3563852217,3563852223),('NL',3563852224,3563852255),('ES',3563852256,3563852271),('NL',3563852272,3563852543),('ES',3563852544,3563852799),('NL',3563852800,3563853327),('ES',3563853328,3563853439),('NL',3563853440,3563853567),('ES',3563853568,3563853823),('IT',3563853824,3563854079),('ES',3563854080,3563854103),('NL',3563854104,3563854175),('ES',3563854176,3563854239),('NL',3563854240,3563854259),('ES',3563854260,3563854591),('NL',3563854592,3563855487),('ES',3563855488,3563855615),('US',3563855616,3563855871),('AT',3563855872,3563864063),('GB',3563864064,3563872255),('RU',3563872256,3563880447),('TR',3563880448,3563888639),('DE',3563888640,3563896831),('HU',3563896832,3563913215),('SE',3563913216,3563921407),('UA',3563921408,3563929599),('CH',3563929600,3563937791),('TR',3563937792,3563945983),('PL',3563945984,3563954175),('IT',3563954176,3563962367),('RU',3563962368,3563970559),('TR',3563970560,3563978751),('IT',3563978752,3563995135),('MK',3563995136,3564003327),('DE',3564003328,3564008191),('CH',3564008192,3564008223),('DE',3564008224,3564011519),('UA',3564011520,3564019711),('DE',3564027904,3564036351),('RU',3564036352,3564037631),('KZ',3564037632,3564038143),('RU',3564038144,3564039167),('AZ',3564039168,3564039679),('RU',3564039680,3564039935),('KZ',3564039936,3564040191),('RU',3564040192,3564040447),('UZ',3564040448,3564040703),('RU',3564040704,3564042239),('TJ',3564042240,3564042495),('RU',3564042496,3564043007),('DE',3564043008,3564044287),('CZ',3564044288,3564052479),('GB',3564052480,3564060671),('RU',3564060672,3564068863),('ES',3564068864,3564077055),('GB',3564077056,3564093439),('UA',3564093440,3564101631),('DE',3564101632,3564109823),('SE',3564109824,3564126207),('IT',3564126208,3564134399),('KG',3564134400,3564142591),('DE',3564142592,3564146175),('DK',3564146176,3564150783),('SE',3564150784,3564152607),('NO',3564152608,3564152639),('SE',3564152640,3564156703),('NO',3564156704,3564156735),('SE',3564156736,3564157207),('NO',3564157208,3564157215),('SE',3564157216,3564158975),('DE',3564158976,3564161855),('NL',3564161856,3564161891),('DE',3564161892,3564165119),('NL',3564165120,3564165439),('DE',3564165440,3564175359),('GB',3564175360,3564183551),('UA',3564183552,3564191743),('BE',3564191744,3564199935),('RU',3564199936,3564208127),('GB',3564208128,3564216319),('PT',3564216320,3564224511),('GB',3564224512,3564232703),('TJ',3564240896,3564241407),('RU',3564241408,3564249087),('DE',3564249088,3564260735),('NL',3564260736,3564260863),('DE',3564260864,3564265471),('GR',3564265472,3564273663),('DE',3564273664,3564302655),('BE',3564302656,3564302687),('DE',3564302688,3564306431),('TR',3564306432,3564314623),('GB',3564314624,3564322815),('IT',3564322816,3564331007),('ES',3564331008,3564339199),('GB',3564339200,3564339967),('NL',3564339968,3564339999),('GB',3564340000,3564340351),('NL',3564340352,3564340415),('GB',3564340416,3564340479),('NL',3564340480,3564340735),('GB',3564340736,3564340991),('NL',3564340992,3564341119),('GB',3564341120,3564341183),('NL',3564341184,3564341247),('GB',3564341248,3564341759),('NL',3564341760,3564342063),('GB',3564342064,3564342207),('NL',3564342208,3564342271),('GB',3564342272,3564342335),('NL',3564342336,3564342431),('GB',3564342432,3564342527),('NL',3564342528,3564342783),('GB',3564342784,3564343583),('NL',3564343584,3564343615),('GB',3564343616,3564343679),('NL',3564343680,3564343743),('GB',3564343744,3564343775),('NL',3564343776,3564343807),('GB',3564343808,3564343839),('NL',3564343840,3564343871),('GB',3564343872,3564343967),('NL',3564343968,3564343999),('GB',3564344000,3564344031),('NL',3564344032,3564344231),('GB',3564344232,3564344239),('NL',3564344240,3564344255),('GB',3564344256,3564344575),('NL',3564344576,3564344831),('GB',3564344832,3564344895),('NL',3564344896,3564344959),('GB',3564344960,3564345023),('NL',3564345024,3564345087),('GB',3564345088,3564345127),('NL',3564345128,3564345151),('GB',3564345152,3564345215),('NL',3564345216,3564345343),('GB',3564345344,3564346143),('NL',3564346144,3564346175),('GB',3564346176,3564346207),('NL',3564346208,3564346239),('GB',3564346240,3564346271),('NL',3564346272,3564346303),('GB',3564346304,3564347391),('NL',3564347392,3564347583),('GB',3564347584,3564347647),('NL',3564347648,3564348159),('GB',3564348160,3564348191),('NL',3564348192,3564348239),('GB',3564348240,3564348255),('NL',3564348256,3564348287),('GB',3564348288,3564348399),('NL',3564348400,3564348415),('GB',3564348416,3564348479),('NL',3564348480,3564348495),('GB',3564348496,3564348527),('NL',3564348528,3564348543),('GB',3564348544,3564348559),('NL',3564348560,3564348639),('GB',3564348640,3564348671),('NL',3564348672,3564348991),('GB',3564348992,3564349183),('NL',3564349184,3564349311),('GB',3564349312,3564349375),('NL',3564349376,3564349407),('GB',3564349408,3564349503),('NL',3564349504,3564349583),('GB',3564349584,3564349615),('NL',3564349616,3564349695),('GB',3564349696,3564350335),('NL',3564350336,3564350351),('GB',3564350352,3564350367),('NL',3564350368,3564350719),('GB',3564350720,3564351231),('NL',3564351232,3564351295),('GB',3564351296,3564351375),('NL',3564351376,3564351391),('GB',3564351392,3564351439),('NL',3564351440,3564351455),('GB',3564351456,3564351471),('NL',3564351472,3564351487),('GB',3564351488,3564351503),('NL',3564351504,3564351679),('GB',3564351680,3564351743),('NL',3564351744,3564352079),('GB',3564352080,3564352095),('NL',3564352096,3564352127),('GB',3564352128,3564352191),('NL',3564352192,3564352511),('GB',3564352512,3564352543),('NL',3564352544,3564352575),('GB',3564352576,3564352735),('NL',3564352736,3564352767),('GB',3564352768,3564353023),('NL',3564353024,3564353087),('GB',3564353088,3564353111),('NL',3564353112,3564353167),('GB',3564353168,3564353199),('NL',3564353200,3564353215),('GB',3564353216,3564353223),('NL',3564353224,3564353263),('GB',3564353264,3564353295),('NL',3564353296,3564353311),('GB',3564353312,3564353343),('NL',3564353344,3564353359),('GB',3564353360,3564353407),('NL',3564353408,3564353487),('GB',3564353488,3564353503),('NL',3564353504,3564353535),('GB',3564353536,3564353791),('NL',3564353792,3564353919),('GB',3564353920,3564354063),('NL',3564354064,3564354079),('GB',3564354080,3564354303),('NL',3564354304,3564354335),('GB',3564354336,3564354367),('NL',3564354368,3564354559),('GB',3564354560,3564354943),('NL',3564354944,3564355055),('GB',3564355056,3564355135),('NL',3564355136,3564355199),('GB',3564355200,3564355295),('NL',3564355296,3564355311),('GB',3564355312,3564355583),('NL',3564355584,3564363775),('UA',3564363776,3564371967),('DE',3564371968,3564380159),('FI',3564380160,3564388351),('SE',3564388352,3564396543),('RU',3564396544,3564404735),('BG',3564404736,3564412927),('IL',3564412928,3564413183),('A2',3564413184,3564413407),('IL',3564413408,3564414119),('A2',3564414120,3564414207),('IL',3564414208,3564414479),('A2',3564414480,3564414719),('IL',3564414720,3564414751),('A2',3564414752,3564414783),('IL',3564414784,3564414815),('A2',3564414816,3564414847),('IL',3564414848,3564415023),('A2',3564415024,3564415039),('IL',3564415040,3564415295),('A2',3564415296,3564415359),('IL',3564415360,3564415423),('A2',3564415424,3564415487),('IL',3564415488,3564415583),('A2',3564415584,3564415615),('IL',3564415616,3564415679),('A2',3564415680,3564415775),('IL',3564415776,3564416095),('A2',3564416096,3564416127),('IL',3564416128,3564416383),('A2',3564416384,3564416447),('IL',3564416448,3564416559),('A2',3564416560,3564416567),('IL',3564416568,3564416571),('A2',3564416572,3564416575),('IL',3564416576,3564416767),('A2',3564416768,3564417023),('IL',3564417024,3564417055),('A2',3564417056,3564417151),('IL',3564417152,3564417183),('A2',3564417184,3564417247),('IL',3564417248,3564417311),('A2',3564417312,3564417375),('IL',3564417376,3564417455),('A2',3564417456,3564417463),('IL',3564417464,3564417503),('A2',3564417504,3564417535),('IL',3564417536,3564417791),('A2',3564417792,3564417887),('IL',3564417888,3564418047),('A2',3564418048,3564418303),('IL',3564418304,3564418367),('A2',3564418368,3564418431),('IL',3564418432,3564418558),('A2',3564418559,3564418559),('IL',3564418560,3564418687),('A2',3564418688,3564418751),('IL',3564418752,3564418815),('A2',3564418816,3564418847),('IL',3564418848,3564419135),('A2',3564419136,3564419199),('IL',3564419200,3564419263),('A2',3564419264,3564419295),('IL',3564419296,3564419327),('A2',3564419328,3564419455),('IL',3564419456,3564419583),('A2',3564419584,3564419647),('IL',3564419648,3564419871),('A2',3564419872,3564419967),('IL',3564419968,3564420127),('A2',3564420128,3564420159),('IL',3564420160,3564420191),('A2',3564420192,3564420223),('IL',3564420224,3564420959),('A2',3564420960,3564420991),('IL',3564420992,3564421023),('A2',3564421024,3564421055),('IL',3564421056,3564421119),('SA',3564421120,3564429311),('KZ',3564429312,3564431567),('AF',3564431568,3564431583),('KZ',3564431584,3564437503),('LT',3564437504,3564445695),('BG',3564445696,3564453887),('DE',3564453888,3564462079),('CH',3564462080,3564470271),('IL',3564470272,3564471343),('A2',3564471344,3564471359),('IL',3564471360,3564472095),('A2',3564472096,3564472127),('IL',3564472128,3564472671),('A2',3564472672,3564472687),('IL',3564472688,3564472703),('A2',3564472704,3564472719),('IL',3564472720,3564472771),('A2',3564472772,3564472775),('IL',3564472776,3564472787),('A2',3564472788,3564472831),('IL',3564472832,3564473375),('A2',3564473376,3564473383),('IL',3564473384,3564473439),('A2',3564473440,3564473535),('IL',3564473536,3564473647),('A2',3564473648,3564473663),('IL',3564473664,3564474175),('A2',3564474176,3564474239),('IL',3564474240,3564474335),('A2',3564474336,3564474383),('IL',3564474384,3564474583),('A2',3564474584,3564474591),('IL',3564474592,3564474719),('A2',3564474720,3564474751),('IL',3564474752,3564474783),('A2',3564474784,3564474815),('IL',3564474816,3564474863),('A2',3564474864,3564474871),('IL',3564474872,3564475167),('A2',3564475168,3564475199),('IL',3564475200,3564475519),('A2',3564475520,3564475567),('IL',3564475568,3564475583),('A2',3564475584,3564475615),('IL',3564475616,3564475807),('A2',3564475808,3564475815),('IL',3564475816,3564475903),('A2',3564475904,3564476159),('IL',3564476160,3564476687),('A2',3564476688,3564476703),('IL',3564476704,3564476831),('A2',3564476832,3564476863),('IL',3564476864,3564477055),('A2',3564477056,3564477071),('IL',3564477072,3564477119),('A2',3564477120,3564477151),('IL',3564477152,3564477183),('A2',3564477184,3564477199),('IL',3564477200,3564477423),('A2',3564477424,3564477439),('IL',3564477440,3564477663),('A2',3564477664,3564477695),('IL',3564477696,3564478299),('A2',3564478300,3564478303),('IL',3564478304,3564478463),('LU',3564478464,3564486655),('CH',3564486656,3564494847),('GB',3564494848,3564494907),('FR',3564494908,3564494911),('GB',3564494912,3564495103),('DE',3564495104,3564495167),('GB',3564495168,3564495203),('EU',3564495204,3564495615),('GB',3564495616,3564495743),('EU',3564495744,3564495871),('GB',3564495872,3564495927),('EU',3564495928,3564495935),('GB',3564495936,3564496111),('EU',3564496112,3564496127),('GB',3564496128,3564496175),('EU',3564496176,3564496183),('GB',3564496184,3564496199),('EU',3564496200,3564496207),('GB',3564496208,3564496215),('EU',3564496216,3564496223),('GB',3564496224,3564496263),('EU',3564496264,3564496271),('GB',3564496272,3564496319),('FR',3564496320,3564496327),('EU',3564496328,3564496335),('GB',3564496336,3564496607),('EU',3564496608,3564496639),('GB',3564496640,3564496655),('EU',3564496656,3564496671),('GB',3564496672,3564496847),('FR',3564496848,3564496863),('GB',3564496864,3564496895),('EU',3564496896,3564498943),('NL',3564498944,3564499007),('GB',3564499008,3564499055),('EU',3564499056,3564499199),('NL',3564499200,3564499215),('DK',3564499216,3564499231),('NL',3564499232,3564499239),('EU',3564499240,3564499247),('GB',3564499248,3564499335),('EU',3564499336,3564499455),('NL',3564499456,3564499551),('GB',3564499552,3564499711),('EU',3564499712,3564500991),('SE',3564500992,3564500999),('EU',3564501000,3564501247),('DE',3564501248,3564501263),('SE',3564501264,3564501279),('GB',3564501280,3564501311),('EU',3564501312,3564501503),('SE',3564501504,3564501507),('DE',3564501508,3564501511),('EU',3564501512,3564501759),('DE',3564501760,3564501887),('EU',3564501888,3564502527),('DE',3564502528,3564502559),('GB',3564502560,3564502591),('EU',3564502592,3564503039),('JO',3564503040,3564511231),('RU',3564511232,3564519423),('SI',3564519424,3564527615),('SA',3564527616,3564543999),('DE',3564544000,3564560383),('US',3564560384,3564560391),('CA',3564560392,3564560399),('US',3564560400,3564560415),('GB',3564560416,3564560511),('US',3564560512,3564560639),('GB',3564560640,3564560927),('US',3564560928,3564560959),('GB',3564560960,3564561039),('US',3564561040,3564561087),('GB',3564561088,3564561151),('US',3564561152,3564561407),('GB',3564561408,3564561663),('US',3564561664,3564561791),('GB',3564561792,3564561919),('CH',3564561920,3564562431),('GB',3564562432,3564562687),('US',3564562688,3564562815),('GB',3564562816,3564563711),('US',3564563712,3564563967),('GB',3564563968,3564564223),('US',3564564224,3564564479),('GB',3564564480,3564565247),('US',3564565248,3564565279),('GB',3564565280,3564565327),('US',3564565328,3564565375),('GB',3564565376,3564566271),('US',3564566272,3564566527),('GB',3564566528,3564567143),('US',3564567144,3564567151),('GB',3564567152,3564567247),('US',3564567248,3564567255),('GB',3564567256,3564567295),('US',3564567296,3564567423),('GB',3564567424,3564567551),('US',3564567552,3564567935),('GB',3564567936,3564568039),('US',3564568040,3564568191),('GB',3564568192,3564568223),('US',3564568224,3564568231),('GB',3564568232,3564571055),('DE',3564571056,3564571071),('GB',3564571072,3564571135),('FR',3564571136,3564571455),('GB',3564571456,3564571479),('FR',3564571480,3564571487),('GB',3564571488,3564571511),('FR',3564571512,3564571519),('GB',3564571520,3564571567),('FR',3564571568,3564571583),('GB',3564571584,3564571591),('FR',3564571592,3564571599),('GB',3564571600,3564572271),('DE',3564572272,3564572287),('GB',3564572288,3564576767),('RU',3564576768,3564584959),('SA',3564584960,3564593151),('RU',3564593152,3564601343),('AT',3564601344,3564609535),('RU',3564609536,3564634111),('MK',3564634112,3564642303),('CH',3564642304,3564650495),('NL',3564650496,3564666879),('IE',3564666880,3564668943),('GB',3564668944,3564668991),('IE',3564668992,3564669103),('GB',3564669104,3564669119),('IE',3564669120,3564669183),('GB',3564669184,3564669247),('IE',3564669248,3564669343),('GB',3564669344,3564669359),('IE',3564669360,3564669407),('GB',3564669408,3564669439),('IE',3564669440,3564670207),('GB',3564670208,3564670239),('IE',3564670240,3564673023),('GB',3564673024,3564673055),('IE',3564673056,3564673135),('GB',3564673136,3564673215),('IE',3564673216,3564673407),('GB',3564673408,3564673663),('IE',3564673664,3564673791),('GB',3564673792,3564673807),('IE',3564673808,3564673823),('GB',3564673824,3564673839),('IE',3564673840,3564674047),('GB',3564674048,3564674431),('IE',3564674432,3564675071),('RU',3564675072,3564683263),('IR',3564683264,3564691455),('GI',3564691456,3564699647),('GB',3564699648,3564716031),('IT',3564716032,3564724223),('GR',3564724224,3564732415),('DE',3564732416,3564733439),('GB',3564733440,3564733695),('DE',3564733696,3564734239),('GB',3564734240,3564734271),('DE',3564734272,3564734287),('GB',3564734288,3564734303),('DE',3564734304,3564734335),('GB',3564734336,3564734431),('DE',3564734432,3564734719),('GB',3564734720,3564734807),('DE',3564734808,3564734815),('GB',3564734816,3564734819),('DE',3564734820,3564736511),('GB',3564736512,3564736527),('DE',3564736528,3564736583),('GB',3564736584,3564736591),('DE',3564736592,3564736599),('GB',3564736600,3564736603),('DE',3564736604,3564736607),('GB',3564736608,3564736611),('DE',3564736612,3564736767),('GB',3564736768,3564736887),('DE',3564736888,3564736895),('GB',3564736896,3564736903),('DE',3564736904,3564736927),('GB',3564736928,3564736959),('DE',3564736960,3564736967),('GB',3564736968,3564736975),('DE',3564736976,3564736991),('GB',3564736992,3564737007),('DE',3564737008,3564737535),('GB',3564737536,3564737791),('DE',3564737792,3564738047),('GB',3564738048,3564738303),('DE',3564738304,3564739327),('GB',3564739328,3564739335),('DE',3564739336,3564739351),('GB',3564739352,3564739391),('DE',3564739392,3564739455),('GB',3564739456,3564739503),('DE',3564739504,3564739519),('GB',3564739520,3564739567),('DE',3564739568,3564739583),('GB',3564739584,3564739799),('DE',3564739800,3564739815),('GB',3564739816,3564739823),('DE',3564739824,3564740367),('GB',3564740368,3564740383),('DE',3564740384,3564740415),('GB',3564740416,3564740447),('DE',3564740448,3564740455),('GB',3564740456,3564740459),('DE',3564740460,3564740463),('GB',3564740464,3564740471),('DE',3564740472,3564740479),('GB',3564740480,3564740495),('DE',3564740496,3564740503),('GB',3564740504,3564740527),('DE',3564740528,3564740543),('GB',3564740544,3564740575),('DE',3564740576,3564740591),('GB',3564740592,3564740595),('DE',3564740596,3564740607),('FR',3564740608,3564748799),('GB',3564748800,3564756991),('ES',3564756992,3564765183),('RU',3564765184,3564773375),('DE',3564773376,3564781567),('LT',3564781568,3564789759),('ES',3564789760,3564797951),('DE',3564797952,3564806143),('BG',3564806144,3564814335),('PL',3564814336,3564822527),('EG',3564822528,3564830719),('BE',3564830720,3564838911),('DE',3564838912,3564847103),('IT',3564847104,3564855295),('DE',3564855296,3564862863),('AE',3564862864,3564862871),('DE',3564862872,3564863487),('NL',3564863488,3564880895),('GB',3564880896,3564880911),('NL',3564880912,3564880919),('GB',3564880920,3564880943),('NL',3564880944,3564880951),('GB',3564880952,3564880975),('NL',3564880976,3564880991),('GB',3564880992,3564881023),('NL',3564881024,3564881039),('GB',3564881040,3564881167),('NL',3564881168,3564881183),('GB',3564881184,3564881231),('NL',3564881232,3564881263),('GB',3564881264,3564881327),('NL',3564881328,3564881343),('GB',3564881344,3564881375),('NL',3564881376,3564881391),('GB',3564881392,3564881455),('NL',3564881456,3564881471),('GB',3564881472,3564881519),('NL',3564881520,3564881535),('GB',3564881536,3564881551),('NL',3564881552,3564881567),('GB',3564881568,3564881663),('NL',3564881664,3564881727),('GB',3564881728,3564881919),('NL',3564881920,3564881939),('GB',3564881940,3564881951),('NL',3564881952,3564881959),('GB',3564881960,3564881983),('NL',3564881984,3564881991),('GB',3564881992,3564881999),('NL',3564882000,3564882079),('GB',3564882080,3564882087),('NL',3564882088,3564882119),('GB',3564882120,3564882127),('NL',3564882128,3564882239),('GB',3564882240,3564882247),('NL',3564882248,3564882287),('GB',3564882288,3564882335),('NL',3564882336,3564882367),('GB',3564882368,3564882399),('NL',3564882400,3564883039),('GB',3564883040,3564883047),('NL',3564883048,3564883055),('GB',3564883056,3564883087),('NL',3564883088,3564883095),('GB',3564883096,3564883103),('NL',3564883104,3564883119),('GB',3564883120,3564883167),('NL',3564883168,3564883967),('GB',3564883968,3564884223),('NL',3564884224,3564884235),('GB',3564884236,3564884239),('NL',3564884240,3564884255),('GB',3564884256,3564884287),('NL',3564884288,3564884319),('GB',3564884320,3564884335),('NL',3564884336,3564884343),('GB',3564884344,3564884359),('NL',3564884360,3564884415),('GB',3564884416,3564884431),('NL',3564884432,3564884439),('GB',3564884440,3564884455),('NL',3564884456,3564884463),('GB',3564884464,3564884735),('NL',3564884736,3564884991),('GB',3564884992,3564885007),('NL',3564885008,3564885023),('GB',3564885024,3564885055),('NL',3564885056,3564885071),('GB',3564885072,3564885087),('NL',3564885088,3564885135),('GB',3564885136,3564885343),('NL',3564885344,3564885359),('GB',3564885360,3564885375),('NL',3564885376,3564885391),('GB',3564885392,3564885439),('NL',3564885440,3564885455),('GB',3564885456,3564885527),('NL',3564885528,3564885546),('GB',3564885547,3564885551),('NL',3564885552,3564885583),('GB',3564885584,3564885615),('NL',3564885616,3564885695),('GB',3564885696,3564885727),('NL',3564885728,3564885743),('GB',3564885744,3564885775),('NL',3564885776,3564885791),('GB',3564885792,3564885807),('NL',3564885808,3564885823),('GB',3564885824,3564885839),('NL',3564885840,3564885903),('GB',3564885904,3564885919),('NL',3564885920,3564885967),('GB',3564885968,3564885983),('NL',3564885984,3564885999),('GB',3564886000,3564886015),('NL',3564886016,3564886047),('GB',3564886048,3564886271),('NL',3564886272,3564886279),('GB',3564886280,3564886287),('NL',3564886288,3564886295),('GB',3564886296,3564886303),('NL',3564886304,3564886367),('GB',3564886368,3564886375),('NL',3564886376,3564886527),('GB',3564886528,3564886655),('NL',3564886656,3564886751),('GB',3564886752,3564886919),('NL',3564886920,3564886927),('GB',3564886928,3564886943),('NL',3564886944,3564886951),('GB',3564886952,3564887039),('NL',3564887040,3564888207),('GB',3564888208,3564888223),('NL',3564888224,3564888327),('GB',3564888328,3564888335),('NL',3564888336,3564888367),('GB',3564888368,3564888383),('NL',3564888384,3564888463),('DE',3564888464,3564888479),('NL',3564888480,3564888503),('GB',3564888504,3564888511),('DE',3564888512,3564888527),('NL',3564888528,3564888591),('GB',3564888592,3564888607),('NL',3564888608,3564888623),('GB',3564888624,3564888663),('NL',3564888664,3564888671),('GB',3564888672,3564888799),('NL',3564888800,3564888815),('GB',3564888816,3564888823),('NL',3564888824,3564888879),('GB',3564888880,3564888895),('NL',3564888896,3564888903),('GB',3564888904,3564888911),('NL',3564888912,3564888991),('FR',3564888992,3564889023),('NL',3564889024,3564889087),('GB',3564889088,3564889135),('NL',3564889136,3564889167),('GB',3564889168,3564889183),('NL',3564889184,3564889215),('GB',3564889216,3564889263),('NL',3564889264,3564889279),('GB',3564889280,3564889295),('NL',3564889296,3564889311),('GB',3564889312,3564889343),('NL',3564889344,3564889375),('GB',3564889376,3564889407),('NL',3564889408,3564889511),('GB',3564889512,3564889519),('NL',3564889520,3564889631),('GB',3564889632,3564889647),('NL',3564889648,3564889663),('GB',3564889664,3564889695),('DE',3564889696,3564889727),('NL',3564889728,3564889887),('GB',3564889888,3564890239),('NL',3564890240,3564890271),('GB',3564890272,3564890303),('NL',3564890304,3564890367),('FR',3564890368,3564890399),('NL',3564890400,3564890527),('GB',3564890528,3564890543),('NL',3564890544,3564890579),('GB',3564890580,3564890591),('NL',3564890592,3564890623),('GB',3564890624,3564890703),('NL',3564890704,3564890719),('GB',3564890720,3564890751),('NL',3564890752,3564890783),('GB',3564890784,3564892431),('NL',3564892432,3564892447),('GB',3564892448,3564892463),('NL',3564892464,3564892479),('GB',3564892480,3564892735),('NL',3564892736,3564892751),('GB',3564892752,3564894207),('NL',3564894208,3564896255),('RU',3564896256,3564904447),('DE',3564904448,3564912639),('BG',3564912640,3564920831),('ES',3564920832,3564921087),('RU',3564921088,3564921343),('ES',3564921344,3564921599),('RU',3564921600,3564929023),('AT',3564929024,3564937215),('RS',3564937216,3564945407),('GB',3564945408,3564947175),('FR',3564947176,3564947183),('GB',3564947184,3564948063),('IE',3564948064,3564948071),('GB',3564948072,3564953647),('CH',3564953648,3564953651),('GB',3564953652,3564954111),('AT',3564954112,3564954131),('GB',3564954132,3564954139),('AT',3564954140,3564954143),('GB',3564954144,3564954155),('AT',3564954156,3564954159),('GB',3564954160,3564954175),('AT',3564954176,3564954183),('CH',3564954184,3564954191),('AT',3564954192,3564954199),('GB',3564954200,3564954207),('AT',3564954208,3564954211),('GB',3564954212,3564954231),('AT',3564954232,3564954239),('GB',3564954240,3564954303),('AT',3564954304,3564954311),('GB',3564954312,3564954367),('AT',3564954368,3564954383),('GB',3564954384,3564956160),('AT',3564956161,3564956543),('GB',3564956544,3564956687),('GR',3564956688,3564956703),('AT',3564956704,3564956719),('GB',3564956720,3564956751),('US',3564956752,3564956767),('AT',3564956768,3564956831),('GB',3564956832,3564956839),('AT',3564956840,3564956855),('GB',3564956856,3564956903),('AT',3564956904,3564956907),('CH',3564956908,3564956911),('GB',3564956912,3564956967),('CH',3564956968,3564956971),('US',3564956972,3564956975),('GB',3564956976,3564956979),('AT',3564956980,3564956991),('GB',3564956992,3564956999),('AT',3564957000,3564957007),('GB',3564957008,3564957023),('AT',3564957024,3564957039),('GB',3564957040,3564957087),('AT',3564957088,3564957119),('GB',3564957120,3564957183),('AT',3564957184,3564957255),('GB',3564957256,3564957263),('AT',3564957264,3564957439),('GB',3564957440,3564957447),('CH',3564957448,3564957455),('AT',3564957456,3564957459),('GB',3564957460,3564957471),('AT',3564957472,3564957499),('GB',3564957500,3564957511),('AT',3564957512,3564957519),('GB',3564957520,3564957527),('AT',3564957528,3564957531),('GB',3564957532,3564957547),('AT',3564957548,3564957551),('GB',3564957552,3564957559),('AT',3564957560,3564957591),('GB',3564957592,3564957595),('AT',3564957596,3564957599),('GB',3564957600,3564957607),('AT',3564957608,3564957631),('GB',3564957632,3564957663),('AT',3564957664,3564957671),('GB',3564957672,3564957679),('AT',3564957680,3564957695),('GB',3564957696,3564957855),('ES',3564957856,3564957859),('AT',3564957860,3564957863),('IT',3564957864,3564957867),('AT',3564957868,3564957871),('GB',3564957872,3564957891),('AT',3564957892,3564957903),('GB',3564957904,3564957911),('AT',3564957912,3564957919),('GB',3564957920,3564957951),('AT',3564957952,3564957967),('GB',3564957968,3564957987),('AT',3564957988,3564958015),('GB',3564958016,3564958111),('AT',3564958112,3564958143),('GB',3564958144,3564958147),('AT',3564958148,3564958159),('GB',3564958160,3564958175),('AT',3564958176,3564958179),('US',3564958180,3564958183),('AT',3564958184,3564958191),('GB',3564958192,3564958207),('AT',3564958208,3564958463),('GB',3564958464,3564958487),('AT',3564958488,3564958495),('GB',3564958496,3564958719),('AT',3564958720,3564958799),('GB',3564958800,3564958807),('AT',3564958808,3564958815),('GB',3564958816,3564958816),('AT',3564958817,3564958847),('GB',3564958848,3564958912),('AT',3564958913,3564958943),('GB',3564958944,3564959008),('AT',3564959009,3564959039),('GB',3564959040,3564959075),('AT',3564959076,3564959091),('GB',3564959092,3564959095),('AT',3564959096,3564959103),('GB',3564959104,3564959119),('AT',3564959120,3564959127),('GB',3564959128,3564959191),('AT',3564959192,3564959195),('GB',3564959196,3564959199),('AT',3564959200,3564959227),('GB',3564959228,3564959263),('AT',3564959264,3564959295),('GB',3564959296,3564959383),('AT',3564959384,3564959391),('SA',3564959392,3564959399),('AT',3564959400,3564959407),('CH',3564959408,3564959423),('GB',3564959424,3564959443),('AT',3564959444,3564959451),('FR',3564959452,3564959455),('GB',3564959456,3564959471),('AT',3564959472,3564959479),('GB',3564959480,3564959487),('AT',3564959488,3564959495),('GB',3564959496,3564959499),('AT',3564959500,3564959503),('GB',3564959504,3564959511),('AT',3564959512,3564959519),('GB',3564959520,3564959535),('AT',3564959536,3564959551),('GB',3564959552,3564959567),('AT',3564959568,3564959579),('GB',3564959580,3564959623),('AT',3564959624,3564959639),('GB',3564959640,3564959655),('CH',3564959656,3564959663),('AT',3564959664,3564959679),('GB',3564959680,3564959695),('AT',3564959696,3564959711),('GB',3564959712,3564959755),('AT',3564959756,3564959759),('GB',3564959760,3564959904),('AT',3564959905,3564959935),('GB',3564959936,3564960127),('DE',3564960128,3564960135),('GB',3564960136,3564960191),('AT',3564960192,3564960195),('GB',3564960196,3564960211),('AT',3564960212,3564960223),('GB',3564960224,3564960231),('AT',3564960232,3564960383),('GB',3564960384,3564960551),('AT',3564960552,3564960559),('GB',3564960560,3564960615),('FR',3564960616,3564960623),('GB',3564960624,3564960635),('AT',3564960636,3564960639),('GB',3564960640,3564960767),('AT',3564960768,3564960799),('GB',3564960800,3564960871),('IT',3564960872,3564960879),('GB',3564960880,3564960927),('AT',3564960928,3564960959),('GB',3564960960,3564960991),('AT',3564960992,3564961007),('GB',3564961008,3564961023),('AT',3564961024,3564961079),('GB',3564961080,3564961279),('AT',3564961280,3564961311),('GB',3564961312,3564961319),('AT',3564961320,3564961791),('TR',3564961792,3564969983),('DE',3564969984,3564972607),('AT',3564972608,3564972631),('DE',3564972632,3564978175),('GB',3564978176,3564986367),('DE',3564986368,3564994559),('NL',3564994560,3565002751),('NO',3565002752,3565007247),('SE',3565007248,3565007251),('NO',3565007252,3565027327),('PL',3565027328,3565035519),('GB',3565035520,3565038591),('DE',3565038592,3565039615),('GB',3565039616,3565040383),('DE',3565040384,3565040639),('GB',3565040640,3565041407),('FR',3565041408,3565041663),('GB',3565041664,3565042431),('US',3565042432,3565042687),('GB',3565042688,3565043711),('AT',3565043712,3565045247),('SK',3565045248,3565045503),('AT',3565045504,3565051903),('GB',3565051904,3565068287),('CH',3565068288,3565076479),('DE',3565076480,3565084671),('IS',3565084672,3565092863),('GB',3565092864,3565093055),('PS',3565093056,3565093087),('GB',3565093088,3565093391),('NO',3565093392,3565093399),('GB',3565093400,3565096759),('IE',3565096760,3565096767),('GB',3565096768,3565099647),('US',3565099648,3565099651),('GB',3565099652,3565101055),('DE',3565101056,3565109247),('PL',3565109248,3565117439),('TR',3565117440,3565125631),('NL',3565125632,3565158399),('ES',3565158400,3565223935),('FR',3565223936,3565240319),('IE',3565240320,3565248511),('RU',3565248512,3565256703),('NL',3565256704,3565287231),('GB',3565287232,3565287263),('NL',3565287264,3565289471),('DK',3565289472,3565355007),('IT',3565355008,3565420543),('GB',3565420544,3565486079),('IE',3565486080,3565486335),('FR',3565486336,3565486975),('NL',3565486976,3565487615),('SE',3565487616,3565487871),('GB',3565487872,3565488383),('ES',3565488384,3565488639),('GB',3565488640,3565488895),('DE',3565488896,3565489535),('GB',3565489536,3565489791),('DE',3565489792,3565489823),('GB',3565489824,3565490175),('NL',3565490176,3565490431),('GB',3565490432,3565491199),('FR',3565491200,3565491215),('GB',3565491216,3565491455),('IT',3565491456,3565491711),('GB',3565491712,3565491839),('IT',3565491840,3565491903),('NL',3565491904,3565491967),('DE',3565491968,3565492223),('GB',3565492224,3565492295),('IE',3565492296,3565492303),('GB',3565492304,3565492319),('DE',3565492320,3565492327),('GB',3565492328,3565492335),('FR',3565492336,3565492351),('GB',3565492352,3565492479),('NL',3565492480,3565492607),('GB',3565492608,3565492639),('FR',3565492640,3565492655),('GB',3565492656,3565492671),('IT',3565492672,3565492735),('CH',3565492736,3565492991),('NL',3565492992,3565493247),('GB',3565493248,3565493583),('DE',3565493584,3565493591),('GB',3565493592,3565493679),('FR',3565493680,3565493687),('GB',3565493688,3565493759),('NL',3565493760,3565493775),('GB',3565493776,3565493983),('DE',3565493984,3565494055),('GB',3565494056,3565494063),('NL',3565494064,3565494079),('GB',3565494080,3565494143),('DE',3565494144,3565494271),('IS',3565494272,3565494527),('GB',3565494528,3565494543),('IT',3565494544,3565494551),('DE',3565494552,3565494559),('GB',3565494560,3565494591),('FR',3565494592,3565494655),('SE',3565494656,3565494671),('DE',3565494672,3565494687),('SE',3565494688,3565494703),('DK',3565494704,3565494719),('GB',3565494720,3565494735),('CA',3565494736,3565494743),('GB',3565494744,3565495295),('FR',3565495296,3565496447),('DE',3565496448,3565496511),('US',3565496512,3565496575),('GB',3565496576,3565496831),('IT',3565496832,3565497087),('GB',3565497088,3565497103),('IE',3565497104,3565497119),('DE',3565497120,3565497151),('IE',3565497152,3565497159),('US',3565497160,3565497167),('GB',3565497168,3565497199),('IT',3565497200,3565497207),('GB',3565497208,3565497215),('CZ',3565497216,3565497279),('NL',3565497280,3565497287),('GB',3565497288,3565497343),('US',3565497344,3565497599),('GB',3565497600,3565497871),('DE',3565497872,3565497887),('GB',3565497888,3565497903),('IE',3565497904,3565497911),('DE',3565497912,3565497919),('PR',3565497920,3565497927),('GB',3565497928,3565497951),('US',3565497952,3565497967),('GB',3565497968,3565498111),('NL',3565498112,3565498367),('FR',3565498368,3565498431),('US',3565498432,3565498479),('GB',3565498480,3565498519),('ZA',3565498520,3565498527),('GB',3565498528,3565499815),('FR',3565499816,3565499823),('GB',3565499824,3565500479),('DE',3565500480,3565500543),('GB',3565500544,3565500567),('IE',3565500568,3565500575),('GB',3565500576,3565500591),('DE',3565500592,3565500599),('GB',3565500600,3565500607),('FR',3565500608,3565500623),('GB',3565500624,3565501095),('FR',3565501096,3565501103),('FI',3565501104,3565501119),('GB',3565501120,3565501231),('DE',3565501232,3565501247),('GB',3565501248,3565501311),('DE',3565501312,3565501439),('GB',3565501440,3565501679),('IE',3565501680,3565501695),('GB',3565501696,3565502207),('IT',3565502208,3565502239),('GB',3565502240,3565502463),('NL',3565502464,3565503487),('GB',3565503488,3565503999),('NL',3565504000,3565504511),('GB',3565504512,3565510655),('NL',3565510656,3565511679),('CH',3565511680,3565512191),('DE',3565512192,3565512703),('GB',3565512704,3565512767),('DE',3565512768,3565512959),('GB',3565512960,3565514111),('DE',3565514112,3565514239),('DK',3565514240,3565514495),('GB',3565514496,3565518847),('TR',3565518848,3565551615),('GB',3565551616,3565578495),('CA',3565578496,3565578751),('GB',3565578752,3565682687),('NL',3565682688,3565688063),('GB',3565688064,3565688319),('NL',3565688320,3565748223),('GB',3565748224,3565752407),('EU',3565752408,3565752415),('GB',3565752416,3565752463),('EU',3565752464,3565752471),('GB',3565752472,3565752479),('EU',3565752480,3565752487),('GB',3565752488,3565752535),('EU',3565752536,3565752543),('GB',3565752544,3565752839),('EU',3565752840,3565752855),('GB',3565752856,3565752879),('EU',3565752880,3565752887),('GB',3565752888,3565752983),('EU',3565752984,3565752991),('GB',3565752992,3565752999),('EU',3565753000,3565753015),('GB',3565753016,3565753031),('EU',3565753032,3565753039),('GB',3565753040,3565753071),('EU',3565753072,3565753079),('GB',3565753080,3565753183),('EU',3565753184,3565753247),('GB',3565753248,3565753279),('EU',3565753280,3565753343),('GB',3565753344,3565753791),('EU',3565753792,3565753799),('GB',3565753800,3565753815),('EU',3565753816,3565753823),('GB',3565753824,3565753831),('EU',3565753832,3565753839),('GB',3565753840,3565753847),('EU',3565753848,3565753983),('GB',3565753984,3565754367),('EU',3565754368,3565754495),('GB',3565754496,3565754511),('EU',3565754512,3565754623),('GB',3565754624,3565755263),('EU',3565755264,3565755279),('GB',3565755280,3565755359),('EU',3565755360,3565755375),('GB',3565755376,3565755583),('EU',3565755584,3565755647),('GB',3565755648,3565755695),('EU',3565755696,3565755703),('GB',3565755704,3565755727),('EU',3565755728,3565755735),('GB',3565755736,3565755831),('EU',3565755832,3565755839),('GB',3565755840,3565755847),('EU',3565755848,3565755855),('GB',3565755856,3565755871),('EU',3565755872,3565755879),('GB',3565755880,3565755919),('EU',3565755920,3565755927),('GB',3565755928,3565755935),('EU',3565755936,3565755943),('GB',3565755944,3565755959),('EU',3565755960,3565755967),('GB',3565755968,3565755999),('EU',3565756000,3565756007),('GB',3565756008,3565756063),('EU',3565756064,3565756071),('GB',3565756072,3565756087),('EU',3565756088,3565756095),('GB',3565756096,3565756119),('EU',3565756120,3565756135),('GB',3565756136,3565756159),('EU',3565756160,3565756287),('GB',3565756288,3565760783),('EU',3565760784,3565760791),('GB',3565760792,3565760799),('EU',3565760800,3565760807),('GB',3565760808,3565760823),('EU',3565760824,3565760831),('GB',3565760832,3565760855),('EU',3565760856,3565760863),('GB',3565760864,3565760935),('EU',3565760936,3565760943),('GB',3565760944,3565760967),('EU',3565760968,3565760975),('GB',3565760976,3565761007),('EU',3565761008,3565761015),('GB',3565761016,3565761279),('EU',3565761280,3565761343),('GB',3565761344,3565761535),('EU',3565761536,3565761543),('GB',3565761544,3565761599),('EU',3565761600,3565761615),('GB',3565761616,3565761631),('EU',3565761632,3565761639),('GB',3565761640,3565761647),('EU',3565761648,3565761655),('GB',3565761656,3565761687),('EU',3565761688,3565761703),('GB',3565761704,3565761727),('EU',3565761728,3565761751),('GB',3565761752,3565761783),('EU',3565761784,3565761791),('GB',3565761792,3565762047),('ZA',3565762048,3565762303),('EU',3565762304,3565762559),('GB',3565762560,3565762815),('EU',3565762816,3565763071),('GB',3565763072,3565763455),('EU',3565763456,3565763487),('GB',3565763488,3565763599),('EU',3565763600,3565763615),('GB',3565763616,3565763671),('EU',3565763672,3565763679),('GB',3565763680,3565763703),('EU',3565763704,3565763719),('GB',3565763720,3565763735),('EU',3565763736,3565763743),('GB',3565763744,3565763751),('EU',3565763752,3565763759),('GB',3565763760,3565763799),('EU',3565763800,3565763807),('GB',3565763808,3565763815),('EU',3565763816,3565763831),('GB',3565763832,3565763839),('EU',3565763840,3565763883),('GB',3565763884,3565763891),('EU',3565763892,3565764095),('GB',3565764096,3565764183),('EU',3565764184,3565764191),('GB',3565764192,3565764207),('EU',3565764208,3565764255),('GB',3565764256,3565764367),('EU',3565764368,3565764375),('GB',3565764376,3565764439),('EU',3565764440,3565764447),('GB',3565764448,3565764455),('EU',3565764456,3565764463),('GB',3565764464,3565764551),('EU',3565764552,3565764575),('GB',3565764576,3565766655),('EU',3565766656,3565766911),('GB',3565766912,3565767167),('EU',3565767168,3565767175),('GB',3565767176,3565767255),('EU',3565767256,3565767271),('GB',3565767272,3565767287),('EU',3565767288,3565767295),('GB',3565767296,3565767351),('EU',3565767352,3565767359),('GB',3565767360,3565767399),('EU',3565767400,3565767407),('GB',3565767408,3565767439),('EU',3565767440,3565767455),('GB',3565767456,3565767487),('EU',3565767488,3565767503),('GB',3565767504,3565767599),('EU',3565767600,3565767615),('GB',3565767616,3565767631),('EU',3565767632,3565767679),('GB',3565767680,3565767999),('EU',3565768000,3565768207),('GB',3565768208,3565768271),('EU',3565768272,3565768279),('GB',3565768280,3565768295),('EU',3565768296,3565768311),('GB',3565768312,3565768335),('EU',3565768336,3565768447),('GB',3565768448,3565768575),('EU',3565768576,3565768703),('GB',3565768704,3565768983),('EU',3565768984,3565769215),('GB',3565769216,3565769471),('EU',3565769472,3565777919),('GB',3565777920,3565813759),('SA',3565813760,3565879295),('GB',3565879296,3566010367),('IT',3566010368,3566075903),('NL',3566075904,3566092287),('LV',3566092288,3566108671),('ES',3566108672,3566141439),('IL',3566141440,3566206975),('DE',3566206976,3566272511),('ES',3566272512,3566338047),('FI',3566338048,3566354431),('RO',3566354432,3566370815),('TR',3566370816,3566403583),('CH',3566403584,3566436351),('IE',3566436352,3566439615),('GB',3566439616,3566439631),('IE',3566439632,3566469119),('GB',3566469120,3566534655),('DE',3566534656,3566551039),('FI',3566551040,3566600191),('IL',3566600192,3566665727),('SE',3566665728,3566723071),('FR',3566723072,3566723327),('SE',3566723328,3566731263),('CH',3566731264,3566739455),('RU',3566739456,3566747647),('GR',3566747648,3566764031),('AT',3566764032,3566796799),('NL',3566796800,3566803455),('A2',3566803456,3566803711),('NL',3566803712,3566816511),('US',3566816512,3566816767),('NL',3566816768,3566862335),('TR',3566862336,3566895103),('KZ',3566895104,3566897279),('KG',3566897280,3566897311),('KZ',3566897312,3566905939),('DE',3566905940,3566905943),('KZ',3566905944,3566927871),('FR',3566927872,3566960127),('GB',3566960128,3566960143),('FR',3566960144,3566993407),('TR',3566993408,3567058943),('FR',3567058944,3567108255),('SE',3567108256,3567108263),('FR',3567108264,3567124479),('EU',3567124480,3567124991),('GB',3567124992,3567125023),('EU',3567125024,3567125247),('GB',3567125248,3567125503),('EU',3567125504,3567126687),('GB',3567126688,3567126759),('EU',3567126760,3567127551),('GB',3567127552,3567127807),('EU',3567127808,3567129855),('GB',3567129856,3567129887),('EU',3567129888,3567130015),('GB',3567130016,3567130079),('EU',3567130080,3567131383),('GB',3567131384,3567131647),('EU',3567131648,3567133215),('GB',3567133216,3567133247),('EU',3567133248,3567133367),('GB',3567133368,3567133375),('EU',3567133376,3567134207),('GB',3567134208,3567134335),('EU',3567134336,3567134847),('GB',3567134848,3567134975),('EU',3567134976,3567135999),('GB',3567136000,3567136255),('EU',3567136256,3567136511),('GB',3567136512,3567136575),('EU',3567136576,3567136639),('GB',3567136640,3567136671),('EU',3567136672,3567136767),('GB',3567136768,3567136895),('EU',3567136896,3567137023),('GB',3567137024,3567137279),('EU',3567137280,3567137599),('GB',3567137600,3567137663),('EU',3567137664,3567137987),('GB',3567137988,3567137991),('EU',3567137992,3567137999),('GB',3567138000,3567138003),('EU',3567138004,3567138039),('GB',3567138040,3567138047),('EU',3567138048,3567140095),('GB',3567140096,3567140351),('EU',3567140352,3567140863),('GB',3567140864,3567140927),('EU',3567140928,3567141631),('GB',3567141632,3567141887),('EU',3567141888,3567142271),('GB',3567142272,3567142399),('EU',3567142400,3567143431),('GB',3567143432,3567143439),('EU',3567143440,3567143447),('GB',3567143448,3567143455),('EU',3567143456,3567143519),('GB',3567143520,3567143551),('EU',3567143552,3567143679),('GB',3567143680,3567143687),('EU',3567143688,3567143871),('GB',3567143872,3567143935),('EU',3567143936,3567143951),('GB',3567143952,3567143967),('EU',3567143968,3567144047),('GB',3567144048,3567144063),('EU',3567144064,3567144171),('GB',3567144172,3567144175),('EU',3567144176,3567144319),('GB',3567144320,3567144447),('EU',3567144448,3567144767),('GB',3567144768,3567144831),('EU',3567144832,3567147527),('GB',3567147528,3567147535),('EU',3567147536,3567147551),('GB',3567147552,3567147559),('EU',3567147560,3567147935),('GB',3567147936,3567147967),('EU',3567147968,3567148519),('GB',3567148520,3567148527),('EU',3567148528,3567148799),('GB',3567148800,3567149055),('EU',3567149056,3567149087),('GB',3567149088,3567149119),('EU',3567149120,3567149903),('GB',3567149904,3567149911),('EU',3567149912,3567149919),('GB',3567149920,3567149935),('EU',3567149936,3567151103),('GB',3567151104,3567151199),('EU',3567151200,3567151231),('GB',3567151232,3567151263),('EU',3567151264,3567151999),('GB',3567152000,3567152127),('EU',3567152128,3567152159),('GB',3567152160,3567152191),('EU',3567152192,3567152255),('GB',3567152256,3567152383),('EU',3567152384,3567152391),('GB',3567152392,3567152407),('EU',3567152408,3567152639),('GB',3567152640,3567152647),('EU',3567152648,3567152663),('GB',3567152664,3567152671),('EU',3567152672,3567152735),('GB',3567152736,3567152751),('EU',3567152752,3567152831),('GB',3567152832,3567152863),('EU',3567152864,3567152959),('GB',3567152960,3567152991),('EU',3567152992,3567153023),('GB',3567153024,3567153055),('EU',3567153056,3567153599),('GB',3567153600,3567153623),('EU',3567153624,3567153647),('GB',3567153648,3567153663),('EU',3567153664,3567153687),('GB',3567153688,3567153703),('EU',3567153704,3567153719),('GB',3567153720,3567153727),('EU',3567153728,3567153823),('GB',3567153824,3567153847),('EU',3567153848,3567154303),('GB',3567154304,3567154367),('EU',3567154368,3567155199),('GB',3567155200,3567155967),('EU',3567155968,3567156415),('GB',3567156416,3567156607),('EU',3567156608,3567156991),('GB',3567156992,3567157247),('CZ',3567157248,3567165439),('RU',3567165440,3567169535),('GB',3567173632,3567239167),('NL',3567239168,3567243263),('EU',3567243264,3567247359),('NL',3567247360,3567250143),('EU',3567250144,3567250175),('NL',3567250176,3567250943),('EU',3567250944,3567255551),('PL',3567255552,3567321087),('GB',3567321088,3567333983),('US',3567333984,3567334015),('GB',3567334016,3567353855),('CH',3567353856,3567386623),('GB',3567386624,3567386879),('DE',3567386880,3567386883),('GB',3567386884,3567386975),('DE',3567386976,3567387007),('GB',3567387008,3567387071),('DE',3567387072,3567387391),('GB',3567387392,3567387439),('DE',3567387440,3567387455),('GB',3567387456,3567387471),('DE',3567387472,3567387539),('GB',3567387540,3567387543),('DE',3567387544,3567387547),('GB',3567387548,3567387567),('DE',3567387568,3567388031),('GB',3567388032,3567388159),('DE',3567388160,3567388399),('GB',3567388400,3567388415),('DE',3567388416,3567388479),('GB',3567388480,3567388543),('DE',3567388544,3567388607),('GB',3567388608,3567388671),('CZ',3567388672,3567388927),('DE',3567388928,3567389183),('GB',3567389184,3567389695),('DE',3567389696,3567390847),('GB',3567390848,3567390879),('DE',3567390880,3567390975),('GB',3567390976,3567391231),('DE',3567391232,3567391743),('GB',3567391744,3567392767),('DE',3567392768,3567392895),('GB',3567392896,3567393023),('FR',3567393024,3567393279),('GB',3567393280,3567394975),('DE',3567394976,3567395007),('GB',3567395008,3567395071),('DE',3567395072,3567395327),('GB',3567395328,3567396863),('DE',3567396864,3567397119),('GB',3567397120,3567397887),('DE',3567397888,3567398143),('GB',3567398144,3567398655),('DE',3567398656,3567398911),('GB',3567398912,3567398991),('DE',3567398992,3567399031),('GB',3567399032,3567399039),('DE',3567399040,3567399055),('GB',3567399056,3567399071),('DE',3567399072,3567399103),('GB',3567399104,3567399167),('DE',3567399168,3567399183),('GB',3567399184,3567399199),('DE',3567399200,3567399423),('GB',3567399424,3567399487),('DE',3567399488,3567399647),('GB',3567399648,3567399687),('DE',3567399688,3567399695),('GB',3567399696,3567399711),('DE',3567399712,3567399807),('GB',3567399808,3567399871),('DE',3567399872,3567400703),('GB',3567400704,3567400735),('DE',3567400736,3567400751),('GB',3567400752,3567400959),('DE',3567400960,3567401471),('GB',3567401472,3567401503),('DE',3567401504,3567401519),('GB',3567401520,3567401543),('DE',3567401544,3567401551),('GB',3567401552,3567401583),('DE',3567401584,3567401599),('GB',3567401600,3567401727),('DE',3567401728,3567402367),('GB',3567402368,3567402495),('DE',3567402496,3567403007),('IT',3567403008,3567419391),('SA',3567419392,3567427583),('SE',3567427584,3567435775),('GB',3567435776,3567436543),('IN',3567436544,3567436595),('GB',3567436596,3567436599),('IN',3567436600,3567436603),('GB',3567436604,3567436799),('IN',3567436800,3567436895),('GB',3567436896,3567441375),('NL',3567441376,3567441407),('GB',3567441408,3567444223),('TZ',3567444224,3567444475),('NL',3567444476,3567444479),('GB',3567444480,3567445951),('NL',3567445952,3567445983),('GB',3567445984,3567446367),('CH',3567446368,3567446399),('GB',3567446400,3567446607),('IT',3567446608,3567446623),('GB',3567446624,3567452031),('GR',3567452032,3567452047),('GB',3567452048,3567452159),('ES',3567452160,3567507455),('NL',3567507456,3567509503),('ES',3567509504,3567512575),('NL',3567512576,3567513599),('ES',3567513600,3567517695),('RU',3567517696,3567583231),('AT',3567583232,3567583487),('EU',3567583488,3567583743),('AT',3567583744,3567583871),('EU',3567583872,3567583935),('AT',3567583936,3567583999),('EU',3567584000,3567584255),('AT',3567584256,3567584383),('EU',3567584384,3567584399),('AT',3567584400,3567584407),('EU',3567584408,3567584511),('AT',3567584512,3567584639),('EU',3567584640,3567585791),('GB',3567585792,3567586303),('EU',3567586304,3567587327),('GB',3567587328,3567591423),('IT',3567591424,3567599615),('NL',3567599616,3567606271),('DZ',3567606272,3567606783),('NL',3567606784,3567615999),('BD',3567616000,3567616511),('A2',3567616512,3567616527),('GB',3567616528,3567616535),('A2',3567616536,3567616575),('GB',3567616576,3567616583),('A2',3567616584,3567617087),('NG',3567617088,3567617119),('A2',3567617120,3567617151),('NG',3567617152,3567617279),('IN',3567617280,3567617535),('KE',3567617536,3567617791),('NG',3567617792,3567618047),('IN',3567618048,3567619071),('NG',3567619072,3567619075),('A2',3567619076,3567619087),('NG',3567619088,3567619095),('A2',3567619096,3567619103),('KE',3567619104,3567619111),('A2',3567619112,3567619135),('NG',3567619136,3567619583),('TZ',3567619584,3567620095),('A2',3567620096,3567620351),('TZ',3567620352,3567620479),('A2',3567620480,3567620623),('PK',3567620624,3567620631),('IN',3567620632,3567620639),('PK',3567620640,3567620679),('A2',3567620680,3567620695),('PK',3567620696,3567620719),('A2',3567620720,3567620727),('IN',3567620728,3567620735),('A2',3567620736,3567620863),('NG',3567620864,3567620927),('A2',3567620928,3567620931),('TZ',3567620932,3567620935),('KE',3567620936,3567620959),('A2',3567620960,3567620991),('NG',3567620992,3567621055),('KE',3567621056,3567621119),('GB',3567621120,3567621375),('A2',3567621376,3567621631),('ID',3567621632,3567621887),('TZ',3567621888,3567621895),('KE',3567621896,3567621903),('NG',3567621904,3567621911),('TZ',3567621912,3567621919),('NG',3567621920,3567621951),('A2',3567621952,3567622655),('KE',3567622656,3567622951),('A2',3567622952,3567622959),('TZ',3567622960,3567622963),('NG',3567622964,3567622967),('A2',3567622968,3567622975),('TZ',3567622976,3567623039),('GA',3567623040,3567623055),('NG',3567623056,3567623071),('TZ',3567623072,3567623087),('A2',3567623088,3567623095),('GA',3567623096,3567623103),('TZ',3567623104,3567623135),('A2',3567623136,3567623143),('TZ',3567623144,3567623151),('A2',3567623152,3567623167),('KE',3567623168,3567623423),('A2',3567623424,3567623471),('KE',3567623472,3567623479),('A2',3567623480,3567623727),('PK',3567623728,3567623759),('A2',3567623760,3567623767),('PK',3567623768,3567623775),('A2',3567623776,3567623791),('PK',3567623792,3567623839),('A2',3567623840,3567623935),('PK',3567623936,3567624191),('GB',3567624192,3567624447),('TZ',3567624448,3567625727),('PK',3567625728,3567625983),('KE',3567625984,3567626239),('NG',3567626240,3567627008),('A2',3567627009,3567629311),('TJ',3567629312,3567630207),('A2',3567630208,3567647487),('GB',3567647488,3567648767),('BE',3567648768,3567665151),('ES',3567665152,3567673343),('AT',3567673344,3567673647),('GI',3567673648,3567673655),('AT',3567673656,3567674095),('DE',3567674096,3567674111),('AT',3567674112,3567675655),('DE',3567675656,3567675663),('AT',3567675664,3567675671),('DE',3567675672,3567675759),('AT',3567675760,3567676159),('DE',3567676160,3567676287),('AT',3567676288,3567681535),('ES',3567681536,3567714303),('GB',3567714304,3567715327),('EU',3567715328,3567716351),('GB',3567716352,3567716383),('EU',3567716384,3567716607),('IL',3567716608,3567716639),('EU',3567716640,3567716943),('GB',3567716944,3567717119),('DE',3567717120,3567717375),('GB',3567717376,3567717631),('DE',3567717632,3567717679),('EU',3567717680,3567717759),('DE',3567717760,3567717887),('GB',3567717888,3567718015),('EU',3567718016,3567718143),('CH',3567718144,3567718399),('US',3567718400,3567719423),('GB',3567719424,3567719679),('EU',3567719680,3567779839),('DE',3567779840,3567845375),('GB',3567845376,3567861759),('NO',3567861760,3567878143),('DE',3567878144,3567910911),('ES',3567910912,3567976447),('IT',3567976448,3568041983),('DE',3568041984,3568107519),('GB',3568107520,3568153759),('CH',3568153760,3568153767),('GB',3568153768,3568173055),('TR',3568173056,3568304127),('RU',3568304128,3568309775),('UZ',3568309776,3568309791),('BY',3568309792,3568309919),('RU',3568309920,3568309951),('BY',3568309952,3568310015),('RU',3568310016,3568369663),('IT',3568369664,3568369743),('FR',3568369744,3568369751),('IT',3568369752,3568435199),('UA',3568435200,3568443391),('NL',3568443392,3568500735),('IL',3568500736,3568566271),('FR',3568566272,3568574967),('A2',3568574968,3568574975),('FR',3568574976,3568577151),('A2',3568577152,3568577167),('FR',3568577168,3568577231),('A2',3568577232,3568577239),('FR',3568577240,3568583783),('A2',3568583784,3568583791),('FR',3568583792,3568595079),('A2',3568595080,3568595087),('FR',3568595088,3568599039),('PL',3568599040,3568631807),('SE',3568631808,3568697343),('PL',3568697344,3568730111),('NL',3568730112,3568746495),('FI',3568746496,3568752895),('EE',3568752896,3568752959),('FI',3568752960,3568762879),('AT',3568762880,3568795647),('GB',3568795648,3568803839),('IT',3568803840,3568812031),('ES',3568812032,3568828415),('DE',3568828416,3568829631),('CH',3568829632,3568829639),('DE',3568829640,3568831343),('CN',3568831344,3568831351),('DE',3568831352,3568836247),('NL',3568836248,3568836255),('DE',3568836256,3568848791),('PL',3568848792,3568848799),('DE',3568848800,3568848871),('GB',3568848872,3568848879),('DE',3568848880,3568876159),('ES',3568876160,3568876287),('DE',3568876288,3568877583),('NL',3568877584,3568877591),('DE',3568877592,3568916399),('IT',3568916400,3568916407),('DE',3568916408,3568937103),('SK',3568937104,3568937111),('DE',3568937112,3568938311),('FI',3568938312,3568938319),('DE',3568938320,3568939519),('IT',3568939520,3568939527),('DE',3568939528,3568946663),('IT',3568946664,3568946671),('DE',3568946672,3568959487),('AT',3568959488,3568992255),('PL',3568992256,3569000447),('AT',3569000448,3569004543),('FR',3569004544,3569008447),('AT',3569008448,3569017087),('FR',3569017088,3569018879),('AT',3569018880,3569024959),('NO',3569024960,3569025023),('NL',3569025024,3569057791),('GB',3569057792,3569068031),('DE',3569068032,3569068543),('BG',3569068544,3569068671),('GB',3569068672,3569068951),('DE',3569068952,3569068991),('GB',3569068992,3569075711),('FR',3569075712,3569075839),('GB',3569075840,3569083903),('US',3569083904,3569084159),('GB',3569084160,3569090559),('RU',3569090560,3569123327),('GB',3569123328,3569156095),('NL',3569156096,3569188863),('IT',3569188864,3569221631),('BE',3569221632,3569238399),('AT',3569238400,3569238527),('BE',3569238528,3569239071),('LU',3569239072,3569239103),('BE',3569239104,3569239231),('LU',3569239232,3569239263),('BE',3569239264,3569239519),('LU',3569239520,3569239551),('BE',3569239552,3569239903),('LU',3569239904,3569239935),('BE',3569239936,3569239983),('BN',3569239984,3569239999),('BE',3569240000,3569240031),('FR',3569240032,3569240063),('BE',3569240064,3569241583),('LU',3569241584,3569241599),('BE',3569241600,3569241887),('LU',3569241888,3569241903),('BE',3569241904,3569242047),('LU',3569242048,3569242111),('BE',3569242112,3569242143),('AU',3569242144,3569242175),('BE',3569242176,3569242551),('LU',3569242552,3569242559),('BE',3569242560,3569242879),('US',3569242880,3569243135),('BE',3569243136,3569243903),('NL',3569243904,3569244031),('BE',3569244032,3569244303),('LU',3569244304,3569244319),('BE',3569244320,3569245695),('LU',3569245696,3569245727),('BE',3569245728,3569250879),('LU',3569250880,3569250895),('BE',3569250896,3569250927),('CA',3569250928,3569250935),('BE',3569250936,3569251071),('LU',3569251072,3569251327),('US',3569251328,3569251839),('BE',3569251840,3569252991),('LU',3569252992,3569253007),('BE',3569253008,3569253095),('LU',3569253096,3569253103),('BE',3569253104,3569253311),('LU',3569253312,3569253343),('BE',3569253344,3569254175),('US',3569254176,3569254207),('BE',3569254208,3569254911),('LU',3569254912,3569254959),('BE',3569254960,3569254975),('LU',3569254976,3569255055),('BE',3569255056,3569255071),('LU',3569255072,3569255103),('BE',3569255104,3569258783),('LU',3569258784,3569258815),('BE',3569258816,3569258975),('LU',3569258976,3569259007),('BE',3569259008,3569271815),('LU',3569271816,3569271823),('BE',3569271824,3569271871),('NL',3569271872,3569271903),('BE',3569271904,3569271911),('DE',3569271912,3569271919),('BE',3569271920,3569271935),('IT',3569271936,3569271943),('BE',3569271944,3569271959),('LU',3569271960,3569271963),('BE',3569271964,3569272063),('LU',3569272064,3569272079),('BE',3569272080,3569272223),('LU',3569272224,3569272255),('BE',3569272256,3569273167),('LU',3569273168,3569273183),('BE',3569273184,3569273751),('LU',3569273752,3569273759),('BE',3569273760,3569273791),('LU',3569273792,3569273823),('BE',3569273824,3569273935),('LI',3569273936,3569273951),('BE',3569273952,3569274143),('CA',3569274144,3569274175),('LU',3569274176,3569274207),('BE',3569274208,3569274303),('LU',3569274304,3569274311),('BE',3569274312,3569274335),('LU',3569274336,3569274383),('BE',3569274384,3569274495),('LU',3569274496,3569274559),('BE',3569274560,3569274687),('LU',3569274688,3569274719),('BE',3569274720,3569277183),('LU',3569277184,3569277439),('BE',3569277440,3569278311),('LU',3569278312,3569278319),('BE',3569278320,3569278703),('NL',3569278704,3569278719),('BE',3569278720,3569279223),('US',3569279224,3569279231),('BE',3569279232,3569279263),('US',3569279264,3569279279),('BE',3569279280,3569287167),('PL',3569287168,3569352703),('RU',3569352704,3569483775),('FR',3569483776,3569614847),('GB',3569614848,3569680383),('SK',3569680384,3569710959),('NL',3569710960,3569710975),('SK',3569710976,3569713151),('AT',3569713152,3569729535),('FR',3569729536,3569731167),('IT',3569731168,3569731183),('GB',3569731184,3569731215),('FR',3569731216,3569731231),('DE',3569731232,3569731247),('GB',3569731248,3569731263),('FR',3569731264,3569731311),('GB',3569731312,3569731327),('FR',3569731328,3569731375),('GB',3569731376,3569731391),('FR',3569731392,3569731423),('GB',3569731424,3569731439),('FR',3569731440,3569731455),('GB',3569731456,3569731471),('FR',3569731472,3569731487),('GB',3569731488,3569731503),('IT',3569731504,3569731519),('GB',3569731520,3569731551),('FR',3569731552,3569731583),('GB',3569731584,3569731599),('FR',3569731600,3569731615),('DE',3569731616,3569731631),('IT',3569731632,3569731647),('FR',3569731648,3569731727),('GB',3569731728,3569731743),('FR',3569731744,3569731791),('GB',3569731792,3569731807),('FR',3569731808,3569731839),('GB',3569731840,3569731871),('FR',3569731872,3569731903),('BE',3569731904,3569731919),('FR',3569731920,3569731951),('NL',3569731952,3569731967),('GB',3569731968,3569731983),('FR',3569731984,3569732031),('DE',3569732032,3569732047),('GB',3569732048,3569732063),('FR',3569732064,3569732079),('GB',3569732080,3569732095),('FR',3569732096,3569732143),('GB',3569732144,3569732191),('DE',3569732192,3569732207),('FR',3569732208,3569732287),('GB',3569732288,3569732303),('DE',3569732304,3569732319),('FR',3569732320,3569732335),('GB',3569732336,3569732351),('FR',3569732352,3569732383),('US',3569732384,3569732399),('FR',3569732400,3569732447),('US',3569732448,3569732479),('GB',3569732480,3569732495),('FR',3569732496,3569732543),('GB',3569732544,3569732575),('FR',3569732576,3569732607),('GB',3569732608,3569732639),('FR',3569732640,3569732671),('GB',3569732672,3569732703),('FR',3569732704,3569732719),('GB',3569732720,3569732735),('FR',3569732736,3569732751),('GB',3569732752,3569732767),('FR',3569732768,3569732783),('GB',3569732784,3569732847),('FR',3569732848,3569732863),('GB',3569732864,3569732879),('FR',3569732880,3569732895),('IT',3569732896,3569732911),('FR',3569732912,3569733007),('IE',3569733008,3569733023),('FR',3569733024,3569733055),('GB',3569733056,3569733087),('IT',3569733088,3569733103),('FR',3569733104,3569733183),('GB',3569733184,3569733199),('FR',3569733200,3569733263),('US',3569733264,3569733279),('DE',3569733280,3569733295),('GB',3569733296,3569733311),('FR',3569733312,3569733327),('GB',3569733328,3569733343),('FR',3569733344,3569733423),('GB',3569733424,3569733439),('FR',3569733440,3569733471),('GB',3569733472,3569733487),('FR',3569733488,3569733519),('GB',3569733520,3569733535),('NL',3569733536,3569733551),('FR',3569733552,3569733567),('GB',3569733568,3569733583),('FR',3569733584,3569733599),('GB',3569733600,3569733615),('FR',3569733616,3569733647),('GB',3569733648,3569733663),('FR',3569733664,3569733679),('GB',3569733680,3569733695),('FR',3569733696,3569733775),('IE',3569733776,3569733791),('FR',3569733792,3569733807),('GB',3569733808,3569733823),('FR',3569733824,3569733887),('GB',3569733888,3569733919),('FR',3569733920,3569733935),('GB',3569733936,3569733951),('FR',3569733952,3569733967),('ES',3569733968,3569733983),('GB',3569733984,3569733999),('FR',3569734000,3569734047),('GB',3569734048,3569734079),('FR',3569734080,3569734143),('GB',3569734144,3569734159),('FR',3569734160,3569734191),('GB',3569734192,3569734207),('FR',3569734208,3569734367),('GB',3569734368,3569734399),('BE',3569734400,3569734447),('FR',3569734448,3569734463),('BE',3569734464,3569734511),('FR',3569734512,3569736047),('GB',3569736048,3569736063),('FR',3569736064,3569736071),('ES',3569736072,3569736079),('FR',3569736080,3569736191),('NL',3569736192,3569736223),('FR',3569736224,3569736239),('NL',3569736240,3569736383),('SE',3569736384,3569736399),('NL',3569736400,3569736655),('FR',3569736656,3569736671),('NL',3569736672,3569736703),('FR',3569736704,3569739263),('NL',3569739264,3569739295),('FR',3569739296,3569739327),('NL',3569739328,3569739471),('FR',3569739472,3569739487),('NL',3569739488,3569739599),('FR',3569739600,3569739631),('NL',3569739632,3569739647),('FR',3569739648,3569739663),('NL',3569739664,3569739679),('FR',3569739680,3569739695),('NL',3569739696,3569739839),('FR',3569739840,3569739855),('NL',3569739856,3569739903),('FR',3569739904,3569739919),('NL',3569739920,3569739935),('FR',3569739936,3569739951),('NL',3569739952,3569740047),('FR',3569740048,3569740063),('NL',3569740064,3569740111),('FR',3569740112,3569740127),('NL',3569740128,3569740255),('FR',3569740256,3569740271),('NL',3569740272,3569740303),('FR',3569740304,3569740319),('NL',3569740320,3569740367),('FR',3569740368,3569740383),('NL',3569740384,3569740415),('FR',3569740416,3569740431),('NL',3569740432,3569740463),('FR',3569740464,3569740479),('NL',3569740480,3569740495),('FR',3569740496,3569740511),('NL',3569740512,3569740543),('FR',3569740544,3569740559),('NL',3569740560,3569740655),('FR',3569740656,3569740671),('NL',3569740672,3569740687),('FR',3569740688,3569740703),('NL',3569740704,3569740799),('FR',3569740800,3569741311),('BE',3569741312,3569741823),('FR',3569741824,3569741843),('NL',3569741844,3569741859),('FR',3569741860,3569742335),('BE',3569742336,3569742351),('FR',3569742352,3569742383),('BE',3569742384,3569742399),('FR',3569742400,3569742415),('BE',3569742416,3569742511),('FR',3569742512,3569742527),('BE',3569742528,3569742623),('FR',3569742624,3569742639),('BE',3569742640,3569742671),('FR',3569742672,3569742687),('BE',3569742688,3569742735),('FR',3569742736,3569742751),('BE',3569742752,3569742767),('FR',3569742768,3569742783),('BE',3569742784,3569742927),('FR',3569742928,3569742943),('BE',3569742944,3569743087),('FR',3569743088,3569743103),('BE',3569743104,3569743135),('FR',3569743136,3569743199),('BE',3569743200,3569743215),('FR',3569743216,3569743359),('BE',3569743360,3569743391),('FR',3569743392,3569743407),('BE',3569743408,3569743423),('FR',3569743424,3569743455),('BE',3569743456,3569743583),('NL',3569743584,3569743599),('FR',3569743600,3569743615),('BE',3569743616,3569743631),('FR',3569743632,3569743647),('BE',3569743648,3569743679),('FR',3569743680,3569743711),('BE',3569743712,3569743775),('FR',3569743776,3569743791),('BE',3569743792,3569743871),('NL',3569743872,3569743983),('FR',3569743984,3569743999),('NL',3569744000,3569744047),('FR',3569744048,3569744063),('NL',3569744064,3569744127),('FR',3569744128,3569744143),('NL',3569744144,3569744543),('FR',3569744544,3569744559),('NL',3569744560,3569744575),('FR',3569744576,3569744623),('NL',3569744624,3569744815),('FR',3569744816,3569744831),('NL',3569744832,3569744911),('FR',3569744912,3569744927),('NL',3569744928,3569744975),('FR',3569744976,3569744991),('NL',3569744992,3569745007),('FR',3569745008,3569745023),('NL',3569745024,3569745039),('FR',3569745040,3569745055),('NL',3569745056,3569745103),('FR',3569745104,3569745119),('NL',3569745120,3569745167),('FR',3569745168,3569745183),('NL',3569745184,3569745215),('FR',3569745216,3569745231),('NL',3569745232,3569745247),('FR',3569745248,3569745279),('NL',3569745280,3569745311),('FR',3569745312,3569745327),('NL',3569745328,3569745359),('FR',3569745360,3569745375),('NL',3569745376,3569745407),('FR',3569745408,3569745663),('NL',3569745664,3569745727),('FR',3569745728,3569745743),('NL',3569745744,3569745813),('FR',3569745814,3569745823),('NL',3569745824,3569745839),('FR',3569745840,3569745871),('NL',3569745872,3569745887),('FR',3569745888,3569745903),('NL',3569745904,3569745919),('FR',3569745920,3569811455),('IL',3569811456,3569815807),('A2',3569815808,3569816063),('IL',3569816064,3569819775),('A2',3569819776,3569819903),('IL',3569819904,3569820227),('A2',3569820228,3569820231),('IL',3569820232,3569820367),('A2',3569820368,3569820383),('IL',3569820384,3569820391),('A2',3569820392,3569820399),('IL',3569820400,3569820415),('A2',3569820416,3569820427),('IL',3569820428,3569820479),('A2',3569820480,3569820511),('IL',3569820512,3569820515),('A2',3569820516,3569820519),('IL',3569820520,3569820543),('A2',3569820544,3569820547),('IL',3569820548,3569820567),('A2',3569820568,3569820575),('IL',3569820576,3569820659),('A2',3569820660,3569820671),('IL',3569820672,3569823231),('A2',3569823232,3569823743),('IL',3569823744,3569824255),('A2',3569824256,3569824263),('IL',3569824264,3569824271),('A2',3569824272,3569824279),('IL',3569824280,3569824391),('A2',3569824392,3569824399),('IL',3569824400,3569824407),('A2',3569824408,3569824415),('IL',3569824416,3569824431),('A2',3569824432,3569824439),('IL',3569824440,3569824451),('A2',3569824452,3569824495),('IL',3569824496,3569824499),('A2',3569824500,3569824511),('IL',3569824512,3569824603),('A2',3569824604,3569824607),('IL',3569824608,3569824671),('A2',3569824672,3569824687),('IL',3569824688,3569824695),('A2',3569824696,3569824719),('IL',3569824720,3569824727),('A2',3569824728,3569824731),('IL',3569824732,3569824959),('A2',3569824960,3569824975),('IL',3569824976,3569825111),('A2',3569825112,3569825119),('IL',3569825120,3569825183),('A2',3569825184,3569825215),('IL',3569825216,3569825615),('A2',3569825616,3569825647),('IL',3569825648,3569825712),('A2',3569825713,3569825727),('IL',3569825728,3569825775),('A2',3569825776,3569825791),('IL',3569825792,3569825920),('A2',3569825921,3569825951),('IL',3569825952,3569825983),('A2',3569825984,3569826047),('IL',3569826048,3569826071),('A2',3569826072,3569826079),('IL',3569826080,3569826271),('A2',3569826272,3569826303),('IL',3569826304,3569826431),('A2',3569826432,3569826495),('IL',3569826496,3569826541),('A2',3569826542,3569826543),('IL',3569826544,3569826623),('A2',3569826624,3569826655),('IL',3569826656,3569826847),('A2',3569826848,3569826855),('IL',3569826856,3569826895),('A2',3569826896,3569826911),('IL',3569826912,3569826955),('A2',3569826956,3569826959),('IL',3569826960,3569827839),('A2',3569827840,3569827999),('IL',3569828000,3569828063),('A2',3569828064,3569828095),('IL',3569828096,3569828111),('A2',3569828112,3569828127),('IL',3569828128,3569828211),('A2',3569828212,3569828215),('IL',3569828216,3569828219),('A2',3569828220,3569828223),('IL',3569828224,3569828351),('A2',3569828352,3569828367),('IL',3569828368,3569828375),('A2',3569828376,3569828383),('IL',3569828384,3569828623),('A2',3569828624,3569828639),('IL',3569828640,3569828647),('A2',3569828648,3569828655),('IL',3569828656,3569828767),('A2',3569828768,3569828775),('IL',3569828776,3569829023),('A2',3569829024,3569829055),('IL',3569829056,3569829183),('A2',3569829184,3569829247),('IL',3569829248,3569830463),('GB',3569830464,3569830527),('IL',3569830528,3569831167),('A2',3569831168,3569831423),('IL',3569831424,3569831679),('A2',3569831680,3569831935),('IL',3569831936,3569834791),('A2',3569834792,3569834799),('IL',3569834800,3569834879),('A2',3569834880,3569834915),('IL',3569834916,3569835295),('A2',3569835296,3569835311),('IL',3569835312,3569835367),('A2',3569835368,3569835375),('IL',3569835376,3569835623),('A2',3569835624,3569835631),('IL',3569835632,3569836335),('A2',3569836336,3569836351),('IL',3569836352,3569836543),('A2',3569836544,3569836591),('IL',3569836592,3569836639),('A2',3569836640,3569836671),('IL',3569836672,3569836735),('A2',3569836736,3569836847),('IL',3569836848,3569836863),('A2',3569836864,3569836895),('IL',3569836896,3569836911),('A2',3569836912,3569836927),('IL',3569836928,3569836959),('A2',3569836960,3569836975),('IL',3569836976,3569837439),('A2',3569837440,3569837471),('IL',3569837472,3569837503),('A2',3569837504,3569837567),('IL',3569837568,3569837607),('A2',3569837608,3569837615),('IL',3569837616,3569837631),('A2',3569837632,3569837663),('IL',3569837664,3569837695),('A2',3569837696,3569837743),('IL',3569837744,3569838119),('A2',3569838120,3569838127),('IL',3569838128,3569838215),('A2',3569838216,3569838223),('IL',3569838224,3569838399),('A2',3569838400,3569838415),('IL',3569838416,3569838495),('A2',3569838496,3569838503),('IL',3569838504,3569838687),('A2',3569838688,3569838719),('IL',3569838720,3569839103),('A2',3569839104,3569839615),('IL',3569839616,3569839743),('A2',3569839744,3569839871),('IL',3569839872,3569839935),('A2',3569839936,3569839951),('IL',3569839952,3569840031),('A2',3569840032,3569840047),('IL',3569840048,3569840295),('A2',3569840296,3569840303),('IL',3569840304,3569840383),('A2',3569840384,3569840399),('IL',3569840400,3569840559),('A2',3569840560,3569840567),('IL',3569840568,3569841711),('A2',3569841712,3569841727),('IL',3569841728,3569841943),('A2',3569841944,3569841947),('IL',3569841948,3569841959),('A2',3569841960,3569841967),('IL',3569841968,3569841975),('A2',3569841976,3569841983),('IL',3569841984,3569842047),('A2',3569842048,3569842055),('IL',3569842056,3569842087),('A2',3569842088,3569842091),('IL',3569842092,3569842123),('A2',3569842124,3569842127),('IL',3569842128,3569842175),('A2',3569842176,3569842447),('IL',3569842448,3569842471),('A2',3569842472,3569842475),('IL',3569842476,3569842767),('A2',3569842768,3569842775),('IL',3569842776,3569842815),('A2',3569842816,3569842847),('IL',3569842848,3569842879),('A2',3569842880,3569843071),('IL',3569843072,3569843107),('A2',3569843108,3569843123),('IL',3569843124,3569844303),('A2',3569844304,3569844319),('IL',3569844320,3569844359),('A2',3569844360,3569844367),('IL',3569844368,3569844383),('A2',3569844384,3569844399),('IL',3569844400,3569844779),('A2',3569844780,3569844783),('IL',3569844784,3569844831),('A2',3569844832,3569844847),('IL',3569844848,3569844863),('A2',3569844864,3569844927),('IL',3569844928,3569845279),('A2',3569845280,3569845303),('IL',3569845304,3569845307),('A2',3569845308,3569845311),('IL',3569845312,3569845327),('A2',3569845328,3569845343),('IL',3569845344,3569845439),('A2',3569845440,3569845471),('IL',3569845472,3569845487),('A2',3569845488,3569845503),('IL',3569845504,3569845623),('A2',3569845624,3569845631),('IL',3569845632,3569845639),('A2',3569845640,3569845663),('IL',3569845664,3569845679),('A2',3569845680,3569845695),('IL',3569845696,3569845727),('A2',3569845728,3569845743),('IL',3569845744,3569845759),('A2',3569845760,3569845823),('IL',3569845824,3569845855),('A2',3569845856,3569845871),('IL',3569845872,3569845983),('A2',3569845984,3569846015),('IL',3569846016,3569846079),('A2',3569846080,3569846111),('IL',3569846112,3569846271),('A2',3569846272,3569847039),('IL',3569847040,3569847295),('A2',3569847296,3569847551),('IL',3569847552,3569848319),('A2',3569848320,3569849343),('IL',3569849344,3569849879),('A2',3569849880,3569849911),('IL',3569849912,3569849983),('A2',3569849984,3569849999),('IL',3569850000,3569850095),('A2',3569850096,3569850111),('IL',3569850112,3569850367),('A2',3569850368,3569850495),('IL',3569850496,3569850781),('A2',3569850782,3569850783),('IL',3569850784,3569850847),('A2',3569850848,3569850879),('IL',3569850880,3569850975),('A2',3569850976,3569851007),('IL',3569851008,3569851391),('A2',3569851392,3569851679),('IL',3569851680,3569851695),('A2',3569851696,3569852415),('IL',3569852416,3569853567),('A2',3569853568,3569854719),('IL',3569854720,3569855231),('A2',3569855232,3569856015),('IL',3569856016,3569856063),('A2',3569856064,3569856255),('IL',3569856256,3569856511),('A2',3569856512,3569856575),('IL',3569856576,3569856671),('A2',3569856672,3569856687),('IL',3569856688,3569856691),('A2',3569856692,3569856703),('IL',3569856704,3569857279),('A2',3569857280,3569857535),('IL',3569857536,3569857663),('A2',3569857664,3569857791),('IL',3569857792,3569858559),('A2',3569858560,3569858815),('IL',3569858816,3569859071),('A2',3569859072,3569859327),('IL',3569859328,3569860351),('A2',3569860352,3569861375),('IL',3569861376,3569861887),('A2',3569861888,3569862655),('IL',3569862656,3569863615),('A2',3569863616,3569864447),('IL',3569864448,3569865727),('A2',3569865728,3569865903),('IL',3569865904,3569865919),('A2',3569865920,3569865983),('IL',3569865984,3569866239),('A2',3569866240,3569866263),('IL',3569866264,3569866271),('A2',3569866272,3569866495),('IL',3569866496,3569866783),('A2',3569866784,3569866799),('IL',3569866800,3569866839),('A2',3569866840,3569866847),('IL',3569866848,3569866911),('A2',3569866912,3569867007),('IL',3569867008,3569867023),('A2',3569867024,3569867027),('IL',3569867028,3569867071),('A2',3569867072,3569867087),('IL',3569867088,3569867095),('A2',3569867096,3569867103),('IL',3569867104,3569867135),('A2',3569867136,3569867151),('IL',3569867152,3569867167),('A2',3569867168,3569867199),('IL',3569867200,3569867235),('A2',3569867236,3569867239),('IL',3569867240,3569867255),('A2',3569867256,3569867263),('IL',3569867264,3569867519),('A2',3569867520,3569868031),('IL',3569868032,3569868543),('A2',3569868544,3569868799),('IL',3569868800,3569868895),('A2',3569868896,3569868911),('IL',3569868912,3569869199),('A2',3569869200,3569869215),('IL',3569869216,3569869247),('A2',3569869248,3569869375),('IL',3569869376,3569869407),('A2',3569869408,3569869471),('IL',3569869472,3569869823),('A2',3569869824,3569870591),('IL',3569870592,3569870607),('A2',3569870608,3569870623),('IL',3569870624,3569870695),('A2',3569870696,3569870699),('IL',3569870700,3569870743),('A2',3569870744,3569870751),('IL',3569870752,3569870831),('A2',3569870832,3569870839),('IL',3569870840,3569870851),('A2',3569870852,3569870855),('IL',3569870856,3569870919),('A2',3569870920,3569870927),('IL',3569870928,3569870975),('A2',3569870976,3569870983),('IL',3569870984,3569871087),('A2',3569871088,3569871095),('IL',3569871096,3569871115),('A2',3569871116,3569871119),('IL',3569871120,3569871183),('A2',3569871184,3569871187),('IL',3569871188,3569871255),('A2',3569871256,3569871263),('IL',3569871264,3569871295),('A2',3569871296,3569871303),('IL',3569871304,3569871483),('A2',3569871484,3569871487),('IL',3569871488,3569871495),('A2',3569871496,3569871503),('IL',3569871504,3569871584),('A2',3569871585,3569872383),('IL',3569872384,3569872387),('A2',3569872388,3569872399),('IL',3569872400,3569872439),('A2',3569872440,3569872447),('IL',3569872448,3569872471),('A2',3569872472,3569872479),('IL',3569872480,3569872531),('A2',3569872532,3569872535),('IL',3569872536,3569872591),('A2',3569872592,3569872599),('IL',3569872600,3569873279),('NG',3569873280,3569873407),('IL',3569873408,3569873535),('A2',3569873536,3569873663),('IL',3569873664,3569873831),('A2',3569873832,3569873835),('IL',3569873836,3569873883),('A2',3569873884,3569873887),('IL',3569873888,3569875007),('A2',3569875008,3569875015),('IL',3569875016,3569875023),('A2',3569875024,3569875071),('IL',3569875072,3569875711),('A2',3569875712,3569875839),('NG',3569875840,3569875967),('IL',3569875968,3569876479),('A2',3569876480,3569876991),('RS',3569876992,3569942527),('DE',3569942528,3570064759),('A2',3570064760,3570064767),('DE',3570064768,3570073599),('NL',3570073600,3570076943),('PH',3570076944,3570076951),('NL',3570076952,3570081791),('CH',3570081792,3570096831),('US',3570096832,3570096895),('CH',3570096896,3570106367),('PL',3570106368,3570139135),('DE',3570139136,3570170079),('BE',3570170080,3570170111),('DE',3570170112,3570171903),('NL',3570171904,3570204671),('GR',3570204672,3570270207),('NL',3570270208,3570335743),('GB',3570335744,3570401279),('FR',3570401280,3570442687),('IT',3570442688,3570442695),('FR',3570442696,3570466815),('SE',3570466816,3570507439),('CH',3570507440,3570507455),('SE',3570507456,3570532351),('IT',3570532352,3570597887),('GB',3570597888,3570607103),('DE',3570607104,3570608127),('GB',3570608128,3570611199),('FR',3570611200,3570611455),('GB',3570611456,3570614271),('DE',3570614272,3570617343),('GB',3570617344,3570617855),('DE',3570617856,3570622463),('GB',3570622464,3570630655),('DE',3570630656,3570633343),('CH',3570633344,3570633471),('DE',3570633472,3570663423),('GB',3570663424,3570728959),('FI',3570728960,3570729983),('SE',3570729984,3570731007),('FI',3570731008,3570756191),('RU',3570756192,3570756223),('FI',3570756224,3570760543),('RU',3570760544,3570760575),('FI',3570760576,3570794495),('SE',3570794496,3570860031),('CH',3570860032,3570892799),('SA',3570892800,3570925567),('IT',3570925568,3570991103),('MA',3570991104,3571023871),('SE',3571023872,3571056639),('DE',3571056640,3571122175),('GB',3571122176,3571187711),('RU',3571187712,3571253247),('BE',3571253248,3571259551),('LU',3571259552,3571259583),('BE',3571259584,3571261359),('LU',3571261360,3571261367),('BE',3571261368,3571262335),('LU',3571262336,3571262367),('BE',3571262368,3571264607),('FR',3571264608,3571264639),('BE',3571264640,3571265935),('LU',3571265936,3571265951),('BE',3571265952,3571267199),('LU',3571267200,3571267263),('BE',3571267264,3571268607),('LU',3571268608,3571268639),('BE',3571268640,3571269823),('LU',3571269824,3571269855),('BE',3571269856,3571271423),('LU',3571271424,3571271439),('BE',3571271440,3571271551),('LU',3571271552,3571271679),('BE',3571271680,3571272447),('LU',3571272448,3571272575),('BE',3571272576,3571277119),('DE',3571277120,3571277151),('BE',3571277152,3571286015),('DE',3571286016,3571321055),('GB',3571321056,3571321087),('DE',3571321088,3571326255),('BE',3571326256,3571326259),('DE',3571326260,3571337471),('NL',3571337472,3571337599),('DE',3571337600,3571343495),('ES',3571343496,3571343503),('DE',3571343504,3571347455),('BE',3571347456,3571347711),('DE',3571347712,3571349743),('CH',3571349744,3571349759),('DE',3571349760,3571349791),('SE',3571349792,3571349799),('DE',3571349800,3571349807),('BE',3571349808,3571349815),('SE',3571349816,3571349819),('DE',3571349820,3571364951),('GB',3571364952,3571364955),('DE',3571364956,3571366399),('NL',3571366400,3571366511),('DE',3571366512,3571379311),('NL',3571379312,3571379315),('DE',3571379316,3571381631),('AT',3571381632,3571381695),('DE',3571381696,3571382783),('AT',3571382784,3571383039),('DE',3571383040,3571383135),('AT',3571383136,3571383151),('DE',3571383152,3571385151),('GB',3571385152,3571385183),('DE',3571385184,3571385631),('GB',3571385632,3571385663),('DE',3571385664,3571389471),('ES',3571389472,3571389475),('DE',3571389476,3571389503),('HU',3571389504,3571389519),('DE',3571389520,3571425695),('ES',3571425696,3571425727),('DE',3571425728,3571426895),('ES',3571426896,3571426903),('DE',3571426904,3571456575),('GB',3571456576,3571456591),('DE',3571456592,3571482367),('CH',3571482368,3571482623),('BE',3571482624,3571515391),('GB',3571515392,3571548159),('ES',3571548160,3571580927),('FI',3571580928,3571646463),('DE',3571646464,3571675679),('GB',3571675680,3571675687),('DE',3571675688,3571711999),('GB',3571712000,3571843071),('ES',3571843072,3571974143),('SK',3571974144,3572006911),('CH',3572006912,3572039679),('BE',3572039680,3572047871),('LU',3572047872,3572056063),('RU',3572056064,3572072447),('BG',3572072448,3572105215),('FR',3572105216,3572106095),('A2',3572106096,3572106111),('FR',3572106112,3572116527),('A2',3572116528,3572116535),('FR',3572116536,3572148223),('MC',3572148224,3572148479),('FR',3572148480,3572170751),('IL',3572170752,3572203519),('SI',3572203520,3572236287),('AT',3572236288,3572301823),('DK',3572301824,3572367359),('NL',3572367360,3572432895),('IT',3572432896,3572436047),('GB',3572436048,3572436063),('IT',3572436064,3572442495),('NL',3572442496,3572442511),('IT',3572442512,3572447231),('AT',3572447232,3572447239),('FR',3572447240,3572447247),('GB',3572447248,3572447255),('ES',3572447256,3572447263),('IT',3572447264,3572465663),('BE',3572465664,3572498431),('GB',3572498432,3572563967),('KG',3572563968,3572572159),('NL',3572572160,3572580351),('AT',3572580352,3572596735),('GB',3572596736,3572629503),('DK',3572629504,3572695039),('CH',3572695040,3572704951),('DE',3572704952,3572704959),('CH',3572704960,3572705479),('NL',3572705480,3572705487),('CH',3572705488,3572715519),('GB',3572715520,3572715775),('CH',3572715776,3572760575),('PL',3572760576,3572826111),('IT',3572826112,3572891647),('FI',3572891648,3572957183),('SE',3572957184,3572975359),('A2',3572975360,3572975615),('SE',3572975616,3572980991),('A2',3572980992,3572981247),('SE',3572981248,3572984319),('A2',3572984320,3572984575),('SE',3572984576,3572986367),('A2',3572986368,3572986623),('SE',3572986624,3573022719),('RU',3573022720,3573055487),('GB',3573055488,3573088255),('CH',3573088256,3573153791),('GB',3573153792,3573175711),('IE',3573175712,3573175727),('GB',3573175728,3573208511),('IE',3573208512,3573208543),('GB',3573208544,3573219327),('GR',3573219328,3573252095),('NO',3573252096,3573284863),('TR',3573284864,3573415935),('CH',3573415936,3573481471),('DE',3573481472,3573547007),('ES',3573547008,3573612543),('GB',3573612544,3573733375),('IT',3573733376,3573734399),('GB',3573734400,3573743615),('CH',3573743616,3573809151),('ES',3573809152,3573874687),('GR',3573874688,3573940223),('PS',3573940224,3574005759),('CY',3574005760,3574071295),('IL',3574071296,3574136831),('DE',3574136832,3574138559),('NL',3574138560,3574138623),('DE',3574138624,3574138735),('NL',3574138736,3574138751),('DE',3574138752,3574138767),('NL',3574138768,3574138775),('DE',3574138776,3574143263),('GB',3574143264,3574143295),('DE',3574143296,3574148095),('GB',3574148096,3574148111),('DE',3574148112,3574151823),('AT',3574151824,3574151831),('DE',3574151832,3574152847),('GB',3574152848,3574152863),('DE',3574152864,3574153217),('LU',3574153218,3574153218),('DE',3574153219,3574153239),('AT',3574153240,3574153243),('DE',3574153244,3574153299),('CH',3574153300,3574153303),('DE',3574153304,3574153351),('LU',3574153352,3574153359),('AT',3574153360,3574153367),('DE',3574153368,3574153567),('ES',3574153568,3574153583),('DE',3574153584,3574153611),('AT',3574153612,3574153623),('DE',3574153624,3574153679),('CH',3574153680,3574153687),('DE',3574153688,3574153731),('HU',3574153732,3574153735),('DE',3574153736,3574153783),('AT',3574153784,3574153787),('DE',3574153788,3574154827),('AT',3574154828,3574154831),('LU',3574154832,3574154847),('DE',3574154848,3574155535),('CH',3574155536,3574155539),('DE',3574155540,3574155551),('CH',3574155552,3574155583),('DE',3574155584,3574155591),('FR',3574155592,3574155595),('DE',3574155596,3574155727),('AT',3574155728,3574155731),('DE',3574155732,3574155739),('AT',3574155740,3574155743),('DE',3574155744,3574155759),('ES',3574155760,3574155763),('DE',3574155764,3574155787),('AT',3574155788,3574155791),('DE',3574155792,3574155811),('LU',3574155812,3574155815),('DE',3574155816,3574155851),('NO',3574155852,3574155855),('DE',3574155856,3574155859),('NO',3574155860,3574155863),('DE',3574155864,3574155983),('AT',3574155984,3574155987),('NO',3574155988,3574155991),('DE',3574155992,3574157551),('AT',3574157552,3574157559),('DE',3574157560,3574159871),('GB',3574159872,3574159875),('DE',3574159876,3574160931),('NL',3574160932,3574160935),('DE',3574160936,3574160959),('GB',3574160960,3574161023),('DE',3574161024,3574161039),('NL',3574161040,3574161043),('DE',3574161044,3574161055),('NL',3574161056,3574161087),('DE',3574161088,3574161383),('GB',3574161384,3574161387),('DE',3574161388,3574169599),('ES',3574169600,3574202367),('NL',3574202368,3574267903),('FR',3574267904,3574333439),('GB',3574333440,3574341631),('EU',3574341632,3574348287),('GB',3574348288,3574348543),('EU',3574348544,3574398975),('PT',3574398976,3574464511),('TR',3574464512,3574530047),('SE',3574530048,3574563679),('FI',3574563680,3574563695),('SE',3574563696,3574563727),('FI',3574563728,3574563775),('SE',3574563776,3574563807),('FI',3574563808,3574563823),('SE',3574563824,3574563839),('FI',3574563840,3574564863),('SE',3574564864,3574565887),('FI',3574565888,3574565951),('SE',3574565952,3574566207),('FI',3574566208,3574566271),('SE',3574566272,3574566447),('FI',3574566448,3574566463),('SE',3574566464,3574595583),('RE',3574595584,3574595839),('MQ',3574595840,3574596095),('FR',3574596096,3574596351),('MQ',3574596352,3574596863),('FR',3574596864,3574597119),('MQ',3574597120,3574597887),('GP',3574597888,3574598143),('FR',3574598144,3574598399),('RE',3574598400,3574598655),('MQ',3574598656,3574601215),('RE',3574601216,3574601471),('MQ',3574601472,3574601983),('GF',3574601984,3574602239),('FR',3574602240,3574602495),('MQ',3574602496,3574603263),('FR',3574603264,3574603775),('BG',3574603776,3574611967),('HU',3574611968,3574628351),('GR',3574628352,3574661119),('NL',3574661120,3574693887),('PL',3574693888,3574726655),('GB',3574726656,3574792191),('CZ',3574792192,3574824959),('NL',3574824960,3574825215),('GB',3574825216,3574825343),('NL',3574825344,3574825407),('GB',3574825408,3574825471),('NL',3574825472,3574826111),('GB',3574826112,3574826239),('NL',3574826240,3574829823),('GB',3574829824,3574830079),('NL',3574830080,3574831103),('GB',3574831104,3574833279),('NL',3574833280,3574833311),('GB',3574833312,3574833343),('NL',3574833344,3574833359),('GB',3574833360,3574833407),('NL',3574833408,3574833439),('GB',3574833440,3574833663),('NL',3574833664,3574834175),('GB',3574834176,3574834431),('NL',3574834432,3574834559),('GB',3574834560,3574834687),('NL',3574834688,3574836223),('GB',3574836224,3574836351),('NL',3574836352,3574838015),('GB',3574838016,3574838271),('NL',3574838272,3574838527),('GB',3574838528,3574839807),('NL',3574839808,3574841343),('GB',3574841344,3574857727),('DE',3574857728,3574917375),('CH',3574917376,3574917631),('DE',3574917632,3574919359),('FR',3574919360,3574919391),('DE',3574919392,3574923263),('RU',3574923264,3574939647),('SE',3574939648,3574956031),('IT',3574956032,3574972415),('LV',3574972416,3574988799),('PT',3574988800,3575054335),('DE',3575054336,3575086175),('MT',3575086176,3575086207),('DE',3575086208,3575119871),('RU',3575119872,3575185407),('PL',3575185408,3575250943),('IT',3575250944,3575316479),('RU',3575316480,3575349247),('ES',3575349248,3575355231),('GB',3575355232,3575355247),('ES',3575355248,3575367111),('DE',3575367112,3575367119),('ES',3575367120,3575372239),('PT',3575372240,3575372247),('ES',3575372248,3575382015),('FI',3575382016,3575412991),('RU',3575412992,3575413119),('FI',3575413120,3575447551),('CZ',3575447552,3575513087),('PT',3575513088,3575545855),('FR',3575545856,3575562239),('DE',3575562240,3575578623),('EU',3575578624,3575580671),('NL',3575580672,3575580927),('ES',3575580928,3575581439),('GB',3575581440,3575581567),('EU',3575581568,3575581695),('FR',3575581696,3575581823),('ES',3575581824,3575581951),('GR',3575581952,3575582207),('EU',3575582208,3575583103),('HU',3575583104,3575583111),('EU',3575583112,3575583999),('FR',3575584000,3575584255),('EU',3575584256,3575586943),('GB',3575586944,3575587071),('EU',3575587072,3575587103),('ES',3575587104,3575587119),('EU',3575587120,3575587135),('GB',3575587136,3575587151),('EU',3575587152,3575587247),('FR',3575587248,3575587255),('EU',3575587256,3575587295),('RU',3575587296,3575587311),('EU',3575587312,3575587839),('GB',3575587840,3575588351),('EU',3575588352,3575588863),('A2',3575588864,3575589375),('EU',3575589376,3575622655),('GB',3575622656,3575622783),('EU',3575622784,3575622815),('DK',3575622816,3575622847),('EU',3575622848,3575622911),('GB',3575622912,3575623167),('EU',3575623168,3575624703),('FR',3575624704,3575624831),('PT',3575624832,3575624839),('GB',3575624840,3575624863),('EU',3575624864,3575624895),('GB',3575624896,3575624911),('ES',3575624912,3575624927),('GB',3575624928,3575624943),('EU',3575624944,3575624951),('IE',3575624952,3575624959),('EU',3575624960,3575624975),('GB',3575624976,3575624991),('IT',3575624992,3575624999),('EU',3575625000,3575625087),('US',3575625088,3575625095),('EU',3575625096,3575625375),('IT',3575625376,3575625407),('EU',3575625408,3575625439),('ES',3575625440,3575625455),('EU',3575625456,3575625471),('NO',3575625472,3575625503),('EU',3575625504,3575625983),('SE',3575625984,3575625991),('EU',3575625992,3575626047),('FR',3575626048,3575626111),('EU',3575626112,3575626319),('GB',3575626320,3575626335),('ES',3575626336,3575626351),('DE',3575626352,3575626367),('EU',3575626368,3575626503),('CH',3575626504,3575626511),('EU',3575626512,3575626519),('FR',3575626520,3575626527),('EU',3575626528,3575626567),('RO',3575626568,3575626575),('EU',3575626576,3575626599),('IE',3575626600,3575626607),('EU',3575626608,3575626631),('GB',3575626632,3575626639),('DE',3575626640,3575626647),('IT',3575626648,3575626655),('EU',3575626656,3575627311),('ES',3575627312,3575627327),('EU',3575627328,3575627359),('ES',3575627360,3575627367),('EU',3575627368,3575627423),('DE',3575627424,3575627431),('EU',3575627432,3575627487),('GB',3575627488,3575627503),('EU',3575627504,3575627775),('NL',3575627776,3575628799),('EU',3575628800,3575628815),('ES',3575628816,3575628823),('FR',3575628824,3575628831),('EU',3575628832,3575629183),('NL',3575629184,3575629247),('EU',3575629248,3575629823),('GR',3575629824,3575629855),('DE',3575629856,3575629871),('EU',3575629872,3575629935),('FR',3575629936,3575629951),('EU',3575629952,3575630015),('GR',3575630016,3575630023),('EU',3575630024,3575630063),('ZA',3575630064,3575630079),('BE',3575630080,3575630335),('IT',3575630336,3575630463),('CH',3575630464,3575630591),('IL',3575630592,3575630847),('EU',3575630848,3575630975),('FR',3575630976,3575630991),('EU',3575630992,3575631103),('AT',3575631104,3575631111),('CH',3575631112,3575631119),('DE',3575631120,3575631127),('EU',3575631128,3575631183),('HU',3575631184,3575631199),('IE',3575631200,3575631207),('EU',3575631208,3575631231),('CH',3575631232,3575631295),('EU',3575631296,3575631303),('FI',3575631304,3575631311),('EU',3575631312,3575631615),('SE',3575631616,3575631631),('BE',3575631632,3575631639),('CH',3575631640,3575631647),('SE',3575631648,3575631663),('DE',3575631664,3575631679),('SE',3575631680,3575631695),('IT',3575631696,3575631711),('EU',3575631712,3575631759),('ZA',3575631760,3575631775),('EU',3575631776,3575631791),('ES',3575631792,3575631799),('EU',3575631800,3575631855),('ZA',3575631856,3575631863),('EU',3575631864,3575631871),('IL',3575631872,3575632639),('NO',3575632640,3575632655),('EU',3575632656,3575632703),('GB',3575632704,3575632711),('EU',3575632712,3575632783),('GB',3575632784,3575632791),('EU',3575632792,3575632831),('BE',3575632832,3575632847),('CH',3575632848,3575632863),('BE',3575632864,3575632871),('EU',3575632872,3575632879),('DE',3575632880,3575632895),('EU',3575632896,3575632967),('GB',3575632968,3575632975),('EU',3575632976,3575632991),('IT',3575632992,3575632999),('EU',3575633000,3575633039),('DE',3575633040,3575633055),('SE',3575633056,3575633063),('NL',3575633064,3575633071),('EU',3575633072,3575633087),('GB',3575633088,3575633119),('EU',3575633120,3575633135),('GB',3575633136,3575633143),('EU',3575633144,3575633599),('NL',3575633600,3575633663),('EU',3575633664,3575633727),('AT',3575633728,3575633735),('IT',3575633736,3575633743),('EU',3575633744,3575633783),('DE',3575633784,3575633791),('EU',3575633792,3575633887),('SE',3575633888,3575633895),('EU',3575633896,3575633919),('CH',3575633920,3575633983),('DE',3575633984,3575633991),('EU',3575633992,3575633999),('PT',3575634000,3575634007),('DK',3575634008,3575634015),('GB',3575634016,3575634047),('BE',3575634048,3575634175),('EU',3575634176,3575634183),('AT',3575634184,3575634191),('EU',3575634192,3575634255),('IT',3575634256,3575634271),('EU',3575634272,3575634367),('NO',3575634368,3575634399),('GB',3575634400,3575634431),('EU',3575634432,3575634455),('DE',3575634456,3575634463),('EU',3575634464,3575634495),('FI',3575634496,3575634519),('EU',3575634520,3575634591),('ES',3575634592,3575634599),('EU',3575634600,3575634607),('GB',3575634608,3575634615),('EU',3575634616,3575634695),('FI',3575634696,3575634703),('EU',3575634704,3575634711),('DE',3575634712,3575634719),('EU',3575634720,3575634767),('NO',3575634768,3575634775),('EU',3575634776,3575634783),('FR',3575634784,3575634791),('ES',3575634792,3575634799),('BE',3575634800,3575634807),('SE',3575634808,3575634815),('EU',3575634816,3575634879),('GB',3575634880,3575634911),('SE',3575634912,3575634919),('GB',3575634920,3575634927),('IT',3575634928,3575634935),('EU',3575634936,3575635015),('CH',3575635016,3575635023),('ES',3575635024,3575635039),('EU',3575635040,3575635055),('CH',3575635056,3575635063),('EU',3575635064,3575635071),('SE',3575635072,3575635087),('EU',3575635088,3575635103),('PT',3575635104,3575635119),('PL',3575635120,3575635135),('DE',3575635136,3575635151),('PT',3575635152,3575635159),('EU',3575635160,3575635167),('GB',3575635168,3575635175),('EU',3575635176,3575635199),('NO',3575635200,3575635455),('RU',3575635456,3575635463),('GB',3575635464,3575635471),('EU',3575635472,3575635583),('EG',3575635584,3575635615),('FI',3575635616,3575635631),('EU',3575635632,3575635647),('GB',3575635648,3575635679),('EU',3575635680,3575635695),('GB',3575635696,3575635703),('EU',3575635704,3575635775),('CH',3575635776,3575635839),('GB',3575635840,3575635847),('FR',3575635848,3575635855),('TR',3575635856,3575635871),('EU',3575635872,3575635983),('DE',3575635984,3575635999),('EU',3575636000,3575636143),('HU',3575636144,3575636151),('EU',3575636152,3575636607),('FR',3575636608,3575636735),('EU',3575636736,3575636823),('RU',3575636824,3575636831),('EU',3575636832,3575636855),('DE',3575636856,3575636863),('EU',3575636864,3575636871),('CZ',3575636872,3575636879),('EU',3575636880,3575636903),('CZ',3575636904,3575636911),('EU',3575636912,3575636983),('FR',3575636984,3575636991),('EU',3575636992,3575637039),('DE',3575637040,3575637055),('EU',3575637056,3575637151),('GB',3575637152,3575637183),('EU',3575637184,3575637407),('LU',3575637408,3575637439),('GB',3575637440,3575637471),('EU',3575637472,3575638103),('GB',3575638104,3575638111),('EU',3575638112,3575638175),('GB',3575638176,3575638239),('EU',3575638240,3575638279),('RU',3575638280,3575638287),('EU',3575638288,3575638303),('NO',3575638304,3575638335),('EU',3575638336,3575638527),('DE',3575638528,3575638543),('EU',3575638544,3575638559),('GB',3575638560,3575638591),('EU',3575638592,3575638623),('PL',3575638624,3575638639),('EU',3575638640,3575638719),('NL',3575638720,3575638735),('GR',3575638736,3575638751),('EU',3575638752,3575638767),('SE',3575638768,3575638783),('EU',3575638784,3575638911),('FR',3575638912,3575638943),('GB',3575638944,3575638975),('EU',3575638976,3575639007),('GB',3575639008,3575639011),('IE',3575639012,3575639023),('PL',3575639024,3575639039),('EU',3575639040,3575640063),('TR',3575640064,3575644159),('DK',3575644160,3575709695),('AT',3575709696,3575730175),('SA',3575730176,3575730183),('AT',3575730184,3575732735),('LI',3575732736,3575732991),('AT',3575732992,3575736319),('LI',3575736320,3575736831),('AT',3575736832,3575738407),('SA',3575738408,3575738415),('AT',3575738416,3575738431),('SA',3575738432,3575738463),('AT',3575738464,3575738751),('SA',3575738752,3575738759),('AT',3575738760,3575742463),('RU',3575742464,3575775231),('AT',3575775232,3575775295),('NL',3575775296,3575775487),('AT',3575775488,3575775743),('NL',3575775744,3575824383),('KW',3575824384,3575832575),('NL',3575832576,3575850719),('GB',3575850720,3575850735),('NL',3575850736,3575854079),('GB',3575854080,3575854847),('NL',3575854848,3575857151),('BE',3575857152,3575857407),('NL',3575857408,3575858529),('US',3575858530,3575858543),('NL',3575858544,3575860299),('BE',3575860300,3575860303),('NL',3575860304,3575866367),('US',3575866368,3575867135),('NL',3575867136,3575873535),('EE',3575873536,3575906303),('FR',3575906304,3575971839),('ES',3575971840,3576037375),('EU',3576037376,3576038143),('GB',3576038144,3576038175),('EU',3576038176,3576038207),('GB',3576038208,3576038271),('EU',3576038272,3576038335),('GB',3576038336,3576038463),('EU',3576038464,3576038527),('GB',3576038528,3576038591),('EU',3576038592,3576038911),('GB',3576038912,3576038975),('EU',3576038976,3576039167),('GB',3576039168,3576039231),('EU',3576039232,3576039359),('GB',3576039360,3576039383),('EU',3576039384,3576039391),('GB',3576039392,3576039455),('EU',3576039456,3576039519),('GB',3576039520,3576039551),('EU',3576039552,3576039583),('GB',3576039584,3576039647),('EU',3576039648,3576039807),('GB',3576039808,3576039839),('EU',3576039840,3576039903),('GB',3576039904,3576039935),('EU',3576039936,3576040063),('GB',3576040064,3576040127),('EU',3576040128,3576040215),('GB',3576040216,3576040223),('EU',3576040224,3576040271),('GB',3576040272,3576040287),('EU',3576040288,3576040351),('GB',3576040352,3576040383),('EU',3576040384,3576040831),('GB',3576040832,3576040959),('EU',3576040960,3576041471),('GB',3576041472,3576041535),('EU',3576041536,3576041727),('GB',3576041728,3576041799),('EU',3576041800,3576041831),('GB',3576041832,3576041847),('EU',3576041848,3576041863),('GB',3576041864,3576041871),('EU',3576041872,3576041879),('GB',3576041880,3576041887),('EU',3576041888,3576041903),('GB',3576041904,3576041919),('EU',3576041920,3576041935),('GB',3576041936,3576041943),('EU',3576041944,3576041951),('GB',3576041952,3576041975),('EU',3576041976,3576042111),('GB',3576042112,3576042239),('EU',3576042240,3576042495),('GB',3576042496,3576042623),('EU',3576042624,3576042687),('GB',3576042688,3576042815),('EU',3576042816,3576045567),('GB',3576045568,3576045599),('EU',3576045600,3576045615),('GB',3576045616,3576045631),('EU',3576045632,3576045663),('GB',3576045664,3576045679),('EU',3576045680,3576045711),('GB',3576045712,3576045735),('EU',3576045736,3576045799),('GB',3576045800,3576045823),('EU',3576045824,3576048127),('GB',3576048128,3576048255),('EU',3576048256,3576048639),('GB',3576048640,3576048767),('EU',3576048768,3576048959),('GB',3576048960,3576049023),('EU',3576049024,3576049151),('GB',3576049152,3576050047),('EU',3576050048,3576050111),('GB',3576050112,3576050175),('EU',3576050176,3576053759),('GB',3576053760,3576054911),('EU',3576054912,3576055103),('GB',3576055104,3576055111),('EU',3576055112,3576055119),('GB',3576055120,3576055127),('EU',3576055128,3576055151),('GB',3576055152,3576055167),('EU',3576055168,3576055183),('GB',3576055184,3576055199),('EU',3576055200,3576055207),('GB',3576055208,3576055215),('EU',3576055216,3576055279),('GB',3576055280,3576055551),('EU',3576055552,3576055679),('GB',3576055680,3576055871),('EU',3576055872,3576055935),('GB',3576055936,3576055999),('EU',3576056000,3576056191),('GB',3576056192,3576056255),('EU',3576056256,3576056319),('GB',3576056320,3576056447),('EU',3576056448,3576056703),('GB',3576056704,3576056767),('EU',3576056768,3576056855),('GB',3576056856,3576056871),('EU',3576056872,3576056879),('GB',3576056880,3576056903),('EU',3576056904,3576056919),('GB',3576056920,3576056927),('EU',3576056928,3576056935),('GB',3576056936,3576056943),('EU',3576056944,3576056951),('GB',3576056952,3576056975),('EU',3576056976,3576056991),('GB',3576056992,3576057007),('EU',3576057008,3576057039),('GB',3576057040,3576057055),('EU',3576057056,3576057631),('GB',3576057632,3576057647),('EU',3576057648,3576057711),('GB',3576057712,3576057743),('EU',3576057744,3576057759),('GB',3576057760,3576057775),('EU',3576057776,3576057823),('GB',3576057824,3576057839),('EU',3576057840,3576058879),('GB',3576058880,3576059007),('EU',3576059008,3576059647),('GB',3576059648,3576059679),('EU',3576059680,3576059711),('GB',3576059712,3576059743),('EU',3576059744,3576059775),('GB',3576059776,3576059807),('EU',3576059808,3576060095),('GB',3576060096,3576060159),('EU',3576060160,3576060287),('GB',3576060288,3576060351),('EU',3576060352,3576061039),('GB',3576061040,3576061055),('EU',3576061056,3576061119),('GB',3576061120,3576061135),('EU',3576061136,3576061183),('GB',3576061184,3576061247),('EU',3576061248,3576061311),('GB',3576061312,3576061439),('EU',3576061440,3576061583),('GB',3576061584,3576061591),('EU',3576061592,3576061619),('GB',3576061620,3576061631),('EU',3576061632,3576061639),('GB',3576061640,3576061647),('EU',3576061648,3576061687),('GB',3576061688,3576061695),('EU',3576061696,3576062143),('GB',3576062144,3576062175),('EU',3576062176,3576062463),('GB',3576062464,3576062479),('EU',3576062480,3576064319),('GB',3576064320,3576064448),('EU',3576064449,3576064543),('GB',3576064544,3576064559),('EU',3576064560,3576065407),('GB',3576065408,3576065535),('EU',3576065536,3576065855),('GB',3576065856,3576065887),('EU',3576065888,3576066287),('GB',3576066288,3576066295),('EU',3576066296,3576066303),('GB',3576066304,3576066431),('EU',3576066432,3576067071),('GB',3576067072,3576067199),('EU',3576067200,3576067247),('GB',3576067248,3576067255),('EU',3576067256,3576068351),('GB',3576068352,3576068479),('EU',3576068480,3576068863),('GB',3576068864,3576068927),('EU',3576068928,3576069055),('GB',3576069056,3576069119),('EU',3576069120,3576069247),('GB',3576069248,3576069279),('EU',3576069280,3576069311),('GB',3576069312,3576069343),('EU',3576069344,3576070695),('GB',3576070696,3576070703),('EU',3576070704,3576070711),('GB',3576070712,3576070719),('EU',3576070720,3576070727),('GB',3576070728,3576070735),('EU',3576070736,3576070775),('GB',3576070776,3576070783),('EU',3576070784,3576071295),('GB',3576071296,3576071423),('EU',3576071424,3576071551),('GB',3576071552,3576071679),('EU',3576071680,3576071935),('GB',3576071936,3576071951),('EU',3576071952,3576072063),('GB',3576072064,3576072079),('EU',3576072080,3576072287),('GB',3576072288,3576072319),('EU',3576072320,3576072415),('GB',3576072416,3576072511),('EU',3576072512,3576073215),('GB',3576073216,3576073279),('EU',3576073280,3576074751),('GB',3576074752,3576074879),('EU',3576074880,3576075103),('GB',3576075104,3576075135),('EU',3576075136,3576075263),('GB',3576075264,3576075327),('EU',3576075328,3576075647),('GB',3576075648,3576075711),('EU',3576075712,3576075775),('GB',3576075776,3576075903),('EU',3576075904,3576076271),('GB',3576076272,3576076351),('EU',3576076352,3576076567),('GB',3576076568,3576076575),('EU',3576076576,3576076623),('GB',3576076624,3576076631),('EU',3576076632,3576076703),('GB',3576076704,3576076719),('EU',3576076720,3576076783),('GB',3576076784,3576076791),('EU',3576076792,3576077327),('GB',3576077328,3576077335),('EU',3576077336,3576077439),('GB',3576077440,3576077471),('EU',3576077472,3576077567),('GB',3576077568,3576077695),('EU',3576077696,3576077871),('GB',3576077872,3576077887),('EU',3576077888,3576077935),('GB',3576077936,3576077967),('EU',3576077968,3576078079),('GB',3576078080,3576078175),('EU',3576078176,3576078463),('GB',3576078464,3576078591),('EU',3576078592,3576079615),('GB',3576079616,3576079871),('EU',3576079872,3576079999),('GB',3576080000,3576080127),('EU',3576080128,3576080223),('GB',3576080224,3576080255),('EU',3576080256,3576080775),('GB',3576080776,3576080799),('EU',3576080800,3576080807),('GB',3576080808,3576080815),('EU',3576080816,3576080823),('GB',3576080824,3576080831),('EU',3576080832,3576082079),('GB',3576082080,3576082111),('EU',3576082112,3576082191),('GB',3576082192,3576082223),('EU',3576082224,3576082687),('GB',3576082688,3576082943),('EU',3576082944,3576083967),('GB',3576083968,3576084031),('EU',3576084032,3576084479),('GB',3576084480,3576084543),('EU',3576084544,3576084607),('GB',3576084608,3576084671),('EU',3576084672,3576084703),('GB',3576084704,3576084735),('EU',3576084736,3576084863),('GB',3576084864,3576084927),('EU',3576084928,3576085183),('GB',3576085184,3576085215),('EU',3576085216,3576085695),('GB',3576085696,3576085711),('EU',3576085712,3576086015),('GB',3576086016,3576086143),('EU',3576086144,3576086367),('GB',3576086368,3576086431),('EU',3576086432,3576086495),('GB',3576086496,3576086527),('EU',3576086528,3576086567),('GB',3576086568,3576086571),('EU',3576086572,3576086575),('GB',3576086576,3576086591),('EU',3576086592,3576086599),('GB',3576086600,3576086603),('EU',3576086604,3576087807),('GB',3576087808,3576087823),('EU',3576087824,3576087951),('GB',3576087952,3576087967),('EU',3576087968,3576088031),('GB',3576088032,3576088047),('EU',3576088048,3576088223),('GB',3576088224,3576088231),('EU',3576088232,3576088375),('GB',3576088376,3576088383),('EU',3576088384,3576088479),('GB',3576088480,3576088511),('EU',3576088512,3576088959),('GB',3576088960,3576088967),('EU',3576088968,3576089023),('GB',3576089024,3576089039),('EU',3576089040,3576089439),('GB',3576089440,3576089471),('EU',3576089472,3576089775),('GB',3576089776,3576089791),('EU',3576089792,3576089823),('GB',3576089824,3576089839),('EU',3576089840,3576091407),('GB',3576091408,3576091423),('EU',3576091424,3576091455),('GB',3576091456,3576091479),('EU',3576091480,3576091519),('GB',3576091520,3576091535),('EU',3576091536,3576091967),('GB',3576091968,3576091983),('EU',3576091984,3576091999),('GB',3576092000,3576092031),('EU',3576092032,3576092095),('GB',3576092096,3576092159),('EU',3576092160,3576092863),('GB',3576092864,3576092903),('EU',3576092904,3576093063),('GB',3576093064,3576093071),('EU',3576093072,3576093183),('GB',3576093184,3576093247),('EU',3576093248,3576095231),('GB',3576095232,3576096767),('EU',3576096768,3576099071),('GB',3576099072,3576100863),('EU',3576100864,3576101375),('GB',3576101376,3576102911),('FR',3576102912,3576109023),('DE',3576109024,3576109055),('FR',3576109056,3576119295),('CH',3576119296,3576119455),('BE',3576119456,3576119471),('CH',3576119472,3576127487),('FR',3576127488,3576131583),('CH',3576131584,3576135679),('DE',3576135680,3576168447),('GB',3576168448,3576233983),('FR',3576233984,3576236671),('GB',3576236672,3576236703),('FR',3576236704,3576236879),('GB',3576236880,3576237055),('FR',3576237056,3576237063),('GB',3576237064,3576237071),('FR',3576237072,3576237087),('GB',3576237088,3576237135),('FR',3576237136,3576237215),('GB',3576237216,3576237279),('FR',3576237280,3576237455),('GB',3576237456,3576237503),('FR',3576237504,3576237567),('GB',3576237568,3576237583),('FR',3576237584,3576237599),('GB',3576237600,3576237679),('FR',3576237680,3576237695),('GB',3576237696,3576237759),('FR',3576237760,3576237791),('GB',3576237792,3576237823),('FR',3576237824,3576237855),('GB',3576237856,3576237871),('FR',3576237872,3576237887),('GB',3576237888,3576237919),('FR',3576237920,3576237935),('GB',3576237936,3576237967),('FR',3576237968,3576237983),('GB',3576237984,3576238015),('FR',3576238016,3576238143),('GB',3576238144,3576238159),('FR',3576238160,3576238271),('GB',3576238272,3576238287),('FR',3576238288,3576238303),('GB',3576238304,3576238335),('FR',3576238336,3576238559),('GB',3576238560,3576238591),('FR',3576238592,3576238607),('GB',3576238608,3576238623),('FR',3576238624,3576238639),('GB',3576238640,3576238719),('FR',3576238720,3576238847),('GB',3576238848,3576238911),('FR',3576238912,3576238927),('GB',3576238928,3576238959),('FR',3576238960,3576239007),('GB',3576239008,3576239023),('FR',3576239024,3576239039),('GB',3576239040,3576239055),('FR',3576239056,3576239087),('GB',3576239088,3576239103),('FR',3576239104,3576240039),('GB',3576240040,3576240047),('FR',3576240048,3576240111),('GB',3576240112,3576240127),('FR',3576240128,3576240639),('GB',3576240640,3576240895),('FR',3576240896,3576241391),('GB',3576241392,3576241399),('FR',3576241400,3576241791),('GB',3576241792,3576241799),('FR',3576241800,3576241815),('GB',3576241816,3576241823),('FR',3576241824,3576241919),('GB',3576241920,3576242111),('FR',3576242112,3576246399),('GB',3576246400,3576246527),('FR',3576246528,3576246656),('GB',3576246657,3576246783),('FR',3576246784,3576248575),('GB',3576248576,3576248831),('FR',3576248832,3576249463),('GB',3576249464,3576249471),('FR',3576249472,3576249527),('GB',3576249528,3576249535),('FR',3576249536,3576249743),('GB',3576249744,3576249791),('FR',3576249792,3576249799),('GB',3576249800,3576249823),('FR',3576249824,3576249831),('GB',3576249832,3576249839),('FR',3576249840,3576251407),('GB',3576251408,3576251599),('FR',3576251600,3576251615),('GB',3576251616,3576251647),('FR',3576251648,3576252415),('GB',3576252416,3576252671),('FR',3576252672,3576253159),('GB',3576253160,3576253183),('FR',3576253184,3576254479),('GB',3576254480,3576254495),('FR',3576254496,3576254511),('GB',3576254512,3576254527),('FR',3576254528,3576254551),('GB',3576254552,3576254559),('FR',3576254560,3576254575),('GB',3576254576,3576254615),('FR',3576254616,3576254623),('GB',3576254624,3576254639),('FR',3576254640,3576254647),('GB',3576254648,3576254663),('FR',3576254664,3576254671),('GB',3576254672,3576254679),('FR',3576254680,3576254695),('GB',3576254696,3576254711),('FR',3576254712,3576254767),('GB',3576254768,3576254783),('FR',3576254784,3576254847),('GB',3576254848,3576254855),('FR',3576254856,3576254863),('GB',3576254864,3576254879),('FR',3576254880,3576254895),('GB',3576254896,3576254903),('FR',3576254904,3576255087),('GB',3576255088,3576255199),('FR',3576255200,3576255215),('GB',3576255216,3576255263),('FR',3576255264,3576255319),('GB',3576255320,3576255359),('FR',3576255360,3576255407),('GB',3576255408,3576255423),('FR',3576255424,3576255431),('GB',3576255432,3576255439),('FR',3576255440,3576255447),('GB',3576255448,3576255455),('FR',3576255456,3576255503),('GB',3576255504,3576255511),('FR',3576255512,3576255519),('GB',3576255520,3576255527),('FR',3576255528,3576255543),('GB',3576255544,3576255551),('FR',3576255552,3576255575),('GB',3576255576,3576255583),('FR',3576255584,3576255631),('GB',3576255632,3576255647),('FR',3576255648,3576255671),('GB',3576255672,3576255679),('FR',3576255680,3576255711),('GB',3576255712,3576255727),('FR',3576255728,3576255743),('GB',3576255744,3576255759),('FR',3576255760,3576255839),('GB',3576255840,3576255871),('FR',3576255872,3576255887),('GB',3576255888,3576255935),('FR',3576255936,3576255943),('GB',3576255944,3576255951),('FR',3576255952,3576255975),('GB',3576255976,3576255983),('FR',3576255984,3576255999),('GB',3576256000,3576256047),('FR',3576256048,3576256111),('GB',3576256112,3576256143),('FR',3576256144,3576256239),('GB',3576256240,3576256255),('FR',3576256256,3576256351),('GB',3576256352,3576256367),('FR',3576256368,3576256383),('GB',3576256384,3576256415),('FR',3576256416,3576256431),('GB',3576256432,3576256447),('FR',3576256448,3576256463),('GB',3576256464,3576256527),('FR',3576256528,3576256543),('GB',3576256544,3576256559),('FR',3576256560,3576256607),('GB',3576256608,3576256623),('FR',3576256624,3576256639),('GB',3576256640,3576256671),('FR',3576256672,3576256687),('GB',3576256688,3576256767),('FR',3576256768,3576256895),('GB',3576256896,3576256959),('FR',3576256960,3576256991),('GB',3576256992,3576257007),('FR',3576257008,3576257135),('GB',3576257136,3576257151),('FR',3576257152,3576257159),('GB',3576257160,3576257167),('FR',3576257168,3576257287),('GB',3576257288,3576257295),('FR',3576257296,3576257343),('GB',3576257344,3576257359),('FR',3576257360,3576257367),('GB',3576257368,3576257375),('FR',3576257376,3576257455),('GB',3576257456,3576257471),('FR',3576257472,3576257487),('GB',3576257488,3576257495),('FR',3576257496,3576257503),('GB',3576257504,3576257535),('FR',3576257536,3576257551),('GB',3576257552,3576257583),('FR',3576257584,3576257631),('GB',3576257632,3576257647),('FR',3576257648,3576257727),('GB',3576257728,3576257807),('FR',3576257808,3576257823),('GB',3576257824,3576257839),('FR',3576257840,3576257855),('GB',3576257856,3576257871),('FR',3576257872,3576257887),('GB',3576257888,3576257895),('FR',3576257896,3576257983),('GB',3576257984,3576257999),('FR',3576258000,3576258095),('GB',3576258096,3576258127),('FR',3576258128,3576258160),('GB',3576258161,3576258175),('FR',3576258176,3576258191),('GB',3576258192,3576258207),('FR',3576258208,3576258351),('GB',3576258352,3576258399),('FR',3576258400,3576258415),('GB',3576258416,3576258431),('FR',3576258432,3576258447),('GB',3576258448,3576258463),('FR',3576258464,3576258495),('GB',3576258496,3576258511),('FR',3576258512,3576258527),('GB',3576258528,3576258575),('FR',3576258576,3576258591),('GB',3576258592,3576258607),('FR',3576258608,3576258719),('GB',3576258720,3576258783),('FR',3576258784,3576258863),('GB',3576258864,3576258895),('FR',3576258896,3576258911),('GB',3576258912,3576258927),('FR',3576258928,3576259031),('GB',3576259032,3576259087),('FR',3576259088,3576259103),('GB',3576259104,3576259199),('FR',3576259200,3576259231),('GB',3576259232,3576259247),('FR',3576259248,3576259279),('GB',3576259280,3576259295),('FR',3576259296,3576259311),('GB',3576259312,3576259327),('FR',3576259328,3576259343),('GB',3576259344,3576259391),('FR',3576259392,3576259423),('GB',3576259424,3576259439),('FR',3576259440,3576259519),('GB',3576259520,3576259583),('FR',3576259584,3576259919),('GB',3576259920,3576259935),('FR',3576259936,3576259991),('GB',3576259992,3576259999),('FR',3576260000,3576260063),('GB',3576260064,3576260087),('FR',3576260088,3576260175),('GB',3576260176,3576260191),('FR',3576260192,3576260207),('GB',3576260208,3576260223),('FR',3576260224,3576260239),('GB',3576260240,3576260255),('FR',3576260256,3576260271),('GB',3576260272,3576260335),('FR',3576260336,3576260463),('GB',3576260464,3576260543),('FR',3576260544,3576260559),('GB',3576260560,3576260607),('FR',3576260608,3576260623),('GB',3576260624,3576260639),('FR',3576260640,3576260655),('GB',3576260656,3576260687),('FR',3576260688,3576260703),('GB',3576260704,3576260735),('FR',3576260736,3576260895),('GB',3576260896,3576260927),('FR',3576260928,3576260959),('GB',3576260960,3576260999),('FR',3576261000,3576261015),('GB',3576261016,3576261023),('FR',3576261024,3576261047),('GB',3576261048,3576261055),('FR',3576261056,3576261063),('GB',3576261064,3576261071),('FR',3576261072,3576261087),('GB',3576261088,3576261095),('FR',3576261096,3576261103),('GB',3576261104,3576261111),('FR',3576261112,3576261375),('GB',3576261376,3576261631),('FR',3576261632,3576262023),('GB',3576262024,3576262031),('FR',3576262032,3576262063),('GB',3576262064,3576262071),('FR',3576262072,3576263439),('GB',3576263440,3576263455),('FR',3576263456,3576263519),('GB',3576263520,3576263551),('FR',3576263552,3576263567),('GB',3576263568,3576263575),('FR',3576263576,3576263583),('GB',3576263584,3576263599),('FR',3576263600,3576263751),('GB',3576263752,3576263759),('FR',3576263760,3576263791),('GB',3576263792,3576263903),('FR',3576263904,3576263911),('GB',3576263912,3576263919),('FR',3576263920,3576264303),('GB',3576264304,3576264311),('FR',3576264312,3576264447),('GB',3576264448,3576264511),('FR',3576264512,3576264543),('GB',3576264544,3576264559),('FR',3576264560,3576264575),('GB',3576264576,3576264607),('FR',3576264608,3576264639),('GB',3576264640,3576264703),('FR',3576264704,3576265311),('GB',3576265312,3576265319),('FR',3576265320,3576265343),('GB',3576265344,3576265359),('FR',3576265360,3576265407),('GB',3576265408,3576265415),('FR',3576265416,3576265855),('GB',3576265856,3576265863),('FR',3576265864,3576265887),('GB',3576265888,3576265895),('FR',3576265896,3576265911),('GB',3576265912,3576265935),('FR',3576265936,3576266655),('GB',3576266656,3576266671),('FR',3576266672,3576266687),('GB',3576266688,3576266751),('FR',3576266752,3576299519),('AE',3576299520,3576365055),('TR',3576365056,3576430591),('FR',3576430592,3576496127),('IT',3576496128,3576561663),('NL',3576561664,3576603135),('BE',3576603136,3576603391),('FR',3576603392,3576603647),('NL',3576603648,3576604159),('HU',3576604160,3576604415),('NL',3576604416,3576605183),('RO',3576605184,3576605439),('NL',3576605440,3576605695),('CZ',3576605696,3576605951),('AT',3576605952,3576606207),('GB',3576606208,3576606463),('NL',3576606464,3576606719),('SE',3576606720,3576606975),('NO',3576606976,3576607231),('PL',3576607232,3576607487),('DE',3576607488,3576607743),('NL',3576607744,3576620031),('SE',3576620032,3576620543),('GB',3576620544,3576620799),('NL',3576620800,3576622335),('GB',3576622336,3576622591),('NL',3576622592,3576623871),('AT',3576623872,3576624127),('NL',3576624128,3576626943),('AT',3576626944,3576692735),('GB',3576692736,3576758271),('BE',3576758272,3576823807),('SE',3576823808,3576889343),('NL',3576889344,3576954879),('NO',3576954880,3576987647),('GB',3576987648,3577020415),('NL',3577020416,3577085951),('DE',3577085952,3577151487),('GB',3577151488,3577167871),('ET',3577167872,3577184255),('CH',3577184256,3577217023),('FR',3577217024,3577282559),('IL',3577282560,3577329407),('IT',3577329408,3577329471),('IL',3577329472,3577348095),('PT',3577348096,3577392767),('DE',3577392768,3577392783),('PT',3577392784,3577413631),('RU',3577413632,3577417519),('KZ',3577417520,3577417535),('RU',3577417536,3577452415),('GE',3577452416,3577452543),('RU',3577452544,3577479167),('ES',3577479168,3577544703),('DE',3577544704,3577545795),('GB',3577545796,3577545799),('DE',3577545800,3577545863),('US',3577545864,3577545871),('DE',3577545872,3577545983),('SE',3577545984,3577546111),('DE',3577546112,3577546143),('GB',3577546144,3577546151),('DE',3577546152,3577546159),('GB',3577546160,3577546175),('DE',3577546176,3577546239),('US',3577546240,3577546367),('GB',3577546368,3577546383),('DE',3577546384,3577546415),('GB',3577546416,3577546423),('DE',3577546424,3577546703),('GB',3577546704,3577546719),('DE',3577546720,3577547223),('GB',3577547224,3577547231),('DE',3577547232,3577547375),('GB',3577547376,3577547383),('DE',3577547384,3577547455),('FR',3577547456,3577547519),('DE',3577547520,3577547631),('GB',3577547632,3577547663),('DE',3577547664,3577547743),('GB',3577547744,3577547775),('DE',3577547776,3577548287),('GB',3577548288,3577548303),('DE',3577548304,3577548319),('GB',3577548320,3577548351),('DE',3577548352,3577549055),('GB',3577549056,3577549079),('DE',3577549080,3577549119),('GB',3577549120,3577549151),('DE',3577549152,3577549599),('GB',3577549600,3577549631),('DE',3577549632,3577549695),('GB',3577549696,3577549823),('DE',3577549824,3577550847),('GB',3577550848,3577550983),('DE',3577550984,3577551047),('GB',3577551048,3577551063),('DE',3577551064,3577551087),('GB',3577551088,3577551095),('DE',3577551096,3577551103),('GB',3577551104,3577551111),('DE',3577551112,3577551119),('GB',3577551120,3577551127),('DE',3577551128,3577551151),('GB',3577551152,3577551159),('DE',3577551160,3577551271),('GB',3577551272,3577551279),('DE',3577551280,3577551287),('GB',3577551288,3577551327),('DE',3577551328,3577551343),('GB',3577551344,3577551351),('DE',3577551352,3577551407),('US',3577551408,3577551411),('DE',3577551412,3577551423),('GB',3577551424,3577551455),('DE',3577551456,3577552159),('GB',3577552160,3577552183),('DE',3577552184,3577552191),('GB',3577552192,3577552199),('DE',3577552200,3577552215),('GB',3577552216,3577552223),('DE',3577552224,3577552239),('GB',3577552240,3577552247),('DE',3577552248,3577552255),('GB',3577552256,3577552263),('DE',3577552264,3577552399),('GB',3577552400,3577552447),('DE',3577552448,3577552919),('GB',3577552920,3577552927),('DE',3577552928,3577552959),('GB',3577552960,3577552967),('DE',3577552968,3577552975),('GB',3577552976,3577552991),('DE',3577552992,3577553007),('GB',3577553008,3577553023),('DE',3577553024,3577553223),('GB',3577553224,3577553407),('DE',3577553408,3577553503),('GB',3577553504,3577553543),('DE',3577553544,3577553551),('GB',3577553552,3577553575),('DE',3577553576,3577553583),('GB',3577553584,3577553607),('DE',3577553608,3577553623),('GB',3577553624,3577553663),('DE',3577553664,3577553983),('GB',3577553984,3577554463),('DE',3577554464,3577554467),('GB',3577554468,3577554483),('DE',3577554484,3577554487),('GB',3577554488,3577554647),('DE',3577554648,3577554659),('GB',3577554660,3577554663),('DE',3577554664,3577554671),('GB',3577554672,3577554687),('DE',3577554688,3577556999),('GB',3577557000,3577557007),('DE',3577557008,3577557071),('GB',3577557072,3577557087),('DE',3577557088,3577557215),('US',3577557216,3577557231),('GB',3577557232,3577557247),('DE',3577557248,3577558783),('GB',3577558784,3577559167),('DE',3577559168,3577559183),('GB',3577559184,3577559199),('DE',3577559200,3577559215),('GB',3577559216,3577559223),('DE',3577559224,3577559231),('GB',3577559232,3577559247),('DE',3577559248,3577559279),('GB',3577559280,3577559303),('DE',3577559304,3577559311),('GB',3577559312,3577559319),('DE',3577559320,3577559327),('GB',3577559328,3577559351),('DE',3577559352,3577559383),('GB',3577559384,3577559391),('DE',3577559392,3577559399),('GB',3577559400,3577559407),('DE',3577559408,3577559415),('GB',3577559416,3577559423),('DE',3577559424,3577559431),('GB',3577559432,3577559447),('DE',3577559448,3577559455),('GB',3577559456,3577559463),('DE',3577559464,3577559471),('GB',3577559472,3577559479),('DE',3577559480,3577559519),('GB',3577559520,3577559527),('DE',3577559528,3577559535),('GB',3577559536,3577559543),('DE',3577559544,3577559559),('GB',3577559560,3577559567),('DE',3577559568,3577559663),('GB',3577559664,3577559671),('DE',3577559672,3577559679),('GB',3577559680,3577559687),('DE',3577559688,3577559815),('GB',3577559816,3577559823),('DE',3577559824,3577559951),('GB',3577559952,3577559959),('DE',3577559960,3577559983),('GB',3577559984,3577559999),('DE',3577560000,3577560063),('GB',3577560064,3577560079),('DE',3577560080,3577560087),('GB',3577560088,3577560103),('DE',3577560104,3577560111),('GB',3577560112,3577560575),('DE',3577560576,3577561087),('GB',3577561088,3577561127),('DE',3577561128,3577561131),('GB',3577561132,3577561235),('DE',3577561236,3577561263),('GB',3577561264,3577561267),('DE',3577561268,3577561271),('GB',3577561272,3577561287),('DE',3577561288,3577561323),('GB',3577561324,3577561327),('DE',3577561328,3577561331),('GB',3577561332,3577561595),('DE',3577561596,3577561639),('GB',3577561640,3577561647),('DE',3577561648,3577561767),('GB',3577561768,3577561775),('DE',3577561776,3577561791),('GB',3577561792,3577561855),('DE',3577561856,3577561887),('GB',3577561888,3577561903),('DE',3577561904,3577562087),('GB',3577562088,3577562103),('DE',3577562104,3577562391),('GB',3577562392,3577562415),('DE',3577562416,3577562439),('GB',3577562440,3577562447),('DE',3577562448,3577562455),('GB',3577562456,3577562463),('DE',3577562464,3577562479),('GB',3577562480,3577562495),('DE',3577562496,3577562511),('GB',3577562512,3577562519),('DE',3577562520,3577562535),('GB',3577562536,3577562551),('DE',3577562552,3577562559),('GB',3577562560,3577562623),('DE',3577562624,3577562935),('GB',3577562936,3577562991),('DE',3577562992,3577562999),('GB',3577563000,3577563007),('DE',3577563008,3577563015),('GB',3577563016,3577563135),('DE',3577563136,3577563295),('GB',3577563296,3577563311),('DE',3577563312,3577563375),('GB',3577563376,3577563383),('DE',3577563384,3577563935),('GB',3577563936,3577563967),('DE',3577563968,3577563983),('GB',3577563984,3577563991),('DE',3577563992,3577564039),('GB',3577564040,3577564043),('DE',3577564044,3577564079),('GB',3577564080,3577564087),('DE',3577564088,3577564303),('GB',3577564304,3577564319),('DE',3577564320,3577564359),('GB',3577564360,3577564383),('DE',3577564384,3577564575),('GB',3577564576,3577564583),('DE',3577564584,3577564591),('GB',3577564592,3577564599),('DE',3577564600,3577564927),('GB',3577564928,3577565227),('DE',3577565228,3577565255),('GB',3577565256,3577565259),('DE',3577565260,3577565271),('GB',3577565272,3577565283),('DE',3577565284,3577565287),('GB',3577565288,3577565695),('DE',3577565696,3577565711),('GB',3577565712,3577565719),('DE',3577565720,3577565743),('GB',3577565744,3577565759),('DE',3577565760,3577565775),('GB',3577565776,3577565791),('DE',3577565792,3577565823),('GB',3577565824,3577565839),('DE',3577565840,3577565847),('GB',3577565848,3577565855),('DE',3577565856,3577565863),('GB',3577565864,3577565879),('DE',3577565880,3577565895),('GB',3577565896,3577565903),('DE',3577565904,3577565911),('GB',3577565912,3577565919),('DE',3577565920,3577565943),('GB',3577565944,3577565967),('DE',3577565968,3577565975),('GB',3577565976,3577565999),('DE',3577566000,3577566007),('GB',3577566008,3577566071),('DE',3577566072,3577566079),('GB',3577566080,3577566103),('DE',3577566104,3577566119),('GB',3577566120,3577566135),('DE',3577566136,3577566143),('GB',3577566144,3577566151),('DE',3577566152,3577566175),('GB',3577566176,3577566183),('DE',3577566184,3577566191),('GB',3577566192,3577566207),('DE',3577566208,3577566219),('GB',3577566220,3577566423),('DE',3577566424,3577566431),('GB',3577566432,3577566463),('DE',3577566464,3577566711),('GB',3577566712,3577566719),('DE',3577566720,3577566943),('GB',3577566944,3577566951),('DE',3577566952,3577567039),('GB',3577567040,3577567047),('DE',3577567048,3577567111),('GB',3577567112,3577567119),('DE',3577567120,3577567127),('GB',3577567128,3577567135),('DE',3577567136,3577567167),('GB',3577567168,3577567199),('DE',3577567200,3577567495),('GB',3577567496,3577567503),('DE',3577567504,3577567615),('GB',3577567616,3577567623),('DE',3577567624,3577567639),('GB',3577567640,3577567647),('DE',3577567648,3577567663),('GB',3577567664,3577567671),('DE',3577567672,3577567679),('GB',3577567680,3577567871),('DE',3577567872,3577568351),('GB',3577568352,3577568359),('DE',3577568360,3577568479),('GB',3577568480,3577568487),('DE',3577568488,3577568495),('GB',3577568496,3577568519),('DE',3577568520,3577568527),('GB',3577568528,3577569279),('DE',3577569280,3577569383),('GB',3577569384,3577569391),('DE',3577569392,3577569499),('GB',3577569500,3577569503),('DE',3577569504,3577569855),('GB',3577569856,3577569871),('DE',3577569872,3577569887),('GB',3577569888,3577569895),('DE',3577569896,3577570367),('GB',3577570368,3577570559),('DE',3577570560,3577570703),('GB',3577570704,3577570707),('DE',3577570708,3577570847),('GB',3577570848,3577570855),('DE',3577570856,3577570911),('GB',3577570912,3577570943),('DE',3577570944,3577571695),('GB',3577571696,3577571703),('DE',3577571704,3577571775),('GB',3577571776,3577571839),('DE',3577571840,3577573051),('GB',3577573052,3577573055),('DE',3577573056,3577573071),('GB',3577573072,3577573079),('DE',3577573080,3577573119),('GB',3577573120,3577573151),('DE',3577573152,3577573175),('GB',3577573176,3577573183),('DE',3577573184,3577573191),('GB',3577573192,3577573199),('DE',3577573200,3577573439),('GB',3577573440,3577574399),('DE',3577574400,3577574479),('GB',3577574480,3577575175),('DE',3577575176,3577575191),('GB',3577575192,3577575431),('DE',3577575432,3577575583),('GB',3577575584,3577575599),('DE',3577575600,3577575655),('GB',3577575656,3577575663),('DE',3577575664,3577576799),('GB',3577576800,3577576815),('DE',3577576816,3577576847),('GB',3577576848,3577576863),('DE',3577576864,3577576911),('GB',3577576912,3577576927),('DE',3577576928,3577577231),('US',3577577232,3577577247),('DE',3577577248,3577577391),('GB',3577577392,3577577407),('DE',3577577408,3577577647),('GB',3577577648,3577577655),('DE',3577577656,3577577783),('GB',3577577784,3577577791),('DE',3577577792,3577577887),('GB',3577577888,3577577895),('DE',3577577896,3577577923),('GB',3577577924,3577577927),('DE',3577577928,3577579887),('GB',3577579888,3577579895),('DE',3577579896,3577580127),('GB',3577580128,3577580135),('DE',3577580136,3577580175),('GB',3577580176,3577580191),('DE',3577580192,3577580343),('GB',3577580344,3577580351),('DE',3577580352,3577580375),('GB',3577580376,3577580383),('DE',3577580384,3577580407),('GB',3577580408,3577580415),('DE',3577580416,3577580483),('GB',3577580484,3577580487),('DE',3577580488,3577580895),('GB',3577580896,3577580911),('DE',3577580912,3577581015),('GB',3577581016,3577581023),('DE',3577581024,3577581903),('GB',3577581904,3577581911),('DE',3577581912,3577581919),('GB',3577581920,3577581927),('DE',3577581928,3577582015),('GB',3577582016,3577582023),('DE',3577582024,3577582111),('GB',3577582112,3577582335),('DE',3577582336,3577582343),('GB',3577582344,3577582351),('DE',3577582352,3577583247),('GB',3577583248,3577583255),('DE',3577583256,3577584143),('GB',3577584144,3577584147),('DE',3577584148,3577584183),('GB',3577584184,3577584191),('DE',3577584192,3577584295),('GB',3577584296,3577584303),('DE',3577584304,3577584351),('GB',3577584352,3577584359),('DE',3577584360,3577584383),('GB',3577584384,3577584407),('DE',3577584408,3577584463),('GB',3577584464,3577584471),('DE',3577584472,3577584591),('GB',3577584592,3577584599),('DE',3577584600,3577584639),('GB',3577584640,3577584895),('DE',3577584896,3577584903),('GB',3577584904,3577584911),('DE',3577584912,3577584927),('GB',3577584928,3577584959),('DE',3577584960,3577584991),('GB',3577584992,3577585023),('DE',3577585024,3577585415),('GB',3577585416,3577585423),('DE',3577585424,3577585439),('GB',3577585440,3577585447),('DE',3577585448,3577585463),('GB',3577585464,3577585487),('DE',3577585488,3577585599),('GB',3577585600,3577585615),('DE',3577585616,3577585631),('GB',3577585632,3577585639),('DE',3577585640,3577585647),('GB',3577585648,3577585663),('DE',3577585664,3577585919),('GB',3577585920,3577586067),('DE',3577586068,3577586071),('GB',3577586072,3577586075),('DE',3577586076,3577586079),('GB',3577586080,3577586083),('DE',3577586084,3577586087),('GB',3577586088,3577586171),('DE',3577586172,3577586175),('GB',3577586176,3577586207),('DE',3577586208,3577586319),('GB',3577586320,3577586327),('DE',3577586328,3577586431),('GB',3577586432,3577586447),('DE',3577586448,3577586495),('GB',3577586496,3577586559),('DE',3577586560,3577586575),('GB',3577586576,3577586583),('DE',3577586584,3577586647),('GB',3577586648,3577586687),('DE',3577586688,3577586711),('GB',3577586712,3577586719),('DE',3577586720,3577586751),('GB',3577586752,3577586783),('DE',3577586784,3577587103),('GB',3577587104,3577587135),('DE',3577587136,3577587239),('GB',3577587240,3577587319),('DE',3577587320,3577587327),('GB',3577587328,3577587455),('DE',3577587456,3577587479),('GB',3577587480,3577587487),('DE',3577587488,3577587503),('GB',3577587504,3577587519),('DE',3577587520,3577587615),('GB',3577587616,3577587623),('DE',3577587624,3577587631),('GB',3577587632,3577587647),('DE',3577587648,3577587775),('GB',3577587776,3577587791),('DE',3577587792,3577587847),('GB',3577587848,3577587863),('DE',3577587864,3577588095),('GB',3577588096,3577588099),('DE',3577588100,3577588103),('GB',3577588104,3577588151),('DE',3577588152,3577588155),('GB',3577588156,3577588223),('DE',3577588224,3577588511),('GB',3577588512,3577588551),('DE',3577588552,3577588559),('GB',3577588560,3577588735),('DE',3577588736,3577588783),('GB',3577588784,3577588799),('DE',3577588800,3577588803),('GB',3577588804,3577588815),('DE',3577588816,3577588863),('GB',3577588864,3577588871),('DE',3577588872,3577589015),('GB',3577589016,3577589023),('DE',3577589024,3577589311),('GB',3577589312,3577589375),('DE',3577589376,3577589455),('GB',3577589456,3577589463),('DE',3577589464,3577589503),('GB',3577589504,3577589515),('DE',3577589516,3577589519),('GB',3577589520,3577589551),('DE',3577589552,3577589555),('GB',3577589556,3577589703),('DE',3577589704,3577589735),('GB',3577589736,3577589759),('DE',3577589760,3577590219),('GB',3577590220,3577590223),('DE',3577590224,3577590399),('GB',3577590400,3577590407),('DE',3577590408,3577590975),('GB',3577590976,3577591039),('DE',3577591040,3577591807),('GB',3577591808,3577591871),('DE',3577591872,3577591887),('GB',3577591888,3577591935),('DE',3577591936,3577591959),('GB',3577591960,3577591963),('DE',3577591964,3577592011),('GB',3577592012,3577592015),('DE',3577592016,3577592543),('GB',3577592544,3577592551),('DE',3577592552,3577592703),('GB',3577592704,3577592743),('IE',3577592744,3577592751),('GB',3577592752,3577592767),('DE',3577592768,3577593103),('GB',3577593104,3577593111),('DE',3577593112,3577593171),('GB',3577593172,3577593175),('DE',3577593176,3577593187),('GB',3577593188,3577593199),('DE',3577593200,3577593215),('GB',3577593216,3577593223),('DE',3577593224,3577593407),('GB',3577593408,3577593415),('DE',3577593416,3577600687),('GB',3577600688,3577600703),('DE',3577600704,3577600795),('GB',3577600796,3577600831),('DE',3577600832,3577600918),('GB',3577600919,3577600919),('DE',3577600920,3577601007),('GB',3577601008,3577601023),('DE',3577601024,3577601319),('GB',3577601320,3577601327),('DE',3577601328,3577601375),('GB',3577601376,3577601383),('DE',3577601384,3577601399),('GB',3577601400,3577601407),('DE',3577601408,3577601447),('GB',3577601448,3577601455),('DE',3577601456,3577601791),('GB',3577601792,3577602063),('DE',3577602064,3577602919),('GB',3577602920,3577602927),('DE',3577602928,3577602959),('GB',3577602960,3577602967),('DE',3577602968,3577603039),('GB',3577603040,3577603055),('DE',3577603056,3577603063),('GB',3577603064,3577603079),('DE',3577603080,3577603103),('GB',3577603104,3577603111),('DE',3577603112,3577603131),('GB',3577603132,3577603135),('DE',3577603136,3577603199),('GB',3577603200,3577603247),('DE',3577603248,3577603263),('GB',3577603264,3577603271),('DE',3577603272,3577603455),('GB',3577603456,3577603471),('DE',3577603472,3577603887),('GB',3577603888,3577603903),('DE',3577603904,3577604031),('GB',3577604032,3577604095),('DE',3577604096,3577606191),('GB',3577606192,3577606199),('DE',3577606200,3577606215),('GB',3577606216,3577606223),('DE',3577606224,3577606279),('GB',3577606280,3577606287),('DE',3577606288,3577606431),('GB',3577606432,3577606447),('DE',3577606448,3577606479),('GB',3577606480,3577606487),('DE',3577606488,3577606655),('GB',3577606656,3577606663),('DE',3577606664,3577606735),('GB',3577606736,3577606783),('DE',3577606784,3577606815),('GB',3577606816,3577606831),('DE',3577606832,3577606847),('GB',3577606848,3577606855),('DE',3577606856,3577606911),('GB',3577606912,3577607007),('DE',3577607008,3577607199),('GB',3577607200,3577607423),('DE',3577607424,3577607559),('GB',3577607560,3577607567),('DE',3577607568,3577607583),('GB',3577607584,3577607615),('DE',3577607616,3577607663),('GB',3577607664,3577607671),('DE',3577607672,3577607711),('GB',3577607712,3577607719),('DE',3577607720,3577607727),('GB',3577607728,3577607735),('DE',3577607736,3577607743),('GB',3577607744,3577607775),('DE',3577607776,3577607807),('GB',3577607808,3577607815),('DE',3577607816,3577607831),('GB',3577607832,3577607839),('DE',3577607840,3577607847),('GB',3577607848,3577607855),('DE',3577607856,3577608191),('GB',3577608192,3577608447),('DE',3577608448,3577608703),('GB',3577608704,3577608959),('DE',3577608960,3577608999),('GB',3577609000,3577609007),('DE',3577609008,3577609023),('GB',3577609024,3577609071),('DE',3577609072,3577609087),('GB',3577609088,3577609215),('DE',3577609216,3577609359),('GB',3577609360,3577610239),('DE',3577610240,3577610367),('GB',3577610368,3577610495),('DE',3577610496,3577610751),('CH',3577610752,3577611199),('EU',3577611200,3577611263),('DE',3577611264,3577612287),('EU',3577612288,3577612319),('DE',3577612320,3577612383),('EU',3577612384,3577612415),('NO',3577612416,3577612543),('HU',3577612544,3577612799),('FI',3577612800,3577613055),('EU',3577613056,3577613311),('DE',3577613312,3577613567),('EU',3577613568,3577613887),('TR',3577613888,3577613951),('EU',3577613952,3577614079),('DE',3577614080,3577614111),('EU',3577614112,3577614143),('DE',3577614144,3577614207),('EU',3577614208,3577618431),('GB',3577618432,3577618447),('NL',3577618448,3577618463),('GB',3577618464,3577618559),('BE',3577618560,3577618623),('EU',3577618624,3577618655),('AT',3577618656,3577618663),('EU',3577618664,3577618687),('GB',3577618688,3577619935),('EU',3577619936,3577619967),('GB',3577619968,3577620575),('EU',3577620576,3577620623),('GB',3577620624,3577620671),('TR',3577620672,3577620735),('EU',3577620736,3577620991),('GB',3577620992,3577621055),('EU',3577621056,3577621119),('GB',3577621120,3577621151),('EU',3577621152,3577621215),('SK',3577621216,3577621223),('EU',3577621224,3577621247),('GB',3577621248,3577622143),('DE',3577622144,3577622271),('GB',3577622272,3577622527),('EU',3577622528,3577622591),('GB',3577622592,3577622927),('EU',3577622928,3577623039),('GB',3577623040,3577623935),('EU',3577623936,3577624063),('GB',3577624064,3577624319),('EU',3577624320,3577624447),('GB',3577624448,3577624879),('EU',3577624880,3577624895),('GB',3577624896,3577625199),('EU',3577625200,3577625207),('GB',3577625208,3577625215),('EU',3577625216,3577625231),('GB',3577625232,3577625599),('EU',3577625600,3577625727),('GB',3577625728,3577625839),('EU',3577625840,3577625847),('GB',3577625848,3577626127),('EU',3577626128,3577626239),('GB',3577626240,3577626367),('EU',3577626368,3577626623),('FR',3577626624,3577627135),('EU',3577627136,3577627391),('GB',3577627392,3577627647),('FR',3577627648,3577627967),('EU',3577627968,3577627999),('FR',3577628000,3577628671),('CH',3577628672,3577630719),('GB',3577630720,3577630975),('EU',3577630976,3577631231),('GB',3577631232,3577631743),('EU',3577631744,3577633791),('CZ',3577633792,3577633951),('EU',3577633952,3577633959),('CZ',3577633960,3577633967),('EU',3577633968,3577634047),('CZ',3577634048,3577634239),('EU',3577634240,3577634815),('FR',3577634816,3577635455),('EU',3577635456,3577635519),('FR',3577635520,3577635839),('DE',3577635840,3577636863),('GB',3577636864,3577638143),('BE',3577638144,3577638399),('GB',3577638400,3577638911),('FR',3577638912,3577638959),('EU',3577638960,3577638967),('FR',3577638968,3577639239),('EU',3577639240,3577639247),('FR',3577639248,3577639743),('EU',3577639744,3577639759),('FR',3577639760,3577639783),('EU',3577639784,3577639791),('FR',3577639792,3577639807),('EU',3577639808,3577639839),('FR',3577639840,3577639871),('EU',3577639872,3577639935),('FR',3577639936,3577641175),('EU',3577641176,3577641183),('FR',3577641184,3577641207),('EU',3577641208,3577641215),('FR',3577641216,3577641279),('EU',3577641280,3577641343),('FR',3577641344,3577641407),('EU',3577641408,3577641415),('FR',3577641416,3577641423),('EU',3577641424,3577641471),('FR',3577641472,3577641983),('GB',3577641984,3577642007),('EU',3577642008,3577642015),('GB',3577642016,3577642047),('EU',3577642048,3577642055),('GB',3577642056,3577642111),('EU',3577642112,3577642175),('GB',3577642176,3577642239),('FR',3577642240,3577642623),('EU',3577642624,3577642751),('FR',3577642752,3577643007),('NL',3577643008,3577643231),('GB',3577643232,3577643247),('NL',3577643248,3577643263),('EU',3577643264,3577645431),('NL',3577645432,3577645447),('EU',3577645448,3577645455),('NL',3577645456,3577645503),('SK',3577645504,3577645567),('EU',3577645568,3577645823),('NL',3577645824,3577645887),('EU',3577645888,3577645903),('NL',3577645904,3577645951),('EU',3577645952,3577646079),('NL',3577646080,3577646207),('NO',3577646208,3577646335),('NL',3577646336,3577646407),('EU',3577646408,3577646415),('NL',3577646416,3577646527),('EU',3577646528,3577646591),('NL',3577646592,3577646847),('EU',3577646848,3577647103),('DK',3577647104,3577647911),('EU',3577647912,3577647935),('DK',3577647936,3577647967),('EU',3577647968,3577647999),('DK',3577648000,3577648127),('EU',3577648128,3577648383),('NL',3577648384,3577649151),('EU',3577649152,3577651199),('GB',3577651200,3577651455),('EU',3577651456,3577652223),('IT',3577652224,3577652671),('EU',3577652672,3577652735),('NO',3577652736,3577652743),('EU',3577652744,3577652751),('NO',3577652752,3577652767),('EU',3577652768,3577652863),('NO',3577652864,3577652943),('EU',3577652944,3577652991),('NO',3577652992,3577653119),('EU',3577653120,3577653247),('IT',3577653248,3577655295),('AT',3577655296,3577655519),('EU',3577655520,3577655551),('AT',3577655552,3577655647),('EU',3577655648,3577655663),('AT',3577655664,3577655679),('EU',3577655680,3577655711),('AT',3577655712,3577655743),('EU',3577655744,3577655807),('AT',3577655808,3577656447),('EU',3577656448,3577657343),('GB',3577657344,3577659391),('GR',3577659392,3577659679),('EU',3577659680,3577659711),('GR',3577659712,3577659743),('EU',3577659744,3577659903),('GB',3577659904,3577660159),('BE',3577660160,3577660607),('EU',3577660608,3577660671),('BE',3577660672,3577661439),('EU',3577661440,3577663487),('SE',3577663488,3577665215),('EU',3577665216,3577665247),('SE',3577665248,3577665311),('EU',3577665312,3577665343),('SE',3577665344,3577665375),('EU',3577665376,3577665407),('SE',3577665408,3577665455),('EU',3577665456,3577665535),('ES',3577665536,3577665591),('EU',3577665592,3577665599),('ES',3577665600,3577665607),('EU',3577665608,3577665615),('ES',3577665616,3577665679),('EU',3577665680,3577665791),('BE',3577665792,3577665823),('RO',3577665824,3577665855),('LU',3577665856,3577665919),('EU',3577665920,3577666047),('ES',3577666048,3577666175),('EU',3577666176,3577667583),('PL',3577667584,3577667743),('EU',3577667744,3577668639),('IE',3577668640,3577668671),('EU',3577668672,3577668735),('IE',3577668736,3577668799),('EU',3577668800,3577669119),('HU',3577669120,3577669383),('EU',3577669384,3577669503),('HU',3577669504,3577669631),('BE',3577669632,3577671679),('ZA',3577671680,3577672191),('DE',3577672192,3577673727),('EU',3577673728,3577675775),('PT',3577675776,3577741311),('SE',3577741312,3578003455),('DE',3578003456,3578049023),('CH',3578049024,3578049055),('DE',3578049056,3578235279),('NL',3578235280,3578235295),('DE',3578235296,3578265599),('GB',3578265600,3578331135),('PL',3578331136,3578339327),('ES',3578339328,3578347519),('DE',3578347520,3578363903),('NL',3578363904,3578396671),('TR',3578396672,3578462207),('NL',3578462208,3578527743),('PL',3578527744,3578658815),('GB',3578658816,3578724351),('RU',3578724352,3578732543),('IE',3578732544,3578740735),('RU',3578740736,3578757119),('SE',3578757120,3578822655),('RU',3578822656,3578855423),('GB',3578855424,3578888191),('SK',3578888192,3578920959),('IT',3578920960,3578986495),('DE',3578986496,3578996999),('CH',3578997000,3578997007),('DE',3578997008,3578998575),('GB',3578998576,3578998583),('DE',3578998584,3579002879),('GB',3579002880,3579019263),('DK',3579019264,3579052031),('NL',3579052032,3579117567),('RU',3579117568,3579132159),('BY',3579132160,3579132415),('RU',3579132416,3579183103),('GB',3579183104,3579191759),('DE',3579191760,3579191775),('GB',3579191776,3579193599),('NL',3579193600,3579193695),('GB',3579193696,3579193711),('BE',3579193712,3579193727),('GB',3579193728,3579193743),('NL',3579193744,3579193855),('GB',3579193856,3579197055),('US',3579197056,3579197183),('GB',3579197184,3579197871),('US',3579197872,3579197887),('IT',3579197888,3579197903),('GB',3579197904,3579228159),('US',3579228160,3579228415),('GB',3579228416,3579228671),('US',3579228672,3579228799),('GB',3579228800,3579241151),('IE',3579241152,3579241215),('GB',3579241216,3579242751),('US',3579242752,3579243007),('GB',3579243008,3579248639),('RU',3579248640,3579314175),('IT',3579314176,3579346943),('SE',3579346944,3579361535),('NO',3579361536,3579361791),('SE',3579361792,3579362047),('NO',3579362048,3579362063),('SE',3579362064,3579362303),('NO',3579362304,3579362559),('SE',3579362560,3579362815),('NO',3579362816,3579363327),('SE',3579363328,3579445247),('AT',3579445248,3579463679),('US',3579463680,3579463683),('AT',3579463684,3579478015),('FR',3579478016,3579480847),('NL',3579480848,3579480855),('FR',3579480856,3579480863),('NL',3579480864,3579480871),('FR',3579480872,3579481095),('CH',3579481096,3579481103),('FR',3579481104,3579481119),('GB',3579481120,3579481127),('FR',3579481128,3579481143),('CH',3579481144,3579481151),('FR',3579481152,3579481159),('GB',3579481160,3579481167),('FR',3579481168,3579481191),('CH',3579481192,3579481199),('FR',3579481200,3579481247),('GB',3579481248,3579481255),('CH',3579481256,3579481263),('FR',3579481264,3579481279),('GB',3579481280,3579481287),('FR',3579481288,3579482623),('NL',3579482624,3579482783),('FR',3579482784,3579482799),('NL',3579482800,3579482927),('FR',3579482928,3579482943),('NL',3579482944,3579482991),('FR',3579482992,3579483151),('NL',3579483152,3579483263),('FR',3579483264,3579483295),('NL',3579483296,3579483311),('FR',3579483312,3579483359),('NL',3579483360,3579483375),('FR',3579483376,3579484751),('BE',3579484752,3579484767),('FR',3579484768,3579485263),('BE',3579485264,3579485279),('FR',3579485280,3579485695),('GB',3579485696,3579485711),('FR',3579485712,3579485714),('GB',3579485715,3579485727),('FR',3579485728,3579485807),('GB',3579485808,3579485823),('FR',3579485824,3579485887),('GB',3579485888,3579485888),('FR',3579485889,3579485903),('DE',3579485904,3579485919),('FR',3579485920,3579485983),('CH',3579485984,3579485999),('FR',3579486000,3579486015),('GB',3579486016,3579486031),('DE',3579486032,3579486047),('GB',3579486048,3579486095),('FR',3579486096,3579486143),('GB',3579486144,3579486175),('FR',3579486176,3579486191),('GB',3579486192,3579486207),('FR',3579486208,3579486271),('GB',3579486272,3579486287),('FR',3579486288,3579486303),('GB',3579486304,3579486319),('FR',3579486320,3579486335),('GB',3579486336,3579486351),('FR',3579486352,3579486367),('IT',3579486368,3579486383),('DE',3579486384,3579486399),('FR',3579486400,3579486415),('DE',3579486416,3579486431),('GB',3579486432,3579486447),('FR',3579486448,3579486735),('DE',3579486736,3579486751),('FR',3579486752,3579486831),('BE',3579486832,3579486847),('FR',3579486848,3579486863),('GB',3579486864,3579486879),('FR',3579486880,3579487007),('GB',3579487008,3579487039),('DE',3579487040,3579487055),('FR',3579487056,3579487103),('GB',3579487104,3579487119),('FR',3579487120,3579487215),('GB',3579487216,3579487231),('FR',3579487232,3579487247),('GB',3579487248,3579487263),('FR',3579487264,3579487471),('ES',3579487472,3579487487),('FR',3579487488,3579487519),('IT',3579487520,3579487531),('FR',3579487532,3579487535),('GB',3579487536,3579487551),('FR',3579487552,3579487567),('GB',3579487568,3579487583),('FR',3579487584,3579487599),('IT',3579487600,3579487615),('FR',3579487616,3579487663),('DE',3579487664,3579487711),('SE',3579487712,3579487727),('GB',3579487728,3579487743),('FR',3579487744,3579487807),('GB',3579487808,3579487823),('FR',3579487824,3579487855),('GB',3579487856,3579487871),('IE',3579487872,3579487887),('DE',3579487888,3579487903),('FR',3579487904,3579487951),('GB',3579487952,3579487967),('IT',3579487968,3579487983),('GB',3579487984,3579487999),('FR',3579488000,3579488047),('GB',3579488048,3579488079),('FR',3579488080,3579490559),('PT',3579490560,3579490655),('FR',3579490656,3579490671),('PT',3579490672,3579490719),('NL',3579490720,3579490735),('FR',3579490736,3579490751),('PT',3579490752,3579490799),('FR',3579490800,3579490831),('PT',3579490832,3579490943),('FR',3579490944,3579490959),('PT',3579490960,3579490975),('FR',3579490976,3579491007),('PT',3579491008,3579491023),('FR',3579491024,3579491231),('PT',3579491232,3579491247),('NL',3579491248,3579491263),('FR',3579491264,3579491471),('PT',3579491472,3579491487),('FR',3579491488,3579497983),('NL',3579497984,3579497991),('FR',3579497992,3579527167),('BA',3579527168,3579543551),('BG',3579543552,3579552767),('A2',3579552768,3579553023),('BG',3579553024,3579553535),('A2',3579553536,3579553791),('BG',3579553792,3579576319),('IT',3579576320,3579579263),('US',3579579264,3579579295),('IT',3579579296,3579595967),('A2',3579595968,3579595983),('IT',3579595984,3579596927),('GR',3579596928,3579597055),('IT',3579597056,3579600191),('US',3579600192,3579600207),('IT',3579600208,3579601471),('US',3579601472,3579601487),('IT',3579601488,3579605487),('DE',3579605488,3579605503),('IT',3579605504,3579607551),('US',3579607552,3579607807),('IT',3579607808,3579609087),('PL',3579609088,3579641855),('NL',3579641856,3579707391),('ES',3579707392,3579723775),('AT',3579723776,3579740159),('IE',3579740160,3579772927),('DE',3579772928,3579838463),('ES',3579838464,3580100607),('SE',3580100608,3580203519),('RU',3580203520,3580204543),('SE',3580204544,3580213247),('CH',3580213248,3580214271),('LV',3580214272,3580214783),('SE',3580214784,3580216831),('PT',3580216832,3580217087),('SE',3580217088,3580222463),('FR',3580222464,3580222719),('SE',3580222720,3580223487),('DE',3580223488,3580231679),('LV',3580231680,3580231935),('LT',3580231936,3580232191),('LV',3580232192,3580233215),('LT',3580233216,3580233727),('SE',3580233728,3580235263),('LT',3580235264,3580235775),('SE',3580235776,3580236799),('LV',3580236800,3580237567),('LT',3580237568,3580237823),('SE',3580237824,3580239359),('LV',3580239360,3580239871),('SE',3580239872,3580241919),('CH',3580241920,3580243967),('NL',3580243968,3580248063),('ES',3580248064,3580250111),('SE',3580250112,3580252671),('EE',3580252672,3580254207),('DE',3580254208,3580260351),('AT',3580260352,3580265727),('SE',3580265728,3580266495),('PL',3580266496,3580272639),('SE',3580272640,3580329983),('CH',3580329984,3580338175),('SE',3580338176,3580362751),('GB',3580362752,3580473375),('IE',3580473376,3580473391),('GB',3580473392,3580473503),('IE',3580473504,3580473511),('GB',3580473512,3580473519),('IE',3580473520,3580473527),('GB',3580473528,3580473695),('IE',3580473696,3580473727),('GB',3580473728,3580473759),('IE',3580473760,3580473887),('GB',3580473888,3580473951),('IE',3580473952,3580473959),('GB',3580473960,3580473967),('IE',3580473968,3580473983),('GB',3580473984,3580473999),('IE',3580474000,3580474007),('GB',3580474008,3580474095),('IE',3580474096,3580474111),('GB',3580474112,3580474495),('IE',3580474496,3580474559),('GB',3580474560,3580474639),('IE',3580474640,3580474647),('GB',3580474648,3580474655),('IE',3580474656,3580474671),('GB',3580474672,3580474687),('IE',3580474688,3580474703),('GB',3580474704,3580474719),('IE',3580474720,3580474735),('GB',3580474736,3580474807),('IE',3580474808,3580474879),('GB',3580474880,3580475055),('IE',3580475056,3580475063),('GB',3580475064,3580475123),('IE',3580475124,3580475127),('GB',3580475128,3580475343),('IE',3580475344,3580475351),('GB',3580475352,3580887039),('SE',3580887040,3581149183),('EU',3581149184,3581150367),('IE',3581150368,3581150463),('EU',3581150464,3581150591),('NL',3581150592,3581150719),('SE',3581150720,3581150783),('EU',3581150784,3581150975),('SE',3581150976,3581151039),('EU',3581151040,3581151231),('SE',3581151232,3581151295),('EU',3581151296,3581154047),('NL',3581154048,3581154303),('EU',3581154304,3581157119),('AT',3581157120,3581158655),('EU',3581158656,3581159167),('AT',3581159168,3581159295),('EU',3581159296,3581159423),('IE',3581159424,3581161471),('EU',3581161472,3581173759),('NL',3581173760,3581196799),('EU',3581196800,3581197311),('IE',3581197312,3581197567),('EU',3581197568,3581197823),('NL',3581197824,3581200127),('EU',3581200128,3581203967),('SE',3581203968,3581214719),('NL',3581214720,3581231103),('EU',3581231104,3581239295),('NL',3581239296,3581241343),('EU',3581241344,3581255679),('FR',3581255680,3581259263),('EU',3581259264,3581261311),('FR',3581261312,3581261439),('EU',3581261440,3581279103),('NL',3581279104,3581279199),('EU',3581279200,3581280255),('BE',3581280256,3581411327),('GB',3581411328,3581673471),('NL',3581673472,3581935615),('RU',3581935616,3581943807),('FR',3581943808,3581951999),('DE',3581952000,3581976575),('RU',3581984768,3581992959),('GB',3581992960,3582001151),('DK',3582001152,3582009343),('RU',3582009344,3582017535),('GB',3582017536,3582025727),('RU',3582025728,3582033919),('ES',3582042112,3582050303),('NL',3582050304,3582058495),('AT',3582058496,3582066687),('UA',3582066688,3582074879),('GB',3582074880,3582078631),('DE',3582078632,3582078639),('GB',3582078640,3582083071),('BG',3582083072,3582091263),('QA',3582091264,3582099455),('GB',3582099456,3582107647),('NL',3582107648,3582115839),('FI',3582115840,3582132223),('RU',3582132224,3582140415),('GE',3582140416,3582148607),('EG',3582148608,3582156799),('GB',3582156800,3582164991),('SE',3582164992,3582173183),('GB',3582173184,3582181375),('DE',3582181376,3582190847),('CH',3582190848,3582190879),('DE',3582190880,3582190927),('FR',3582190928,3582190931),('DE',3582190932,3582191023),('BE',3582191024,3582191031),('DE',3582191032,3582192287),('CH',3582192288,3582192303),('DE',3582192304,3582194863),('CH',3582194864,3582194879),('DE',3582194880,3582195135),('CH',3582195136,3582195143),('DE',3582195144,3582195175),('BE',3582195176,3582195183),('DE',3582195184,3582196183),('BE',3582196184,3582196191),('DE',3582196192,3582197759),('DK',3582197760,3582205951),('AE',3582205952,3582214143),('RU',3582214144,3582222335),('SE',3582222336,3582222511),('DK',3582222512,3582222527),('SE',3582222528,3582222863),('NO',3582222864,3582222879),('SE',3582222880,3582230527),('BE',3582230528,3582238719),('NL',3582238720,3582255103),('KW',3582255104,3582263295),('ME',3582263296,3582271487),('NL',3582271488,3582279679),('GB',3582279680,3582287871),('DE',3582287872,3582296063),('GB',3582296064,3582304255),('UA',3582304256,3582312447),('GB',3582312448,3582320639),('CH',3582320640,3582328831),('HU',3582328832,3582337023),('ES',3582337024,3582341119),('PT',3582341120,3582343167),('ES',3582343168,3582345215),('IT',3582345216,3582353407),('SE',3582353408,3582361599),('PL',3582361600,3582377983),('RU',3582377984,3582386175),('NL',3582386176,3582394367),('DE',3582394368,3582402559),('PL',3582402560,3582410751),('RU',3582410752,3582435327),('MK',3582435328,3582443519),('DE',3582443520,3582451711),('LU',3582451712,3582459903),('NL',3582459904,3582468095),('SE',3582468096,3582476287),('DE',3582476288,3582484479),('CI',3582484480,3582492671),('IT',3582492672,3582509055),('SA',3582509056,3582517247),('PL',3582517248,3582525439),('GB',3582525440,3582533631),('BG',3582533632,3582538183),('GB',3582538184,3582538191),('BG',3582538192,3582541823),('US',3582541824,3582550015),('RS',3582550016,3582558207),('MC',3582558208,3582566399),('EU',3582566400,3582566431),('BE',3582566432,3582566479),('SA',3582566480,3582566495),('EU',3582566496,3582566527),('BE',3582566528,3582566591),('EU',3582566592,3582566735),('BE',3582566736,3582566743),('EU',3582566744,3582566751),('BE',3582566752,3582566767),('EU',3582566768,3582566783),('BE',3582566784,3582566847),('EU',3582566848,3582566863),('BE',3582566864,3582566879),('EU',3582566880,3582566911),('BE',3582566912,3582567019),('EU',3582567020,3582567023),('BE',3582567024,3582567039),('EU',3582567040,3582567135),('BE',3582567136,3582567151),('EU',3582567152,3582567231),('BE',3582567232,3582567295),('EU',3582567296,3582567391),('BE',3582567392,3582567399),('EU',3582567400,3582567423),('US',3582567424,3582567807),('EU',3582567808,3582567903),('US',3582567904,3582567935),('GB',3582567936,3582568191),('SE',3582568192,3582568199),('EU',3582568200,3582568207),('SE',3582568208,3582568223),('EU',3582568224,3582568247),('SE',3582568248,3582568263),('EU',3582568264,3582568335),('SE',3582568336,3582568339),('EU',3582568340,3582568343),('SE',3582568344,3582568351),('EU',3582568352,3582568439),('SE',3582568440,3582568447),('US',3582568448,3582568703),('EU',3582568704,3582568831),('US',3582568832,3582568959),('HU',3582568960,3582568967),('EU',3582568968,3582568975),('AT',3582568976,3582568983),('EU',3582568984,3582568991),('CZ',3582568992,3582569023),('EU',3582569024,3582569031),('AT',3582569032,3582569035),('DE',3582569036,3582569039),('EU',3582569040,3582569079),('HU',3582569080,3582569087),('EU',3582569088,3582569095),('HU',3582569096,3582569103),('EU',3582569104,3582569151),('HU',3582569152,3582569167),('EU',3582569168,3582569207),('AT',3582569208,3582569239),('EU',3582569240,3582569279),('AT',3582569280,3582569303),('EU',3582569304,3582569983),('GB',3582569984,3582570239),('DE',3582570240,3582570367),('FR',3582570368,3582570431),('EU',3582570432,3582570463),('FR',3582570464,3582570479),('EU',3582570480,3582570751),('FR',3582570752,3582570831),('EU',3582570832,3582570847),('FR',3582570848,3582570863),('EU',3582570864,3582570879),('FR',3582570880,3582570895),('EU',3582570896,3582570903),('FR',3582570904,3582570943),('EU',3582570944,3582570983),('FR',3582570984,3582570991),('EU',3582570992,3582571007),('FR',3582571008,3582571039),('EU',3582571040,3582571047),('FR',3582571048,3582571055),('EU',3582571056,3582571263),('FR',3582571264,3582571295),('EU',3582571296,3582571303),('CH',3582571304,3582571307),('FR',3582571308,3582571311),('EU',3582571312,3582571327),('FR',3582571328,3582571343),('EU',3582571344,3582571375),('FR',3582571376,3582571391),('EU',3582571392,3582571407),('FR',3582571408,3582571487),('EU',3582571488,3582571647),('IE',3582571648,3582571671),('GB',3582571672,3582571679),('IE',3582571680,3582571707),('EU',3582571708,3582571719),('IE',3582571720,3582571839),('EU',3582571840,3582571855),('IE',3582571856,3582571871),('EU',3582571872,3582571895),('IE',3582571896,3582571903),('EU',3582571904,3582571975),('IE',3582571976,3582571991),('EU',3582571992,3582571999),('IE',3582572000,3582572015),('EU',3582572016,3582572023),('IE',3582572024,3582572031),('CH',3582572032,3582572463),('EU',3582572464,3582572479),('CH',3582572480,3582572543),('DE',3582572544,3582572551),('EU',3582572552,3582572559),('DE',3582572560,3582572567),('EU',3582572568,3582572623),('DE',3582572624,3582572631),('EU',3582572632,3582572799),('DE',3582572800,3582572863),('EU',3582572864,3582572943),('DE',3582572944,3582572951),('EU',3582572952,3582572975),('DE',3582572976,3582572983),('EU',3582572984,3582573023),('DE',3582573024,3582573055),('EU',3582573056,3582573087),('DE',3582573088,3582573095),('EU',3582573096,3582573103),('DE',3582573104,3582573135),('EU',3582573136,3582573183),('DE',3582573184,3582573215),('EU',3582573216,3582573407),('DE',3582573408,3582573519),('EU',3582573520,3582573551),('DE',3582573552,3582573567),('EU',3582573568,3582573607),('CH',3582573608,3582573703),('EU',3582573704,3582573727),('CH',3582573728,3582573759),('EU',3582573760,3582573823),('CH',3582573824,3582573855),('EU',3582573856,3582573887),('CH',3582573888,3582573903),('EU',3582573904,3582573911),('CH',3582573912,3582573951),('LI',3582573952,3582574079),('EU',3582574080,3582574431),('CH',3582574432,3582574435),('EU',3582574436,3582574455),('CH',3582574456,3582574479),('EU',3582574480,3582574591),('DE',3582574592,3582582783),('RU',3582582784,3582590975),('FR',3582590976,3582599167),('DE',3582599168,3582607359),('RU',3582607360,3582615551),('A2',3582615552,3582619647),('CY',3582619648,3582619903),('A2',3582619904,3582620927),('CY',3582620928,3582621183),('A2',3582621184,3582622591),('LB',3582622592,3582622719),('A2',3582622720,3582623743),('FI',3582623744,3582631935),('RU',3582640128,3582648319),('PT',3582648320,3582656511),('ES',3582656512,3582664047),('FR',3582664048,3582664055),('ES',3582664056,3582664703),('JO',3582664704,3582672895),('DE',3582672896,3582681087),('FR',3582681088,3582689279),('DE',3582689280,3582697471),('FI',3582697472,3582705663),('TR',3582705664,3582722047),('IT',3582722048,3582730239),('ES',3582730240,3582735871),('GB',3582735872,3582736127),('ES',3582736128,3582736383),('DZ',3582736384,3582737407),('MA',3582737408,3582737919),('NG',3582737920,3582738431),('IT',3582738432,3582746623),('RU',3582746624,3582754815),('GR',3582754816,3582763007),('FI',3582763008,3582771199),('IT',3582771200,3582779391),('RU',3582779392,3582787583),('PT',3582787584,3582795775),('ES',3582795776,3582803967),('SE',3582803968,3582812159),('FI',3582812160,3582820351),('RU',3582820352,3582828543),('KZ',3582828544,3582836735),('RU',3582836736,3582853119),('SE',3582853120,3582861311),('NO',3582869504,3582877695),('AT',3582877696,3582885887),('GR',3582885888,3582894079),('CH',3582894080,3582902271),('RU',3582902272,3582910463),('SI',3582910464,3582918655),('GB',3582918656,3582926847),('ES',3582926848,3582935039),('SI',3582935040,3582943231),('AT',3582943232,3582951423),('GB',3582951424,3582959615),('FI',3582959616,3582967807),('DE',3582967808,3582975999),('TR',3582976000,3582984191),('DE',3582984192,3582992383),('ES',3582992384,3583000575),('IT',3583000576,3583008767),('TR',3583008768,3583016959),('CH',3583016960,3583017847),('US',3583017848,3583017855),('CH',3583017856,3583019367),('DE',3583019368,3583019375),('CH',3583019376,3583023215),('DE',3583023216,3583023223),('CH',3583023224,3583025151),('IT',3583025152,3583028991),('US',3583028992,3583029247),('SG',3583029248,3583029375),('FR',3583029376,3583029503),('IT',3583029504,3583029759),('GR',3583029760,3583030015),('IT',3583030016,3583030783),('GR',3583030784,3583031039),('FR',3583031040,3583031295),('GR',3583031296,3583031551),('GB',3583031552,3583031807),('GR',3583031808,3583031839),('IT',3583031840,3583031855),('GR',3583031856,3583031887),('GB',3583031888,3583031935),('IT',3583031936,3583032095),('GR',3583032096,3583032127),('IT',3583032128,3583032159),('FR',3583032160,3583032191),('IT',3583032192,3583032319),('NL',3583032320,3583032831),('GR',3583032832,3583033087),('IT',3583033088,3583033343),('FR',3583033344,3583041535),('NL',3583041536,3583049727),('IT',3583049728,3583057919),('RU',3583057920,3583066111),('DE',3583066112,3583074303),('BG',3583074304,3583082495),('KG',3583082496,3583090687),('NO',3583090688,3583098879),('FI',3583098880,3583107071),('AT',3583107072,3583115263),('CH',3583115264,3583123455),('PL',3583123456,3583131647),('SE',3583131648,3583139839),('DE',3583139840,3583141727),('AT',3583141728,3583141735),('DE',3583141736,3583148031),('GB',3583148032,3583157247),('DE',3583157248,3583159039),('GB',3583159040,3583159295),('DE',3583159296,3583159327),('GB',3583159328,3583159359),('DE',3583159360,3583159375),('GB',3583159376,3583159551),('DE',3583159552,3583159615),('GB',3583159616,3583160063),('DE',3583160064,3583161343),('GB',3583161344,3583161599),('DE',3583161600,3583162111),('GB',3583162112,3583162367),('DE',3583162368,3583162623),('GB',3583162624,3583164415),('PT',3583164416,3583172607),('DE',3583172608,3583188991),('RU',3583188992,3583197183),('KE',3583197184,3583205375),('HR',3583205376,3583213567),('RU',3583213568,3583221759),('AT',3583221760,3583229951),('RU',3583229952,3583238143),('GB',3583238144,3583246335),('RU',3583246336,3583254527),('GB',3583254528,3583262719),('TR',3583262720,3583270911),('NL',3583270912,3583279103),('DE',3583279104,3583287295),('RU',3583287296,3583295487),('ES',3583295488,3583303679),('NL',3583303680,3583311871),('RU',3583311872,3583320063),('HR',3583320064,3583328255),('DE',3583328256,3583336447),('RS',3583336448,3583337471),('ME',3583337472,3583337487),('RS',3583337488,3583337727),('AL',3583337728,3583337983),('RS',3583337984,3583337999),('ME',3583338000,3583338015),('RS',3583338016,3583338023),('ME',3583338024,3583338031),('RS',3583338032,3583338175),('ME',3583338176,3583338239),('RS',3583338240,3583338255),('ME',3583338256,3583338495),('RS',3583338496,3583338751),('ME',3583338752,3583339007),('RS',3583339008,3583339519),('AL',3583339520,3583340287),('RS',3583340288,3583340303),('ME',3583340304,3583340543),('RS',3583340544,3583340831),('ME',3583340832,3583340863),('RS',3583340864,3583340927),('ME',3583340928,3583341039),('AL',3583341040,3583341311),('ME',3583341312,3583341567),('RS',3583341568,3583341583),('ME',3583341584,3583341727),('RS',3583341728,3583341759),('ME',3583341760,3583342335),('RS',3583342336,3583342607),('ME',3583342608,3583342847),('RS',3583342848,3583342863),('ME',3583342864,3583343231),('RS',3583343232,3583343359),('ME',3583343360,3583343871),('RS',3583343872,3583343999),('ME',3583344000,3583344639),('BG',3583344640,3583352831),('CY',3583352832,3583361023),('IT',3583361024,3583369215),('ES',3583369216,3583377407),('AT',3583377408,3583385599),('DK',3583385600,3583393791),('RU',3583393792,3583401983),('KE',3583401984,3583410175),('SE',3583410176,3583418367),('TN',3583418368,3583426559),('CI',3583426560,3583434751),('AT',3583434752,3583442943),('UA',3583442944,3583451135),('IL',3583451136,3583459327),('CZ',3583459328,3583463891),('PL',3583463892,3583463895),('CZ',3583463896,3583467519),('ES',3583467520,3583475711),('NO',3583475712,3583483903),('FR',3583483904,3583492095),('SK',3583492096,3583508479),('GB',3583516672,3583524863),('EG',3583524864,3583533055),('RU',3583541248,3583549439),('IT',3583549440,3583558399),('SM',3583558400,3583558527),('IT',3583558528,3583565823),('GB',3583565824,3583574015),('NO',3583574016,3583582207),('AT',3583582208,3583590399),('DE',3583590400,3583598591),('SE',3583598592,3583606783),('TR',3583606784,3583639551),('GB',3583639552,3583647743),('EG',3583647744,3583655935),('SN',3583655936,3583664127),('RO',3583664128,3583680511),('RU',3583680512,3583688703),('UA',3583688704,3583696895),('NL',3583696896,3583705087),('UA',3583705088,3583705095),('NA',3583705096,3583705103),('UA',3583705104,3583705119),('NA',3583705120,3583705127),('UA',3583705128,3583705183),('NA',3583705184,3583705223),('UA',3583705224,3583705239),('NA',3583705240,3583705255),('UA',3583705256,3583705303),('NA',3583705304,3583705319),('UA',3583705320,3583705603),('NA',3583705604,3583705608),('UA',3583705609,3583705663),('NA',3583705664,3583705791),('UA',3583705792,3583705887),('NA',3583705888,3583705895),('UA',3583705896,3583705903),('NA',3583705904,3583705911),('UA',3583705912,3583705927),('NA',3583705928,3583705935),('UA',3583705936,3583706175),('NA',3583706176,3583706183),('UA',3583706184,3583706215),('NA',3583706216,3583706223),('UA',3583706224,3583706263),('NA',3583706264,3583706271),('UA',3583706272,3583706371),('NA',3583706372,3583706383),('UA',3583706384,3583706463),('NA',3583706464,3583706471),('UA',3583706472,3583706495),('NA',3583706496,3583706503),('UA',3583706504,3583713279),('CZ',3583713280,3583721471),('DE',3583721472,3583729663),('TR',3583729664,3583737855),('EU',3583737856,3583740671),('GB',3583740672,3583741183),('EU',3583741184,3583741439),('GB',3583741440,3583741695),('EU',3583741696,3583743975),('GB',3583743976,3583743983),('EU',3583743984,3583744067),('GB',3583744068,3583744071),('EU',3583744072,3583744127),('GB',3583744128,3583744303),('EU',3583744304,3583744511),('GB',3583744512,3583744767),('EU',3583744768,3583744831),('GB',3583744832,3583744847),('EU',3583744848,3583744959),('GB',3583744960,3583744991),('EU',3583744992,3583745015),('GB',3583745016,3583745023),('EU',3583745024,3583745279),('GB',3583745280,3583745535),('SE',3583745536,3583745663),('EU',3583745664,3583745807),('GB',3583745808,3583745823),('EU',3583745824,3583746047),('PL',3583746048,3583754239),('IT',3583754240,3583762431),('CZ',3583762432,3583770623),('NL',3583770624,3583772351),('IT',3583772352,3583772367),('NL',3583772368,3583778815),('IT',3583778816,3583787007),('UA',3583787008,3583795199),('PL',3583795200,3583803391),('RU',3583803392,3583806719),('BY',3583806720,3583806975),('RU',3583806976,3583811583),('GB',3583811584,3583811839),('DE',3583811840,3583819775),('RU',3583819776,3583827967),('CH',3583827968,3583836159),('DE',3583836160,3583844351),('KZ',3583844352,3583852543),('US',3583852544,3583853055),('FI',3583853056,3583854591),('GB',3583854592,3583854995),('FI',3583854996,3583855007),('GB',3583855008,3583855041),('FI',3583855042,3583855047),('GB',3583855048,3583855103),('US',3583855104,3583855167),('FI',3583855168,3583855175),('US',3583855176,3583855183),('FI',3583855184,3583855191),('US',3583855192,3583855199),('FI',3583855200,3583855207),('US',3583855208,3583855231),('FI',3583855232,3583855311),('US',3583855312,3583855327),('FI',3583855328,3583856383),('SN',3583856384,3583856415),('FI',3583856416,3583856615),('SN',3583856616,3583856639),('FI',3583856640,3583860735),('HU',3583860736,3583868927),('AT',3583868928,3583877119),('HU',3583877120,3583878143),('RO',3583878144,3583882239),('HU',3583882240,3583882751),('RO',3583882752,3583885311),('GE',3583885312,3583893503),('SI',3583893504,3583901695),('RU',3583901696,3583909887),('SE',3583909888,3583918079),('IT',3583918080,3583926271),('DE',3583926272,3583934463),('CH',3583934464,3583942655),('EG',3583942656,3583950847),('PL',3583950848,3583959039),('NO',3583959040,3583967231),('NL',3583967232,3583975423),('RU',3583983616,3583999999),('IE',3584000000,3584008191),('SE',3584008192,3584016383),('RU',3584016384,3584024575),('UA',3584024576,3584032767),('DE',3584032768,3584040959),('CH',3584040960,3584048191),('A2',3584048192,3584048199),('CH',3584048200,3584049151),('DE',3584049152,3584055911),('TR',3584055912,3584055919),('DE',3584055920,3584057343),('GB',3584057344,3584065535),('UA',3584065536,3584073727),('SK',3584073728,3584081919),('AT',3584081920,3584081951),('NL',3584081952,3584081959),('AT',3584081960,3584082279),('NL',3584082280,3584082287),('AT',3584082288,3584082943),('NL',3584082944,3584089087),('AT',3584089088,3584089855),('NL',3584089856,3584089871),('AT',3584089872,3584089903),('NL',3584089904,3584089919),('AT',3584089920,3584090111),('NO',3584090112,3584090623),('NL',3584090624,3584090879),('NO',3584090880,3584090887),('NL',3584090888,3584090895),('NO',3584090896,3584090943),('NL',3584090944,3584090959),('NO',3584090960,3584093783),('NL',3584093784,3584093791),('NO',3584093792,3584094893),('NL',3584094894,3584094895),('NO',3584094896,3584095935),('NL',3584095936,3584095999),('NO',3584096000,3584096255),('NL',3584096256,3584098303),('SI',3584098304,3584106495),('FI',3584106496,3584114687),('GB',3584114688,3584122879),('PL',3584122880,3584131071),('TR',3584131072,3584139263),('NO',3584139264,3584147455),('FR',3584147456,3584155647),('NO',3584155648,3584163839),('CH',3584163840,3584172031),('FR',3584172032,3584180223),('AT',3584180224,3584188415),('GB',3584188416,3584196607),('NL',3584204800,3584212991),('ES',3584212992,3584221183),('NO',3584221184,3584229375),('HU',3584229376,3584245759),('RS',3584253952,3584262143),('SE',3584262144,3584270335),('FR',3584270336,3584278527),('GB',3584278528,3584286719),('AT',3584286720,3584303103),('ES',3584303104,3584311295),('DE',3584311296,3584319487),('LT',3584319488,3584327679),('DE',3584327680,3584335871),('ES',3584335872,3584344063),('SE',3584344064,3584352255),('RO',3584352256,3584360447),('GB',3584360448,3584368639),('SA',3584368640,3584376831),('DE',3584376832,3584385023),('IR',3584385024,3584393215),('GB',3584393216,3584401407),('MT',3584401408,3584409599),('RU',3584409600,3584412159),('AM',3584412160,3584412415),('RU',3584412416,3584413439),('DE',3584413440,3584413695),('GB',3584413696,3584414207),('RU',3584414208,3584414719),('DE',3584414720,3584414975),('RU',3584414976,3584416255),('GB',3584416256,3584416767),('RU',3584416768,3584417791),('GB',3584417792,3584434175),('LU',3584434176,3584442367),('GB',3584442368,3584450559),('EU',3584450560,3584458751),('SA',3584458752,3584466943),('NG',3584466944,3584475135),('FR',3584475136,3584483327),('DE',3584483328,3584491519),('BG',3584491520,3584499711),('RU',3584499712,3584507903),('GB',3584507904,3584508927),('CY',3584508928,3584508943),('KY',3584508944,3584508951),('GB',3584508952,3584509031),('NL',3584509032,3584509039),('GB',3584509040,3584509359),('KY',3584509360,3584509367),('GB',3584509368,3584510623),('NL',3584510624,3584510655),('GB',3584510656,3584510999),('KY',3584511000,3584511007),('GB',3584511008,3584511023),('KY',3584511024,3584511039),('GB',3584511040,3584511055),('NL',3584511056,3584511071),('GB',3584511072,3584511807),('MT',3584511808,3584511935),('GB',3584511936,3584513535),('US',3584513536,3584513599),('GB',3584513600,3584516047),('KY',3584516048,3584516063),('GB',3584516064,3584516071),('BB',3584516072,3584516079),('GB',3584516080,3584516095),('NO',3584516096,3584524287),('IS',3584524288,3584532479),('DE',3584532480,3584540671),('ES',3584548864,3584557055),('EE',3584557056,3584565247),('RU',3584565248,3584573439),('DE',3584573440,3584589823),('RU',3584589824,3584598015),('CZ',3584598016,3584606207),('DE',3584606208,3584614399),('IE',3584614400,3584622335),('GB',3584622336,3584622591),('FI',3584622592,3584630783),('BG',3584630784,3584638975),('UA',3584638976,3584647167),('LU',3584647168,3584649983),('EU',3584649984,3584650239),('LU',3584650240,3584655359),('CY',3584655360,3584663551),('FR',3584663552,3584671743),('NL',3584671744,3584688127),('GB',3584688128,3584696319),('ES',3584696320,3584701751),('NL',3584701752,3584701823),('ES',3584701824,3584701991),('CH',3584701992,3584702007),('ES',3584702008,3584703095),('BE',3584703096,3584703103),('ES',3584703104,3584704511),('RU',3584704512,3584720895),('GB',3584720896,3584729087),('DE',3584729088,3584737279),('GR',3584737280,3584745471),('DK',3584745472,3584753663),('RU',3584753664,3584770047),('NL',3584770048,3584778239),('IT',3584778240,3584786431),('NL',3584786432,3584794623),('IT',3584794624,3584802815),('GB',3584802816,3584811007),('ES',3584811008,3584819199),('RU',3584819200,3584827391),('ES',3584827392,3584835583),('AZ',3584835584,3584843775),('DE',3584843776,3584851967),('GH',3584851968,3584860159),('PL',3584860160,3584868351),('NO',3584868352,3584876543),('SI',3584876544,3584884735),('DE',3584884736,3584892927),('IL',3584892928,3584901119),('AT',3584901120,3584909311),('IT',3584909312,3584917503),('FI',3584917504,3584925695),('CH',3584925696,3584933887),('PL',3584933888,3584942079),('DK',3584942080,3584950271),('BG',3584950272,3584958463),('DE',3584958464,3584966655),('DK',3584966656,3584974847),('FR',3584974848,3584983039),('US',3584983040,3584983551),('UA',3584983552,3584985087),('US',3584985088,3584987135),('UA',3584987136,3584988159),('US',3584988160,3584989183),('UA',3584989184,3584991231),('IT',3584991232,3584999423),('GB',3584999424,3585007615),('AT',3585007616,3585015807),('IT',3585015808,3585023999),('CZ',3585024000,3585032191),('LV',3585032192,3585048575),('AT',3585048576,3585056767),('LB',3585056768,3585064959),('GB',3585073152,3585081343),('IR',3585081344,3585114111),('IS',3585114112,3585122303),('ES',3585122304,3585130495),('DE',3585130496,3585138687),('AT',3585138688,3585146879),('GB',3585146880,3585147327),('CH',3585147328,3585155071),('GB',3585155072,3585163263),('BE',3585163264,3585171455),('RU',3585171456,3585179647),('BE',3585179648,3585187839),('A2',3585187840,3585189887),('DZ',3585189888,3585190399),('IQ',3585190400,3585190463),('BE',3585190464,3585190527),('DZ',3585190528,3585190591),('BE',3585190592,3585196031),('ES',3585196032,3585204223),('GB',3585204224,3585212415),('DE',3585212416,3585220607),('RU',3585220608,3585228799),('DE',3585228800,3585236991),('HU',3585236992,3585245183),('GB',3585245184,3585253375),('DE',3585253376,3585261567),('IT',3585261568,3585269759),('SY',3585269760,3585277951),('SE',3585277952,3585286143),('NO',3585286144,3585289095),('EU',3585289096,3585289215),('NO',3585289216,3585289552),('EU',3585289553,3585289599),('NO',3585289600,3585289631),('EU',3585289632,3585290751),('NO',3585290752,3585290759),('EU',3585290760,3585290783),('NO',3585290784,3585290975),('EU',3585290976,3585291007),('NO',3585291008,3585293023),('EU',3585293024,3585293055),('NO',3585293056,3585293215),('EU',3585293216,3585293311),('NO',3585293312,3585293823),('EU',3585293824,3585294335),('DE',3585294336,3585302527),('ES',3585302528,3585310719),('DE',3585310720,3585318911),('DZ',3585318912,3585327103),('DE',3585327104,3585335295),('UA',3585335296,3585343487),('EE',3585343488,3585351679),('CZ',3585351680,3585359871),('SE',3585359872,3585368063),('LV',3585368064,3585376255),('PL',3585376256,3585384447),('CH',3585384448,3585392639),('RU',3585392640,3585400831),('A2',3585400832,3585409023),('RU',3585409024,3585417215),('BE',3585417216,3585425407),('NG',3585425408,3585433599),('IS',3585433600,3585441791),('NL',3585441792,3585445207),('BE',3585445208,3585445215),('NL',3585445216,3585449983),('SA',3585449984,3585458175),('HU',3585458176,3585466367),('EG',3585466368,3585474559),('DE',3585474560,3585482751),('FR',3585482752,3585490943),('IT',3585490944,3585499135),('DE',3585499136,3585515519),('RU',3585515520,3585523711),('LV',3585523712,3585531903),('AT',3585531904,3585540095),('DE',3585540096,3585548287),('DE',3585556480,3585564671),('RU',3585564672,3585572863),('IT',3585572864,3585581055),('DE',3585581056,3585597439),('RU',3585597440,3585605631),('PL',3585605632,3585613823),('EE',3585613824,3585622015),('RU',3585622016,3585630207),('RS',3585630208,3585638399),('RU',3585638400,3585646591),('SA',3585646592,3585654783),('NO',3585654784,3585655631),('US',3585655632,3585655639),('NO',3585655640,3585662975),('BY',3585662976,3585671167),('SE',3585671168,3585672959),('DK',3585672960,3585673983),('SE',3585673984,3585674239),('DK',3585674240,3585675775),('SE',3585675776,3585676287),('DK',3585676288,3585677055),('SE',3585677056,3585677311),('DK',3585677312,3585677567),('SE',3585677568,3585679359),('FI',3585679360,3585687551),('DE',3585687552,3585695743),('CM',3585695744,3585695999),('BD',3585696000,3585696063),('A2',3585696064,3585696511),('LB',3585696512,3585696767),('NO',3585696768,3585696799),('LR',3585696800,3585696831),('GB',3585696832,3585696847),('A2',3585696848,3585697023),('GB',3585697024,3585697279),('NO',3585697280,3585697535),('LB',3585697536,3585697791),('NG',3585697792,3585698047),('A2',3585698048,3585698303),('NG',3585698304,3585698815),('GB',3585698816,3585699327),('A2',3585699328,3585699711),('AU',3585699712,3585699839),('IQ',3585699840,3585700095),('NG',3585700096,3585700159),('A2',3585700160,3585700191),('US',3585700192,3585700222),('NG',3585700223,3585700223),('A2',3585700224,3585700231),('US',3585700232,3585700239),('ZA',3585700240,3585700255),('A2',3585700256,3585700271),('NG',3585700272,3585700287),('A2',3585700288,3585700303),('NG',3585700304,3585700319),('AU',3585700320,3585700343),('ZA',3585700344,3585700351),('NG',3585700352,3585700607),('TZ',3585700608,3585700863),('IQ',3585700864,3585701375),('MW',3585701376,3585701439),('A2',3585701440,3585701503),('NG',3585701504,3585701519),('CA',3585701520,3585701535),('NG',3585701536,3585701631),('GB',3585701632,3585701887),('FR',3585701888,3585702143),('LR',3585702144,3585702399),('US',3585702400,3585702463),('A2',3585702464,3585702527),('TZ',3585702528,3585702655),('TG',3585702656,3585702911),('NG',3585702912,3585703167),('FR',3585703168,3585703423),('TZ',3585703424,3585703679),('GB',3585703680,3585703935),('DE',3585703936,3585712127),('AT',3585712128,3585720319),('GB',3585720320,3585728511),('SE',3585728512,3585736703),('GB',3585736704,3585744895),('FR',3585744896,3585753087),('PL',3585753088,3585761279),('UA',3585761280,3585769471),('TR',3585769472,3585777663),('JO',3585777664,3585785855),('UA',3585785856,3585794047),('FI',3585794048,3585802239),('DE',3585802240,3585810431),('GB',3585810432,3585818623),('DE',3585818624,3585826815),('RU',3585826816,3585835007),('NA',3585835008,3585835263),('NL',3585835264,3585835395),('NA',3585835396,3585835399),('NL',3585835400,3585835415),('NA',3585835416,3585835519),('NL',3585835520,3585835583),('IQ',3585835584,3585835647),('NL',3585835648,3585835711),('NA',3585835712,3585835775),('NL',3585835776,3585835791),('NA',3585835792,3585835839),('AO',3585835840,3585835847),('NA',3585835848,3585835863),('NL',3585835864,3585835871),('IQ',3585835872,3585835887),('NA',3585835888,3585835895),('IQ',3585835896,3585835903),('NL',3585835904,3585835911),('KE',3585835912,3585835919),('SO',3585835920,3585835927),('SC',3585835928,3585835935),('SD',3585835936,3585835943),('DJ',3585835944,3585835951),('SO',3585835952,3585835959),('TD',3585835960,3585835967),('ER',3585835968,3585835983),('NA',3585835984,3585836007),('IQ',3585836008,3585836023),('NA',3585836024,3585836031),('NL',3585836032,3585836287),('SA',3585836288,3585836415),('NA',3585836416,3585836543),('DZ',3585836544,3585837055),('NG',3585837056,3585837311),('NL',3585837312,3585837439),('NG',3585837440,3585837567),('AO',3585837568,3585838143),('NA',3585838144,3585838247),('AO',3585838248,3585838255),('NA',3585838256,3585838271),('AO',3585838272,3585838279),('NA',3585838280,3585838295),('AO',3585838296,3585838303),('NA',3585838304,3585838335),('NL',3585838336,3585838719),('NG',3585838720,3585838847),('NL',3585838848,3585838879),('IQ',3585838880,3585838911),('NG',3585838912,3585838975),('DZ',3585838976,3585839103),('NA',3585839104,3585840127),('IQ',3585840128,3585841663),('DZ',3585841664,3585841919),('NG',3585841920,3585842175),('IQ',3585842176,3585842199),('NL',3585842200,3585842207),('IQ',3585842208,3585842687),('NL',3585842688,3585842943),('SE',3585842944,3585843199),('NO',3585843200,3585851391),('SE',3585851392,3585859583),('RU',3585859584,3585860095),('DE',3585860096,3585865727),('RU',3585865728,3585867775),('NO',3585867776,3585875967),('CH',3585875968,3585884159),('IQ',3585884160,3585892351),('DE',3585892352,3585900543),('NO',3585900544,3585902239),('GB',3585902240,3585902271),('NO',3585902272,3585902447),('GB',3585902448,3585902463),('NO',3585902464,3585908735),('FR',3585908736,3585909759),('MQ',3585909760,3585910271),('GP',3585910272,3585910527),('FR',3585910528,3585910783),('MQ',3585910784,3585911039),('FR',3585911040,3585911551),('GP',3585911552,3585911807),('FR',3585911808,3585912063),('GP',3585912064,3585912319),('FR',3585912320,3585912575),('GP',3585912576,3585912831),('FR',3585912832,3585913855),('GP',3585913856,3585914111),('FR',3585914112,3585916671),('MQ',3585916672,3585916927),('IT',3585916928,3585925119),('CH',3585925120,3585933311),('NL',3585933312,3585936127),('US',3585936128,3585937407),('NL',3585937408,3585940479),('BE',3585940480,3585940735),('NL',3585940736,3585941503),('IL',3585941504,3585949695),('KW',3585949696,3585957887),('SE',3585957888,3585966079),('CH',3585966080,3585971735),('DE',3585971736,3585971743),('CH',3585971744,3585974271),('BE',3585974272,3585982463),('RU',3585982464,3585998847),('ES',3585998848,3586007039),('LT',3586007040,3586015231),('FR',3586015232,3586023423),('IS',3586023424,3586031615),('IE',3586031616,3586039807),('GB',3586039808,3586047999),('PT',3586048000,3586056191),('RU',3586056192,3586072575),('DE',3586072576,3586088959),('CZ',3586088960,3586097151),('HR',3586097152,3586105343),('A2',3586105344,3586105599),('ER',3586105600,3586105727),('A2',3586105728,3586113535),('BG',3586113536,3586121727),('IE',3586121728,3586129919),('CZ',3586129920,3586146303),('PL',3586146304,3586162687),('FI',3586162688,3586179071),('ES',3586179072,3586191871),('FR',3586191872,3586191887),('ES',3586191888,3586195455),('DE',3586195456,3586197503),('FR',3586197504,3586198015),('DE',3586198016,3586198527),('FR',3586198528,3586199295),('DE',3586199296,3586203391),('SE',3586203392,3586203647),('ZM',3586203648,3586204159),('KE',3586204160,3586205695),('BW',3586205696,3586207743),('ZA',3586207744,3586208767),('KE',3586208768,3586211839),('CH',3586211840,3586220287),('FR',3586220288,3586220303),('CH',3586220304,3586225295),('FR',3586225296,3586225311),('CH',3586225312,3586228223),('BE',3586228224,3586237695),('NL',3586237696,3586237951),('BE',3586237952,3586244607),('NL',3586244608,3586244927),('GB',3586244928,3586246655),('BE',3586246656,3586248703),('NL',3586248704,3586250449),('BE',3586250450,3586250457),('NL',3586250458,3586252799),('BE',3586252800,3586254847),('NL',3586254848,3586258943),('BE',3586258944,3586259455),('NL',3586259456,3586269263),('ES',3586269264,3586269311),('NL',3586269312,3586269343),('ES',3586269344,3586269415),('NL',3586269416,3586269423),('ES',3586269424,3586269439),('NL',3586269440,3586269471),('ES',3586269472,3586269487),('NL',3586269488,3586269495),('ES',3586269496,3586269519),('NL',3586269520,3586269535),('GB',3586269536,3586269607),('ES',3586269608,3586269695),('NL',3586269696,3586269759),('ES',3586269760,3586269823),('NL',3586269824,3586269855),('ES',3586269856,3586269887),('NL',3586269888,3586269951),('ES',3586269952,3586270079),('NL',3586270080,3586270207),('ES',3586270208,3586271231),('NL',3586271232,3586271615),('ES',3586271616,3586271999),('IT',3586272000,3586272255),('NL',3586272256,3586272383),('ES',3586272384,3586272767),('NL',3586272768,3586272799),('IT',3586272800,3586272807),('ES',3586272808,3586272815),('IT',3586272816,3586272831),('NL',3586272832,3586272895),('IT',3586272896,3586272959),('ES',3586272960,3586272991),('IT',3586272992,3586273023),('NL',3586273024,3586276351),('ES',3586276352,3586276863),('NL',3586276864,3586277375),('TR',3586277376,3586286591),('A2',3586286592,3586286607),('TR',3586286608,3586293759),('ES',3586293760,3586310143),('CZ',3586310144,3586326527),('FR',3586326528,3586342911),('ES',3586342912,3586359295),('PL',3586359296,3586375679),('CZ',3586375680,3586378687),('SK',3586378688,3586378719),('CZ',3586378720,3586392063),('NL',3586392064,3586408447),('BA',3586408448,3586424831),('CH',3586424832,3586441215),('DE',3586441216,3586457599),('NL',3586457600,3586473983),('HU',3586473984,3586490367),('LT',3586490368,3586506751),('NL',3586506752,3586523135),('DE',3586523136,3586543519),('GB',3586543520,3586543527),('DE',3586543528,3586543623),('GB',3586543624,3586543631),('DE',3586543632,3586545679),('GB',3586545680,3586545703),('DE',3586545704,3586546375),('GB',3586546376,3586546383),('DE',3586546384,3586555903),('IT',3586555904,3586572287),('RS',3586572288,3586588671),('IT',3586588672,3586596863),('GB',3586596864,3586605055),('SE',3586605056,3586621439),('IE',3586621440,3586625535),('GB',3586625536,3586629631),('IE',3586629632,3586637823),('PL',3586637824,3586654207),('GE',3586654208,3586662399),('UA',3586662400,3586670591),('DE',3586670592,3586677183),('GB',3586677184,3586677247),('DE',3586677248,3586677311),('GB',3586677312,3586677327),('DE',3586677328,3586677375),('GB',3586677376,3586677487),('DE',3586677488,3586677759),('GR',3586677760,3586678015),('GB',3586678016,3586678271),('IE',3586678272,3586678303),('GB',3586678304,3586678335),('US',3586678336,3586678399),('GB',3586678400,3586678415),('IE',3586678416,3586678439),('ES',3586678440,3586678443),('GB',3586678444,3586678447),('IE',3586678448,3586678527),('GB',3586678528,3586678679),('MU',3586678680,3586678687),('GB',3586678688,3586678783),('DE',3586678784,3586679039),('US',3586679040,3586679103),('DE',3586679104,3586679167),('US',3586679168,3586679231),('GB',3586679232,3586679327),('DK',3586679328,3586679335),('GB',3586679336,3586679359),('DE',3586679360,3586679423),('GB',3586679424,3586679583),('IT',3586679584,3586679599),('GB',3586679600,3586679647),('IT',3586679648,3586679711),('GB',3586679712,3586679727),('IT',3586679728,3586679743),('GB',3586679744,3586679839),('FR',3586679840,3586679871),('GB',3586679872,3586679935),('MU',3586679936,3586679999),('GB',3586680000,3586680319),('ES',3586680320,3586680447),('GB',3586680448,3586680463),('ES',3586680464,3586680575),('GB',3586680576,3586680591),('ES',3586680592,3586680623),('GB',3586680624,3586680703),('ES',3586680704,3586680831),('FR',3586680832,3586680959),('GB',3586680960,3586681015),('FR',3586681016,3586681087),('GB',3586681088,3586681599),('FR',3586681600,3586681615),('GB',3586681616,3586681695),('FR',3586681696,3586682111),('US',3586682112,3586682175),('GB',3586682176,3586682367),('AT',3586682368,3586682399),('GB',3586682400,3586682431),('FR',3586682432,3586682879),('US',3586682880,3586686975),('SE',3586686976,3586703359),('CH',3586703360,3586719743),('ES',3586719744,3586752511),('NL',3586752512,3586785279),('CH',3586793472,3586801663),('HR',3586801664,3586818047),('IE',3586818048,3586834431),('DE',3586834432,3586850495),('US',3586850496,3586850511),('DE',3586850512,3586850815),('NO',3586850816,3586867199),('FR',3586867200,3586883583),('IT',3586883584,3586899967),('DE',3586899968,3586902271),('CH',3586902272,3586902335),('DE',3586902336,3586902375),('BE',3586902376,3586902383),('DE',3586902384,3586902411),('CH',3586902412,3586902415),('DE',3586902416,3586903263),('CH',3586903264,3586903295),('DE',3586903296,3586903423),('NL',3586903424,3586903439),('DE',3586903440,3586904223),('CH',3586904224,3586904255),('DE',3586904256,3586904319),('CH',3586904320,3586904415),('DE',3586904416,3586905039),('CH',3586905040,3586905055),('DE',3586905056,3586905071),('CH',3586905072,3586905079),('DE',3586905080,3586905087),('CH',3586905088,3586905119),('DE',3586905120,3586905167),('CH',3586905168,3586905199),('GB',3586905200,3586905215),('DE',3586905216,3586905247),('CH',3586905248,3586905279),('DE',3586905280,3586906391),('CH',3586906392,3586906399),('DE',3586906400,3586906423),('CH',3586906424,3586906427),('DE',3586906428,3586906719),('CH',3586906720,3586906735),('DE',3586906736,3586907903),('CH',3586907904,3586908031),('DE',3586908032,3586910559),('NL',3586910560,3586910567),('CY',3586910568,3586910575),('NL',3586910576,3586910587),('DE',3586910588,3586910591),('NL',3586910592,3586910671),('DE',3586910672,3586910687),('NL',3586910688,3586910703),('DE',3586910704,3586910983),('BE',3586910984,3586910991),('DE',3586910992,3586911039),('GB',3586911040,3586911103),('NL',3586911104,3586911167),('DE',3586911168,3586911187),('BR',3586911188,3586911191),('BE',3586911192,3586911195),('DE',3586911196,3586912255),('FR',3586912256,3586912575),('DE',3586912576,3586912651),('FR',3586912652,3586912671),('DE',3586912672,3586912703),('FR',3586912704,3586912719),('DE',3586912720,3586912735),('FR',3586912736,3586912767),('DE',3586912768,3586915567),('AT',3586915568,3586915575),('DE',3586915576,3586916351),('IT',3586916352,3586924031),('US',3586924032,3586924047),('IT',3586924048,3586924543),('FI',3586924544,3586924743),('AX',3586924744,3586924751),('FI',3586924752,3586924919),('AX',3586924920,3586924927),('FI',3586924928,3586924943),('AX',3586924944,3586924959),('FI',3586924960,3586924983),('AX',3586924984,3586925055),('FI',3586925056,3586925791),('AX',3586925792,3586925823),('FI',3586925824,3586925835),('AX',3586925836,3586925839),('FI',3586925840,3586925983),('AX',3586925984,3586926003),('FI',3586926004,3586926591),('SE',3586926592,3586926847),('FI',3586926848,3586927103),('AX',3586927104,3586927871),('FI',3586927872,3586928159),('AX',3586928160,3586928175),('FI',3586928176,3586928639),('AX',3586928640,3586932735),('LB',3586932736,3586949119),('SE',3586949120,3586965503),('NL',3586965504,3586981887),('IT',3586981888,3586998271),('PT',3586998272,3587006463),('FR',3587006464,3587014655),('GB',3587014656,3587051007),('DE',3587051008,3587051775),('GB',3587051776,3587052031),('NL',3587052032,3587052799),('GB',3587052800,3587053055),('FR',3587053056,3587053823),('GB',3587053824,3587055615),('UZ',3587055616,3587063807),('NL',3587063808,3587080191),('GB',3587080192,3587082367),('US',3587082368,3587082431),('GB',3587082432,3587088383),('DE',3587088384,3587096575),('NL',3587096576,3587121151),('AL',3587121152,3587129343),('NL',3587129344,3587134463),('ES',3587134464,3587134591),('NL',3587134592,3587145727),('CY',3587145728,3587162111),('IR',3587162112,3587178495),('AT',3587178496,3587178795),('US',3587178796,3587178799),('AT',3587178800,3587179439),('GB',3587179440,3587179455),('TR',3587179456,3587179463),('CH',3587179464,3587179471),('AT',3587179472,3587186687),('DE',3587186688,3587186943),('AM',3587186944,3587187199),('DE',3587187200,3587187455),('RU',3587187456,3587188223),('DE',3587188224,3587189503),('RU',3587189504,3587189759),('DE',3587189760,3587193343),('KG',3587193344,3587193599),('DE',3587193600,3587194367),('RU',3587194368,3587194511),('DE',3587194512,3587194623),('RU',3587194624,3587194879),('GB',3587194880,3587211263),('AT',3587211264,3587211531),('DE',3587211532,3587211535),('AT',3587211536,3587213911),('UY',3587213912,3587213919),('AT',3587213920,3587213959),('RO',3587213960,3587213967),('AT',3587213968,3587219455),('RU',3587219456,3587227647),('GB',3587227648,3587227663),('NL',3587227664,3587227711),('GB',3587227712,3587227751),('NL',3587227752,3587227791),('GB',3587227792,3587227807),('NL',3587227808,3587227823),('GB',3587227824,3587227871),('NL',3587227872,3587227887),('GB',3587227888,3587227919),('NL',3587227920,3587227935),('GB',3587227936,3587227983),('NL',3587227984,3587228015),('GB',3587228016,3587228047),('NL',3587228048,3587228095),('GB',3587228096,3587228127),('NL',3587228128,3587228159),('GB',3587228160,3587228175),('NL',3587228176,3587228207),('GB',3587228208,3587228223),('NL',3587228224,3587228319),('GB',3587228320,3587228335),('NL',3587228336,3587228351),('GB',3587228352,3587228447),('NL',3587228448,3587228463),('GB',3587228464,3587228607),('NL',3587228608,3587228623),('GB',3587228624,3587228671),('NL',3587228672,3587229183),('GB',3587229184,3587229247),('NL',3587229248,3587229375),('GB',3587229376,3587229455),('NL',3587229456,3587229487),('GB',3587229488,3587229535),('NL',3587229536,3587229663),('GB',3587229664,3587229743),('NL',3587229744,3587229775),('GB',3587229776,3587229791),('NL',3587229792,3587229807),('GB',3587229808,3587229855),('NL',3587229856,3587229903),('GB',3587229904,3587229919),('NL',3587229920,3587229935),('GB',3587229936,3587230047),('NL',3587230048,3587230111),('GB',3587230112,3587230127),('NL',3587230128,3587230143),('GB',3587230144,3587230239),('NL',3587230240,3587230271),('GB',3587230272,3587230335),('NL',3587230336,3587230367),('GB',3587230368,3587230383),('NL',3587230384,3587230399),('GB',3587230400,3587230511),('NL',3587230512,3587230519),('GB',3587230520,3587230527),('NL',3587230528,3587230543),('GB',3587230544,3587230607),('NL',3587230608,3587230623),('GB',3587230624,3587230719),('NL',3587230720,3587230783),('GB',3587230784,3587230791),('NL',3587230792,3587230815),('GB',3587230816,3587230847),('NL',3587230848,3587230911),('GB',3587230912,3587230943),('NL',3587230944,3587230959),('GB',3587230960,3587230975),('NL',3587230976,3587230991),('GB',3587230992,3587231231),('NL',3587231232,3587231263),('GB',3587231264,3587231359),('NL',3587231360,3587231487),('GB',3587231488,3587231887),('NL',3587231888,3587231903),('GB',3587231904,3587232767),('NL',3587232768,3587232831),('GB',3587232832,3587232847),('NL',3587232848,3587232895),('GB',3587232896,3587232911),('NL',3587232912,3587232927),('GB',3587232928,3587232967),('NL',3587232968,3587232975),('GB',3587232976,3587232991),('NL',3587232992,3587233007),('GB',3587233008,3587233023),('NL',3587233024,3587233119),('GB',3587233120,3587233151),('NL',3587233152,3587233183),('GB',3587233184,3587233199),('NL',3587233200,3587233215),('GB',3587233216,3587233231),('NL',3587233232,3587233295),('GB',3587233296,3587233311),('NL',3587233312,3587233343),('GB',3587233344,3587233359),('NL',3587233360,3587233519),('GB',3587233520,3587233535),('NL',3587233536,3587233551),('GB',3587233552,3587233599),('NL',3587233600,3587233663),('GB',3587233664,3587233791),('NL',3587233792,3587233823),('GB',3587233824,3587233839),('NL',3587233840,3587233871),('GB',3587233872,3587233903),('NL',3587233904,3587233935),('GB',3587233936,3587233951),('NL',3587233952,3587233999),('GB',3587234000,3587234015),('NL',3587234016,3587234047),('GB',3587234048,3587234063),('NL',3587234064,3587234079),('GB',3587234080,3587234095),('NL',3587234096,3587234175),('GB',3587234176,3587234303),('NL',3587234304,3587236094),('GB',3587236095,3587236095),('NL',3587236096,3587236471),('GB',3587236472,3587236479),('NL',3587236480,3587236487),('GB',3587236488,3587236495),('NL',3587236496,3587236503),('GB',3587236504,3587236511),('NL',3587236512,3587236535),('GB',3587236536,3587236543),('NL',3587236544,3587236607),('GB',3587236608,3587236863),('NL',3587236864,3587237375),('GB',3587237376,3587237407),('NL',3587237408,3587237439),('GB',3587237440,3587237447),('NL',3587237448,3587237471),('GB',3587237472,3587237479),('NL',3587237480,3587237487),('GB',3587237488,3587237503),('NL',3587237504,3587237551),('GB',3587237552,3587237567),('NL',3587237568,3587237887),('GB',3587237888,3587238143),('NL',3587238144,3587238399),('GB',3587238400,3587238463),('NL',3587238464,3587238479),('GB',3587238480,3587238487),('NL',3587238488,3587238559),('GB',3587238560,3587239935),('NL',3587239936,3587239983),('GB',3587239984,3587239999),('NL',3587240000,3587240055),('GB',3587240056,3587240071),('NL',3587240072,3587240111),('GB',3587240112,3587240119),('NL',3587240120,3587240271),('GB',3587240272,3587240287),('NL',3587240288,3587240295),('GB',3587240296,3587240319),('NL',3587240320,3587240351),('GB',3587240352,3587240359),('NL',3587240360,3587240575),('GB',3587240576,3587240583),('NL',3587240584,3587240639),('GB',3587240640,3587240959),('NL',3587240960,3587241167),('GB',3587241168,3587241279),('NL',3587241280,3587241287),('GB',3587241288,3587241983),('NL',3587241984,3587242047),('GB',3587242048,3587242063),('NL',3587242064,3587242071),('GB',3587242072,3587242079),('NL',3587242080,3587242111),('GB',3587242112,3587242271),('NL',3587242272,3587242287),('GB',3587242288,3587242495),('NL',3587242496,3587242655),('GB',3587242656,3587242663),('NL',3587242664,3587243279),('GB',3587243280,3587243295),('NL',3587243296,3587243407),('GB',3587243408,3587243415),('NL',3587243416,3587243423),('GB',3587243424,3587243439),('NL',3587243440,3587243455),('GB',3587243456,3587243519),('NL',3587243520,3587243647),('GB',3587243648,3587244031),('IT',3587244032,3587260415),('DE',3587260416,3587284991),('A2',3587284992,3587287295),('GE',3587287296,3587287307),('DE',3587287308,3587287311),('GE',3587287312,3587287319),('FR',3587287320,3587287327),('GB',3587287328,3587287335),('DE',3587287336,3587287339),('PL',3587287340,3587287343),('GE',3587287344,3587287351),('IS',3587287352,3587287359),('NL',3587287360,3587287363),('IT',3587287364,3587287367),('NL',3587287368,3587287387),('CZ',3587287388,3587287391),('DE',3587287392,3587287395),('IS',3587287396,3587287403),('PL',3587287404,3587287411),('DE',3587287412,3587287415),('IQ',3587287416,3587287419),('DE',3587287420,3587287423),('SE',3587287424,3587287427),('DE',3587287428,3587287431),('IT',3587287432,3587287435),('DE',3587287436,3587287439),('TR',3587287440,3587287447),('DE',3587287448,3587287451),('IT',3587287452,3587287455),('DE',3587287456,3587287459),('IT',3587287460,3587287463),('SE',3587287464,3587287475),('PL',3587287476,3587287479),('A2',3587287480,3587287487),('IT',3587287488,3587287535),('DE',3587287536,3587287543),('PL',3587287544,3587287551),('GB',3587287552,3587287559),('FR',3587287560,3587287563),('PL',3587287564,3587287571),('DE',3587287572,3587287575),('FR',3587287576,3587287579),('DE',3587287580,3587287583),('FR',3587287584,3587287591),('GB',3587287592,3587287599),('IT',3587287600,3587287679),('NL',3587287680,3587287687),('IS',3587287688,3587287711),('GE',3587287712,3587287719),('IT',3587287720,3587287723),('SE',3587287724,3587287727),('IT',3587287728,3587287807),('IS',3587287808,3587287815),('GB',3587287816,3587287823),('FR',3587287824,3587287835),('GB',3587287836,3587287847),('SE',3587287848,3587287851),('IQ',3587287852,3587287879),('FR',3587287880,3587287887),('IT',3587287888,3587287935),('FR',3587287936,3587287943),('DE',3587287944,3587287947),('IT',3587287948,3587287959),('FR',3587287960,3587287963),('GB',3587287964,3587287967),('DE',3587287968,3587287983),('IT',3587287984,3587288063),('A2',3587288064,3587288319),('IT',3587288320,3587288575),('AE',3587288576,3587288703),('DE',3587288704,3587288707),('NL',3587288708,3587288759),('A2',3587288760,3587288959),('DE',3587288960,3587289087),('FR',3587289088,3587289343),('ES',3587289344,3587289347),('FR',3587289348,3587289351),('PT',3587289352,3587289359),('ES',3587289360,3587289367),('FR',3587289368,3587289375),('A2',3587289376,3587289383),('GB',3587289384,3587289387),('ES',3587289388,3587289391),('GB',3587289392,3587289399),('ES',3587289400,3587289407),('A2',3587289408,3587289411),('FR',3587289412,3587289415),('A2',3587289416,3587289423),('GB',3587289424,3587289467),('A2',3587289468,3587289855),('FR',3587289856,3587289859),('A2',3587289860,3587289863),('GB',3587289864,3587289871),('A2',3587289872,3587289895),('GB',3587289896,3587289907),('ES',3587289908,3587289911),('A2',3587289912,3587289915),('FR',3587289916,3587289919),('A2',3587289920,3587290111),('IT',3587290112,3587290367),('AL',3587290368,3587290431),('DE',3587290432,3587290495),('IT',3587290496,3587290623),('FR',3587290624,3587290879),('A2',3587290880,3587291135),('NL',3587291136,3587291139),('A2',3587291140,3587291647),('IT',3587291648,3587291967),('AL',3587291968,3587292031),('IT',3587292032,3587292159),('DZ',3587292160,3587292223),('IT',3587292224,3587292415),('ES',3587292416,3587292419),('A2',3587292420,3587292671),('IT',3587292672,3587292799),('AT',3587292800,3587292863),('IT',3587292864,3587309567),('GB',3587309568,3587325951),('RU',3587325952,3587342335),('CZ',3587342336,3587358719),('SA',3587358720,3587375103),('TR',3587375104,3587383295),('CZ',3587383296,3587391487),('KZ',3587391488,3587407871),('NL',3587407872,3587424255),('DE',3587424256,3587440639),('SE',3587440640,3587457023),('GB',3587457024,3587459263),('DE',3587459264,3587459295),('GB',3587459296,3587473407),('IT',3587473408,3587489791),('EG',3587489792,3587506175),('IT',3587506176,3587538943),('IS',3587538944,3587547135),('CH',3587547136,3587555327),('BE',3587555328,3587571711),('DE',3587571712,3587579903),('BE',3587579904,3587588095),('IT',3587588096,3587596287),('NL',3587596288,3587604479),('FI',3587604480,3587620863),('SE',3587620864,3587637247),('FR',3587637248,3587653631),('SK',3587653632,3587670015),('IT',3587670016,3587687591),('NL',3587687592,3587687599),('IT',3587687600,3587699255),('A2',3587699256,3587699263),('IT',3587699264,3587702783),('DE',3587702784,3587710975),('CZ',3587710976,3587719167),('PL',3587719168,3587735551),('GB',3587735552,3587751935),('FI',3587751936,3587768319),('DE',3587768320,3587776511),('IR',3587776512,3587784703),('DE',3587784704,3587801087),('IT',3587801088,3587817471),('MT',3587817472,3587833855),('DE',3587833856,3587842047),('IT',3587842048,3587850239),('NL',3587850240,3587854335),('PL',3587854336,3587866623),('FR',3587866624,3587874815),('DE',3587874816,3587877383),('US',3587877384,3587877391),('DE',3587877392,3587877407),('NL',3587877408,3587877439),('DE',3587877440,3587878527),('AT',3587878528,3587878559),('DE',3587878560,3587883007),('GB',3587883008,3587915775),('EE',3587915776,3587932159),('NL',3587932160,3587932415),('DE',3587932416,3587932671),('BE',3587932672,3587932927),('GB',3587932928,3587933183),('BE',3587933184,3587940095),('FR',3587940096,3587940351),('BE',3587940352,3587944447),('NL',3587944448,3587945471),('BE',3587945472,3587948031),('NL',3587948032,3587948543),('RU',3587948544,3587964927),('ES',3587964928,3587981311),('IS',3587981312,3587997695),('DE',3587997696,3588014079),('CZ',3588014080,3588030463),('RU',3588030464,3588038655),('FR',3588038656,3588038783),('RU',3588038784,3588046847),('DE',3588046848,3588060351),('CH',3588060352,3588060359),('DE',3588060360,3588063231),('CH',3588063232,3588071423),('GB',3588071424,3588079615),('CH',3588079616,3588095999),('NL',3588096000,3588104191),('BG',3588104192,3588112383),('FR',3588112384,3588128767),('HU',3588128768,3588145151),('PL',3588145152,3588161535),('FR',3588161536,3588227071),('BE',3588227072,3588292607),('AT',3588292608,3588308991),('NO',3588308992,3588325375),('GB',3588325376,3588333567),('FR',3588333568,3588341759),('IT',3588341760,3588358143),('BG',3588358144,3588374527),('SE',3588374528,3588390911),('LT',3588390912,3588393983),('LV',3588393984,3588394495),('LT',3588394496,3588407295),('CZ',3588407296,3588423679),('ES',3588423680,3588440063),('PL',3588440064,3588456447),('NL',3588456448,3588464639),('AT',3588464640,3588472831),('UA',3588472832,3588489215),('FR',3588489216,3588505599),('RU',3588505600,3588521983),('PT',3588521984,3588538367),('ES',3588538368,3588538623),('GB',3588538624,3588547327),('IE',3588547328,3588547583),('GB',3588547584,3588550447),('IE',3588550448,3588550463),('GB',3588550464,3588554687),('IE',3588554688,3588554751),('AT',3588554752,3588571135),('NL',3588571136,3588587519),('ES',3588587520,3588603903),('SI',3588603904,3588620287),('SA',3588620288,3588628479),('CH',3588628480,3588636671),('UZ',3588636672,3588653055),('IT',3588653056,3588661247),('NO',3588661248,3588669439),('GB',3588669440,3588685823),('UA',3588685824,3588702207),('ES',3588702208,3588718591),('BG',3588718592,3588734975),('PL',3588734976,3588751359),('TR',3588751360,3588767743),('GB',3588767744,3588773759),('SL',3588773760,3588773887),('GB',3588773888,3588775935),('NG',3588775936,3588776191),('GB',3588776192,3588782271),('A2',3588782272,3588782279),('GB',3588782280,3588784127),('CH',3588784128,3588800511),('RU',3588800512,3588816895),('IT',3588816896,3588833279),('RO',3588833280,3588848767),('FR',3588848768,3588848775),('RO',3588848776,3588849663),('IE',3588849664,3588857855),('IR',3588857856,3588866047),('NL',3588866048,3588882431),('RU',3588882432,3588890623),('GB',3588890624,3588898815),('NO',3588898816,3588915199),('IT',3588915200,3588931583),('RU',3588931584,3588947967),('GB',3588947968,3588964351),('CZ',3588964352,3588997119),('AT',3588997120,3589013503),('ES',3589013504,3589021695),('SA',3589021696,3589029887),('NL',3589029888,3589030015),('ES',3589030016,3589030143),('NL',3589030144,3589030175),('ES',3589030176,3589030183),('NL',3589030184,3589030207),('ES',3589030208,3589030239),('NL',3589030240,3589031423),('ES',3589031424,3589031935),('NL',3589031936,3589034015),('ES',3589034016,3589034111),('NL',3589034112,3589034143),('ES',3589034144,3589034159),('GB',3589034160,3589034167),('NL',3589034168,3589034175),('ES',3589034176,3589034183),('GB',3589034184,3589034191),('DE',3589034192,3589034207),('ES',3589034208,3589034231),('NL',3589034232,3589034271),('ES',3589034272,3589034303),('DE',3589034304,3589034335),('FR',3589034336,3589034367),('NL',3589034368,3589034431),('FR',3589034432,3589034495),('ES',3589034496,3589037055),('NL',3589037056,3589037327),('ES',3589037328,3589037343),('SE',3589037344,3589037375),('NL',3589037376,3589037391),('ES',3589037392,3589037407),('NL',3589037408,3589037423),('ES',3589037424,3589037439),('NL',3589037440,3589037487),('ES',3589037488,3589037495),('CH',3589037496,3589037503),('NL',3589037504,3589037535),('ES',3589037536,3589037551),('BE',3589037552,3589037559),('NL',3589037560,3589037567),('ES',3589037568,3589038079),('NL',3589038080,3589040127),('ES',3589040128,3589042207),('NL',3589042208,3589042367),('ES',3589042368,3589043231),('NL',3589043232,3589043327),('ES',3589043328,3589043455),('NL',3589043456,3589043711),('ES',3589043712,3589044223),('NL',3589044224,3589044319),('ES',3589044320,3589046271),('NO',3589046272,3589079039),('DK',3589079040,3589092223),('SE',3589092224,3589092227),('DK',3589092228,3589128191),('GB',3589128192,3589144575),('DE',3589152768,3589152927),('CH',3589152928,3589152935),('DE',3589152936,3589153027),('ES',3589153028,3589153031),('DE',3589153032,3589156591),('CH',3589156592,3589156607),('DE',3589156608,3589160959),('PL',3589160960,3589177343),('TR',3589177344,3589193727),('SE',3589193728,3589210111),('NL',3589210112,3589226495),('NO',3589226496,3589230415),('DK',3589230416,3589230431),('NO',3589230432,3589230759),('GB',3589230760,3589230775),('NO',3589230776,3589242879),('NL',3589242880,3589248511),('GB',3589248512,3589248767),('NL',3589248768,3589256191),('GR',3589256192,3589256447),('NL',3589256448,3589258495),('GB',3589258496,3589258751),('NL',3589258752,3589259263),('DE',3589259264,3589269455),('AT',3589269456,3589269471),('DE',3589269472,3589275647),('RS',3589275648,3589292031),('AT',3589292032,3589308415),('DE',3589308416,3589317887),('GB',3589317888,3589317951),('DE',3589317952,3589324799),('BG',3589324800,3589341183),('PL',3589341184,3589373951),('DE',3589373952,3589375495),('CI',3589375496,3589375503),('DE',3589375504,3589390335),('RU',3589390336,3589423103),('IT',3589423104,3589423615),('CH',3589423616,3589424127),('SE',3589424128,3589424639),('ES',3589424640,3589425151),('CH',3589425152,3589425663),('GB',3589425664,3589426175),('FR',3589426176,3589426239),('GB',3589426240,3589427199),('FR',3589427200,3589427231),('GB',3589427232,3589429247),('FR',3589429248,3589429503),('GB',3589429504,3589430655),('FR',3589430656,3589430719),('GB',3589430720,3589430783),('FR',3589430784,3589431343),('GB',3589431344,3589431551),('FR',3589431552,3589431807),('GB',3589431808,3589432319),('CH',3589432320,3589432575),('FR',3589432576,3589432895),('GB',3589432896,3589433343),('IT',3589433344,3589433375),('CH',3589433376,3589433407),('SE',3589433408,3589433439),('ES',3589433440,3589433471),('CH',3589433472,3589433503),('IE',3589433504,3589433535),('DK',3589433536,3589433567),('GB',3589433568,3589433599),('IE',3589433600,3589434111),('DK',3589434112,3589434623),('GB',3589434624,3589434879),('FR',3589434880,3589435391),('GB',3589435392,3589439487),('SE',3589439488,3589444631),('NO',3589444632,3589444639),('SE',3589444640,3589455871),('RU',3589455872,3589472255),('TR',3589472256,3589488639),('RU',3589488640,3589491711),('TJ',3589491712,3589491743),('RU',3589491744,3589505023),('FI',3589505024,3589521407),('IT',3589521408,3589537791),('FR',3589537792,3589545983),('DE',3589545984,3589554175),('PS',3589554176,3589570559),('NL',3589570560,3589570655),('GB',3589570656,3589571327),('NL',3589571328,3589571455),('GB',3589571456,3589578751),('NL',3589578752,3589580031),('GB',3589580032,3589580127),('NL',3589580128,3589580159),('GB',3589580160,3589580287),('NL',3589580288,3589580799),('GB',3589580800,3589580895),('NL',3589580896,3589581055),('GB',3589581056,3589581199),('NL',3589581200,3589581215),('GB',3589581216,3589581327),('NL',3589581328,3589581791),('GB',3589581792,3589581823),('NL',3589581824,3589582591),('GB',3589582592,3589582607),('NL',3589582608,3589582639),('GB',3589582640,3589582655),('NL',3589582656,3589583615),('GB',3589583616,3589583647),('NL',3589583648,3589583663),('GB',3589583664,3589583743),('NL',3589583744,3589584271),('GB',3589584272,3589584383),('NL',3589584384,3589585279),('GB',3589585280,3589585407),('NL',3589585408,3589585983),('GB',3589585984,3589586175),('NL',3589586176,3589586943),('RS',3589586944,3589603327),('FR',3589603328,3589668863),('FR',3589677056,3589680287),('MQ',3589680288,3589680303),('FR',3589680304,3589680751),('MQ',3589680752,3589680767),('FR',3589680768,3589685247),('GB',3589685248,3589718079),('BE',3589718080,3589718087),('GB',3589718088,3589718095),('BE',3589718096,3589718103),('GB',3589718104,3589718111),('BE',3589718112,3589718159),('GB',3589718160,3589718167),('BE',3589718168,3589718239),('GB',3589718240,3589718255),('BE',3589718256,3589718303),('GB',3589718304,3589718327),('BE',3589718328,3589718351),('GB',3589718352,3589718359),('BE',3589718360,3589718431),('GB',3589718432,3589718439),('BE',3589718440,3589718447),('GB',3589718448,3589718455),('BE',3589718456,3589718591),('GB',3589718592,3589718631),('BE',3589718632,3589718639),('GB',3589718640,3589718647),('BE',3589718648,3589718655),('GB',3589718656,3589718783),('BE',3589718784,3589719095),('GB',3589719096,3589719103),('BE',3589719104,3589719159),('GB',3589719160,3589719167),('BE',3589719168,3589719231),('GB',3589719232,3589719295),('BE',3589719296,3589719343),('GB',3589719344,3589719359),('BE',3589719360,3589719391),('GB',3589719392,3589719395),('BE',3589719396,3589719399),('GB',3589719400,3589719407),('BE',3589719408,3589719423),('GB',3589719424,3589719551),('BE',3589719552,3589719711),('GB',3589719712,3589719743),('BE',3589719744,3589719775),('GB',3589719776,3589719783),('BE',3589719784,3589719807),('GB',3589719808,3589719815),('BE',3589719816,3589719823),('GB',3589719824,3589719839),('BE',3589719840,3589719855),('GB',3589719856,3589719903),('BE',3589719904,3589719971),('GB',3589719972,3589719975),('BE',3589719976,3589720071),('GB',3589720072,3589720075),('BE',3589720076,3589720151),('GB',3589720152,3589720159),('BE',3589720160,3589720207),('GB',3589720208,3589720223),('BE',3589720224,3589720263),('GB',3589720264,3589720271),('BE',3589720272,3589720575),('GB',3589720576,3589720607),('BE',3589720608,3589720655),('GB',3589720656,3589720671),('BE',3589720672,3589720695),('GB',3589720696,3589720703),('BE',3589720704,3589720727),('GB',3589720728,3589720767),('BE',3589720768,3589720791),('GB',3589720792,3589720799),('BE',3589720800,3589720823),('GB',3589720824,3589720831),('BE',3589720832,3589720855),('GB',3589720856,3589720863),('BE',3589720864,3589720887),('GB',3589720888,3589720895),('BE',3589720896,3589720911),('GB',3589720912,3589720935),('BE',3589720936,3589720959),('GB',3589720960,3589720975),('BE',3589720976,3589721015),('GB',3589721016,3589721023),('BE',3589721024,3589721063),('GB',3589721064,3589721071),('BE',3589721072,3589721103),('GB',3589721104,3589721111),('BE',3589721112,3589721143),('GB',3589721144,3589721151),('BE',3589721152,3589721155),('GB',3589721156,3589721167),('BE',3589721168,3589721215),('GB',3589721216,3589721223),('BE',3589721224,3589721247),('GB',3589721248,3589721279),('BE',3589721280,3589721375),('GB',3589721376,3589721407),('BE',3589721408,3589721423),('GB',3589721424,3589721431),('BE',3589721432,3589721487),('GB',3589721488,3589721495),('BE',3589721496,3589721575),('GB',3589721576,3589721583),('BE',3589721584,3589721607),('GB',3589721608,3589721615),('BE',3589721616,3589721647),('GB',3589721648,3589721655),('BE',3589721656,3589721671),('GB',3589721672,3589721695),('BE',3589721696,3589721711),('GB',3589721712,3589721791),('BE',3589721792,3589721831),('GB',3589721832,3589721847),('BE',3589721848,3589721879),('GB',3589721880,3589721887),('BE',3589721888,3589721895),('GB',3589721896,3589721899),('BE',3589721900,3589721951),('GB',3589721952,3589721955),('BE',3589721956,3589721967),('GB',3589721968,3589721983),('BE',3589721984,3589722059),('GB',3589722060,3589722063),('BE',3589722064,3589722143),('GB',3589722144,3589722167),('BE',3589722168,3589722175),('GB',3589722176,3589722207),('BE',3589722208,3589722247),('GB',3589722248,3589722255),('BE',3589722256,3589722279),('GB',3589722280,3589722287),('BE',3589722288,3589722295),('GB',3589722296,3589722299),('BE',3589722300,3589722351),('GB',3589722352,3589722359),('BE',3589722360,3589722395),('GB',3589722396,3589722399),('BE',3589722400,3589722439),('GB',3589722440,3589722447),('BE',3589722448,3589722511),('GB',3589722512,3589722527),('BE',3589722528,3589722607),('GB',3589722608,3589722615),('BE',3589722616,3589722639),('GB',3589722640,3589722647),('BE',3589722648,3589722655),('GB',3589722656,3589722663),('BE',3589722664,3589722691),('GB',3589722692,3589722703),('BE',3589722704,3589722799),('GB',3589722800,3589722803),('BE',3589722804,3589722807),('GB',3589722808,3589722815),('BE',3589722816,3589722835),('GB',3589722836,3589722843),('BE',3589722844,3589722855),('GB',3589722856,3589722863),('BE',3589722864,3589722871),('GB',3589722872,3589722875),('BE',3589722876,3589722883),('GB',3589722884,3589722887),('BE',3589722888,3589722943),('GB',3589722944,3589722999),('BE',3589723000,3589723023),('GB',3589723024,3589723095),('BE',3589723096,3589723391),('GB',3589723392,3589723647),('BE',3589723648,3589723775),('GB',3589723776,3589723839),('BE',3589723840,3589723903),('GB',3589723904,3589723967),('BE',3589723968,3589724031),('GB',3589724032,3589724039),('BE',3589724040,3589724047),('GB',3589724048,3589724159),('BE',3589724160,3589724223),('GB',3589724224,3589724287),('BE',3589724288,3589724351),('GB',3589724352,3589724415),('BE',3589724416,3589724423),('GB',3589724424,3589724431),('BE',3589724432,3589724607),('GB',3589724608,3589724631),('BE',3589724632,3589724639),('GB',3589724640,3589724647),('BE',3589724648,3589724671),('GB',3589724672,3589724735),('BE',3589724736,3589724775),('GB',3589724776,3589724783),('BE',3589724784,3589724791),('GB',3589724792,3589724807),('BE',3589724808,3589724823),('GB',3589724824,3589724831),('BE',3589724832,3589724839),('GB',3589724840,3589724847),('BE',3589724848,3589724863),('GB',3589724864,3589724883),('BE',3589724884,3589724887),('GB',3589724888,3589724927),('BE',3589724928,3589725023),('GB',3589725024,3589725039),('BE',3589725040,3589725135),('GB',3589725136,3589725279),('BE',3589725280,3589725295),('GB',3589725296,3589725375),('BE',3589725376,3589725383),('GB',3589725384,3589725391),('BE',3589725392,3589725407),('GB',3589725408,3589725423),('BE',3589725424,3589725439),('GB',3589725440,3589725463),('BE',3589725464,3589725495),('GB',3589725496,3589725503),('BE',3589725504,3589725567),('GB',3589725568,3589725583),('BE',3589725584,3589725591),('GB',3589725592,3589725607),('BE',3589725608,3589725615),('GB',3589725616,3589725631),('BE',3589725632,3589725759),('GB',3589725760,3589725767),('BE',3589725768,3589725775),('GB',3589725776,3589725783),('BE',3589725784,3589725791),('GB',3589725792,3589725807),('BE',3589725808,3589725831),('GB',3589725832,3589725863),('BE',3589725864,3589725871),('GB',3589725872,3589725895),('BE',3589725896,3589725903),('GB',3589725904,3589725943),('BE',3589725944,3589725959),('GB',3589725960,3589725983),('BE',3589725984,3589725999),('GB',3589726000,3589726007),('BE',3589726008,3589726023),('GB',3589726024,3589726031),('BE',3589726032,3589726047),('GB',3589726048,3589726055),('BE',3589726056,3589726071),('GB',3589726072,3589726095),('BE',3589726096,3589726111),('GB',3589726112,3589726143),('BE',3589726144,3589726167),('GB',3589726168,3589726183),('BE',3589726184,3589726191),('GB',3589726192,3589726199),('BE',3589726200,3589726207),('GB',3589726208,3589726351),('BE',3589726352,3589726359),('GB',3589726360,3589726367),('BE',3589726368,3589726391),('GB',3589726392,3589726407),('BE',3589726408,3589726415),('GB',3589726416,3589726439),('BE',3589726440,3589726447),('GB',3589726448,3589726519),('BE',3589726520,3589726527),('GB',3589726528,3589726551),('BE',3589726552,3589726599),('GB',3589726600,3589726631),('BE',3589726632,3589726655),('GB',3589726656,3589726663),('BE',3589726664,3589726671),('GB',3589726672,3589726687),('BE',3589726688,3589726695),('GB',3589726696,3589726783),('BE',3589726784,3589726791),('GB',3589726792,3589726847),('BE',3589726848,3589726911),('GB',3589726912,3589726975),('BE',3589726976,3589726983),('GB',3589726984,3589727007),('BE',3589727008,3589727015),('GB',3589727016,3589727055),('BE',3589727056,3589727063),('GB',3589727064,3589727071),('BE',3589727072,3589727095),('GB',3589727096,3589727127),('BE',3589727128,3589727143),('GB',3589727144,3589727159),('BE',3589727160,3589727175),('GB',3589727176,3589727215),('BE',3589727216,3589727223),('GB',3589727224,3589727295),('BE',3589727296,3589727319),('GB',3589727320,3589727327),('BE',3589727328,3589727391),('GB',3589727392,3589727399),('BE',3589727400,3589727431),('GB',3589727432,3589727439),('BE',3589727440,3589727447),('GB',3589727448,3589727455),('BE',3589727456,3589727463),('GB',3589727464,3589727471),('BE',3589727472,3589727487),('GB',3589727488,3589727743),('BE',3589727744,3589727759),('GB',3589727760,3589727999),('BE',3589728000,3589728255),('GB',3589728256,3589729111),('BE',3589729112,3589729127),('GB',3589729128,3589729151),('BE',3589729152,3589729191),('GB',3589729192,3589729215),('BE',3589729216,3589729287),('GB',3589729288,3589729295),('BE',3589729296,3589729311),('GB',3589729312,3589729343),('BE',3589729344,3589729407),('GB',3589729408,3589729559),('BE',3589729560,3589729567),('GB',3589729568,3589729583),('BE',3589729584,3589729607),('GB',3589729608,3589729631),('BE',3589729632,3589729647),('GB',3589729648,3589729679),('BE',3589729680,3589729703),('GB',3589729704,3589729751),('BE',3589729752,3589729775),('GB',3589729776,3589729799),('BE',3589729800,3589729815),('GB',3589729816,3589729823),('BE',3589729824,3589729855),('GB',3589729856,3589729895),('BE',3589729896,3589729903),('GB',3589729904,3589729919),('BE',3589729920,3589729935),('GB',3589729936,3589729951),('BE',3589729952,3589729959),('GB',3589729960,3589729975),('BE',3589729976,3589729983),('GB',3589729984,3589729991),('BE',3589729992,3589730015),('GB',3589730016,3589730031),('BE',3589730032,3589730039),('GB',3589730040,3589730047),('BE',3589730048,3589730055),('GB',3589730056,3589730063),('BE',3589730064,3589730071),('GB',3589730072,3589730079),('BE',3589730080,3589730095),('GB',3589730096,3589730103),('BE',3589730104,3589730111),('GB',3589730112,3589730119),('BE',3589730120,3589730135),('GB',3589730136,3589730143),('BE',3589730144,3589730151),('GB',3589730152,3589730159),('BE',3589730160,3589730175),('GB',3589730176,3589730279),('BE',3589730280,3589730287),('GB',3589730288,3589730295),('BE',3589730296,3589730815),('GB',3589730816,3589731455),('BE',3589731456,3589731599),('GB',3589731600,3589731607),('BE',3589731608,3589731615),('GB',3589731616,3589731623),('BE',3589731624,3589731631),('GB',3589731632,3589731679),('BE',3589731680,3589731719),('GB',3589731720,3589731735),('BE',3589731736,3589731783),('GB',3589731784,3589731791),('BE',3589731792,3589731799),('GB',3589731800,3589731831),('BE',3589731832,3589731839),('GB',3589731840,3589732111),('BE',3589732112,3589732239),('GB',3589732240,3589732255),('BE',3589732256,3589732287),('GB',3589732288,3589732295),('BE',3589732296,3589732303),('GB',3589732304,3589732319),('BE',3589732320,3589732327),('GB',3589732328,3589732607),('BE',3589732608,3589732711),('GB',3589732712,3589732743),('BE',3589732744,3589732759),('GB',3589732760,3589732783),('BE',3589732784,3589732863),('GB',3589732864,3589733183),('BE',3589733184,3589733191),('GB',3589733192,3589733439),('BE',3589733440,3589733455),('GB',3589733456,3589733695),('BE',3589733696,3589733711),('GB',3589733712,3589734015),('BE',3589734016,3589734055),('GB',3589734056,3589734063),('BE',3589734064,3589734119),('GB',3589734120,3589734159),('BE',3589734160,3589734175),('GB',3589734176,3589734207),('BE',3589734208,3589734271),('GB',3589734272,3589734319),('BE',3589734320,3589734327),('GB',3589734328,3589734335),('BE',3589734336,3589734391),('GB',3589734392,3589734399),('EG',3589734400,3589742591),('NL',3589742592,3589744895),('BE',3589744896,3589744959),('NL',3589744960,3589745119),('BE',3589745120,3589745151),('NL',3589745152,3589747047),('BE',3589747048,3589747055),('NL',3589747056,3589747071),('ES',3589747072,3589747103),('NL',3589747104,3589747167),('IE',3589747168,3589747199),('NL',3589747200,3589747327),('US',3589747328,3589747455),('NL',3589747456,3589750783),('IL',3589750784,3589761535),('FR',3589761536,3589767167),('RU',3589767168,3589816319),('EU',3589816320,3589827071),('SE',3589827072,3589827327),('FR',3589827328,3589827583),('HU',3589827584,3589827687),('EU',3589827688,3589827695),('PL',3589827696,3589827711),('DE',3589827712,3589827839),('EU',3589827840,3589828095),('FR',3589828096,3589828111),('EU',3589828112,3589828159),('FR',3589828160,3589828607),('SE',3589828608,3589828639),('NL',3589828640,3589828671),('EU',3589828672,3589828735),('NL',3589828736,3589828863),('EU',3589828864,3589829183),('GB',3589829184,3589829247),('EU',3589829248,3589829375),('GB',3589829376,3589829887),('EU',3589829888,3589830143),('GB',3589830144,3589830655),('DE',3589830656,3589831167),('US',3589831168,3589831679),('EU',3589831680,3589831935),('FR',3589831936,3589832447),('EU',3589832448,3589832703),('TR',3589832704,3589849087),('GB',3589849088,3589865471),('GR',3589865472,3589881855),('NL',3589881856,3589890047),('BE',3589890048,3589890175),('GB',3589890176,3589890303),('BE',3589890304,3589890367),('GB',3589890368,3589890431),('BE',3589890432,3589890559),('GB',3589890560,3589890687),('BE',3589890688,3589891327),('GB',3589891328,3589891615),('BE',3589891616,3589891631),('GB',3589891632,3589931007),('SI',3589931008,3589947391),('FI',3589947392,3589963775),('ES',3589963776,3589971231),('CA',3589971232,3589971247),('ES',3589971248,3589980159),('CZ',3589980160,3589996543),('NL',3589996544,3589996623),('GB',3589996624,3589996639),('NL',3589996640,3589996655),('GB',3589996656,3589996703),('NL',3589996704,3589996799),('GB',3589996800,3589996863),('NL',3589996864,3589996879),('GB',3589996880,3589996911),('NL',3589996912,3589996931),('GB',3589996932,3589996959),('NL',3589996960,3589996991),('GB',3589996992,3589997055),('NL',3589997056,3589997311),('GB',3589997312,3589997439),('NL',3589997440,3589997503),('GB',3589997504,3589997535),('NL',3589997536,3589997543),('GB',3589997544,3589997559),('NL',3589997560,3589997567),('GB',3589997568,3590012927),('BE',3590012928,3590029311),('FR',3590029312,3590045695),('RU',3590045696,3590053887),('UA',3590053888,3590057983),('RU',3590057984,3590062079),('DE',3590062080,3590078463),('RU',3590078464,3590094847),('DE',3590094848,3590111231),('LT',3590111232,3590113023),('LV',3590113024,3590113279),('LT',3590113280,3590127615),('GB',3590127616,3590128127),('FR',3590128128,3590128383),('GB',3590128384,3590128639),('IT',3590128640,3590128895),('NL',3590128896,3590129151),('GB',3590129152,3590135551),('ES',3590135552,3590135807),('GB',3590135808,3590137855),('PT',3590137856,3590138111),('GB',3590138112,3590143999),('SI',3590144000,3590151143),('HR',3590151144,3590151151),('SI',3590151152,3590154047),('HR',3590154048,3590154063),('SI',3590154064,3590155799),('HR',3590155800,3590155807),('SI',3590155808,3590155815),('HR',3590155816,3590155823),('SI',3590155824,3590156287),('HR',3590156288,3590156415),('SI',3590156416,3590156423),('HR',3590156424,3590156431),('SI',3590156432,3590156447),('HR',3590156448,3590156679),('SI',3590156680,3590156687),('HR',3590156688,3590156959),('AE',3590156960,3590156991),('SI',3590156992,3590157039),('RS',3590157040,3590157055),('HR',3590157056,3590157311),('RS',3590157312,3590157343),('SI',3590157344,3590157439),('RS',3590157440,3590157455),('SI',3590157456,3590157471),('RS',3590157472,3590157567),('SI',3590157568,3590157631),('RS',3590157632,3590157663),('SI',3590157664,3590157695),('RS',3590157696,3590157735),('SI',3590157736,3590157743),('RS',3590157744,3590157751),('SI',3590157752,3590157759),('RS',3590157760,3590157775),('SI',3590157776,3590157823),('RS',3590157824,3590157831),('SI',3590157832,3590157847),('RS',3590157848,3590157951),('SI',3590157952,3590158015),('RS',3590158016,3590158343),('SI',3590158344,3590158407),('RS',3590158408,3590158439),('SI',3590158440,3590158455),('RS',3590158456,3590158479),('SI',3590158480,3590158503),('RS',3590158504,3590158511),('SI',3590158512,3590158591),('RS',3590158592,3590159359),('SI',3590159360,3590160383),('GB',3590160384,3590176767),('HU',3590176768,3590178615),('MK',3590178616,3590178623),('HU',3590178624,3590193151),('IT',3590193152,3590201343),('DE',3590201344,3590209535),('ES',3590209536,3590225919),('TR',3590225920,3590234111),('GB',3590234112,3590242303),('US',3590242304,3590244351),('FR',3590244352,3590244415),('GB',3590244416,3590244863),('GR',3590244864,3590245119),('BE',3590245120,3590245183),('FR',3590245184,3590245215),('BE',3590245216,3590245375),('GB',3590245376,3590245439),('FR',3590245440,3590245503),('GB',3590245504,3590245567),('US',3590245568,3590245631),('FR',3590245632,3590245887),('US',3590245888,3590245983),('FR',3590245984,3590246175),('AU',3590246176,3590246207),('FR',3590246208,3590246271),('DE',3590246272,3590246287),('GB',3590246288,3590246303),('FR',3590246304,3590246399),('GB',3590246400,3590246911),('DE',3590246912,3590247039),('IT',3590247040,3590247055),('DE',3590247056,3590247063),('GB',3590247064,3590247071),('IT',3590247072,3590247087),('GB',3590247088,3590247167),('US',3590247168,3590247231),('IT',3590247232,3590247295),('US',3590247296,3590247423),('IT',3590247424,3590247487),('US',3590247488,3590247551),('IT',3590247552,3590247679),('GB',3590247680,3590247935),('ES',3590247936,3590248191),('GB',3590248192,3590248447),('US',3590248448,3590248959),('ES',3590248960,3590249471),('IE',3590249472,3590249983),('GR',3590249984,3590250495),('IE',3590250496,3590250751),('GR',3590250752,3590251007),('ES',3590251008,3590251263),('DE',3590251264,3590251519),('ES',3590251520,3590251551),('GB',3590251552,3590251583),('US',3590251584,3590251647),('GB',3590251648,3590251775),('US',3590251776,3590251839),('ES',3590251840,3590251903),('US',3590251904,3590251967),('ES',3590251968,3590252543),('GB',3590252544,3590253375),('US',3590253376,3590253407),('GB',3590253408,3590253567),('MU',3590253568,3590253823),('GB',3590253824,3590254079),('DE',3590254080,3590254087),('GB',3590254088,3590254095),('DE',3590254096,3590254111),('IL',3590254112,3590254127),('RU',3590254128,3590254135),('GB',3590254136,3590254143),('US',3590254144,3590254207),('FR',3590254208,3590254271),('DE',3590254272,3590254279),('GB',3590254280,3590254303),('US',3590254304,3590254335),('DE',3590254336,3590254431),('GB',3590254432,3590254591),('ES',3590254592,3590254879),('GB',3590254880,3590254911),('ES',3590254912,3590254975),('GB',3590254976,3590255047),('ES',3590255048,3590255071),('GB',3590255072,3590255103),('ES',3590255104,3590255359),('GB',3590255360,3590255935),('US',3590255936,3590255999),('GB',3590256000,3590256383),('DE',3590256384,3590256639),('US',3590256640,3590256703),('BE',3590256704,3590256719),('GB',3590256720,3590256735),('BE',3590256736,3590256767),('GB',3590256768,3590256895),('FR',3590256896,3590257151),('GB',3590257152,3590257663),('DE',3590257664,3590258175),('GB',3590258176,3590258387),('DE',3590258388,3590258391),('GB',3590258392,3590258463),('US',3590258464,3590258495),('GB',3590258496,3590258687),('IT',3590258688,3590291455),('EG',3590291456,3590299647),('FI',3590299648,3590307839),('CG',3590307840,3590307903),('UA',3590307904,3590307935),('A2',3590307936,3590307951),('NG',3590307952,3590307967),('CD',3590307968,3590307999),('A2',3590308000,3590308031),('UG',3590308032,3590308047),('NG',3590308048,3590308055),('A2',3590308056,3590308063),('ZM',3590308064,3590308071),('SZ',3590308072,3590308079),('A2',3590308080,3590308351),('CG',3590308352,3590308607),('NG',3590308608,3590308735),('A2',3590308736,3590308767),('RW',3590308768,3590308775),('ZA',3590308776,3590308783),('ZW',3590308784,3590308799),('A2',3590308800,3590308831),('CG',3590308832,3590308839),('NG',3590308840,3590308911),('BI',3590308912,3590308927),('A2',3590308928,3590308951),('GH',3590308952,3590308959),('A2',3590308960,3590308991),('ZM',3590308992,3590308999),('UG',3590309000,3590309007),('A2',3590309008,3590309023),('ZW',3590309024,3590309055),('A2',3590309056,3590309079),('GH',3590309080,3590309087),('A2',3590309088,3590309103),('ZW',3590309104,3590309111),('A2',3590309112,3590309119),('GB',3590309120,3590309375),('A2',3590309376,3590309511),('AO',3590309512,3590309519),('NG',3590309520,3590309527),('CM',3590309528,3590309535),('SO',3590309536,3590309543),('AM',3590309544,3590309551),('A2',3590309552,3590309567),('NG',3590309568,3590309575),('AO',3590309576,3590309583),('ZW',3590309584,3590309591),('SO',3590309592,3590309599),('KE',3590309600,3590309607),('A2',3590309608,3590309615),('UG',3590309616,3590309623),('A2',3590309624,3590309759),('NG',3590309760,3590309887),('MW',3590309888,3590310143),('A2',3590310144,3590310399),('UA',3590310400,3590310655),('GB',3590310656,3590310911),('NG',3590310912,3590311423),('GB',3590311424,3590311679),('YT',3590311680,3590311935),('MW',3590311936,3590312703),('A2',3590312704,3590312799),('KE',3590312800,3590312807),('A2',3590312808,3590312815),('MW',3590312816,3590312823),('A2',3590312824,3590312831),('NG',3590312832,3590312895),('ZA',3590312896,3590312903),('A2',3590312904,3590312911),('NG',3590312912,3590312927),('UG',3590312928,3590312943),('NG',3590312944,3590312951),('A2',3590312952,3590314639),('GH',3590314640,3590314655),('A2',3590314656,3590314671),('UG',3590314672,3590314679),('CG',3590314680,3590314687),('NG',3590314688,3590314703),('A2',3590314704,3590314735),('NG',3590314736,3590314751),('A2',3590314752,3590314775),('KE',3590314776,3590314783),('A2',3590314784,3590314799),('NG',3590314800,3590314807),('A2',3590314808,3590314815),('NG',3590314816,3590314823),('A2',3590314824,3590314895),('NG',3590314896,3590314903),('KE',3590314904,3590314911),('GH',3590314912,3590314927),('NG',3590314928,3590314943),('A2',3590314944,3590314959),('NG',3590314960,3590314967),('YT',3590314968,3590314973),('A2',3590314974,3590314975),('UG',3590314976,3590314983),('A2',3590314984,3590316031),('CI',3590316032,3590316039),('A2',3590316040,3590316047),('GH',3590316048,3590316055),('LB',3590316056,3590316063),('NG',3590316064,3590316071),('BJ',3590316072,3590316079),('A2',3590316080,3590316087),('IQ',3590316088,3590316127),('NG',3590316128,3590316151),('GR',3590316152,3590316159),('LB',3590316160,3590316543),('A2',3590316544,3590316559),('IQ',3590316560,3590316575),('A2',3590316576,3590316591),('IQ',3590316592,3590316599),('A2',3590316600,3590316615),('GR',3590316616,3590316623),('IQ',3590316624,3590316632),('A2',3590316633,3590316647),('LB',3590316648,3590316655),('IQ',3590316656,3590316663),('A2',3590316664,3590316671),('IQ',3590316672,3590316679),('A2',3590316680,3590316687),('IQ',3590316688,3590316695),('NG',3590316696,3590316703),('A2',3590316704,3590316727),('LB',3590316728,3590316735),('GR',3590316736,3590316751),('A2',3590316752,3590316783),('NG',3590316784,3590316791),('CI',3590316792,3590316799),('RS',3590316800,3590317055),('US',3590317056,3590317079),('UA',3590317080,3590317311),('IQ',3590317312,3590317343),('A2',3590317344,3590317567),('IQ',3590317568,3590317631),('UA',3590317632,3590317695),('IQ',3590317696,3590317823),('UA',3590317824,3590317919),('IQ',3590317920,3590317951),('UA',3590317952,3590318063),('A2',3590318064,3590318079),('IQ',3590318080,3590319167),('AE',3590319168,3590319359),('US',3590319360,3590319375),('AE',3590319376,3590319391),('US',3590319392,3590319423),('AE',3590319424,3590320112),('IQ',3590320113,3590320127),('NG',3590320128,3590320191),('LB',3590320192,3590320199),('A2',3590320200,3590320231),('IQ',3590320232,3590320239),('A2',3590320240,3590320247),('LB',3590320248,3590320255),('A2',3590320256,3590320383),('CM',3590320384,3590320639),('A2',3590320640,3590321151),('IQ',3590321152,3590321663),('A2',3590321664,3590321711),('IQ',3590321712,3590321727),('A2',3590321728,3590321927),('IQ',3590321928,3590321935),('LY',3590321936,3590321943),('NG',3590321944,3590321951),('IQ',3590321952,3590321959),('A2',3590321960,3590321967),('TR',3590321968,3590321983),('NG',3590321984,3590321991),('A2',3590321992,3590321999),('CY',3590322000,3590322007),('A2',3590322008,3590322023),('AO',3590322024,3590322031),('A2',3590322032,3590322047),('IQ',3590322048,3590322055),('NE',3590322056,3590322063),('A2',3590322064,3590322071),('IQ',3590322072,3590322079),('A2',3590322080,3590322111),('BJ',3590322112,3590322119),('IQ',3590322120,3590322127),('GH',3590322128,3590322135),('A2',3590322136,3590322151),('NG',3590322152,3590322159),('A2',3590322160,3590322167),('IQ',3590322168,3590322175),('NG',3590322176,3590322303),('IQ',3590322304,3590322367),('A2',3590322368,3590322375),('LB',3590322376,3590322391),('A2',3590322392,3590322399),('AO',3590322400,3590322415),('LR',3590322416,3590322423),('AM',3590322424,3590322431),('LB',3590322432,3590322687),('IQ',3590322688,3590323199),('MW',3590323200,3590323711),('A2',3590323712,3590323903),('CD',3590323904,3590323911),('A2',3590323912,3590323967),('NG',3590323968,3590324223),('US',3590324224,3623890943),('ZA',3623890944,3623891199),('US',3623891200,3623891455),('ZA',3623891456,3623891711),('US',3623891712,3623891967),('ZA',3623891968,3623892479),('US',3623892480,3624054783),('ZA',3624054784,3624056831),('US',3624056832,3624181759),('ZA',3624181760,3624182783),('US',3624182784,3624206335),('ZA',3624206336,3624208383),('US',3624208384,3624255487),('ZA',3624255488,3624257535),('US',3624257536,3624271871),('SY',3624271872,3624272383),('US',3624272384,3624272415),('CA',3624272416,3624272639),('DZ',3624272640,3624272895),('CA',3624272896,3624279039),('BD',3624279040,3624279087),('CA',3624279088,3624281087),('HT',3624281088,3624281343),('CA',3624281344,3624288255),('IN',3624288256,3624290303),('CA',3624290304,3624292351),('GP',3624292352,3624292607),('CA',3624292608,3624295935),('LY',3624295936,3624296191),('CA',3624296192,3624297471),('CO',3624297472,3624298495),('PH',3624298496,3624299519),('CA',3624299520,3624300031),('LY',3624300032,3624300287),('CA',3624300288,3624303359),('US',3624303360,3624303615),('CA',3624303616,3624303743),('ZA',3624303744,3624303759),('CA',3624303760,3624304639),('US',3624304640,3624321023),('CA',3624321024,3624325119),('US',3624325120,3624353791),('KN',3624357888,3624358143),('US',3624358144,3624359679),('AN',3624359680,3624360703),('US',3624360704,3624370175),('US',3624374272,3624379391),('SG',3624379392,3624379399),('US',3624379400,3624380415),('CA',3624380416,3624380447),('GB',3624380448,3624380455),('US',3624380456,3624380511),('HK',3624380512,3624380519),('US',3624380520,3624380527),('BE',3624380528,3624380535),('US',3624380536,3624380543),('CA',3624380544,3624380551),('US',3624380552,3624380687),('AU',3624380688,3624380695),('US',3624380696,3624380719),('SG',3624380720,3624380727),('US',3624380728,3624380735),('VI',3624380736,3624380743),('US',3624380744,3624380751),('CA',3624380752,3624380759),('CY',3624380760,3624380767),('US',3624380768,3624380799),('GB',3624380800,3624380807),('US',3624380808,3624380831),('OM',3624380832,3624380839),('US',3624380840,3624380855),('AR',3624380856,3624380863),('US',3624380864,3624380935),('SA',3624380936,3624380943),('GB',3624380944,3624380967),('TW',3624380968,3624380983),('US',3624380984,3624381471),('AU',3624381472,3624381503),('US',3624381504,3624381535),('CA',3624381536,3624381567),('MY',3624381568,3624381583),('US',3624381584,3624381807),('IN',3624381808,3624381823),('US',3624381824,3624381855),('AU',3624381856,3624381887),('CH',3624381888,3624381903),('US',3624381904,3624383071),('GB',3624383072,3624383087),('PT',3624383088,3624383103),('US',3624383104,3624383183),('DE',3624383184,3624383199),('US',3624383200,3624384767),('CA',3624384768,3624385023),('US',3624385024,3624386559),('CA',3624386560,3624394751),('US',3624394752,3624435711),('CA',3624435712,3624452095),('US',3624452096,3624474879),('CA',3624474880,3624475391),('US',3624475392,3624480767),('CA',3624480768,3624484863),('US',3624484864,3624529919),('CA',3624529920,3624534015),('US',3624534016,3624546303),('A2',3624546304,3624549119),('US',3624549120,3624549375),('A2',3624549376,3624550399),('US',3624550400,3624730623),('CA',3624730624,3624796159),('US',3624796160,3624798207),('CA',3624798208,3624798975),('US',3624798976,3624803071),('CA',3624803072,3624803583),('US',3624803584,3624804607),('CA',3624804608,3624804863),('US',3624804864,3624807935),('CA',3624807936,3624808447),('US',3624808448,3624811519),('CA',3624811520,3624812287),('US',3624812288,3624828927),('CA',3624828928,3624833023),('US',3624833024,3624845311),('AU',3624845312,3624849407),('US',3624849408,3624895055),('TZ',3624895056,3624895071),('US',3624895072,3624895103),('DE',3624895104,3624895119),('US',3624895120,3624895135),('IN',3624895136,3624895151),('US',3624895152,3624895183),('GB',3624895184,3624895199),('US',3624895200,3624895775),('MY',3624895776,3624895807),('US',3624895808,3624895935),('IN',3624895936,3624895967),('US',3624895968,3624896287),('GB',3624896288,3624896319),('US',3624896320,3624896415),('AT',3624896416,3624896447),('US',3624896448,3624898815),('AU',3624898816,3624899071),('CA',3624899072,3624899327),('US',3624899328,3624899583),('AU',3624899584,3624899839),('US',3624899840,3624900607),('AU',3624900608,3624900639),('BE',3624900640,3624900671),('US',3624900672,3624900735),('CA',3624900736,3624900799),('US',3624900800,3624900831),('DE',3624900832,3624900863),('US',3624900864,3624900951),('FR',3624900952,3624900959),('US',3624900960,3624900967),('CA',3624900968,3624900975),('US',3624900976,3624901055),('CA',3624901056,3624901063),('US',3624901064,3624901279),('IN',3624901280,3624901311),('US',3624901312,3624901887),('IN',3624901888,3624901919),('MY',3624901920,3624901951),('US',3624901952,3624902111),('IN',3624902112,3624902143),('US',3624902144,3624902271),('MY',3624902272,3624902399),('US',3624902400,3624902655),('IN',3624902656,3624902783),('CA',3624902784,3624902911),('US',3624902912,3624902943),('FR',3624902944,3624902975),('US',3624902976,3624903007),('GB',3624903008,3624903071),('US',3624903072,3624903167),('CA',3624903168,3624903423),('US',3624903424,3624903551),('CA',3624903552,3624903583),('US',3624903584,3624903679),('CA',3624903680,3624904703),('IN',3624904704,3624904767),('US',3624904768,3624905087),('CA',3624905088,3624905151),('US',3624905152,3624905471),('CA',3624905472,3624905727),('US',3624905728,3624906879),('TW',3624906880,3624907007),('FR',3624907008,3624907039),('US',3624907040,3624907071),('GB',3624907072,3624907103),('US',3624907104,3624907455),('MY',3624907456,3624907518),('US',3624907519,3624907519),('IN',3624907520,3624907551),('US',3624907552,3624907583),('CA',3624907584,3624907615),('US',3624907616,3624907679),('IN',3624907680,3624907711),('US',3624907712,3624907745),('IN',3624907746,3624907775),('MY',3624907776,3624907903),('SG',3624907904,3624908031),('TW',3624908032,3624908159),('US',3624908160,3624908287),('CA',3624908288,3624908319),('US',3624908320,3624908351),('BR',3624908352,3624908383),('IN',3624908384,3624908415),('US',3624908416,3624908479),('CA',3624908480,3624908511),('US',3624908512,3624908607),('CA',3624908608,3624908622),('US',3624908623,3624908639),('CA',3624908640,3624908687),('US',3624908688,3624908783),('CA',3624908784,3624908799),('US',3624908800,3624909375),('VE',3624909376,3624909407),('US',3624909408,3624909471),('AU',3624909472,3624909503),('US',3624909504,3624909567),('MY',3624909568,3624909822),('US',3624909823,3624909823),('CA',3624909824,3624909951),('US',3624909952,3624910079),('CA',3624910080,3624910111),('US',3624910112,3624910175),('BE',3624910176,3624910207),('US',3624910208,3624910271),('FR',3624910272,3624910303),('US',3624910304,3624910655),('TZ',3624910656,3624910687),('CA',3624910688,3624910719),('US',3624910720,3624910751),('TZ',3624910752,3624910783),('US',3624910784,3624910815),('AU',3624910816,3624910847),('US',3624910848,3624910911),('IN',3624910912,3624910975),('FR',3624910976,3624911007),('GB',3624911008,3624911039),('US',3624911040,3624911103),('CA',3624911104,3624911135),('US',3624911136,3624911359),('CA',3624911360,3624911615),('US',3624911616,3624911999),('CA',3624912000,3624912127),('US',3624912128,3624912639),('MY',3624912640,3624912895),('US',3624912896,3624913023),('IN',3624913024,3624913087),('US',3624913088,3624913311),('CA',3624913312,3624913343),('PK',3624913344,3624913375),('US',3624913376,3624914047),('IN',3624914048,3624914079),('US',3624914080,3624914143),('GB',3624914144,3624914175),('US',3624914176,3624914271),('CA',3624914272,3624914303),('US',3624914304,3624914335),('CA',3624914336,3624914367),('US',3624914368,3624914687),('BE',3624914688,3624914943),('US',3624914944,3624915199),('CA',3624915200,3624915455),('US',3624915456,3624915903),('HK',3624915904,3624915935),('US',3624915936,3624916159),('MY',3624916160,3624916223),('US',3624916224,3624917247),('AU',3624917248,3624917503),('US',3624917504,3624917919),('CH',3624917920,3624917951),('US',3624917952,3624917983),('CA',3624917984,3624918015),('US',3624918016,3624918527),('CA',3624918528,3624918783),('HK',3624918784,3624918815),('US',3624918816,3624918847),('IN',3624918848,3624918875),('US',3624918876,3624919007),('MY',3624919008,3624919039),('US',3624919040,3624919071),('BE',3624919072,3624919103),('US',3624919104,3624919295),('CA',3624919296,3624919423),('IN',3624919424,3624919551),('CA',3624919552,3624919679),('US',3624919680,3624919967),('BE',3624919968,3624919999),('CA',3624920000,3624920031),('US',3624920032,3624920063),('CA',3624920064,3624920191),('IN',3624920192,3624920319),('CA',3624920320,3624920703),('IN',3624920704,3624920831),('CA',3624920832,3624920959),('IN',3624920960,3624921087),('PK',3624921088,3624921215),('CA',3624921216,3624921343),('US',3624921344,3624921599),('CA',3624921600,3624922111),('US',3624922112,3624922143),('MY',3624922144,3624922207),('FR',3624922208,3624922239),('US',3624922240,3624922335),('FR',3624922336,3624922367),('IN',3624922368,3624922495),('BE',3624922496,3624922623),('US',3624922624,3624922815),('FR',3624922816,3624922847),('US',3624922848,3624922879),('IN',3624922880,3624923007),('CA',3624923008,3624923263),('US',3624923264,3624923391),('CA',3624923392,3624923519),('US',3624923520,3624923647),('CA',3624923648,3624923775),('US',3624923776,3624924095),('CA',3624924096,3624924127),('US',3624924128,3624924287),('CA',3624924288,3624924671),('US',3624924672,3624924895),('CA',3624924896,3624924927),('US',3624924928,3624925054),('CA',3624925055,3624925695),('US',3624925696,3624926719),('CA',3624926720,3624926975),('US',3624926976,3624927039),('HK',3624927040,3624927071),('US',3624927072,3624927167),('TH',3624927168,3624927199),('US',3624927200,3624959999),('US',3624976384,3624984575),('CA',3624984576,3624992767),('US',3624992768,3625002351),('CA',3625002352,3625002367),('US',3625002368,3625019135),('ES',3625019136,3625019391),('US',3625019392,3625058303),('CA',3625058304,3625091071),('US',3625091072,3625140223),('CA',3625140224,3625148415),('US',3625148416,3625168895),('CA',3625168896,3625172991),('US',3625172992,3625176767),('NZ',3625176768,3625176831),('US',3625176832,3625245439),('MX',3625245440,3625245767),('US',3625245768,3625245903),('BZ',3625245904,3625245911),('US',3625245912,3625245951),('MX',3625245952,3625246255),('US',3625246256,3625246263),('MX',3625246264,3625246271),('US',3625246272,3625246279),('MX',3625246280,3625246287),('US',3625246288,3625246295),('MX',3625246296,3625246375),('US',3625246376,3625246391),('MX',3625246392,3625246719),('US',3625246720,3625287679),('CA',3625287680,3625288887),('US',3625288888,3625288895),('CA',3625288896,3625289959),('US',3625289960,3625289967),('CA',3625289968,3625295871),('US',3625295872,3625320447),('CA',3625320448,3625320467),('US',3625320468,3625321727),('PA',3625321728,3625321983),('US',3625321984,3625325055),('RU',3625325056,3625325087),('US',3625325088,3625326632),('GB',3625326633,3625326642),('US',3625326643,3625327748),('ID',3625327749,3625327812),('US',3625327813,3625327814),('GB',3625327815,3625327824),('US',3625327825,3625327907),('ID',3625327908,3625327917),('US',3625327918,3625328059),('GB',3625328060,3625328067),('US',3625328068,3625329407),('CA',3625329408,3625329919),('US',3625329920,3625330943),('CA',3625330944,3625331199),('US',3625331200,3625331455),('CA',3625331456,3625331711),('US',3625331712,3625333279),('GB',3625333280,3625333287),('IL',3625333288,3625333295),('US',3625333296,3625333375),('PA',3625333376,3625333383),('GB',3625333384,3625333391),('US',3625333392,3625333399),('RU',3625333400,3625333407),('US',3625333408,3625333439),('RU',3625333440,3625333447),('US',3625333448,3625333455),('GB',3625333456,3625333463),('US',3625333464,3625346047),('AR',3625346048,3625346303),('US',3625346304,3625357631),('CA',3625357632,3625357639),('US',3625357640,3625358055),('CH',3625358056,3625358063),('US',3625358064,3625364351),('DE',3625364352,3625364479),('NL',3625364480,3625364607),('DE',3625364608,3625364733),('US',3625364734,3625364895),('NO',3625364896,3625364911),('US',3625364912,3625364951),('NL',3625364952,3625364959),('ZA',3625364960,3625364967),('US',3625364968,3625373711),('GB',3625373712,3625373719),('US',3625373720,3625373735),('CA',3625373736,3625373743),('GB',3625373744,3625373751),('US',3625373752,3625373823),('CA',3625373824,3625373831),('US',3625373832,3625373887),('GB',3625373888,3625373895),('US',3625373896,3625373953),('CA',3625373954,3625373983),('US',3625373984,3625374031),('GB',3625374032,3625374044),('US',3625374045,3625374047),('CA',3625374048,3625374063),('US',3625374064,3625374143),('CA',3625374144,3625374159),('US',3625374160,3625374879),('MX',3625374880,3625374911),('US',3625374912,3625375039),('CA',3625375040,3625375071),('US',3625375072,3625375135),('RU',3625375136,3625375167),('US',3625375168,3625375247),('CA',3625375248,3625375255),('US',3625375256,3625375271),('GB',3625375272,3625375279),('US',3625375280,3625375359),('SE',3625375360,3625375367),('US',3625375368,3625375399),('MT',3625375400,3625375407),('US',3625375408,3625375519),('JM',3625375520,3625375527),('US',3625375528,3625375599),('JM',3625375600,3625375607),('US',3625375608,3625375935),('SG',3625375936,3625375982),('US',3625375983,3625376031),('AR',3625376032,3625376063),('US',3625376064,3625376159),('LB',3625376160,3625376191),('TR',3625376192,3625376223),('US',3625376224,3625377023),('TH',3625377024,3625377535),('US',3625377536,3625377583),('CA',3625377584,3625377599),('US',3625377600,3625381911),('CA',3625381912,3625381919),('US',3625381920,3625382079),('CA',3625382080,3625382111),('US',3625382112,3625418751),('CA',3625418752,3625420031),('US',3625420032,3625420543),('CA',3625420544,3625422591),('US',3625422592,3625423103),('CA',3625423104,3625426943),('US',3625426944,3625430943),('KR',3625430944,3625430959),('US',3625430960,3625432127),('SG',3625432128,3625432143),('US',3625432144,3625508863),('CA',3625508864,3625512959),('PR',3625512960,3625517055),('US',3625517056,3625528541),('AU',3625528542,3625528551),('US',3625528552,3625574399),('A2',3625574400,3625578495),('US',3625578496,3625631743),('CA',3625631744,3625639935),('US',3625639936,3626025919),('LT',3626025920,3626025951),('US',3626025952,3626060735),('BM',3626060736,3626060743),('US',3626060744,3626061903),('BM',3626061904,3626061911),('US',3626061912,3626069279),('NL',3626069280,3626069311),('US',3626069312,3626072959),('AE',3626072960,3626072991),('US',3626072992,3626073439),('AE',3626073440,3626073455),('US',3626073456,3626108895),('AU',3626108896,3626108927),('US',3626108928,3626130415),('CA',3626130416,3626130431),('US',3626130432,3626142623),('AU',3626142624,3626142639),('US',3626142640,3626184191),('LT',3626184192,3626184223),('US',3626184224,3626191119),('GB',3626191120,3626191135),('US',3626191136,3626192767),('CH',3626192768,3626192799),('US',3626192800,3626213439),('GB',3626213440,3626213471),('US',3626213472,3626222591),('HK',3626222592,3626223103),('US',3626223104,3626227167),('AR',3626227168,3626227199),('US',3626227200,3626228463),('AE',3626228464,3626228479),('US',3626228480,3626270719),('CA',3626270720,3626287103),('US',3626287104,3626369023),('CA',3626369024,3626377215),('US',3626377216,3626508287),('CA',3626508288,3626512383),('US',3626512384,3626524671),('CA',3626524672,3626524823),('CR',3626524824,3626524831),('CA',3626524832,3626524927),('US',3626524928,3626524943),('CA',3626524944,3626524967),('US',3626524968,3626524975),('CA',3626524976,3626525783),('US',3626525784,3626525799),('IN',3626525800,3626525807),('CA',3626525808,3626526031),('US',3626526032,3626526039),('CA',3626526040,3626526239),('US',3626526240,3626526247),('CA',3626526248,3626526255),('US',3626526256,3626526263),('CA',3626526264,3626526279),('US',3626526280,3626526287),('CA',3626526288,3626526295),('US',3626526296,3626526303),('CA',3626526304,3626526431),('CR',3626526432,3626526463),('CA',3626526464,3626526567),('US',3626526568,3626526575),('CA',3626526576,3626526623),('US',3626526624,3626526631),('CA',3626526632,3626526711),('US',3626526712,3626526719),('CA',3626526720,3626526975),('US',3626526976,3626527031),('CA',3626527032,3626527135),('US',3626527136,3626527159),('CA',3626527160,3626527167),('US',3626527168,3626527183),('CA',3626527184,3626527487),('US',3626527488,3626527495),('CA',3626527496,3626527903),('US',3626527904,3626527911),('CA',3626527912,3626528239),('US',3626528240,3626528247),('CA',3626528248,3626528327),('US',3626528328,3626528335),('CA',3626528336,3626528631),('US',3626528632,3626528639),('CA',3626528640,3626528679),('US',3626528680,3626528695),('CA',3626528696,3626529735),('US',3626529736,3626529751),('CA',3626529752,3626529807),('US',3626529808,3626529863),('CA',3626529864,3626529919),('US',3626529920,3626529927),('CA',3626529928,3626530039),('US',3626530040,3626530055),('CA',3626530056,3626530207),('US',3626530208,3626530215),('CA',3626530216,3626530287),('US',3626530288,3626530295),('CA',3626530296,3626530327),('US',3626530328,3626530343),('CA',3626530344,3626530391),('US',3626530392,3626530415),('CA',3626530416,3626530439),('US',3626530440,3626530455),('CA',3626530456,3626530463),('US',3626530464,3626530479),('CA',3626530480,3626530487),('US',3626530488,3626530495),('CA',3626530496,3626530543),('US',3626530544,3626530559),('CA',3626530560,3626530815),('US',3626530816,3626530831),('CA',3626530832,3626530911),('US',3626530912,3626530919),('CA',3626530920,3626530943),('US',3626530944,3626530951),('CA',3626530952,3626530991),('US',3626530992,3626531007),('CA',3626531008,3626531031),('US',3626531032,3626531047),('CA',3626531048,3626531143),('US',3626531144,3626531151),('CA',3626531152,3626531199),('US',3626531200,3626531207),('CA',3626531208,3626531279),('US',3626531280,3626531287),('CA',3626531288,3626531839),('US',3626531840,3626531847),('CA',3626531848,3626532607),('US',3626532608,3626532615),('CA',3626532616,3626532863),('US',3626532864,3626852351),('CA',3626852352,3626860543),('US',3626860544,3626893311),('CA',3626893312,3626909695),('US',3626909696,3626926079),('CA',3626926080,3626934271),('US',3626934272,3627044863),('CA',3627044864,3627048959),('US',3627048960,3627065343),('CA',3627065344,3627069439),('US',3627069440,3627288575),('GB',3627288576,3627288607),('US',3627288608,3627310471),('BM',3627310472,3627310479),('US',3627310480,3627317087),('GB',3627317088,3627317119),('US',3627317120,3627317191),('CA',3627317192,3627317199),('US',3627317200,3627328055),('SR',3627328056,3627328063),('US',3627328064,3627350127),('IL',3627350128,3627350135),('US',3627350136,3627387903),('BR',3627387904,3627388415),('US',3627388416,3627399935),('GE',3627399936,3627399967),('US',3627399968,3627399999),('DE',3627400000,3627400063),('US',3627400064,3627400151),('DE',3627400152,3627400191),('US',3627400192,3627400319),('BR',3627400320,3627400351),('US',3627400352,3627400639),('CA',3627400640,3627400671),('US',3627400672,3627400959),('DE',3627400960,3627401103),('US',3627401104,3627401151),('BR',3627401152,3627401215),('US',3627401216,3627507711),('CA',3627507712,3627511807),('US',3627511808,3627519616),('CA',3627519617,3627519626),('US',3627519627,3627522690),('GB',3627522691,3627522700),('US',3627522701,3627524751),('AE',3627524752,3627524759),('US',3627524760,3627524979),('IR',3627524980,3627524987),('US',3627524988,3627525200),('AU',3627525201,3627525208),('US',3627525209,3627528301),('CA',3627528302,3627528321),('US',3627528322,3627532287),('CA',3627532288,3627544575),('US',3627544576,3627659263),('CA',3627659264,3627663359),('US',3627663360,3627665407),('CA',3627665408,3627665439),('US',3627665440,3627665839),('CA',3627665840,3627665855),('US',3627665856,3627666255),('CA',3627666256,3627666271),('US',3627666272,3627666719),('CA',3627666720,3627666751),('US',3627666752,3627667519),('CA',3627667520,3627667583),('US',3627667584,3627668671),('CA',3627668672,3627668735),('US',3627668736,3627669831),('CA',3627669832,3627669839),('US',3627669840,3627670799),('CA',3627670800,3627670815),('US',3627670816,3627679743),('CA',3627679744,3627712511),('US',3627712512,3627745279),('US',3627778048,3627802623),('CA',3627802624,3627810815),('US',3627810816,3627842047),('IS',3627842048,3627842303),('US',3627842304,3627896935),('PR',3627896936,3627896943),('US',3627896944,3627897279),('PR',3627897280,3627897287),('US',3627897288,3627897391),('PR',3627897392,3627897399),('US',3627897400,3627912367),('PR',3627912368,3627912375),('US',3627912376,3627970103),('PR',3627970104,3627970111),('US',3627970112,3627970487),('PR',3627970488,3627970495),('US',3627970496,3627970519),('PR',3627970520,3627970527),('US',3627970528,3628001399),('PR',3628001400,3628001407),('US',3628001408,3628005167),('PR',3628005168,3628005175),('US',3628005176,3628123615),('CA',3628123616,3628123647),('BM',3628123648,3628123711),('US',3628123712,3628123903),('GB',3628123904,3628123935),('US',3628123936,3628128703),('CA',3628128704,3628128719),('US',3628128720,3628129087),('CA',3628129088,3628129103),('US',3628129104,3628138751),('GB',3628138752,3628139007),('US',3628139008,3628139311),('SG',3628139312,3628139327),('GB',3628139328,3628139343),('US',3628139344,3628139487),('NZ',3628139488,3628139503),('US',3628139504,3628139519),('RU',3628139520,3628139535),('US',3628139536,3628139695),('VI',3628139696,3628139711),('US',3628139712,3628139967),('AU',3628139968,3628139999),('US',3628140000,3628140351),('RU',3628140352,3628140415),('US',3628140416,3628143615),('GB',3628143616,3628143871),('US',3628143872,3628145919),('AU',3628145920,3628146175),('US',3628146176,3628146527),('GB',3628146528,3628146559),('US',3628146560,3628148447),('SK',3628148448,3628148479),('US',3628148480,3628148815),('NL',3628148816,3628148831),('IT',3628148832,3628148847),('US',3628148848,3628148871),('CA',3628148872,3628148879),('US',3628148880,3628151423),('DE',3628151424,3628151551),('US',3628151552,3628151871),('DO',3628151872,3628151935),('ID',3628151936,3628152063),('US',3628152064,3628153087),('KW',3628153088,3628153343),('US',3628153344,3628154239),('PH',3628154240,3628154303),('US',3628154304,3628154463),('GB',3628154464,3628154495),('US',3628154496,3628155023),('ID',3628155024,3628155039),('US',3628155040,3628155103),('NZ',3628155104,3628155119),('US',3628155120,3628155647),('CA',3628155648,3628155903),('US',3628155904,3628161023),('CA',3628161024,3628161279),('US',3628161280,3628164479),('GB',3628164480,3628164607),('US',3628164608,3628164927),('IE',3628164928,3628164943),('ES',3628164944,3628164959),('US',3628164960,3628165119),('CA',3628165120,3628165183),('US',3628165184,3628165311),('DO',3628165312,3628165375),('US',3628165376,3628165647),('VI',3628165648,3628165663),('US',3628165664,3628169471),('IT',3628169472,3628169599),('US',3628169600,3628208127),('IT',3628208128,3628208383),('US',3628208384,3628225279),('IT',3628225280,3628225535),('US',3628225536,3628236799),('CA',3628236800,3628257279),('US',3628257280,3628598271),('CO',3628598272,3628599295),('CL',3628599296,3628603391),('US',3628603392,3628604415),('GT',3628604416,3628605439),('IL',3628605440,3628608511),('VE',3628608512,3628609023),('US',3628609024,3628609151),('VE',3628609152,3628609215),('US',3628609216,3628613375),('HN',3628613376,3628613631),('ID',3628613632,3628614399),('CO',3628614400,3628614911),('US',3628614912,3628615167),('IL',3628615168,3628615679),('US',3628615680,3628616191),('PR',3628616192,3628617215),('HN',3628617216,3628617471),('US',3628617472,3628617727),('CO',3628617728,3628618239),('HN',3628618240,3628619775),('US',3628619776,3628622847),('PR',3628622848,3628623871),('NG',3628623872,3628625919),('PA',3628625920,3628626175),('HN',3628626176,3628626943),('CO',3628626944,3628627199),('IL',3628627200,3628627455),('HN',3628627456,3628627711),('SV',3628627712,3628628991),('GT',3628628992,3628629247),('US',3628629248,3628629503),('VE',3628629504,3628631807),('US',3628631808,3628633855),('CO',3628633856,3628634111),('AR',3628634112,3628636159),('VE',3628636160,3628637183),('CO',3628637184,3628637695),('VE',3628637696,3628638207),('CL',3628638208,3628646399),('US',3628646400,3628646911),('HN',3628646912,3628647423),('SZ',3628647424,3628647679),('CO',3628647680,3628648959),('US',3628648960,3628649215),('CO',3628649216,3628649727),('US',3628649728,3628654079),('PA',3628654080,3628654591),('US',3628654592,3628654847),('CR',3628654848,3628655103),('VE',3628655104,3628655359),('CO',3628655360,3628656383),('EC',3628656384,3628656639),('CO',3628656640,3628657407),('US',3628657408,3628657663),('VE',3628657664,3628657919),('BS',3628657920,3628658175),('US',3628658176,3628679167),('CA',3628679168,3628683263),('US',3628683264,3628762335),('IL',3628762336,3628762367),('US',3628762368,3628766143),('GB',3628766144,3628766151),('US',3628766152,3628767039),('IE',3628767040,3628767055),('US',3628767056,3628767135),('GB',3628767136,3628767167),('US',3628767168,3628767695),('NO',3628767696,3628767703),('US',3628767704,3628768223),('NO',3628768224,3628768239),('US',3628768240,3628770207),('NO',3628770208,3628770215),('US',3628770216,3628771455),('GB',3628771456,3628771647),('US',3628771648,3628771839),('NO',3628771840,3628772095),('US',3628772096,3628772415),('CA',3628772416,3628772431),('GB',3628772432,3628772447),('US',3628772448,3628834815),('CA',3628834816,3628843007),('US',3628843008,3629187071),('CA',3629187072,3629195263),('US',3629195264,3629199359),('CA',3629199360,3629203455),('US',3629203456,3629318143),('CA',3629318144,3629326335),('US',3629326336,3629331967),('CA',3629331968,3629332479),('US',3629332480,3629333503),('HK',3629333504,3629334527),('US',3629334528,3629539327),('CA',3629539328,3629547519),('US',3629547520,3629662207),('GB',3629662208,3629662463),('US',3629662464,3629735943),('CA',3629735944,3629735951),('US',3629735952,3629736119),('CA',3629736120,3629736127),('US',3629736128,3629737215),('CA',3629737216,3629737471),('US',3629737472,3629761551),('CA',3629761552,3629761567),('US',3629761568,3629761647),('CA',3629761648,3629761663),('US',3629761664,3629767935),('CA',3629767936,3629768191),('US',3629768192,3629785375),('CA',3629785376,3629785407),('US',3629785408,3629789439),('CA',3629789440,3629789695),('US',3629789696,3629789951),('CA',3629789952,3629790207),('US',3629790208,3629808095),('CA',3629808096,3629808127),('US',3629808128,3629838551),('CA',3629838552,3629838559),('US',3629838560,3629838583),('CA',3629838584,3629838591),('US',3629838592,3629839103),('CA',3629839104,3629839359),('US',3629839360,3629841951),('CA',3629841952,3629841983),('US',3629841984,3629859551),('CA',3629859552,3629859583),('US',3629859584,3629875775),('CA',3629875776,3629875807),('US',3629875808,3629876255),('CA',3629876256,3629876263),('US',3629876264,3629876279),('CA',3629876280,3629876287),('US',3629876288,3630039039),('CA',3630039040,3630039359),('US',3630039360,3630039391),('CA',3630039392,3630039455),('US',3630039456,3630039487),('CA',3630039488,3630039551),('US',3630039552,3630039567),('CA',3630039568,3630039599),('US',3630039600,3630039631),('CA',3630039632,3630039807),('US',3630039808,3630039815),('CA',3630039816,3630039823),('US',3630039824,3630039831),('CA',3630039832,3630039839),('US',3630039840,3630040063),('CA',3630040064,3630040335),('US',3630040336,3630040351),('CA',3630040352,3630040383),('US',3630040384,3630040399),('CA',3630040400,3630040415),('US',3630040416,3630040431),('CA',3630040432,3630040447),('US',3630040448,3630040463),('CA',3630040464,3630040479),('US',3630040480,3630040495),('CA',3630040496,3630040527),('US',3630040528,3630040543),('CA',3630040544,3630040831),('US',3630040832,3630040895),('CA',3630040896,3630041023),('US',3630041024,3630041087),('CA',3630041088,3630041215),('US',3630041216,3630041279),('CA',3630041280,3630041903),('US',3630041904,3630041911),('CA',3630041912,3630041927),('US',3630041928,3630041935),('CA',3630041936,3630042015),('US',3630042016,3630042023),('CA',3630042024,3630042399),('US',3630042400,3630042407),('CA',3630042408,3630042431),('US',3630042432,3630042439),('CA',3630042440,3630042655),('US',3630042656,3630042687),('CA',3630042688,3630042751),('US',3630042752,3630042783),('CA',3630042784,3630042847),('US',3630042848,3630042975),('CA',3630042976,3630043007),('US',3630043008,3630043039),('CA',3630043040,3630043103),('US',3630043104,3630043135),('CA',3630043136,3630043391),('US',3630043392,3630043903),('CA',3630043904,3630043919),('US',3630043920,3630043935),('CA',3630043936,3630043967),('US',3630043968,3630043983),('CA',3630043984,3630043999),('US',3630044000,3630044015),('CA',3630044016,3630044063),('US',3630044064,3630044079),('CA',3630044080,3630044287),('US',3630044288,3630044351),('CA',3630044352,3630044415),('US',3630044416,3630044671),('CA',3630044672,3630046367),('US',3630046368,3630046399),('CA',3630046400,3630047791),('US',3630047792,3630047807),('CA',3630047808,3630049791),('US',3630049792,3630050047),('CA',3630050048,3630050391),('US',3630050392,3630050399),('CA',3630050400,3630050487),('US',3630050488,3630050495),('CA',3630050496,3630050543),('US',3630050544,3630050559),('CA',3630050560,3630050847),('US',3630050848,3630050879),('CA',3630050880,3630051135),('US',3630051136,3630051327),('CA',3630051328,3630051583),('US',3630051584,3630051599),('CA',3630051600,3630051959),('US',3630051960,3630052019),('CA',3630052020,3630052863),('US',3630052864,3630052927),('CA',3630052928,3630053183),('US',3630053184,3630053247),('CA',3630053248,3630053631),('IL',3630053632,3630053695),('CA',3630053696,3630053759),('US',3630053760,3630053887),('CA',3630053888,3630054239),('US',3630054240,3630054335),('CA',3630054336,3630054495),('US',3630054496,3630054511),('CA',3630054512,3630055519),('US',3630055520,3630055551),('CA',3630055552,3630055679),('US',3630055680,3630055935),('CA',3630055936,3630056959),('US',3630056960,3630056975),('CA',3630056976,3630057039),('US',3630057040,3630057055),('CA',3630057056,3630057087),('US',3630057088,3630057103),('CA',3630057104,3630057151),('US',3630057152,3630057167),('CA',3630057168,3630057183),('US',3630057184,3630057199),('CA',3630057200,3630057471),('US',3630057472,3630057727),('CA',3630057728,3630057983),('US',3630057984,3630058047),('CA',3630058048,3630058335),('US',3630058336,3630058367),('CA',3630058368,3630058495),('US',3630058496,3630058751),('CA',3630058752,3630059007),('US',3630059008,3630059263),('CA',3630059264,3630059775),('US',3630059776,3630060031),('CA',3630060032,3630060351),('US',3630060352,3630060383),('CA',3630060384,3630060543),('US',3630060544,3630060671),('CA',3630060672,3630060799),('US',3630060800,3630060815),('CA',3630060816,3630060823),('US',3630060824,3630060831),('CA',3630060832,3630060847),('US',3630060848,3630060855),('CA',3630060856,3630060895),('US',3630060896,3630060903),('CA',3630060904,3630060935),('US',3630060936,3630060943),('CA',3630060944,3630060959),('US',3630060960,3630060975),('CA',3630060976,3630060983),('US',3630060984,3630060991),('CA',3630060992,3630060999),('US',3630061000,3630061015),('CA',3630061016,3630061031),('US',3630061032,3630061039),('CA',3630061040,3630061047),('US',3630061048,3630061311),('CA',3630061312,3630061359),('US',3630061360,3630061375),('CA',3630061376,3630062335),('US',3630062336,3630062847),('CA',3630062848,3630063903),('US',3630063904,3630063919),('CA',3630063920,3630063951),('US',3630063952,3630063983),('CA',3630063984,3630063999),('US',3630064000,3630064015),('CA',3630064016,3630064191),('US',3630064192,3630064255),('CA',3630064256,3630064383),('US',3630064384,3630064511),('CA',3630064512,3630065199),('US',3630065200,3630065215),('CA',3630065216,3630065327),('US',3630065328,3630065343),('CA',3630065344,3630065359),('US',3630065360,3630065391),('CA',3630065392,3630065727),('US',3630065728,3630065791),('CA',3630065792,3630065919),('CN',3630065920,3630066175),('CA',3630066176,3630067983),('US',3630067984,3630067999),('CA',3630068000,3630068015),('US',3630068016,3630068031),('CA',3630068032,3630068223),('US',3630068224,3630068479),('CA',3630068480,3630068863),('CN',3630068864,3630068991),('CA',3630068992,3630069247),('US',3630069248,3630069503),('CA',3630069504,3630071247),('US',3630071248,3630071263),('CA',3630071264,3630071551),('US',3630071552,3630071807),('CA',3630071808,3630071871),('US',3630071872,3630072063),('CA',3630072064,3630074159),('US',3630074160,3630074191),('CA',3630074192,3630074255),('US',3630074256,3630074287),('CA',3630074288,3630074335),('US',3630074336,3630074367),('CA',3630074368,3630074375),('US',3630074376,3630074383),('CA',3630074384,3630074415),('US',3630074416,3630074431),('CA',3630074432,3630074471),('US',3630074472,3630074495),('CA',3630074496,3630074527),('US',3630074528,3630074543),('CA',3630074544,3630075183),('US',3630075184,3630075199),('CA',3630075200,3630075647),('US',3630075648,3630076223),('CA',3630076224,3630076287),('US',3630076288,3630076351),('CA',3630076352,3630076415),('US',3630076416,3630076671),('CA',3630076672,3630076831),('US',3630076832,3630076863),('CA',3630076864,3630077823),('US',3630077824,3630077887),('CA',3630077888,3630078847),('US',3630078848,3630078879),('CA',3630078880,3630079263),('US',3630079264,3630079279),('CA',3630079280,3630079439),('AG',3630079440,3630079455),('CA',3630079456,3630079487),('US',3630079488,3630080511),('CA',3630080512,3630080895),('US',3630080896,3630081023),('CA',3630081024,3630081791),('US',3630081792,3630082047),('CA',3630082048,3630083071),('CH',3630083072,3630083103),('CA',3630083104,3630083327),('US',3630083328,3630083391),('CA',3630083392,3630083519),('US',3630083520,3630083583),('CA',3630083584,3630083727),('US',3630083728,3630083743),('CA',3630083744,3630083839),('US',3630083840,3630084159),('CA',3630084160,3630084351),('US',3630084352,3630084607),('CA',3630084608,3630084863),('US',3630084864,3630085119),('CA',3630085120,3630085375),('US',3630085376,3630085631),('CA',3630085632,3630086143),('US',3630086144,3630086319),('CA',3630086320,3630086399),('US',3630086400,3630086655),('CA',3630086656,3630086847),('US',3630086848,3630086911),('CA',3630086912,3630087935),('US',3630087936,3630088447),('CA',3630088448,3630088959),('US',3630088960,3630089471),('CA',3630089472,3630090271),('US',3630090272,3630090287),('CA',3630090288,3630090319),('US',3630090320,3630090335),('CA',3630090336,3630090751),('US',3630090752,3630091007),('CA',3630091008,3630092335),('US',3630092336,3630092351),('CA',3630092352,3630092527),('US',3630092528,3630092543),('CA',3630092544,3630092575),('US',3630092576,3630092799),('CA',3630092800,3630092975),('US',3630092976,3630092991),('CA',3630092992,3630093310),('US',3630093311,3630093319),('CA',3630093320,3630093367),('US',3630093368,3630093375),('CA',3630093376,3630093495),('US',3630093496,3630093503),('CA',3630093504,3630093823),('US',3630093824,3630094079),('CA',3630094080,3630094335),('US',3630094336,3630094367),('CA',3630094368,3630094495),('US',3630094496,3630094559),('CA',3630094560,3630094847),('US',3630094848,3630094855),('CA',3630094856,3630094863),('US',3630094864,3630094871),('CA',3630094872,3630094879),('US',3630094880,3630094887),('CA',3630094888,3630094903),('US',3630094904,3630094919),('CA',3630094920,3630094935),('US',3630094936,3630094943),('CA',3630094944,3630094999),('US',3630095000,3630095015),('CA',3630095016,3630095031),('US',3630095032,3630095039),('CA',3630095040,3630095047),('US',3630095048,3630095055),('CA',3630095056,3630095103),('US',3630095104,3630095359),('CA',3630095360,3630095487),('US',3630095488,3630095615),('CA',3630095616,3630096943),('US',3630096944,3630097151),('CA',3630097152,3630097663),('KW',3630097664,3630098175),('CA',3630098176,3630098495),('US',3630098496,3630098527),('CA',3630098528,3630100223),('KW',3630100224,3630100479),('CA',3630100480,3630100863),('US',3630100864,3630101247),('CA',3630101248,3630101823),('US',3630101824,3630101855),('CA',3630101856,3630101887),('US',3630101888,3630101919),('CA',3630101920,3630102015),('US',3630102016,3630102335),('CA',3630102336,3630103999),('US',3630104000,3630104063),('CA',3630104064,3630104575),('US',3630104576,3630106015),('CA',3630106016,3630106031),('US',3630106032,3630106063),('CA',3630106064,3630106079),('US',3630106080,3630141439),('CA',3630141440,3630141759),('US',3630141760,3630141791),('CA',3630141792,3630141887),('US',3630141888,3630141951),('CA',3630141952,3630144031),('US',3630144032,3630144063),('CA',3630144064,3630144223),('US',3630144224,3630144255),('CA',3630144256,3630145023),('GB',3630145024,3630145039),('CA',3630145040,3630145247),('US',3630145248,3630145535),('CA',3630145536,3630147647),('US',3630147648,3630147711),('CA',3630147712,3630147775),('US',3630147776,3630147839),('CA',3630147840,3630147903),('US',3630147904,3630147935),('CA',3630147936,3630147999),('US',3630148000,3630148031),('CA',3630148032,3630148623),('US',3630148624,3630148639),('CA',3630148640,3630148655),('US',3630148656,3630148671),('CA',3630148672,3630148815),('US',3630148816,3630148863),('CA',3630148864,3630149151),('US',3630149152,3630149183),('CA',3630149184,3630149215),('US',3630149216,3630149375),('CA',3630149376,3630149439),('US',3630149440,3630149471),('CA',3630149472,3630149503),('US',3630149504,3630149567),('CA',3630149568,3630151487),('US',3630151488,3630151519),('CA',3630151520,3630153119),('US',3630153120,3630153151),('CA',3630153152,3630153407),('US',3630153408,3630153727),('CA',3630153728,3630154751),('US',3630154752,3630155007),('CA',3630155008,3630155263),('US',3630155264,3630155519),('CA',3630155520,3630155583),('US',3630155584,3630155599),('CA',3630155600,3630155615),('US',3630155616,3630155631),('CA',3630155632,3630158135),('US',3630158136,3630158143),('CA',3630158144,3630158159),('US',3630158160,3630158167),('CA',3630158168,3630158175),('US',3630158176,3630158183),('CA',3630158184,3630158271),('US',3630158272,3630158279),('CA',3630158280,3630158591),('US',3630158592,3630158847),('CA',3630158848,3630158975),('US',3630158976,3630159007),('CA',3630159008,3630159487),('US',3630159488,3630159551),('CA',3630159552,3630159871),('US',3630159872,3630160127),('CA',3630160128,3630160383),('US',3630160384,3630160399),('CA',3630160400,3630160471),('US',3630160472,3630160487),('CA',3630160488,3630160495),('US',3630160496,3630160503),('CA',3630160504,3630160527),('US',3630160528,3630160559),('CA',3630160560,3630160599),('US',3630160600,3630160607),('CA',3630160608,3630160895),('US',3630160896,3630160919),('CA',3630160920,3630160927),('US',3630160928,3630161111),('CA',3630161112,3630161135),('US',3630161136,3630161151),('CA',3630161152,3630161983),('US',3630161984,3630162047),('CA',3630162048,3630162303),('US',3630162304,3630162367),('CA',3630162368,3630162943),('US',3630162944,3630163199),('CA',3630163200,3630163455),('US',3630163456,3630163711),('CA',3630163712,3630163719),('US',3630163720,3630163727),('CA',3630163728,3630163759),('US',3630163760,3630163767),('CA',3630163768,3630163927),('US',3630163928,3630163959),('CA',3630163960,3630164735),('US',3630164736,3630164751),('CA',3630164752,3630164847),('US',3630164848,3630164863),('CA',3630164864,3630164911),('US',3630164912,3630164927),('CA',3630164928,3630164975),('US',3630164976,3630164991),('CA',3630164992,3630166719),('US',3630166720,3630166751),('CA',3630166752,3630166815),('US',3630166816,3630166831),('CA',3630166832,3630166863),('US',3630166864,3630166879),('CA',3630166880,3630166975),('US',3630166976,3630166991),('CA',3630166992,3630167295),('US',3630167296,3630167359),('CA',3630167360,3630167487),('US',3630167488,3630167551),('CA',3630167552,3630167911),('FR',3630167912,3630167919),('CA',3630167920,3630167927),('US',3630167928,3630167943),('CA',3630167944,3630168127),('US',3630168128,3630168191),('CA',3630168192,3630169087),('US',3630169088,3630169343),('CA',3630169344,3630169407),('US',3630169408,3630169471),('CA',3630169472,3630170111),('US',3630170112,3630301695),('RU',3630301696,3630301711),('US',3630301712,3630309375),('CA',3630309376,3630317567),('US',3630317568,3630374911),('CA',3630374912,3630383103),('US',3630383104,3630391295),('CA',3630391296,3630395391),('US',3630395392,3630718975),('CA',3630718976,3630727167),('US',3630727168,3630746879),('TZ',3630746880,3630747391),('US',3630747392,3630780415),('CA',3630780416,3630784511),('US',3630784512,3630784895),('IL',3630784896,3630784911),('US',3630784912,3630787568),('IE',3630787569,3630787576),('US',3630787577,3630850047),('CA',3630850048,3630854143),('US',3630854144,3630956543),('CA',3630956544,3631005695),('US',3631005696,3631039439),('CA',3631039440,3631039455),('US',3631039456,3631039487),('CA',3631039488,3631039743),('US',3631039744,3631043663),('CA',3631043664,3631043679),('US',3631043680,3631043759),('CA',3631043760,3631043767),('US',3631043768,3631045631),('CA',3631045632,3631045759),('US',3631045760,3631045983),('CA',3631045984,3631045991),('US',3631045992,3631057577),('GB',3631057578,3631057597),('US',3631057598,3631058405),('CA',3631058406,3631058415),('US',3631058416,3631058511),('CA',3631058512,3631058521),('US',3631058522,3631058581),('CA',3631058582,3631058591),('US',3631058592,3631059229),('NO',3631059230,3631059239),('US',3631059240,3631095823),('CH',3631095824,3631095839),('CA',3631095840,3631095855),('US',3631095856,3631095967),('CA',3631095968,3631095999),('US',3631096000,3631096023),('IT',3631096024,3631096031),('DE',3631096032,3631096039),('CA',3631096040,3631096047),('US',3631096048,3631096063),('CA',3631096064,3631096071),('US',3631096072,3631096095),('GB',3631096096,3631096111),('AU',3631096112,3631096119),('DE',3631096120,3631096135),('US',3631096136,3631096143),('GB',3631096144,3631096151),('NL',3631096152,3631096159),('CA',3631096160,3631096167),('GB',3631096168,3631096175),('AU',3631096176,3631096183),('AE',3631096184,3631096191),('US',3631096192,3631096279),('GB',3631096280,3631096287),('ES',3631096288,3631096295),('US',3631096296,3631096415),('CN',3631096416,3631096423),('IN',3631096424,3631096431),('US',3631096432,3631096439),('MX',3631096440,3631096447),('US',3631096448,3631096471),('MH',3631096472,3631096479),('US',3631096480,3631096495),('FR',3631096496,3631096503),('US',3631096504,3631096519),('DK',3631096520,3631096527),('GB',3631096528,3631096543),('US',3631096544,3631096559),('CA',3631096560,3631096575),('US',3631096576,3631096639),('AR',3631096640,3631096655),('US',3631096656,3631096671),('AU',3631096672,3631096679),('US',3631096680,3631096687),('AR',3631096688,3631096695),('US',3631096696,3631096767),('RU',3631096768,3631096799),('US',3631096800,3631096815),('IN',3631096816,3631096823),('US',3631096824,3631097127),('CK',3631097128,3631097135),('US',3631097136,3631097351),('DE',3631097352,3631097359),('US',3631097360,3631097367),('MT',3631097368,3631097375),('US',3631097376,3631097391),('MX',3631097392,3631097415),('DE',3631097416,3631097423),('US',3631097424,3631097431),('SI',3631097432,3631097439),('US',3631097440,3631097575),('DE',3631097576,3631097583),('IE',3631097584,3631097599),('US',3631097600,3631097607),('CO',3631097608,3631097615),('PT',3631097616,3631097623),('US',3631097624,3631097631),('CA',3631097632,3631097647),('US',3631097648,3631097727),('CA',3631097728,3631097743),('US',3631097744,3631097775),('IE',3631097776,3631097783),('US',3631097784,3631097887),('DE',3631097888,3631097895),('US',3631097896,3631097903),('BZ',3631097904,3631097911),('US',3631097912,3631097999),('RU',3631098000,3631098007),('BY',3631098008,3631098015),('US',3631098016,3631098031),('NL',3631098032,3631098039),('DE',3631098040,3631098047),('FI',3631098048,3631098063),('US',3631098064,3631098095),('DE',3631098096,3631098110),('US',3631098111,3631098111),('FR',3631098112,3631098119),('BH',3631098120,3631098127),('US',3631098128,3631098143),('FI',3631098144,3631098159),('US',3631098160,3631098239),('DK',3631098240,3631098255),('SE',3631098256,3631098263),('FR',3631098264,3631098271),('US',3631098272,3631098335),('DE',3631098336,3631098351),('IN',3631098352,3631098366),('US',3631098367,3631098383),('DK',3631098384,3631098391),('NL',3631098392,3631098399),('US',3631098400,3631098423),('SG',3631098424,3631098431),('GB',3631098432,3631098439),('US',3631098440,3631098679),('GB',3631098680,3631098687),('US',3631098688,3631098703),('CA',3631098704,3631098719),('US',3631098720,3631098735),('AG',3631098736,3631098751),('US',3631098752,3631098791),('MX',3631098792,3631098799),('US',3631098800,3631098807),('RO',3631098808,3631098815),('CA',3631098816,3631098831),('US',3631098832,3631098863),('AG',3631098864,3631098879),('US',3631098880,3631099087),('FR',3631099088,3631099095),('PK',3631099096,3631099103),('US',3631099104,3631099111),('MX',3631099112,3631099119),('US',3631099120,3631099391),('GB',3631099392,3631099407),('US',3631099408,3631099439),('CA',3631099440,3631099447),('US',3631099448,3631099471),('GB',3631099472,3631099487),('US',3631099488,3631099527),('RU',3631099528,3631099535),('CA',3631099536,3631099551),('US',3631099552,3631099567),('SE',3631099568,3631099575),('US',3631099576,3631099607),('CA',3631099608,3631099615),('US',3631099616,3631099631),('FR',3631099632,3631099646),('US',3631099647,3631099647),('GB',3631099648,3631099775),('US',3631099776,3631112191),('VC',3631112192,3631112703),('BB',3631112704,3631116543),('GD',3631116544,3631117567),('BB',3631117568,3631117823),('GD',3631117824,3631118079),('VC',3631118080,3631119103),('BB',3631119104,3631119615),('GD',3631119616,3631120383),('US',3631120384,3631144959),('CA',3631144960,3631153151),('US',3631153152,3631284223),('CA',3631284224,3631316991),('US',3631316992,3631333375),('CA',3631333376,3631333679),('US',3631333680,3631333695),('CA',3631333696,3631341567),('US',3631341568,3631480831),('CA',3631480832,3631484927),('US',3631484928,3631644671),('CA',3631644672,3631648767),('US',3631652864,3631663151),('CA',3631663152,3631663159),('US',3631663160,3631665151),('CA',3631665152,3631669247),('US',3631669248,3631669759),('A2',3631669760,3631669767),('US',3631669768,3631669775),('BO',3631669776,3631669783),('US',3631669784,3631669791),('BO',3631669792,3631669799),('US',3631669800,3631669807),('EC',3631669808,3631669823),('BO',3631669824,3631669839),('A2',3631669840,3631669855),('US',3631669856,3631669871),('A2',3631669872,3631669887),('BO',3631669888,3631669919),('EC',3631669920,3631669951),('US',3631669952,3631670015),('CO',3631670016,3631670143),('NI',3631670144,3631670207),('A2',3631670208,3631670271),('US',3631670272,3631670527),('NG',3631670528,3631670783),('EC',3631670784,3631671039),('US',3631671040,3631671295),('JM',3631671296,3631671551),('PY',3631671552,3631672575),('NG',3631672576,3631672831),('US',3631672832,3631673119),('A2',3631673120,3631673151),('US',3631673152,3631673183),('A2',3631673184,3631673199),('US',3631673200,3631673231),('EC',3631673232,3631673247),('JM',3631673248,3631673263),('BB',3631673264,3631673295),('EC',3631673296,3631673311),('A2',3631673312,3631677439),('US',3631677440,3631841279),('CA',3631841280,3631874047),('US',3631874048,3631879199),('CA',3631879200,3631879231),('US',3631879232,3631881759),('CA',3631881760,3631881791),('US',3631881792,3631939583),('CA',3631939584,3632005119),('US',3632005120,3632136191),('CA',3632136192,3632144383),('US',3632144384,3632152575),('CA',3632152576,3632168959),('US',3632168960,3632197631),('CA',3632197632,3632201727),('US',3632201728,3632270025),('CA',3632270026,3632270058),('US',3632270059,3632287239),('CA',3632287240,3632287263),('US',3632287264,3632291775),('GB',3632291776,3632291839),('US',3632291840,3632332799),('CA',3632332800,3632357375),('US',3632357376,3632370559),('NG',3632370560,3632370575),('US',3632370576,3632373503),('NG',3632373504,3632373759),('US',3632373760,3632381951),('CA',3632381952,3632390143),('US',3632390144,3632414719),('CA',3632414720,3632422911),('US',3632422912,3632480367),('GB',3632480368,3632480375),('US',3632480376,3632480383),('DK',3632480384,3632480391),('US',3632480392,3632480439),('AR',3632480440,3632480447),('US',3632480448,3632480463),('GB',3632480464,3632480471),('US',3632480472,3632480503),('RU',3632480504,3632480511),('US',3632480512,3632480591),('GI',3632480592,3632480599),('CA',3632480600,3632480607),('PH',3632480608,3632480615),('US',3632480616,3632480647),('CA',3632480648,3632480655),('GB',3632480656,3632480671),('US',3632480672,3632480703),('CA',3632480704,3632480767),('US',3632480768,3632481023),('IO',3632481024,3632481087),('US',3632481088,3632481183),('TH',3632481184,3632481199),('US',3632481200,3632481247),('GI',3632481248,3632481255),('US',3632481256,3632481279),('GB',3632481280,3632481287),('PH',3632481288,3632481295),('US',3632481296,3632481431),('CA',3632481432,3632481439),('US',3632481440,3632481479),('CA',3632481480,3632481487),('US',3632481488,3632481519),('GI',3632481520,3632481527),('PL',3632481528,3632481535),('US',3632481536,3632481631),('GB',3632481632,3632481647),('US',3632481648,3632481759),('CA',3632481760,3632481767),('US',3632481768,3632481775),('CA',3632481776,3632481783),('GB',3632481784,3632481791),('US',3632481792,3632482039),('TR',3632482040,3632482047),('US',3632482048,3632482239),('GB',3632482240,3632482247),('US',3632482248,3632482399),('TH',3632482400,3632482431),('US',3632482432,3632483135),('GB',3632483136,3632483143),('US',3632483144,3632483151),('GB',3632483152,3632483159),('US',3632483160,3632483207),('CA',3632483208,3632483215),('US',3632483216,3632483327),('CA',3632483328,3632483335),('AU',3632483336,3632483343),('US',3632483344,3632483375),('GB',3632483376,3632483415),('US',3632483416,3632483423),('SK',3632483424,3632483455),('HK',3632483456,3632483471),('US',3632483472,3632483551),('GB',3632483552,3632483583),('US',3632483584,3632483599),('AU',3632483600,3632483607),('PL',3632483608,3632483615),('US',3632483616,3632483663),('GI',3632483664,3632483671),('CA',3632483672,3632483679),('US',3632483680,3632483759),('TH',3632483760,3632483775),('US',3632483776,3632483815),('GB',3632483816,3632483823),('DE',3632483824,3632483831),('US',3632483832,3632483855),('PH',3632483856,3632483863),('US',3632483864,3632483871),('GB',3632483872,3632483879),('US',3632483880,3632483895),('CA',3632483896,3632483903),('AU',3632483904,3632483919),('TW',3632483920,3632483935),('GB',3632483936,3632483951),('US',3632483952,3632483967),('SR',3632483968,3632483983),('US',3632483984,3632484039),('TH',3632484040,3632484047),('US',3632484048,3632484063),('CA',3632484064,3632484079),('PH',3632484080,3632484087),('US',3632484088,3632484623),('GB',3632484624,3632484639),('CA',3632484640,3632484647),('TH',3632484648,3632484655),('US',3632484656,3632484687),('GI',3632484688,3632484695),('US',3632484696,3632484743),('CA',3632484744,3632484751),('US',3632484752,3632484767),('CA',3632484768,3632484783),('US',3632484784,3632484791),('BZ',3632484792,3632484799),('US',3632484800,3632484807),('GB',3632484808,3632484815),('US',3632484816,3632484823),('CA',3632484824,3632484831),('HK',3632484832,3632484839),('BZ',3632484840,3632484847),('US',3632484848,3632484855),('NL',3632484856,3632484863),('US',3632484864,3632485055),('TW',3632485056,3632485087),('US',3632485088,3632485119),('GB',3632485120,3632485135),('TH',3632485136,3632485143),('HK',3632485144,3632485151),('CA',3632485152,3632485167),('US',3632485168,3632485175),('CH',3632485176,3632485183),('LV',3632485184,3632485247),('US',3632485248,3632485263),('IT',3632485264,3632485271),('US',3632485272,3632485279),('TH',3632485280,3632485311),('US',3632485312,3632485359),('TH',3632485360,3632485375),('US',3632485376,3632485391),('SR',3632485392,3632485399),('US',3632485400,3632485431),('CA',3632485432,3632485439),('US',3632485440,3632485535),('TH',3632485536,3632485551),('GB',3632485552,3632485559),('US',3632485560,3632485567),('GB',3632485568,3632485575),('US',3632485576,3632485583),('AU',3632485584,3632485599),('US',3632485600,3632485615),('TH',3632485616,3632485623),('CA',3632485624,3632485631),('PH',3632485632,3632485647),('US',3632485648,3632485655),('GR',3632485656,3632485663),('US',3632485664,3632485671),('TR',3632485672,3632485679),('BR',3632485680,3632485687),('US',3632485688,3632485727),('CA',3632485728,3632485735),('US',3632485736,3632485751),('CA',3632485752,3632485759),('CZ',3632485760,3632485767),('US',3632485768,3632485847),('CA',3632485848,3632485855),('IL',3632485856,3632485871),('US',3632485872,3632485887),('GB',3632485888,3632485895),('US',3632485896,3632486087),('DE',3632486088,3632486095),('US',3632486096,3632486103),('TH',3632486104,3632486111),('US',3632486112,3632486151),('GB',3632486152,3632486159),('DE',3632486160,3632486167),('US',3632486168,3632486263),('GB',3632486264,3632486271),('FR',3632486272,3632486287),('US',3632486288,3632486319),('GB',3632486320,3632486327),('US',3632486328,3632486343),('FR',3632486344,3632486351),('US',3632486352,3632486479),('GB',3632486480,3632486495),('US',3632486496,3632486519),('GB',3632486520,3632486527),('US',3632486528,3632486543),('DE',3632486544,3632486551),('US',3632486552,3632486567),('IL',3632486568,3632486575),('TH',3632486576,3632486591),('US',3632486592,3632486711),('CA',3632486712,3632486719),('TH',3632486720,3632486751),('US',3632486752,3632486783),('DE',3632486784,3632486815),('CA',3632486816,3632486847),('US',3632486848,3632486895),('GB',3632486896,3632486903),('US',3632486904,3632487023),('TH',3632487024,3632487031),('US',3632487032,3632487423),('GB',3632487424,3632487455),('US',3632487456,3632487783),('CA',3632487784,3632487791),('US',3632487792,3632487807),('BZ',3632487808,3632487815),('US',3632487816,3632489087),('SR',3632489088,3632489119),('US',3632489120,3632489143),('GB',3632489144,3632489151),('US',3632489152,3632489887),('TR',3632489888,3632489895),('US',3632489896,3632489903),('NL',3632489904,3632489911),('US',3632489912,3632490535),('CA',3632490536,3632490543),('TH',3632490544,3632490551),('US',3632490552,3632490559),('DE',3632490560,3632490623),('US',3632490624,3632490687),('PH',3632490688,3632490695),('US',3632490696,3632490703),('TH',3632490704,3632490719),('US',3632490720,3632490743),('NL',3632490744,3632490751),('GB',3632490752,3632490783),('US',3632490784,3632490815),('TH',3632490816,3632490823),('US',3632490824,3632490847),('RU',3632490848,3632490879),('GB',3632490880,3632490887),('GR',3632490888,3632490895),('US',3632490896,3632490935),('CA',3632490936,3632490943),('TH',3632490944,3632491007),('US',3632491008,3632491151),('GB',3632491152,3632491167),('US',3632491168,3632491231),('CA',3632491232,3632491239),('US',3632491240,3632491327),('FR',3632491328,3632491343),('US',3632491344,3632491359),('GI',3632491360,3632491391),('US',3632491392,3632491471),('TH',3632491472,3632491487),('ZA',3632491488,3632491503),('US',3632491504,3632491639),('CA',3632491640,3632491647),('US',3632491648,3632491807),('TW',3632491808,3632491823),('US',3632491824,3632491967),('SR',3632491968,3632491999),('US',3632492000,3632492007),('IO',3632492008,3632492015),('GB',3632492016,3632492031),('US',3632492032,3632492255),('CH',3632492256,3632492263),('US',3632492264,3632492271),('CA',3632492272,3632492279),('US',3632492280,3632492319),('GB',3632492320,3632492327),('US',3632492328,3632492471),('GB',3632492472,3632492479),('US',3632492480,3632492543),('FR',3632492544,3632492551),('US',3632492552,3632492559),('CA',3632492560,3632492575),('US',3632492576,3632492775),('GB',3632492776,3632492791),('US',3632492792,3632492903),('TH',3632492904,3632492919),('US',3632492920,3632493015),('GI',3632493016,3632493023),('CA',3632493024,3632493055),('US',3632493056,3632493087),('IO',3632493088,3632493119),('US',3632493120,3632493191),('CA',3632493192,3632493199),('US',3632493200,3632493215),('DE',3632493216,3632493223),('US',3632493224,3632493239),('TW',3632493240,3632493247),('US',3632493248,3632493255),('DE',3632493256,3632493263),('US',3632493264,3632493271),('SK',3632493272,3632493279),('AU',3632493280,3632493287),('IN',3632493288,3632493295),('US',3632493296,3632493567),('TH',3632493568,3632493575),('GB',3632493576,3632493583),('CA',3632493584,3632493591),('US',3632493592,3632493607),('SK',3632493608,3632493615),('US',3632493616,3632493639),('GB',3632493640,3632493647),('NL',3632493648,3632493663),('US',3632493664,3632493695),('NL',3632493696,3632493703),('US',3632493704,3632493711),('CA',3632493712,3632493727),('US',3632493728,3632493807),('CA',3632493808,3632493823),('US',3632493824,3632493847),('CA',3632493848,3632493855),('US',3632493856,3632493887),('CA',3632493888,3632493895),('US',3632493896,3632493903),('CA',3632493904,3632493911),('US',3632493912,3632494023),('CA',3632494024,3632494031),('SK',3632494032,3632494039),('US',3632494040,3632494399),('IO',3632494400,3632494415),('US',3632494416,3632494431),('CA',3632494432,3632494439),('US',3632494440,3632494447),('TH',3632494448,3632494455),('US',3632494456,3632494543),('TH',3632494544,3632494559),('PH',3632494560,3632494567),('US',3632494568,3632494591),('CA',3632494592,3632494719),('US',3632494720,3632494975),('FR',3632494976,3632495007),('US',3632495008,3632495103),('GB',3632495104,3632495111),('US',3632495112,3632495119),('IL',3632495120,3632495135),('US',3632495136,3632495231),('GB',3632495232,3632495239),('US',3632495240,3632495247),('GB',3632495248,3632495255),('US',3632495256,3632495263),('CA',3632495264,3632495295),('US',3632495296,3632495319),('CA',3632495320,3632495327),('US',3632495328,3632495359),('RU',3632495360,3632495487),('US',3632495488,3632495823),('GB',3632495824,3632495831),('US',3632495832,3632495999),('GI',3632496000,3632496031),('US',3632496032,3632496063),('CA',3632496064,3632496127),('US',3632496128,3632496135),('NL',3632496136,3632496143),('GB',3632496144,3632496159),('US',3632496160,3632496191),('CA',3632496192,3632496223),('US',3632496224,3632710191),('CA',3632710192,3632710207),('US',3632710208,3632719303),('SG',3632719304,3632719311),('US',3632719312,3632826495),('CN',3632826496,3632826511),('US',3632826512,3632833231),('CN',3632833232,3632833247),('US',3632833248,3632837135),('IN',3632837136,3632837151),('US',3632837152,3632838399),('TW',3632838400,3632838431),('US',3632838432,3632838583),('CN',3632838584,3632838591),('US',3632838592,3632847279),('CN',3632847280,3632847295),('US',3632847296,3632857087),('BS',3632857088,3632861183),('US',3632861184,3632881663),('CA',3632881664,3632889855),('US',3632889856,3632898047),('CA',3632898048,3632898335),('US',3632898336,3632898351),('CA',3632898352,3632902143),('US',3632902144,3632914431),('US',3632922624,3632971775),('CA',3632971776,3632972031),('US',3632972032,3632972063),('CA',3632972064,3632976287),('US',3632976288,3632976303),('CA',3632976304,3632980255),('US',3632980256,3632980263),('CA',3632980264,3632988159),('US',3632988160,3633028607),('IL',3633028608,3633028863),('US',3633028864,3633029119),('PY',3633029120,3633029631),('NI',3633029632,3633030143),('A2',3633030144,3633030215),('NG',3633030216,3633030223),('A2',3633030224,3633030911),('US',3633030912,3633031167),('A2',3633031168,3633031519),('US',3633031520,3633031535),('A2',3633031536,3633031647),('NG',3633031648,3633031655),('A2',3633031656,3633031687),('NG',3633031688,3633031695),('A2',3633031696,3633031703),('US',3633031704,3633031711),('A2',3633031712,3633031719),('US',3633031720,3633031743),('A2',3633031744,3633031871),('US',3633031872,3633031887),('A2',3633031888,3633031959),('NL',3633031960,3633031967),('A2',3633031968,3633031983),('PG',3633031984,3633031991),('A2',3633031992,3633032087),('NL',3633032088,3633032095),('A2',3633032096,3633032167),('NL',3633032168,3633032175),('A2',3633032176,3633032223),('NG',3633032224,3633032231),('A2',3633032232,3633032287),('GQ',3633032288,3633032319),('A2',3633032320,3633032415),('NG',3633032416,3633032431),('A2',3633032432,3633032511),('SL',3633032512,3633032575),('A2',3633032576,3633033287),('GH',3633033288,3633033295),('NG',3633033296,3633033303),('A2',3633033304,3633033319),('NG',3633033320,3633033327),('A2',3633033328,3633033359),('NG',3633033360,3633033367),('A2',3633033368,3633033375),('NG',3633033376,3633033391),('A2',3633033392,3633033727),('US',3633033728,3633033919),('A2',3633033920,3633034111),('US',3633034112,3633034239),('A2',3633034240,3633034519),('NG',3633034520,3633034527),('A2',3633034528,3633034559),('NG',3633034560,3633034751),('A2',3633034752,3633035015),('NL',3633035016,3633035023),('A2',3633035024,3633035071),('NR',3633035072,3633035087),('CN',3633035088,3633035095),('A2',3633035096,3633035135),('NR',3633035136,3633035151),('A2',3633035152,3633035199),('ID',3633035200,3633035207),('A2',3633035208,3633035311),('ID',3633035312,3633035319),('A2',3633035320,3633035439),('ID',3633035440,3633035447),('A2',3633035448,3633035455),('ID',3633035456,3633035487),('A2',3633035488,3633035527),('NG',3633035528,3633035535),('A2',3633035536,3633036031),('HT',3633036032,3633036287),('A2',3633036288,3633036479),('TT',3633036480,3633036511),('A2',3633036512,3633036591),('US',3633036592,3633036599),('A2',3633036600,3633037055),('US',3633037056,3633166079),('MX',3633166080,3633166207),('US',3633166208,3633336319),('KY',3633336320,3633340415),('US',3633340416,3633344511),('CA',3633344512,3633348607),('US',3633348608,3633373535),('BA',3633373536,3633373567),('US',3633373568,3633374799),('CA',3633374800,3633374815),('US',3633374816,3633376959),('CA',3633376960,3633376991),('US',3633376992,3633377087),('IN',3633377088,3633377119),('US',3633377120,3633379327),('US',3633381376,3633405951),('CA',3633405952,3633410047),('US',3633410048,3633479679),('CA',3633479680,3633483775),('US',3633483776,3633513984),('ES',3633513985,3633514238),('US',3633514239,3633545215),('GA',3633545216,3633545727),('A2',3633545728,3633546495),('GA',3633546496,3633546751),('A2',3633546752,3633547263),('GA',3633547264,3633548287),('A2',3633548288,3633548543),('GA',3633548544,3633548799),('A2',3633548800,3633548927),('GA',3633548928,3633549055),('A2',3633549056,3633550335),('US',3633550336,3633550399),('A2',3633550400,3633552911),('GA',3633552912,3633552927),('US',3633552928,3633552951),('A2',3633552952,3633552959),('US',3633552960,3633552967),('A2',3633552968,3633553031),('US',3633553032,3633553039),('A2',3633553040,3633553127),('US',3633553128,3633553135),('A2',3633553136,3633553151),('GW',3633553152,3633553279),('US',3633553280,3633553295),('A2',3633553296,3633553351),('US',3633553352,3633553367),('A2',3633553368,3633553399),('US',3633553400,3633698975),('DE',3633698976,3633698991),('US',3633698992,3633701439),('FR',3633701440,3633701447),('US',3633701448,3633701695),('CA',3633701696,3633701759),('US',3633701760,3633701815),('IN',3633701816,3633701823),('US',3633701824,3633701871),('IN',3633701872,3633701879),('US',3633701880,3633701935),('FR',3633701936,3633701951),('US',3633701952,3633702463),('DE',3633702464,3633702527),('US',3633702528,3633702591),('PT',3633702592,3633702599),('US',3633702600,3633702799),('FR',3633702800,3633702807),('US',3633702808,3633702815),('MX',3633702816,3633702847),('US',3633702848,3633815551),('CA',3633815552,3633819647),('US',3633819648,3633881087),('AN',3633881088,3633885183),('US',3633885184,3633889279),('CA',3633889280,3633893375),('US',3633893376,3633915647),('IT',3633915648,3633915903),('US',3633915904,3633922303),('TN',3633922304,3633922367),('US',3633922368,3633971199),('CA',3633971200,3634020351),('US',3634020352,3634053119),('CL',3634053120,3634061311),('US',3634061312,3634065311),('SV',3634065312,3634065343),('US',3634065344,3634125831),('CA',3634125832,3634125839),('JP',3634125840,3634125855),('US',3634125856,3634125887),('GB',3634125888,3634125903),('US',3634125904,3634125951),('CA',3634125952,3634125967),('US',3634125968,3634135423),('CA',3634135424,3634135487),('US',3634135488,3634135935),('CA',3634135936,3634136062),('US',3634136063,3634136103),('CA',3634136104,3634136111),('US',3634136112,3634138127),('CA',3634138128,3634138143),('US',3634138144,3634204255),('AT',3634204256,3634204263),('US',3634204264,3634204591),('GB',3634204592,3634204607),('US',3634204608,3634267649),('GB',3634267650,3634267681),('US',3634267682,3634269669),('GB',3634269670,3634269679),('US',3634269680,3634269801),('CA',3634269802,3634269815),('US',3634269816,3634270016),('CN',3634270017,3634270080),('US',3634270081,3634270976),('CN',3634270977,3634271231),('US',3634271232,3634271232),('CA',3634271233,3634271328),('US',3634271329,3634367023),('CA',3634367024,3634367031),('US',3634367032,3634511871),('CA',3634511872,3634515967),('US',3634515968,3634520063),('US',3634528256,3634552831),('CA',3634552832,3634556927),('US',3634556928,3634880511),('CA',3634880512,3634888703),('US',3634888704,3634913279),('CA',3634913280,3634915663),('US',3634915664,3634915679),('CA',3634915680,3634921471),('US',3634921472,3634925567),('CA',3634925568,3634929663),('US',3634929664,3635109887),('CA',3635109888,3635113983),('US',3635113984,3635142655),('CA',3635142656,3635146751),('US',3635146752,3635314687),('CA',3635314688,3635322879),('US',3635322880,3635425279),('CA',3635425280,3635429375),('US',3635429376,3635464031),('GB',3635464032,3635464063),('US',3635464064,3635464127),('GB',3635464128,3635464135),('US',3635464136,3635464223),('GB',3635464224,3635464239),('US',3635464240,3635466239),('CA',3635466240,3635470335),('US',3635470336,3635532287),('ES',3635532288,3635532295),('US',3635532296,3635658751),('CN',3635658752,3635660799),('US',3635660800,3635871743),('CA',3635871744,3635879935),('US',3635879936,3635892223),('CA',3635892224,3635896319),('US',3635896320,3635904511),('CA',3635904512,3635912703),('US',3635912704,3635961855),('SV',3635961856,3635963903),('US',3635963904,3635964159),('BO',3635964160,3635964415),('SV',3635964416,3635965951),('BO',3635965952,3635966975),('PY',3635966976,3635967999),('SV',3635968000,3635970047),('US',3635970048,3636019199),('CA',3636019200,3636021775),('US',3636021776,3636021791),('CA',3636021792,3636027391),('US',3636027392,3636064255),('CA',3636064256,3636068351),('US',3636068352,3636150495),('CA',3636150496,3636150527),('US',3636150528,3636150799),('CA',3636150800,3636150831),('US',3636150832,3636150911),('CA',3636150912,3636151007),('BS',3636151008,3636151023),('CA',3636151024,3636151031),('US',3636151032,3636151103),('CA',3636151104,3636151455),('US',3636151456,3636151479),('CA',3636151480,3636151488),('US',3636151489,3636151535),('CA',3636151536,3636151759),('US',3636151760,3636151775),('CA',3636151776,3636152575),('US',3636152576,3636152591),('CA',3636152592,3636152639),('US',3636152640,3636152703),('CA',3636152704,3636152767),('US',3636152768,3636152831),('CA',3636152832,3636152863),('US',3636152864,3636152895),('CA',3636152896,3636153023),('KN',3636153024,3636153055),('CA',3636153056,3636153087),('US',3636153088,3636153215),('CA',3636153216,3636153343),('US',3636153344,3636153375),('CA',3636153376,3636153823),('US',3636153824,3636153839),('CA',3636153840,3636153847),('US',3636153848,3636154111),('CA',3636154112,3636154895),('US',3636154896,3636154927),('CA',3636154928,3636154975),('US',3636154976,3636154979),('CA',3636154980,3636154990),('US',3636154991,3636154991),('CA',3636154992,3636155007),('US',3636155008,3636155071),('CA',3636155072,3636155391),('US',3636155392,3636155519),('CA',3636155520,3636155775),('US',3636155776,3636155839),('CA',3636155840,3636156159),('US',3636156160,3636156191),('CA',3636156192,3636156255),('US',3636156256,3636156256),('CA',3636156257,3636156415),('US',3636156416,3636156927),('CA',3636156928,3636157063),('US',3636157064,3636157167),('CA',3636157168,3636157183),('US',3636157184,3636157439),('CA',3636157440,3636158015),('US',3636158016,3636158031),('CA',3636158032,3636158063),('US',3636158064,3636158079),('CA',3636158080,3636158207),('US',3636158208,3636158223),('CA',3636158224,3636158335),('US',3636158336,3636158351),('CA',3636158352,3636158367),('US',3636158368,3636158399),('CA',3636158400,3636158431),('US',3636158432,3636158463),('CA',3636158464,3636158719),('US',3636158720,3636158783),('CA',3636158784,3636158815),('US',3636158816,3636158831),('CA',3636158832,3636158847),('US',3636158848,3636158879),('CA',3636158880,3636158911),('US',3636158912,3636158975),('CA',3636158976,3636159743),('US',3636159744,3636159775),('CA',3636159776,3636159807),('US',3636159808,3636159839),('CA',3636159840,3636159871),('IN',3636159872,3636159999),('CA',3636160000,3636160415),('US',3636160416,3636160447),('CA',3636160448,3636160831),('US',3636160832,3636160895),('CA',3636160896,3636160927),('US',3636160928,3636160975),('CA',3636160976,3636161279),('US',3636161280,3636161343),('CA',3636161344,3636161535),('US',3636161536,3636161791),('CA',3636161792,3636161871),('US',3636161872,3636161885),('CA',3636161886,3636162559),('US',3636162560,3636163583),('CA',3636163584,3636164095),('BV',3636164096,3636164111),('CA',3636164112,3636164319),('US',3636164320,3636164327),('CA',3636164328,3636164335),('US',3636164336,3636164351),('CA',3636164352,3636164607),('US',3636164608,3636165119),('CA',3636165120,3636165375),('US',3636165376,3636165471),('CA',3636165472,3636165503),('US',3636165504,3636166143),('CA',3636166144,3636166655),('US',3636166656,3636206079),('AU',3636206080,3636206095),('US',3636206096,3636396031),('CA',3636396032,3636461567),('US',3636461568,3636577647),('CA',3636577648,3636577663),('US',3636577664,3636609023),('CA',3636609024,3636610559),('US',3636610560,3636610815),('CA',3636610816,3636621311),('US',3636621312,3636625407),('AR',3636625408,3636626431),('BR',3636626432,3636626943),('AR',3636626944,3636627199),('BR',3636627200,3636627455),('MX',3636627456,3636628479),('PE',3636628480,3636628991),('US',3636628992,3636634879),('CR',3636634880,3636635007),('US',3636635008,3636667391),('DE',3636667392,3636667647),('US',3636667648,3636667903),('SC',3636667904,3636668159),('US',3636668160,3636668415),('GI',3636668416,3636668671),('CN',3636668672,3636668927),('BZ',3636668928,3636669183),('CY',3636669184,3636669439),('US',3636669440,3636669695),('SC',3636669696,3636669951),('DE',3636669952,3636670207),('US',3636670208,3636670314),('RU',3636670315,3636670330),('US',3636670331,3636670684),('RU',3636670685,3636670700),('US',3636670701,3636670783),('RU',3636670784,3636670799),('US',3636670800,3636670985),('VG',3636670986,3636670993),('US',3636670994,3636671209),('IT',3636671210,3636671225),('US',3636671226,3636671231),('SC',3636671232,3636671487),('GB',3636671488,3636671743),('US',3636671744,3636822015),('CA',3636822016,3636854783),('US',3636854784,3636887551),('CA',3636887552,3636895743),('US',3636895744,3636904351),('MY',3636904352,3636904383),('US',3636904384,3636904479),('IN',3636904480,3636904511),('CA',3636904512,3636904543),('IN',3636904544,3636904575),('US',3636904576,3636904607),('IN',3636904608,3636904639),('US',3636904640,3636904703),('MY',3636904704,3636904959),('US',3636904960,3636905087),('MY',3636905088,3636905215),('US',3636905216,3636905471),('CA',3636905472,3636905727),('HK',3636905728,3636905759),('US',3636905760,3636905791),('IN',3636905792,3636905823),('US',3636905824,3636905887),('CA',3636905888,3636905951),('US',3636905952,3636906079),('BE',3636906080,3636906111),('US',3636906112,3636906143),('BE',3636906144,3636906175),('US',3636906176,3636906367),('IN',3636906368,3636906465),('US',3636906466,3636906623),('IN',3636906624,3636906751),('US',3636906752,3636906879),('IN',3636906880,3636907007),('US',3636907008,3636907103),('IN',3636907104,3636907135),('CA',3636907136,3636907199),('HK',3636907200,3636907231),('US',3636907232,3636907775),('CA',3636907776,3636908031),('US',3636908032,3636908543),('IN',3636908544,3636908799),('US',3636908800,3636909055),('CA',3636909056,3636909567),('US',3636909568,3636909663),('IT',3636909664,3636909695),('CA',3636909696,3636909791),('US',3636909792,3636909855),('CN',3636909856,3636909887),('IT',3636909888,3636909919),('US',3636909920,3636910079),('CA',3636910080,3636910335),('IN',3636910336,3636910399),('US',3636910400,3636910495),('BE',3636910496,3636910527),('US',3636910528,3636910591),('CA',3636910592,3636910719),('US',3636910720,3636910847),('AU',3636910848,3636911103),('US',3636911104,3636911295),('CA',3636911296,3636911359),('US',3636911360,3636911423),('BE',3636911424,3636911455),('US',3636911456,3636911615),('TW',3636911616,3636911743),('IN',3636911744,3636911871),('US',3636911872,3636912383),('JP',3636912384,3636912447),('US',3636912448,3636912959),('BE',3636912960,3636912991),('US',3636912992,3636913919),('CA',3636913920,3636914175),('US',3636914176,3636914431),('CA',3636914432,3636914687),('US',3636914688,3636914815),('CA',3636914816,3636914943),('US',3636914944,3636915103),('IN',3636915104,3636915135),('US',3636915136,3636915199),('IN',3636915200,3636915327),('US',3636915328,3636915455),('IN',3636915456,3636915583),('US',3636915584,3636916223),('CA',3636916224,3636916351),('US',3636916352,3636916479),('CA',3636916480,3636916607),('IN',3636916608,3636916735),('US',3636916736,3636916991),('CA',3636916992,3636917120),('US',3636917121,3636917255),('IN',3636917256,3636917263),('CA',3636917264,3636917271),('US',3636917272,3636917295),('IN',3636917296,3636917303),('US',3636917304,3636917447),('HK',3636917448,3636917455),('US',3636917456,3636917631),('CA',3636917632,3636919039),('IN',3636919040,3636919071),('US',3636919072,3636919103),('CA',3636919104,3636919135),('IN',3636919136,3636919167),('CA',3636919168,3636919199),('IN',3636919200,3636919231),('US',3636919232,3636919295),('CA',3636919296,3636919359),('US',3636919360,3636919711),('BE',3636919712,3636919743),('US',3636919744,3636919807),('GB',3636919808,3636919871),('US',3636919872,3637072895),('CY',3637072896,3637073151),('US',3637073152,3637075967),('CA',3637075968,3637080063),('US',3637080064,3637389335),('CA',3637389336,3637389343),('US',3637389344,3637443103),('JP',3637443104,3637443135),('US',3637443136,3637510143),('CA',3637510144,3637520127),('US',3637520128,3637520191),('CA',3637520192,3637641215),('US',3637641216,3637657599),('CA',3637665792,3637667439),('US',3637667440,3637667518),('CA',3637667519,3637669887),('US',3637669888,3637706751),('CA',3637706752,3637739519),('US',3637739520,3638165503),('CA',3638165504,3638181887),('US',3638181888,3638198951),('BM',3638198952,3638198959),('US',3638198960,3638198983),('ES',3638198984,3638198991),('US',3638198992,3638199711),('DE',3638199712,3638199743),('US',3638199744,3638200007),('JP',3638200008,3638200015),('US',3638200016,3638201167),('IT',3638201168,3638201183),('US',3638201184,3638206407),('LU',3638206408,3638206415),('US',3638206416,3638208527),('CN',3638208528,3638208543),('US',3638208544,3638212735),('GB',3638212736,3638212751),('US',3638212752,3638214399),('GR',3638214400,3638214655),('IT',3638214656,3638214783),('US',3638214784,3638214871),('CK',3638214872,3638214879),('US',3638214880,3638215663),('GB',3638215664,3638215679),('US',3638215680,3638215831),('JP',3638215832,3638215839),('US',3638215840,3638215855),('AU',3638215856,3638215863),('US',3638215864,3638216735),('LU',3638216736,3638216743),('US',3638216744,3638218879),('VG',3638218880,3638219007),('US',3638219008,3638219087),('IT',3638219088,3638219103),('US',3638219104,3638219455),('AU',3638219456,3638219519),('US',3638219520,3638219775),('IT',3638219776,3638220031),('US',3638220032,3638220167),('JP',3638220168,3638220175),('US',3638220176,3638220191),('QA',3638220192,3638220223),('US',3638220224,3638222463),('AU',3638222464,3638222591),('US',3638222592,3638222911),('IT',3638222912,3638222919),('US',3638222920,3638223559),('PA',3638223560,3638223567),('US',3638223568,3638224127),('VG',3638224128,3638224159),('US',3638224160,3638224255),('IT',3638224256,3638224271),('US',3638224272,3638224319),('BM',3638224320,3638224351),('US',3638224352,3638224639),('GR',3638224640,3638224895),('US',3638224896,3638225983),('IN',3638225984,3638226015),('US',3638226016,3638228023),('GB',3638228024,3638228031),('US',3638228032,3638229279),('IT',3638229280,3638229311),('US',3638229312,3638230671),('AU',3638230672,3638230679),('US',3638230680,3638230815),('ES',3638230816,3638230847),('US',3638230848,3638230927),('CA',3638230928,3638230935),('US',3638230936,3638231031),('GB',3638231032,3638231039),('US',3638231040,3638247439),('GB',3638247440,3638247455),('US',3638247456,3638247551),('DE',3638247552,3638247679),('US',3638247680,3638249759),('GB',3638249760,3638249791),('US',3638249792,3638250535),('GB',3638250536,3638250543),('US',3638250544,3638250559),('GB',3638250560,3638250623),('US',3638250624,3638250751),('GB',3638250752,3638250815),('US',3638250816,3638250831),('GB',3638250832,3638250847),('US',3638250848,3638250863),('GB',3638250864,3638250871),('US',3638250872,3638304767),('CA',3638304768,3638312959),('US',3638312960,3638370303),('CA',3638370304,3638386687),('US',3638386688,3638494175),('CA',3638494176,3638494183),('US',3638494184,3638509295),('GB',3638509296,3638509311),('US',3638509312,3638509567),('CA',3638509568,3638528751),('US',3638528752,3638528759),('CA',3638528760,3638530239),('US',3638530240,3638530255),('CA',3638530256,3638534143),('US',3638534144,3638697983),('CA',3638697984,3638706175),('US',3638706176,3638874111),('CA',3638874112,3638878207),('US',3638878208,3638960383),('BR',3638960384,3638960639),('US',3638960640,3638984703),('GT',3638984704,3638992895),('US',3638992896,3639083007),('CA',3639083008,3639148543),('US',3639148544,3639222271),('CA',3639222272,3639230463),('US',3639230464,3639255039),('CA',3639255040,3639258677),('IL',3639258678,3639258678),('CA',3639258679,3639263231),('US',3639263232,3639279615),('CA',3639279616,3639283711),('US',3639283712,3639322511),('JP',3639322512,3639322519),('US',3639322520,3639322535),('JP',3639322536,3639322543),('US',3639322544,3639322679),('ID',3639322680,3639322687),('US',3639322688,3639322719),('ID',3639322720,3639322751),('US',3639322752,3639342703),('GB',3639342704,3639342711),('US',3639342712,3639343135),('GB',3639343136,3639343167),('US',3639343168,3639343231),('GB',3639343232,3639343263),('US',3639343264,3639344447),('MA',3639344448,3639344463),('US',3639344464,3639344543),('GB',3639344544,3639344575),('PL',3639344576,3639344591),('US',3639344592,3639369727),('A2',3639369728,3639376383),('GU',3639376384,3639377407),('A2',3639377408,3639377663),('US',3639377664,3639390207),('ZA',3639390208,3639394303),('US',3639394304,3639396095),('A2',3639396096,3639396351),('NE',3639396352,3639396383),('A2',3639396384,3639396415),('PK',3639396416,3639396431),('A2',3639396432,3639396447),('NG',3639396448,3639396463),('TZ',3639396464,3639396471),('A2',3639396472,3639396487),('IN',3639396488,3639396519),('A2',3639396520,3639396543),('TZ',3639396544,3639396551),('A2',3639396552,3639396671),('NE',3639396672,3639396735),('IN',3639396736,3639396743),('A2',3639396744,3639396863),('NE',3639396864,3639396879),('A2',3639396880,3639396927),('FR',3639396928,3639396959),('NG',3639396960,3639396975),('A2',3639396976,3639396991),('CD',3639396992,3639397023),('A2',3639397024,3639397119),('IN',3639397120,3639397375),('US',3639397376,3639397631),('NG',3639397632,3639397887),('US',3639397888,3639398399),('A2',3639398400,3639398423),('LB',3639398424,3639398431),('A2',3639398432,3639398439),('LB',3639398440,3639398447),('A2',3639398448,3639398463),('SA',3639398464,3639398495),('A2',3639398496,3639398527),('SA',3639398528,3639398591),('LB',3639398592,3639398599),('A2',3639398600,3639398655),('SA',3639398656,3639398663),('A2',3639398664,3639398911),('US',3639398912,3639399935),('A2',3639399936,3639400447),('RS',3639400448,3639401471),('PK',3639401472,3639401495),('A2',3639401496,3639401511),('ID',3639401512,3639401519),('A2',3639401520,3639401535),('TZ',3639401536,3639401551),('LK',3639401552,3639401559),('A2',3639401560,3639401591),('US',3639401592,3639401599),('A2',3639401600,3639401623),('TZ',3639401624,3639401631),('A2',3639401632,3639401647),('PK',3639401648,3639401655),('A2',3639401656,3639401687),('PK',3639401688,3639401727),('A2',3639401728,3639402015),('PK',3639402016,3639402031),('A2',3639402032,3639402047),('US',3639402048,3639402055),('PK',3639402056,3639402071),('A2',3639402072,3639402079),('PK',3639402080,3639402095),('A2',3639402096,3639402111),('NG',3639402112,3639402175),('PK',3639402176,3639402191),('A2',3639402192,3639402199),('PK',3639402200,3639402207),('A2',3639402208,3639402239),('GH',3639402240,3639402495),('US',3639402496,3639439631),('RO',3639439632,3639439639),('US',3639439640,3639440767),('IN',3639440768,3639440895),('US',3639440896,3639558143),('CA',3639558144,3639566335),('US',3639566336,3639607295),('CA',3639607296,3639611391),('US',3639611392,3639656447),('CA',3639656448,3639660543),('US',3639660544,3639664639),('CA',3639664640,3639668735),('CO',3639672832,3639673599),('CL',3639673600,3639675391),('CO',3639675392,3639676159),('CL',3639676160,3639676415),('CO',3639676416,3639676543),('CL',3639676544,3639676575),('CO',3639676576,3639676639),('CL',3639676640,3639676655),('CO',3639676656,3639676695),('CL',3639676696,3639676703),('CO',3639676704,3639676959),('CL',3639676960,3639676967),('CO',3639676968,3639676983),('CL',3639676984,3639676999),('CO',3639677000,3639677063),('CL',3639677064,3639677071),('CO',3639677072,3639677111),('CL',3639677112,3639677119),('CO',3639677120,3639677223),('CL',3639677224,3639677231),('CO',3639677232,3639677335),('CL',3639677336,3639677343),('CO',3639677344,3639677375),('CL',3639677376,3639677383),('CO',3639677384,3639677431),('CL',3639677432,3639677439),('CO',3639677440,3639677503),('CL',3639677504,3639677519),('CO',3639677520,3639677559),('CL',3639677560,3639677567),('CO',3639677568,3639677575),('CL',3639677576,3639677583),('CO',3639677584,3639677631),('CL',3639677632,3639677695),('CO',3639677696,3639677751),('CL',3639677752,3639677767),('CO',3639677768,3639677823),('CL',3639677824,3639677831),('CO',3639677832,3639677839),('CL',3639677840,3639677847),('CO',3639677848,3639677927),('CL',3639677928,3639677951),('CO',3639677952,3639677975),('CL',3639677976,3639677983),('CO',3639677984,3639677999),('CL',3639678000,3639678007),('CO',3639678008,3639678031),('CL',3639678032,3639678039),('CO',3639678040,3639678175),('CL',3639678176,3639678191),('CO',3639678192,3639678199),('CL',3639678200,3639678463),('CO',3639678464,3639678487),('CL',3639678488,3639678495),('CO',3639678496,3639678647),('CL',3639678648,3639678655),('CO',3639678656,3639678671),('CL',3639678672,3639678687),('CO',3639678688,3639678735),('CL',3639678736,3639678751),('CO',3639678752,3639678895),('CL',3639678896,3639678911),('CO',3639678912,3639678927),('CL',3639678928,3639678935),('CO',3639678936,3639679359),('CL',3639679360,3639679383),('CO',3639679384,3639679455),('CL',3639679456,3639679463),('CO',3639679464,3639679487),('CL',3639679488,3639679743),('CO',3639679744,3639680255),('CL',3639680256,3639680271),('CO',3639680272,3639680343),('CL',3639680344,3639680351),('CO',3639680352,3639680359),('CL',3639680360,3639680367),('CO',3639680368,3639680447),('CL',3639680448,3639680479),('CO',3639680480,3639680847),('CL',3639680848,3639680863),('CO',3639680864,3639680895),('CL',3639680896,3639680927),('CO',3639680928,3639680991),('CL',3639680992,3639681023),('US',3639681024,3639730175),('CA',3639730176,3639734271),('US',3639734272,3639888927),('NO',3639888928,3639888959),('US',3639888960,3639902207),('PE',3639902208,3639918591),('AR',3639918592,3639934975),('US',3639934976,3640003191),('BE',3640003192,3640003199),('US',3640003200,3640003239),('TR',3640003240,3640003247),('US',3640003248,3640007311),('HK',3640007312,3640007319),('US',3640007320,3640007359),('SO',3640007360,3640007367),('US',3640007368,3640013767),('GI',3640013768,3640013775),('US',3640013776,3640023079),('EG',3640023080,3640023087),('US',3640023088,3640023231),('GI',3640023232,3640023247),('US',3640023248,3640023271),('HK',3640023272,3640023279),('US',3640023280,3640057855),('CA',3640057856,3640066047),('US',3640066048,3640075391),('NL',3640075392,3640075407),('US',3640075408,3640075759),('CA',3640075760,3640075775),('US',3640075776,3640112063),('NL',3640112064,3640112079),('US',3640112080,3640112575),('NL',3640112576,3640112591),('US',3640112592,3640197119),('CA',3640197120,3640201215),('US',3640201216,3640205311),('BM',3640205312,3640209407),('CA',3640209408,3640213503),('US',3640213504,3640287231),('CA',3640287232,3640291327),('US',3640291328,3640312063),('A2',3640312064,3640312079),('ID',3640312080,3640312095),('GB',3640312096,3640312103),('A2',3640312104,3640312159),('ID',3640312160,3640312191),('A2',3640312192,3640312319),('NI',3640312320,3640312575),('NG',3640312576,3640312607),('A2',3640312608,3640312639),('US',3640312640,3640312703),('A2',3640312704,3640315391),('TR',3640315392,3640315647),('A2',3640315648,3640316415),('US',3640316416,3640316671),('A2',3640316672,3640316927),('US',3640316928,3640317183),('A2',3640317184,3640317503),('ID',3640317504,3640317535),('A2',3640317536,3640317559),('NL',3640317560,3640317567),('A2',3640317568,3640317695),('US',3640317696,3640317823),('A2',3640317824,3640318207),('NC',3640318208,3640318975),('GQ',3640318976,3640319103),('A2',3640319104,3640319231),('NG',3640319232,3640319487),('A2',3640319488,3640319999),('US',3640320000,3640328191),('US',3640336384,3640344959),('MX',3640344960,3640345007),('US',3640345008,3640345023),('MX',3640345024,3640345086),('US',3640345087,3640345087),('MX',3640345088,3640345342),('US',3640345343,3640345391),('MX',3640345392,3640345407),('US',3640345408,3640345423),('MX',3640345424,3640345431),('US',3640345432,3640345455),('MX',3640345456,3640345503),('US',3640345504,3640345663),('MX',3640345664,3640345711),('US',3640345712,3640345743),('MX',3640345744,3640345854),('US',3640345855,3640346815),('MX',3640346816,3640346847),('US',3640346848,3640346879),('MX',3640346880,3640347134),('US',3640347135,3640347391),('MX',3640347392,3640347455),('US',3640347456,3640347471),('MX',3640347472,3640347487),('US',3640347488,3640347503),('MX',3640347504,3640347519),('US',3640347520,3640347535),('MX',3640347536,3640347551),('US',3640347552,3640347567),('MX',3640347568,3640347599),('US',3640347600,3640347615),('MX',3640347616,3640347631),('US',3640347632,3640347647),('MX',3640347648,3640347711),('US',3640347712,3640347839),('MX',3640347840,3640347902),('US',3640347903,3640360959),('CA',3640360960,3640369151),('US',3640369152,3640401919),('CA',3640410112,3640418303),('US',3640418304,3640557567),('CA',3640557568,3640582143),('US',3640582144,3640647679),('JP',3640647680,3640651775),('US',3640651776,3640655871),('DE',3640655872,3641056319),('HU',3641056320,3641056327),('DE',3641056328,3641056359),('AT',3641056360,3641056367),('PL',3641056368,3641056375),('DE',3641056376,3641057655),('CZ',3641057656,3641057663),('DE',3641057664,3641078559),('BE',3641078560,3641078567),('DE',3641078568,3641085687),('CZ',3641085688,3641085695),('DE',3641085696,3641087695),('GB',3641087696,3641087703),('DE',3641087704,3641098191),('ES',3641098192,3641098207),('DE',3641098208,3641102607),('FR',3641102608,3641102615),('DE',3641102616,3641103719),('HU',3641103720,3641103727),('DE',3641103728,3641106951),('CH',3641106952,3641106959),('DE',3641106960,3641114031),('SK',3641114032,3641114039),('DE',3641114040,3641134367),('BE',3641134368,3641134375),('DE',3641134376,3641140671),('US',3641140672,3641140679),('DE',3641140680,3641147519),('AT',3641147520,3641147527),('DE',3641147528,3641150303),('US',3641150304,3641150311),('DE',3641150312,3641157951),('AT',3641157952,3641157959),('DE',3641157960,3641158031),('FR',3641158032,3641158055),('DE',3641158056,3641158103),('FR',3641158104,3641158111),('DE',3641158112,3641158127),('ES',3641158128,3641158135),('DE',3641158136,3641158199),('NL',3641158200,3641158207),('DE',3641158208,3641158335),('ES',3641158336,3641158343),('DE',3641158344,3641158423),('IT',3641158424,3641158431),('DE',3641158432,3641158519),('ES',3641158520,3641158527),('DE',3641158528,3641159679),('ES',3641159680,3641159687),('DE',3641159688,3641159727),('ES',3641159728,3641159743),('DE',3641159744,3641159767),('ES',3641159768,3641159775),('DE',3641159776,3641180159),('GB',3641180160,3641188351),('DE',3641192448,3641196543),('SA',3641196544,3641200639),('RU',3641200640,3641204735),('NL',3641204736,3641206015),('CN',3641206016,3641206271),('NL',3641206272,3641208831),('JO',3641208832,3641212927),('NO',3641212928,3641221119),('PL',3641221120,3641229311),('CH',3641229312,3641237503),('RU',3641237504,3641241599),('GB',3641241600,3641245695),('UA',3641245696,3641249791),('DE',3641249792,3641262079),('IT',3641262080,3641266175),('RU',3641266176,3641270271),('DE',3641270272,3641278463),('IS',3641278464,3641282559),('RU',3641282560,3641286655),('PL',3641286656,3641294847),('GB',3641294848,3641298943),('SE',3641298944,3641303039),('BG',3641303040,3641307135),('LT',3641307136,3641311231),('DE',3641311232,3641315327),('DK',3641315328,3641319423),('RU',3641319424,3641323519),('US',3641323520,3641323775),('DE',3641323776,3641331711),('ES',3641331712,3641335807),('SE',3641335808,3641343999),('GB',3641344000,3641345199),('IE',3641345200,3641345215),('GB',3641345216,3641349383),('DE',3641349384,3641349391),('FR',3641349392,3641349399),('CH',3641349400,3641349407),('DK',3641349408,3641349415),('NO',3641349416,3641349423),('SE',3641349424,3641349431),('NL',3641349432,3641349439),('GB',3641349440,3641349511),('DE',3641349512,3641349519),('IT',3641349520,3641349527),('GB',3641349528,3641353151),('BD',3641353152,3641353183),('NG',3641353184,3641353215),('GB',3641353216,3641353231),('IQ',3641353232,3641353247),('GB',3641353248,3641353343),('BD',3641353344,3641353727),('NG',3641353728,3641353759),('GB',3641353760,3641353775),('NG',3641353776,3641353807),('GB',3641353808,3641353983),('AF',3641353984,3641354239),('GB',3641354240,3641354751),('NG',3641354752,3641355263),('AO',3641355264,3641355519),('GB',3641355520,3641355775),('LB',3641355776,3641356031),('GB',3641356032,3641356111),('NG',3641356112,3641356119),('GB',3641356120,3641356191),('NG',3641356192,3641356207),('GB',3641356208,3641359359),('IQ',3641359360,3641359615),('GB',3641359616,3641360383),('RO',3641360384,3641368575),('GB',3641368576,3641372671),('BG',3641372672,3641376767),('IT',3641376768,3641380863),('IR',3641380864,3641384959),('CH',3641384960,3641389055),('DE',3641389056,3641391807),('AT',3641391808,3641391823),('DE',3641391824,3641393151),('IT',3641393152,3641401343),('ES',3641401344,3641409535),('PL',3641409536,3641417727),('GE',3641417728,3641421823),('TJ',3641421824,3641425919),('DE',3641425920,3641430015),('KW',3641430016,3641434111),('CZ',3641434112,3641442303),('GB',3641442304,3641446399),('ES',3641446400,3641450495),('IE',3641450496,3641454591),('SK',3641454592,3641458687),('GB',3641458688,3641462783),('UZ',3641462784,3641466879),('RU',3641466880,3641470975),('MD',3641470976,3641475071),('IT',3641475072,3641479167),('GB',3641479168,3641483263),('IT',3641483264,3641491455),('UA',3641491456,3641493503),('RU',3641493504,3641494015),('UA',3641494016,3641495551),('RU',3641495552,3641496063),('UA',3641496064,3641499647),('DE',3641499648,3641503743),('RU',3641503744,3641507839),('NO',3641507840,3641516031),('HU',3641516032,3641520127),('FR',3641520128,3641524223),('DE',3641524224,3641528319),('ES',3641528320,3641532415),('RO',3641532416,3641536511),('ES',3641536512,3641540607),('GB',3641540608,3641548799),('DE',3641548800,3641552895),('AT',3641552896,3641556991),('DE',3641556992,3641561087),('RU',3641561088,3641565183),('SE',3641565184,3641573375),('NO',3641573376,3641577471),('RU',3641577472,3641581567),('ES',3641581568,3641585663),('RU',3641585664,3641589759),('CH',3641589760,3641593855),('NG',3641593856,3641597951),('AZ',3641597952,3641602047),('DE',3641602048,3641606143),('GB',3641606144,3641607695),('FR',3641607696,3641607711),('GB',3641607712,3641610239),('DE',3641610240,3641618431),('GB',3641618432,3641622527),('RU',3641622528,3641626623),('HR',3641626624,3641630719),('AT',3641630720,3641634815),('RU',3641634816,3641638911),('AT',3641638912,3641643007),('RU',3641643008,3641647103),('ES',3641647104,3641651199),('RU',3641651200,3641655295),('GB',3641655296,3641659391),('FR',3641659392,3641663487),('MT',3641663488,3641667583),('GB',3641667584,3641668863),('ZW',3641668864,3641670655),('SO',3641670656,3641670783),('NG',3641670784,3641670791),('GB',3641670792,3641670911),('LS',3641670912,3641671679),('RU',3641671680,3641679871),('GB',3641679872,3641683967),('KZ',3641683968,3641688063),('IT',3641692160,3641696255),('DE',3641696256,3641700351),('SE',3641700352,3641704447),('US',3641704448,3641704959),('CY',3641704960,3641708543),('RU',3641708544,3641712639),('NL',3641712640,3641716735),('GB',3641716736,3641720831),('MK',3641720832,3641729023),('DK',3641729024,3641733119),('AT',3641733120,3641737215),('HR',3641737216,3641741311),('ES',3641741312,3641745407),('DE',3641745408,3641749503),('RU',3641749504,3641753599),('SE',3641753600,3641757695),('GB',3641757696,3641761791),('CY',3641761792,3641761799),('GR',3641761800,3641761803),('CY',3641761804,3641761807),('GR',3641761808,3641761851),('CY',3641761852,3641761855),('GR',3641761856,3641761863),('CY',3641761864,3641761867),('GR',3641761868,3641761895),('CY',3641761896,3641761899),('GR',3641761900,3641761923),('CY',3641761924,3641761927),('GR',3641761928,3641761935),('CY',3641761936,3641761939),('GR',3641761940,3641761967),('CY',3641761968,3641761971),('GR',3641761972,3641762007),('CY',3641762008,3641762011),('GR',3641762012,3641762047),('CY',3641762048,3641762647),('GR',3641762648,3641762655),('CY',3641762656,3641762703),('GR',3641762704,3641762711),('CY',3641762712,3641762755),('GR',3641762756,3641762759),('CY',3641762760,3641762907),('GR',3641762908,3641762947),('CY',3641762948,3641762951),('GR',3641762952,3641762999),('CY',3641763000,3641763003),('GR',3641763004,3641763023),('CY',3641763024,3641763035),('GR',3641763036,3641763063),('CY',3641763064,3641763335),('GR',3641763336,3641763339),('CY',3641763340,3641763427),('GR',3641763428,3641763431),('CY',3641763432,3641763439),('GR',3641763440,3641763443),('CY',3641763444,3641763475),('GR',3641763476,3641763479),('CY',3641763480,3641763515),('GR',3641763516,3641763519),('CY',3641763520,3641763582),('GR',3641763583,3641763583),('CY',3641763584,3641764231),('GR',3641764232,3641764239),('CY',3641764240,3641764279),('GR',3641764280,3641764283),('CY',3641764284,3641764287),('GR',3641764288,3641764291),('CY',3641764292,3641764303),('GR',3641764304,3641764307),('CY',3641764308,3641764319),('GR',3641764320,3641764327),('CY',3641764328,3641764607),('GR',3641764608,3641764631),('CY',3641764632,3641764635),('GR',3641764636,3641764699),('CY',3641764700,3641764703),('GR',3641764704,3641764779),('CY',3641764780,3641764787),('GR',3641764788,3641764847),('CY',3641764848,3641764856),('GR',3641764857,3641764863),('CY',3641764864,3641764867),('GR',3641764868,3641764871),('CY',3641764872,3641764875),('GR',3641764876,3641764927),('CY',3641764928,3641764931),('GR',3641764932,3641764943),('CY',3641764944,3641764951),('GR',3641764952,3641764963),('CY',3641764964,3641764967),('GR',3641764968,3641764975),('CY',3641764976,3641764979),('GR',3641764980,3641765023),('CY',3641765024,3641765031),('GR',3641765032,3641765087),('CY',3641765088,3641765091),('GR',3641765092,3641765119),('CY',3641765120,3641765631),('GR',3641765632,3641765887),('ES',3641765888,3641769983),('NO',3641769984,3641774079),('DE',3641774080,3641778175),('PL',3641778176,3641782271),('GB',3641782272,3641784079),('BG',3641784080,3641786367),('SE',3641786368,3641790463),('LT',3641790464,3641794559),('RS',3641794560,3641798655),('GB',3641798656,3641802751),('NL',3641802752,3641806847),('TR',3641806848,3641809663),('NL',3641809664,3641809919),('CY',3641809920,3641810175),('TR',3641810176,3641810315),('CY',3641810316,3641810431),('NL',3641810432,3641810439),('US',3641810440,3641810447),('NL',3641810448,3641810463),('US',3641810464,3641810479),('TR',3641810480,3641810559),('US',3641810560,3641810623),('TR',3641810624,3641810631),('US',3641810632,3641810642),('TR',3641810643,3641810687),('CY',3641810688,3641810943),('RU',3641810944,3641819135),('DE',3641819136,3641823231),('NO',3641823232,3641827327),('BH',3641827328,3641835519),('IT',3641835520,3641839615),('GB',3641839616,3641843711),('ES',3641843712,3641847807),('RU',3641847808,3641851903),('NL',3641851904,3641855999),('GB',3641856000,3641860095),('IT',3641860096,3641868287),('RU',3641868288,3641876479),('ES',3641876480,3641880575),('DE',3641880576,3641881447),('CH',3641881448,3641881455),('DE',3641881456,3641881567),('CH',3641881568,3641881583),('DE',3641881584,3641884671),('NO',3641884672,3641888767),('IT',3641888768,3641892863),('BG',3641896960,3641901055),('RO',3641901056,3641905151),('NL',3641905152,3641909247),('AT',3641909248,3641913343),('FR',3641913344,3641917439),('GR',3641917440,3641925631),('PL',3641925632,3641929727),('RU',3641929728,3641933823),('GB',3641933824,3641937919),('IT',3641937920,3641942015),('DE',3641942016,3641950207),('FR',3641950208,3641954303),('MD',3641954304,3641957887),('GB',3641957888,3641957951),('MD',3641957952,3641958399),('BE',3641958400,3641960699),('NL',3641960700,3641960703),('BE',3641960704,3641961727),('NL',3641961728,3641961743),('BE',3641961744,3641961791),('US',3641961792,3641961799),('BE',3641961800,3641962495),('GB',3641962496,3641966591),('IT',3641966592,3641970687),('GB',3641970688,3641972247),('BG',3641972248,3641972255),('GB',3641972256,3641978879),('DK',3641978880,3641987071),('RU',3641987072,3641991167),('SE',3641991168,3641995263),('DE',3641995264,3641999359),('HU',3641999360,3642003455),('DE',3642003456,3642007551),('UA',3642007552,3642015743),('CH',3642015744,3642019839),('RU',3642019840,3642023935),('EG',3642023936,3642028031),('A2',3642028032,3642028288),('NG',3642028289,3642028295),('A2',3642028296,3642028303),('NG',3642028304,3642028319),('A2',3642028320,3642028327),('NG',3642028328,3642028503),('GH',3642028504,3642028511),('SO',3642028512,3642028519),('A2',3642028520,3642028543),('NG',3642028544,3642028599),('A2',3642028600,3642028607),('NG',3642028608,3642028671),('A2',3642028672,3642028703),('NG',3642028704,3642028735),('GH',3642028736,3642028767),('A2',3642028768,3642028815),('GH',3642028816,3642028823),('NG',3642028824,3642028863),('A2',3642028864,3642028959),('NG',3642028960,3642028991),('A2',3642028992,3642029051),('SO',3642029052,3642029055),('GB',3642029056,3642029183),('SA',3642029184,3642029199),('A2',3642029200,3642029215),('CD',3642029216,3642029247),('A2',3642029248,3642029383),('GB',3642029384,3642029391),('A2',3642029392,3642029407),('SO',3642029408,3642029439),('GB',3642029440,3642029503),('A2',3642029504,3642029567),('SL',3642029568,3642029823),('A2',3642029824,3642030079),('SL',3642030080,3642030335),('A2',3642030336,3642030591),('GB',3642030592,3642030623),('CY',3642030624,3642030631),('GB',3642030632,3642030639),('A2',3642030640,3642031519),('UG',3642031520,3642031551),('A2',3642031552,3642032127),('PS',3642032128,3642036223),('RU',3642036224,3642040319),('BY',3642040320,3642048511),('A2',3642048512,3642053439),('TZ',3642053440,3642053631),('A2',3642053632,3642055935),('KE',3642055936,3642056703),('RU',3642056704,3642060799),('KE',3642060800,3642064895),('GB',3642064896,3642068991),('NL',3642068992,3642073087),('LV',3642073088,3642077183),('DE',3642081280,3642085375),('RU',3642085376,3642089471),('SE',3642089472,3642093567),('NL',3642093568,3642097663),('GB',3642097664,3642101759),('NO',3642101760,3642105855),('IT',3642105856,3642109951),('BE',3642109952,3642110719),('NL',3642110720,3642110991),('BE',3642110992,3642111023),('NL',3642111024,3642111359),('BE',3642111360,3642111486),('NL',3642111487,3642111791),('BE',3642111792,3642111839),('NL',3642111840,3642111887),('BE',3642111888,3642111903),('NL',3642111904,3642111919),('BE',3642111920,3642111935),('NL',3642111936,3642111951),('BE',3642111952,3642111983),('NL',3642111984,3642111999),('BE',3642112000,3642112031),('NL',3642112032,3642112047),('BE',3642112048,3642112063),('NL',3642112064,3642112143),('BE',3642112144,3642112159),('NL',3642112160,3642112207),('BE',3642112208,3642112239),('NL',3642112240,3642112351),('BE',3642112352,3642112383),('NL',3642112384,3642112415),('BE',3642112416,3642112447),('NL',3642112448,3642112527),('BE',3642112528,3642112543),('NL',3642112544,3642112559),('BE',3642112560,3642112575),('NL',3642112576,3642112591),('BE',3642112592,3642112607),('NL',3642112608,3642112623),('BE',3642112624,3642112655),('NL',3642112656,3642112671),('BE',3642112672,3642112687),('NL',3642112688,3642112719),('BE',3642112720,3642112751),('NL',3642112752,3642112767),('BE',3642112768,3642112831),('NL',3642112832,3642113023),('BE',3642113024,3642113215),('NL',3642113216,3642113279),('BE',3642113280,3642113311),('NL',3642113312,3642113791),('BE',3642113792,3642113823),('NL',3642113824,3642113855),('BE',3642113856,3642113919),('NL',3642113920,3642118143),('GB',3642118144,3642122239),('ES',3642122240,3642126335),('IL',3642126336,3642130431),('DE',3642130432,3642134527),('GB',3642134528,3642138623),('RU',3642138624,3642142719),('MT',3642142720,3642146815),('DE',3642146816,3642150911),('IT',3642150912,3642163199),('PT',3642163200,3642167295),('RU',3642167296,3642171391),('JO',3642171392,3642175487),('DE',3642175488,3642179583),('RU',3642179584,3642187775),('DK',3642187776,3642190591),('NO',3642190592,3642190623),('DK',3642190624,3642191423),('ES',3642191424,3642191455),('TR',3642191456,3642191487),('CH',3642191488,3642191519),('CY',3642191520,3642191551),('ES',3642191552,3642191583),('US',3642191584,3642191615),('ZA',3642191616,3642191647),('AU',3642191648,3642191679),('TH',3642191680,3642191711),('BR',3642191712,3642191743),('DK',3642191744,3642191871),('BY',3642191872,3642195967),('RU',3642195968,3642204159),('GB',3642204160,3642208255),('RU',3642208256,3642212351),('BA',3642212352,3642216447),('HU',3642216448,3642220543),('GB',3642220544,3642224639),('SK',3642224640,3642228735),('DE',3642228736,3642232831),('RS',3642232832,3642236927),('CH',3642236928,3642241023),('DE',3642241024,3642245119),('BE',3642245120,3642249215),('FR',3642249216,3642253311),('DE',3642253312,3642257407),('RU',3642257408,3642261503),('GB',3642261504,3642265599),('IR',3642265600,3642266367),('AE',3642266368,3642267167),('IR',3642267168,3642267391),('AE',3642267392,3642269695),('UA',3642269696,3642273791),('RU',3642273792,3642277887),('DE',3642277888,3642290175),('AL',3642290176,3642294271),('GB',3642294272,3642298367),('AZ',3642298368,3642302463),('SE',3642302464,3642306559),('IR',3642306560,3642310655),('DE',3642310656,3642314751),('RU',3642314752,3642318847),('FI',3642318848,3642322943),('AT',3642322944,3642327039),('DE',3642327040,3642331135),('RU',3642331136,3642335231),('UA',3642335232,3642339327),('FR',3642339328,3642343423),('UA',3642343424,3642347519),('RU',3642347520,3642355711),('SE',3642355712,3642359807),('RU',3642359808,3642367999),('CH',3642368000,3642376191),('RS',3642376192,3642380287),('IT',3642380288,3642384383),('NO',3642384384,3642388479),('NL',3642388480,3642392575),('MD',3642396672,3642404863),('RU',3642404864,3642408959),('FR',3642408960,3642413055),('RS',3642413056,3642414591),('GB',3642414592,3642417151),('IT',3642417152,3642421247),('ES',3642421248,3642425343),('DE',3642425344,3642429439),('GB',3642429440,3642433535),('CY',3642433536,3642435583),('RU',3642435584,3642436607),('GR',3642436608,3642437119),('GB',3642437120,3642437631),('CY',3642437632,3642439423),('RU',3642439424,3642439459),('CY',3642439460,3642439463),('RU',3642439464,3642439471),('CY',3642439472,3642439483),('RU',3642439484,3642439495),('CY',3642439496,3642439551),('RU',3642439552,3642439567),('CY',3642439568,3642440447),('RU',3642440448,3642440451),('CY',3642440452,3642441727),('IT',3642441728,3642449919),('CH',3642449920,3642454015),('IT',3642454016,3642458111),('DE',3642458112,3642462207),('UA',3642462208,3642466303),('SE',3642466304,3642474495),('DE',3642474496,3642478591),('HU',3642478592,3642482687),('GB',3642486784,3642499071),('SE',3642499072,3642503167),('LV',3642503168,3642507263),('FR',3642507264,3642511359),('RU',3642511360,3642515455),('DE',3642515456,3642519551),('IT',3642519552,3642523647),('GB',3642523648,3642527743),('PL',3642527744,3642531839),('DK',3642531840,3642532351),('GB',3642532352,3642532607),('US',3642532608,3642532863),('DK',3642532864,3642535935),('IS',3642535936,3642540031),('SE',3642540032,3642544127),('RU',3642544128,3642548223),('DE',3642548224,3642552319),('NL',3642552320,3642552639),('EE',3642552640,3642552655),('HU',3642552656,3642552663),('NL',3642552664,3642552671),('SE',3642552672,3642552687),('NL',3642552688,3642553103),('LV',3642553104,3642553115),('NL',3642553116,3642553151),('LV',3642553152,3642553199),('NL',3642553200,3642553215),('LV',3642553216,3642553279),('NL',3642553280,3642553343),('RU',3642553344,3642553363),('NL',3642553364,3642553379),('RU',3642553380,3642553519),('NL',3642553520,3642553523),('RU',3642553524,3642553535),('DE',3642553536,3642553543),('NL',3642553544,3642553551),('RU',3642553552,3642553575),('NL',3642553576,3642554111),('RU',3642554112,3642554143),('NL',3642554144,3642554175),('RU',3642554176,3642554185),('NL',3642554186,3642554187),('RU',3642554188,3642554195),('NL',3642554196,3642554239),('RU',3642554240,3642554271),('NL',3642554272,3642554367),('LT',3642554368,3642554379),('NL',3642554380,3642554383),('LT',3642554384,3642554391),('NL',3642554392,3642554395),('LT',3642554396,3642554623),('NL',3642554624,3642554631),('LV',3642554632,3642554675),('EE',3642554676,3642554679),('LV',3642554680,3642554799),('EE',3642554800,3642554807),('LV',3642554808,3642554879),('DE',3642554880,3642554927),('UA',3642554928,3642554951),('DE',3642554952,3642554955),('GE',3642554956,3642554959),('UA',3642554960,3642554967),('LV',3642554968,3642554971),('DE',3642554972,3642554975),('CZ',3642554976,3642554977),('FR',3642554978,3642554979),('BE',3642554980,3642554983),('DE',3642554984,3642554987),('FR',3642554988,3642554989),('UA',3642554990,3642554991),('DE',3642554992,3642555011),('NL',3642555012,3642555019),('DE',3642555020,3642555023),('NL',3642555024,3642555039),('DE',3642555040,3642555045),('NL',3642555046,3642555047),('DE',3642555048,3642555051),('NL',3642555052,3642555143),('LT',3642555144,3642555223),('LV',3642555224,3642555227),('LT',3642555228,3642555259),('NL',3642555260,3642555263),('LT',3642555264,3642555391),('PL',3642555392,3642555443),('NL',3642555444,3642555447),('PL',3642555448,3642555471),('NL',3642555472,3642555647),('SE',3642555648,3642555683),('NL',3642555684,3642555687),('SE',3642555688,3642555695),('LV',3642555696,3642555703),('FI',3642555704,3642555707),('NL',3642555708,3642555711),('RU',3642555712,3642555727),('NL',3642555728,3642555935),('UA',3642555936,3642555983),('NL',3642555984,3642556159),('LV',3642556160,3642556415),('DE',3642556416,3642560511),('KG',3642560512,3642564607),('DE',3642564608,3642568703),('IT',3642572800,3642576895),('RU',3642576896,3642580991),('RU',3642585088,3642585855),('US',3642585856,3642586111),('UZ',3642586112,3642589183),('EG',3642589184,3642593279),('AT',3642593280,3642597375),('IT',3642597376,3642601471),('RU',3642601472,3642605567),('GB',3642605568,3642609663),('DZ',3642609664,3642613759),('FI',3642613760,3642615295),('NO',3642615296,3642615551),('FI',3642615552,3642615583),('AX',3642615584,3642615615),('FI',3642615616,3642617855),('JO',3642617856,3642621951),('IT',3642621952,3642626047),('BE',3642626048,3642630143),('DE',3642634240,3642638335),('CZ',3642638336,3642642431),('DK',3642642432,3642646527),('MT',3642646528,3642650623),('GB',3642650624,3642654719),('PL',3642654720,3642662911),('GR',3642662912,3642667007),('FI',3642667008,3642671103),('IT',3642671104,3642675199),('BG',3642675200,3642679295),('DE',3642679296,3642683391),('RU',3642683392,3642687487),('GB',3642687488,3642691583),('DE',3642691584,3642695679),('ES',3642695680,3642699775),('CZ',3642699776,3642703871),('LU',3642703872,3642707967),('DE',3642707968,3642712063),('NO',3642712064,3642716159),('IT',3642716160,3642720255),('GB',3642720256,3642728447),('SE',3642728448,3642736639),('CZ',3642736640,3642740735),('DE',3642740736,3642744831),('TR',3642744832,3642753023),('GB',3642753024,3642830671),('A2',3642830672,3642830687),('GB',3642830688,3643801599),('DE',3643801600,3644031487),('GB',3644031488,3644031743),('DE',3644031744,3644033023),('GB',3644033024,3644033151),('DE',3644033152,3644033279),('GB',3644033280,3644033471),('DE',3644033472,3644033487),('GB',3644033488,3644033535),('DE',3644033536,3644063743),('EG',3644063744,3644325887),('IT',3644325888,3644588031),('DK',3644588032,3644719103),('NL',3644719104,3644809215),('AM',3644809216,3644817407),('NL',3644817408,3644850175),('CZ',3644850176,3644854271),('AZ',3644854272,3644858367),('GB',3644858368,3644862463),('FR',3644862464,3644866559),('DE',3644866560,3644871167),('AT',3644871168,3644871423),('DE',3644871424,3644874751),('ML',3644874752,3644878847),('GB',3644878848,3644882943),('TR',3644887040,3644891135),('DE',3644891136,3644895231),('FI',3644895232,3644899327),('IT',3644899328,3644903423),('TR',3644903424,3644907519),('GB',3644907520,3644908983),('IT',3644908984,3644908991),('GB',3644908992,3644909855),('IS',3644909856,3644909859),('GB',3644909860,3644911615),('BE',3644911616,3644915711),('RU',3644915712,3644919807),('DE',3644919808,3644923903),('IL',3644923904,3644927999),('GI',3644928000,3644932095),('IT',3644932096,3644936191),('RU',3644936192,3644940287),('HU',3644940288,3644948479),('DE',3644948480,3644952575),('GB',3644952576,3644960767),('DE',3644960768,3644964863),('RS',3644964864,3644968959),('RU',3644968960,3644973055),('NO',3644973056,3644977151),('UA',3644977152,3644981247),('BE',3644981248,3644985343),('RU',3644985344,3644989439),('DE',3644989440,3644997631),('RU',3644997632,3645005823),('UA',3645005824,3645009919),('FR',3645009920,3645014015),('DE',3645014016,3645018111),('RU',3645018112,3645022207),('CZ',3645022208,3645030143),('SK',3645030144,3645030399),('IR',3645030400,3645038591),('PS',3645038592,3645046783),('RU',3645046784,3645050879),('SK',3645050880,3645051059),('CZ',3645051060,3645051063),('SK',3645051064,3645051131),('CZ',3645051132,3645051135),('SK',3645051136,3645051223),('CZ',3645051224,3645051247),('SK',3645051248,3645051255),('CZ',3645051256,3645051279),('SK',3645051280,3645051379),('CZ',3645051380,3645051383),('SK',3645051384,3645051439),('CZ',3645051440,3645051455),('SK',3645051456,3645051555),('CZ',3645051556,3645051559),('SK',3645051560,3645051567),('CZ',3645051568,3645051583),('SK',3645051584,3645051599),('CZ',3645051600,3645051615),('SK',3645051616,3645051639),('CZ',3645051640,3645051647),('SK',3645051648,3645051671),('CZ',3645051672,3645051711),('SK',3645051712,3645051719),('CZ',3645051720,3645051727),('SK',3645051728,3645051775),('CZ',3645051776,3645051791),('SK',3645051792,3645051815),('CZ',3645051816,3645051823),('SK',3645051824,3645051887),('CZ',3645051888,3645051899),('SK',3645051900,3645051943),('CZ',3645051944,3645051951),('SK',3645051952,3645051967),('CZ',3645051968,3645051975),('SK',3645051976,3645051979),('CZ',3645051980,3645051999),('SK',3645052000,3645052015),('CZ',3645052016,3645052031),('SK',3645052032,3645052095),('CZ',3645052096,3645052103),('SK',3645052104,3645052127),('CZ',3645052128,3645052143),('SK',3645052144,3645052183),('CZ',3645052184,3645052191),('SK',3645052192,3645052263),('CZ',3645052264,3645052287),('SK',3645052288,3645052351),('CZ',3645052352,3645052367),('SK',3645052368,3645052407),('CZ',3645052408,3645052415),('SK',3645052416,3645052423),('CZ',3645052424,3645052431),('SK',3645052432,3645052447),('CZ',3645052448,3645052455),('SK',3645052456,3645052591),('CZ',3645052592,3645052599),('SK',3645052600,3645052607),('CZ',3645052608,3645052631),('SK',3645052632,3645052655),('CZ',3645052656,3645052663),('SK',3645052664,3645052943),('CZ',3645052944,3645052951),('SK',3645052952,3645052983),('CZ',3645052984,3645052991),('SK',3645052992,3645052999),('CZ',3645053000,3645053007),('SK',3645053008,3645053015),('CZ',3645053016,3645053023),('SK',3645053024,3645053079),('CZ',3645053080,3645053087),('SK',3645053088,3645053095),('CZ',3645053096,3645053099),('SK',3645053100,3645053123),('CZ',3645053124,3645053131),('SK',3645053132,3645053135),('CZ',3645053136,3645053139),('SK',3645053140,3645053143),('CZ',3645053144,3645053167),('SK',3645053168,3645053179),('CZ',3645053180,3645053183),('SK',3645053184,3645053263),('CZ',3645053264,3645053271),('SK',3645053272,3645053287),('CZ',3645053288,3645053295),('SK',3645053296,3645053311),('CZ',3645053312,3645053319),('SK',3645053320,3645053343),('CZ',3645053344,3645053351),('SK',3645053352,3645053647),('CZ',3645053648,3645053663),('SK',3645053664,3645053727),('CZ',3645053728,3645053735),('SK',3645053736,3645053743),('CZ',3645053744,3645053751),('SK',3645053752,3645053911),('CZ',3645053912,3645053919),('SK',3645053920,3645053923),('CZ',3645053924,3645053927),('SK',3645053928,3645053951),('CZ',3645053952,3645053959),('SK',3645053960,3645053963),('CZ',3645053964,3645053967),('SK',3645053968,3645053999),('CZ',3645054000,3645054007),('SK',3645054008,3645054255),('CZ',3645054256,3645054263),('SK',3645054264,3645054303),('CZ',3645054304,3645054311),('SK',3645054312,3645054315),('CZ',3645054316,3645054319),('SK',3645054320,3645054351),('CZ',3645054352,3645054359),('SK',3645054360,3645054383),('CZ',3645054384,3645054399),('SK',3645054400,3645054975),('DE',3645054976,3645059071),('GB',3645059072,3645063167),('BE',3645063168,3645067263),('SE',3645067264,3645071359),('DE',3645071360,3645075455),('RU',3645075456,3645079551),('IE',3645079552,3645083647),('RU',3645083648,3645087743),('GB',3645087744,3645091839),('RU',3645091840,3645095935),('PL',3645095936,3645104127),('NL',3645104128,3645112319),('DE',3645112320,3645113631),('TR',3645113632,3645113639),('DE',3645113640,3645116415),('GB',3645116416,3645120511),('SE',3645120512,3645124607),('NL',3645124608,3645128703),('GB',3645128704,3645132799),('HR',3645132800,3645136895),('NO',3645136896,3645145087),('GB',3645145088,3645149183),('DE',3645149184,3645149887),('HK',3645149888,3645149951),('DE',3645149952,3645150559),('HK',3645150560,3645150591),('DE',3645150592,3645150615),('US',3645150616,3645150623),('DE',3645150624,3645150975),('US',3645150976,3645151231),('DK',3645151232,3645151263),('DE',3645151264,3645151487),('MT',3645151488,3645151615),('DE',3645151616,3645151743),('CH',3645151744,3645151771),('DE',3645151772,3645161471),('AT',3645161472,3645165567),('TR',3645165568,3645169663),('CH',3645169664,3645173759),('GB',3645173760,3645177855),('GR',3645177856,3645181951),('FR',3645181952,3645183327),('GB',3645183328,3645183359),('FR',3645183360,3645183615),('SA',3645183616,3645183679),('FR',3645183680,3645183743),('GB',3645183744,3645183871),('FR',3645183872,3645183999),('US',3645184000,3645184255),('FR',3645184256,3645184256),('GB',3645184257,3645184383),('FR',3645184384,3645186047),('GB',3645186048,3645190143),('FI',3645190144,3645194239),('DE',3645194240,3645202431),('CZ',3645202432,3645206527),('RU',3645206528,3645210623),('DE',3645210624,3645214719),('NL',3645214720,3645218815),('DE',3645218816,3645222911),('KW',3645222912,3645227007),('RU',3645227008,3645235199),('DE',3645235200,3645243391),('ES',3645243392,3645247487),('RU',3645247488,3645251583),('SE',3645251584,3645255679),('PL',3645255680,3645259775),('PT',3645259776,3645263871),('FR',3645263872,3645267967),('RU',3645267968,3645276159),('DE',3645276160,3645280255),('IT',3645280256,3645281279),('DE',3645281280,3645281535),('IT',3645281536,3645281791),('HU',3645281792,3645281919),('IT',3645281920,3645282047),('DE',3645282048,3645282303),('IT',3645282304,3645284351),('DE',3645284352,3645288447),('FR',3645288448,3645292543),('DE',3645292544,3645295103),('NL',3645295104,3645295359),('DE',3645295360,3645296639),('NL',3645296640,3645300735),('BE',3645300736,3645304831),('ES',3645304832,3645308927),('ES',3645313024,3645317119),('EE',3645317120,3645321215),('BA',3645321216,3645325311),('IT',3645325312,3645329407),('CH',3645329408,3645333503),('DE',3645333504,3645334015),('EU',3645334016,3645335039),('DE',3645335040,3645336927),('EU',3645336928,3645336935),('DE',3645336936,3645336975),('EU',3645336976,3645337007),('DE',3645337008,3645337023),('EU',3645337024,3645337087),('DE',3645337088,3645337599),('FR',3645337600,3645337631),('BE',3645337632,3645337663),('FR',3645337664,3645338399),('BE',3645338400,3645338431),('FR',3645338432,3645339295),('BE',3645339296,3645339359),('FR',3645339360,3645339391),('NL',3645339392,3645339647),('FR',3645339648,3645339903),('BE',3645339904,3645339967),('FR',3645339968,3645340415),('NL',3645340416,3645340447),('FR',3645340448,3645340543),('BE',3645340544,3645340927),('FR',3645340928,3645341183),('BE',3645341184,3645341439),('FR',3645341440,3645341695),('RU',3645341696,3645345791),('FI',3645345792,3645349887),('RU',3645349888,3645353983),('MT',3645353984,3645358079),('ES',3645358080,3645362175),('FR',3645362176,3645366271),('GB',3645366272,3645370367),('CH',3645370368,3645374463),('RU',3645374464,3645378559),('SE',3645378560,3645382655),('IT',3645382656,3645386751),('SE',3645386752,3645390847),('SI',3645390848,3645399039),('IT',3645399040,3645403135),('DE',3645403136,3645404671),('CH',3645404672,3645405183),('DE',3645405184,3645408255),('CH',3645408256,3645408319),('DE',3645408320,3645411327),('RU',3645411328,3645415423),('GB',3645415424,3645423615),('DE',3645423616,3645431807),('BE',3645431808,3645435903),('GB',3645435904,3645439999),('SE',3645440000,3645444095),('SK',3645444096,3645448191),('DE',3645448192,3645456383),('GB',3645456384,3645456639),('DE',3645456640,3645456895),('GB',3645456896,3645457407),('DE',3645457408,3645460479),('GB',3645460480,3645464575),('SE',3645464576,3645468671),('RU',3645468672,3645472767),('UA',3645472768,3645476607),('US',3645476608,3645476863),('DE',3645476864,3645480959),('RO',3645480960,3645485055),('MT',3645485056,3645489151),('RU',3645489152,3645493247),('IT',3645493248,3645501439),('RU',3645501440,3645505535),('DE',3645505536,3645506559),('AT',3645506560,3645506815),('DE',3645506816,3645507583),('AT',3645507584,3645507587),('DE',3645507588,3645507591),('AT',3645507592,3645507595),('DE',3645507596,3645507599),('AT',3645507600,3645507607),('DE',3645507608,3645509631),('GB',3645509632,3645513727),('RU',3645513728,3645517823),('IE',3645517824,3645521919),('PL',3645521920,3645526015),('SE',3645526016,3645530111),('FR',3645530112,3645534207),('RU',3645534208,3645544959),('KZ',3645544960,3645544991),('RU',3645544992,3645545087),('TJ',3645545088,3645545215),('RU',3645545216,3645550591),('DE',3645550592,3645558783),('DK',3645558784,3645562879),('PK',3645562880,3645563135),('LS',3645563136,3645564671),('PK',3645564672,3645564927),('SO',3645564928,3645565055),('GB',3645565056,3645565439),('NG',3645565440,3645565951),('ZW',3645565952,3645566975),('RU',3645566976,3645571071),('IE',3645571072,3645575167),('CH',3645575168,3645579263),('NL',3645579264,3645583359),('PL',3645583360,3645587455),('SK',3645587456,3645595647),('SE',3645595648,3645597751),('GB',3645597752,3645597759),('SE',3645597760,3645601471),('NO',3645601472,3645601487),('SE',3645601488,3645601759),('FR',3645601760,3645601775),('SE',3645601776,3645603839),('BG',3645603840,3645612031),('GB',3645612032,3645616127),('AT',3645616128,3645620223),('BA',3645620224,3645624319),('CZ',3645624320,3645628415),('ES',3645628416,3645636607),('IT',3645636608,3645640703),('NL',3645640704,3645644799),('RU',3645644800,3645648895),('SE',3645648896,3645652991),('KZ',3645652992,3645657087),('SE',3645657088,3645661183),('DE',3645661184,3645665279),('PL',3645665280,3645669375),('ES',3645669376,3645669631),('FR',3645669632,3645669855),('ES',3645669856,3645670399),('FR',3645670400,3645670911),('ES',3645670912,3645673471),('FR',3645673472,3645673535),('ES',3645673536,3645675263),('PT',3645675264,3645675519),('ES',3645675520,3645675759),('FR',3645675760,3645675775),('ES',3645675776,3645676015),('FR',3645676016,3645676031),('ES',3645676032,3645677567),('AT',3645677568,3645681663),('RU',3645681664,3645685759),('UA',3645685760,3645689855),('IT',3645689856,3645693951),('BE',3645693952,3645698047),('ES',3645698048,3645702143),('GB',3645702144,3645706239),('LT',3645706240,3645710335),('NO',3645710336,3645714431),('RU',3645714432,3645718527),('GA',3645718528,3645722623),('IT',3645722624,3645726719),('RU',3645726720,3645734911),('NL',3645734912,3645743103),('CZ',3645743104,3645747199),('GB',3645747200,3645751295),('FI',3645751296,3645755391),('UA',3645755392,3645759487),('FR',3645759488,3645763583),('DE',3645763584,3645763585),('IT',3645763586,3645763587),('DE',3645763588,3645763588),('IE',3645763589,3645763589),('ES',3645763590,3645763590),('IT',3645763591,3645763591),('DE',3645763592,3645763593),('CH',3645763594,3645763594),('IT',3645763595,3645763595),('DE',3645763596,3645763597),('NL',3645763598,3645763598),('DE',3645763599,3645763600),('GR',3645763601,3645763601),('FR',3645763602,3645763603),('DE',3645763604,3645763609),('PL',3645763610,3645763610),('DE',3645763611,3645763612),('HU',3645763613,3645763613),('CH',3645763614,3645763614),('ES',3645763615,3645763615),('FR',3645763616,3645763616),('DE',3645763617,3645763617),('ES',3645763618,3645763618),('DE',3645763619,3645763619),('FR',3645763620,3645763620),('CH',3645763621,3645763621),('GB',3645763622,3645763622),('FR',3645763623,3645763623),('DE',3645763624,3645763624),('FR',3645763625,3645763625),('NL',3645763626,3645763626),('AT',3645763627,3645763627),('DE',3645763628,3645763629),('NL',3645763630,3645763631),('GB',3645763632,3645763633),('NL',3645763634,3645763634),('DE',3645763635,3645763635),('AT',3645763636,3645763636),('FR',3645763637,3645763637),('NL',3645763638,3645763638),('DE',3645763639,3645763639),('HU',3645763640,3645763640),('IT',3645763641,3645763641),('GB',3645763642,3645763642),('DE',3645763643,3645763644),('NL',3645763645,3645763645),('ES',3645763646,3645763647),('DE',3645763648,3645763648),('IL',3645763649,3645763649),('DE',3645763650,3645763650),('NL',3645763651,3645763651),('DE',3645763652,3645763653),('ES',3645763654,3645763654),('DE',3645763655,3645763660),('FR',3645763661,3645763662),('HU',3645763663,3645763663),('DE',3645763664,3645763665),('NL',3645763666,3645763666),('DE',3645763667,3645763667),('IT',3645763668,3645763668),('DK',3645763669,3645763669),('DE',3645763670,3645763670),('FR',3645763671,3645763671),('DE',3645763672,3645763672),('BE',3645763673,3645763673),('DE',3645763674,3645763674),('NL',3645763675,3645763675),('DE',3645763676,3645763676),('HU',3645763677,3645763678),('IT',3645763679,3645763679),('DE',3645763680,3645763680),('CH',3645763681,3645763681),('DE',3645763682,3645763682),('NO',3645763683,3645763683),('CH',3645763684,3645763684),('NL',3645763685,3645763685),('DE',3645763686,3645763686),('ES',3645763687,3645763687),('NL',3645763688,3645763690),('CH',3645763691,3645763691),('DE',3645763692,3645763692),('NL',3645763693,3645763693),('IE',3645763694,3645763694),('DE',3645763695,3645763696),('NL',3645763697,3645763697),('LU',3645763698,3645763698),('BE',3645763699,3645763699),('NL',3645763700,3645763700),('DE',3645763701,3645763701),('IT',3645763702,3645763702),('CH',3645763703,3645763703),('DE',3645763704,3645763705),('GB',3645763706,3645763706),('NL',3645763707,3645763707),('GR',3645763708,3645763708),('NL',3645763709,3645763709),('GB',3645763710,3645763710),('NL',3645763711,3645763715),('DE',3645763716,3645763716),('NL',3645763717,3645763717),('DE',3645763718,3645763718),('NL',3645763719,3645763719),('IT',3645763720,3645763720),('DE',3645763721,3645763721),('GR',3645763722,3645763722),('NL',3645763723,3645763723),('IT',3645763724,3645763726),('NL',3645763727,3645763727),('GR',3645763728,3645763728),('IT',3645763729,3645763730),('DE',3645763731,3645763732),('FR',3645763733,3645763733),('DE',3645763734,3645763734),('GB',3645763735,3645763735),('FR',3645763736,3645763736),('DE',3645763737,3645763737),('CH',3645763738,3645763738),('ES',3645763739,3645763741),('DE',3645763742,3645763742),('IT',3645763743,3645763743),('DE',3645763744,3645763744),('FR',3645763745,3645763745),('DE',3645763746,3645763746),('NL',3645763747,3645763752),('ES',3645763753,3645763753),('NL',3645763754,3645763755),('DE',3645763756,3645763756),('BE',3645763757,3645763757),('FR',3645763758,3645763758),('NL',3645763759,3645763760),('SE',3645763761,3645763761),('ES',3645763762,3645763762),('NL',3645763763,3645763764),('DE',3645763765,3645763765),('IL',3645763766,3645763766),('NL',3645763767,3645763768),('FR',3645763769,3645763769),('NL',3645763770,3645763770),('GB',3645763771,3645763771),('CH',3645763772,3645763772),('DE',3645763773,3645763773),('NL',3645763774,3645763774),('DE',3645763775,3645763775),('NL',3645763776,3645763776),('BE',3645763777,3645763777),('DE',3645763778,3645763779),('CH',3645763780,3645763780),('DE',3645763781,3645763781),('NL',3645763782,3645763782),('DE',3645763783,3645763783),('NL',3645763784,3645763784),('DE',3645763785,3645763785),('CH',3645763786,3645763786),('NL',3645763787,3645763787),('IE',3645763788,3645763788),('AT',3645763789,3645763789),('ES',3645763790,3645763790),('IT',3645763791,3645763791),('FR',3645763792,3645763792),('ES',3645763793,3645763793),('DE',3645763794,3645763794),('IT',3645763795,3645763795),('GB',3645763796,3645763796),('DE',3645763797,3645763797),('FR',3645763798,3645763798),('DE',3645763799,3645763801),('ES',3645763802,3645763802),('NL',3645763803,3645763803),('DE',3645763804,3645763806),('IT',3645763807,3645763807),('DE',3645763808,3645763808),('IT',3645763809,3645763809),('NL',3645763810,3645763810),('DE',3645763811,3645763813),('IT',3645763814,3645763814),('DE',3645763815,3645763816),('GR',3645763817,3645763817),('ES',3645763818,3645763818),('DE',3645763819,3645763822),('ES',3645763823,3645763823),('DE',3645763824,3645763825),('IT',3645763826,3645763826),('ZA',3645763827,3645763827),('DE',3645763828,3645763841),('CH',3645763842,3645763842),('DE',3645763843,3645763845),('FR',3645763846,3645763846),('IT',3645763847,3645763847),('DE',3645763848,3645763849),('IT',3645763850,3645763850),('GB',3645763851,3645763851),('DE',3645763852,3645763852),('CH',3645763853,3645763853),('NL',3645763854,3645763855),('DE',3645763856,3645763858),('DK',3645763859,3645763859),('IT',3645763860,3645763860),('BE',3645763861,3645763861),('FR',3645763862,3645763862),('ES',3645763863,3645763864),('CH',3645763865,3645763865),('DE',3645763866,3645763866),('GB',3645763867,3645763868),('DE',3645763869,3645763869),('HU',3645763870,3645763870),('DE',3645763871,3645763874),('GB',3645763875,3645763875),('PL',3645763876,3645763876),('FR',3645763877,3645763877),('DE',3645763878,3645763879),('FR',3645763880,3645763881),('DE',3645763882,3645763882),('NL',3645763883,3645763883),('IT',3645763884,3645763884),('DE',3645763885,3645763886),('FR',3645763887,3645763887),('DE',3645763888,3645763888),('GR',3645763889,3645763889),('ES',3645763890,3645763890),('DE',3645763891,3645763894),('ES',3645763895,3645763895),('DE',3645763896,3645763896),('BE',3645763897,3645763897),('NL',3645763898,3645763898),('ES',3645763899,3645763899),('NL',3645763900,3645763900),('LU',3645763901,3645763902),('DE',3645763903,3645763903),('BE',3645763904,3645763904),('RS',3645763905,3645763905),('DE',3645763906,3645763906),('IT',3645763907,3645763908),('DE',3645763909,3645763909),('ES',3645763910,3645763910),('DE',3645763911,3645763911),('IE',3645763912,3645763912),('PT',3645763913,3645763913),('DE',3645763914,3645763914),('IL',3645763915,3645763915),('BE',3645763916,3645763916),('IT',3645763917,3645763918),('GB',3645763919,3645763919),('DE',3645763920,3645763920),('CH',3645763921,3645763921),('ES',3645763922,3645763922),('GB',3645763923,3645763923),('PL',3645763924,3645763924),('DE',3645763925,3645763926),('HU',3645763927,3645763927),('FR',3645763928,3645763928),('NL',3645763929,3645763929),('ES',3645763930,3645763930),('FR',3645763931,3645763931),('DE',3645763932,3645763932),('FR',3645763933,3645763933),('IT',3645763934,3645763934),('FR',3645763935,3645763935),('DE',3645763936,3645763936),('NL',3645763937,3645763937),('ES',3645763938,3645763938),('NL',3645763939,3645763939),('DE',3645763940,3645763941),('CH',3645763942,3645763942),('ES',3645763943,3645763943),('CH',3645763944,3645763944),('DE',3645763945,3645763945),('HU',3645763946,3645763947),('DE',3645763948,3645763949),('ES',3645763950,3645763950),('CH',3645763951,3645763951),('IT',3645763952,3645763952),('TR',3645763953,3645763953),('IT',3645763954,3645763954),('FR',3645763955,3645763955),('DE',3645763956,3645763956),('GB',3645763957,3645763957),('AT',3645763958,3645763958),('DE',3645763959,3645763959),('IT',3645763960,3645763960),('DE',3645763961,3645763961),('ES',3645763962,3645763962),('DE',3645763963,3645763964),('AT',3645763965,3645763965),('DE',3645763966,3645763966),('IT',3645763967,3645763967),('DE',3645763968,3645763968),('ES',3645763969,3645763969),('IT',3645763970,3645763970),('ES',3645763971,3645763971),('IT',3645763972,3645763972),('BE',3645763973,3645763973),('GB',3645763974,3645763974),('AT',3645763975,3645763975),('IT',3645763976,3645763976),('DE',3645763977,3645763977),('NL',3645763978,3645763978),('IT',3645763979,3645763979),('DE',3645763980,3645763981),('IT',3645763982,3645763982),('FR',3645763983,3645763984),('NL',3645763985,3645763985),('DE',3645763986,3645763986),('PL',3645763987,3645763987),('CH',3645763988,3645763988),('FR',3645763989,3645763989),('DE',3645763990,3645763991),('NL',3645763992,3645763993),('IT',3645763994,3645763994),('ES',3645763995,3645763995),('DE',3645763996,3645764000),('IT',3645764001,3645764001),('DE',3645764002,3645764007),('PL',3645764008,3645764008),('FR',3645764009,3645764010),('DE',3645764011,3645764012),('HU',3645764013,3645764013),('GB',3645764014,3645764015),('IT',3645764016,3645764016),('GB',3645764017,3645764017),('ES',3645764018,3645764018),('NL',3645764019,3645764019),('IT',3645764020,3645764020),('DE',3645764021,3645764021),('ES',3645764022,3645764022),('FR',3645764023,3645764023),('ES',3645764024,3645764026),('HU',3645764027,3645764027),('DE',3645764028,3645764028),('ES',3645764029,3645764029),('DE',3645764030,3645764030),('ES',3645764031,3645764031),('FR',3645764032,3645764032),('ES',3645764033,3645764033),('DE',3645764034,3645764034),('IT',3645764035,3645764035),('ES',3645764036,3645764037),('IT',3645764038,3645764038),('HU',3645764039,3645764039),('ES',3645764040,3645764040),('DE',3645764041,3645764041),('CH',3645764042,3645764042),('DE',3645764043,3645764043),('ES',3645764044,3645764044),('AE',3645764045,3645764045),('ES',3645764046,3645764046),('DE',3645764047,3645764047),('BE',3645764048,3645764048),('ES',3645764049,3645764049),('DE',3645764050,3645764051),('FR',3645764052,3645764052),('DE',3645764053,3645764055),('BE',3645764056,3645764056),('DE',3645764057,3645764057),('TR',3645764058,3645764058),('DE',3645764059,3645764059),('FR',3645764060,3645764060),('IT',3645764061,3645764061),('SE',3645764062,3645764062),('AT',3645764063,3645764063),('SI',3645764064,3645764064),('DE',3645764065,3645764065),('IT',3645764066,3645764066),('DE',3645764067,3645764067),('IT',3645764068,3645764068),('CH',3645764069,3645764069),('GB',3645764070,3645764070),('DE',3645764071,3645764074),('SE',3645764075,3645764075),('GR',3645764076,3645764076),('DE',3645764077,3645764078),('ES',3645764079,3645764079),('DE',3645764080,3645764080),('GB',3645764081,3645764081),('DE',3645764082,3645764084),('IE',3645764085,3645764085),('IT',3645764086,3645764086),('CH',3645764087,3645764087),('DE',3645764088,3645764093),('IT',3645764094,3645764094),('DE',3645764095,3645764097),('IT',3645764098,3645764098),('DE',3645764099,3645764099),('BE',3645764100,3645764100),('DE',3645764101,3645764101),('PL',3645764102,3645764102),('SK',3645764103,3645764103),('IT',3645764104,3645764105),('NL',3645764106,3645764106),('GR',3645764107,3645764107),('PL',3645764108,3645764108),('CH',3645764109,3645764109),('DK',3645764110,3645764110),('DE',3645764111,3645764111),('IT',3645764112,3645764112),('ES',3645764113,3645764114),('GB',3645764115,3645764115),('GR',3645764116,3645764116),('DE',3645764117,3645764117),('GB',3645764118,3645764118),('CH',3645764119,3645764119),('FR',3645764120,3645764120),('IT',3645764121,3645764121),('DE',3645764122,3645764122),('PL',3645764123,3645764123),('DE',3645764124,3645764124),('NO',3645764125,3645764125),('LU',3645764126,3645764126),('GB',3645764127,3645764127),('GR',3645764128,3645764128),('HR',3645764129,3645764129),('FR',3645764130,3645764130),('DE',3645764131,3645764131),('ES',3645764132,3645764132),('CY',3645764133,3645764133),('DE',3645764134,3645764134),('IT',3645764135,3645764135),('BE',3645764136,3645764136),('DE',3645764137,3645764137),('CH',3645764138,3645764138),('PL',3645764139,3645764139),('NL',3645764140,3645764140),('ES',3645764141,3645764141),('HU',3645764142,3645764142),('DE',3645764143,3645764145),('NL',3645764146,3645764147),('DK',3645764148,3645764148),('DE',3645764149,3645764149),('ES',3645764150,3645764150),('DE',3645764151,3645764154),('ES',3645764155,3645764155),('AT',3645764156,3645764156),('DE',3645764157,3645764158),('IT',3645764159,3645764159),('BE',3645764160,3645764160),('ES',3645764161,3645764161),('DE',3645764162,3645764162),('NL',3645764163,3645764163),('DE',3645764164,3645764164),('CH',3645764165,3645764165),('HU',3645764166,3645764166),('DE',3645764167,3645764167),('ES',3645764168,3645764168),('GR',3645764169,3645764169),('IT',3645764170,3645764170),('DE',3645764171,3645764172),('IT',3645764173,3645764173),('DE',3645764174,3645764174),('PL',3645764175,3645764175),('DE',3645764176,3645764176),('GB',3645764177,3645764177),('ES',3645764178,3645764178),('GR',3645764179,3645764179),('DE',3645764180,3645764181),('FR',3645764182,3645764182),('DE',3645764183,3645764184),('IT',3645764185,3645764185),('FR',3645764186,3645764186),('BE',3645764187,3645764187),('GB',3645764188,3645764188),('FR',3645764189,3645764189),('IT',3645764190,3645764190),('GB',3645764191,3645764191),('DE',3645764192,3645764192),('ES',3645764193,3645764194),('DE',3645764195,3645764195),('IT',3645764196,3645764196),('DE',3645764197,3645764197),('GR',3645764198,3645764198),('DE',3645764199,3645764199),('IT',3645764200,3645764200),('BE',3645764201,3645764201),('IT',3645764202,3645764202),('DE',3645764203,3645764203),('ES',3645764204,3645764204),('FR',3645764205,3645764205),('DE',3645764206,3645764206),('IT',3645764207,3645764207),('NO',3645764208,3645764208),('DE',3645764209,3645764210),('FR',3645764211,3645764211),('NL',3645764212,3645764212),('GB',3645764213,3645764213),('NL',3645764214,3645764214),('DE',3645764215,3645764216),('IT',3645764217,3645764217),('CH',3645764218,3645764218),('FR',3645764219,3645764219),('NL',3645764220,3645764220),('IT',3645764221,3645764221),('BE',3645764222,3645764222),('ES',3645764223,3645764224),('GB',3645764225,3645764226),('CH',3645764227,3645764227),('FR',3645764228,3645764228),('PL',3645764229,3645764229),('NL',3645764230,3645764230),('CH',3645764231,3645764231),('DE',3645764232,3645764232),('IT',3645764233,3645764233),('DE',3645764234,3645764234),('FR',3645764235,3645764235),('IT',3645764236,3645764236),('DE',3645764237,3645764238),('ES',3645764239,3645764240),('DE',3645764241,3645764241),('AT',3645764242,3645764242),('GR',3645764243,3645764243),('FR',3645764244,3645764244),('NL',3645764245,3645764246),('IT',3645764247,3645764247),('DE',3645764248,3645764249),('GB',3645764250,3645764250),('FR',3645764251,3645764251),('ES',3645764252,3645764253),('DE',3645764254,3645764254),('CH',3645764255,3645764255),('DE',3645764256,3645764257),('NL',3645764258,3645764258),('IT',3645764259,3645764259),('DE',3645764260,3645764260),('GB',3645764261,3645764261),('BE',3645764262,3645764262),('IT',3645764263,3645764264),('TR',3645764265,3645764265),('NL',3645764266,3645764266),('DE',3645764267,3645764268),('ES',3645764269,3645764270),('IT',3645764271,3645764271),('DE',3645764272,3645764272),('IT',3645764273,3645764273),('DE',3645764274,3645764274),('FR',3645764275,3645764275),('DE',3645764276,3645764277),('NL',3645764278,3645764278),('ES',3645764279,3645764279),('IT',3645764280,3645764280),('DE',3645764281,3645764281),('NL',3645764282,3645764282),('FR',3645764283,3645764284),('IT',3645764285,3645764285),('NL',3645764286,3645764286),('BE',3645764287,3645764287),('FR',3645764288,3645764288),('NL',3645764289,3645764289),('DE',3645764290,3645764290),('NL',3645764291,3645764291),('FR',3645764292,3645764292),('IT',3645764293,3645764294),('ES',3645764295,3645764295),('DE',3645764296,3645764297),('GR',3645764298,3645764298),('NL',3645764299,3645764299),('PL',3645764300,3645764300),('GR',3645764301,3645764301),('IT',3645764302,3645764302),('DE',3645764303,3645764303),('ES',3645764304,3645764304),('GB',3645764305,3645764305),('BM',3645764306,3645764306),('NL',3645764307,3645764307),('DE',3645764308,3645764308),('CH',3645764309,3645764309),('ZA',3645764310,3645764310),('ES',3645764311,3645764313),('DE',3645764314,3645764315),('IT',3645764316,3645764316),('ES',3645764317,3645764317),('HU',3645764318,3645764318),('FR',3645764319,3645764319),('IT',3645764320,3645764320),('DE',3645764321,3645764321),('CH',3645764322,3645764322),('DE',3645764323,3645764323),('FR',3645764324,3645764324),('DE',3645764325,3645764325),('ES',3645764326,3645764326),('DK',3645764327,3645764327),('CH',3645764328,3645764328),('ES',3645764329,3645764329),('DE',3645764330,3645764330),('RU',3645764331,3645764331),('NL',3645764332,3645764332),('GR',3645764333,3645764333),('ES',3645764334,3645764334),('DE',3645764335,3645764335),('MY',3645764336,3645764336),('HU',3645764337,3645764337),('NL',3645764338,3645764338),('DE',3645764339,3645764340),('IE',3645764341,3645764341),('IT',3645764342,3645764342),('ES',3645764343,3645764343),('DE',3645764344,3645764345),('IT',3645764346,3645764346),('IE',3645764347,3645764347),('NL',3645764348,3645764348),('BE',3645764349,3645764349),('IT',3645764350,3645764350),('DE',3645764351,3645764356),('RU',3645764357,3645764357),('FR',3645764358,3645764358),('IT',3645764359,3645764359),('DE',3645764360,3645764360),('CH',3645764361,3645764361),('GB',3645764362,3645764362),('NL',3645764363,3645764364),('BE',3645764365,3645764365),('DE',3645764366,3645764367),('IT',3645764368,3645764368),('DE',3645764369,3645764369),('GB',3645764370,3645764370),('ES',3645764371,3645764371),('FR',3645764372,3645764373),('DE',3645764374,3645764375),('NL',3645764376,3645764377),('DE',3645764378,3645764378),('GB',3645764379,3645764380),('DE',3645764381,3645764381),('NL',3645764382,3645764382),('FR',3645764383,3645764383),('AT',3645764384,3645764384),('DE',3645764385,3645764388),('NL',3645764389,3645764389),('DE',3645764390,3645764390),('NL',3645764391,3645764391),('GR',3645764392,3645764392),('DE',3645764393,3645764393),('FR',3645764394,3645764394),('NL',3645764395,3645764396),('DE',3645764397,3645764397),('NL',3645764398,3645764398),('DE',3645764399,3645764399),('NL',3645764400,3645764401),('FR',3645764402,3645764403),('NL',3645764404,3645764406),('DE',3645764407,3645764408),('FR',3645764409,3645764409),('DE',3645764410,3645764410),('FR',3645764411,3645764411),('NL',3645764412,3645764412),('FR',3645764413,3645764413),('NL',3645764414,3645764417),('DE',3645764418,3645764418),('NL',3645764419,3645764419),('GB',3645764420,3645764420),('DE',3645764421,3645764421),('IT',3645764422,3645764422),('HU',3645764423,3645764423),('DE',3645764424,3645764424),('GB',3645764425,3645764425),('DE',3645764426,3645764433),('NL',3645764434,3645764434),('AT',3645764435,3645764435),('NL',3645764436,3645764436),('FR',3645764437,3645764437),('DE',3645764438,3645764439),('CH',3645764440,3645764440),('DE',3645764441,3645764441),('IT',3645764442,3645764442),('DE',3645764443,3645764444),('GB',3645764445,3645764445),('NL',3645764446,3645764446),('DE',3645764447,3645764456),('IT',3645764457,3645764457),('AT',3645764458,3645764458),('IT',3645764459,3645764459),('DE',3645764460,3645764462),('NL',3645764463,3645764463),('BE',3645764464,3645764464),('DE',3645764465,3645764465),('GR',3645764466,3645764466),('DE',3645764467,3645764467),('IT',3645764468,3645764468),('DE',3645764469,3645764470),('IT',3645764471,3645764471),('GR',3645764472,3645764472),('NL',3645764473,3645764473),('DE',3645764474,3645764474),('GR',3645764475,3645764475),('DE',3645764476,3645764476),('NL',3645764477,3645764477),('GB',3645764478,3645764478),('DE',3645764479,3645764479),('NL',3645764480,3645764481),('DE',3645764482,3645764482),('NL',3645764483,3645764483),('FR',3645764484,3645764484),('NL',3645764485,3645764485),('IE',3645764486,3645764486),('DE',3645764487,3645764487),('NL',3645764488,3645764490),('DE',3645764491,3645764491),('NL',3645764492,3645764492),('ES',3645764493,3645764493),('FR',3645764494,3645764494),('NL',3645764495,3645764495),('DE',3645764496,3645764496),('NL',3645764497,3645764497),('FR',3645764498,3645764498),('NL',3645764499,3645764500),('DE',3645764501,3645764501),('NL',3645764502,3645764505),('DE',3645764506,3645764506),('ES',3645764507,3645764507),('IT',3645764508,3645764508),('NL',3645764509,3645764511),('DE',3645764512,3645764512),('NL',3645764513,3645764513),('ES',3645764514,3645764514),('DE',3645764515,3645764515),('NL',3645764516,3645764516),('DE',3645764517,3645764518),('NL',3645764519,3645764522),('DE',3645764523,3645764523),('NL',3645764524,3645764531),('DE',3645764532,3645764532),('NL',3645764533,3645764535),('IT',3645764536,3645764536),('NL',3645764537,3645764539),('DE',3645764540,3645764540),('IT',3645764541,3645764541),('NL',3645764542,3645764549),('DE',3645764550,3645764550),('GR',3645764551,3645764551),('DE',3645764552,3645764553),('NL',3645764554,3645764554),('DE',3645764555,3645764555),('CH',3645764556,3645764556),('NL',3645764557,3645764557),('DE',3645764558,3645764561),('FR',3645764562,3645764562),('ES',3645764563,3645764563),('NL',3645764564,3645764565),('DE',3645764566,3645764566),('NL',3645764567,3645764568),('DE',3645764569,3645764569),('MA',3645764570,3645764570),('DE',3645764571,3645765127),('GR',3645765128,3645765131),('DE',3645765132,3645765135),('BE',3645765136,3645765139),('IT',3645765140,3645765143),('DE',3645765144,3645765147),('IT',3645765148,3645765151),('BE',3645765152,3645765155),('IT',3645765156,3645765171),('NO',3645765172,3645765175),('DE',3645765176,3645765179),('FR',3645765180,3645765183),('GR',3645765184,3645765187),('DE',3645765188,3645765195),('CH',3645765196,3645765199),('GB',3645765200,3645765207),('FR',3645765208,3645765211),('ES',3645765212,3645765219),('PL',3645765220,3645765223),('BE',3645765224,3645765227),('GB',3645765228,3645765231),('IT',3645765232,3645765235),('FR',3645765236,3645765239),('GB',3645765240,3645765243),('IT',3645765244,3645765247),('ES',3645765248,3645765251),('DE',3645765252,3645765255),('GR',3645765256,3645765259),('PL',3645765260,3645765263),('IT',3645765264,3645765267),('PL',3645765268,3645765271),('IT',3645765272,3645765275),('FR',3645765276,3645765279),('GB',3645765280,3645765283),('ES',3645765284,3645765287),('IT',3645765288,3645765291),('DE',3645765292,3645765295),('ES',3645765296,3645765299),('FR',3645765300,3645765303),('IT',3645765304,3645765311),('TR',3645765312,3645765315),('IT',3645765316,3645765319),('FR',3645765320,3645765323),('ES',3645765324,3645765331),('FR',3645765332,3645765335),('IT',3645765336,3645765339),('FR',3645765340,3645765343),('PL',3645765344,3645765347),('GR',3645765348,3645765351),('IT',3645765352,3645765355),('ES',3645765356,3645765359),('FR',3645765360,3645765363),('ES',3645765364,3645765367),('IT',3645765368,3645765371),('CH',3645765372,3645765375),('DE',3645765376,3645765379),('BM',3645765380,3645765383),('NL',3645765384,3645765387),('DE',3645765388,3645765391),('ES',3645765392,3645765403),('GR',3645765404,3645765407),('DK',3645765408,3645765411),('IT',3645765412,3645765415),('FR',3645765416,3645765419),('DE',3645765420,3645765423),('IT',3645765424,3645765427),('DE',3645765428,3645765443),('FR',3645765444,3645765447),('ES',3645765448,3645765451),('FR',3645765452,3645765455),('AT',3645765456,3645765459),('FR',3645765460,3645765463),('GB',3645765464,3645765467),('DE',3645765468,3645765471),('NL',3645765472,3645765475),('DE',3645765476,3645765487),('HU',3645765488,3645765491),('DE',3645765492,3645765495),('GB',3645765496,3645765499),('NL',3645765500,3645765503),('CH',3645765504,3645765507),('IT',3645765508,3645765511),('GB',3645765512,3645765519),('FR',3645765520,3645765523),('IT',3645765524,3645765527),('FR',3645765528,3645765535),('SE',3645765536,3645765539),('IL',3645765540,3645765543),('BE',3645765544,3645765547),('DE',3645765548,3645765555),('IT',3645765556,3645765559),('IE',3645765560,3645765563),('ES',3645765564,3645765567),('FR',3645765568,3645765571),('DE',3645765572,3645765575),('IT',3645765576,3645765579),('GB',3645765580,3645765583),('DE',3645765584,3645765591),('IE',3645765592,3645765595),('DE',3645765596,3645765611),('IT',3645765612,3645765615),('GB',3645765616,3645765619),('CH',3645765620,3645765623),('FR',3645765624,3645765627),('DE',3645765628,3645765639),('DK',3645765640,3645765643),('GB',3645765644,3645765647),('NL',3645765648,3645765651),('DE',3645765652,3645765667),('FR',3645765668,3645765675),('DE',3645765676,3645765679),('FR',3645765680,3645765683),('NL',3645765684,3645765687),('FR',3645765688,3645765691),('CH',3645765692,3645765695),('IT',3645765696,3645765703),('DE',3645765704,3645765707),('FR',3645765708,3645765711),('DE',3645765712,3645765715),('FR',3645765716,3645765719),('DE',3645765720,3645767187),('US',3645767188,3645767188),('DE',3645767189,3645767193),('US',3645767194,3645767194),('DE',3645767195,3645767195),('US',3645767196,3645767196),('DE',3645767197,3645767197),('US',3645767198,3645767198),('DE',3645767199,3645767208),('US',3645767209,3645767209),('DE',3645767210,3645767222),('US',3645767223,3645767223),('DE',3645767224,3645767240),('US',3645767241,3645767241),('DE',3645767242,3645767426),('US',3645767427,3645767427),('DE',3645767428,3645767428),('US',3645767429,3645767429),('DE',3645767430,3645767431),('US',3645767432,3645767433),('CA',3645767434,3645767434),('US',3645767435,3645767448),('DE',3645767449,3645767449),('US',3645767450,3645767455),('DE',3645767456,3645767502),('US',3645767503,3645767503),('DE',3645767504,3645767679),('IE',3645767680,3645771775),('SE',3645771776,3645779967),('PS',3645779968,3645784063),('NG',3645784064,3645788159),('GB',3645788160,3645792255),('NO',3645792256,3645796351),('CH',3645796352,3645800447),('DE',3645800448,3645804543),('GB',3645804544,3645808639),('DE',3645808640,3645812735),('RU',3645812736,3645816831),('FI',3645816832,3645825023),('GR',3645825024,3645829119),('NL',3645829120,3645833215),('DE',3645833216,3645837311),('RU',3645837312,3645841407),('BG',3645841408,3645845503),('RU',3645845504,3645849599),('BG',3645849600,3645857791),('GB',3645857792,3645865983),('HU',3645865984,3645870079),('PL',3645870080,3645874175),('GB',3645874176,3645875711),('DE',3645875712,3645877247),('NL',3645877248,3645878271),('DE',3645878272,3645883647),('GB',3645883648,3645886463),('DE',3645886464,3645888127),('AT',3645888128,3645888143),('DE',3645888144,3645888159),('AT',3645888160,3645888191),('DE',3645888192,3645890559),('GB',3645894656,3645898751),('DE',3645898752,3646501711),('US',3646501712,3646501719),('DE',3646501720,3646513103),('CA',3646513104,3646513111),('DE',3646513112,3646519103),('GB',3646519104,3646519135),('DE',3646519136,3646947327),('PL',3646947328,3647209471),('NL',3647209472,3647602687),('RU',3647602688,3647658751),('GE',3647658752,3647659007),('RU',3647659008,3647665151),('GE',3647665152,3647665407),('RU',3647665408,3647722751),('BY',3647722752,3647722879),('RU',3647722880,3647733759),('FR',3647733760,3647864831),('GB',3647864832,3647864863),('DE',3647864864,3647864879),('GB',3647864880,3647864887),('DE',3647864888,3647864935),('GB',3647864936,3647864943),('DE',3647864944,3647865071),('GB',3647865072,3647865087),('DE',3647865088,3647865127),('GB',3647865128,3647865135),('DE',3647865136,3647865143),('GB',3647865144,3647865167),('DE',3647865168,3647865175),('GB',3647865176,3647865183),('DE',3647865184,3647865191),('GB',3647865192,3647865199),('DE',3647865200,3647865223),('GB',3647865224,3647865231),('DE',3647865232,3647865271),('GB',3647865272,3647865279),('DE',3647865280,3647865295),('GB',3647865296,3647865303),('DE',3647865304,3647865311),('GB',3647865312,3647865343),('DE',3647865344,3647865351),('GB',3647865352,3647865359),('DE',3647865360,3647865391),('GB',3647865392,3647865399),('DE',3647865400,3647865551),('GB',3647865552,3647865559),('DE',3647865560,3647865567),('GB',3647865568,3647865575),('DE',3647865576,3647865631),('GB',3647865632,3647865639),('DE',3647865640,3647865687),('GB',3647865688,3647865703),('DE',3647865704,3647865735),('GB',3647865736,3647865743),('DE',3647865744,3647865783),('GB',3647865784,3647865791),('DE',3647865792,3647865895),('GB',3647865896,3647865903),('DE',3647865904,3647865935),('GB',3647865936,3647865951),('DE',3647865952,3647865959),('GB',3647865960,3647865967),('DE',3647865968,3647866039),('GB',3647866040,3647866047),('DE',3647866048,3647866079),('GB',3647866080,3647866111),('DE',3647866112,3647866151),('GB',3647866152,3647866159),('DE',3647866160,3647866175),('GB',3647866176,3647866191),('DE',3647866192,3647866279),('GB',3647866280,3647866287),('DE',3647866288,3647866311),('GB',3647866312,3647866319),('DE',3647866320,3647866327),('GB',3647866328,3647866367),('DE',3647866368,3647866391),('GB',3647866392,3647866399),('DE',3647866400,3647866463),('GB',3647866464,3647866479),('DE',3647866480,3647866535),('GB',3647866536,3647866551),('DE',3647866552,3647866559),('GB',3647866560,3647866567),('DE',3647866568,3647866591),('GB',3647866592,3647866599),('DE',3647866600,3647866663),('GB',3647866664,3647866679),('DE',3647866680,3647866727),('GB',3647866728,3647866735),('DE',3647866736,3647866743),('GB',3647866744,3647866751),('DE',3647866752,3647866759),('GB',3647866760,3647866775),('DE',3647866776,3647866815),('GB',3647866816,3647866823),('DE',3647866824,3647866863),('GB',3647866864,3647866871),('DE',3647866872,3647866975),('GB',3647866976,3647866983),('DE',3647866984,3647867127),('GB',3647867128,3647867135),('DE',3647867136,3647867167),('GB',3647867168,3647867175),('DE',3647867176,3647867199),('GB',3647867200,3647867207),('DE',3647867208,3647867255),('GB',3647867256,3647867263),('DE',3647867264,3647867343),('GB',3647867344,3647867351),('DE',3647867352,3647867383),('GB',3647867384,3647867423),('DE',3647867424,3647867463),('GB',3647867464,3647867471),('DE',3647867472,3647867599),('GB',3647867600,3647867607),('DE',3647867608,3647867679),('GB',3647867680,3647867687),('DE',3647867688,3647867695),('GB',3647867696,3647867703),('DE',3647867704,3647867727),('GB',3647867728,3647867735),('DE',3647867736,3647868063),('GB',3647868064,3647868071),('DE',3647868072,3647868135),('GB',3647868136,3647868159),('DE',3647868160,3647868231),('GB',3647868232,3647868239),('DE',3647868240,3647868263),('GB',3647868264,3647868271),('DE',3647868272,3647868287),('GB',3647868288,3647868295),('DE',3647868296,3647868367),('GB',3647868368,3647868375),('DE',3647868376,3647868383),('GB',3647868384,3647868391),('DE',3647868392,3647868399),('GB',3647868400,3647868415),('DE',3647868416,3647868431),('GB',3647868432,3647868447),('DE',3647868448,3647868479),('GB',3647868480,3647868487),('DE',3647868488,3647868639),('GB',3647868640,3647868647),('DE',3647868648,3647868663),('GB',3647868664,3647868703),('DE',3647868704,3647868711),('GB',3647868712,3647868719),('DE',3647868720,3647868727),('GB',3647868728,3647868735),('DE',3647868736,3647868831),('GB',3647868832,3647868839),('DE',3647868840,3647868887),('GB',3647868888,3647868895),('DE',3647868896,3647868959),('GB',3647868960,3647868967),('DE',3647868968,3647869071),('GB',3647869072,3647869087),('DE',3647869088,3647869279),('GB',3647869280,3647869287),('DE',3647869288,3647869375),('GB',3647869376,3647869383),('DE',3647869384,3647869407),('GB',3647869408,3647869415),('DE',3647869416,3647869423),('GB',3647869424,3647869439),('DE',3647869440,3647869455),('GB',3647869456,3647869463),('DE',3647869464,3647869567),('GB',3647869568,3647869575),('DE',3647869576,3647869583),('GB',3647869584,3647869591),('DE',3647869592,3647869775),('GB',3647869776,3647869783),('DE',3647869784,3647869791),('GB',3647869792,3647869799),('DE',3647869800,3647869863),('GB',3647869864,3647869871),('DE',3647869872,3647869991),('GB',3647869992,3647869999),('DE',3647870000,3647870127),('GB',3647870128,3647870135),('DE',3647870136,3647870191),('GB',3647870192,3647870207),('DE',3647870208,3647870447),('GB',3647870448,3647870463),('DE',3647870464,3647870503),('GB',3647870504,3647870519),('DE',3647870520,3647870535),('GB',3647870536,3647870543),('DE',3647870544,3647870583),('GB',3647870584,3647870591),('DE',3647870592,3647870639),('GB',3647870640,3647870647),('DE',3647870648,3647870719),('GB',3647870720,3647870751),('DE',3647870752,3647870815),('GB',3647870816,3647870831),('DE',3647870832,3647871039),('GB',3647871040,3647871047),('DE',3647871048,3647871055),('GB',3647871056,3647871071),('DE',3647871072,3647871103),('GB',3647871104,3647871119),('DE',3647871120,3647871127),('GB',3647871128,3647871135),('DE',3647871136,3647871151),('GB',3647871152,3647871167),('DE',3647871168,3647871191),('GB',3647871192,3647871199),('DE',3647871200,3647871215),('GB',3647871216,3647871231),('DE',3647871232,3647871287),('GB',3647871288,3647871295),('DE',3647871296,3647871303),('GB',3647871304,3647871311),('DE',3647871312,3647871351),('GB',3647871352,3647871367),('DE',3647871368,3647871407),('GB',3647871408,3647871431),('DE',3647871432,3647871447),('GB',3647871448,3647871455),('DE',3647871456,3647871471),('GB',3647871472,3647871487),('DE',3647871488,3647871631),('GB',3647871632,3647871999),('DE',3647872000,3647872239),('GB',3647872240,3647872247),('DE',3647872248,3647872311),('GB',3647872312,3647872335),('DE',3647872336,3647872359),('GB',3647872360,3647872367),('DE',3647872368,3647872407),('GB',3647872408,3647872415),('DE',3647872416,3647872471),('GB',3647872472,3647872479),('DE',3647872480,3647872495),('GB',3647872496,3647872511),('DE',3647872512,3647872679),('GB',3647872680,3647872687),('DE',3647872688,3647872759),('GB',3647872760,3647872767),('DE',3647872768,3647872783),('GB',3647872784,3647872927),('DE',3647872928,3647872959),('GB',3647872960,3647872967),('DE',3647872968,3647872975),('GB',3647872976,3647872983),('DE',3647872984,3647873075),('GB',3647873076,3647873079),('DE',3647873080,3647873095),('GB',3647873096,3647873103),('DE',3647873104,3647873279),('GB',3647873280,3647873343),('DE',3647873344,3647873535),('GB',3647873536,3647873663),('DE',3647873664,3647874958),('GB',3647874959,3647874959),('DE',3647874960,3647875039),('GB',3647875040,3647875055),('DE',3647875056,3647875095),('GB',3647875096,3647875103),('DE',3647875104,3647875111),('GB',3647875112,3647875119),('DE',3647875120,3647875127),('GB',3647875128,3647875135),('DE',3647875136,3647875175),('GB',3647875176,3647875183),('DE',3647875184,3647875199),('GB',3647875200,3647875231),('DE',3647875232,3647875367),('GB',3647875368,3647875375),('DE',3647875376,3647875379),('GB',3647875380,3647875383),('DE',3647875384,3647875455),('GB',3647875456,3647875487),('DE',3647875488,3647875527),('GB',3647875528,3647875839),('DE',3647875840,3647876095),('GB',3647876096,3647876359),('DE',3647876360,3647876375),('GB',3647876376,3647876383),('DE',3647876384,3647876455),('GB',3647876456,3647876471),('DE',3647876472,3647876647),('GB',3647876648,3647876655),('DE',3647876656,3647876663),('GB',3647876664,3647876671),('DE',3647876672,3647876703),('GB',3647876704,3647876711),('DE',3647876712,3647876767),('GB',3647876768,3647876783),('DE',3647876784,3647876839),('GB',3647876840,3647876847),('DE',3647876848,3647877447),('GB',3647877448,3647877463),('DE',3647877464,3647877487),('GB',3647877488,3647877503),('DE',3647877504,3647877567),('GB',3647877568,3647877599),('DE',3647877600,3647877635),('GB',3647877636,3647877639),('DE',3647877640,3647877643),('GB',3647877644,3647877671),('DE',3647877672,3647877675),('GB',3647877676,3647877771),('DE',3647877772,3647877775),('GB',3647877776,3647877875),('DE',3647877876,3647877879),('GB',3647877880,3647877895),('DE',3647877896,3647877927),('GB',3647877928,3647877951),('DE',3647877952,3647878103),('GB',3647878104,3647878111),('DE',3647878112,3647878447),('GB',3647878448,3647878463),('DE',3647878464,3647878487),('GB',3647878488,3647878495),('DE',3647878496,3647878503),('GB',3647878504,3647878527),('DE',3647878528,3647878591),('GB',3647878592,3647878607),('DE',3647878608,3647879239),('GB',3647879240,3647879295),('DE',3647879296,3647879695),('GB',3647879696,3647879703),('DE',3647879704,3647879735),('GB',3647879736,3647879807),('DE',3647879808,3647879839),('GB',3647879840,3647879867),('DE',3647879868,3647879879),('GB',3647879880,3647879887),('DE',3647879888,3647879895),('GB',3647879896,3647879903),('DE',3647879904,3647879935),('GB',3647879936,3647879999),('DE',3647880000,3647880047),('GB',3647880048,3647880063),('DE',3647880064,3647880183),('GB',3647880184,3647880447),('DE',3647880448,3647880959),('GB',3647880960,3647880991),('DE',3647880992,3647881015),('GB',3647881016,3647881023),('DE',3647881024,3647881135),('GB',3647881136,3647881151),('DE',3647881152,3647881199),('GB',3647881200,3647881215),('DE',3647881216,3647881243),('GB',3647881244,3647881247),('DE',3647881248,3647881375),('GB',3647881376,3647881391),('DE',3647881392,3647881471),('GB',3647881472,3647881727),('DE',3647881728,3647881991),('GB',3647881992,3647881995),('DE',3647881996,3647882255),('GB',3647882256,3647882263),('DE',3647882264,3647882343),('GB',3647882344,3647882351),('DE',3647882352,3647882359),('GB',3647882360,3647882367),('DE',3647882368,3647882415),('GB',3647882416,3647882423),('DE',3647882424,3647882431),('GB',3647882432,3647882503),('DE',3647882504,3647882511),('GB',3647882512,3647882575),('DE',3647882576,3647882623),('GB',3647882624,3647882751),('DE',3647882752,3647883071),('GB',3647883072,3647883095),('DE',3647883096,3647883135),('GB',3647883136,3647883199),('DE',3647883200,3647883207),('GB',3647883208,3647883215),('DE',3647883216,3647883231),('GB',3647883232,3647883239),('DE',3647883240,3647884287),('GB',3647884288,3647884799),('DE',3647884800,3647884847),('GB',3647884848,3647884855),('DE',3647884856,3647884915),('GB',3647884916,3647884919),('DE',3647884920,3647885191),('GB',3647885192,3647885215),('DE',3647885216,3647885247),('GB',3647885248,3647885311),('DE',3647885312,3647885575),('GB',3647885576,3647885583),('DE',3647885584,3647885599),('GB',3647885600,3647885607),('DE',3647885608,3647885663),('GB',3647885664,3647885695),('DE',3647885696,3647886187),('GB',3647886188,3647886191),('DE',3647886192,3647886271),('GB',3647886272,3647886303),('DE',3647886304,3647886727),('GB',3647886728,3647886847),('DE',3647886848,3647887427),('GB',3647887428,3647887431),('DE',3647887432,3647887479),('GB',3647887480,3647887483),('DE',3647887484,3647887519),('GB',3647887520,3647887527),('DE',3647887528,3647887599),('GB',3647887600,3647887615),('DE',3647887616,3647887951),('GB',3647887952,3647887959),('DE',3647887960,3647888895),('GB',3647888896,3647888959),('DE',3647888960,3647889023),('GB',3647889024,3647889055),('DE',3647889056,3647889279),('GB',3647889280,3647889343),('DE',3647889344,3647889359),('GB',3647889360,3647889367),('DE',3647889368,3647889375),('GB',3647889376,3647889383),('DE',3647889384,3647889407),('GB',3647889408,3647889471),('DE',3647889472,3647889535),('GB',3647889536,3647889671),('DE',3647889672,3647889687),('GB',3647889688,3647889695),('DE',3647889696,3647889727),('GB',3647889728,3647889735),('DE',3647889736,3647889775),('GB',3647889776,3647889783),('DE',3647889784,3647890247),('GB',3647890248,3647890255),('DE',3647890256,3647890271),('GB',3647890272,3647890295),('DE',3647890296,3647890375),('GB',3647890376,3647890447),('DE',3647890448,3647890471),('GB',3647890472,3647890479),('DE',3647890480,3647890487),('GB',3647890488,3647890527),('DE',3647890528,3647890543),('GB',3647890544,3647891199),('DE',3647891200,3647891463),('GB',3647891464,3647891471),('DE',3647891472,3647891487),('GB',3647891488,3647891503),('DE',3647891504,3647891791),('GB',3647891792,3647891807),('DE',3647891808,3647892239),('GB',3647892240,3647892247),('DE',3647892248,3647892799),('GB',3647892800,3647892815),('DE',3647892816,3647892991),('GB',3647892992,3647893135),('DE',3647893136,3647893183),('GB',3647893184,3647893199),('DE',3647893200,3647893503),('GB',3647893504,3647893511),('DE',3647893512,3647893519),('GB',3647893520,3647893527),('DE',3647893528,3647893535),('GB',3647893536,3647893551),('DE',3647893552,3647894335),('GB',3647894336,3647894351),('DE',3647894352,3647894719),('GB',3647894720,3647894783),('DE',3647894784,3647894911),('GB',3647894912,3647894975),('DE',3647894976,3647894991),('GB',3647894992,3647895007),('DE',3647895008,3647895023),('GB',3647895024,3647895039),('DE',3647895040,3647895311),('GB',3647895312,3647895327),('DE',3647895328,3647895359),('GB',3647895360,3647895399),('DE',3647895400,3647895687),('GB',3647895688,3647895711),('DE',3647895712,3647895799),('GB',3647895800,3647895807),('DE',3647895808,3647896095),('GB',3647896096,3647896127),('DE',3647896128,3647896159),('GB',3647896160,3647896351),('DE',3647896352,3647896399),('GB',3647896400,3647896407),('DE',3647896408,3647896415),('GB',3647896416,3647896423),('DE',3647896424,3647896511),('GB',3647896512,3647896519),('DE',3647896520,3647896527),('GB',3647896528,3647896543),('DE',3647896544,3647896559),('GB',3647896560,3647896567),('DE',3647896568,3647896631),('GB',3647896632,3647896647),('DE',3647896648,3647896687),('GB',3647896688,3647896695),('DE',3647896696,3647897039),('GB',3647897040,3647897047),('DE',3647897048,3647897111),('GB',3647897112,3647897119),('DE',3647897120,3647897215),('GB',3647897216,3647897343),('DE',3647897344,3647897359),('GB',3647897360,3647897375),('DE',3647897376,3647897415),('GB',3647897416,3647897423),('DE',3647897424,3647901247),('GB',3647901248,3647901255),('DE',3647901256,3647901259),('GB',3647901260,3647901263),('DE',3647901264,3647901439),('GB',3647901440,3647901519),('DE',3647901520,3647901535),('GB',3647901536,3647901695),('DE',3647901696,3647901735),('GB',3647901736,3647901743),('DE',3647901744,3647901751),('GB',3647901752,3647901759),('DE',3647901760,3647901863),('GB',3647901864,3647901871),('DE',3647901872,3647901895),('GB',3647901896,3647901911),('DE',3647901912,3647901935),('GB',3647901936,3647901951),('DE',3647901952,3647902063),('GB',3647902064,3647902071),('DE',3647902072,3647902079),('GB',3647902080,3647902087),('DE',3647902088,3647902095),('GB',3647902096,3647902111),('DE',3647902112,3647902159),('GB',3647902160,3647902167),('DE',3647902168,3647902183),('GB',3647902184,3647902207),('DE',3647902208,3647902263),('GB',3647902264,3647902463),('DE',3647902464,3647902495),('GB',3647902496,3647902511),('DE',3647902512,3647902559),('GB',3647902560,3647902719),('DE',3647902720,3647902807),('GB',3647902808,3647903007),('DE',3647903008,3647903039),('GB',3647903040,3647903047),('DE',3647903048,3647903055),('GB',3647903056,3647903063),('DE',3647903064,3647903119),('GB',3647903120,3647903743),('DE',3647903744,3647903919),('GB',3647903920,3647903927),('DE',3647903928,3647903935),('GB',3647903936,3647903943),('DE',3647903944,3647903967),('GB',3647903968,3647903975),('DE',3647903976,3647904023),('GB',3647904024,3647904031),('DE',3647904032,3647904103),('GB',3647904104,3647904111),('DE',3647904112,3647904119),('GB',3647904120,3647904127),('DE',3647904128,3647904207),('GB',3647904208,3647904215),('DE',3647904216,3647904391),('GB',3647904392,3647904398),('DE',3647904399,3647904399),('GB',3647904400,3647904447),('DE',3647904448,3647904639),('GB',3647904640,3647904671),('DE',3647904672,3647904735),('GB',3647904736,3647904751),('DE',3647904752,3647904799),('GB',3647904800,3647904807),('DE',3647904808,3647904967),('GB',3647904968,3647904999),('DE',3647905000,3647905007),('GB',3647905008,3647905023),('DE',3647905024,3647905055),('GB',3647905056,3647905063),('DE',3647905064,3647905071),('GB',3647905072,3647905079),('DE',3647905080,3647905191),('GB',3647905192,3647905279),('DE',3647905280,3647905311),('GB',3647905312,3647905535),('DE',3647905536,3647905567),('GB',3647905568,3647905791),('DE',3647905792,3647905839),('GB',3647905840,3647905847),('DE',3647905848,3647905863),('GB',3647905864,3647906047),('DE',3647906048,3647906079),('GB',3647906080,3647906087),('DE',3647906088,3647906095),('GB',3647906096,3647906103),('DE',3647906104,3647906119),('GB',3647906120,3647906127),('DE',3647906128,3647906151),('GB',3647906152,3647906159),('DE',3647906160,3647906175),('GB',3647906176,3647906303),('DE',3647906304,3647906335),('GB',3647906336,3647906559),('DE',3647906560,3647906591),('GB',3647906592,3647907839),('DE',3647907840,3647907879),('GB',3647907880,3647907887),('DE',3647907888,3647907967),('GB',3647907968,3647907975),('DE',3647907976,3647908007),('GB',3647908008,3647908015),('DE',3647908016,3647908071),('GB',3647908072,3647908079),('DE',3647908080,3647908127),('GB',3647908128,3647908135),('DE',3647908136,3647908151),('GB',3647908152,3647908159),('DE',3647908160,3647908207),('GB',3647908208,3647908215),('DE',3647908216,3647908255),('GB',3647908256,3647908263),('DE',3647908264,3647908271),('GB',3647908272,3647908279),('DE',3647908280,3647908343),('GB',3647908344,3647908351),('DE',3647908352,3647908479),('GB',3647908480,3647908487),('DE',3647908488,3647908495),('GB',3647908496,3647908503),('DE',3647908504,3647908687),('GB',3647908688,3647908695),('DE',3647908696,3647908735),('GB',3647908736,3647908751),('DE',3647908752,3647908775),('GB',3647908776,3647908783),('DE',3647908784,3647908815),('GB',3647908816,3647908831),('DE',3647908832,3647908847),('GB',3647908848,3647908855),('DE',3647908856,3647908967),('GB',3647908968,3647908975),('DE',3647908976,3647909095),('GB',3647909096,3647909111),('DE',3647909112,3647909119),('GB',3647909120,3647909151),('DE',3647909152,3647909159),('GB',3647909160,3647909175),('DE',3647909176,3647909207),('GB',3647909208,3647909215),('DE',3647909216,3647909303),('GB',3647909304,3647909311),('DE',3647909312,3647909327),('GB',3647909328,3647909335),('DE',3647909336,3647909631),('GB',3647909632,3647909671),('DE',3647909672,3647909695),('GB',3647909696,3647909703),('DE',3647909704,3647909711),('GB',3647909712,3647909727),('DE',3647909728,3647909735),('GB',3647909736,3647909743),('DE',3647909744,3647909775),('GB',3647909776,3647909791),('DE',3647909792,3647909815),('GB',3647909816,3647909839),('DE',3647909840,3647909879),('GB',3647909880,3647911423),('DE',3647911424,3647911439),('GB',3647911440,3647911455),('DE',3647911456,3647911519),('GB',3647911520,3647911535),('DE',3647911536,3647911551),('GB',3647911552,3647911583),('DE',3647911584,3647911631),('GB',3647911632,3647911647),('DE',3647911648,3647912615),('GB',3647912616,3647912623),('DE',3647912624,3647912687),('GB',3647912688,3647912695),('DE',3647912696,3647912959),('GB',3647912960,3647913471),('DE',3647913472,3647913727),('GB',3647913728,3647913983),('DE',3647913984,3647914039),('GB',3647914040,3647914055),('DE',3647914056,3647914223),('GB',3647914224,3647914231),('DE',3647914232,3647914239),('GB',3647914240,3647914271),('DE',3647914272,3647914319),('GB',3647914320,3647914327),('DE',3647914328,3647914399),('GB',3647914400,3647914415),('DE',3647914416,3647914463),('GB',3647914464,3647914471),('DE',3647914472,3647914487),('GB',3647914488,3647914751),('DE',3647914752,3647915055),('GB',3647915056,3647915063),('DE',3647915064,3647915111),('GB',3647915112,3647915135),('DE',3647915136,3647915175),('GB',3647915176,3647915183),('DE',3647915184,3647915223),('GB',3647915224,3647915231),('DE',3647915232,3647915295),('GB',3647915296,3647915311),('DE',3647915312,3647915327),('GB',3647915328,3647915335),('DE',3647915336,3647915359),('GB',3647915360,3647915367),('DE',3647915368,3647915495),('GB',3647915496,3647915519),('DE',3647915520,3647915527),('GB',3647915528,3647915535),('DE',3647915536,3647915583),('GB',3647915584,3647915591),('DE',3647915592,3647915671),('GB',3647915672,3647915687),('DE',3647915688,3647915775),('GB',3647915776,3647915807),('DE',3647915808,3647915823),('GB',3647915824,3647915831),('DE',3647915832,3647915855),('GB',3647915856,3647915871),('DE',3647915872,3647915911),('GB',3647915912,3647915919),('DE',3647915920,3647915927),('GB',3647915928,3647915935),('DE',3647915936,3647915943),('GB',3647915944,3647915951),('DE',3647915952,3647915967),('GB',3647915968,3647915975),('DE',3647915976,3647916023),('GB',3647916024,3647916095),('DE',3647916096,3647916223),('GB',3647916224,3647916303),('DE',3647916304,3647916351),('GB',3647916352,3647916367),('DE',3647916368,3647916415),('GB',3647916416,3647916543),('DE',3647916544,3647916575),('GB',3647916576,3647916607),('DE',3647916608,3647916623),('GB',3647916624,3647916663),('DE',3647916664,3647916767),('GB',3647916768,3647916783),('DE',3647916784,3647916799),('SE',3647916800,3647917055),('DE',3647917056,3647917599),('US',3647917600,3647917615),('DE',3647917616,3647917647),('GB',3647917648,3647917663),('DE',3647917664,3647917791),('GB',3647917792,3647917823),('DE',3647917824,3647917839),('GB',3647917840,3647917871),('DE',3647917872,3647918151),('GB',3647918152,3647918159),('DE',3647918160,3647918367),('GB',3647918368,3647918383),('DE',3647918384,3647918423),('GB',3647918424,3647918431),('DE',3647918432,3647918463),('GB',3647918464,3647918479),('DE',3647918480,3647918487),('GB',3647918488,3647918495),('DE',3647918496,3647918503),('GB',3647918504,3647918527),('DE',3647918528,3647918543),('GB',3647918544,3647918559),('DE',3647918560,3647918615),('GB',3647918616,3647918623),('DE',3647918624,3647918671),('GB',3647918672,3647918679),('DE',3647918680,3647918703),('GB',3647918704,3647918711),('DE',3647918712,3647918751),('GB',3647918752,3647918759),('DE',3647918760,3647918927),('GB',3647918928,3647918935),('DE',3647918936,3647918959),('GB',3647918960,3647918967),('DE',3647918968,3647919015),('GB',3647919016,3647919023),('DE',3647919024,3647919031),('GB',3647919032,3647919039),('DE',3647919040,3647919055),('GB',3647919056,3647919063),('DE',3647919064,3647919079),('GB',3647919080,3647919135),('DE',3647919136,3647919175),('GB',3647919176,3647919391),('DE',3647919392,3647919431),('GB',3647919432,3647919439),('DE',3647919440,3647919447),('GB',3647919448,3647920159),('DE',3647920160,3647920223),('GB',3647920224,3647920415),('DE',3647920416,3647920439),('GB',3647920440,3647920479),('DE',3647920480,3647920495),('GB',3647920496,3647920503),('DE',3647920504,3647920519),('GB',3647920520,3647920527),('DE',3647920528,3647920535),('GB',3647920536,3647920679),('DE',3647920680,3647920695),('GB',3647920696,3647921151),('DE',3647921152,3647921391),('GB',3647921392,3647921407),('DE',3647921408,3647921559),('GB',3647921560,3647921567),('DE',3647921568,3647921615),('GB',3647921616,3647921631),('DE',3647921632,3647921647),('GB',3647921648,3647921663),('DE',3647921664,3647921911),('GB',3647921912,3647921919),('DE',3647921920,3647921967),('GB',3647921968,3647921983),('DE',3647921984,3647922095),('GB',3647922096,3647922103),('DE',3647922104,3647922167),('GB',3647922168,3647922207),('DE',3647922208,3647922219),('GB',3647922220,3647922223),('DE',3647922224,3647922303),('GB',3647922304,3647922367),('DE',3647922368,3647922447),('GB',3647922448,3647922455),('DE',3647922456,3647922687),('GB',3647922688,3647922811),('DE',3647922812,3647922815),('GB',3647922816,3647922831),('DE',3647922832,3647922835),('GB',3647922836,3647922843),('DE',3647922844,3647922847),('GB',3647922848,3647922943),('DE',3647922944,3647922959),('GB',3647922960,3647922967),('DE',3647922968,3647922975),('GB',3647922976,3647922991),('DE',3647922992,3647923327),('GB',3647923328,3647923331),('DE',3647923332,3647923343),('GB',3647923344,3647923351),('DE',3647923352,3647923399),('GB',3647923400,3647923407),('DE',3647923408,3647923775),('GB',3647923776,3647923839),('DE',3647923840,3647924287),('GB',3647924288,3647924367),('DE',3647924368,3647924399),('GB',3647924400,3647924415),('DE',3647924416,3647924447),('GB',3647924448,3647924463),('DE',3647924464,3647924479),('GB',3647924480,3647925247),('DE',3647925248,3647925255),('GB',3647925256,3647925263),('DE',3647925264,3647925335),('GB',3647925336,3647925343),('DE',3647925344,3647925543),('GB',3647925544,3647925559),('DE',3647925560,3647925575),('GB',3647925576,3647925583),('DE',3647925584,3647925591),('GB',3647925592,3647925599),('DE',3647925600,3647925639),('GB',3647925640,3647925655),('DE',3647925656,3647925671),('GB',3647925672,3647925679),('DE',3647925680,3647925751),('GB',3647925752,3647925759),('DE',3647925760,3647925911),('GB',3647925912,3647925919),('DE',3647925920,3647926055),('GB',3647926056,3647926063),('DE',3647926064,3647926095),('GB',3647926096,3647926103),('DE',3647926104,3647926159),('GB',3647926160,3647926175),('DE',3647926176,3647926183),('GB',3647926184,3647926191),('DE',3647926192,3647926223),('GB',3647926224,3647926239),('DE',3647926240,3647926255),('GB',3647926256,3647926271),('DE',3647926272,3647926343),('GB',3647926344,3647926375),('DE',3647926376,3647926407),('GB',3647926408,3647926423),('DE',3647926424,3647926463),('GB',3647926464,3647926471),('DE',3647926472,3647926591),('GB',3647926592,3647926615),('DE',3647926616,3647926623),('GB',3647926624,3647926631),('DE',3647926632,3647926655),('GB',3647926656,3647926663),('DE',3647926664,3647926679),('GB',3647926680,3647926687),('DE',3647926688,3647926695),('GB',3647926696,3647926703),('DE',3647926704,3647926711),('GB',3647926712,3647926719),('DE',3647926720,3647926759),('GB',3647926760,3647926767),('DE',3647926768,3647926775),('GB',3647926776,3647926791),('DE',3647926792,3647926807),('GB',3647926808,3647926815),('DE',3647926816,3647926823),('GB',3647926824,3647926831),('DE',3647926832,3647926839),('GB',3647926840,3647926847),('DE',3647926848,3647926863),('GB',3647926864,3647926871),('DE',3647926872,3647926879),('GB',3647926880,3647926895),('DE',3647926896,3647926903),('GB',3647926904,3647927047),('DE',3647927048,3647927055),('GB',3647927056,3647927079),('DE',3647927080,3647927087),('GB',3647927088,3647927095),('DE',3647927096,3647927119),('GB',3647927120,3647927127),('DE',3647927128,3647927135),('GB',3647927136,3647927159),('DE',3647927160,3647927167),('GB',3647927168,3647927175),('DE',3647927176,3647927191),('GB',3647927192,3647927215),('DE',3647927216,3647927239),('GB',3647927240,3647927279),('DE',3647927280,3647927295),('GB',3647927296,3647927551),('DE',3647927552,3647927591),('GB',3647927592,3647927599),('DE',3647927600,3647927615),('GB',3647927616,3647927623),('DE',3647927624,3647927647),('GB',3647927648,3647927695),('DE',3647927696,3647927703),('GB',3647927704,3647927735),('DE',3647927736,3647927759),('GB',3647927760,3647927783),('DE',3647927784,3647927791),('GB',3647927792,3647928063),('DE',3647928064,3647928119),('GB',3647928120,3647928151),('DE',3647928152,3647928175),('GB',3647928176,3647928183),('DE',3647928184,3647928199),('GB',3647928200,3647928215),('DE',3647928216,3647928223),('GB',3647928224,3647928231),('DE',3647928232,3647928247),('GB',3647928248,3647928319),('DE',3647928320,3647928671),('GB',3647928672,3647929343),('DE',3647929344,3647929599),('GB',3647929600,3647929727),('DE',3647929728,3647929791),('GB',3647929792,3647929855),('DE',3647929856,3647930487),('GB',3647930488,3647930495),('DE',3647930496,3647930623),('GB',3647930624,3647930879),('DE',3647930880,3647931159),('GB',3647931160,3647931199),('DE',3647931200,3647931279),('GB',3647931280,3647931287),('DE',3647931288,3647931311),('GB',3647931312,3647931327),('DE',3647931328,3647931391),('GB',3647931392,3647931611),('DE',3647931612,3647931615),('GB',3647931616,3647931647),('DE',3647931648,3647931775),('GB',3647931776,3647931783),('DE',3647931784,3647931799),('GB',3647931800,3647931807),('DE',3647931808,3647931855),('GB',3647931856,3647931863),('DE',3647931864,3647932199),('GB',3647932200,3647932223),('DE',3647932224,3647932287),('GB',3647932288,3647932671),('DE',3647932672,3647932975),('GB',3647932976,3647932991),('DE',3647932992,3647933063),('GB',3647933064,3647933071),('DE',3647933072,3647933103),('GB',3647933104,3647933119),('DE',3647933120,3647933375),('GB',3647933376,3647933695),('DE',3647933696,3647933791),('GB',3647933792,3647933951),('DE',3647933952,3647934463),('GB',3647934464,3647934719),('DE',3647934720,3647934783),('GB',3647934784,3647934815),('DE',3647934816,3647934847),('GB',3647934848,3647935103),('DE',3647935104,3647935199),('GB',3647935200,3647935359),('DE',3647935360,3647935423),('GB',3647935424,3647935487),('DE',3647935488,3647935743),('GB',3647935744,3647936511),('DE',3647936512,3647936539),('GB',3647936540,3647936543),('DE',3647936544,3647936555),('GB',3647936556,3647936559),('DE',3647936560,3647936563),('GB',3647936564,3647936567),('DE',3647936568,3647936575),('GB',3647936576,3647936579),('DE',3647936580,3647936603),('GB',3647936604,3647936607),('DE',3647936608,3647936623),('GB',3647936624,3647936635),('DE',3647936636,3647936639),('GB',3647936640,3647936655),('DE',3647936656,3647936659),('GB',3647936660,3647936767),('DE',3647936768,3647936943),('GB',3647936944,3647936959),('DE',3647936960,3647937535),('GB',3647937536,3647937595),('DE',3647937596,3647937599),('GB',3647937600,3647937611),('DE',3647937612,3647937615),('GB',3647937616,3647937791),('DE',3647937792,3647938559),('GB',3647938560,3647938575),('DE',3647938576,3647938583),('GB',3647938584,3647938591),('DE',3647938592,3647938615),('GB',3647938616,3647938623),('DE',3647938624,3647938631),('GB',3647938632,3647938655),('DE',3647938656,3647938671),('GB',3647938672,3647938727),('DE',3647938728,3647938735),('GB',3647938736,3647938751),('DE',3647938752,3647938759),('GB',3647938760,3647938783),('DE',3647938784,3647938807),('GB',3647938808,3647938879),('DE',3647938880,3647938887),('GB',3647938888,3647938911),('DE',3647938912,3647938927),('GB',3647938928,3647938935),('DE',3647938936,3647938943),('GB',3647938944,3647938975),('DE',3647938976,3647938983),('GB',3647938984,3647939103),('DE',3647939104,3647939143),('GB',3647939144,3647939151),('DE',3647939152,3647939167),('GB',3647939168,3647939175),('DE',3647939176,3647939239),('GB',3647939240,3647939247),('DE',3647939248,3647939583),('GB',3647939584,3647939591),('DE',3647939592,3647939615),('GB',3647939616,3647939623),('DE',3647939624,3647939639),('GB',3647939640,3647939647),('DE',3647939648,3647939703),('GB',3647939704,3647939711),('DE',3647939712,3647939751),('GB',3647939752,3647939759),('DE',3647939760,3647939807),('GB',3647939808,3647939839),('DE',3647939840,3647939927),('GB',3647939928,3647939935),('DE',3647939936,3647940047),('GB',3647940048,3647940055),('DE',3647940056,3647940415),('GB',3647940416,3647940607),('DE',3647940608,3647941119),('GB',3647941120,3647941151),('DE',3647941152,3647941167),('GB',3647941168,3647941375),('DE',3647941376,3647941559),('GB',3647941560,3647941567),('DE',3647941568,3647941887),('GB',3647941888,3647941935),('DE',3647941936,3647941939),('GB',3647941940,3647941943),('DE',3647941944,3647941955),('GB',3647941956,3647941959),('DE',3647941960,3647941967),('GB',3647941968,3647941971),('DE',3647941972,3647941983),('GB',3647941984,3647941987),('DE',3647941988,3647941991),('GB',3647941992,3647941999),('DE',3647942000,3647942007),('GB',3647942008,3647942015),('DE',3647942016,3647942023),('GB',3647942024,3647942031),('DE',3647942032,3647942047),('GB',3647942048,3647942399),('DE',3647942400,3647942711),('GB',3647942712,3647942719),('DE',3647942720,3647942903),('GB',3647942904,3647942911),('DE',3647942912,3647943207),('GB',3647943208,3647943215),('DE',3647943216,3647943423),('GB',3647943424,3647943431),('DE',3647943432,3647943435),('GB',3647943436,3647943499),('DE',3647943500,3647943503),('GB',3647943504,3647943527),('DE',3647943528,3647943543),('GB',3647943544,3647943547),('DE',3647943548,3647943559),('GB',3647943560,3647943679),('DE',3647943680,3647944591),('GB',3647944592,3647944599),('DE',3647944600,3647944623),('GB',3647944624,3647944671),('DE',3647944672,3647944687),('GB',3647944688,3647944703),('DE',3647944704,3647945475),('GB',3647945476,3647945531),('DE',3647945532,3647945535),('GB',3647945536,3647945635),('DE',3647945636,3647945643),('GB',3647945644,3647945727),('DE',3647945728,3647945983),('GB',3647945984,3647946239),('DE',3647946240,3647946499),('GB',3647946500,3647946503),('DE',3647946504,3647946527),('GB',3647946528,3647946559),('DE',3647946560,3647947391),('GB',3647947392,3647947399),('DE',3647947400,3647947407),('GB',3647947408,3647947415),('DE',3647947416,3647947423),('GB',3647947424,3647947431),('DE',3647947432,3647947447),('GB',3647947448,3647947455),('DE',3647947456,3647947647),('GB',3647947648,3647947711),('DE',3647947712,3647947735),('GB',3647947736,3647947775),('DE',3647947776,3647947919),('GB',3647947920,3647947935),('DE',3647947936,3647948191),('GB',3647948192,3647948287),('DE',3647948288,3647948543),('GB',3647948544,3647948807),('DE',3647948808,3647948815),('GB',3647948816,3647949063),('DE',3647949064,3647949079),('GB',3647949080,3647949119),('DE',3647949120,3647949151),('GB',3647949152,3647949183),('DE',3647949184,3647949887),('GB',3647949888,3647949951),('DE',3647949952,3647950015),('GB',3647950016,3647950847),('DE',3647950848,3647953023),('GB',3647953024,3647953031),('DE',3647953032,3647953071),('GB',3647953072,3647953079),('DE',3647953080,3647953407),('GB',3647953408,3647953663),('DE',3647953664,3647953791),('GB',3647953792,3647953823),('DE',3647953824,3647953919),('GB',3647953920,3647954175),('DE',3647954176,3647954207),('GB',3647954208,3647954215),('DE',3647954216,3647954231),('GB',3647954232,3647954239),('DE',3647954240,3647954263),('GB',3647954264,3647954271),('DE',3647954272,3647954719),('GB',3647954720,3647954815),('DE',3647954816,3647954879),('GB',3647954880,3647955199),('DE',3647955200,3647955207),('GB',3647955208,3647955215),('DE',3647955216,3647955287),('GB',3647955288,3647955295),('DE',3647955296,3647955311),('GB',3647955312,3647955327),('DE',3647955328,3647955375),('GB',3647955376,3647955383),('DE',3647955384,3647955423),('GB',3647955424,3647955431),('DE',3647955432,3647956615),('GB',3647956616,3647956671),('DE',3647956672,3647956991),('GB',3647956992,3647957503),('DE',3647957504,3647957543),('GB',3647957544,3647957551),('DE',3647957552,3647957559),('GB',3647957560,3647957599),('DE',3647957600,3647957631),('GB',3647957632,3647957727),('DE',3647957728,3647957735),('GB',3647957736,3647959679),('DE',3647959680,3647959687),('GB',3647959688,3647995903),('DE',3647995904,3647997183),('FR',3647997184,3647999999),('RU',3648000000,3648004095),('GB',3648004096,3648004607),('RU',3648004608,3648004863),('GB',3648004864,3648005119),('RU',3648005120,3648006271),('GB',3648006272,3648006399),('RU',3648006400,3648007167),('GB',3648007168,3648008191),('FR',3648008192,3648016383),('GB',3648016384,3648020479),('ES',3648020480,3648024575),('NL',3648024576,3648028671),('CZ',3648028672,3648032767),('IE',3648032768,3648033023),('DE',3648033024,3648033039),('IE',3648033040,3648033087),('DE',3648033088,3648033103),('IE',3648033104,3648033119),('DE',3648033120,3648033535),('IE',3648033536,3648033791),('DE',3648033792,3648036863),('CZ',3648036864,3648040959),('BE',3648040960,3648041020),('FR',3648041021,3648041021),('BE',3648041022,3648041737),('FR',3648041738,3648041738),('BE',3648041739,3648045055),('FI',3648045056,3648049151),('UA',3648049152,3648053247),('FR',3648053248,3648057343),('FI',3648057344,3648061439),('AM',3648061440,3648069631),('DE',3648069632,3648073727),('HU',3648073728,3648077823),('BE',3648077824,3648078079),('CG',3648078080,3648078335),('BE',3648078336,3648078463),('BF',3648078464,3648078495),('BE',3648078496,3648078527),('BF',3648078528,3648078591),('CG',3648078592,3648078847),('BE',3648078848,3648079103),('UG',3648079104,3648080383),('TZ',3648080384,3648080511),('BF',3648080512,3648080543),('TZ',3648080544,3648080639),('BE',3648080640,3648080895),('NE',3648080896,3648080903),('CD',3648080904,3648080919),('GA',3648080920,3648080927),('CD',3648080928,3648080959),('TD',3648080960,3648080991),('SL',3648080992,3648081007),('BE',3648081008,3648081023),('GB',3648081024,3648081055),('BE',3648081056,3648081407),('MW',3648081408,3648082175),('BE',3648082176,3648082239),('LR',3648082240,3648082687),('BE',3648082688,3648085759),('LR',3648085760,3648086015),('AT',3648086016,3648090111),('RU',3648090112,3648094207),('PL',3648094208,3648102399),('DE',3648106496,3648110591),('FR',3648110592,3648114687),('IT',3648114688,3648118783),('PL',3648118784,3648122879),('ES',3648122880,3648126975),('RU',3648126976,3648139263),('GB',3648139264,3648143359),('DE',3648143360,3648147455),('SE',3648147456,3648149503),('GB',3648149504,3648150015),('SE',3648150016,3648150271),('FI',3648150272,3648150527),('DK',3648150528,3648150783),('NO',3648150784,3648151039),('SE',3648151040,3648151551),('NL',3648151552,3648155647),('CH',3648155648,3648159743),('ES',3648159744,3648163839),('RU',3648163840,3648167935),('IE',3648167936,3648172031),('RU',3648172032,3648176127),('GB',3648176128,3648180223),('DE',3648180224,3648180767),('AT',3648180768,3648180799),('DE',3648180800,3648180863),('CH',3648180864,3648180991),('DE',3648180992,3648181023),('AT',3648181024,3648181055),('DE',3648181056,3648181119),('CH',3648181120,3648181247),('DE',3648181248,3648181311),('AT',3648181312,3648181343),('DE',3648181344,3648182783),('IT',3648182784,3648182799),('AT',3648182800,3648182815),('DE',3648182816,3648182823),('RU',3648182824,3648182831),('DE',3648182832,3648182847),('IT',3648182848,3648182911),('DE',3648182912,3648184319),('RU',3648184320,3648192511),('ES',3648192512,3648193023),('US',3648193024,3648193087),('FI',3648193088,3648193151),('BG',3648193152,3648193215),('ES',3648193216,3648193279),('GB',3648193280,3648193311),('FR',3648193312,3648193343),('DE',3648193344,3648193375),('IT',3648193376,3648193407),('DK',3648193408,3648193439),('ES',3648193440,3648196607),('IT',3648196608,3648200703),('SE',3648200704,3648208895),('DE',3648208896,3648212991),('RU',3648212992,3648217087),('GB',3648217088,3648221183),('IE',3648221184,3648225279),('DE',3648225280,3648231263),('NL',3648231264,3648231295),('DE',3648231296,3648233471),('FR',3648233472,3648237567),('RU',3648237568,3648241663),('NL',3648241664,3648245759),('RO',3648245760,3648249855),('NL',3648249856,3648253951),('CZ',3648253952,3648258047),('ES',3648258048,3648266239),('HU',3648266240,3648270335),('RU',3648270336,3648274431),('AT',3648274432,3648278527),('NO',3648278528,3648282623),('PL',3648282624,3648286719),('DE',3648286720,3648290815),('RU',3648290816,3648299007),('FI',3648299008,3648303103),('AT',3648303104,3648307199),('GB',3648307200,3648311295),('IR',3648311296,3648315391),('DK',3648315392,3648315615),('CA',3648315616,3648315631),('DK',3648315632,3648316079),('SE',3648316080,3648316087),('DK',3648316088,3648316127),('CA',3648316128,3648316143),('DK',3648316144,3648316415),('NL',3648316416,3648316671),('AT',3648316672,3648316927),('DK',3648316928,3648317247),('CA',3648317248,3648317263),('DK',3648317264,3648319527),('CH',3648319528,3648319535),('DK',3648319536,3648321631),('CA',3648321632,3648321639),('DK',3648321640,3648321823),('GB',3648321824,3648321839),('DK',3648321840,3648322303),('BE',3648322304,3648322559),('DK',3648322560,3648323583),('NG',3648323584,3648327679),('LT',3648327680,3648331775),('BE',3648331776,3648339967),('UA',3648339968,3648344063),('RU',3648344064,3648348159),('DE',3648348160,3648352255),('RU',3648352256,3648356351),('PL',3648356352,3648360447),('FR',3648360448,3648364543),('CH',3648364544,3648368639),('RU',3648368640,3648372735),('LU',3648372736,3648376831),('CZ',3648376832,3648380927),('NL',3648380928,3648385023),('GR',3648385024,3648389119),('IT',3648389120,3648393215),('DE',3648393216,3648397311),('NO',3648397312,3648405503),('RU',3648405504,3648413695),('SK',3648413696,3648417791),('AT',3648417792,3648417879),('GB',3648417880,3648417919),('AT',3648417920,3648418047),('GB',3648418048,3648418079),('ES',3648418080,3648418247),('CH',3648418248,3648418255),('ES',3648418256,3648418303),('GB',3648418304,3648419327),('FR',3648419328,3648419455),('IT',3648419456,3648419519),('ES',3648419520,3648419583),('GB',3648419584,3648420095),('NL',3648420096,3648420351),('GB',3648420352,3648420863),('US',3648420864,3648421119),('GB',3648421120,3648421375),('DE',3648421376,3648421631),('CH',3648421632,3648421887),('GB',3648421888,3648425983),('IT',3648425984,3648430079),('NL',3648430080,3648434175),('RU',3648434176,3648438271),('CH',3648438272,3648442367),('SE',3648442368,3648446463),('FR',3648446464,3648447055),('ES',3648447056,3648447063),('FR',3648447064,3648449119),('ES',3648449120,3648449135),('FR',3648449136,3648450559),('IT',3648450560,3648454655),('NL',3648454656,3648458751),('RU',3648458752,3648462847),('FI',3648462848,3648466943),('DE',3648466944,3648469263),('NL',3648469264,3648469271),('DE',3648469272,3648469295),('AT',3648469296,3648469311),('DE',3648469312,3648471039),('PL',3648471040,3648475135),('RU',3648475136,3648479231),('DE',3648479232,3648483327),('SK',3648483328,3648487423),('IT',3648487424,3648491519),('CH',3648491520,3648495615),('SE',3648495616,3648499711),('FR',3648499712,3648503807),('DE',3648503808,3648511999),('NL',3648512000,3648516095),('RS',3648516096,3648520191),('NL',3648520192,3648782335),('ES',3648782336,3649044479),('FR',3649044480,3649110015),('PT',3649110016,3649175551),('ES',3649175552,3649241087),('TR',3649241088,3649306623),('IL',3649306624,3649372159),('IT',3649372160,3649415439),('A2',3649415440,3649415455),('IT',3649415456,3649417279),('A2',3649417280,3649417287),('IT',3649417288,3649437695),('GB',3649437696,3649568767),('BE',3649568768,3649634303),('GB',3649634304,3649699839),('US',3649699840,3649700095),('GB',3649700096,3649700159),('US',3649700160,3649700247),('BB',3649700248,3649700251),('US',3649700252,3649700287),('GB',3649700288,3649700863),('US',3649700864,3649701119),('GB',3649701120,3649708791),('GD',3649708792,3649709055),('GB',3649709056,3649709287),('BB',3649709288,3649709295),('AG',3649709296,3649709311),('GB',3649709312,3649709815),('TT',3649709816,3649709823),('GB',3649709824,3649765375),('EG',3649765376,3649830911),('NL',3649830912,3649835007),('ES',3649835008,3649839103),('GB',3649839104,3649847295),('DE',3649847296,3649855487),('GB',3649855488,3649856511),('US',3649856512,3649857023),('GB',3649857024,3649857535),('JP',3649857536,3649858047),('GB',3649858048,3649859071),('US',3649859072,3649859583),('SE',3649859584,3649863679),('FI',3649863680,3649896447),('IT',3649896448,3649961983),('SE',3649961984,3650093055),('JO',3650093056,3650097151),('SK',3650097152,3650101247),('DE',3650101248,3650105343),('CH',3650105344,3650109439),('UA',3650109440,3650113535),('GB',3650113536,3650117631),('RU',3650117632,3650121727),('FR',3650121728,3650125823),('NO',3650125824,3650129919),('GB',3650129920,3650134015),('RU',3650134016,3650142207),('PL',3650142208,3650150399),('NO',3650150400,3650158591),('MT',3650158592,3650159135),('SC',3650159136,3650159151),('MT',3650159152,3650162687),('RU',3650162688,3650166783),('BE',3650166784,3650167807),('LU',3650167808,3650168063),('BE',3650168064,3650170879),('DK',3650170880,3650174975),('GB',3650174976,3650179071),('BG',3650179072,3650183167),('DE',3650183168,3650187263),('GB',3650187264,3650191359),('DE',3650191360,3650195455),('RU',3650195456,3650199551),('BG',3650199552,3650203647),('ES',3650203648,3650207743),('SK',3650207744,3650211839),('LV',3650211840,3650215935),('GB',3650215936,3650220031),('SA',3650220032,3650224127),('A2',3650224128,3650228223),('US',3650228224,3650228735),('A2',3650228736,3650228991),('US',3650228992,3650232319),('RU',3650232320,3650236415),('GR',3650236416,3650240511),('IT',3650240512,3650244607),('GB',3650244608,3650256895),('DE',3650256896,3650265087),('PL',3650265088,3650269183),('GB',3650269184,3650273279),('RU',3650273280,3650277375),('IR',3650277376,3650281471),('FR',3650281472,3650285567),('UA',3650285568,3650289663),('RU',3650289664,3650297855),('LT',3650297856,3650301951),('RU',3650301952,3650306047),('DE',3650306048,3650306623),('GE',3650306624,3650306639),('DE',3650306640,3650306775),('GE',3650306776,3650306779),('DE',3650306780,3650306783),('AT',3650306784,3650306791),('DE',3650306792,3650306799),('AT',3650306800,3650306807),('DE',3650306808,3650306943),('GB',3650306944,3650306959),('DE',3650306960,3650307007),('GB',3650307008,3650307010),('DE',3650307011,3650310143),('GB',3650310144,3650314239),('DE',3650314240,3650315271),('BE',3650315272,3650315272),('DE',3650315273,3650316711),('FR',3650316712,3650316715),('DE',3650316716,3650318335),('GI',3650318336,3650322431),('IT',3650322432,3650330623),('UA',3650330624,3650334719),('GB',3650334720,3650338815),('FR',3650338816,3650342911),('CH',3650342912,3650346207),('IM',3650346208,3650346239),('CH',3650346240,3650347007),('GE',3650347008,3650351103),('GB',3650351104,3650351871),('NL',3650351872,3650351879),('GB',3650351880,3650355199),('CH',3650355200,3650359295),('NL',3650359296,3650363391),('GB',3650363392,3650367487),('RU',3650367488,3650371583),('ES',3650371584,3650375679),('NL',3650375680,3650379775),('IT',3650379776,3650387967),('DE',3650387968,3650392063),('NO',3650392064,3650396159),('NL',3650396160,3650404351),('RU',3650404352,3650416639),('BE',3650416640,3650420735),('ES',3650420736,3650424831),('RU',3650424832,3650428927),('NL',3650428928,3650433023),('FI',3650433024,3650437119),('NL',3650437120,3650441215),('IT',3650441216,3650445311),('GB',3650445312,3650449407),('NO',3650449408,3650453503),('GB',3650453504,3650454527),('CZ',3650454528,3650457599),('ES',3650457600,3650461695),('AT',3650461696,3650465791),('NL',3650469888,3650478079),('AT',3650478080,3650482175),('PL',3650482176,3650486271),('RU',3650486272,3650502655),('SE',3650502656,3650510847),('GB',3650510848,3650519039),('HU',3650519040,3650523135),('DE',3650523136,3650527231),('SE',3650527232,3650535423),('RU',3650535424,3650539519),('ES',3650539520,3650543615),('GR',3650543616,3650547711),('CH',3650547712,3650549087),('LI',3650549088,3650549119),('CH',3650549120,3650551807),('FR',3650551808,3650555903),('RU',3650555904,3650559999),('GB',3650560000,3650564095),('SE',3650564096,3650568191),('RU',3650568192,3650572287),('DE',3650572288,3650576383),('GB',3650576384,3650580479),('CH',3650580480,3650584575),('RU',3650584576,3650588671),('DE',3650588672,3650592767),('IS',3650592768,3650600959),('SE',3650600960,3650605055),('DE',3650605056,3650609279),('CY',3650609280,3650609311),('DE',3650609312,3650609407),('IQ',3650609408,3650609439),('KZ',3650609440,3650609447),('RU',3650609448,3650609455),('DE',3650609456,3650609663),('KZ',3650609664,3650609919),('RU',3650609920,3650610175),('KZ',3650610176,3650610687),('RU',3650610688,3650610943),('DE',3650610944,3650611711),('KZ',3650611712,3650612735),('DE',3650612736,3650617343),('FI',3650617344,3650682879),('PL',3650682880,3650748415),('GB',3650748416,3650789375),('NL',3650789376,3650790143),('GB',3650790144,3650827095),('A2',3650827096,3650827103),('GB',3650827104,3650879487),('RO',3650879488,3650912255),('GB',3650912256,3650945023),('DK',3650945024,3651010559),('GB',3651010560,3651076095),('DE',3651076096,3651077375),('GB',3651077376,3651077887),('IE',3651077888,3651078143),('ES',3651078144,3651078399),('IE',3651078400,3651078655),('ES',3651078656,3651078783),('DE',3651078784,3651078911),('GB',3651078912,3651079807),('ES',3651079808,3651079935),('DE',3651079936,3651080191),('GB',3651080192,3651080831),('DE',3651080832,3651081215),('GB',3651081216,3651081727),('AT',3651081728,3651081983),('GB',3651081984,3651082751),('IE',3651082752,3651083007),('GB',3651083008,3651083519),('DE',3651083520,3651083775),('IE',3651083776,3651084031),('FR',3651084032,3651084543),('IE',3651084544,3651084799),('ES',3651084800,3651085311),('FR',3651085312,3651085567),('DE',3651085568,3651086079),('IE',3651086080,3651086335),('DE',3651086336,3651086463),('IE',3651086464,3651086591),('GR',3651086592,3651086719),('DE',3651086720,3651086847),('FR',3651086848,3651087103),('ES',3651087104,3651087615),('GB',3651087616,3651087871),('DE',3651087872,3651088127),('IE',3651088128,3651088383),('GR',3651088384,3651088639),('SG',3651088640,3651088895),('DE',3651088896,3651088911),('SG',3651088912,3651088927),('DE',3651088928,3651089147),('SG',3651089148,3651089151),('DE',3651089152,3651098111),('IE',3651098112,3651098367),('FR',3651098368,3651098623),('DE',3651098624,3651101439),('FR',3651101440,3651101695),('CH',3651101696,3651101951),('FR',3651101952,3651102207),('DE',3651102208,3651102719),('GB',3651102720,3651102975),('SL',3651102976,3651103231),('IT',3651103232,3651103487),('FR',3651103488,3651103743),('IT',3651103744,3651103999),('DE',3651104000,3651104511),('PL',3651104512,3651104767),('DE',3651104768,3651105535),('IT',3651105536,3651105791),('ES',3651105792,3651106047),('GB',3651106048,3651106559),('IE',3651106560,3651106815),('DE',3651106816,3651107327),('GB',3651107328,3651107583),('NL',3651107584,3651107839),('GB',3651107840,3651107967),('IE',3651107968,3651108351),('NL',3651108352,3651108479),('ES',3651108480,3651108543),('DE',3651108544,3651108863),('EE',3651108864,3651141631),('DE',3651141632,3651198975),('US',3651198976,3651207167),('GB',3651207168,3651207199),('EU',3651207200,3651207223),('GB',3651207224,3651207295),('EU',3651207296,3651207423),('GB',3651207424,3651207615),('EU',3651207616,3651207647),('GB',3651207648,3651208959),('EU',3651208960,3651209215),('US',3651209216,3651209231),('GB',3651209232,3651209239),('DE',3651209240,3651209243),('EU',3651209244,3651209247),('GB',3651209248,3651209263),('EU',3651209264,3651209471),('GB',3651209472,3651210751),('EU',3651210752,3651211263),('IR',3651211264,3651211775),('EU',3651211776,3651213823),('US',3651213824,3651214207),('EU',3651214208,3651215359),('GB',3651215360,3651215395),('EU',3651215396,3651215615),('GB',3651215616,3651215871),('EU',3651215872,3651217407),('GI',3651217408,3651217535),('EU',3651217536,3651219455),('US',3651219456,3651219967),('EU',3651219968,3651220383),('GB',3651220384,3651220479),('EU',3651220480,3651221503),('GB',3651221504,3651221695),('EU',3651221696,3651223551),('GB',3651223552,3651223567),('EU',3651223568,3651223583),('GB',3651223584,3651223607),('EU',3651223608,3651223647),('ES',3651223648,3651223663),('EU',3651223664,3651223743),('GB',3651223744,3651223775),('EU',3651223776,3651227135),('GB',3651227136,3651227391),('EU',3651227392,3651230719),('MU',3651230720,3651231743),('EU',3651231744,3651232255),('GB',3651232256,3651232287),('EU',3651232288,3651232319),('GB',3651232320,3651232383),('EU',3651232384,3651232447),('GB',3651232448,3651232511),('EU',3651232512,3651233791),('GB',3651233792,3651233855),('EU',3651233856,3651234047),('GB',3651234048,3651234303),('EU',3651234304,3651236031),('GB',3651236032,3651236063),('EU',3651236064,3651236863),('SC',3651236864,3651237631),('EU',3651237632,3651237887),('SC',3651237888,3651238399),('EU',3651238400,3651239935),('GB',3651239936,3651272703),('CH',3651272704,3651338239),('GB',3651338240,3651403775),('AE',3651403776,3651534847),('NL',3651534848,3651600383),('FR',3651600384,3651636696),('GB',3651636697,3651636697),('FR',3651636698,3651665919),('ES',3651665920,3651670015),('GB',3651670016,3651674111),('CH',3651674112,3651682303),('RU',3651682304,3651686399),('NO',3651686400,3651690495),('FR',3651690496,3651694591),('GH',3651694592,3651694719),('PT',3651694720,3651694847),('NG',3651694848,3651694975),('PT',3651694976,3651695103),('CV',3651695104,3651695359),('PT',3651695360,3651696639),('AO',3651696640,3651698687),('PL',3651698688,3651702783),('GB',3651702784,3651706879),('MT',3651706880,3651710975),('AZ',3651710976,3651715071),('PL',3651715072,3651719167),('CZ',3651719168,3651723263),('IT',3651723264,3651727359),('RU',3651727360,3651731455),('GB',3651731456,3651747839),('FI',3651747840,3651751935),('RU',3651751936,3651756031),('IT',3651756032,3651764223),('CH',3651764224,3651772415),('GB',3651772416,3651776511),('CZ',3651776512,3651780607),('TR',3651780608,3651784703),('RS',3651784704,3651788799),('NL',3651788800,3651792895),('FR',3651792896,3651796991),('NL',3651796992,3651813375),('RU',3651813376,3651821567),('DE',3651821568,3651825663),('RU',3651825664,3651829759),('NO',3651829760,3651833855),('ML',3651833856,3651837951),('IT',3651837952,3651842047),('GB',3651842048,3651846143),('GR',3651846144,3651850239),('RU',3651850240,3651854335),('IT',3651854336,3651858431),('RS',3651858432,3651858687),('SC',3651858688,3651858943),('RS',3651858944,3651862527),('RU',3651862528,3651866623),('FR',3651866624,3651870719),('IT',3651870720,3651874815),('PL',3651874816,3651878911),('RU',3651878912,3651883007),('BE',3651883008,3651887103),('GB',3651887104,3651891199),('DE',3651891200,3651895295),('GB',3651895296,3651899391),('RU',3651899392,3651903487),('IT',3651903488,3651907583),('IQ',3651907584,3651908991),('DE',3651908992,3651909311),('IQ',3651909312,3651909375),('DE',3651909376,3651909631),('IQ',3651909632,3651910655),('DE',3651910656,3651910783),('IQ',3651910784,3651911231),('IR',3651911232,3651911295),('DE',3651911296,3651911359),('IQ',3651911360,3651911551),('DE',3651911552,3651911583),('IQ',3651911584,3651911615),('DE',3651911616,3651911623),('IQ',3651911624,3651911631),('DE',3651911632,3651911643),('IR',3651911644,3651911647),('DE',3651911648,3651915775),('IS',3651915776,3651919871),('RU',3651919872,3651923967),('GB',3651923968,3651928063),('IT',3651928064,3651932159),('RU',3651932160,3651936255),('DE',3651936256,3651938175),('GB',3651938176,3651938207),('DE',3651938208,3651938255),('PL',3651938256,3651938271),('DE',3651938272,3651938943),('NL',3651938944,3651938959),('DE',3651938960,3651938975),('TR',3651938976,3651939007),('DE',3651939008,3651939071),('SE',3651939072,3651939087),('DE',3651939088,3651939135),('PL',3651939136,3651939151),('DE',3651939152,3651939167),('GB',3651939168,3651939231),('DE',3651939232,3651939263),('IT',3651939264,3651939295),('PL',3651939296,3651939327),('IT',3651939328,3651939391),('DE',3651939392,3651939503),('GB',3651939504,3651939511),('DE',3651939512,3651939519),('RU',3651939520,3651939527),('PL',3651939528,3651939583),('DE',3651939584,3651939647),('ES',3651939648,3651939711),('DE',3651939712,3651939727),('PL',3651939728,3651939743),('DE',3651939744,3651939791),('RU',3651939792,3651939799),('DE',3651939800,3651940351),('TR',3651940352,3651940383),('US',3651940384,3651940415),('IT',3651940416,3651940479),('GB',3651940480,3651940543),('DE',3651940544,3651940639),('BS',3651940640,3651940671),('DE',3651940672,3651940735),('AU',3651940736,3651940743),('RU',3651940744,3651940751),('DE',3651940752,3651940799),('ES',3651940800,3651940863),('GB',3651940864,3651940927),('IT',3651940928,3651940991),('DE',3651940992,3651941027),('TR',3651941028,3651941055),('DE',3651941056,3651941183),('IT',3651941184,3651941215),('TR',3651941216,3651941249),('DE',3651941250,3651941695),('IT',3651941696,3651941759),('DE',3651941760,3651942655),('GB',3651942656,3651942719),('SE',3651942720,3651942735),('US',3651942736,3651942751),('DE',3651942752,3651942783),('GB',3651942784,3651942815),('DE',3651942816,3651944447),('ES',3651944448,3651948543),('FO',3651948544,3651952639),('IR',3651952640,3651953663),('AE',3651953664,3651953919),('IR',3651953920,3651954175),('AE',3651954176,3651955967),('IR',3651955968,3651956223),('AE',3651956224,3651957759),('IR',3651957760,3651958271),('UA',3651958272,3651958783),('AE',3651958784,3651960831),('IT',3651960832,3651964927),('SK',3651964928,3651969023),('DE',3651969024,3651977215),('IT',3651977216,3651985407),('PL',3651985408,3651993599),('RU',3651993600,3652001791),('HU',3652001792,3652005887),('GB',3652005888,3652009983),('SA',3652014080,3652018175),('IE',3652018176,3652018239),('GB',3652018240,3652018943),('IE',3652018944,3652019167),('GB',3652019168,3652019199),('IE',3652019200,3652019423),('GB',3652019424,3652019583),('IE',3652019584,3652019599),('GB',3652019600,3652019615),('IE',3652019616,3652019663),('GB',3652019664,3652019679),('IE',3652019680,3652019687),('GB',3652019688,3652019727),('IE',3652019728,3652019735),('GB',3652019736,3652019775),('IE',3652019776,3652019791),('GB',3652019792,3652019807),('IE',3652019808,3652019815),('GB',3652019816,3652019887),('IE',3652019888,3652019903),('GB',3652019904,3652019951),('IE',3652019952,3652019967),('GB',3652019968,3652020479),('IE',3652020480,3652020735),('GB',3652020736,3652020767),('IE',3652020768,3652020799),('DE',3652020800,3652020863),('IE',3652020864,3652020991),('GB',3652020992,3652021791),('IE',3652021792,3652021887),('GB',3652021888,3652022271),('ES',3652022272,3652026367),('DE',3652026368,3652028031),('US',3652028032,3652028063),('CH',3652028064,3652028095),('DE',3652028096,3652028223),('ES',3652028224,3652028255),('DE',3652028256,3652031743),('US',3652031744,3652031999),('DE',3652032000,3652032767),('NL',3652032768,3652033791),('GD',3652033792,3652033855),('NL',3652033856,3652033887),('VG',3652033888,3652033919),('TR',3652033920,3652033935),('DE',3652033936,3652033951),('CH',3652033952,3652033967),('NL',3652033968,3652033983),('TR',3652033984,3652034015),('NL',3652034016,3652034047),('GD',3652034048,3652034111),('TR',3652034112,3652034143),('CH',3652034144,3652034175),('NL',3652034176,3652034207),('ES',3652034208,3652034239),('VG',3652034240,3652034303),('GD',3652034304,3652034367),('ES',3652034368,3652034383),('VG',3652034384,3652034399),('GD',3652034400,3652034559),('PL',3652034560,3652046847),('IE',3652046848,3652050943),('LI',3652050944,3652055039),('NO',3652055040,3652059135),('BE',3652059136,3652063231),('IR',3652063232,3652067327),('TR',3652067328,3652071423),('IT',3652071424,3652075519),('SE',3652075520,3652083711),('RU',3652083712,3652087807),('IT',3652087808,3652091903),('GB',3652091904,3652095999),('BG',3652096000,3652100095),('SL',3652100096,3652104191),('RU',3652104192,3652105471),('US',3652105472,3652105535),('RU',3652105536,3652108287),('FR',3652108288,3652116479),('TM',3652116480,3652120575),('GB',3652120576,3652124671),('RU',3652128768,3652132863),('IT',3652136960,3652141055),('UA',3652145152,3652149247),('DE',3652149248,3652153343),('SE',3652153344,3652157439),('RU',3652157440,3652165631),('FR',3652165632,3652173823),('AT',3652173824,3652177919),('CY',3652177920,3652182015),('DE',3652182016,3652182527),('AT',3652182528,3652182783),('DE',3652182784,3652186591),('CH',3652186592,3652186623),('DE',3652186624,3652186879),('AT',3652186880,3652187007),('DE',3652187008,3652190207),('GB',3652190208,3652714495),('DE',3652714496,3653039103),('IT',3653039104,3653039359),('DE',3653039360,3653238783),('CH',3653238784,3653369855),('IT',3653369856,3653373951),('NL',3653373952,3653378047),('DE',3653378048,3653382143),('CH',3653382144,3653386239),('DE',3653386240,3653390335),('FR',3653390336,3653394431),('NL',3653394432,3653402623),('AT',3653402624,3653403135),('UA',3653403136,3653403647),('GH',3653403648,3653403903),('UA',3653403904,3653403911),('IQ',3653403912,3653403919),('UA',3653403920,3653403931),('A2',3653403932,3653403935),('IQ',3653403936,3653403943),('LB',3653403944,3653403951),('IQ',3653403952,3653403967),('NG',3653403968,3653403983),('UA',3653403984,3653403999),('LB',3653404000,3653404015),('IQ',3653404016,3653404023),('A2',3653404024,3653404031),('LB',3653404032,3653404039),('A2',3653404040,3653404047),('LB',3653404048,3653404055),('A2',3653404056,3653404063),('LB',3653404064,3653404079),('UA',3653404080,3653404087),('LB',3653404088,3653404095),('IQ',3653404096,3653404103),('A2',3653404104,3653404111),('MD',3653404112,3653404119),('TR',3653404120,3653404127),('RS',3653404128,3653404135),('AM',3653404136,3653404143),('A2',3653404144,3653404159),('AT',3653404160,3653404415),('IQ',3653404416,3653404543),('NG',3653404544,3653404559),('CM',3653404560,3653404567),('LB',3653404568,3653404575),('TR',3653404576,3653404591),('GH',3653404592,3653404599),('A2',3653404600,3653404607),('UA',3653404608,3653404655),('A2',3653404656,3653404671),('TR',3653404672,3653404679),('IQ',3653404680,3653404687),('A2',3653404688,3653404707),('IQ',3653404708,3653404713),('A2',3653404714,3653404719),('LB',3653404720,3653404735),('A2',3653404736,3653404751),('AM',3653404752,3653404759),('A2',3653404760,3653404783),('IQ',3653404784,3653404791),('A2',3653404792,3653404807),('IQ',3653404808,3653404815),('LB',3653404816,3653404831),('NG',3653404832,3653404847),('A2',3653404848,3653404855),('SL',3653404856,3653404863),('A2',3653404864,3653404879),('UA',3653404880,3653404887),('A2',3653404888,3653404903),('IQ',3653404904,3653404911),('A2',3653404912,3653404943),('IQ',3653404944,3653404959),('UA',3653404960,3653404975),('TD',3653404976,3653404983),('AM',3653404984,3653404991),('LB',3653404992,3653404999),('IQ',3653405000,3653405007),('LB',3653405008,3653405031),('A2',3653405032,3653405039),('LB',3653405040,3653405047),('IQ',3653405048,3653405071),('A2',3653405072,3653405087),('LY',3653405088,3653405095),('NG',3653405096,3653405103),('CY',3653405104,3653405119),('AM',3653405120,3653405135),('UA',3653405136,3653405151),('A2',3653405152,3653405167),('UA',3653405168,3653405183),('AT',3653405184,3653405439),('IQ',3653405440,3653405695),('NG',3653405696,3653406975),('A2',3653406976,3653407007),('TZ',3653407008,3653407015),('UG',3653407016,3653407023),('KE',3653407024,3653407031),('NG',3653407032,3653407071),('A2',3653407072,3653407151),('NG',3653407152,3653407159),('A2',3653407160,3653407167),('NG',3653407168,3653407231),('A2',3653407232,3653407359),('NG',3653407360,3653407423),('ZW',3653407424,3653407487),('A2',3653407488,3653407615),('NG',3653407616,3653407631),('ZM',3653407632,3653407647),('A2',3653407648,3653407679),('UG',3653407680,3653407695),('CD',3653407696,3653407703),('NG',3653407704,3653407711),('A2',3653407712,3653407743),('AT',3653407744,3653407999),('A2',3653408000,3653408023),('SO',3653408024,3653408031),('A2',3653408032,3653408055),('TZ',3653408056,3653408063),('ZM',3653408064,3653408071),('NG',3653408072,3653408079),('MW',3653408080,3653408087),('A2',3653408088,3653408143),('NG',3653408144,3653408151),('A2',3653408152,3653408175),('NG',3653408176,3653408183),('MW',3653408184,3653408191),('NG',3653408192,3653408199),('A2',3653408200,3653408223),('ZM',3653408224,3653408231),('A2',3653408232,3653408239),('ZM',3653408240,3653408247),('A2',3653408248,3653409279),('TZ',3653409280,3653409535),('UA',3653409536,3653409559),('CM',3653409560,3653409567),('UA',3653409568,3653409575),('A2',3653409576,3653409615),('IQ',3653409616,3653409623),('NG',3653409624,3653409639),('A2',3653409640,3653409647),('NG',3653409648,3653409663),('CM',3653409664,3653409791),('ZW',3653409792,3653409855),('A2',3653409856,3653409919),('NG',3653409920,3653410047),('YT',3653410048,3653410063),('UG',3653410064,3653410079),('A2',3653410080,3653410087),('NG',3653410088,3653410095),('ZW',3653410096,3653410111),('NG',3653410112,3653410127),('A2',3653410128,3653410143),('NG',3653410144,3653410183),('MZ',3653410184,3653410191),('ZW',3653410192,3653410199),('A2',3653410200,3653410215),('ZW',3653410216,3653410223),('A2',3653410224,3653410239),('SO',3653410240,3653410247),('ZM',3653410248,3653410255),('MW',3653410256,3653410263),('IQ',3653410264,3653410271),('A2',3653410272,3653410279),('NG',3653410280,3653410287),('A2',3653410288,3653410295),('NG',3653410296,3653410303),('GB',3653410304,3653410815),('HU',3653410816,3653414911),('IT',3653414912,3653419007),('IL',3653419008,3653423103),('GB',3653423104,3653427199),('DE',3653427200,3653431295),('RU',3653431296,3653435391),('DE',3653435392,3653439487),('FR',3653439488,3653443583),('DE',3653443584,3653444351),('IT',3653444352,3653444383),('DE',3653444384,3653447679),('LV',3653447680,3653451775),('RU',3653451776,3653464063),('NL',3653464064,3653468159),('GR',3653468160,3653472255),('NL',3653472256,3653472279),('AF',3653472280,3653472291),('NL',3653472292,3653474303),('US',3653474304,3653474367),('NL',3653474368,3653476351),('CZ',3653476352,3653480447),('DK',3653480448,3653484543),('TR',3653484544,3653488639),('RU',3653488640,3653492735),('NL',3653492736,3653500927),('GB',3653500928,3653505023),('KZ',3653505024,3653509119),('NL',3653509120,3653513215),('NO',3653513216,3653517311),('AT',3653517312,3653518367),('SK',3653518368,3653518399),('AT',3653518400,3653518479),('SK',3653518480,3653518495),('AT',3653518496,3653519815),('SK',3653519816,3653519871),('AT',3653519872,3653520191),('SK',3653520192,3653520255),('AT',3653520256,3653522975),('SK',3653522976,3653522991),('AT',3653522992,3653523199),('SK',3653523200,3653523455),('AT',3653523456,3653523615),('SK',3653523616,3653523647),('AT',3653523648,3653524551),('GR',3653524552,3653524559),('AT',3653524560,3653524735),('SK',3653524736,3653524863),('AT',3653524864,3653524959),('SK',3653524960,3653525151),('AT',3653525152,3653525183),('SK',3653525184,3653525215),('AT',3653525216,3653525503),('RU',3653525504,3653533695),('HU',3653533696,3653537791),('AT',3653537792,3653541887),('UA',3653541888,3653544959),('AT',3653544960,3653545215),('UA',3653545216,3653545343),('SE',3653545344,3653545471),('UA',3653545472,3653545727),('SE',3653545728,3653545791),('UA',3653545792,3653545855),('SE',3653545856,3653545983),('CH',3653545984,3653550079),('DE',3653550080,3653554175),('CZ',3653554176,3653558271),('GB',3653558272,3653566463),('DE',3653566464,3653570559),('NO',3653570560,3653574655),('GB',3653574656,3653578751),('SE',3653578752,3653582847),('PL',3653582848,3653586943),('DE',3653586944,3653591039),('LU',3653591040,3653595135),('RU',3653595136,3653599231),('BG',3653599232,3653603327),('CZ',3653603328,3653607423),('PL',3653607424,3653611519),('HU',3653611520,3653615615),('GB',3653615616,3653619711),('CH',3653619712,3653623295),('JP',3653623296,3653623551),('US',3653623552,3653623807),('DE',3653623808,3653627903),('RU',3653627904,3653636095),('NL',3653636096,3653640191),('GB',3653640192,3653644031),('BE',3653644032,3653644047),('GB',3653644048,3653644271),('BE',3653644272,3653644275),('GB',3653644276,3653648383),('RU',3653652480,3653656575),('HR',3653656576,3653660671),('CZ',3653660672,3653664767),('UA',3653664768,3653668863),('SE',3653668864,3653672959),('RU',3653672960,3653681151),('NL',3653681152,3653685247),('DK',3653685248,3653689343),('LV',3653689344,3653693439),('DE',3653693440,3653697535),('IT',3653697536,3653705727),('SE',3653705728,3653705735),('NO',3653705736,3653705863),('SE',3653705864,3653705871),('NO',3653705872,3653705895),('BS',3653705896,3653705903),('NO',3653705904,3653706175),('SE',3653706176,3653706191),('NO',3653706192,3653706271),('SE',3653706272,3653706303),('NO',3653706304,3653706495),('SE',3653706496,3653706751),('NO',3653706752,3653710847),('SE',3653710848,3653710911),('NO',3653710912,3653713919),('DE',3653713920,3653718015),('AT',3653718016,3653722111),('LV',3653722112,3653730303),('BA',3653730304,3653734399),('KE',3653734400,3653738495),('GB',3653738496,3653740295),('US',3653740296,3653740303),('GB',3653740304,3653744895),('AE',3653744896,3653744959),('GB',3653744960,3653746687),('GR',3653746688,3653750783),('RU',3653750784,3653754879),('UA',3653754880,3653758975),('RU',3653758976,3653763071),('IT',3653763072,3654025215),('GB',3654025216,3654034783),('LU',3654034784,3654034799),('GB',3654034800,3654035583),('US',3654035584,3654035591),('GB',3654035592,3654035607),('SE',3654035608,3654035615),('GB',3654035616,3654061035),('US',3654061036,3654061039),('GB',3654061040,3654061951),('DE',3654061952,3654062079),('GB',3654062080,3654066027),('MC',3654066028,3654066031),('GB',3654066032,3654287359),('SE',3654287360,3654607871),('NO',3654607872,3654608127),('SE',3654608128,3654608895),('NO',3654608896,3654609919),('DK',3654609920,3654609927),('SE',3654609928,3654612991),('RU',3654612992,3654612995),('SE',3654612996,3654612999),('RU',3654613000,3654613023),('SE',3654613024,3654613055),('RU',3654613056,3654613151),('SE',3654613152,3654613247),('NO',3654613248,3654614015),('SE',3654614016,3654614031),('US',3654614032,3654614047),('SE',3654614048,3654614079),('FI',3654614080,3654614143),('SE',3654614144,3654614527),('RU',3654614528,3654614783),('NO',3654614784,3654615039),('SE',3654615040,3654811647),('ES',3654811648,3654942719),('IR',3654942720,3655073791),('IT',3655073792,3655335935),('DE',3655335936,3656229703),('ES',3656229704,3656229711),('DE',3656229712,3656233999),('NL',3656234000,3656234007),('DE',3656234008,3656234263),('US',3656234264,3656234271),('DE',3656234272,3656236359),('SK',3656236360,3656236367),('DE',3656236368,3656236527),('GB',3656236528,3656236535),('US',3656236536,3656236543),('DE',3656236544,3656633487),('GB',3656633488,3656633495),('US',3656633496,3656633503),('DE',3656633504,3656650583),('US',3656650584,3656650591),('DE',3656650592,3656650623),('CN',3656650624,3656650687),('DE',3656650688,3656661183),('AT',3656661184,3656661199),('DE',3656661200,3656661583),('AT',3656661584,3656661599),('DE',3656661600,3656661647),('AT',3656661648,3656661679),('DE',3656661680,3656662271),('AT',3656662272,3656662367),('DE',3656662368,3656662431),('AT',3656662432,3656662463),('DE',3656662464,3657433087),('CN',3657433088,3659530239),('TW',3659530240,3659595775),('ID',3659595776,3659628543),('JP',3659628544,3659661311),('TW',3659661312,3659792383),('KR',3659792384,3660054527),('JP',3660054528,3660578815),('KR',3660578816,3661103103),('CN',3661103104,3663986687),('AU',3663986688,3663987711),('ID',3663987712,3663987967),('JP',3663987968,3663989247),('VN',3663989248,3663989503),('ID',3663989504,3663989759),('AU',3663989760,3663990271),('VN',3663990272,3663990527),('JP',3663990528,3663990783),('HK',3663990784,3663991295),('MY',3663991296,3663991551),('AU',3663991552,3663991807),('JP',3663991808,3663992063),('NZ',3663992064,3663992319),('MY',3663992320,3663992575),('NZ',3663992576,3663993599),('ID',3663993600,3663996159),('BD',3663996160,3663996415),('TH',3663996416,3663996671),('AU',3663996672,3663997183),('ID',3663997184,3663997439),('JP',3663997440,3663997695),('AU',3663997696,3663997951),('MY',3663997952,3663998207),('JP',3663998208,3663998463),('TH',3663998464,3663998975),('IN',3663998976,3663999487),('AU',3663999488,3663999743),('KH',3663999744,3663999999),('AU',3664000000,3664000767),('ID',3664000768,3664001023),('NZ',3664001024,3664001279),('NZ',3664052224,3664084991),('KR',3664084992,3664117759),('HK',3664117760,3664248831),('CN',3664248832,3664642047),('JP',3664642048,3664707583),('MY',3664707584,3664773119),('JP',3664773120,3666870271),('KR',3666870272,3667918847),('TW',3667918848,3668967423),('JP',3668967424,3669491711),('TW',3669491712,3669557247),('AU',3669557248,3669590015),('JP',3669590016,3669606399),('CN',3669606400,3669614591),('NZ',3669614592,3669616639),('AU',3669616640,3669618687),('BD',3669618688,3669620735),('JP',3669620736,3669622783),('SG',3669622784,3669688319),('TW',3669688320,3669753855),('HK',3669753856,3669822719),('US',3669822720,3669822735),('HK',3669822736,3670015999),('CN',3670016000,3671064575),('MY',3671064576,3671130111),('KR',3671130112,3671195647),('TW',3671195648,3671326719),('SG',3671326720,3671392255),('HK',3671392256,3671457791),('AU',3671457792,3671588863),('JP',3671588864,3672637439),('KR',3672637440,3673161727),('CN',3673161728,3673686015),('IN',3673686016,3673751551),('CN',3673751552,3673817087),('HK',3673817088,3673882623),('JP',3673882624,3673948159),('HK',3673948160,3674210303),('JP',3674210304,3674431743),('UA',3674431744,3674431999),('JP',3674432000,3678404607),('IN',3678404608,3678535679),('JP',3678535680,3678666751),('TW',3678666752,3678928895),('CN',3678928896,3678994431),('HK',3678994432,3679027199),('JP',3679027200,3679059967),('SG',3679059968,3679158271),('JP',3679158272,3679191039),('HK',3679191040,3679453183),('TW',3679453184,3679584255),('CN',3679584256,3679649791),('ID',3679649792,3679682559),('IN',3679682560,3679715327),('TW',3679715328,3679977471),('NZ',3679977472,3680108543),('TW',3680108544,3680124927),('PH',3680124928,3680133119),('IN',3680133120,3680137215),('HK',3680137216,3680141311),('AU',3680141312,3680174079),('TW',3680174080,3680206847),('IN',3680206848,3680239615),('MY',3680239616,3680403455),('JP',3680403456,3680436223),('MY',3680436224,3680501759),('JP',3680501760,3682598911),('CN',3682598912,3684696063),('JP',3684696064,3688366079),('CN',3688366080,3689938943),('KR',3689938944,3690070015),('CN',3690070016,3690463231),('KR',3690463232,3690987519),('JP',3690987520,3695181823),('KR',3695181824,3697278975),('JP',3697278976,3697606655),('AU',3697606656,3697655807),('CN',3697655808,3697672191),('JP',3697672192,3697737727),('KR',3697737728,3697803263),('JP',3697803264,3698327551),('CN',3698327552,3698589695),('KR',3698589696,3699376127),('TW',3699376128,3700424703),('JP',3700424704,3700752383),('KR',3700752384,3700817919),('JP',3700817920,3700977663),('AU',3700977664,3700979711),('CN',3700981760,3701014527),('JP',3701014528,3701080063),('CN',3701080064,3701211135),('JP',3701211136,3701252095),('SG',3701256192,3701258239),('IN',3701258240,3701260287),('JP',3701260288,3701293055),('AU',3701293056,3701301247),('ID',3701301248,3701305343),('TW',3701305344,3701309439),('JP',3701309440,3701473279),('CN',3701473280,3704619007),('JP',3704619008,3705667583),('IN',3705667584,3705929727),('TW',3705929728,3706060799),('KR',3706060800,3706126335),('CN',3706126336,3706142719),('VN',3706142720,3706159103),('CN',3706159104,3706191871),('SG',3706191872,3706208255),('CN',3706208256,3706224639),('HK',3706224640,3706257407),('AU',3706257408,3706322943),('CN',3706322944,3706388479),('AU',3706388480,3706781695),('HK',3706781696,3706847231),('CN',3706847232,3706978303),('AU',3706978304,3707109375),('HK',3707109376,3707174911),('JP',3707174912,3707207679),('TW',3707207680,3707215871),('BD',3707215872,3707217919),('ID',3707217920,3707219967),('AU',3707219968,3707222015),('JP',3707222016,3707224063),('LK',3707224064,3707240447),('CN',3707240448,3707568127),('AU',3707568128,3707633663),('JP',3707633664,3707699199),('SG',3707699200,3707764735),('CN',3707764736,3708600319),('JP',3708600320,3708616703),('CN',3708616704,3708813311),('JP',3708813312,3714175487),('DK',3714175488,3714175743),('JP',3714175744,3715629055),('TW',3715629056,3715653631),('BD',3715653632,3715655679),('IN',3715655680,3715657727),('SG',3715657728,3715661823),('AU',3715661824,3715672063),('HK',3715674112,3715678207),('PK',3715678208,3715694591),('VN',3715694592,3715710975),('AU',3715710976,3715719167),('PH',3715719168,3715727359),('JP',3715727360,3715760127),('CN',3715760128,3715891199),('HK',3715891200,3716153343),('SG',3716153344,3716169727),('TH',3716169728,3716186111),('IN',3716186112,3716218879),('CN',3716218880,3716415487),('VN',3716415488,3716431871),('KR',3716431872,3716440063),('JP',3716440064,3716444159),('PK',3716444160,3716446207),('JP',3716448256,3716464639),('ID',3716464640,3716481023),('VN',3716481024,3716489215),('MY',3716489216,3716493311),('KR',3716493312,3716497407),('JP',3716497408,3716513791),('KR',3716513792,3716530175),('AU',3716530176,3716536372),('AS',3716536373,3716536373),('AU',3716536374,3716537111),('AS',3716537112,3716537119),('AU',3716537120,3716537151),('AS',3716537152,3716537183),('AU',3716537184,3716537199),('AS',3716537200,3716537215),('AU',3716537216,3716537279),('AS',3716537280,3716537343),('AU',3716537344,3716537407),('AS',3716537408,3716537471),('AU',3716537472,3716537535),('HK',3716537536,3716537567),('JP',3716537568,3716537599),('AU',3716537600,3716538367),('CN',3716538368,3716546559),('IN',3716546560,3716677631),('CN',3716677632,3716808703),('KR',3716808704,3718840319),('TW',3718840320,3718905855),('JP',3718905856,3719036927),('CN',3719036928,3719823359),('JP',3719823360,3720347647),('CN',3720347648,3720859647),('AU',3720859648,3720863743),('CN',3720863744,3723493375),('JP',3723493376,3725590527),('CN',3725590528,3730833407),('KR',3730833408,3732602879),('TH',3732602880,3732668415),('ID',3732668416,3732733951),('CN',3732733952,3732799487),('PH',3732799488,3732832255),('CN',3732832256,3732865023),('PH',3732865024,3732930559),('CN',3732930560,3733979135),('JP',3733979136,3734503423),('NZ',3734503424,3734765567),('TW',3734765568,3734896639),('JP',3734896640,3735027711),('CN',3735027712,3735289855),('SG',3735289856,3735388159),('LK',3735388160,3735404543),('ID',3735404544,3735420927),('HK',3735420928,3735551999),('CN',3735552000,3739222015),('JP',3739222016,3739570175),('ID',3739570176,3739572223),('JP',3739574272,3739680767),('KR',3739680768,3739697151),('JP',3739697152,3739746303),('KR',3739746304,3740270591),('CN',3740270592,3740925951),('TW',3740925952,3741024255),('KR',3741024256,3741057023),('VN',3741057024,3741319167);
INSERT INTO `ps_geoip_cc` (`cc`, `cn`) VALUES ('GB','United Kingdom'),('US','United States'),('CA','Canada'),('MX','Mexico'),('BM','Bermuda'),('SE','Sweden'),('IT','Italy'),('PR','Puerto Rico'),('VI','Virgin Islands, U.S.'),('DE','Germany'),('IR','Iran, Islamic Republic of'),('BO','Bolivia'),('NG','Nigeria'),('NL','Netherlands'),('FR','France'),('IL','Israel'),('ES','Spain'),('A2','Satellite Provider'),('CL','Chile'),('BS','Bahamas'),('AR','Argentina'),('DM','Dominica'),('BE','Belgium'),('IE','Ireland'),('BZ','Belize'),('BR','Brazil'),('CH','Switzerland'),('ZA','South Africa'),('GA','Gabon'),('EG','Egypt'),('NA','Namibia'),('ZW','Zimbabwe'),('BJ','Benin'),('GH','Ghana'),('CG','Congo'),('MW','Malawi'),('UG','Uganda'),('CM','Cameroon'),('NE','Niger'),('KE','Kenya'),('SC','Seychelles'),('TZ','Tanzania, United Republic of'),('KM','Comoros'),('RW','Rwanda'),('DZ','Algeria'),('CI','Cote D\'Ivoire'),('SD','Sudan'),('LS','Lesotho'),('ML','Mali'),('BF','Burkina Faso'),('SZ','Swaziland'),('MG','Madagascar'),('AO','Angola'),('MA','Morocco'),('SL','Sierra Leone'),('MU','Mauritius'),('TG','Togo'),('LY','Libyan Arab Jamahiriya'),('SN','Senegal'),('RE','Reunion'),('MZ','Mozambique'),('CV','Cape Verde'),('ZM','Zambia'),('GQ','Equatorial Guinea'),('CD','Congo, The Democratic Republic of the'),('BW','Botswana'),('LR','Liberia'),('CF','Central African Republic'),('GM','Gambia'),('TN','Tunisia'),('EU','Europe'),('JP','Japan'),('IN','India'),('AU','Australia'),('TH','Thailand'),('CN','China'),('MY','Malaysia'),('PK','Pakistan'),('NZ','New Zealand'),('KR','Korea, Republic of'),('HK','Hong Kong'),('SG','Singapore'),('BD','Bangladesh'),('ID','Indonesia'),('PH','Philippines'),('TW','Taiwan'),('AF','Afghanistan'),('VN','Vietnam'),('AP','Asia/Pacific Region'),('PA','Panama'),('NC','New Caledonia'),('BN','Brunei Darussalam'),('GR','Greece'),('SA','Saudi Arabia'),('PL','Poland'),('ME','Montenegro'),('CZ','Czech Republic'),('RU','Russian Federation'),('CY','Cyprus'),('NO','Norway'),('AT','Austria'),('UA','Ukraine'),('TJ','Tajikistan'),('DK','Denmark'),('PT','Portugal'),('TR','Turkey'),('GE','Georgia'),('BY','Belarus'),('IQ','Iraq'),('AM','Armenia'),('LB','Lebanon'),('MD','Moldova, Republic of'),('BG','Bulgaria'),('FI','Finland'),('OM','Oman'),('LV','Latvia'),('KZ','Kazakstan'),('EE','Estonia'),('SK','Slovakia'),('BA','Bosnia and Herzegovina'),('HU','Hungary'),('KW','Kuwait'),('AL','Albania'),('LT','Lithuania'),('SM','San Marino'),('RO','Romania'),('RS','Serbia'),('LU','Luxembourg'),('IS','Iceland'),('AE','United Arab Emirates'),('CR','Costa Rica'),('MK','Macedonia'),('MT','Malta'),('FK','Falkland Islands (Malvinas)'),('BH','Bahrain'),('UZ','Uzbekistan'),('AZ','Azerbaijan'),('MC','Monaco'),('HT','Haiti'),('GU','Guam'),('JM','Jamaica'),('FM','Micronesia, Federated States of'),('EC','Ecuador'),('CO','Colombia'),('PE','Peru'),('KY','Cayman Islands'),('SI','Slovenia'),('HN','Honduras'),('AN','Netherlands Antilles'),('YE','Yemen'),('VG','Virgin Islands, British'),('LC','Saint Lucia'),('SY','Syrian Arab Republic'),('NI','Nicaragua'),('DO','Dominican Republic'),('GT','Guatemala'),('VE','Venezuela'),('HM','Heard Island and McDonald Islands'),('UY','Uruguay'),('JO','Jordan'),('SV','El Salvador'),('TT','Trinidad and Tobago'),('LK','Sri Lanka'),('BV','Bouvet Island'),('MH','Marshall Islands'),('CK','Cook Islands'),('GI','Gibraltar'),('PY','Paraguay'),('A1','Anonymous Proxy'),('AG','Antigua and Barbuda'),('WS','Samoa'),('KN','Saint Kitts and Nevis'),('PW','Palau'),('QA','Qatar'),('KH','Cambodia'),('BB','Barbados'),('AS','American Samoa'),('TC','Turks and Caicos Islands'),('MP','Northern Mariana Islands'),('GD','Grenada'),('VC','Saint Vincent and the Grenadines'),('MO','Macau'),('UM','United States Minor Outlying Islands'),('HR','Croatia'),('CU','Cuba'),('MN','Mongolia'),('LA','Lao People\'s Democratic Republic'),('GY','Guyana'),('SR','Suriname'),('PG','Papua New Guinea'),('AW','Aruba'),('VU','Vanuatu'),('FJ','Fiji'),('AI','Anguilla'),('MS','Montserrat'),('NP','Nepal'),('GG','Guernsey'),('KG','Kyrgyzstan'),('TM','Turkmenistan'),('IM','Isle of Man'),('GN','Guinea'),('MM','Myanmar'),('ET','Ethiopia'),('BT','Bhutan'),('TK','Tokelau'),('TD','Chad'),('AX','Aland Islands'),('LI','Liechtenstein'),('FO','Faroe Islands'),('SO','Somalia'),('PS','Palestinian Territory, Occupied'),('MR','Mauritania'),('BI','Burundi'),('MQ','Martinique'),('GP','Guadeloupe'),('VA','Holy See (Vatican City State)'),('JE','Jersey'),('YT','Mayotte'),('AQ','Antarctica'),('AD','Andorra'),('GL','Greenland'),('GW','Guinea-Bissau'),('ER','Eritrea'),('GF','French Guiana'),('MV','Maldives'),('WF','Wallis and Futuna'),('PF','French Polynesia'),('DJ','Djibouti'),('ST','Sao Tome and Principe'),('PM','Saint Pierre and Miquelon'),('SB','Solomon Islands'),('TV','Tuvalu'),('KI','Kiribati'),('TO','Tonga'),('IO','British Indian Ocean Territory'),('NU','Niue'),('NF','Norfolk Island'),('NR','Nauru'),('KP','Korea, Democratic People\'s Republic of');
